#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2150
#define LARGE_STATE_COUNT 379
#define SYMBOL_COUNT 395
#define ALIAS_COUNT 0
#define TOKEN_COUNT 214
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 14
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 27

enum ts_symbol_identifiers {
  sym_comment = 1,
  sym_decimal_integer_literal = 2,
  sym_hexadecimal_integer_literal = 3,
  sym_real_literal = 4,
  aux_sym_expandable_string_literal_token1 = 5,
  aux_sym_expandable_string_literal_token2 = 6,
  aux_sym_expandable_string_literal_token3 = 7,
  aux_sym_expandable_string_literal_token4 = 8,
  anon_sym_DQUOTE_DQUOTE = 9,
  anon_sym_DOLLAR = 10,
  aux_sym_expandable_string_literal_token5 = 11,
  aux_sym_expandable_here_string_literal_token1 = 12,
  aux_sym_expandable_here_string_literal_token2 = 13,
  aux_sym_expandable_here_string_literal_token3 = 14,
  aux_sym_expandable_here_string_literal_token4 = 15,
  aux_sym_expandable_here_string_literal_token5 = 16,
  sym_verbatim_string_characters = 17,
  sym_verbatim_here_string_characters = 18,
  sym_simple_name = 19,
  sym_type_identifier = 20,
  anon_sym_DOT = 21,
  anon_sym_LBRACK = 22,
  anon_sym_EQ = 23,
  anon_sym_BANG_EQ = 24,
  anon_sym_PLUS_EQ = 25,
  anon_sym_STAR_EQ = 26,
  anon_sym_SLASH_EQ = 27,
  anon_sym_PERCENT_EQ = 28,
  anon_sym_GT = 29,
  anon_sym_GT_GT = 30,
  anon_sym_2_GT = 31,
  anon_sym_2_GT_GT = 32,
  anon_sym_3_GT = 33,
  anon_sym_3_GT_GT = 34,
  anon_sym_4_GT = 35,
  anon_sym_4_GT_GT = 36,
  anon_sym_5_GT = 37,
  anon_sym_5_GT_GT = 38,
  anon_sym_6_GT = 39,
  anon_sym_6_GT_GT = 40,
  anon_sym_STAR_GT = 41,
  anon_sym_STAR_GT_GT = 42,
  anon_sym_LT = 43,
  anon_sym_STAR_GT_AMP1 = 44,
  anon_sym_2_GT_AMP1 = 45,
  anon_sym_3_GT_AMP1 = 46,
  anon_sym_4_GT_AMP1 = 47,
  anon_sym_5_GT_AMP1 = 48,
  anon_sym_6_GT_AMP1 = 49,
  anon_sym_STAR_GT_AMP2 = 50,
  anon_sym_1_GT_AMP2 = 51,
  anon_sym_3_GT_AMP2 = 52,
  anon_sym_4_GT_AMP2 = 53,
  anon_sym_5_GT_AMP2 = 54,
  anon_sym_6_GT_AMP2 = 55,
  aux_sym_comparison_operator_token1 = 56,
  aux_sym_comparison_operator_token2 = 57,
  aux_sym_comparison_operator_token3 = 58,
  aux_sym_comparison_operator_token4 = 59,
  aux_sym_comparison_operator_token5 = 60,
  aux_sym_comparison_operator_token6 = 61,
  aux_sym_comparison_operator_token7 = 62,
  aux_sym_comparison_operator_token8 = 63,
  aux_sym_comparison_operator_token9 = 64,
  aux_sym_comparison_operator_token10 = 65,
  aux_sym_comparison_operator_token11 = 66,
  aux_sym_comparison_operator_token12 = 67,
  aux_sym_comparison_operator_token13 = 68,
  aux_sym_comparison_operator_token14 = 69,
  aux_sym_comparison_operator_token15 = 70,
  aux_sym_comparison_operator_token16 = 71,
  aux_sym_comparison_operator_token17 = 72,
  aux_sym_comparison_operator_token18 = 73,
  aux_sym_comparison_operator_token19 = 74,
  aux_sym_comparison_operator_token20 = 75,
  aux_sym_comparison_operator_token21 = 76,
  aux_sym_comparison_operator_token22 = 77,
  aux_sym_comparison_operator_token23 = 78,
  aux_sym_comparison_operator_token24 = 79,
  aux_sym_comparison_operator_token25 = 80,
  aux_sym_comparison_operator_token26 = 81,
  aux_sym_comparison_operator_token27 = 82,
  aux_sym_comparison_operator_token28 = 83,
  aux_sym_comparison_operator_token29 = 84,
  aux_sym_comparison_operator_token30 = 85,
  aux_sym_comparison_operator_token31 = 86,
  aux_sym_comparison_operator_token32 = 87,
  aux_sym_comparison_operator_token33 = 88,
  aux_sym_comparison_operator_token34 = 89,
  aux_sym_comparison_operator_token35 = 90,
  aux_sym_comparison_operator_token36 = 91,
  aux_sym_comparison_operator_token37 = 92,
  aux_sym_comparison_operator_token38 = 93,
  aux_sym_comparison_operator_token39 = 94,
  aux_sym_comparison_operator_token40 = 95,
  aux_sym_comparison_operator_token41 = 96,
  aux_sym_comparison_operator_token42 = 97,
  aux_sym_comparison_operator_token43 = 98,
  aux_sym_comparison_operator_token44 = 99,
  aux_sym_comparison_operator_token45 = 100,
  aux_sym_comparison_operator_token46 = 101,
  aux_sym_comparison_operator_token47 = 102,
  aux_sym_comparison_operator_token48 = 103,
  aux_sym_comparison_operator_token49 = 104,
  aux_sym_comparison_operator_token50 = 105,
  aux_sym_format_operator_token1 = 106,
  anon_sym_DOLLAR_DOLLAR = 107,
  anon_sym_DOLLAR_CARET = 108,
  anon_sym_DOLLAR_QMARK = 109,
  anon_sym_DOLLAR_ = 110,
  aux_sym_variable_token1 = 111,
  aux_sym_variable_token2 = 112,
  sym_braced_variable = 113,
  sym_generic_token = 114,
  sym__command_token = 115,
  sym_command_parameter = 116,
  aux_sym__verbatim_command_argument_chars_token1 = 117,
  aux_sym__verbatim_command_argument_chars_token2 = 118,
  aux_sym__verbatim_command_argument_chars_token3 = 119,
  anon_sym_SEMI = 120,
  aux_sym_param_block_token1 = 121,
  anon_sym_LPAREN = 122,
  anon_sym_RPAREN = 123,
  anon_sym_COMMA = 124,
  aux_sym_block_name_token1 = 125,
  aux_sym_block_name_token2 = 126,
  aux_sym_block_name_token3 = 127,
  aux_sym_block_name_token4 = 128,
  anon_sym_LBRACE = 129,
  anon_sym_RBRACE = 130,
  aux_sym_if_statement_token1 = 131,
  aux_sym_elseif_clause_token1 = 132,
  aux_sym_else_clause_token1 = 133,
  aux_sym_switch_statement_token1 = 134,
  aux_sym_switch_parameter_token1 = 135,
  aux_sym_switch_parameter_token2 = 136,
  aux_sym_switch_parameter_token3 = 137,
  aux_sym_switch_parameter_token4 = 138,
  aux_sym_switch_parameter_token5 = 139,
  aux_sym_switch_condition_token1 = 140,
  aux_sym_foreach_statement_token1 = 141,
  aux_sym_foreach_statement_token2 = 142,
  aux_sym_for_statement_token1 = 143,
  aux_sym_for_statement_token2 = 144,
  aux_sym_while_statement_token1 = 145,
  aux_sym_do_statement_token1 = 146,
  aux_sym_do_statement_token2 = 147,
  aux_sym_function_statement_token1 = 148,
  aux_sym_function_statement_token2 = 149,
  aux_sym_function_statement_token3 = 150,
  aux_sym_flow_control_statement_token1 = 151,
  aux_sym_flow_control_statement_token2 = 152,
  aux_sym_flow_control_statement_token3 = 153,
  aux_sym_flow_control_statement_token4 = 154,
  aux_sym_flow_control_statement_token5 = 155,
  sym_label = 156,
  aux_sym_trap_statement_token1 = 157,
  aux_sym_try_statement_token1 = 158,
  aux_sym_catch_clause_token1 = 159,
  aux_sym_finally_clause_token1 = 160,
  aux_sym_data_statement_token1 = 161,
  aux_sym_data_commands_allowed_token1 = 162,
  aux_sym_inlinescript_statement_token1 = 163,
  aux_sym_parallel_statement_token1 = 164,
  aux_sym_sequence_statement_token1 = 165,
  anon_sym_PIPE = 166,
  anon_sym_AMP = 167,
  aux_sym__expandable_string_literal_immediate_token1 = 168,
  aux_sym__expandable_string_literal_immediate_token2 = 169,
  aux_sym__expandable_string_literal_immediate_token3 = 170,
  anon_sym_DQUOTE_DQUOTE2 = 171,
  anon_sym_DOLLAR2 = 172,
  anon_sym_DQUOTE = 173,
  aux_sym_command_name_token1 = 174,
  aux_sym_command_name_token2 = 175,
  anon_sym_DQUOTE2 = 176,
  anon_sym_SQUOTE_SQUOTE = 177,
  sym_path_command_name_token = 178,
  sym_stop_parsing = 179,
  anon_sym_SPACE = 180,
  anon_sym_COLON = 181,
  anon_sym_PERCENT = 182,
  aux_sym_foreach_command_token1 = 183,
  anon_sym_DASH_DASH_PERCENT = 184,
  aux_sym_class_attribute_token1 = 185,
  aux_sym_class_attribute_token2 = 186,
  aux_sym_class_statement_token1 = 187,
  aux_sym_enum_statement_token1 = 188,
  aux_sym_logical_expression_token1 = 189,
  aux_sym_logical_expression_token2 = 190,
  aux_sym_logical_expression_token3 = 191,
  aux_sym_bitwise_expression_token1 = 192,
  aux_sym_bitwise_expression_token2 = 193,
  aux_sym_bitwise_expression_token3 = 194,
  anon_sym_PLUS = 195,
  anon_sym_DASH = 196,
  anon_sym_SLASH = 197,
  anon_sym_BSLASH = 198,
  anon_sym_STAR = 199,
  anon_sym_DOT_DOT = 200,
  aux_sym_expression_with_unary_operator_token1 = 201,
  anon_sym_BANG = 202,
  aux_sym_expression_with_unary_operator_token2 = 203,
  anon_sym_PLUS_PLUS = 204,
  anon_sym_DASH_DASH = 205,
  anon_sym_DOLLAR_LPAREN = 206,
  anon_sym_AT_LPAREN = 207,
  anon_sym_AT_LBRACE = 208,
  anon_sym_DOT2 = 209,
  anon_sym_COLON_COLON = 210,
  anon_sym_RBRACK = 211,
  aux_sym_invokation_foreach_expression_token1 = 212,
  sym__statement_terminator = 213,
  sym_program = 214,
  sym__literal = 215,
  sym_integer_literal = 216,
  sym_string_literal = 217,
  sym_expandable_string_literal = 218,
  sym_expandable_here_string_literal = 219,
  sym_type_name = 220,
  sym_array_type_name = 221,
  sym_generic_type_name = 222,
  sym_assignement_operator = 223,
  sym_file_redirection_operator = 224,
  sym_merging_redirection_operator = 225,
  sym_comparison_operator = 226,
  sym_format_operator = 227,
  sym_variable = 228,
  aux_sym__verbatim_command_argument_chars = 229,
  sym_script_block = 230,
  sym_param_block = 231,
  sym_parameter_list = 232,
  sym_script_parameter = 233,
  sym_script_parameter_default = 234,
  sym_script_block_body = 235,
  sym_named_block_list = 236,
  sym_named_block = 237,
  sym_block_name = 238,
  sym_statement_block = 239,
  sym_statement_list = 240,
  sym__statement = 241,
  sym_empty_statement = 242,
  sym_if_statement = 243,
  sym_elseif_clauses = 244,
  sym_elseif_clause = 245,
  sym_else_clause = 246,
  sym__labeled_statement = 247,
  sym_switch_statement = 248,
  sym_switch_parameters = 249,
  sym_switch_parameter = 250,
  sym_switch_condition = 251,
  sym_switch_filename = 252,
  sym_switch_body = 253,
  sym_switch_clauses = 254,
  sym_switch_clause = 255,
  sym_switch_clause_condition = 256,
  sym_foreach_statement = 257,
  sym_foreach_parameter = 258,
  sym_for_statement = 259,
  sym_for_initializer = 260,
  sym_for_condition = 261,
  sym_for_iterator = 262,
  sym_while_statement = 263,
  sym_while_condition = 264,
  sym_do_statement = 265,
  sym_function_statement = 266,
  sym_function_name = 267,
  sym_function_parameter_declaration = 268,
  sym_flow_control_statement = 269,
  sym_label_expression = 270,
  sym_trap_statement = 271,
  sym_try_statement = 272,
  sym_catch_clauses = 273,
  sym_catch_clause = 274,
  sym_catch_type_list = 275,
  sym_finally_clause = 276,
  sym_data_statement = 277,
  sym_data_name = 278,
  sym_data_commands_allowed = 279,
  sym_data_commands_list = 280,
  sym_data_command = 281,
  sym_inlinescript_statement = 282,
  sym_parallel_statement = 283,
  sym_sequence_statement = 284,
  sym_pipeline = 285,
  sym_left_assignment_expression = 286,
  sym_assignment_expression = 287,
  aux_sym__pipeline_tail = 288,
  sym_command = 289,
  sym_command_invokation_operator = 290,
  sym__expandable_string_literal_immediate = 291,
  sym_command_name = 292,
  sym_path_command_name = 293,
  sym_command_name_expr = 294,
  sym_command_elements = 295,
  sym__command_element = 296,
  sym_command_argument_sep = 297,
  sym__command_argument = 298,
  sym_foreach_command = 299,
  sym_verbatim_command_argument = 300,
  sym_redirections = 301,
  sym_redirection = 302,
  sym_redirected_file_name = 303,
  sym_class_attribute = 304,
  sym_class_property_definition = 305,
  sym_class_method_parameter = 306,
  sym_class_method_parameter_list = 307,
  sym_class_method_definition = 308,
  sym_class_statement = 309,
  sym_enum_statement = 310,
  sym_enum_member = 311,
  sym__expression = 312,
  sym_logical_expression = 313,
  sym_bitwise_expression = 314,
  sym_comparison_expression = 315,
  sym_additive_expression = 316,
  sym_multiplicative_expression = 317,
  sym_format_expression = 318,
  sym_range_expression = 319,
  sym_array_literal_expression = 320,
  sym_unary_expression = 321,
  sym_expression_with_unary_operator = 322,
  sym_pre_increment_expression = 323,
  sym_pre_decrement_expression = 324,
  sym_cast_expression = 325,
  sym__primary_expression = 326,
  sym__value = 327,
  sym_parenthesized_expression = 328,
  sym_sub_expression = 329,
  sym_array_expression = 330,
  sym_script_block_expression = 331,
  sym_hash_literal_expression = 332,
  sym_hash_literal_body = 333,
  sym_hash_entry = 334,
  sym_key_expression = 335,
  sym_post_increment_expression = 336,
  sym_post_decrement_expression = 337,
  sym_member_access = 338,
  sym_member_name = 339,
  sym_element_access = 340,
  sym_invokation_expression = 341,
  sym_invokation_foreach_expression = 342,
  sym_argument_list = 343,
  sym_argument_expression_list = 344,
  sym_argument_expression = 345,
  sym_logical_argument_expression = 346,
  sym_bitwise_argument_expression = 347,
  sym_comparison_argument_expression = 348,
  sym_additive_argument_expression = 349,
  sym_multiplicative_argument_expression = 350,
  sym_format_argument_expression = 351,
  sym_range_argument_expression = 352,
  sym_type_literal = 353,
  sym_type_spec = 354,
  sym_dimension = 355,
  sym_generic_type_arguments = 356,
  sym_attribute_list = 357,
  sym_attribute = 358,
  sym_attribute_name = 359,
  sym_attribute_arguments = 360,
  sym_attribute_argument = 361,
  aux_sym_expandable_string_literal_repeat1 = 362,
  aux_sym_expandable_string_literal_repeat2 = 363,
  aux_sym_expandable_here_string_literal_repeat1 = 364,
  aux_sym_script_block_repeat1 = 365,
  aux_sym_parameter_list_repeat1 = 366,
  aux_sym_named_block_list_repeat1 = 367,
  aux_sym_statement_list_repeat1 = 368,
  aux_sym_elseif_clauses_repeat1 = 369,
  aux_sym_switch_parameters_repeat1 = 370,
  aux_sym_switch_clauses_repeat1 = 371,
  aux_sym_catch_clauses_repeat1 = 372,
  aux_sym_catch_type_list_repeat1 = 373,
  aux_sym_data_commands_list_repeat1 = 374,
  aux_sym__expandable_string_literal_immediate_repeat1 = 375,
  aux_sym__expandable_string_literal_immediate_repeat2 = 376,
  aux_sym_command_name_repeat1 = 377,
  aux_sym_path_command_name_repeat1 = 378,
  aux_sym_command_elements_repeat1 = 379,
  aux_sym_command_argument_sep_repeat1 = 380,
  aux_sym_foreach_command_repeat1 = 381,
  aux_sym_redirections_repeat1 = 382,
  aux_sym_class_property_definition_repeat1 = 383,
  aux_sym_class_method_parameter_list_repeat1 = 384,
  aux_sym_class_statement_repeat1 = 385,
  aux_sym_class_statement_repeat2 = 386,
  aux_sym_enum_statement_repeat1 = 387,
  aux_sym_array_literal_expression_repeat1 = 388,
  aux_sym_hash_literal_body_repeat1 = 389,
  aux_sym_argument_expression_list_repeat1 = 390,
  aux_sym_dimension_repeat1 = 391,
  aux_sym_generic_type_arguments_repeat1 = 392,
  aux_sym_attribute_list_repeat1 = 393,
  aux_sym_attribute_arguments_repeat1 = 394,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_comment] = "comment",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hexadecimal_integer_literal] = "hexadecimal_integer_literal",
  [sym_real_literal] = "real_literal",
  [aux_sym_expandable_string_literal_token1] = "expandable_string_literal_token1",
  [aux_sym_expandable_string_literal_token2] = "expandable_string_literal_token2",
  [aux_sym_expandable_string_literal_token3] = "expandable_string_literal_token3",
  [aux_sym_expandable_string_literal_token4] = "expandable_string_literal_token4",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_expandable_string_literal_token5] = "expandable_string_literal_token5",
  [aux_sym_expandable_here_string_literal_token1] = "expandable_here_string_literal_token1",
  [aux_sym_expandable_here_string_literal_token2] = "expandable_here_string_literal_token2",
  [aux_sym_expandable_here_string_literal_token3] = "expandable_here_string_literal_token3",
  [aux_sym_expandable_here_string_literal_token4] = "expandable_here_string_literal_token4",
  [aux_sym_expandable_here_string_literal_token5] = "expandable_here_string_literal_token5",
  [sym_verbatim_string_characters] = "verbatim_string_characters",
  [sym_verbatim_here_string_characters] = "verbatim_here_string_characters",
  [sym_simple_name] = "simple_name",
  [sym_type_identifier] = "type_identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LBRACK] = "[",
  [anon_sym_EQ] = "=",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_2_GT] = "2>",
  [anon_sym_2_GT_GT] = "2>>",
  [anon_sym_3_GT] = "3>",
  [anon_sym_3_GT_GT] = "3>>",
  [anon_sym_4_GT] = "4>",
  [anon_sym_4_GT_GT] = "4>>",
  [anon_sym_5_GT] = "5>",
  [anon_sym_5_GT_GT] = "5>>",
  [anon_sym_6_GT] = "6>",
  [anon_sym_6_GT_GT] = "6>>",
  [anon_sym_STAR_GT] = "*>",
  [anon_sym_STAR_GT_GT] = "*>>",
  [anon_sym_LT] = "<",
  [anon_sym_STAR_GT_AMP1] = "*>&1",
  [anon_sym_2_GT_AMP1] = "2>&1",
  [anon_sym_3_GT_AMP1] = "3>&1",
  [anon_sym_4_GT_AMP1] = "4>&1",
  [anon_sym_5_GT_AMP1] = "5>&1",
  [anon_sym_6_GT_AMP1] = "6>&1",
  [anon_sym_STAR_GT_AMP2] = "*>&2",
  [anon_sym_1_GT_AMP2] = "1>&2",
  [anon_sym_3_GT_AMP2] = "3>&2",
  [anon_sym_4_GT_AMP2] = "4>&2",
  [anon_sym_5_GT_AMP2] = "5>&2",
  [anon_sym_6_GT_AMP2] = "6>&2",
  [aux_sym_comparison_operator_token1] = "-as",
  [aux_sym_comparison_operator_token2] = "-ccontains",
  [aux_sym_comparison_operator_token3] = "-ceq",
  [aux_sym_comparison_operator_token4] = "-cge",
  [aux_sym_comparison_operator_token5] = "-cgt",
  [aux_sym_comparison_operator_token6] = "-cle",
  [aux_sym_comparison_operator_token7] = "-clike",
  [aux_sym_comparison_operator_token8] = "-clt",
  [aux_sym_comparison_operator_token9] = "-cmatch",
  [aux_sym_comparison_operator_token10] = "-cne",
  [aux_sym_comparison_operator_token11] = "-cnotcontains",
  [aux_sym_comparison_operator_token12] = "-cnotlike",
  [aux_sym_comparison_operator_token13] = "-cnotmatch",
  [aux_sym_comparison_operator_token14] = "-contains",
  [aux_sym_comparison_operator_token15] = "-creplace",
  [aux_sym_comparison_operator_token16] = "-csplit",
  [aux_sym_comparison_operator_token17] = "-eq",
  [aux_sym_comparison_operator_token18] = "-ge",
  [aux_sym_comparison_operator_token19] = "-gt",
  [aux_sym_comparison_operator_token20] = "-icontains",
  [aux_sym_comparison_operator_token21] = "-ieq",
  [aux_sym_comparison_operator_token22] = "-ige",
  [aux_sym_comparison_operator_token23] = "-igt",
  [aux_sym_comparison_operator_token24] = "-ile",
  [aux_sym_comparison_operator_token25] = "-ilike",
  [aux_sym_comparison_operator_token26] = "-ilt",
  [aux_sym_comparison_operator_token27] = "-imatch",
  [aux_sym_comparison_operator_token28] = "-in",
  [aux_sym_comparison_operator_token29] = "-ine",
  [aux_sym_comparison_operator_token30] = "-inotcontains",
  [aux_sym_comparison_operator_token31] = "-inotlike",
  [aux_sym_comparison_operator_token32] = "-inotmatch",
  [aux_sym_comparison_operator_token33] = "-ireplace",
  [aux_sym_comparison_operator_token34] = "-is",
  [aux_sym_comparison_operator_token35] = "-isnot",
  [aux_sym_comparison_operator_token36] = "-isplit",
  [aux_sym_comparison_operator_token37] = "-join",
  [aux_sym_comparison_operator_token38] = "-le",
  [aux_sym_comparison_operator_token39] = "-like",
  [aux_sym_comparison_operator_token40] = "-lt",
  [aux_sym_comparison_operator_token41] = "-match",
  [aux_sym_comparison_operator_token42] = "-ne",
  [aux_sym_comparison_operator_token43] = "-notcontains",
  [aux_sym_comparison_operator_token44] = "-notin",
  [aux_sym_comparison_operator_token45] = "-notlike",
  [aux_sym_comparison_operator_token46] = "-notmatch",
  [aux_sym_comparison_operator_token47] = "-replace",
  [aux_sym_comparison_operator_token48] = "-shl",
  [aux_sym_comparison_operator_token49] = "-shr",
  [aux_sym_comparison_operator_token50] = "-split",
  [aux_sym_format_operator_token1] = "-f",
  [anon_sym_DOLLAR_DOLLAR] = "$$",
  [anon_sym_DOLLAR_CARET] = "$^",
  [anon_sym_DOLLAR_QMARK] = "$\?",
  [anon_sym_DOLLAR_] = "$_",
  [aux_sym_variable_token1] = "variable_token1",
  [aux_sym_variable_token2] = "variable_token2",
  [sym_braced_variable] = "braced_variable",
  [sym_generic_token] = "generic_token",
  [sym__command_token] = "_command_token",
  [sym_command_parameter] = "command_parameter",
  [aux_sym__verbatim_command_argument_chars_token1] = "_verbatim_command_argument_chars_token1",
  [aux_sym__verbatim_command_argument_chars_token2] = "_verbatim_command_argument_chars_token2",
  [aux_sym__verbatim_command_argument_chars_token3] = "_verbatim_command_argument_chars_token3",
  [anon_sym_SEMI] = ";",
  [aux_sym_param_block_token1] = "param",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [aux_sym_block_name_token1] = "dynamicparam",
  [aux_sym_block_name_token2] = "begin",
  [aux_sym_block_name_token3] = "process",
  [aux_sym_block_name_token4] = "end",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_elseif_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_parameter_token1] = "-regex",
  [aux_sym_switch_parameter_token2] = "-wildcard",
  [aux_sym_switch_parameter_token3] = "-exact",
  [aux_sym_switch_parameter_token4] = "-casesensitive",
  [aux_sym_switch_parameter_token5] = "-parallel",
  [aux_sym_switch_condition_token1] = "-file",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "in",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "for_statement_token2",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_do_statement_token2] = "until",
  [aux_sym_function_statement_token1] = "function",
  [aux_sym_function_statement_token2] = "filter",
  [aux_sym_function_statement_token3] = "workflow",
  [aux_sym_flow_control_statement_token1] = "break",
  [aux_sym_flow_control_statement_token2] = "continue",
  [aux_sym_flow_control_statement_token3] = "throw",
  [aux_sym_flow_control_statement_token4] = "return",
  [aux_sym_flow_control_statement_token5] = "exit",
  [sym_label] = "label",
  [aux_sym_trap_statement_token1] = "trap",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_data_statement_token1] = "data",
  [aux_sym_data_commands_allowed_token1] = "-supportedcommand",
  [aux_sym_inlinescript_statement_token1] = "inlinescript",
  [aux_sym_parallel_statement_token1] = "parallel",
  [aux_sym_sequence_statement_token1] = "sequence",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [aux_sym__expandable_string_literal_immediate_token1] = "_expandable_string_literal_immediate_token1",
  [aux_sym__expandable_string_literal_immediate_token2] = "_expandable_string_literal_immediate_token2",
  [aux_sym__expandable_string_literal_immediate_token3] = "_expandable_string_literal_immediate_token3",
  [anon_sym_DQUOTE_DQUOTE2] = "\"\"",
  [anon_sym_DOLLAR2] = "$",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_command_name_token1] = "command_name_token1",
  [aux_sym_command_name_token2] = "command_name_token2",
  [anon_sym_DQUOTE2] = "\"",
  [anon_sym_SQUOTE_SQUOTE] = "''",
  [sym_path_command_name_token] = "path_command_name_token",
  [sym_stop_parsing] = "stop_parsing",
  [anon_sym_SPACE] = " ",
  [anon_sym_COLON] = ":",
  [anon_sym_PERCENT] = "%",
  [aux_sym_foreach_command_token1] = "foreach-object",
  [anon_sym_DASH_DASH_PERCENT] = "--%",
  [aux_sym_class_attribute_token1] = "class_attribute_token1",
  [aux_sym_class_attribute_token2] = "class_attribute_token2",
  [aux_sym_class_statement_token1] = "class_statement_token1",
  [aux_sym_enum_statement_token1] = "enum_statement_token1",
  [aux_sym_logical_expression_token1] = "-and",
  [aux_sym_logical_expression_token2] = "-or",
  [aux_sym_logical_expression_token3] = "-xor",
  [aux_sym_bitwise_expression_token1] = "-band",
  [aux_sym_bitwise_expression_token2] = "-bor",
  [aux_sym_bitwise_expression_token3] = "-bxor",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_STAR] = "*",
  [anon_sym_DOT_DOT] = "..",
  [aux_sym_expression_with_unary_operator_token1] = "-not",
  [anon_sym_BANG] = "!",
  [aux_sym_expression_with_unary_operator_token2] = "-bnot",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_AT_LPAREN] = "@(",
  [anon_sym_AT_LBRACE] = "@{",
  [anon_sym_DOT2] = ".",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_RBRACK] = "]",
  [aux_sym_invokation_foreach_expression_token1] = "invokation_foreach_expression_token1",
  [sym__statement_terminator] = "_statement_terminator",
  [sym_program] = "program",
  [sym__literal] = "_literal",
  [sym_integer_literal] = "integer_literal",
  [sym_string_literal] = "string_literal",
  [sym_expandable_string_literal] = "expandable_string_literal",
  [sym_expandable_here_string_literal] = "expandable_here_string_literal",
  [sym_type_name] = "type_name",
  [sym_array_type_name] = "array_type_name",
  [sym_generic_type_name] = "generic_type_name",
  [sym_assignement_operator] = "assignement_operator",
  [sym_file_redirection_operator] = "file_redirection_operator",
  [sym_merging_redirection_operator] = "merging_redirection_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_format_operator] = "format_operator",
  [sym_variable] = "variable",
  [aux_sym__verbatim_command_argument_chars] = "_verbatim_command_argument_chars",
  [sym_script_block] = "script_block",
  [sym_param_block] = "param_block",
  [sym_parameter_list] = "parameter_list",
  [sym_script_parameter] = "script_parameter",
  [sym_script_parameter_default] = "script_parameter_default",
  [sym_script_block_body] = "script_block_body",
  [sym_named_block_list] = "named_block_list",
  [sym_named_block] = "named_block",
  [sym_block_name] = "block_name",
  [sym_statement_block] = "statement_block",
  [sym_statement_list] = "statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_if_statement] = "if_statement",
  [sym_elseif_clauses] = "elseif_clauses",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym__labeled_statement] = "_labeled_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_parameters] = "switch_parameters",
  [sym_switch_parameter] = "switch_parameter",
  [sym_switch_condition] = "switch_condition",
  [sym_switch_filename] = "switch_filename",
  [sym_switch_body] = "switch_body",
  [sym_switch_clauses] = "switch_clauses",
  [sym_switch_clause] = "switch_clause",
  [sym_switch_clause_condition] = "switch_clause_condition",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_parameter] = "foreach_parameter",
  [sym_for_statement] = "for_statement",
  [sym_for_initializer] = "for_initializer",
  [sym_for_condition] = "for_condition",
  [sym_for_iterator] = "for_iterator",
  [sym_while_statement] = "while_statement",
  [sym_while_condition] = "while_condition",
  [sym_do_statement] = "do_statement",
  [sym_function_statement] = "function_statement",
  [sym_function_name] = "function_name",
  [sym_function_parameter_declaration] = "function_parameter_declaration",
  [sym_flow_control_statement] = "flow_control_statement",
  [sym_label_expression] = "label_expression",
  [sym_trap_statement] = "trap_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clauses] = "catch_clauses",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_type_list] = "catch_type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_data_statement] = "data_statement",
  [sym_data_name] = "data_name",
  [sym_data_commands_allowed] = "data_commands_allowed",
  [sym_data_commands_list] = "data_commands_list",
  [sym_data_command] = "data_command",
  [sym_inlinescript_statement] = "inlinescript_statement",
  [sym_parallel_statement] = "parallel_statement",
  [sym_sequence_statement] = "sequence_statement",
  [sym_pipeline] = "pipeline",
  [sym_left_assignment_expression] = "left_assignment_expression",
  [sym_assignment_expression] = "assignment_expression",
  [aux_sym__pipeline_tail] = "_pipeline_tail",
  [sym_command] = "command",
  [sym_command_invokation_operator] = "command_invokation_operator",
  [sym__expandable_string_literal_immediate] = "_expandable_string_literal_immediate",
  [sym_command_name] = "command_name",
  [sym_path_command_name] = "path_command_name",
  [sym_command_name_expr] = "command_name_expr",
  [sym_command_elements] = "command_elements",
  [sym__command_element] = "_command_element",
  [sym_command_argument_sep] = "command_argument_sep",
  [sym__command_argument] = "_command_argument",
  [sym_foreach_command] = "foreach_command",
  [sym_verbatim_command_argument] = "verbatim_command_argument",
  [sym_redirections] = "redirections",
  [sym_redirection] = "redirection",
  [sym_redirected_file_name] = "redirected_file_name",
  [sym_class_attribute] = "class_attribute",
  [sym_class_property_definition] = "class_property_definition",
  [sym_class_method_parameter] = "class_method_parameter",
  [sym_class_method_parameter_list] = "class_method_parameter_list",
  [sym_class_method_definition] = "class_method_definition",
  [sym_class_statement] = "class_statement",
  [sym_enum_statement] = "enum_statement",
  [sym_enum_member] = "enum_member",
  [sym__expression] = "_expression",
  [sym_logical_expression] = "logical_expression",
  [sym_bitwise_expression] = "bitwise_expression",
  [sym_comparison_expression] = "comparison_expression",
  [sym_additive_expression] = "additive_expression",
  [sym_multiplicative_expression] = "multiplicative_expression",
  [sym_format_expression] = "format_expression",
  [sym_range_expression] = "range_expression",
  [sym_array_literal_expression] = "array_literal_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_expression_with_unary_operator] = "expression_with_unary_operator",
  [sym_pre_increment_expression] = "pre_increment_expression",
  [sym_pre_decrement_expression] = "pre_decrement_expression",
  [sym_cast_expression] = "cast_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym__value] = "_value",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_sub_expression] = "sub_expression",
  [sym_array_expression] = "array_expression",
  [sym_script_block_expression] = "script_block_expression",
  [sym_hash_literal_expression] = "hash_literal_expression",
  [sym_hash_literal_body] = "hash_literal_body",
  [sym_hash_entry] = "hash_entry",
  [sym_key_expression] = "key_expression",
  [sym_post_increment_expression] = "post_increment_expression",
  [sym_post_decrement_expression] = "post_decrement_expression",
  [sym_member_access] = "member_access",
  [sym_member_name] = "member_name",
  [sym_element_access] = "element_access",
  [sym_invokation_expression] = "invokation_expression",
  [sym_invokation_foreach_expression] = "invokation_foreach_expression",
  [sym_argument_list] = "argument_list",
  [sym_argument_expression_list] = "argument_expression_list",
  [sym_argument_expression] = "argument_expression",
  [sym_logical_argument_expression] = "logical_argument_expression",
  [sym_bitwise_argument_expression] = "bitwise_argument_expression",
  [sym_comparison_argument_expression] = "comparison_argument_expression",
  [sym_additive_argument_expression] = "additive_argument_expression",
  [sym_multiplicative_argument_expression] = "multiplicative_argument_expression",
  [sym_format_argument_expression] = "format_argument_expression",
  [sym_range_argument_expression] = "range_argument_expression",
  [sym_type_literal] = "type_literal",
  [sym_type_spec] = "type_spec",
  [sym_dimension] = "dimension",
  [sym_generic_type_arguments] = "generic_type_arguments",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_arguments] = "attribute_arguments",
  [sym_attribute_argument] = "attribute_argument",
  [aux_sym_expandable_string_literal_repeat1] = "expandable_string_literal_repeat1",
  [aux_sym_expandable_string_literal_repeat2] = "expandable_string_literal_repeat2",
  [aux_sym_expandable_here_string_literal_repeat1] = "expandable_here_string_literal_repeat1",
  [aux_sym_script_block_repeat1] = "script_block_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_named_block_list_repeat1] = "named_block_list_repeat1",
  [aux_sym_statement_list_repeat1] = "statement_list_repeat1",
  [aux_sym_elseif_clauses_repeat1] = "elseif_clauses_repeat1",
  [aux_sym_switch_parameters_repeat1] = "switch_parameters_repeat1",
  [aux_sym_switch_clauses_repeat1] = "switch_clauses_repeat1",
  [aux_sym_catch_clauses_repeat1] = "catch_clauses_repeat1",
  [aux_sym_catch_type_list_repeat1] = "catch_type_list_repeat1",
  [aux_sym_data_commands_list_repeat1] = "data_commands_list_repeat1",
  [aux_sym__expandable_string_literal_immediate_repeat1] = "_expandable_string_literal_immediate_repeat1",
  [aux_sym__expandable_string_literal_immediate_repeat2] = "_expandable_string_literal_immediate_repeat2",
  [aux_sym_command_name_repeat1] = "command_name_repeat1",
  [aux_sym_path_command_name_repeat1] = "path_command_name_repeat1",
  [aux_sym_command_elements_repeat1] = "command_elements_repeat1",
  [aux_sym_command_argument_sep_repeat1] = "command_argument_sep_repeat1",
  [aux_sym_foreach_command_repeat1] = "foreach_command_repeat1",
  [aux_sym_redirections_repeat1] = "redirections_repeat1",
  [aux_sym_class_property_definition_repeat1] = "class_property_definition_repeat1",
  [aux_sym_class_method_parameter_list_repeat1] = "class_method_parameter_list_repeat1",
  [aux_sym_class_statement_repeat1] = "class_statement_repeat1",
  [aux_sym_class_statement_repeat2] = "class_statement_repeat2",
  [aux_sym_enum_statement_repeat1] = "enum_statement_repeat1",
  [aux_sym_array_literal_expression_repeat1] = "array_literal_expression_repeat1",
  [aux_sym_hash_literal_body_repeat1] = "hash_literal_body_repeat1",
  [aux_sym_argument_expression_list_repeat1] = "argument_expression_list_repeat1",
  [aux_sym_dimension_repeat1] = "dimension_repeat1",
  [aux_sym_generic_type_arguments_repeat1] = "generic_type_arguments_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_attribute_arguments_repeat1] = "attribute_arguments_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_comment] = sym_comment,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hexadecimal_integer_literal] = sym_hexadecimal_integer_literal,
  [sym_real_literal] = sym_real_literal,
  [aux_sym_expandable_string_literal_token1] = aux_sym_expandable_string_literal_token1,
  [aux_sym_expandable_string_literal_token2] = aux_sym_expandable_string_literal_token2,
  [aux_sym_expandable_string_literal_token3] = aux_sym_expandable_string_literal_token3,
  [aux_sym_expandable_string_literal_token4] = aux_sym_expandable_string_literal_token4,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_expandable_string_literal_token5] = aux_sym_expandable_string_literal_token5,
  [aux_sym_expandable_here_string_literal_token1] = aux_sym_expandable_here_string_literal_token1,
  [aux_sym_expandable_here_string_literal_token2] = aux_sym_expandable_here_string_literal_token2,
  [aux_sym_expandable_here_string_literal_token3] = aux_sym_expandable_here_string_literal_token3,
  [aux_sym_expandable_here_string_literal_token4] = aux_sym_expandable_here_string_literal_token4,
  [aux_sym_expandable_here_string_literal_token5] = aux_sym_expandable_here_string_literal_token5,
  [sym_verbatim_string_characters] = sym_verbatim_string_characters,
  [sym_verbatim_here_string_characters] = sym_verbatim_here_string_characters,
  [sym_simple_name] = sym_simple_name,
  [sym_type_identifier] = sym_type_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_2_GT] = anon_sym_2_GT,
  [anon_sym_2_GT_GT] = anon_sym_2_GT_GT,
  [anon_sym_3_GT] = anon_sym_3_GT,
  [anon_sym_3_GT_GT] = anon_sym_3_GT_GT,
  [anon_sym_4_GT] = anon_sym_4_GT,
  [anon_sym_4_GT_GT] = anon_sym_4_GT_GT,
  [anon_sym_5_GT] = anon_sym_5_GT,
  [anon_sym_5_GT_GT] = anon_sym_5_GT_GT,
  [anon_sym_6_GT] = anon_sym_6_GT,
  [anon_sym_6_GT_GT] = anon_sym_6_GT_GT,
  [anon_sym_STAR_GT] = anon_sym_STAR_GT,
  [anon_sym_STAR_GT_GT] = anon_sym_STAR_GT_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_STAR_GT_AMP1] = anon_sym_STAR_GT_AMP1,
  [anon_sym_2_GT_AMP1] = anon_sym_2_GT_AMP1,
  [anon_sym_3_GT_AMP1] = anon_sym_3_GT_AMP1,
  [anon_sym_4_GT_AMP1] = anon_sym_4_GT_AMP1,
  [anon_sym_5_GT_AMP1] = anon_sym_5_GT_AMP1,
  [anon_sym_6_GT_AMP1] = anon_sym_6_GT_AMP1,
  [anon_sym_STAR_GT_AMP2] = anon_sym_STAR_GT_AMP2,
  [anon_sym_1_GT_AMP2] = anon_sym_1_GT_AMP2,
  [anon_sym_3_GT_AMP2] = anon_sym_3_GT_AMP2,
  [anon_sym_4_GT_AMP2] = anon_sym_4_GT_AMP2,
  [anon_sym_5_GT_AMP2] = anon_sym_5_GT_AMP2,
  [anon_sym_6_GT_AMP2] = anon_sym_6_GT_AMP2,
  [aux_sym_comparison_operator_token1] = aux_sym_comparison_operator_token1,
  [aux_sym_comparison_operator_token2] = aux_sym_comparison_operator_token2,
  [aux_sym_comparison_operator_token3] = aux_sym_comparison_operator_token3,
  [aux_sym_comparison_operator_token4] = aux_sym_comparison_operator_token4,
  [aux_sym_comparison_operator_token5] = aux_sym_comparison_operator_token5,
  [aux_sym_comparison_operator_token6] = aux_sym_comparison_operator_token6,
  [aux_sym_comparison_operator_token7] = aux_sym_comparison_operator_token7,
  [aux_sym_comparison_operator_token8] = aux_sym_comparison_operator_token8,
  [aux_sym_comparison_operator_token9] = aux_sym_comparison_operator_token9,
  [aux_sym_comparison_operator_token10] = aux_sym_comparison_operator_token10,
  [aux_sym_comparison_operator_token11] = aux_sym_comparison_operator_token11,
  [aux_sym_comparison_operator_token12] = aux_sym_comparison_operator_token12,
  [aux_sym_comparison_operator_token13] = aux_sym_comparison_operator_token13,
  [aux_sym_comparison_operator_token14] = aux_sym_comparison_operator_token14,
  [aux_sym_comparison_operator_token15] = aux_sym_comparison_operator_token15,
  [aux_sym_comparison_operator_token16] = aux_sym_comparison_operator_token16,
  [aux_sym_comparison_operator_token17] = aux_sym_comparison_operator_token17,
  [aux_sym_comparison_operator_token18] = aux_sym_comparison_operator_token18,
  [aux_sym_comparison_operator_token19] = aux_sym_comparison_operator_token19,
  [aux_sym_comparison_operator_token20] = aux_sym_comparison_operator_token20,
  [aux_sym_comparison_operator_token21] = aux_sym_comparison_operator_token21,
  [aux_sym_comparison_operator_token22] = aux_sym_comparison_operator_token22,
  [aux_sym_comparison_operator_token23] = aux_sym_comparison_operator_token23,
  [aux_sym_comparison_operator_token24] = aux_sym_comparison_operator_token24,
  [aux_sym_comparison_operator_token25] = aux_sym_comparison_operator_token25,
  [aux_sym_comparison_operator_token26] = aux_sym_comparison_operator_token26,
  [aux_sym_comparison_operator_token27] = aux_sym_comparison_operator_token27,
  [aux_sym_comparison_operator_token28] = aux_sym_comparison_operator_token28,
  [aux_sym_comparison_operator_token29] = aux_sym_comparison_operator_token29,
  [aux_sym_comparison_operator_token30] = aux_sym_comparison_operator_token30,
  [aux_sym_comparison_operator_token31] = aux_sym_comparison_operator_token31,
  [aux_sym_comparison_operator_token32] = aux_sym_comparison_operator_token32,
  [aux_sym_comparison_operator_token33] = aux_sym_comparison_operator_token33,
  [aux_sym_comparison_operator_token34] = aux_sym_comparison_operator_token34,
  [aux_sym_comparison_operator_token35] = aux_sym_comparison_operator_token35,
  [aux_sym_comparison_operator_token36] = aux_sym_comparison_operator_token36,
  [aux_sym_comparison_operator_token37] = aux_sym_comparison_operator_token37,
  [aux_sym_comparison_operator_token38] = aux_sym_comparison_operator_token38,
  [aux_sym_comparison_operator_token39] = aux_sym_comparison_operator_token39,
  [aux_sym_comparison_operator_token40] = aux_sym_comparison_operator_token40,
  [aux_sym_comparison_operator_token41] = aux_sym_comparison_operator_token41,
  [aux_sym_comparison_operator_token42] = aux_sym_comparison_operator_token42,
  [aux_sym_comparison_operator_token43] = aux_sym_comparison_operator_token43,
  [aux_sym_comparison_operator_token44] = aux_sym_comparison_operator_token44,
  [aux_sym_comparison_operator_token45] = aux_sym_comparison_operator_token45,
  [aux_sym_comparison_operator_token46] = aux_sym_comparison_operator_token46,
  [aux_sym_comparison_operator_token47] = aux_sym_comparison_operator_token47,
  [aux_sym_comparison_operator_token48] = aux_sym_comparison_operator_token48,
  [aux_sym_comparison_operator_token49] = aux_sym_comparison_operator_token49,
  [aux_sym_comparison_operator_token50] = aux_sym_comparison_operator_token50,
  [aux_sym_format_operator_token1] = aux_sym_format_operator_token1,
  [anon_sym_DOLLAR_DOLLAR] = anon_sym_DOLLAR_DOLLAR,
  [anon_sym_DOLLAR_CARET] = anon_sym_DOLLAR_CARET,
  [anon_sym_DOLLAR_QMARK] = anon_sym_DOLLAR_QMARK,
  [anon_sym_DOLLAR_] = anon_sym_DOLLAR_,
  [aux_sym_variable_token1] = aux_sym_variable_token1,
  [aux_sym_variable_token2] = aux_sym_variable_token2,
  [sym_braced_variable] = sym_braced_variable,
  [sym_generic_token] = sym_generic_token,
  [sym__command_token] = sym__command_token,
  [sym_command_parameter] = sym_command_parameter,
  [aux_sym__verbatim_command_argument_chars_token1] = aux_sym__verbatim_command_argument_chars_token1,
  [aux_sym__verbatim_command_argument_chars_token2] = aux_sym__verbatim_command_argument_chars_token2,
  [aux_sym__verbatim_command_argument_chars_token3] = aux_sym__verbatim_command_argument_chars_token3,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_param_block_token1] = aux_sym_param_block_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_block_name_token1] = aux_sym_block_name_token1,
  [aux_sym_block_name_token2] = aux_sym_block_name_token2,
  [aux_sym_block_name_token3] = aux_sym_block_name_token3,
  [aux_sym_block_name_token4] = aux_sym_block_name_token4,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_elseif_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_parameter_token1] = aux_sym_switch_parameter_token1,
  [aux_sym_switch_parameter_token2] = aux_sym_switch_parameter_token2,
  [aux_sym_switch_parameter_token3] = aux_sym_switch_parameter_token3,
  [aux_sym_switch_parameter_token4] = aux_sym_switch_parameter_token4,
  [aux_sym_switch_parameter_token5] = aux_sym_switch_parameter_token5,
  [aux_sym_switch_condition_token1] = aux_sym_switch_condition_token1,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_do_statement_token2] = aux_sym_do_statement_token2,
  [aux_sym_function_statement_token1] = aux_sym_function_statement_token1,
  [aux_sym_function_statement_token2] = aux_sym_function_statement_token2,
  [aux_sym_function_statement_token3] = aux_sym_function_statement_token3,
  [aux_sym_flow_control_statement_token1] = aux_sym_flow_control_statement_token1,
  [aux_sym_flow_control_statement_token2] = aux_sym_flow_control_statement_token2,
  [aux_sym_flow_control_statement_token3] = aux_sym_flow_control_statement_token3,
  [aux_sym_flow_control_statement_token4] = aux_sym_flow_control_statement_token4,
  [aux_sym_flow_control_statement_token5] = aux_sym_flow_control_statement_token5,
  [sym_label] = sym_label,
  [aux_sym_trap_statement_token1] = aux_sym_trap_statement_token1,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_data_statement_token1] = aux_sym_data_statement_token1,
  [aux_sym_data_commands_allowed_token1] = aux_sym_data_commands_allowed_token1,
  [aux_sym_inlinescript_statement_token1] = aux_sym_inlinescript_statement_token1,
  [aux_sym_parallel_statement_token1] = aux_sym_parallel_statement_token1,
  [aux_sym_sequence_statement_token1] = aux_sym_sequence_statement_token1,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym__expandable_string_literal_immediate_token1] = aux_sym__expandable_string_literal_immediate_token1,
  [aux_sym__expandable_string_literal_immediate_token2] = aux_sym__expandable_string_literal_immediate_token2,
  [aux_sym__expandable_string_literal_immediate_token3] = aux_sym__expandable_string_literal_immediate_token3,
  [anon_sym_DQUOTE_DQUOTE2] = anon_sym_DQUOTE_DQUOTE,
  [anon_sym_DOLLAR2] = anon_sym_DOLLAR,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_command_name_token1] = aux_sym_command_name_token1,
  [aux_sym_command_name_token2] = aux_sym_command_name_token2,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE,
  [sym_path_command_name_token] = sym_path_command_name_token,
  [sym_stop_parsing] = sym_stop_parsing,
  [anon_sym_SPACE] = anon_sym_SPACE,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_foreach_command_token1] = aux_sym_foreach_command_token1,
  [anon_sym_DASH_DASH_PERCENT] = anon_sym_DASH_DASH_PERCENT,
  [aux_sym_class_attribute_token1] = aux_sym_class_attribute_token1,
  [aux_sym_class_attribute_token2] = aux_sym_class_attribute_token2,
  [aux_sym_class_statement_token1] = aux_sym_class_statement_token1,
  [aux_sym_enum_statement_token1] = aux_sym_enum_statement_token1,
  [aux_sym_logical_expression_token1] = aux_sym_logical_expression_token1,
  [aux_sym_logical_expression_token2] = aux_sym_logical_expression_token2,
  [aux_sym_logical_expression_token3] = aux_sym_logical_expression_token3,
  [aux_sym_bitwise_expression_token1] = aux_sym_bitwise_expression_token1,
  [aux_sym_bitwise_expression_token2] = aux_sym_bitwise_expression_token2,
  [aux_sym_bitwise_expression_token3] = aux_sym_bitwise_expression_token3,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [aux_sym_expression_with_unary_operator_token1] = aux_sym_expression_with_unary_operator_token1,
  [anon_sym_BANG] = anon_sym_BANG,
  [aux_sym_expression_with_unary_operator_token2] = aux_sym_expression_with_unary_operator_token2,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_AT_LPAREN] = anon_sym_AT_LPAREN,
  [anon_sym_AT_LBRACE] = anon_sym_AT_LBRACE,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_invokation_foreach_expression_token1] = aux_sym_invokation_foreach_expression_token1,
  [sym__statement_terminator] = sym__statement_terminator,
  [sym_program] = sym_program,
  [sym__literal] = sym__literal,
  [sym_integer_literal] = sym_integer_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_expandable_string_literal] = sym_expandable_string_literal,
  [sym_expandable_here_string_literal] = sym_expandable_here_string_literal,
  [sym_type_name] = sym_type_name,
  [sym_array_type_name] = sym_array_type_name,
  [sym_generic_type_name] = sym_generic_type_name,
  [sym_assignement_operator] = sym_assignement_operator,
  [sym_file_redirection_operator] = sym_file_redirection_operator,
  [sym_merging_redirection_operator] = sym_merging_redirection_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_format_operator] = sym_format_operator,
  [sym_variable] = sym_variable,
  [aux_sym__verbatim_command_argument_chars] = aux_sym__verbatim_command_argument_chars,
  [sym_script_block] = sym_script_block,
  [sym_param_block] = sym_param_block,
  [sym_parameter_list] = sym_parameter_list,
  [sym_script_parameter] = sym_script_parameter,
  [sym_script_parameter_default] = sym_script_parameter_default,
  [sym_script_block_body] = sym_script_block_body,
  [sym_named_block_list] = sym_named_block_list,
  [sym_named_block] = sym_named_block,
  [sym_block_name] = sym_block_name,
  [sym_statement_block] = sym_statement_block,
  [sym_statement_list] = sym_statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elseif_clauses] = sym_elseif_clauses,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym__labeled_statement] = sym__labeled_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_parameters] = sym_switch_parameters,
  [sym_switch_parameter] = sym_switch_parameter,
  [sym_switch_condition] = sym_switch_condition,
  [sym_switch_filename] = sym_switch_filename,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_clauses] = sym_switch_clauses,
  [sym_switch_clause] = sym_switch_clause,
  [sym_switch_clause_condition] = sym_switch_clause_condition,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_parameter] = sym_foreach_parameter,
  [sym_for_statement] = sym_for_statement,
  [sym_for_initializer] = sym_for_initializer,
  [sym_for_condition] = sym_for_condition,
  [sym_for_iterator] = sym_for_iterator,
  [sym_while_statement] = sym_while_statement,
  [sym_while_condition] = sym_while_condition,
  [sym_do_statement] = sym_do_statement,
  [sym_function_statement] = sym_function_statement,
  [sym_function_name] = sym_function_name,
  [sym_function_parameter_declaration] = sym_function_parameter_declaration,
  [sym_flow_control_statement] = sym_flow_control_statement,
  [sym_label_expression] = sym_label_expression,
  [sym_trap_statement] = sym_trap_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clauses] = sym_catch_clauses,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_type_list] = sym_catch_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_data_statement] = sym_data_statement,
  [sym_data_name] = sym_data_name,
  [sym_data_commands_allowed] = sym_data_commands_allowed,
  [sym_data_commands_list] = sym_data_commands_list,
  [sym_data_command] = sym_data_command,
  [sym_inlinescript_statement] = sym_inlinescript_statement,
  [sym_parallel_statement] = sym_parallel_statement,
  [sym_sequence_statement] = sym_sequence_statement,
  [sym_pipeline] = sym_pipeline,
  [sym_left_assignment_expression] = sym_left_assignment_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [aux_sym__pipeline_tail] = aux_sym__pipeline_tail,
  [sym_command] = sym_command,
  [sym_command_invokation_operator] = sym_command_invokation_operator,
  [sym__expandable_string_literal_immediate] = sym__expandable_string_literal_immediate,
  [sym_command_name] = sym_command_name,
  [sym_path_command_name] = sym_path_command_name,
  [sym_command_name_expr] = sym_command_name_expr,
  [sym_command_elements] = sym_command_elements,
  [sym__command_element] = sym__command_element,
  [sym_command_argument_sep] = sym_command_argument_sep,
  [sym__command_argument] = sym__command_argument,
  [sym_foreach_command] = sym_foreach_command,
  [sym_verbatim_command_argument] = sym_verbatim_command_argument,
  [sym_redirections] = sym_redirections,
  [sym_redirection] = sym_redirection,
  [sym_redirected_file_name] = sym_redirected_file_name,
  [sym_class_attribute] = sym_class_attribute,
  [sym_class_property_definition] = sym_class_property_definition,
  [sym_class_method_parameter] = sym_class_method_parameter,
  [sym_class_method_parameter_list] = sym_class_method_parameter_list,
  [sym_class_method_definition] = sym_class_method_definition,
  [sym_class_statement] = sym_class_statement,
  [sym_enum_statement] = sym_enum_statement,
  [sym_enum_member] = sym_enum_member,
  [sym__expression] = sym__expression,
  [sym_logical_expression] = sym_logical_expression,
  [sym_bitwise_expression] = sym_bitwise_expression,
  [sym_comparison_expression] = sym_comparison_expression,
  [sym_additive_expression] = sym_additive_expression,
  [sym_multiplicative_expression] = sym_multiplicative_expression,
  [sym_format_expression] = sym_format_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_array_literal_expression] = sym_array_literal_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_expression_with_unary_operator] = sym_expression_with_unary_operator,
  [sym_pre_increment_expression] = sym_pre_increment_expression,
  [sym_pre_decrement_expression] = sym_pre_decrement_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym__value] = sym__value,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_sub_expression] = sym_sub_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_script_block_expression] = sym_script_block_expression,
  [sym_hash_literal_expression] = sym_hash_literal_expression,
  [sym_hash_literal_body] = sym_hash_literal_body,
  [sym_hash_entry] = sym_hash_entry,
  [sym_key_expression] = sym_key_expression,
  [sym_post_increment_expression] = sym_post_increment_expression,
  [sym_post_decrement_expression] = sym_post_decrement_expression,
  [sym_member_access] = sym_member_access,
  [sym_member_name] = sym_member_name,
  [sym_element_access] = sym_element_access,
  [sym_invokation_expression] = sym_invokation_expression,
  [sym_invokation_foreach_expression] = sym_invokation_foreach_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_argument_expression_list] = sym_argument_expression_list,
  [sym_argument_expression] = sym_argument_expression,
  [sym_logical_argument_expression] = sym_logical_argument_expression,
  [sym_bitwise_argument_expression] = sym_bitwise_argument_expression,
  [sym_comparison_argument_expression] = sym_comparison_argument_expression,
  [sym_additive_argument_expression] = sym_additive_argument_expression,
  [sym_multiplicative_argument_expression] = sym_multiplicative_argument_expression,
  [sym_format_argument_expression] = sym_format_argument_expression,
  [sym_range_argument_expression] = sym_range_argument_expression,
  [sym_type_literal] = sym_type_literal,
  [sym_type_spec] = sym_type_spec,
  [sym_dimension] = sym_dimension,
  [sym_generic_type_arguments] = sym_generic_type_arguments,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_arguments] = sym_attribute_arguments,
  [sym_attribute_argument] = sym_attribute_argument,
  [aux_sym_expandable_string_literal_repeat1] = aux_sym_expandable_string_literal_repeat1,
  [aux_sym_expandable_string_literal_repeat2] = aux_sym_expandable_string_literal_repeat2,
  [aux_sym_expandable_here_string_literal_repeat1] = aux_sym_expandable_here_string_literal_repeat1,
  [aux_sym_script_block_repeat1] = aux_sym_script_block_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_named_block_list_repeat1] = aux_sym_named_block_list_repeat1,
  [aux_sym_statement_list_repeat1] = aux_sym_statement_list_repeat1,
  [aux_sym_elseif_clauses_repeat1] = aux_sym_elseif_clauses_repeat1,
  [aux_sym_switch_parameters_repeat1] = aux_sym_switch_parameters_repeat1,
  [aux_sym_switch_clauses_repeat1] = aux_sym_switch_clauses_repeat1,
  [aux_sym_catch_clauses_repeat1] = aux_sym_catch_clauses_repeat1,
  [aux_sym_catch_type_list_repeat1] = aux_sym_catch_type_list_repeat1,
  [aux_sym_data_commands_list_repeat1] = aux_sym_data_commands_list_repeat1,
  [aux_sym__expandable_string_literal_immediate_repeat1] = aux_sym__expandable_string_literal_immediate_repeat1,
  [aux_sym__expandable_string_literal_immediate_repeat2] = aux_sym__expandable_string_literal_immediate_repeat2,
  [aux_sym_command_name_repeat1] = aux_sym_command_name_repeat1,
  [aux_sym_path_command_name_repeat1] = aux_sym_path_command_name_repeat1,
  [aux_sym_command_elements_repeat1] = aux_sym_command_elements_repeat1,
  [aux_sym_command_argument_sep_repeat1] = aux_sym_command_argument_sep_repeat1,
  [aux_sym_foreach_command_repeat1] = aux_sym_foreach_command_repeat1,
  [aux_sym_redirections_repeat1] = aux_sym_redirections_repeat1,
  [aux_sym_class_property_definition_repeat1] = aux_sym_class_property_definition_repeat1,
  [aux_sym_class_method_parameter_list_repeat1] = aux_sym_class_method_parameter_list_repeat1,
  [aux_sym_class_statement_repeat1] = aux_sym_class_statement_repeat1,
  [aux_sym_class_statement_repeat2] = aux_sym_class_statement_repeat2,
  [aux_sym_enum_statement_repeat1] = aux_sym_enum_statement_repeat1,
  [aux_sym_array_literal_expression_repeat1] = aux_sym_array_literal_expression_repeat1,
  [aux_sym_hash_literal_body_repeat1] = aux_sym_hash_literal_body_repeat1,
  [aux_sym_argument_expression_list_repeat1] = aux_sym_argument_expression_list_repeat1,
  [aux_sym_dimension_repeat1] = aux_sym_dimension_repeat1,
  [aux_sym_generic_type_arguments_repeat1] = aux_sym_generic_type_arguments_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_attribute_arguments_repeat1] = aux_sym_attribute_arguments_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hexadecimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_real_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_expandable_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token5] = {
    .visible = false,
    .named = false,
  },
  [sym_verbatim_string_characters] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_here_string_characters] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_1_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token14] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token15] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token16] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token17] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token18] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token19] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token20] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token21] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token22] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token23] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token24] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token25] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token26] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token27] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token28] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token29] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token30] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token31] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token32] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token33] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token34] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token35] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token36] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token37] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token38] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token39] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token40] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token41] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token42] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token43] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token44] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token45] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token46] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token47] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token48] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token49] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token50] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_braced_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_token] = {
    .visible = true,
    .named = true,
  },
  [sym__command_token] = {
    .visible = false,
    .named = true,
  },
  [sym_command_parameter] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__verbatim_command_argument_chars_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__verbatim_command_argument_chars_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__verbatim_command_argument_chars_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_param_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_condition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_trap_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_data_commands_allowed_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_inlinescript_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_parallel_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_sequence_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_command_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_path_command_name_token] = {
    .visible = true,
    .named = true,
  },
  [sym_stop_parsing] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SPACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_command_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_attribute_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_attribute_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_statement_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_statement_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_logical_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bitwise_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bitwise_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bitwise_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_expression_with_unary_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_expression_with_unary_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_invokation_foreach_expression_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__statement_terminator] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_expandable_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_expandable_here_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_assignement_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirection_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_merging_redirection_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_format_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__verbatim_command_argument_chars] = {
    .visible = false,
    .named = false,
  },
  [sym_script_block] = {
    .visible = true,
    .named = true,
  },
  [sym_param_block] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_script_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_script_parameter_default] = {
    .visible = true,
    .named = true,
  },
  [sym_script_block_body] = {
    .visible = true,
    .named = true,
  },
  [sym_named_block_list] = {
    .visible = true,
    .named = true,
  },
  [sym_named_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block_name] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_list] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clauses] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__labeled_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_filename] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_clauses] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_clause_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_for_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_iterator] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_name] = {
    .visible = true,
    .named = true,
  },
  [sym_function_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_control_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_label_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_trap_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clauses] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_name] = {
    .visible = true,
    .named = true,
  },
  [sym_data_commands_allowed] = {
    .visible = true,
    .named = true,
  },
  [sym_data_commands_list] = {
    .visible = true,
    .named = true,
  },
  [sym_data_command] = {
    .visible = true,
    .named = true,
  },
  [sym_inlinescript_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_parallel_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_left_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__pipeline_tail] = {
    .visible = false,
    .named = false,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_invokation_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__expandable_string_literal_immediate] = {
    .visible = false,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_path_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_command_elements] = {
    .visible = true,
    .named = true,
  },
  [sym__command_element] = {
    .visible = false,
    .named = true,
  },
  [sym_command_argument_sep] = {
    .visible = true,
    .named = true,
  },
  [sym__command_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_foreach_command] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_command_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_redirections] = {
    .visible = true,
    .named = true,
  },
  [sym_redirection] = {
    .visible = true,
    .named = true,
  },
  [sym_redirected_file_name] = {
    .visible = true,
    .named = true,
  },
  [sym_class_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class_property_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_method_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_class_method_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_class_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_with_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_increment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_decrement_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__value] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sub_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_script_block_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_literal_body] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_key_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_post_increment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_post_decrement_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access] = {
    .visible = true,
    .named = true,
  },
  [sym_member_name] = {
    .visible = true,
    .named = true,
  },
  [sym_element_access] = {
    .visible = true,
    .named = true,
  },
  [sym_invokation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_invokation_foreach_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_format_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dimension] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_argument] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_expandable_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_script_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_block_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_elseif_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_commands_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_path_command_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_argument_sep_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_foreach_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirections_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_property_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_method_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_literal_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hash_literal_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimension_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_argument_expression_list = 1,
  field_command_elements = 2,
  field_command_name = 3,
  field_condition = 4,
  field_else_clause = 5,
  field_elseif_clauses = 6,
  field_for_condition = 7,
  field_for_initializer = 8,
  field_for_iterator = 9,
  field_named_block_list = 10,
  field_script_block_body = 11,
  field_statement_list = 12,
  field_statements = 13,
  field_value = 14,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument_expression_list] = "argument_expression_list",
  [field_command_elements] = "command_elements",
  [field_command_name] = "command_name",
  [field_condition] = "condition",
  [field_else_clause] = "else_clause",
  [field_elseif_clauses] = "elseif_clauses",
  [field_for_condition] = "for_condition",
  [field_for_initializer] = "for_initializer",
  [field_for_iterator] = "for_iterator",
  [field_named_block_list] = "named_block_list",
  [field_script_block_body] = "script_block_body",
  [field_statement_list] = "statement_list",
  [field_statements] = "statements",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 1},
  [10] = {.index = 10, .length = 2},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 1},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 21, .length = 1},
  [19] = {.index = 22, .length = 1},
  [20] = {.index = 23, .length = 3},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 2},
  [25] = {.index = 32, .length = 2},
  [26] = {.index = 34, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_command_name, 0},
  [1] =
    {field_script_block_body, 0},
  [2] =
    {field_named_block_list, 0},
  [3] =
    {field_statement_list, 0},
  [4] =
    {field_command_elements, 1},
  [5] =
    {field_command_name, 1},
  [6] =
    {field_command_elements, 1},
    {field_command_name, 0},
  [8] =
    {field_statements, 1},
  [9] =
    {field_value, 2},
  [10] =
    {field_command_elements, 2},
    {field_command_name, 1},
  [12] =
    {field_script_block_body, 2},
  [13] =
    {field_statement_list, 1},
  [14] =
    {field_script_block_body, 3},
  [15] =
    {field_condition, 2},
  [16] =
    {field_argument_expression_list, 1},
  [17] =
    {field_condition, 2},
    {field_elseif_clauses, 5},
  [19] =
    {field_condition, 2},
    {field_else_clause, 5},
  [21] =
    {field_for_initializer, 2},
  [22] =
    {field_condition, 4},
  [23] =
    {field_condition, 2},
    {field_else_clause, 6},
    {field_elseif_clauses, 5},
  [26] =
    {field_for_condition, 3},
  [27] =
    {field_for_iterator, 4},
  [28] =
    {field_for_condition, 5},
    {field_for_initializer, 2},
  [30] =
    {field_for_condition, 3},
    {field_for_iterator, 6},
  [32] =
    {field_for_initializer, 2},
    {field_for_iterator, 6},
  [34] =
    {field_for_condition, 5},
    {field_for_initializer, 2},
    {field_for_iterator, 8},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 3,
  [6] = 3,
  [7] = 7,
  [8] = 7,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 9,
  [17] = 10,
  [18] = 9,
  [19] = 10,
  [20] = 9,
  [21] = 10,
  [22] = 7,
  [23] = 7,
  [24] = 7,
  [25] = 7,
  [26] = 7,
  [27] = 7,
  [28] = 7,
  [29] = 7,
  [30] = 30,
  [31] = 30,
  [32] = 30,
  [33] = 30,
  [34] = 30,
  [35] = 30,
  [36] = 30,
  [37] = 30,
  [38] = 30,
  [39] = 30,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 42,
  [44] = 44,
  [45] = 45,
  [46] = 45,
  [47] = 47,
  [48] = 44,
  [49] = 47,
  [50] = 45,
  [51] = 47,
  [52] = 44,
  [53] = 45,
  [54] = 54,
  [55] = 44,
  [56] = 45,
  [57] = 47,
  [58] = 44,
  [59] = 45,
  [60] = 47,
  [61] = 44,
  [62] = 45,
  [63] = 47,
  [64] = 44,
  [65] = 45,
  [66] = 47,
  [67] = 44,
  [68] = 45,
  [69] = 45,
  [70] = 45,
  [71] = 71,
  [72] = 47,
  [73] = 73,
  [74] = 54,
  [75] = 71,
  [76] = 3,
  [77] = 3,
  [78] = 78,
  [79] = 78,
  [80] = 3,
  [81] = 81,
  [82] = 3,
  [83] = 83,
  [84] = 84,
  [85] = 83,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 83,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 86,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 83,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 87,
  [122] = 92,
  [123] = 106,
  [124] = 89,
  [125] = 98,
  [126] = 95,
  [127] = 112,
  [128] = 117,
  [129] = 111,
  [130] = 90,
  [131] = 101,
  [132] = 116,
  [133] = 103,
  [134] = 105,
  [135] = 108,
  [136] = 110,
  [137] = 114,
  [138] = 115,
  [139] = 91,
  [140] = 118,
  [141] = 120,
  [142] = 119,
  [143] = 143,
  [144] = 143,
  [145] = 84,
  [146] = 104,
  [147] = 113,
  [148] = 93,
  [149] = 109,
  [150] = 96,
  [151] = 97,
  [152] = 99,
  [153] = 100,
  [154] = 88,
  [155] = 143,
  [156] = 143,
  [157] = 157,
  [158] = 99,
  [159] = 100,
  [160] = 160,
  [161] = 106,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 157,
  [166] = 166,
  [167] = 162,
  [168] = 95,
  [169] = 96,
  [170] = 160,
  [171] = 97,
  [172] = 95,
  [173] = 97,
  [174] = 96,
  [175] = 106,
  [176] = 100,
  [177] = 99,
  [178] = 164,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 166,
  [184] = 179,
  [185] = 182,
  [186] = 180,
  [187] = 163,
  [188] = 181,
  [189] = 189,
  [190] = 190,
  [191] = 190,
  [192] = 189,
  [193] = 42,
  [194] = 42,
  [195] = 195,
  [196] = 195,
  [197] = 197,
  [198] = 197,
  [199] = 3,
  [200] = 200,
  [201] = 200,
  [202] = 3,
  [203] = 203,
  [204] = 203,
  [205] = 3,
  [206] = 3,
  [207] = 3,
  [208] = 3,
  [209] = 3,
  [210] = 3,
  [211] = 3,
  [212] = 3,
  [213] = 3,
  [214] = 214,
  [215] = 3,
  [216] = 214,
  [217] = 214,
  [218] = 214,
  [219] = 214,
  [220] = 214,
  [221] = 214,
  [222] = 214,
  [223] = 3,
  [224] = 3,
  [225] = 3,
  [226] = 3,
  [227] = 214,
  [228] = 214,
  [229] = 229,
  [230] = 230,
  [231] = 230,
  [232] = 232,
  [233] = 229,
  [234] = 230,
  [235] = 232,
  [236] = 229,
  [237] = 230,
  [238] = 232,
  [239] = 229,
  [240] = 232,
  [241] = 241,
  [242] = 242,
  [243] = 241,
  [244] = 244,
  [245] = 241,
  [246] = 246,
  [247] = 242,
  [248] = 246,
  [249] = 244,
  [250] = 246,
  [251] = 242,
  [252] = 241,
  [253] = 246,
  [254] = 242,
  [255] = 244,
  [256] = 244,
  [257] = 257,
  [258] = 257,
  [259] = 259,
  [260] = 257,
  [261] = 261,
  [262] = 261,
  [263] = 257,
  [264] = 261,
  [265] = 261,
  [266] = 266,
  [267] = 267,
  [268] = 266,
  [269] = 267,
  [270] = 267,
  [271] = 271,
  [272] = 267,
  [273] = 273,
  [274] = 274,
  [275] = 267,
  [276] = 267,
  [277] = 267,
  [278] = 278,
  [279] = 267,
  [280] = 273,
  [281] = 278,
  [282] = 271,
  [283] = 266,
  [284] = 273,
  [285] = 278,
  [286] = 271,
  [287] = 266,
  [288] = 273,
  [289] = 278,
  [290] = 271,
  [291] = 143,
  [292] = 143,
  [293] = 143,
  [294] = 143,
  [295] = 295,
  [296] = 295,
  [297] = 157,
  [298] = 160,
  [299] = 299,
  [300] = 162,
  [301] = 160,
  [302] = 160,
  [303] = 303,
  [304] = 162,
  [305] = 42,
  [306] = 157,
  [307] = 162,
  [308] = 42,
  [309] = 309,
  [310] = 303,
  [311] = 42,
  [312] = 312,
  [313] = 42,
  [314] = 180,
  [315] = 182,
  [316] = 312,
  [317] = 317,
  [318] = 179,
  [319] = 181,
  [320] = 309,
  [321] = 299,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 179,
  [326] = 181,
  [327] = 180,
  [328] = 324,
  [329] = 309,
  [330] = 312,
  [331] = 331,
  [332] = 324,
  [333] = 333,
  [334] = 324,
  [335] = 335,
  [336] = 182,
  [337] = 324,
  [338] = 338,
  [339] = 324,
  [340] = 324,
  [341] = 324,
  [342] = 342,
  [343] = 324,
  [344] = 324,
  [345] = 345,
  [346] = 179,
  [347] = 181,
  [348] = 324,
  [349] = 324,
  [350] = 180,
  [351] = 331,
  [352] = 182,
  [353] = 309,
  [354] = 312,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 331,
  [359] = 359,
  [360] = 356,
  [361] = 356,
  [362] = 338,
  [363] = 363,
  [364] = 356,
  [365] = 323,
  [366] = 322,
  [367] = 367,
  [368] = 356,
  [369] = 356,
  [370] = 356,
  [371] = 371,
  [372] = 342,
  [373] = 189,
  [374] = 331,
  [375] = 375,
  [376] = 376,
  [377] = 356,
  [378] = 190,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 189,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 189,
  [387] = 387,
  [388] = 190,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 190,
  [394] = 394,
  [395] = 379,
  [396] = 396,
  [397] = 394,
  [398] = 398,
  [399] = 399,
  [400] = 312,
  [401] = 399,
  [402] = 389,
  [403] = 399,
  [404] = 381,
  [405] = 379,
  [406] = 394,
  [407] = 309,
  [408] = 379,
  [409] = 312,
  [410] = 398,
  [411] = 394,
  [412] = 42,
  [413] = 42,
  [414] = 390,
  [415] = 383,
  [416] = 399,
  [417] = 309,
  [418] = 399,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 426,
  [431] = 431,
  [432] = 432,
  [433] = 420,
  [434] = 434,
  [435] = 426,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 420,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 426,
  [445] = 420,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 420,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 420,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 420,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 426,
  [478] = 478,
  [479] = 479,
  [480] = 379,
  [481] = 481,
  [482] = 482,
  [483] = 394,
  [484] = 420,
  [485] = 465,
  [486] = 437,
  [487] = 427,
  [488] = 438,
  [489] = 449,
  [490] = 450,
  [491] = 491,
  [492] = 453,
  [493] = 454,
  [494] = 331,
  [495] = 468,
  [496] = 479,
  [497] = 481,
  [498] = 455,
  [499] = 436,
  [500] = 441,
  [501] = 442,
  [502] = 443,
  [503] = 461,
  [504] = 462,
  [505] = 467,
  [506] = 469,
  [507] = 470,
  [508] = 476,
  [509] = 482,
  [510] = 421,
  [511] = 423,
  [512] = 424,
  [513] = 491,
  [514] = 428,
  [515] = 429,
  [516] = 431,
  [517] = 432,
  [518] = 491,
  [519] = 456,
  [520] = 491,
  [521] = 195,
  [522] = 459,
  [523] = 471,
  [524] = 524,
  [525] = 491,
  [526] = 474,
  [527] = 475,
  [528] = 425,
  [529] = 422,
  [530] = 379,
  [531] = 448,
  [532] = 473,
  [533] = 197,
  [534] = 534,
  [535] = 463,
  [536] = 464,
  [537] = 434,
  [538] = 394,
  [539] = 446,
  [540] = 478,
  [541] = 466,
  [542] = 447,
  [543] = 451,
  [544] = 460,
  [545] = 331,
  [546] = 3,
  [547] = 547,
  [548] = 548,
  [549] = 547,
  [550] = 195,
  [551] = 335,
  [552] = 547,
  [553] = 195,
  [554] = 3,
  [555] = 3,
  [556] = 333,
  [557] = 547,
  [558] = 200,
  [559] = 197,
  [560] = 3,
  [561] = 547,
  [562] = 197,
  [563] = 203,
  [564] = 345,
  [565] = 565,
  [566] = 566,
  [567] = 566,
  [568] = 200,
  [569] = 569,
  [570] = 203,
  [571] = 566,
  [572] = 566,
  [573] = 573,
  [574] = 566,
  [575] = 200,
  [576] = 203,
  [577] = 577,
  [578] = 578,
  [579] = 577,
  [580] = 580,
  [581] = 577,
  [582] = 577,
  [583] = 583,
  [584] = 577,
  [585] = 585,
  [586] = 586,
  [587] = 586,
  [588] = 586,
  [589] = 586,
  [590] = 590,
  [591] = 586,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 593,
  [596] = 593,
  [597] = 597,
  [598] = 598,
  [599] = 598,
  [600] = 594,
  [601] = 593,
  [602] = 597,
  [603] = 598,
  [604] = 593,
  [605] = 597,
  [606] = 598,
  [607] = 593,
  [608] = 597,
  [609] = 598,
  [610] = 593,
  [611] = 597,
  [612] = 598,
  [613] = 593,
  [614] = 597,
  [615] = 598,
  [616] = 597,
  [617] = 598,
  [618] = 593,
  [619] = 597,
  [620] = 598,
  [621] = 593,
  [622] = 597,
  [623] = 598,
  [624] = 593,
  [625] = 593,
  [626] = 597,
  [627] = 598,
  [628] = 594,
  [629] = 593,
  [630] = 597,
  [631] = 598,
  [632] = 594,
  [633] = 597,
  [634] = 598,
  [635] = 593,
  [636] = 597,
  [637] = 598,
  [638] = 593,
  [639] = 593,
  [640] = 597,
  [641] = 593,
  [642] = 593,
  [643] = 597,
  [644] = 598,
  [645] = 594,
  [646] = 593,
  [647] = 597,
  [648] = 598,
  [649] = 597,
  [650] = 594,
  [651] = 598,
  [652] = 597,
  [653] = 594,
  [654] = 593,
  [655] = 597,
  [656] = 594,
  [657] = 598,
  [658] = 597,
  [659] = 594,
  [660] = 594,
  [661] = 594,
  [662] = 594,
  [663] = 663,
  [664] = 593,
  [665] = 597,
  [666] = 598,
  [667] = 598,
  [668] = 597,
  [669] = 593,
  [670] = 593,
  [671] = 598,
  [672] = 594,
  [673] = 597,
  [674] = 598,
  [675] = 593,
  [676] = 597,
  [677] = 598,
  [678] = 594,
  [679] = 593,
  [680] = 597,
  [681] = 598,
  [682] = 593,
  [683] = 597,
  [684] = 598,
  [685] = 593,
  [686] = 597,
  [687] = 598,
  [688] = 593,
  [689] = 597,
  [690] = 598,
  [691] = 598,
  [692] = 692,
  [693] = 692,
  [694] = 692,
  [695] = 692,
  [696] = 692,
  [697] = 692,
  [698] = 692,
  [699] = 692,
  [700] = 692,
  [701] = 692,
  [702] = 692,
  [703] = 692,
  [704] = 692,
  [705] = 692,
  [706] = 692,
  [707] = 692,
  [708] = 692,
  [709] = 692,
  [710] = 692,
  [711] = 692,
  [712] = 692,
  [713] = 692,
  [714] = 692,
  [715] = 692,
  [716] = 84,
  [717] = 717,
  [718] = 84,
  [719] = 719,
  [720] = 717,
  [721] = 721,
  [722] = 717,
  [723] = 84,
  [724] = 84,
  [725] = 717,
  [726] = 726,
  [727] = 726,
  [728] = 728,
  [729] = 729,
  [730] = 729,
  [731] = 728,
  [732] = 729,
  [733] = 728,
  [734] = 729,
  [735] = 729,
  [736] = 728,
  [737] = 729,
  [738] = 726,
  [739] = 726,
  [740] = 740,
  [741] = 42,
  [742] = 742,
  [743] = 743,
  [744] = 743,
  [745] = 745,
  [746] = 745,
  [747] = 83,
  [748] = 83,
  [749] = 83,
  [750] = 743,
  [751] = 751,
  [752] = 745,
  [753] = 751,
  [754] = 743,
  [755] = 745,
  [756] = 756,
  [757] = 756,
  [758] = 83,
  [759] = 103,
  [760] = 97,
  [761] = 99,
  [762] = 100,
  [763] = 106,
  [764] = 92,
  [765] = 93,
  [766] = 84,
  [767] = 83,
  [768] = 84,
  [769] = 95,
  [770] = 84,
  [771] = 84,
  [772] = 83,
  [773] = 751,
  [774] = 83,
  [775] = 751,
  [776] = 756,
  [777] = 90,
  [778] = 87,
  [779] = 756,
  [780] = 91,
  [781] = 111,
  [782] = 113,
  [783] = 91,
  [784] = 143,
  [785] = 115,
  [786] = 119,
  [787] = 114,
  [788] = 101,
  [789] = 116,
  [790] = 86,
  [791] = 791,
  [792] = 117,
  [793] = 105,
  [794] = 108,
  [795] = 795,
  [796] = 110,
  [797] = 88,
  [798] = 118,
  [799] = 120,
  [800] = 92,
  [801] = 104,
  [802] = 93,
  [803] = 90,
  [804] = 109,
  [805] = 97,
  [806] = 791,
  [807] = 99,
  [808] = 89,
  [809] = 98,
  [810] = 112,
  [811] = 117,
  [812] = 111,
  [813] = 813,
  [814] = 113,
  [815] = 143,
  [816] = 115,
  [817] = 119,
  [818] = 114,
  [819] = 100,
  [820] = 101,
  [821] = 116,
  [822] = 813,
  [823] = 103,
  [824] = 105,
  [825] = 106,
  [826] = 108,
  [827] = 110,
  [828] = 83,
  [829] = 88,
  [830] = 87,
  [831] = 95,
  [832] = 118,
  [833] = 120,
  [834] = 104,
  [835] = 109,
  [836] = 96,
  [837] = 89,
  [838] = 98,
  [839] = 86,
  [840] = 112,
  [841] = 96,
  [842] = 106,
  [843] = 84,
  [844] = 84,
  [845] = 110,
  [846] = 88,
  [847] = 101,
  [848] = 791,
  [849] = 116,
  [850] = 118,
  [851] = 813,
  [852] = 852,
  [853] = 120,
  [854] = 104,
  [855] = 109,
  [856] = 791,
  [857] = 852,
  [858] = 858,
  [859] = 103,
  [860] = 89,
  [861] = 98,
  [862] = 105,
  [863] = 108,
  [864] = 112,
  [865] = 117,
  [866] = 110,
  [867] = 115,
  [868] = 88,
  [869] = 858,
  [870] = 119,
  [871] = 118,
  [872] = 120,
  [873] = 87,
  [874] = 104,
  [875] = 86,
  [876] = 109,
  [877] = 114,
  [878] = 89,
  [879] = 98,
  [880] = 112,
  [881] = 90,
  [882] = 117,
  [883] = 87,
  [884] = 91,
  [885] = 86,
  [886] = 813,
  [887] = 113,
  [888] = 143,
  [889] = 90,
  [890] = 91,
  [891] = 891,
  [892] = 115,
  [893] = 92,
  [894] = 143,
  [895] = 93,
  [896] = 143,
  [897] = 119,
  [898] = 114,
  [899] = 92,
  [900] = 93,
  [901] = 143,
  [902] = 891,
  [903] = 95,
  [904] = 96,
  [905] = 97,
  [906] = 111,
  [907] = 99,
  [908] = 100,
  [909] = 106,
  [910] = 101,
  [911] = 95,
  [912] = 96,
  [913] = 97,
  [914] = 99,
  [915] = 100,
  [916] = 113,
  [917] = 116,
  [918] = 103,
  [919] = 105,
  [920] = 84,
  [921] = 108,
  [922] = 84,
  [923] = 111,
  [924] = 924,
  [925] = 925,
  [926] = 924,
  [927] = 83,
  [928] = 143,
  [929] = 143,
  [930] = 42,
  [931] = 42,
  [932] = 925,
  [933] = 83,
  [934] = 103,
  [935] = 116,
  [936] = 42,
  [937] = 925,
  [938] = 42,
  [939] = 95,
  [940] = 96,
  [941] = 86,
  [942] = 942,
  [943] = 925,
  [944] = 90,
  [945] = 945,
  [946] = 97,
  [947] = 113,
  [948] = 117,
  [949] = 105,
  [950] = 950,
  [951] = 108,
  [952] = 110,
  [953] = 88,
  [954] = 106,
  [955] = 115,
  [956] = 120,
  [957] = 87,
  [958] = 119,
  [959] = 99,
  [960] = 114,
  [961] = 111,
  [962] = 104,
  [963] = 924,
  [964] = 91,
  [965] = 945,
  [966] = 942,
  [967] = 924,
  [968] = 109,
  [969] = 101,
  [970] = 84,
  [971] = 89,
  [972] = 100,
  [973] = 98,
  [974] = 92,
  [975] = 950,
  [976] = 112,
  [977] = 93,
  [978] = 118,
  [979] = 979,
  [980] = 83,
  [981] = 981,
  [982] = 942,
  [983] = 950,
  [984] = 981,
  [985] = 945,
  [986] = 986,
  [987] = 942,
  [988] = 988,
  [989] = 986,
  [990] = 945,
  [991] = 950,
  [992] = 979,
  [993] = 988,
  [994] = 83,
  [995] = 157,
  [996] = 110,
  [997] = 986,
  [998] = 103,
  [999] = 91,
  [1000] = 115,
  [1001] = 96,
  [1002] = 90,
  [1003] = 119,
  [1004] = 114,
  [1005] = 104,
  [1006] = 162,
  [1007] = 979,
  [1008] = 92,
  [1009] = 988,
  [1010] = 93,
  [1011] = 97,
  [1012] = 101,
  [1013] = 88,
  [1014] = 116,
  [1015] = 95,
  [1016] = 118,
  [1017] = 111,
  [1018] = 42,
  [1019] = 120,
  [1020] = 113,
  [1021] = 160,
  [1022] = 986,
  [1023] = 105,
  [1024] = 86,
  [1025] = 143,
  [1026] = 143,
  [1027] = 99,
  [1028] = 162,
  [1029] = 100,
  [1030] = 109,
  [1031] = 108,
  [1032] = 979,
  [1033] = 160,
  [1034] = 84,
  [1035] = 157,
  [1036] = 106,
  [1037] = 89,
  [1038] = 988,
  [1039] = 112,
  [1040] = 117,
  [1041] = 98,
  [1042] = 87,
  [1043] = 157,
  [1044] = 164,
  [1045] = 1045,
  [1046] = 162,
  [1047] = 160,
  [1048] = 106,
  [1049] = 99,
  [1050] = 97,
  [1051] = 100,
  [1052] = 157,
  [1053] = 1045,
  [1054] = 99,
  [1055] = 100,
  [1056] = 106,
  [1057] = 162,
  [1058] = 143,
  [1059] = 143,
  [1060] = 96,
  [1061] = 95,
  [1062] = 96,
  [1063] = 160,
  [1064] = 164,
  [1065] = 157,
  [1066] = 160,
  [1067] = 157,
  [1068] = 162,
  [1069] = 160,
  [1070] = 95,
  [1071] = 162,
  [1072] = 97,
  [1073] = 162,
  [1074] = 95,
  [1075] = 924,
  [1076] = 1076,
  [1077] = 96,
  [1078] = 106,
  [1079] = 924,
  [1080] = 99,
  [1081] = 100,
  [1082] = 95,
  [1083] = 42,
  [1084] = 1045,
  [1085] = 97,
  [1086] = 1076,
  [1087] = 99,
  [1088] = 100,
  [1089] = 164,
  [1090] = 164,
  [1091] = 162,
  [1092] = 96,
  [1093] = 106,
  [1094] = 157,
  [1095] = 97,
  [1096] = 160,
  [1097] = 157,
  [1098] = 160,
  [1099] = 1045,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1101,
  [1106] = 1106,
  [1107] = 93,
  [1108] = 92,
  [1109] = 1109,
  [1110] = 1109,
  [1111] = 1076,
  [1112] = 1076,
  [1113] = 1113,
  [1114] = 1100,
  [1115] = 42,
  [1116] = 1106,
  [1117] = 1103,
  [1118] = 355,
  [1119] = 93,
  [1120] = 92,
  [1121] = 1104,
  [1122] = 93,
  [1123] = 1101,
  [1124] = 92,
  [1125] = 1109,
  [1126] = 1104,
  [1127] = 1100,
  [1128] = 1128,
  [1129] = 1106,
  [1130] = 1128,
  [1131] = 1109,
  [1132] = 1101,
  [1133] = 1133,
  [1134] = 1106,
  [1135] = 1133,
  [1136] = 93,
  [1137] = 1100,
  [1138] = 1104,
  [1139] = 1103,
  [1140] = 92,
  [1141] = 1103,
  [1142] = 160,
  [1143] = 162,
  [1144] = 162,
  [1145] = 160,
  [1146] = 157,
  [1147] = 157,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1101,
  [1151] = 1104,
  [1152] = 1076,
  [1153] = 1109,
  [1154] = 1100,
  [1155] = 1076,
  [1156] = 1109,
  [1157] = 1104,
  [1158] = 1101,
  [1159] = 1100,
  [1160] = 1160,
  [1161] = 355,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1165,
  [1168] = 1168,
  [1169] = 1165,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1168,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1171,
  [1176] = 1173,
  [1177] = 1166,
  [1178] = 1165,
  [1179] = 1174,
  [1180] = 1166,
  [1181] = 1168,
  [1182] = 1174,
  [1183] = 1171,
  [1184] = 1173,
  [1185] = 1166,
  [1186] = 1168,
  [1187] = 1174,
  [1188] = 1171,
  [1189] = 1173,
  [1190] = 1190,
  [1191] = 1190,
  [1192] = 1190,
  [1193] = 1190,
  [1194] = 1190,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1196,
  [1198] = 1195,
  [1199] = 1196,
  [1200] = 1195,
  [1201] = 1195,
  [1202] = 1196,
  [1203] = 1196,
  [1204] = 1195,
  [1205] = 1195,
  [1206] = 1206,
  [1207] = 1196,
  [1208] = 1206,
  [1209] = 1196,
  [1210] = 1196,
  [1211] = 1195,
  [1212] = 1206,
  [1213] = 1206,
  [1214] = 1206,
  [1215] = 1195,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1217,
  [1219] = 1217,
  [1220] = 1220,
  [1221] = 1216,
  [1222] = 1222,
  [1223] = 1217,
  [1224] = 1216,
  [1225] = 1217,
  [1226] = 1216,
  [1227] = 1216,
  [1228] = 1216,
  [1229] = 1216,
  [1230] = 1230,
  [1231] = 1217,
  [1232] = 1217,
  [1233] = 1216,
  [1234] = 1217,
  [1235] = 84,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1237,
  [1239] = 1236,
  [1240] = 1236,
  [1241] = 717,
  [1242] = 1242,
  [1243] = 1237,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 91,
  [1248] = 90,
  [1249] = 91,
  [1250] = 1250,
  [1251] = 91,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 84,
  [1255] = 355,
  [1256] = 84,
  [1257] = 1257,
  [1258] = 84,
  [1259] = 90,
  [1260] = 90,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 745,
  [1270] = 1270,
  [1271] = 743,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 394,
  [1275] = 1275,
  [1276] = 379,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1279,
  [1283] = 1283,
  [1284] = 1283,
  [1285] = 1279,
  [1286] = 1283,
  [1287] = 1283,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1279,
  [1291] = 143,
  [1292] = 84,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1294,
  [1299] = 1288,
  [1300] = 1300,
  [1301] = 1289,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 143,
  [1306] = 858,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 891,
  [1310] = 925,
  [1311] = 1311,
  [1312] = 1307,
  [1313] = 1302,
  [1314] = 1307,
  [1315] = 1302,
  [1316] = 1307,
  [1317] = 1302,
  [1318] = 891,
  [1319] = 299,
  [1320] = 143,
  [1321] = 1321,
  [1322] = 858,
  [1323] = 143,
  [1324] = 942,
  [1325] = 1325,
  [1326] = 891,
  [1327] = 858,
  [1328] = 299,
  [1329] = 303,
  [1330] = 950,
  [1331] = 1331,
  [1332] = 945,
  [1333] = 303,
  [1334] = 1325,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1340,
  [1343] = 1340,
  [1344] = 1344,
  [1345] = 1341,
  [1346] = 1339,
  [1347] = 979,
  [1348] = 1339,
  [1349] = 988,
  [1350] = 1336,
  [1351] = 986,
  [1352] = 1338,
  [1353] = 1339,
  [1354] = 1344,
  [1355] = 1355,
  [1356] = 342,
  [1357] = 1344,
  [1358] = 1358,
  [1359] = 323,
  [1360] = 322,
  [1361] = 1358,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 379,
  [1366] = 1358,
  [1367] = 1358,
  [1368] = 1358,
  [1369] = 394,
  [1370] = 1358,
  [1371] = 1358,
  [1372] = 1358,
  [1373] = 1358,
  [1374] = 981,
  [1375] = 1341,
  [1376] = 1358,
  [1377] = 1358,
  [1378] = 1378,
  [1379] = 1362,
  [1380] = 1341,
  [1381] = 1362,
  [1382] = 1362,
  [1383] = 1383,
  [1384] = 1358,
  [1385] = 1358,
  [1386] = 1358,
  [1387] = 338,
  [1388] = 1358,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 342,
  [1392] = 1358,
  [1393] = 1344,
  [1394] = 1358,
  [1395] = 1355,
  [1396] = 338,
  [1397] = 323,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 322,
  [1401] = 1358,
  [1402] = 981,
  [1403] = 1403,
  [1404] = 1403,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1408,
  [1412] = 1412,
  [1413] = 1403,
  [1414] = 1405,
  [1415] = 1415,
  [1416] = 1409,
  [1417] = 1408,
  [1418] = 1403,
  [1419] = 1405,
  [1420] = 1420,
  [1421] = 87,
  [1422] = 86,
  [1423] = 981,
  [1424] = 1405,
  [1425] = 1425,
  [1426] = 1409,
  [1427] = 87,
  [1428] = 1409,
  [1429] = 86,
  [1430] = 1408,
  [1431] = 1425,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1442,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 398,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1435,
  [1459] = 1459,
  [1460] = 1438,
  [1461] = 1461,
  [1462] = 1442,
  [1463] = 1433,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 383,
  [1467] = 1456,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1435,
  [1471] = 1438,
  [1472] = 1442,
  [1473] = 1456,
  [1474] = 1474,
  [1475] = 1435,
  [1476] = 1476,
  [1477] = 1456,
  [1478] = 1435,
  [1479] = 389,
  [1480] = 1456,
  [1481] = 1435,
  [1482] = 1482,
  [1483] = 1469,
  [1484] = 381,
  [1485] = 1442,
  [1486] = 1486,
  [1487] = 398,
  [1488] = 1488,
  [1489] = 1456,
  [1490] = 1490,
  [1491] = 1464,
  [1492] = 1438,
  [1493] = 390,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1434,
  [1497] = 1449,
  [1498] = 1488,
  [1499] = 1494,
  [1500] = 1432,
  [1501] = 1501,
  [1502] = 1490,
  [1503] = 1464,
  [1504] = 390,
  [1505] = 1468,
  [1506] = 1494,
  [1507] = 1495,
  [1508] = 1508,
  [1509] = 1434,
  [1510] = 1510,
  [1511] = 1449,
  [1512] = 1508,
  [1513] = 1510,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1490,
  [1519] = 1464,
  [1520] = 1520,
  [1521] = 1468,
  [1522] = 1494,
  [1523] = 1495,
  [1524] = 1434,
  [1525] = 1525,
  [1526] = 1449,
  [1527] = 383,
  [1528] = 1528,
  [1529] = 1495,
  [1530] = 1490,
  [1531] = 1438,
  [1532] = 1532,
  [1533] = 1455,
  [1534] = 1432,
  [1535] = 1535,
  [1536] = 1461,
  [1537] = 1488,
  [1538] = 1456,
  [1539] = 389,
  [1540] = 1456,
  [1541] = 1516,
  [1542] = 1432,
  [1543] = 1435,
  [1544] = 1435,
  [1545] = 1545,
  [1546] = 381,
  [1547] = 1488,
  [1548] = 1468,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1549,
  [1554] = 1552,
  [1555] = 1551,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1106,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1557,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1566,
  [1580] = 1569,
  [1581] = 1575,
  [1582] = 1556,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1567,
  [1587] = 1587,
  [1588] = 1557,
  [1589] = 1587,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1590,
  [1595] = 1591,
  [1596] = 1592,
  [1597] = 1558,
  [1598] = 1571,
  [1599] = 1599,
  [1600] = 1587,
  [1601] = 1601,
  [1602] = 1590,
  [1603] = 1558,
  [1604] = 1591,
  [1605] = 1605,
  [1606] = 1572,
  [1607] = 1592,
  [1608] = 1593,
  [1609] = 1609,
  [1610] = 1550,
  [1611] = 1558,
  [1612] = 1551,
  [1613] = 1573,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1558,
  [1617] = 1617,
  [1618] = 1593,
  [1619] = 1615,
  [1620] = 1558,
  [1621] = 1621,
  [1622] = 1565,
  [1623] = 1549,
  [1624] = 1624,
  [1625] = 1552,
  [1626] = 1570,
  [1627] = 1556,
  [1628] = 1571,
  [1629] = 1558,
  [1630] = 1560,
  [1631] = 1572,
  [1632] = 1560,
  [1633] = 1633,
  [1634] = 1609,
  [1635] = 1562,
  [1636] = 1636,
  [1637] = 1573,
  [1638] = 1564,
  [1639] = 1565,
  [1640] = 1640,
  [1641] = 1633,
  [1642] = 1562,
  [1643] = 1643,
  [1644] = 1564,
  [1645] = 1560,
  [1646] = 1576,
  [1647] = 1624,
  [1648] = 1570,
  [1649] = 1633,
  [1650] = 1571,
  [1651] = 1572,
  [1652] = 1573,
  [1653] = 1550,
  [1654] = 1577,
  [1655] = 1578,
  [1656] = 1576,
  [1657] = 1577,
  [1658] = 1658,
  [1659] = 1566,
  [1660] = 1578,
  [1661] = 1661,
  [1662] = 1566,
  [1663] = 1564,
  [1664] = 1569,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1575,
  [1668] = 1668,
  [1669] = 1583,
  [1670] = 1670,
  [1671] = 1584,
  [1672] = 1633,
  [1673] = 1585,
  [1674] = 1567,
  [1675] = 1557,
  [1676] = 1587,
  [1677] = 1590,
  [1678] = 1591,
  [1679] = 1592,
  [1680] = 1593,
  [1681] = 1569,
  [1682] = 1682,
  [1683] = 1576,
  [1684] = 1684,
  [1685] = 1565,
  [1686] = 1577,
  [1687] = 1605,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1583,
  [1691] = 1691,
  [1692] = 1584,
  [1693] = 1585,
  [1694] = 1605,
  [1695] = 1695,
  [1696] = 1609,
  [1697] = 1550,
  [1698] = 1551,
  [1699] = 1699,
  [1700] = 1567,
  [1701] = 1575,
  [1702] = 1702,
  [1703] = 1583,
  [1704] = 1704,
  [1705] = 1615,
  [1706] = 1549,
  [1707] = 1552,
  [1708] = 1708,
  [1709] = 1556,
  [1710] = 1584,
  [1711] = 1711,
  [1712] = 1688,
  [1713] = 1688,
  [1714] = 1578,
  [1715] = 1688,
  [1716] = 1716,
  [1717] = 1570,
  [1718] = 1684,
  [1719] = 1684,
  [1720] = 1684,
  [1721] = 1621,
  [1722] = 1621,
  [1723] = 1621,
  [1724] = 1585,
  [1725] = 1558,
  [1726] = 1605,
  [1727] = 1609,
  [1728] = 1562,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 456,
  [1732] = 1732,
  [1733] = 459,
  [1734] = 431,
  [1735] = 465,
  [1736] = 1736,
  [1737] = 471,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1739,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 432,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1751,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 453,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1741,
  [1760] = 1760,
  [1761] = 461,
  [1762] = 1746,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 454,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1741,
  [1769] = 1742,
  [1770] = 1770,
  [1771] = 1739,
  [1772] = 1746,
  [1773] = 1747,
  [1774] = 1755,
  [1775] = 1775,
  [1776] = 1750,
  [1777] = 1751,
  [1778] = 1778,
  [1779] = 1755,
  [1780] = 1757,
  [1781] = 1781,
  [1782] = 1750,
  [1783] = 1783,
  [1784] = 1757,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 345,
  [1789] = 1747,
  [1790] = 1741,
  [1791] = 1742,
  [1792] = 463,
  [1793] = 1739,
  [1794] = 1746,
  [1795] = 1747,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1750,
  [1799] = 1751,
  [1800] = 464,
  [1801] = 1755,
  [1802] = 1757,
  [1803] = 434,
  [1804] = 1804,
  [1805] = 446,
  [1806] = 1806,
  [1807] = 478,
  [1808] = 466,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 447,
  [1812] = 1741,
  [1813] = 1742,
  [1814] = 1814,
  [1815] = 1739,
  [1816] = 1746,
  [1817] = 1747,
  [1818] = 468,
  [1819] = 437,
  [1820] = 1750,
  [1821] = 1751,
  [1822] = 451,
  [1823] = 1755,
  [1824] = 1757,
  [1825] = 460,
  [1826] = 1826,
  [1827] = 1742,
  [1828] = 1739,
  [1829] = 1750,
  [1830] = 1830,
  [1831] = 1757,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1742,
  [1835] = 1739,
  [1836] = 1750,
  [1837] = 1837,
  [1838] = 1757,
  [1839] = 427,
  [1840] = 438,
  [1841] = 1739,
  [1842] = 449,
  [1843] = 1757,
  [1844] = 450,
  [1845] = 1740,
  [1846] = 1757,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 453,
  [1850] = 454,
  [1851] = 1851,
  [1852] = 333,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 468,
  [1856] = 1856,
  [1857] = 479,
  [1858] = 1858,
  [1859] = 481,
  [1860] = 1860,
  [1861] = 455,
  [1862] = 436,
  [1863] = 441,
  [1864] = 442,
  [1865] = 443,
  [1866] = 1866,
  [1867] = 461,
  [1868] = 462,
  [1869] = 467,
  [1870] = 1740,
  [1871] = 469,
  [1872] = 1741,
  [1873] = 470,
  [1874] = 1742,
  [1875] = 1875,
  [1876] = 476,
  [1877] = 1744,
  [1878] = 482,
  [1879] = 1804,
  [1880] = 421,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 423,
  [1884] = 1743,
  [1885] = 424,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 462,
  [1889] = 1889,
  [1890] = 474,
  [1891] = 428,
  [1892] = 475,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1740,
  [1896] = 429,
  [1897] = 479,
  [1898] = 1887,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 431,
  [1902] = 1752,
  [1903] = 432,
  [1904] = 1742,
  [1905] = 481,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 437,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 455,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1739,
  [1917] = 1740,
  [1918] = 1918,
  [1919] = 425,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1757,
  [1923] = 474,
  [1924] = 475,
  [1925] = 422,
  [1926] = 1854,
  [1927] = 425,
  [1928] = 422,
  [1929] = 448,
  [1930] = 473,
  [1931] = 1881,
  [1932] = 448,
  [1933] = 1933,
  [1934] = 473,
  [1935] = 1935,
  [1936] = 1875,
  [1937] = 1796,
  [1938] = 1744,
  [1939] = 1804,
  [1940] = 1751,
  [1941] = 1881,
  [1942] = 1882,
  [1943] = 1740,
  [1944] = 1899,
  [1945] = 1729,
  [1946] = 1746,
  [1947] = 1889,
  [1948] = 1948,
  [1949] = 1900,
  [1950] = 1741,
  [1951] = 1893,
  [1952] = 1894,
  [1953] = 1742,
  [1954] = 1882,
  [1955] = 1747,
  [1956] = 1887,
  [1957] = 1899,
  [1958] = 1900,
  [1959] = 1740,
  [1960] = 1752,
  [1961] = 1961,
  [1962] = 436,
  [1963] = 467,
  [1964] = 469,
  [1965] = 1961,
  [1966] = 1966,
  [1967] = 1739,
  [1968] = 1809,
  [1969] = 1740,
  [1970] = 1970,
  [1971] = 1746,
  [1972] = 1747,
  [1973] = 1973,
  [1974] = 1750,
  [1975] = 1975,
  [1976] = 1750,
  [1977] = 1977,
  [1978] = 441,
  [1979] = 1751,
  [1980] = 1875,
  [1981] = 1981,
  [1982] = 1804,
  [1983] = 1751,
  [1984] = 1881,
  [1985] = 1882,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1740,
  [1989] = 442,
  [1990] = 1889,
  [1991] = 1755,
  [1992] = 1740,
  [1993] = 443,
  [1994] = 1893,
  [1995] = 1894,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 470,
  [1999] = 1887,
  [2000] = 1899,
  [2001] = 1900,
  [2002] = 456,
  [2003] = 1752,
  [2004] = 2004,
  [2005] = 459,
  [2006] = 2006,
  [2007] = 465,
  [2008] = 1875,
  [2009] = 471,
  [2010] = 1740,
  [2011] = 1889,
  [2012] = 2012,
  [2013] = 1755,
  [2014] = 1740,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 1796,
  [2018] = 1740,
  [2019] = 2019,
  [2020] = 1973,
  [2021] = 1973,
  [2022] = 1740,
  [2023] = 1755,
  [2024] = 1858,
  [2025] = 1740,
  [2026] = 2026,
  [2027] = 1848,
  [2028] = 1781,
  [2029] = 2029,
  [2030] = 1767,
  [2031] = 2031,
  [2032] = 1826,
  [2033] = 2033,
  [2034] = 1886,
  [2035] = 1740,
  [2036] = 1920,
  [2037] = 1729,
  [2038] = 2038,
  [2039] = 1750,
  [2040] = 1732,
  [2041] = 2041,
  [2042] = 2015,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 1785,
  [2046] = 1797,
  [2047] = 2047,
  [2048] = 1973,
  [2049] = 1757,
  [2050] = 1893,
  [2051] = 2051,
  [2052] = 1858,
  [2053] = 1886,
  [2054] = 1854,
  [2055] = 1781,
  [2056] = 2056,
  [2057] = 463,
  [2058] = 464,
  [2059] = 434,
  [2060] = 1796,
  [2061] = 1894,
  [2062] = 446,
  [2063] = 1781,
  [2064] = 476,
  [2065] = 1961,
  [2066] = 478,
  [2067] = 466,
  [2068] = 2031,
  [2069] = 1741,
  [2070] = 1742,
  [2071] = 482,
  [2072] = 447,
  [2073] = 1757,
  [2074] = 1787,
  [2075] = 1740,
  [2076] = 421,
  [2077] = 1858,
  [2078] = 1848,
  [2079] = 1886,
  [2080] = 2029,
  [2081] = 1767,
  [2082] = 2031,
  [2083] = 1739,
  [2084] = 1746,
  [2085] = 1920,
  [2086] = 1729,
  [2087] = 2038,
  [2088] = 1747,
  [2089] = 1732,
  [2090] = 451,
  [2091] = 2015,
  [2092] = 2043,
  [2093] = 460,
  [2094] = 1785,
  [2095] = 1797,
  [2096] = 2047,
  [2097] = 1848,
  [2098] = 2043,
  [2099] = 2029,
  [2100] = 1767,
  [2101] = 423,
  [2102] = 2038,
  [2103] = 1920,
  [2104] = 424,
  [2105] = 2038,
  [2106] = 2106,
  [2107] = 1732,
  [2108] = 2029,
  [2109] = 2015,
  [2110] = 2043,
  [2111] = 1833,
  [2112] = 1785,
  [2113] = 1797,
  [2114] = 2047,
  [2115] = 1935,
  [2116] = 2051,
  [2117] = 2006,
  [2118] = 1910,
  [2119] = 2119,
  [2120] = 1997,
  [2121] = 1814,
  [2122] = 1935,
  [2123] = 2051,
  [2124] = 428,
  [2125] = 1910,
  [2126] = 2119,
  [2127] = 1997,
  [2128] = 1935,
  [2129] = 2051,
  [2130] = 2047,
  [2131] = 1910,
  [2132] = 2119,
  [2133] = 1997,
  [2134] = 2119,
  [2135] = 427,
  [2136] = 438,
  [2137] = 2137,
  [2138] = 449,
  [2139] = 450,
  [2140] = 2140,
  [2141] = 429,
  [2142] = 2142,
  [2143] = 1740,
  [2144] = 2041,
  [2145] = 335,
  [2146] = 2041,
  [2147] = 2147,
  [2148] = 2041,
  [2149] = 1787,
};

static TSCharacterRange sym_generic_token_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', ','}, {'.', '?'}, {'A', 'Z'},
  {'\\', '_'}, {'a', 'z'}, {'~', 0x10ffff},
};

static TSCharacterRange aux_sym_command_name_token1_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'#', '#'}, {'.', '.'}, {'0', ':'}, {'=', '?'}, {'A', 'Z'}, {'\\', '\\'},
  {'^', '_'}, {'a', 'z'}, {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1671,
        '"', 1597,
        '#', 527,
        '$', 658,
        '%', 1632,
        '&', 1388,
        '\'', 177,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1652,
        '.', 1695,
        '/', 1663,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        ';', 1322,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(504);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(740);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(717);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(721);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(773);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(759);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(760);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(751);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(723);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(742);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(741);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(756);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(787);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(757);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(129);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(171);
      if (lookahead == '#') ADVANCE(170);
      if (lookahead == '`') ADVANCE(103);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(130);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(130);
      if (lookahead == '\r') SKIP(2);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(662);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '\r') ADVANCE(4);
      if (lookahead == ' ') ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(9);
      if (lookahead == '\r') ADVANCE(6);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(6);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(8);
      if (lookahead == '\r') ADVANCE(6);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(6);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(8);
      if (lookahead == '\r') ADVANCE(7);
      if (lookahead == '\'') ADVANCE(73);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(9);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(8);
      if (lookahead == '\r') ADVANCE(7);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(9);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(87);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(87);
      if (lookahead == '\r') ADVANCE(10);
      if (lookahead == '\'') ADVANCE(73);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(87);
      if (lookahead == '\r') ADVANCE(10);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(139);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(139);
      if (lookahead == '\r') SKIP(13);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(140);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(140);
      if (lookahead == '\r') SKIP(15);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(144);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(144);
      if (lookahead == '\r') SKIP(17);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(126);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(126);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(145);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(145);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '\n', 1360,
        '\r', 25,
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(28);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1530);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(137);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(1360);
      if (lookahead == '\r') ADVANCE(26);
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == ')') ADVANCE(1326);
      if (lookahead == ';') ADVANCE(1322);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(72);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(165);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '\n', 1360,
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(28);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1530);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1416);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(1360);
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == ')') ADVANCE(1326);
      if (lookahead == ';') ADVANCE(1322);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(72);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(165);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(137);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(137);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(138);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(138);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(127);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(127);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(113);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(113);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(150);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(150);
      if (lookahead == '\r') SKIP(35);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(109);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(109);
      if (lookahead == '\r') SKIP(37);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(160);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(160);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(116);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(116);
      if (lookahead == '\r') SKIP(41);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(119);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(119);
      if (lookahead == '\r') SKIP(43);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(122);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(122);
      if (lookahead == '\r') SKIP(45);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(124);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(124);
      if (lookahead == '\r') SKIP(47);
      END_STATE();
    case 49:
      if (lookahead == '\n') ADVANCE(1401);
      if (lookahead == '\r') ADVANCE(1400);
      if (lookahead != 0) ADVANCE(1399);
      END_STATE();
    case 50:
      if (lookahead == '\n') ADVANCE(1397);
      END_STATE();
    case 51:
      if (lookahead == '\n') ADVANCE(653);
      if (lookahead == '\r') ADVANCE(654);
      if (lookahead != 0) ADVANCE(653);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '\n', 52,
        '\r', 54,
        '"', 211,
        '#', 708,
        '$', 706,
        '<', 705,
        '@', 707,
        '`', 704,
        '\t', 704,
        0x0b, 704,
        '\f', 704,
        ' ', 704,
        0xa0, 704,
        0x200b, 704,
        0x2060, 704,
        0xfeff, 704,
      );
      if (lookahead != 0) ADVANCE(704);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '\n', 52,
        '\r', 54,
        '#', 701,
        '$', 658,
        '<', 664,
        '@', 699,
        '`', 51,
        '\t', 663,
        0x0b, 663,
        '\f', 663,
        ' ', 663,
        0xa0, 663,
        0x200b, 663,
        0x2060, 663,
        0xfeff, 663,
      );
      if (lookahead != 0) ADVANCE(703);
      END_STATE();
    case 54:
      if (lookahead == '\n') ADVANCE(52);
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == '$') ADVANCE(174);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '`') SKIP(56);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(158);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(158);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(158);
      if (lookahead == '\r') SKIP(55);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(57);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(59);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(61);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(63);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(65);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(67);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(69);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(71);
      END_STATE();
    case 73:
      if (lookahead == '\n') ADVANCE(11);
      if (lookahead == '\r') ADVANCE(12);
      if (lookahead == '@') ADVANCE(715);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(132);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(132);
      if (lookahead == '\r') SKIP(74);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(143);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(143);
      if (lookahead == '\r') SKIP(76);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(105);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(105);
      if (lookahead == '\r') SKIP(78);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(133);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(133);
      if (lookahead == '\r') SKIP(80);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(135);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(135);
      if (lookahead == '\r') SKIP(82);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(121);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(121);
      if (lookahead == '\r') SKIP(84);
      END_STATE();
    case 86:
      if (lookahead == '\n') ADVANCE(88);
      END_STATE();
    case 87:
      if (lookahead == '\n') ADVANCE(88);
      if (lookahead == '\r') ADVANCE(86);
      if (lookahead == '\'') ADVANCE(210);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 88:
      if (lookahead == '\n') ADVANCE(88);
      if (lookahead == '\r') ADVANCE(86);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(128);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(128);
      if (lookahead == '\r') SKIP(89);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(115);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(115);
      if (lookahead == '\r') SKIP(91);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(117);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(117);
      if (lookahead == '\r') SKIP(93);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(123);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(123);
      if (lookahead == '\r') SKIP(95);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(125);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(125);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(107);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(107);
      if (lookahead == '\r') SKIP(99);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(141);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(141);
      if (lookahead == '\r') SKIP(101);
      END_STATE();
    case 103:
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 104:
      if (lookahead == '\r') ADVANCE(652);
      if (lookahead != 0) ADVANCE(651);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        ' ', 1623,
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 1648,
        ',', 1328,
        '-', 1656,
        '.', 499,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(79);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(105);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        ' ', 1623,
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 1648,
        ',', 1328,
        '-', 1656,
        '.', 1694,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(79);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(105);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        ' ', 1623,
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 1648,
        ',', 1328,
        '-', 1659,
        '.', 499,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(100);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(107);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        ' ', 1623,
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 1648,
        ',', 1328,
        '-', 1659,
        '.', 1694,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(100);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(107);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        ' ', 1623,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        '.', 499,
        '0', 549,
        ':', 1627,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(38);
      if (lookahead == '{') ADVANCE(1338);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        ' ', 1623,
        '"', 1598,
        '#', 1593,
        '\'', 177,
        ')', 1326,
        '*', 1586,
        '-', 1583,
        '1', 1587,
        '2', 1588,
        '3', 1589,
        '4', 1590,
        '5', 1591,
        '6', 1592,
        ':', 1629,
        '<', 884,
        '>', 842,
        '`', 1596,
        '|', 1387,
        0xa0, 1574,
        0x200b, 1574,
        0x2060, 1574,
        0xfeff, 1574,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(124);
      if (lookahead != 0 &&
          (lookahead < '&' || '*' < lookahead) &&
          lookahead != ',' &&
          lookahead != '-' &&
          (lookahead < ':' || '<' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        ' ', 1623,
        '"', 1598,
        '#', 1593,
        '\'', 177,
        ')', 1326,
        '*', 1586,
        '-', 1585,
        '1', 1587,
        '2', 1588,
        '3', 1589,
        '4', 1590,
        '5', 1591,
        '6', 1592,
        ':', 1629,
        '<', 884,
        '>', 842,
        '`', 1596,
        '|', 1387,
        0xa0, 1575,
        0x200b, 1575,
        0x2060, 1575,
        0xfeff, 1575,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(125);
      if (lookahead != 0 &&
          (lookahead < '&' || '*' < lookahead) &&
          lookahead != ',' &&
          lookahead != '-' &&
          (lookahead < ':' || '<' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '$', 175,
        ')', 1326,
        '*', 199,
        '+', 179,
        '-', 1601,
        '.', 1692,
        '1', 1607,
        '2', 1608,
        '3', 1609,
        '4', 1610,
        '5', 1611,
        '6', 1612,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(34);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '$', 175,
        ')', 1326,
        '*', 199,
        '+', 179,
        '-', 1601,
        '1', 1607,
        '2', 1608,
        '3', 1609,
        '4', 1610,
        '5', 1611,
        '6', 1612,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(34);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(113);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '$', 175,
        ')', 1326,
        '*', 199,
        '+', 179,
        '-', 1605,
        '.', 1692,
        '1', 1607,
        '2', 1608,
        '3', 1609,
        '4', 1610,
        '5', 1611,
        '6', 1612,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(92);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '$', 175,
        ')', 1326,
        '*', 199,
        '+', 179,
        '-', 1605,
        '1', 1607,
        '2', 1608,
        '3', 1609,
        '4', 1610,
        '5', 1611,
        '6', 1612,
        ':', 1628,
        '<', 882,
        '>', 840,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(92);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(115);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '$', 175,
        ')', 1326,
        '*', 199,
        '-', 1602,
        '1', 1607,
        '2', 1608,
        '3', 1609,
        '4', 1610,
        '5', 1611,
        '6', 1612,
        ':', 1627,
        '<', 882,
        '>', 840,
        '@', 206,
      );
      if (lookahead == '`') SKIP(42);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(116);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '$', 175,
        ')', 1326,
        '*', 199,
        '-', 1606,
        '1', 1607,
        '2', 1608,
        '3', 1609,
        '4', 1610,
        '5', 1611,
        '6', 1612,
        ':', 1627,
        '<', 882,
        '>', 840,
        '@', 206,
      );
      if (lookahead == '`') SKIP(94);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(117);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 179,
        ',', 1328,
        '-', 181,
        '.', 1693,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1628,
        '<', 882,
        '>', 840,
        '[', 831,
      );
      if (lookahead == '`') SKIP(44);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(119);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 179,
        ',', 1328,
        '-', 181,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1628,
        '<', 882,
        '>', 840,
        '[', 831,
      );
      if (lookahead == '`') SKIP(44);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(119);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 179,
        ',', 1328,
        '-', 183,
        '.', 1693,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1628,
        '<', 882,
        '>', 840,
        '[', 831,
      );
      if (lookahead == '`') SKIP(85);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(121);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 179,
        ',', 1328,
        '-', 183,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1628,
        '<', 882,
        '>', 840,
        '[', 831,
      );
      if (lookahead == '`') SKIP(85);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(121);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '(', 1325,
        ')', 1326,
        '*', 199,
        ',', 1328,
        '-', 182,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1627,
        '<', 882,
        '>', 840,
      );
      if (lookahead == '`') SKIP(46);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(122);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        '(', 1325,
        ')', 1326,
        '*', 199,
        ',', 1328,
        '-', 184,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1627,
        '<', 882,
        '>', 840,
      );
      if (lookahead == '`') SKIP(96);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(123);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        ')', 1326,
        '*', 199,
        '-', 182,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1627,
        '<', 882,
        '>', 840,
      );
      if (lookahead == '`') SKIP(48);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(124);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        ' ', 1623,
        '#', 537,
        ')', 1326,
        '*', 199,
        '-', 184,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1627,
        '<', 882,
        '>', 840,
      );
      if (lookahead == '`') SKIP(98);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(125);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        ' ', 1624,
        '!', 1672,
        '"', 604,
        '#', 531,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1656,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        ':', 1630,
        '<', 883,
        '>', 841,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(20);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1214);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(126);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        ' ', 1625,
        '!', 1672,
        '"', 604,
        '#', 531,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1655,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        '<', 883,
        '>', 841,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(32);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1215);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(127);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        ' ', 1626,
        '!', 1672,
        '"', 604,
        '#', 531,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1659,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        ':', 1630,
        '<', 883,
        '>', 841,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(90);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1216);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(128);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 1671,
        '"', 1406,
        '#', 527,
        '$', 1405,
        '%', 1632,
        '&', 1388,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1652,
        '.', 828,
        '/', 1663,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        ';', 1322,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(3);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(740);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(717);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(721);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(773);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(759);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(760);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(751);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(723);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(742);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(741);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(756);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(787);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(757);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(130);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(129);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 1671,
        '"', 1406,
        '#', 537,
        '$', 1405,
        '%', 1632,
        '&', 1388,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1652,
        '.', 828,
        '/', 1663,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        ';', 1322,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(3);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(740);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(717);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(721);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(773);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(759);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(760);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(751);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(723);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(742);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(741);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(756);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(787);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(757);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(130);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '%', 1631,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1665,
        '+', 1648,
        ',', 1328,
        '-', 1653,
        '.', 1691,
        '/', 1662,
        '0', 549,
        ':', 195,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(75);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '%', 1631,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1665,
        '+', 1648,
        ',', 1328,
        '-', 1653,
        '.', 186,
        '/', 1662,
        '0', 549,
        ':', 195,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(75);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 499,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 194,
        '<', 882,
        '>', 840,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(81);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(133);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 1694,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 194,
        '<', 882,
        '>', 840,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(81);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(133);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 499,
        '0', 549,
        ':', 194,
        '<', 169,
        '=', 834,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(83);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(760);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(813);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(135);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 537,
        '$', 174,
        '\'', 178,
        '(', 1325,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 1694,
        '0', 549,
        ':', 194,
        '<', 169,
        '=', 834,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(83);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(760);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(813);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(135);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(28);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1530);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1416);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(30);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1530);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1416);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(14);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1539);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1515);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1485);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1440);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1408);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(16);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1464);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1431);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1519);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1485);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1439);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1414);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(102);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1464);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1431);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1519);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1485);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1448);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1415);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '!', 198,
        '"', 1406,
        '#', 537,
        '$', 1403,
        '%', 1632,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1654,
        '.', 1690,
        '/', 1663,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 194,
        '<', 882,
        '=', 834,
        '>', 840,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(77);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(391);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(143);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '!', 198,
        '"', 1406,
        '#', 537,
        '$', 1403,
        '%', 1632,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1654,
        '.', 185,
        '/', 1663,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 194,
        '<', 882,
        '=', 834,
        '>', 840,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(77);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(391);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(143);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '!', 198,
        '#', 537,
        '$', 175,
        '%', 1632,
        ')', 1326,
        '*', 1666,
        '+', 1651,
        ',', 1328,
        '-', 1661,
        '.', 185,
        '/', 1663,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 1627,
        ';', 1322,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 206,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(18);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(760);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '!', 1672,
        '"', 604,
        '#', 531,
        '$', 174,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1655,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        '<', 883,
        '>', 841,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(22);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1217);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '"', 5,
        '\'', 6,
        '(', 1687,
        '?', 1078,
        '{', 1688,
        'G', 1123,
        'g', 1123,
        'L', 1129,
        'l', 1129,
        'P', 1131,
        'p', 1131,
        'S', 1114,
        's', 1114,
        'U', 1134,
        'u', 1134,
        'W', 1128,
        'w', 1128,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 147:
      if (lookahead == '"') ADVANCE(659);
      if (lookahead == '#') ADVANCE(527);
      if (lookahead == '$') ADVANCE(656);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(68);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(168);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(148);
      END_STATE();
    case 148:
      if (lookahead == '"') ADVANCE(659);
      if (lookahead == '#') ADVANCE(527);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(68);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(168);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(148);
      END_STATE();
    case 149:
      if (lookahead == '"') ADVANCE(659);
      if (lookahead == '#') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(149);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '"', 604,
        '#', 532,
        '$', 174,
        '\'', 178,
        '(', 1325,
        '-', 1621,
        '.', 1423,
        '0', 539,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(36);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1417);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(540);
      if (('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '"', 606,
        '#', 530,
        '$', 1278,
        '\'', 1279,
        '(', 1325,
        '.', 1288,
        '0', 561,
        ';', 1322,
        '<', 1275,
        '@', 1273,
        '[', 833,
        '`', 1291,
        '{', 1338,
        '}', 1340,
        0xa0, 1272,
        0x200b, 1272,
        0x2060, 1272,
        0xfeff, 1272,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(562);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(1291);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '"', 1598,
        '#', 1593,
        '\'', 177,
        ',', 1328,
        '<', 1577,
        '`', 1596,
        '{', 1338,
        0xa0, 1576,
        0x200b, 1576,
        0x2060, 1576,
        0xfeff, 1576,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 153:
      if (lookahead == '"') ADVANCE(1407);
      if (lookahead == '#') ADVANCE(529);
      if (lookahead == '$') ADVANCE(1404);
      if (lookahead == '<') ADVANCE(1390);
      if (lookahead == '@') ADVANCE(1394);
      if (lookahead == '`') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1389);
      if (lookahead != 0) ADVANCE(1396);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '"', 660,
        '#', 607,
        '$', 657,
        '<', 611,
        '@', 646,
        '`', 51,
        0xa0, 610,
        0x200b, 610,
        0x2060, 610,
        0xfeff, 610,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(609);
      if (lookahead != 0) ADVANCE(650);
      END_STATE();
    case 155:
      if (lookahead == '"') ADVANCE(1317);
      if (lookahead == '#') ADVANCE(528);
      if (lookahead == '&') ADVANCE(1312);
      if (lookahead == ')') ADVANCE(1327);
      if (lookahead == '<') ADVANCE(1318);
      if (lookahead == '`') ADVANCE(1321);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(155);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1315);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 156:
      if (lookahead == '"') ADVANCE(1317);
      if (lookahead == '#') ADVANCE(528);
      if (lookahead == '&') ADVANCE(1312);
      if (lookahead == '<') ADVANCE(1318);
      if (lookahead == '`') ADVANCE(1321);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(156);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1316);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 157:
      if (lookahead == '"') ADVANCE(1310);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 158:
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == '$') ADVANCE(174);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '`') SKIP(56);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(158);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '#', 537,
        '$', 175,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 179,
        ',', 1328,
        '-', 180,
        '.', 1693,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 194,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(40);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(160);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '#', 537,
        '$', 175,
        '(', 1325,
        ')', 1326,
        '*', 199,
        '+', 179,
        ',', 1328,
        '-', 180,
        '1', 200,
        '2', 201,
        '3', 202,
        '4', 203,
        '5', 204,
        '6', 205,
        ':', 194,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(40);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(160);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 161:
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == '$') ADVANCE(175);
      if (lookahead == ')') ADVANCE(1326);
      if (lookahead == ',') ADVANCE(1328);
      if (lookahead == '-') ADVANCE(1604);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '`') SKIP(60);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(161);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '#', 537,
        '$', 175,
        '+', 179,
        ',', 1328,
        '-', 1603,
        '.', 1692,
        ':', 194,
        '<', 169,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(58);
      if (lookahead == '{') ADVANCE(1338);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '#', 537,
        '$', 175,
        '+', 179,
        ',', 1328,
        '-', 1603,
        ':', 194,
        '<', 169,
        '@', 206,
        '[', 831,
      );
      if (lookahead == '`') SKIP(58);
      if (lookahead == '{') ADVANCE(1338);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(163);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 164:
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == '(') ADVANCE(1325);
      if (lookahead == ',') ADVANCE(1328);
      if (lookahead == '.') ADVANCE(827);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '[') ADVANCE(831);
      if (lookahead == ']') ADVANCE(1697);
      if (lookahead == '`') SKIP(66);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      END_STATE();
    case 165:
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == ')') ADVANCE(1326);
      if (lookahead == ';') ADVANCE(1322);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(72);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(165);
      END_STATE();
    case 166:
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == ',') ADVANCE(1328);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(64);
      if (lookahead == '{') ADVANCE(1338);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(166);
      END_STATE();
    case 167:
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == '0') ADVANCE(564);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(565);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(167);
      END_STATE();
    case 168:
      if (lookahead == '#') ADVANCE(537);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(68);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(168);
      END_STATE();
    case 169:
      if (lookahead == '#') ADVANCE(171);
      END_STATE();
    case 170:
      if (lookahead == '#') ADVANCE(170);
      if (lookahead == '>') ADVANCE(526);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 171:
      if (lookahead == '#') ADVANCE(170);
      if (lookahead == '`') ADVANCE(103);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 172:
      if (lookahead == '#') ADVANCE(532);
      if (lookahead == '%') ADVANCE(1631);
      if (lookahead == '&') ADVANCE(1388);
      if (lookahead == '.') ADVANCE(830);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '`') SKIP(62);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1530);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1418);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (lookahead != 0 &&
          (lookahead < ' ' || '/' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '@' &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 173:
      if (lookahead == '#') ADVANCE(530);
      if (lookahead == '<') ADVANCE(1275);
      if (lookahead == '`') ADVANCE(1291);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1274);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '$', 967,
        '(', 1686,
        '?', 973,
        '^', 970,
        '_', 976,
        '{', 502,
        'G', 993,
        'g', 993,
        'L', 999,
        'l', 999,
        'P', 1001,
        'p', 1001,
        'S', 984,
        's', 984,
        'U', 1004,
        'u', 1004,
        'W', 998,
        'w', 998,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '$', 967,
        '?', 973,
        '^', 970,
        '_', 976,
        '{', 502,
        'G', 993,
        'g', 993,
        'L', 999,
        'l', 999,
        'P', 1001,
        'p', 1001,
        'S', 984,
        's', 984,
        'U', 1004,
        'u', 1004,
        'W', 998,
        'w', 998,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 176:
      if (lookahead == '&') ADVANCE(193);
      END_STATE();
    case 177:
      if (lookahead == '\'') ADVANCE(1599);
      END_STATE();
    case 178:
      if (lookahead == '\'') ADVANCE(711);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 179:
      if (lookahead == '+') ADVANCE(1674);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '-', 1676,
        'C', 220,
        'c', 220,
        'E', 497,
        'e', 497,
        'F', 336,
        'f', 336,
        'P', 224,
        'p', 224,
        'R', 308,
        'r', 308,
        'S', 493,
        's', 493,
        'W', 339,
        'w', 339,
      );
      END_STATE();
    case 181:
      if (lookahead == '-') ADVANCE(1678);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 182:
      if (lookahead == '-') ADVANCE(1292);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 183:
      if (lookahead == '-') ADVANCE(1680);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 184:
      if (lookahead == '-') ADVANCE(1294);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 185:
      if (lookahead == '.') ADVANCE(1667);
      END_STATE();
    case 186:
      if (lookahead == '.') ADVANCE(1667);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 187:
      if (lookahead == '1') ADVANCE(885);
      if (lookahead == '2') ADVANCE(897);
      END_STATE();
    case 188:
      if (lookahead == '1') ADVANCE(887);
      END_STATE();
    case 189:
      if (lookahead == '1') ADVANCE(889);
      if (lookahead == '2') ADVANCE(901);
      END_STATE();
    case 190:
      if (lookahead == '1') ADVANCE(891);
      if (lookahead == '2') ADVANCE(903);
      END_STATE();
    case 191:
      if (lookahead == '1') ADVANCE(893);
      if (lookahead == '2') ADVANCE(905);
      END_STATE();
    case 192:
      if (lookahead == '1') ADVANCE(895);
      if (lookahead == '2') ADVANCE(907);
      END_STATE();
    case 193:
      if (lookahead == '2') ADVANCE(899);
      END_STATE();
    case 194:
      if (lookahead == ':') ADVANCE(1696);
      END_STATE();
    case 195:
      if (lookahead == ':') ADVANCE(1696);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1375);
      END_STATE();
    case 196:
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == '?') ADVANCE(979);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 197:
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == '?') ADVANCE(1078);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1203);
      END_STATE();
    case 198:
      if (lookahead == '=') ADVANCE(835);
      END_STATE();
    case 199:
      if (lookahead == '>') ADVANCE(876);
      END_STATE();
    case 200:
      if (lookahead == '>') ADVANCE(176);
      END_STATE();
    case 201:
      if (lookahead == '>') ADVANCE(846);
      END_STATE();
    case 202:
      if (lookahead == '>') ADVANCE(852);
      END_STATE();
    case 203:
      if (lookahead == '>') ADVANCE(858);
      END_STATE();
    case 204:
      if (lookahead == '>') ADVANCE(864);
      END_STATE();
    case 205:
      if (lookahead == '>') ADVANCE(870);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '?', 1078,
        'G', 1123,
        'g', 1123,
        'L', 1129,
        'l', 1129,
        'P', 1131,
        'p', 1131,
        'S', 1114,
        's', 1114,
        'U', 1134,
        'u', 1134,
        'W', 1128,
        'w', 1128,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 207:
      if (lookahead == '?') ADVANCE(1078);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1203);
      END_STATE();
    case 208:
      if (lookahead == '?') ADVANCE(979);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 209:
      if (lookahead == '@') ADVANCE(714);
      END_STATE();
    case 210:
      if (lookahead == '@') ADVANCE(714);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 211:
      if (lookahead == '@') ADVANCE(710);
      if (lookahead != 0) ADVANCE(709);
      END_STATE();
    case 212:
      if (lookahead == '`') ADVANCE(1398);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1397);
      END_STATE();
    case 213:
      if (lookahead == 'b') ADVANCE(538);
      END_STATE();
    case 214:
      if (lookahead == 'b') ADVANCE(587);
      END_STATE();
    case 215:
      if (lookahead == 'b') ADVANCE(572);
      END_STATE();
    case 216:
      if (lookahead == '}') ADVANCE(1210);
      if (lookahead != 0) ADVANCE(216);
      END_STATE();
    case 217:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        'A', 393,
        'a', 393,
        'N', 416,
        'n', 416,
        'O', 442,
        'o', 442,
        'X', 418,
        'x', 418,
      );
      END_STATE();
    case 219:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(393);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(442);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(418);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(459);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        'A', 459,
        'a', 459,
        'C', 424,
        'c', 424,
        'E', 439,
        'e', 439,
        'G', 288,
        'g', 288,
        'L', 289,
        'l', 289,
        'M', 235,
        'm', 235,
        'N', 290,
        'n', 290,
        'O', 400,
        'o', 400,
        'R', 313,
        'r', 313,
        'S', 434,
        's', 434,
      );
      END_STATE();
    case 222:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(475);
      END_STATE();
    case 223:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 224:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(446);
      END_STATE();
    case 225:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(387);
      END_STATE();
    case 226:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(383);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 228:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(384);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(447);
      END_STATE();
    case 231:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(374);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 233:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(265);
      END_STATE();
    case 234:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(398);
      END_STATE();
    case 235:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(476);
      END_STATE();
    case 236:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 237:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(448);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(423);
      END_STATE();
    case 238:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(267);
      END_STATE();
    case 239:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(477);
      END_STATE();
    case 240:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(341);
      END_STATE();
    case 241:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(449);
      END_STATE();
    case 242:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 243:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(480);
      END_STATE();
    case 244:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 245:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(481);
      END_STATE();
    case 246:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(345);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(482);
      END_STATE();
    case 248:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(347);
      END_STATE();
    case 249:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(483);
      END_STATE();
    case 250:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(349);
      END_STATE();
    case 251:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(359);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 253:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 255:
      ADVANCE_MAP(
        'C', 424,
        'c', 424,
        'E', 439,
        'e', 439,
        'G', 288,
        'g', 288,
        'L', 289,
        'l', 289,
        'M', 235,
        'm', 235,
        'N', 290,
        'n', 290,
        'O', 400,
        'o', 400,
        'R', 313,
        'r', 313,
        'S', 434,
        's', 434,
      );
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(433);
      END_STATE();
    case 257:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(328);
      END_STATE();
    case 258:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(412);
      END_STATE();
    case 259:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(329);
      END_STATE();
    case 260:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(467);
      END_STATE();
    case 261:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(330);
      END_STATE();
    case 262:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(331);
      END_STATE();
    case 263:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(332);
      END_STATE();
    case 264:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(333);
      END_STATE();
    case 265:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(334);
      END_STATE();
    case 266:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 267:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(301);
      END_STATE();
    case 268:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(473);
      END_STATE();
    case 269:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(303);
      END_STATE();
    case 270:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 271:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(230);
      END_STATE();
    case 272:
      ADVANCE_MAP(
        'C', 425,
        'c', 425,
        'E', 440,
        'e', 440,
        'G', 291,
        'g', 291,
        'L', 292,
        'l', 292,
        'M', 239,
        'm', 239,
        'N', 936,
        'n', 936,
        'R', 318,
        'r', 318,
        'S', 942,
        's', 942,
      );
      END_STATE();
    case 273:
      ADVANCE_MAP(
        'C', 426,
        'c', 426,
        'I', 390,
        'i', 390,
        'L', 355,
        'l', 355,
        'M', 243,
        'm', 243,
      );
      END_STATE();
    case 274:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(427);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(356);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(245);
      END_STATE();
    case 275:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(428);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(357);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(247);
      END_STATE();
    case 276:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1642);
      END_STATE();
    case 277:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1645);
      END_STATE();
    case 278:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1350);
      END_STATE();
    case 279:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1383);
      END_STATE();
    case 280:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1336);
      END_STATE();
    case 281:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(271);
      END_STATE();
    case 282:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(258);
      END_STATE();
    case 283:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(926);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(927);
      END_STATE();
    case 284:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(949);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(360);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(951);
      END_STATE();
    case 285:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(464);
      END_STATE();
    case 286:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(474);
      END_STATE();
    case 287:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 288:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(912);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(913);
      END_STATE();
    case 289:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(914);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(361);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(916);
      END_STATE();
    case 290:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(918);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 291:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(930);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(931);
      END_STATE();
    case 292:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(932);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(362);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(934);
      END_STATE();
    case 293:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1354);
      END_STATE();
    case 294:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(950);
      END_STATE();
    case 295:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(496);
      END_STATE();
    case 296:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(915);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(933);
      END_STATE();
    case 298:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(956);
      END_STATE();
    case 299:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(958);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(920);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(923);
      END_STATE();
    case 302:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(939);
      END_STATE();
    case 303:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(941);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1352);
      END_STATE();
    case 305:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 306:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1344);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1361);
      END_STATE();
    case 308:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 309:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 310:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 311:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(461);
      END_STATE();
    case 312:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(460);
      END_STATE();
    case 313:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 314:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(268);
      END_STATE();
    case 315:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 316:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 317:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(431);
      END_STATE();
    case 318:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 319:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1342);
      END_STATE();
    case 320:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 321:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(295);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(373);
      END_STATE();
    case 322:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(353);
      END_STATE();
    case 323:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(366);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(370);
      END_STATE();
    case 324:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(366);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(370);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(430);
      END_STATE();
    case 325:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(952);
      END_STATE();
    case 326:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(917);
      END_STATE();
    case 327:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(935);
      END_STATE();
    case 328:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(957);
      END_STATE();
    case 329:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(921);
      END_STATE();
    case 330:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(940);
      END_STATE();
    case 331:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1378);
      END_STATE();
    case 332:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1347);
      END_STATE();
    case 333:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1355);
      END_STATE();
    case 334:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1698);
      END_STATE();
    case 335:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(354);
      END_STATE();
    case 336:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 337:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(494);
      END_STATE();
    case 338:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 339:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(371);
      END_STATE();
    case 340:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(396);
      END_STATE();
    case 341:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 342:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(399);
      END_STATE();
    case 343:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(368);
      END_STATE();
    case 344:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(469);
      END_STATE();
    case 345:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(401);
      END_STATE();
    case 346:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(470);
      END_STATE();
    case 347:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(402);
      END_STATE();
    case 348:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(471);
      END_STATE();
    case 349:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(404);
      END_STATE();
    case 350:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(479);
      END_STATE();
    case 351:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(406);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(445);
      END_STATE();
    case 352:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 353:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(392);
      END_STATE();
    case 354:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 355:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(363);
      END_STATE();
    case 356:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 357:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(365);
      END_STATE();
    case 358:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(484);
      END_STATE();
    case 359:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(314);
      END_STATE();
    case 360:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(294);
      END_STATE();
    case 361:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(296);
      END_STATE();
    case 362:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(297);
      END_STATE();
    case 363:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(298);
      END_STATE();
    case 364:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(300);
      END_STATE();
    case 365:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(302);
      END_STATE();
    case 366:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(959);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(960);
      END_STATE();
    case 367:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1353);
      END_STATE();
    case 368:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1365);
      END_STATE();
    case 369:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(498);
      END_STATE();
    case 370:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 371:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(281);
      END_STATE();
    case 372:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 373:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 374:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(369);
      END_STATE();
    case 375:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(310);
      END_STATE();
    case 376:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(307);
      END_STATE();
    case 377:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(375);
      END_STATE();
    case 378:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(346);
      END_STATE();
    case 379:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(462);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 380:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(348);
      END_STATE();
    case 381:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 382:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(242);
      END_STATE();
    case 383:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1323);
      END_STATE();
    case 384:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1330);
      END_STATE();
    case 385:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(386);
      END_STATE();
    case 386:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(234);
      END_STATE();
    case 387:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(352);
      END_STATE();
    case 388:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(276);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(909);
      END_STATE();
    case 389:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(945);
      END_STATE();
    case 390:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(955);
      END_STATE();
    case 391:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1357);
      END_STATE();
    case 392:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1332);
      END_STATE();
    case 393:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 394:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(463);
      END_STATE();
    case 395:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(416);
      END_STATE();
    case 396:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 397:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(453);
      END_STATE();
    case 398:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 399:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(454);
      END_STATE();
    case 400:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(478);
      END_STATE();
    case 401:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(455);
      END_STATE();
    case 402:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(456);
      END_STATE();
    case 403:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 404:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 405:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(486);
      END_STATE();
    case 406:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 407:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(487);
      END_STATE();
    case 408:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(488);
      END_STATE();
    case 409:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(489);
      END_STATE();
    case 410:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(490);
      END_STATE();
    case 411:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(491);
      END_STATE();
    case 412:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(385);
      END_STATE();
    case 413:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 414:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1363);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(403);
      END_STATE();
    case 415:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 416:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(465);
      END_STATE();
    case 417:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(443);
      END_STATE();
    case 418:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(444);
      END_STATE();
    case 419:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(450);
      END_STATE();
    case 420:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(468);
      END_STATE();
    case 421:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(451);
      END_STATE();
    case 422:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(472);
      END_STATE();
    case 423:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(270);
      END_STATE();
    case 424:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(407);
      END_STATE();
    case 425:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(408);
      END_STATE();
    case 426:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(409);
      END_STATE();
    case 427:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(410);
      END_STATE();
    case 428:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(411);
      END_STATE();
    case 429:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(370);
      END_STATE();
    case 430:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(432);
      END_STATE();
    case 431:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(373);
      END_STATE();
    case 432:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(419);
      END_STATE();
    case 433:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(241);
      END_STATE();
    case 434:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(378);
      END_STATE();
    case 435:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(381);
      END_STATE();
    case 436:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(382);
      END_STATE();
    case 437:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(925);
      END_STATE();
    case 438:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(925);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(223);
      END_STATE();
    case 439:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(911);
      END_STATE();
    case 440:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(929);
      END_STATE();
    case 441:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1643);
      END_STATE();
    case 442:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1646);
      END_STATE();
    case 443:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1644);
      END_STATE();
    case 444:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1647);
      END_STATE();
    case 445:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1359);
      END_STATE();
    case 446:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 447:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 448:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 449:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 450:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(485);
      END_STATE();
    case 451:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 452:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(922);
      END_STATE();
    case 453:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(910);
      END_STATE();
    case 454:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(928);
      END_STATE();
    case 455:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(954);
      END_STATE();
    case 456:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(919);
      END_STATE();
    case 457:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(938);
      END_STATE();
    case 458:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1334);
      END_STATE();
    case 459:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(312);
      END_STATE();
    case 460:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(309);
      END_STATE();
    case 461:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(458);
      END_STATE();
    case 462:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(306);
      END_STATE();
    case 463:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(350);
      END_STATE();
    case 464:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1669);
      END_STATE();
    case 465:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1673);
      END_STATE();
    case 466:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(274);
      END_STATE();
    case 467:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1351);
      END_STATE();
    case 468:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(943);
      END_STATE();
    case 469:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(961);
      END_STATE();
    case 470:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(924);
      END_STATE();
    case 471:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(944);
      END_STATE();
    case 472:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1668);
      END_STATE();
    case 473:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1633);
      END_STATE();
    case 474:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(273);
      END_STATE();
    case 475:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 476:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(253);
      END_STATE();
    case 477:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(254);
      END_STATE();
    case 478:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(236);
      END_STATE();
    case 479:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(337);
      END_STATE();
    case 480:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(257);
      END_STATE();
    case 481:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 482:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(261);
      END_STATE();
    case 483:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(262);
      END_STATE();
    case 484:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      END_STATE();
    case 485:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(315);
      END_STATE();
    case 486:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(343);
      END_STATE();
    case 487:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 488:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(244);
      END_STATE();
    case 489:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(246);
      END_STATE();
    case 490:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(248);
      END_STATE();
    case 491:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(250);
      END_STATE();
    case 492:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(275);
      END_STATE();
    case 493:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(430);
      END_STATE();
    case 494:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(304);
      END_STATE();
    case 495:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(358);
      END_STATE();
    case 496:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1349);
      END_STATE();
    case 497:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(223);
      END_STATE();
    case 498:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1380);
      END_STATE();
    case 499:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 500:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 501:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(576);
      END_STATE();
    case 502:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(216);
      END_STATE();
    case 503:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(517);
      END_STATE();
    case 504:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(517);
      if (lookahead == '\r') SKIP(503);
      END_STATE();
    case 505:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(520);
      END_STATE();
    case 506:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(520);
      if (lookahead == '\r') SKIP(505);
      END_STATE();
    case 507:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(519);
      END_STATE();
    case 508:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(519);
      if (lookahead == '\r') SKIP(507);
      END_STATE();
    case 509:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(521);
      END_STATE();
    case 510:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(521);
      if (lookahead == '\r') SKIP(509);
      END_STATE();
    case 511:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(522);
      END_STATE();
    case 512:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(522);
      if (lookahead == '\r') SKIP(511);
      END_STATE();
    case 513:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(523);
      END_STATE();
    case 514:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(523);
      if (lookahead == '\r') SKIP(513);
      END_STATE();
    case 515:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(524);
      END_STATE();
    case 516:
      if (eof) ADVANCE(525);
      if (lookahead == '\n') SKIP(524);
      if (lookahead == '\r') SKIP(515);
      END_STATE();
    case 517:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1671,
        '"', 1406,
        '#', 537,
        '$', 1405,
        '%', 1632,
        '&', 1388,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1652,
        '.', 828,
        '/', 1663,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 1628,
        ';', 1322,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(504);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(740);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(717);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(721);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(773);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(759);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(760);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(751);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(723);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(742);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(741);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(756);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(787);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(757);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(517);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 518:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1671,
        '"', 604,
        '#', 537,
        '$', 174,
        '%', 1632,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1653,
        '.', 1691,
        '/', 1663,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 194,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(508);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(249);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(414);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(379);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(351);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(391);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(237);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(405);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(335);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(519);
      END_STATE();
    case 519:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1671,
        '"', 604,
        '#', 537,
        '$', 174,
        '%', 1632,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '*', 1666,
        '+', 1649,
        ',', 1328,
        '-', 1653,
        '.', 186,
        '/', 1663,
        '0', 549,
        '1', 543,
        '2', 544,
        '3', 545,
        '4', 546,
        '5', 547,
        '6', 548,
        ':', 194,
        '<', 882,
        '=', 834,
        '>', 840,
        '@', 146,
        '[', 831,
        '\\', 1664,
        ']', 1697,
      );
      if (lookahead == '`') SKIP(508);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '|') ADVANCE(1387);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(305);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(249);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(414);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(379);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(351);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(391);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(237);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(405);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(335);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(519);
      END_STATE();
    case 520:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(506);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1539);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1515);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1485);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1449);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1409);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(520);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 521:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(510);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1539);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1505);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1485);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1449);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1411);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(521);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 522:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(512);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1539);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1446);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1515);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1486);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1449);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1413);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(522);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 523:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(514);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1539);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1515);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1486);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1449);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1410);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(523);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 524:
      if (eof) ADVANCE(525);
      ADVANCE_MAP(
        '!', 1670,
        '"', 604,
        '#', 532,
        '$', 174,
        '%', 1631,
        '&', 1388,
        '\'', 178,
        '(', 1325,
        ')', 1326,
        '+', 1648,
        ',', 1328,
        '-', 1655,
        '.', 829,
        '0', 551,
        ':', 1571,
        ';', 1322,
        '<', 169,
        '@', 146,
        '[', 831,
      );
      if (lookahead == '`') SKIP(516);
      if (lookahead == '{') ADVANCE(1338);
      if (lookahead == '}') ADVANCE(1340);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1539);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1500);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1511);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1485);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1449);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1467);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1460);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1483);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1412);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(524);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '"') ADVANCE(661);
      if (lookahead == '#') ADVANCE(527);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(527);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '|') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(528);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(1396);
      if (lookahead == '"' ||
          lookahead == '$' ||
          lookahead == '`') ADVANCE(537);
      if (lookahead != 0) ADVANCE(529);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(537);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(530);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(537);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(531);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          (' ' <= lookahead && lookahead <= '"') ||
          ('$' <= lookahead && lookahead <= '-') ||
          lookahead == '/' ||
          lookahead == ';' ||
          lookahead == '<' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '`' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(537);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(532);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '|') ADVANCE(1321);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(1396);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(537);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '-', 1621,
        '.', 1423,
        'e', 1419,
        'g', 1420,
        'k', 1420,
        'm', 1420,
        'p', 1420,
        't', 1420,
        'x', 1424,
        'd', 541,
        'l', 541,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(540);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '-', 1621,
        '.', 1423,
        'e', 1419,
        'g', 1420,
        'k', 1420,
        'm', 1420,
        'p', 1420,
        't', 1420,
        'd', 541,
        'l', 541,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(540);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'g') ADVANCE(1420);
      if (lookahead == 'k') ADVANCE(1420);
      if (lookahead == 'm') ADVANCE(1420);
      if (lookahead == 'p') ADVANCE(1420);
      if (lookahead == 't') ADVANCE(1420);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        '>', 176,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        '>', 846,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        '>', 852,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        '>', 858,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        '>', 864,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        '>', 870,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'x', 501,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 499,
        'e', 217,
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1569,
        'e', 1430,
        'g', 1427,
        'k', 1427,
        'm', 1427,
        'p', 1427,
        't', 1427,
        'x', 1570,
        'd', 566,
        'l', 566,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1569,
        'e', 1430,
        'g', 1427,
        'k', 1427,
        'm', 1427,
        'p', 1427,
        't', 1427,
        'd', 566,
        'l', 566,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        '>', 1222,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        '>', 848,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        '>', 854,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        '>', 860,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        '>', 866,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        '>', 872,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'x', 1266,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1263,
        'e', 1241,
        'g', 1237,
        'k', 1237,
        'm', 1237,
        'p', 1237,
        't', 1237,
        'd', 567,
        'l', 567,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1288,
        'e', 1287,
        'g', 1284,
        'k', 1284,
        'm', 1284,
        'p', 1284,
        't', 1284,
        'x', 1290,
        'd', 568,
        'l', 568,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(562);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1288,
        'e', 1287,
        'g', 1284,
        'k', 1284,
        'm', 1284,
        'p', 1284,
        't', 1284,
        'd', 568,
        'l', 568,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(562);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(213);
      if (lookahead == 'k') ADVANCE(213);
      if (lookahead == 'm') ADVANCE(213);
      if (lookahead == 'p') ADVANCE(213);
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        'g', 213,
        'k', 213,
        'm', 213,
        'p', 213,
        't', 213,
        'x', 501,
        'd', 563,
        'l', 563,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(565);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(213);
      if (lookahead == 'k') ADVANCE(213);
      if (lookahead == 'm') ADVANCE(213);
      if (lookahead == 'p') ADVANCE(213);
      if (lookahead == 't') ADVANCE(213);
      if (lookahead == 'd' ||
          lookahead == 'l') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(565);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1427);
      if (lookahead == 'k') ADVANCE(1427);
      if (lookahead == 'm') ADVANCE(1427);
      if (lookahead == 'p') ADVANCE(1427);
      if (lookahead == 't') ADVANCE(1427);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1237);
      if (lookahead == 'k') ADVANCE(1237);
      if (lookahead == 'm') ADVANCE(1237);
      if (lookahead == 'p') ADVANCE(1237);
      if (lookahead == 't') ADVANCE(1237);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1284);
      if (lookahead == 'k') ADVANCE(1284);
      if (lookahead == 'm') ADVANCE(1284);
      if (lookahead == 'p') ADVANCE(1284);
      if (lookahead == 't') ADVANCE(1284);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'g') ADVANCE(1422);
      if (lookahead == 'k') ADVANCE(1422);
      if (lookahead == 'l') ADVANCE(574);
      if (lookahead == 'm') ADVANCE(1422);
      if (lookahead == 'p') ADVANCE(1422);
      if (lookahead == 't') ADVANCE(1422);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(573);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'g') ADVANCE(1422);
      if (lookahead == 'k') ADVANCE(1422);
      if (lookahead == 'm') ADVANCE(1422);
      if (lookahead == 'p') ADVANCE(1422);
      if (lookahead == 't') ADVANCE(1422);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(215);
      if (lookahead == 'k') ADVANCE(215);
      if (lookahead == 'l') ADVANCE(577);
      if (lookahead == 'm') ADVANCE(215);
      if (lookahead == 'p') ADVANCE(215);
      if (lookahead == 't') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(576);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(215);
      if (lookahead == 'k') ADVANCE(215);
      if (lookahead == 'm') ADVANCE(215);
      if (lookahead == 'p') ADVANCE(215);
      if (lookahead == 't') ADVANCE(215);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1429);
      if (lookahead == 'k') ADVANCE(1429);
      if (lookahead == 'l') ADVANCE(579);
      if (lookahead == 'm') ADVANCE(1429);
      if (lookahead == 'p') ADVANCE(1429);
      if (lookahead == 't') ADVANCE(1429);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1429);
      if (lookahead == 'k') ADVANCE(1429);
      if (lookahead == 'm') ADVANCE(1429);
      if (lookahead == 'p') ADVANCE(1429);
      if (lookahead == 't') ADVANCE(1429);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1239);
      if (lookahead == 'k') ADVANCE(1239);
      if (lookahead == 'l') ADVANCE(581);
      if (lookahead == 'm') ADVANCE(1239);
      if (lookahead == 'p') ADVANCE(1239);
      if (lookahead == 't') ADVANCE(1239);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(580);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1239);
      if (lookahead == 'k') ADVANCE(1239);
      if (lookahead == 'm') ADVANCE(1239);
      if (lookahead == 'p') ADVANCE(1239);
      if (lookahead == 't') ADVANCE(1239);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1286);
      if (lookahead == 'k') ADVANCE(1286);
      if (lookahead == 'l') ADVANCE(583);
      if (lookahead == 'm') ADVANCE(1286);
      if (lookahead == 'p') ADVANCE(1286);
      if (lookahead == 't') ADVANCE(1286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(582);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1286);
      if (lookahead == 'k') ADVANCE(1286);
      if (lookahead == 'm') ADVANCE(1286);
      if (lookahead == 'p') ADVANCE(1286);
      if (lookahead == 't') ADVANCE(1286);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_real_literal);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'e') ADVANCE(1419);
      if (lookahead == 'g') ADVANCE(1421);
      if (lookahead == 'k') ADVANCE(1421);
      if (lookahead == 'm') ADVANCE(1421);
      if (lookahead == 'p') ADVANCE(1421);
      if (lookahead == 't') ADVANCE(1421);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'g') ADVANCE(1421);
      if (lookahead == 'k') ADVANCE(1421);
      if (lookahead == 'm') ADVANCE(1421);
      if (lookahead == 'p') ADVANCE(1421);
      if (lookahead == 't') ADVANCE(1421);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'g') ADVANCE(214);
      if (lookahead == 'k') ADVANCE(214);
      if (lookahead == 'm') ADVANCE(214);
      if (lookahead == 'p') ADVANCE(214);
      if (lookahead == 't') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(1430);
      if (lookahead == 'g') ADVANCE(1428);
      if (lookahead == 'k') ADVANCE(1428);
      if (lookahead == 'm') ADVANCE(1428);
      if (lookahead == 'p') ADVANCE(1428);
      if (lookahead == 't') ADVANCE(1428);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(1241);
      if (lookahead == 'g') ADVANCE(1238);
      if (lookahead == 'k') ADVANCE(1238);
      if (lookahead == 'm') ADVANCE(1238);
      if (lookahead == 'p') ADVANCE(1238);
      if (lookahead == 't') ADVANCE(1238);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(593);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(1287);
      if (lookahead == 'g') ADVANCE(1285);
      if (lookahead == 'k') ADVANCE(1285);
      if (lookahead == 'm') ADVANCE(1285);
      if (lookahead == 'p') ADVANCE(1285);
      if (lookahead == 't') ADVANCE(1285);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(594);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1613);
      if (lookahead == 'k') ADVANCE(1613);
      if (lookahead == 'm') ADVANCE(1613);
      if (lookahead == 'p') ADVANCE(1613);
      if (lookahead == 't') ADVANCE(1613);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(214);
      if (lookahead == 'k') ADVANCE(214);
      if (lookahead == 'm') ADVANCE(214);
      if (lookahead == 'p') ADVANCE(214);
      if (lookahead == 't') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1428);
      if (lookahead == 'k') ADVANCE(1428);
      if (lookahead == 'm') ADVANCE(1428);
      if (lookahead == 'p') ADVANCE(1428);
      if (lookahead == 't') ADVANCE(1428);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1238);
      if (lookahead == 'k') ADVANCE(1238);
      if (lookahead == 'm') ADVANCE(1238);
      if (lookahead == 'p') ADVANCE(1238);
      if (lookahead == 't') ADVANCE(1238);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1285);
      if (lookahead == 'k') ADVANCE(1285);
      if (lookahead == 'm') ADVANCE(1285);
      if (lookahead == 'p') ADVANCE(1285);
      if (lookahead == 't') ADVANCE(1285);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(599);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_real_literal);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token1);
      if (lookahead == '#') ADVANCE(604);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(604);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token1);
      if (lookahead == '#') ADVANCE(605);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(604);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token1);
      if (lookahead == '#') ADVANCE(606);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(604);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      ADVANCE_MAP(
        '"', 661,
        '#', 607,
        '\n', 608,
        '\r', 608,
        '$', 537,
        '`', 537,
        '\t', 607,
        0x0b, 607,
        '\f', 607,
        ' ', 607,
      );
      if (lookahead != 0) ADVANCE(648);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '"') ADVANCE(659);
      if (lookahead == '#') ADVANCE(608);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(608);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(650);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(607);
      if (lookahead == '<') ADVANCE(611);
      if (lookahead == '@') ADVANCE(646);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(610);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(609);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(650);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(648);
      if (lookahead == '<') ADVANCE(611);
      if (lookahead == '@') ADVANCE(646);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(610);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(650);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(613);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(650);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(612);
      if (lookahead == '>') ADVANCE(650);
      if (('"' <= lookahead && lookahead <= '$') ||
          lookahead == '`') ADVANCE(171);
      if (lookahead != 0) ADVANCE(613);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(612);
      if (lookahead == '`') ADVANCE(103);
      if (('"' <= lookahead && lookahead <= '$')) ADVANCE(171);
      if (lookahead != 0) ADVANCE(613);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == '?') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(649);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(640);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(642);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(621);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(643);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(641);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(623);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(625);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(624);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(620);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(615);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(647);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(614);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      ADVANCE_MAP(
        '?', 650,
        'G', 628,
        'g', 628,
        'L', 634,
        'l', 634,
        'P', 636,
        'p', 636,
        'S', 619,
        's', 619,
        'U', 639,
        'u', 639,
        'W', 633,
        'w', 633,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(644);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '?') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(649);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(650);
      if (lookahead == '"' ||
          lookahead == '$' ||
          lookahead == '`') ADVANCE(537);
      if (lookahead != 0) ADVANCE(648);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(649);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(650);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(650);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token3);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token3);
      if (lookahead == '\n') ADVANCE(651);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token4);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token4);
      if (lookahead == '\n') ADVANCE(653);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      ADVANCE_MAP(
        '$', 967,
        '(', 1686,
        '?', 973,
        '^', 970,
        '_', 976,
        '`', 104,
        '{', 502,
        'G', 993,
        'g', 993,
        'L', 999,
        'l', 999,
        'P', 1001,
        'p', 1001,
        'S', 984,
        's', 984,
        'U', 1004,
        'u', 1004,
        'W', 998,
        'w', 998,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '\\') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      ADVANCE_MAP(
        '$', 967,
        '(', 1686,
        '?', 973,
        '^', 970,
        '_', 976,
        '{', 502,
        'G', 993,
        'g', 993,
        'L', 999,
        'l', 999,
        'P', 1001,
        'p', 1001,
        'S', 984,
        's', 984,
        'U', 1004,
        'u', 1004,
        'W', 998,
        'w', 998,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token5);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token5);
      if (lookahead == '"') ADVANCE(655);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(537);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token1);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      ADVANCE_MAP(
        '#', 701,
        '<', 664,
        '@', 699,
        '\t', 663,
        0x0b, 663,
        '\f', 663,
        ' ', 663,
        0xa0, 663,
        0x200b, 663,
        0x2060, 663,
        0xfeff, 663,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '#' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(703);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '#') ADVANCE(666);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '#' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(703);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '#') ADVANCE(665);
      if (lookahead == '>') ADVANCE(703);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '$' ||
          lookahead == '`') ADVANCE(171);
      if (lookahead != 0) ADVANCE(666);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '#') ADVANCE(665);
      if (lookahead == '`') ADVANCE(103);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '$') ADVANCE(171);
      if (lookahead != 0) ADVANCE(666);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == '?') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(702);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(691);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(682);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(674);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(685);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(675);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(670);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(696);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(671);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(676);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(679);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(677);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(673);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(668);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(667);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      ADVANCE_MAP(
        '?', 703,
        'G', 681,
        'g', 681,
        'L', 687,
        'l', 687,
        'P', 689,
        'p', 689,
        'S', 672,
        's', 672,
        'U', 692,
        'u', 692,
        'W', 686,
        'w', 686,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '?') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(702);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '$' ||
          lookahead == '`') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(701);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(702);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(703);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(703);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      if (lookahead == '#') ADVANCE(171);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      ADVANCE_MAP(
        '$', 967,
        '(', 1686,
        '?', 973,
        '^', 970,
        '_', 976,
        '{', 502,
        'G', 993,
        'g', 993,
        'L', 999,
        'l', 999,
        'P', 1001,
        'p', 1001,
        'S', 984,
        's', 984,
        'U', 1004,
        'u', 1004,
        'W', 998,
        'w', 998,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      ADVANCE_MAP(
        '?', 1078,
        'G', 1123,
        'g', 1123,
        'L', 1129,
        'l', 1129,
        'P', 1131,
        'p', 1131,
        'S', 1114,
        's', 1114,
        'U', 1134,
        'u', 1134,
        'W', 1128,
        'w', 1128,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(537);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token4);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token5);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_verbatim_string_characters);
      if (lookahead == '\'') ADVANCE(178);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_verbatim_string_characters);
      if (lookahead == '\'') ADVANCE(1223);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_verbatim_string_characters);
      if (lookahead == '\'') ADVANCE(1279);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_verbatim_here_string_characters);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_verbatim_here_string_characters);
      if (lookahead == '\n') ADVANCE(87);
      if (lookahead == '\r') ADVANCE(10);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(811);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(722);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(791);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(795);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(780);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(815);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(825);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(788);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(808);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(802);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(793);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(776);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(770);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(781);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(803);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(818);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(755);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1639);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(796);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(750);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(819);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(825);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(782);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(738);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(745);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(754);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(743);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(797);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(729);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(758);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(812);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(726);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(772);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(785);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(798);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(762);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(718);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(809);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(825);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(775);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(765);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(800);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(719);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(761);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(799);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(811);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(777);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(804);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(786);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(737);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(778);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(752);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(794);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(772);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(784);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(731);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(789);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(732);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(753);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(807);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(736);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(768);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(824);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(792);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(774);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(814);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(725);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(779);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1641);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(769);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(735);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(816);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(724);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(821);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(734);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(817);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(823);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(733);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(784);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(728);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(822);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(771);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(792);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(784);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(720);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(749);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1640);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(806);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(805);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(820);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(729);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(764);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(767);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(766);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(763);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(747);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_simple_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(825);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_type_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(anon_sym_DOT);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '>') ADVANCE(843);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '>') ADVANCE(845);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '>') ADVANCE(844);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(anon_sym_2_GT);
      if (lookahead == '&') ADVANCE(188);
      if (lookahead == '>') ADVANCE(849);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(anon_sym_2_GT);
      if (lookahead == '&') ADVANCE(188);
      if (lookahead == '>') ADVANCE(850);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(anon_sym_2_GT);
      if (lookahead == '&') ADVANCE(1226);
      if (lookahead == '>') ADVANCE(851);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(anon_sym_2_GT_GT);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(anon_sym_2_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(anon_sym_2_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(anon_sym_3_GT);
      if (lookahead == '&') ADVANCE(189);
      if (lookahead == '>') ADVANCE(855);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(anon_sym_3_GT);
      if (lookahead == '&') ADVANCE(189);
      if (lookahead == '>') ADVANCE(856);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(anon_sym_3_GT);
      if (lookahead == '&') ADVANCE(1227);
      if (lookahead == '>') ADVANCE(857);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(anon_sym_3_GT_GT);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(anon_sym_3_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(anon_sym_3_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(anon_sym_4_GT);
      if (lookahead == '&') ADVANCE(190);
      if (lookahead == '>') ADVANCE(861);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(anon_sym_4_GT);
      if (lookahead == '&') ADVANCE(190);
      if (lookahead == '>') ADVANCE(862);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(anon_sym_4_GT);
      if (lookahead == '&') ADVANCE(1228);
      if (lookahead == '>') ADVANCE(863);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(anon_sym_4_GT_GT);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(anon_sym_4_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(anon_sym_4_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(anon_sym_5_GT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '>') ADVANCE(867);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(anon_sym_5_GT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '>') ADVANCE(868);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(anon_sym_5_GT);
      if (lookahead == '&') ADVANCE(1229);
      if (lookahead == '>') ADVANCE(869);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(anon_sym_5_GT_GT);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(anon_sym_5_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(anon_sym_5_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(anon_sym_6_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '>') ADVANCE(873);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(anon_sym_6_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '>') ADVANCE(874);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(anon_sym_6_GT);
      if (lookahead == '&') ADVANCE(1230);
      if (lookahead == '>') ADVANCE(875);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(anon_sym_6_GT_GT);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(anon_sym_6_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(anon_sym_6_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(anon_sym_STAR_GT);
      if (lookahead == '&') ADVANCE(187);
      if (lookahead == '>') ADVANCE(879);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(anon_sym_STAR_GT);
      if (lookahead == '&') ADVANCE(187);
      if (lookahead == '>') ADVANCE(880);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(anon_sym_STAR_GT);
      if (lookahead == '&') ADVANCE(1225);
      if (lookahead == '>') ADVANCE(881);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(anon_sym_STAR_GT_GT);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(anon_sym_STAR_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(anon_sym_STAR_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '#') ADVANCE(171);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '#') ADVANCE(1220);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '#') ADVANCE(1579);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP1);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_2_GT_AMP1);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_2_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP1);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP1);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP1);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP1);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP2);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_1_GT_AMP2);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_1_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP2);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP2);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP2);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP2);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token1);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token2);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token3);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token4);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token5);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token6);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token7);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token8);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token9);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token10);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token11);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token12);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token13);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token14);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token15);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token16);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token17);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token18);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token19);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token20);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token21);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token22);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token23);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token24);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token25);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token26);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token27);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token28);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(937);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(492);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token29);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token30);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token31);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token32);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token33);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(420);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(380);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token35);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token36);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token37);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token37);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token37);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token37);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token38);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token39);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token40);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token41);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token42);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token43);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token44);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token45);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token46);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token47);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token48);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token49);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token50);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token50);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token50);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token50);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(aux_sym_format_operator_token1);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(aux_sym_format_operator_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DOLLAR);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DOLLAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DOLLAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(anon_sym_DOLLAR_CARET);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(anon_sym_DOLLAR_CARET);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(anon_sym_DOLLAR_CARET);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_DOLLAR_QMARK);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_DOLLAR_QMARK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(anon_sym_DOLLAR_QMARK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_DOLLAR_);
      if (lookahead == ':') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(anon_sym_DOLLAR_);
      if (lookahead == ':') ADVANCE(1236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_DOLLAR_);
      if (lookahead == ':') ADVANCE(1283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1005);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(992);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1003);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(994);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(995);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1000);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(986);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(996);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(987);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(982);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1008);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1002);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(983);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1006);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(988);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(991);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(990);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(989);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(985);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(980);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1036);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1023);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1025);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1038);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1026);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1031);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1017);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1027);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1028);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1018);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1013);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1039);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1033);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1014);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1037);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1019);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1022);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1021);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1020);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1016);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1011);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1232);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1067);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1054);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1043);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1043);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1065);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1072);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1056);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1072);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1069);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1057);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1062);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1048);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1072);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1058);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1059);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1044);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1070);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1064);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1045);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1068);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1050);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1053);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1052);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1051);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1047);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1072);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1042);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1072);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1280);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1074);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1075);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1091);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1102);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1093);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1094);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1099);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1085);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1095);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1096);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1086);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1081);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1082);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1087);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1090);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1089);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1088);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1084);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1079);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1130);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1139);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1235);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1233);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1187);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1203);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1204);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1205);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1206);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(1396);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(sym_braced_variable);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '\r') ADVANCE(4);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\n') ADVANCE(9);
      if (lookahead == '\r') ADVANCE(6);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(6);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\r') ADVANCE(1);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1220);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        ' ', 1624,
        '!', 1672,
        '"', 605,
        '#', 531,
        '$', 1221,
        '\'', 1223,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1657,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        ':', 1630,
        ';', 1268,
        '<', 883,
        '>', 841,
        '@', 1218,
        '[', 832,
        '`', 1268,
        '{', 1339,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1214);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        ' ', 1625,
        '!', 1672,
        '"', 605,
        '#', 531,
        '$', 1221,
        '\'', 1223,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1658,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        ';', 1268,
        '<', 883,
        '>', 841,
        '@', 1218,
        '[', 832,
        '`', 1268,
        '{', 1339,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1215);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        ' ', 1626,
        '!', 1672,
        '"', 605,
        '#', 531,
        '$', 1221,
        '\'', 1223,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1660,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        ':', 1630,
        ';', 1268,
        '<', 883,
        '>', 841,
        '@', 1218,
        '[', 832,
        '`', 1268,
        '{', 1339,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1216);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        '!', 1672,
        '"', 605,
        '#', 531,
        '$', 1221,
        '\'', 1223,
        '*', 1234,
        '+', 1650,
        ',', 1329,
        '-', 1658,
        '.', 1263,
        '0', 559,
        '1', 553,
        '2', 554,
        '3', 555,
        '4', 556,
        '5', 557,
        '6', 558,
        ';', 1268,
        '<', 883,
        '>', 841,
        '@', 1218,
        '[', 832,
        '`', 1268,
        '{', 1339,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(560);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1217);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        '"', 1211,
        '\'', 1212,
        '(', 1687,
        '?', 1207,
        '{', 1689,
        'G', 1154,
        'g', 1154,
        'L', 1160,
        'l', 1160,
        'P', 1162,
        'p', 1162,
        'S', 1145,
        's', 1145,
        'U', 1165,
        'u', 1165,
        'W', 1159,
        'w', 1159,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < 'a' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '#') ADVANCE(1219);
      if (lookahead == '>') ADVANCE(533);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1220);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '#') ADVANCE(1219);
      if (lookahead == '`') ADVANCE(1213);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1220);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        '$', 968,
        '(', 1686,
        '?', 974,
        '^', 971,
        '_', 977,
        '{', 1265,
        'G', 1024,
        'g', 1024,
        'L', 1030,
        'l', 1030,
        'P', 1032,
        'p', 1032,
        'S', 1015,
        's', 1015,
        'U', 1035,
        'u', 1035,
        'W', 1029,
        'w', 1029,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1040);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < 'a' || '}' < lookahead)) ADVANCE(1268);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '&') ADVANCE(1231);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\'') ADVANCE(712);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(178);
      if (lookahead != 0) ADVANCE(1223);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '-') ADVANCE(1224);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(886);
      if (lookahead == '2') ADVANCE(898);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(888);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(890);
      if (lookahead == '2') ADVANCE(902);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(892);
      if (lookahead == '2') ADVANCE(904);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(894);
      if (lookahead == '2') ADVANCE(906);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(896);
      if (lookahead == '2') ADVANCE(908);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '2') ADVANCE(900);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == ':') ADVANCE(1236);
      if (lookahead == '?') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1074);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == ':') ADVANCE(1235);
      if (lookahead == '?') ADVANCE(1207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1204);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '>') ADVANCE(878);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '?') ADVANCE(1207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1204);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '?') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1074);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'b') ADVANCE(570);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'b') ADVANCE(602);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'b') ADVANCE(585);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '}') ADVANCE(1210);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|') ADVANCE(216);
      if (lookahead != 0) ADVANCE(1240);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(1264);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '+' || '-' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1248);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1260);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1249);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1261);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1243);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1245);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(947);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(948);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1253);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1255);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1242);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1259);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1244);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1258);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1246);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1247);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1268);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1267);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(963);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(964);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(1622);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1262);
      END_STATE();
    case 1263:
      ACCEPT_TOKEN(sym_generic_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(593);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(sym_generic_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(598);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1265:
      ACCEPT_TOKEN(sym_generic_token);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|') ADVANCE(216);
      if (lookahead != 0 &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1240);
      END_STATE();
    case 1266:
      ACCEPT_TOKEN(sym_generic_token);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(580);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1267:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1268:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1269:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '\r') ADVANCE(4);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1270:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '\n') ADVANCE(9);
      if (lookahead == '\r') ADVANCE(6);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(6);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1271:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '\r') ADVANCE(1);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1277);
      END_STATE();
    case 1272:
      ACCEPT_TOKEN(sym__command_token);
      ADVANCE_MAP(
        '"', 606,
        '#', 530,
        '$', 1278,
        '\'', 1279,
        '.', 1288,
        '0', 561,
        '<', 1275,
        '@', 1273,
        '[', 833,
        '`', 1291,
        0xa0, 1272,
        0x200b, 1272,
        0x2060, 1272,
        0xfeff, 1272,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(562);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(sym__command_token);
      ADVANCE_MAP(
        '"', 1269,
        '\'', 1270,
        '(', 1687,
        '?', 1208,
        '{', 1688,
        'G', 1185,
        'g', 1185,
        'L', 1191,
        'l', 1191,
        'P', 1193,
        'p', 1193,
        'S', 1176,
        's', 1176,
        'U', 1196,
        'u', 1196,
        'W', 1190,
        'w', 1190,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1274:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(530);
      if (lookahead == '<') ADVANCE(1275);
      if (lookahead == '`') ADVANCE(1291);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1274);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1275:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(1277);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1276:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(1276);
      if (lookahead == '>') ADVANCE(534);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1277);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(1276);
      if (lookahead == '`') ADVANCE(1271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1277);
      END_STATE();
    case 1278:
      ACCEPT_TOKEN(sym__command_token);
      ADVANCE_MAP(
        '$', 969,
        '(', 1686,
        '?', 975,
        '^', 972,
        '_', 978,
        '{', 502,
        'G', 1055,
        'g', 1055,
        'L', 1061,
        'l', 1061,
        'P', 1063,
        'p', 1063,
        'S', 1046,
        's', 1046,
        'U', 1066,
        'u', 1066,
        'W', 1060,
        'w', 1060,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '\'') ADVANCE(713);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(178);
      if (lookahead != 0) ADVANCE(1279);
      END_STATE();
    case 1280:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == ':') ADVANCE(1283);
      if (lookahead == '?') ADVANCE(1077);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1075);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1281:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == ':') ADVANCE(1282);
      if (lookahead == '?') ADVANCE(1208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1205);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '?') ADVANCE(1208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1205);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1283:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '?') ADVANCE(1077);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1075);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1284:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == 'b') ADVANCE(571);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == 'b') ADVANCE(603);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1286:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == 'b') ADVANCE(586);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1287:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(1289);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(599);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1288:
      ACCEPT_TOKEN(sym__command_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(594);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1289:
      ACCEPT_TOKEN(sym__command_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(599);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1290:
      ACCEPT_TOKEN(sym__command_token);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(582);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1291:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1291);
      END_STATE();
    case 1292:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1637);
      if (lookahead == '-') ADVANCE(1296);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1293:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1637);
      if (lookahead == '-') ADVANCE(1297);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1622);
      if (lookahead == '-') ADVANCE(1296);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1622);
      if (lookahead == '-') ADVANCE(1297);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1296:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '-') ADVANCE(1296);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '-') ADVANCE(1297);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1299:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1302);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1308);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1301:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1300);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(946);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1305);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1299);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1307);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1301);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1309);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(962);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1309:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token1);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '|') ADVANCE(1321);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token2);
      if (lookahead == '&') ADVANCE(1321);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '|') ADVANCE(1313);
      if (lookahead != 0) ADVANCE(1312);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token2);
      if (lookahead != 0 &&
          lookahead != '&') ADVANCE(1313);
      END_STATE();
    case 1314:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '\n' ||
          lookahead == '|') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1320);
      END_STATE();
    case 1315:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      ADVANCE_MAP(
        '"', 1317,
        '#', 528,
        '&', 1312,
        ')', 1327,
        '<', 1318,
        '`', 1321,
        '\t', 1315,
        0x0b, 1315,
        '\f', 1315,
        ' ', 1315,
        0xa0, 1315,
        0x200b, 1315,
        0x2060, 1315,
        0xfeff, 1315,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '|') ADVANCE(1321);
      END_STATE();
    case 1316:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      ADVANCE_MAP(
        '"', 1317,
        '#', 528,
        '&', 1312,
        '<', 1318,
        '`', 1321,
        '\t', 1316,
        0x0b, 1316,
        '\f', 1316,
        ' ', 1316,
        0xa0, 1316,
        0x200b, 1316,
        0x2060, 1316,
        0xfeff, 1316,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '|') ADVANCE(1321);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '"') ADVANCE(1311);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '|') ADVANCE(157);
      if (lookahead != 0) ADVANCE(1317);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '#') ADVANCE(1320);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '|') ADVANCE(1321);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '#') ADVANCE(1319);
      if (lookahead == '>') ADVANCE(535);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '|') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1320);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '#') ADVANCE(1319);
      if (lookahead == '`') ADVANCE(1314);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '|') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1320);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '|') ADVANCE(1321);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(aux_sym_param_block_token1);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(aux_sym_param_block_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '|') ADVANCE(1321);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(anon_sym_COMMA);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(aux_sym_block_name_token1);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(aux_sym_block_name_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(aux_sym_block_name_token2);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(aux_sym_block_name_token2);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(aux_sym_block_name_token3);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(aux_sym_block_name_token3);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(aux_sym_block_name_token4);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(aux_sym_block_name_token4);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(319);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1476);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token1);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token2);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token3);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token4);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token5);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(aux_sym_switch_condition_token1);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      if (lookahead == '-') ADVANCE(413);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1442);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(aux_sym_do_statement_token2);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(aux_sym_function_statement_token2);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(aux_sym_function_statement_token3);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token2);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token3);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token4);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token5);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(sym_label);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1374);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(sym_label);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1375);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(aux_sym_trap_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(aux_sym_data_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(aux_sym_data_commands_allowed_token1);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(aux_sym_inlinescript_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(aux_sym_parallel_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(aux_sym_sequence_statement_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(529);
      if (lookahead == '<') ADVANCE(1390);
      if (lookahead == '@') ADVANCE(1394);
      if (lookahead == '`') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1389);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(1392);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(1396);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(1391);
      if (lookahead == '>') ADVANCE(536);
      if (('"' <= lookahead && lookahead <= '$') ||
          lookahead == '`') ADVANCE(171);
      if (lookahead != 0) ADVANCE(1392);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(1391);
      if (lookahead == '`') ADVANCE(103);
      if (('"' <= lookahead && lookahead <= '$')) ADVANCE(171);
      if (lookahead != 0) ADVANCE(1392);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == ':') ADVANCE(1395);
      if (lookahead == '?') ADVANCE(1209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1206);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      ADVANCE_MAP(
        '?', 1209,
        'G', 1092,
        'g', 1092,
        'L', 1098,
        'l', 1098,
        'P', 1100,
        'p', 1100,
        'S', 1083,
        's', 1083,
        'U', 1103,
        'u', 1103,
        'W', 1097,
        'w', 1097,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '?') ADVANCE(1209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1206);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1396);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(1396);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token2);
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token2);
      if (lookahead == '\n') ADVANCE(1397);
      if (lookahead == '\r') ADVANCE(50);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token3);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token3);
      if (lookahead == '\n') ADVANCE(1401);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token3);
      if (lookahead == '`') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1389);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE2);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      ADVANCE_MAP(
        '$', 967,
        '(', 1686,
        '?', 973,
        '^', 970,
        '_', 976,
        '`', 212,
        '{', 502,
        'G', 993,
        'g', 993,
        'L', 999,
        'l', 999,
        'P', 1001,
        'p', 1001,
        'S', 984,
        's', 984,
        'U', 1004,
        'u', 1004,
        'W', 998,
        'w', 998,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      ADVANCE_MAP(
        '$', 967,
        '(', 1686,
        '?', 973,
        '^', 970,
        '_', 976,
        '{', 502,
        'G', 993,
        'g', 993,
        'L', 999,
        'l', 999,
        'P', 1001,
        'p', 1001,
        'S', 984,
        's', 984,
        'U', 1004,
        'u', 1004,
        'W', 998,
        'w', 998,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1009);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(1402);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1539,
        'b', 1539,
        'C', 1500,
        'c', 1500,
        'D', 1432,
        'd', 1432,
        'E', 1515,
        'e', 1515,
        'F', 1485,
        'f', 1485,
        'I', 1475,
        'i', 1475,
        'P', 1440,
        'p', 1440,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1408,
        0x200b, 1408,
        0x2060, 1408,
        0xfeff, 1408,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1539,
        'b', 1539,
        'C', 1500,
        'c', 1500,
        'D', 1432,
        'd', 1432,
        'E', 1515,
        'e', 1515,
        'F', 1485,
        'f', 1485,
        'I', 1475,
        'i', 1475,
        'P', 1449,
        'p', 1449,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1409,
        0x200b, 1409,
        0x2060, 1409,
        0xfeff, 1409,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1539,
        'b', 1539,
        'C', 1500,
        'c', 1500,
        'D', 1432,
        'd', 1432,
        'E', 1515,
        'e', 1515,
        'F', 1486,
        'f', 1486,
        'I', 1475,
        'i', 1475,
        'P', 1449,
        'p', 1449,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1410,
        0x200b, 1410,
        0x2060, 1410,
        0xfeff, 1410,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1539,
        'b', 1539,
        'C', 1500,
        'c', 1500,
        'D', 1432,
        'd', 1432,
        'E', 1505,
        'e', 1505,
        'F', 1485,
        'f', 1485,
        'I', 1475,
        'i', 1475,
        'P', 1449,
        'p', 1449,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1411,
        0x200b, 1411,
        0x2060, 1411,
        0xfeff, 1411,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1539,
        'b', 1539,
        'C', 1500,
        'c', 1500,
        'D', 1432,
        'd', 1432,
        'E', 1511,
        'e', 1511,
        'F', 1485,
        'f', 1485,
        'I', 1475,
        'i', 1475,
        'P', 1449,
        'p', 1449,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1412,
        0x200b, 1412,
        0x2060, 1412,
        0xfeff, 1412,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1539,
        'b', 1539,
        'C', 1446,
        'c', 1446,
        'D', 1432,
        'd', 1432,
        'E', 1515,
        'e', 1515,
        'F', 1486,
        'f', 1486,
        'I', 1475,
        'i', 1475,
        'P', 1449,
        'p', 1449,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1413,
        0x200b, 1413,
        0x2060, 1413,
        0xfeff, 1413,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1464,
        'b', 1464,
        'C', 1500,
        'c', 1500,
        'D', 1431,
        'd', 1431,
        'E', 1519,
        'e', 1519,
        'F', 1485,
        'f', 1485,
        'I', 1475,
        'i', 1475,
        'P', 1439,
        'p', 1439,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1414,
        0x200b, 1414,
        0x2060, 1414,
        0xfeff, 1414,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        ':', 1571,
        'B', 1464,
        'b', 1464,
        'C', 1500,
        'c', 1500,
        'D', 1431,
        'd', 1431,
        'E', 1519,
        'e', 1519,
        'F', 1485,
        'f', 1485,
        'I', 1475,
        'i', 1475,
        'P', 1448,
        'p', 1448,
        'R', 1467,
        'r', 1467,
        'S', 1460,
        's', 1460,
        'T', 1484,
        't', 1484,
        'W', 1483,
        'w', 1483,
        0xa0, 1415,
        0x200b, 1415,
        0x2060, 1415,
        0xfeff, 1415,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 829,
        '0', 551,
        'F', 1530,
        'f', 1530,
        0xa0, 1416,
        0x200b, 1416,
        0x2060, 1416,
        0xfeff, 1416,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '#') ADVANCE(532);
      if (lookahead == '.') ADVANCE(1423);
      if (lookahead == '0') ADVANCE(539);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(540);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 532,
        '.', 830,
        'F', 1530,
        'f', 1530,
        0xa0, 1418,
        0x200b, 1418,
        0x2060, 1418,
        0xfeff, 1418,
      );
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '+') ADVANCE(500);
      if (lookahead == '-') ADVANCE(1620);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'b') ADVANCE(590);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == 'b') ADVANCE(575);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1621);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1621);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(573);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1621);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1425);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1572);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(413);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'b') ADVANCE(569);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'b') ADVANCE(601);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'b') ADVANCE(584);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1558);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1364);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1524);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1558);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1364);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1548);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1531);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1377);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1382);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1509);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1514);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1497);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1540);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1529);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1540);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1513);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1451);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1510);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1507);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1453);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1561);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1433);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1521);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1543);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1544);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1529);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1544);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1479);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1480);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1533);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1481);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1482);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1542);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1463);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1474);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1560);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1337);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1512);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1534);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1493);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1362);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1370);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1386);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1478);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1468);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1345);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1346);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1555);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1438);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1550);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1498);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1522);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1538);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1445);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1549);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1341);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1501);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1343);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1508);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1495);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1348);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1356);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1426);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1379);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1490);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1537);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1536);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1434);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1504);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1535);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1516);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1503);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1535);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1516);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1528);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1532);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1523);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1502);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1525);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1553);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1556);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1452);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1520);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1477);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1369);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1385);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1568);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1433);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1521);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1489);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1461);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1557);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1444);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1557);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1551);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1562);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1492);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1470);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1499);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1527);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1506);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1324);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1506);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1552);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1562);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1492);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1641);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1331);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1494);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1562);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1492);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1458);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1372);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1366);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1459);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1492);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1333);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1559);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1456);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1469);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1437);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1565);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1566);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1567);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1518);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1457);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1545);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1376);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1554);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1447);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1563);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1358);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1526);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1496);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1367);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1468);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1436);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1517);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1441);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1443);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1473);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1640);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1335);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1546);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1547);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1455);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1465);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1466);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1373);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1384);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1564);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1450);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1472);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1435);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1491);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1487);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1454);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1512);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1471);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1541);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1462);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1371);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1368);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1381);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1374);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1572);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '\r') ADVANCE(1);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(171);
      if (lookahead != 0) ADVANCE(1579);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      ADVANCE_MAP(
        '#', 1593,
        '*', 1586,
        '-', 1583,
        '1', 1587,
        '2', 1588,
        '3', 1589,
        '4', 1590,
        '5', 1591,
        '6', 1592,
        ':', 1629,
        '<', 884,
        '>', 842,
        '`', 1596,
        0xa0, 1574,
        0x200b, 1574,
        0x2060, 1574,
        0xfeff, 1574,
      );
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '@' ||
          lookahead == '[') &&
          lookahead != '&' &&
          lookahead != ',' &&
          (lookahead < ':' || '<' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      ADVANCE_MAP(
        '#', 1593,
        '*', 1586,
        '-', 1585,
        '1', 1587,
        '2', 1588,
        '3', 1589,
        '4', 1590,
        '5', 1591,
        '6', 1592,
        ':', 1629,
        '<', 884,
        '>', 842,
        '`', 1596,
        0xa0, 1575,
        0x200b, 1575,
        0x2060, 1575,
        0xfeff, 1575,
      );
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '@' ||
          lookahead == '[') &&
          lookahead != '&' &&
          lookahead != ',' &&
          (lookahead < ':' || '<' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1593);
      if (lookahead == '<') ADVANCE(1577);
      if (lookahead == '`') ADVANCE(1596);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1576);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[') &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '<') ADVANCE(1596);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1579);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1578);
      if (lookahead == '>') ADVANCE(1596);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(171);
      if (lookahead != 0) ADVANCE(1579);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1578);
      if (lookahead == '`') ADVANCE(1573);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(171);
      if (lookahead != 0) ADVANCE(1579);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '%') ADVANCE(1636);
      if (lookahead == '-') ADVANCE(1584);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1595);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '%' &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '%') ADVANCE(1594);
      if (lookahead == '-') ADVANCE(1584);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1595);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '%' &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '&') ADVANCE(193);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-') ADVANCE(1580);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1595);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-') ADVANCE(1584);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1595);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-') ADVANCE(1581);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1595);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(877);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(1582);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(847);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(853);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(859);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(865);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(871);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(537);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1593);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(1622);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1594);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1595);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1596);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      if (lookahead == '"') ADVANCE(655);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '%') ADVANCE(1634);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1679);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1293);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1684);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1600);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1681);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1295);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(176);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(846);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(852);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(858);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(864);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(870);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'b') ADVANCE(600);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1615);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1617);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1614);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1698);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1619);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1616);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(sym_stop_parsing);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1622);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1623);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1624);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1214);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1625);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1215);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1626);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1216);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1696);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1596);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(839);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(aux_sym_foreach_command_token1);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(1622);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1262);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      if (lookahead == '\t' ||
          lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(1622);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1594);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1622);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(aux_sym_class_attribute_token1);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(aux_sym_class_attribute_token2);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(aux_sym_class_statement_token1);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(aux_sym_logical_expression_token1);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(aux_sym_logical_expression_token2);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(aux_sym_logical_expression_token3);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(aux_sym_bitwise_expression_token1);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(aux_sym_bitwise_expression_token2);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(aux_sym_bitwise_expression_token3);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(1674);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(1674);
      if (lookahead == '=') ADVANCE(836);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(1675);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '+' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(836);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1677,
        'A', 388,
        'a', 388,
        'B', 218,
        'b', 218,
        'C', 221,
        'c', 221,
        'E', 438,
        'e', 438,
        'F', 966,
        'f', 966,
        'G', 283,
        'g', 283,
        'I', 272,
        'i', 272,
        'J', 415,
        'j', 415,
        'L', 284,
        'l', 284,
        'M', 222,
        'm', 222,
        'N', 285,
        'n', 285,
        'O', 441,
        'o', 441,
        'P', 224,
        'p', 224,
        'R', 287,
        'r', 287,
        'S', 324,
        's', 324,
        'W', 339,
        'w', 339,
        'X', 417,
        'x', 417,
      );
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1676,
        'A', 388,
        'a', 388,
        'B', 218,
        'b', 218,
        'C', 255,
        'c', 255,
        'E', 437,
        'e', 437,
        'F', 965,
        'f', 965,
        'G', 283,
        'g', 283,
        'I', 272,
        'i', 272,
        'J', 415,
        'j', 415,
        'L', 284,
        'l', 284,
        'M', 222,
        'm', 222,
        'N', 285,
        'n', 285,
        'O', 441,
        'o', 441,
        'R', 317,
        'r', 317,
        'S', 323,
        's', 323,
        'X', 417,
        'x', 417,
      );
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1676,
        'A', 388,
        'a', 388,
        'B', 219,
        'b', 219,
        'C', 255,
        'c', 255,
        'E', 437,
        'e', 437,
        'F', 965,
        'f', 965,
        'G', 283,
        'g', 283,
        'I', 272,
        'i', 272,
        'J', 415,
        'j', 415,
        'L', 284,
        'l', 284,
        'M', 222,
        'm', 222,
        'N', 286,
        'n', 286,
        'O', 441,
        'o', 441,
        'R', 317,
        'r', 317,
        'S', 323,
        's', 323,
        'X', 417,
        'x', 417,
      );
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1676,
        'B', 395,
        'b', 395,
        'J', 415,
        'j', 415,
        'N', 422,
        'n', 422,
        'S', 429,
        's', 429,
      );
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1678,
        'B', 1303,
        'b', 1303,
        'J', 1304,
        'j', 1304,
        'N', 1305,
        'n', 1305,
        'S', 1306,
        's', 1306,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1682,
        'B', 1250,
        'b', 1250,
        'J', 1252,
        'j', 1252,
        'N', 1253,
        'n', 1253,
        'S', 1256,
        's', 1256,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1685,
        'B', 1251,
        'b', 1251,
        'J', 1254,
        'j', 1254,
        'N', 1255,
        'n', 1255,
        'S', 1257,
        's', 1257,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1680,
        'B', 1303,
        'b', 1303,
        'J', 1304,
        'j', 1304,
        'N', 1305,
        'n', 1305,
        'S', 1306,
        's', 1306,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1683,
        'B', 1250,
        'b', 1250,
        'J', 1252,
        'j', 1252,
        'N', 1253,
        'n', 1253,
        'S', 1256,
        's', 1256,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        'A', 388,
        'a', 388,
        'B', 219,
        'b', 219,
        'C', 255,
        'c', 255,
        'E', 437,
        'e', 437,
        'F', 965,
        'f', 965,
        'G', 283,
        'g', 283,
        'I', 272,
        'i', 272,
        'J', 415,
        'j', 415,
        'L', 284,
        'l', 284,
        'M', 222,
        'm', 222,
        'N', 286,
        'n', 286,
        'O', 441,
        'o', 441,
        'R', 317,
        'r', 317,
        'S', 323,
        's', 323,
        'X', 417,
        'x', 417,
      );
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(838);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(837);
      if (lookahead == '>') ADVANCE(876);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym_expression_with_unary_operator_token1);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym_expression_with_unary_operator_token1);
      ADVANCE_MAP(
        'C', 426,
        'c', 426,
        'I', 390,
        'i', 390,
        'L', 355,
        'l', 355,
        'M', 243,
        'm', 243,
      );
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(835);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(aux_sym_expression_with_unary_operator_token2);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1637);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1637);
      if (lookahead == '-') ADVANCE(1296);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1637);
      if (lookahead == '-') ADVANCE(1297);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1622);
      if (lookahead == '-') ADVANCE(1296);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1309);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1622);
      if (lookahead == '-') ADVANCE(1297);
      if (lookahead == '`') ADVANCE(1309);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1621);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1298);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1635);
      if (lookahead == '-') ADVANCE(1224);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1262);
      if (lookahead == '-') ADVANCE(1224);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1267);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(anon_sym_AT_LPAREN);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(anon_sym_AT_LBRACE);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(anon_sym_AT_LBRACE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1268);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(1667);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(421);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(1667);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(421);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1618);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1621);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(421);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(421);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym_invokation_foreach_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 139},
  [2] = {.lex_state = 518, .external_lex_state = 1},
  [3] = {.lex_state = 518, .external_lex_state = 1},
  [4] = {.lex_state = 518},
  [5] = {.lex_state = 518, .external_lex_state = 1},
  [6] = {.lex_state = 518},
  [7] = {.lex_state = 140, .external_lex_state = 1},
  [8] = {.lex_state = 140, .external_lex_state = 1},
  [9] = {.lex_state = 140},
  [10] = {.lex_state = 140},
  [11] = {.lex_state = 140},
  [12] = {.lex_state = 140},
  [13] = {.lex_state = 140},
  [14] = {.lex_state = 140},
  [15] = {.lex_state = 140},
  [16] = {.lex_state = 140},
  [17] = {.lex_state = 140},
  [18] = {.lex_state = 140},
  [19] = {.lex_state = 140},
  [20] = {.lex_state = 140},
  [21] = {.lex_state = 140},
  [22] = {.lex_state = 140, .external_lex_state = 1},
  [23] = {.lex_state = 140, .external_lex_state = 1},
  [24] = {.lex_state = 140, .external_lex_state = 1},
  [25] = {.lex_state = 140, .external_lex_state = 1},
  [26] = {.lex_state = 140, .external_lex_state = 1},
  [27] = {.lex_state = 140, .external_lex_state = 1},
  [28] = {.lex_state = 140, .external_lex_state = 1},
  [29] = {.lex_state = 140, .external_lex_state = 1},
  [30] = {.lex_state = 140},
  [31] = {.lex_state = 140},
  [32] = {.lex_state = 140},
  [33] = {.lex_state = 140},
  [34] = {.lex_state = 140},
  [35] = {.lex_state = 140},
  [36] = {.lex_state = 140},
  [37] = {.lex_state = 140},
  [38] = {.lex_state = 140},
  [39] = {.lex_state = 140},
  [40] = {.lex_state = 141},
  [41] = {.lex_state = 141},
  [42] = {.lex_state = 518, .external_lex_state = 1},
  [43] = {.lex_state = 518},
  [44] = {.lex_state = 520},
  [45] = {.lex_state = 520},
  [46] = {.lex_state = 520},
  [47] = {.lex_state = 520},
  [48] = {.lex_state = 520},
  [49] = {.lex_state = 520},
  [50] = {.lex_state = 520},
  [51] = {.lex_state = 520},
  [52] = {.lex_state = 520},
  [53] = {.lex_state = 520},
  [54] = {.lex_state = 520},
  [55] = {.lex_state = 520},
  [56] = {.lex_state = 520},
  [57] = {.lex_state = 520},
  [58] = {.lex_state = 520},
  [59] = {.lex_state = 520},
  [60] = {.lex_state = 520},
  [61] = {.lex_state = 520},
  [62] = {.lex_state = 520},
  [63] = {.lex_state = 520},
  [64] = {.lex_state = 520},
  [65] = {.lex_state = 520},
  [66] = {.lex_state = 520},
  [67] = {.lex_state = 520},
  [68] = {.lex_state = 520},
  [69] = {.lex_state = 520},
  [70] = {.lex_state = 520},
  [71] = {.lex_state = 520},
  [72] = {.lex_state = 520},
  [73] = {.lex_state = 520},
  [74] = {.lex_state = 520},
  [75] = {.lex_state = 520},
  [76] = {.lex_state = 131},
  [77] = {.lex_state = 131},
  [78] = {.lex_state = 520},
  [79] = {.lex_state = 520},
  [80] = {.lex_state = 131, .external_lex_state = 1},
  [81] = {.lex_state = 520},
  [82] = {.lex_state = 131, .external_lex_state = 1},
  [83] = {.lex_state = 142},
  [84] = {.lex_state = 142},
  [85] = {.lex_state = 142},
  [86] = {.lex_state = 142},
  [87] = {.lex_state = 142},
  [88] = {.lex_state = 142},
  [89] = {.lex_state = 142},
  [90] = {.lex_state = 142},
  [91] = {.lex_state = 142},
  [92] = {.lex_state = 142},
  [93] = {.lex_state = 142},
  [94] = {.lex_state = 142, .external_lex_state = 1},
  [95] = {.lex_state = 142},
  [96] = {.lex_state = 142},
  [97] = {.lex_state = 142},
  [98] = {.lex_state = 142},
  [99] = {.lex_state = 142},
  [100] = {.lex_state = 142},
  [101] = {.lex_state = 142},
  [102] = {.lex_state = 142, .external_lex_state = 1},
  [103] = {.lex_state = 142},
  [104] = {.lex_state = 142},
  [105] = {.lex_state = 142},
  [106] = {.lex_state = 142},
  [107] = {.lex_state = 142, .external_lex_state = 1},
  [108] = {.lex_state = 142},
  [109] = {.lex_state = 142},
  [110] = {.lex_state = 142},
  [111] = {.lex_state = 142},
  [112] = {.lex_state = 142},
  [113] = {.lex_state = 142},
  [114] = {.lex_state = 142},
  [115] = {.lex_state = 142},
  [116] = {.lex_state = 142},
  [117] = {.lex_state = 142},
  [118] = {.lex_state = 142},
  [119] = {.lex_state = 142},
  [120] = {.lex_state = 142},
  [121] = {.lex_state = 142, .external_lex_state = 1},
  [122] = {.lex_state = 142, .external_lex_state = 1},
  [123] = {.lex_state = 142, .external_lex_state = 1},
  [124] = {.lex_state = 142, .external_lex_state = 1},
  [125] = {.lex_state = 142, .external_lex_state = 1},
  [126] = {.lex_state = 142, .external_lex_state = 1},
  [127] = {.lex_state = 142, .external_lex_state = 1},
  [128] = {.lex_state = 142, .external_lex_state = 1},
  [129] = {.lex_state = 142, .external_lex_state = 1},
  [130] = {.lex_state = 142, .external_lex_state = 1},
  [131] = {.lex_state = 142, .external_lex_state = 1},
  [132] = {.lex_state = 142, .external_lex_state = 1},
  [133] = {.lex_state = 142, .external_lex_state = 1},
  [134] = {.lex_state = 142, .external_lex_state = 1},
  [135] = {.lex_state = 142, .external_lex_state = 1},
  [136] = {.lex_state = 142, .external_lex_state = 1},
  [137] = {.lex_state = 142, .external_lex_state = 1},
  [138] = {.lex_state = 142, .external_lex_state = 1},
  [139] = {.lex_state = 142, .external_lex_state = 1},
  [140] = {.lex_state = 142, .external_lex_state = 1},
  [141] = {.lex_state = 142, .external_lex_state = 1},
  [142] = {.lex_state = 142, .external_lex_state = 1},
  [143] = {.lex_state = 142, .external_lex_state = 1},
  [144] = {.lex_state = 142},
  [145] = {.lex_state = 142, .external_lex_state = 1},
  [146] = {.lex_state = 142, .external_lex_state = 1},
  [147] = {.lex_state = 142, .external_lex_state = 1},
  [148] = {.lex_state = 142, .external_lex_state = 1},
  [149] = {.lex_state = 142, .external_lex_state = 1},
  [150] = {.lex_state = 142, .external_lex_state = 1},
  [151] = {.lex_state = 142, .external_lex_state = 1},
  [152] = {.lex_state = 142, .external_lex_state = 1},
  [153] = {.lex_state = 142, .external_lex_state = 1},
  [154] = {.lex_state = 142, .external_lex_state = 1},
  [155] = {.lex_state = 142},
  [156] = {.lex_state = 142, .external_lex_state = 1},
  [157] = {.lex_state = 144, .external_lex_state = 1},
  [158] = {.lex_state = 144},
  [159] = {.lex_state = 144},
  [160] = {.lex_state = 144},
  [161] = {.lex_state = 144},
  [162] = {.lex_state = 144, .external_lex_state = 1},
  [163] = {.lex_state = 144},
  [164] = {.lex_state = 144},
  [165] = {.lex_state = 144},
  [166] = {.lex_state = 144},
  [167] = {.lex_state = 144},
  [168] = {.lex_state = 144},
  [169] = {.lex_state = 144},
  [170] = {.lex_state = 144, .external_lex_state = 1},
  [171] = {.lex_state = 144},
  [172] = {.lex_state = 144, .external_lex_state = 1},
  [173] = {.lex_state = 144, .external_lex_state = 1},
  [174] = {.lex_state = 144, .external_lex_state = 1},
  [175] = {.lex_state = 144, .external_lex_state = 1},
  [176] = {.lex_state = 144, .external_lex_state = 1},
  [177] = {.lex_state = 144, .external_lex_state = 1},
  [178] = {.lex_state = 144, .external_lex_state = 1},
  [179] = {.lex_state = 144},
  [180] = {.lex_state = 144},
  [181] = {.lex_state = 144},
  [182] = {.lex_state = 144},
  [183] = {.lex_state = 144, .external_lex_state = 1},
  [184] = {.lex_state = 144, .external_lex_state = 1},
  [185] = {.lex_state = 144, .external_lex_state = 1},
  [186] = {.lex_state = 144, .external_lex_state = 1},
  [187] = {.lex_state = 144, .external_lex_state = 1},
  [188] = {.lex_state = 144, .external_lex_state = 1},
  [189] = {.lex_state = 144},
  [190] = {.lex_state = 144, .external_lex_state = 1},
  [191] = {.lex_state = 144},
  [192] = {.lex_state = 144, .external_lex_state = 1},
  [193] = {.lex_state = 131},
  [194] = {.lex_state = 131, .external_lex_state = 1},
  [195] = {.lex_state = 144},
  [196] = {.lex_state = 144, .external_lex_state = 1},
  [197] = {.lex_state = 144, .external_lex_state = 1},
  [198] = {.lex_state = 144},
  [199] = {.lex_state = 106},
  [200] = {.lex_state = 518},
  [201] = {.lex_state = 518, .external_lex_state = 1},
  [202] = {.lex_state = 106, .external_lex_state = 1},
  [203] = {.lex_state = 518},
  [204] = {.lex_state = 518, .external_lex_state = 1},
  [205] = {.lex_state = 106, .external_lex_state = 1},
  [206] = {.lex_state = 106},
  [207] = {.lex_state = 106, .external_lex_state = 1},
  [208] = {.lex_state = 106},
  [209] = {.lex_state = 108},
  [210] = {.lex_state = 108, .external_lex_state = 1},
  [211] = {.lex_state = 108},
  [212] = {.lex_state = 108, .external_lex_state = 1},
  [213] = {.lex_state = 108, .external_lex_state = 1},
  [214] = {.lex_state = 126, .external_lex_state = 1},
  [215] = {.lex_state = 108},
  [216] = {.lex_state = 126},
  [217] = {.lex_state = 126, .external_lex_state = 1},
  [218] = {.lex_state = 126},
  [219] = {.lex_state = 128, .external_lex_state = 1},
  [220] = {.lex_state = 128},
  [221] = {.lex_state = 128},
  [222] = {.lex_state = 128, .external_lex_state = 1},
  [223] = {.lex_state = 134, .external_lex_state = 1},
  [224] = {.lex_state = 134},
  [225] = {.lex_state = 134},
  [226] = {.lex_state = 134, .external_lex_state = 1},
  [227] = {.lex_state = 145, .external_lex_state = 1},
  [228] = {.lex_state = 145},
  [229] = {.lex_state = 23},
  [230] = {.lex_state = 23},
  [231] = {.lex_state = 23},
  [232] = {.lex_state = 23},
  [233] = {.lex_state = 23},
  [234] = {.lex_state = 23},
  [235] = {.lex_state = 23},
  [236] = {.lex_state = 23},
  [237] = {.lex_state = 23},
  [238] = {.lex_state = 23},
  [239] = {.lex_state = 23},
  [240] = {.lex_state = 23},
  [241] = {.lex_state = 138},
  [242] = {.lex_state = 138},
  [243] = {.lex_state = 138},
  [244] = {.lex_state = 138},
  [245] = {.lex_state = 138},
  [246] = {.lex_state = 138},
  [247] = {.lex_state = 138},
  [248] = {.lex_state = 138},
  [249] = {.lex_state = 138},
  [250] = {.lex_state = 138},
  [251] = {.lex_state = 138},
  [252] = {.lex_state = 138},
  [253] = {.lex_state = 138},
  [254] = {.lex_state = 138},
  [255] = {.lex_state = 138},
  [256] = {.lex_state = 138},
  [257] = {.lex_state = 138},
  [258] = {.lex_state = 138},
  [259] = {.lex_state = 138, .external_lex_state = 1},
  [260] = {.lex_state = 138},
  [261] = {.lex_state = 138},
  [262] = {.lex_state = 138},
  [263] = {.lex_state = 138},
  [264] = {.lex_state = 138},
  [265] = {.lex_state = 138},
  [266] = {.lex_state = 138},
  [267] = {.lex_state = 138},
  [268] = {.lex_state = 138},
  [269] = {.lex_state = 138},
  [270] = {.lex_state = 138},
  [271] = {.lex_state = 138},
  [272] = {.lex_state = 138},
  [273] = {.lex_state = 138},
  [274] = {.lex_state = 138},
  [275] = {.lex_state = 138},
  [276] = {.lex_state = 138},
  [277] = {.lex_state = 138},
  [278] = {.lex_state = 138},
  [279] = {.lex_state = 138},
  [280] = {.lex_state = 138},
  [281] = {.lex_state = 138},
  [282] = {.lex_state = 138},
  [283] = {.lex_state = 138},
  [284] = {.lex_state = 138},
  [285] = {.lex_state = 138},
  [286] = {.lex_state = 138},
  [287] = {.lex_state = 138},
  [288] = {.lex_state = 138},
  [289] = {.lex_state = 138},
  [290] = {.lex_state = 138},
  [291] = {.lex_state = 142},
  [292] = {.lex_state = 142},
  [293] = {.lex_state = 142, .external_lex_state = 1},
  [294] = {.lex_state = 142, .external_lex_state = 1},
  [295] = {.lex_state = 131},
  [296] = {.lex_state = 131},
  [297] = {.lex_state = 144},
  [298] = {.lex_state = 144, .external_lex_state = 1},
  [299] = {.lex_state = 521},
  [300] = {.lex_state = 144},
  [301] = {.lex_state = 144},
  [302] = {.lex_state = 144},
  [303] = {.lex_state = 522},
  [304] = {.lex_state = 144, .external_lex_state = 1},
  [305] = {.lex_state = 106, .external_lex_state = 1},
  [306] = {.lex_state = 144, .external_lex_state = 1},
  [307] = {.lex_state = 144},
  [308] = {.lex_state = 106},
  [309] = {.lex_state = 126, .external_lex_state = 1},
  [310] = {.lex_state = 522},
  [311] = {.lex_state = 108},
  [312] = {.lex_state = 126},
  [313] = {.lex_state = 108, .external_lex_state = 1},
  [314] = {.lex_state = 144},
  [315] = {.lex_state = 144},
  [316] = {.lex_state = 126, .external_lex_state = 1},
  [317] = {.lex_state = 131},
  [318] = {.lex_state = 144},
  [319] = {.lex_state = 144},
  [320] = {.lex_state = 126},
  [321] = {.lex_state = 521},
  [322] = {.lex_state = 522},
  [323] = {.lex_state = 521},
  [324] = {.lex_state = 131},
  [325] = {.lex_state = 144},
  [326] = {.lex_state = 144},
  [327] = {.lex_state = 144},
  [328] = {.lex_state = 131},
  [329] = {.lex_state = 128},
  [330] = {.lex_state = 128},
  [331] = {.lex_state = 126, .external_lex_state = 1},
  [332] = {.lex_state = 131},
  [333] = {.lex_state = 140, .external_lex_state = 1},
  [334] = {.lex_state = 131},
  [335] = {.lex_state = 140, .external_lex_state = 1},
  [336] = {.lex_state = 144},
  [337] = {.lex_state = 131},
  [338] = {.lex_state = 521},
  [339] = {.lex_state = 131},
  [340] = {.lex_state = 131},
  [341] = {.lex_state = 131},
  [342] = {.lex_state = 522},
  [343] = {.lex_state = 131},
  [344] = {.lex_state = 131},
  [345] = {.lex_state = 140, .external_lex_state = 1},
  [346] = {.lex_state = 144, .external_lex_state = 1},
  [347] = {.lex_state = 144, .external_lex_state = 1},
  [348] = {.lex_state = 131},
  [349] = {.lex_state = 131},
  [350] = {.lex_state = 144, .external_lex_state = 1},
  [351] = {.lex_state = 126},
  [352] = {.lex_state = 144, .external_lex_state = 1},
  [353] = {.lex_state = 128, .external_lex_state = 1},
  [354] = {.lex_state = 128, .external_lex_state = 1},
  [355] = {.lex_state = 141},
  [356] = {.lex_state = 131},
  [357] = {.lex_state = 131},
  [358] = {.lex_state = 128, .external_lex_state = 1},
  [359] = {.lex_state = 131},
  [360] = {.lex_state = 131},
  [361] = {.lex_state = 131},
  [362] = {.lex_state = 521},
  [363] = {.lex_state = 141},
  [364] = {.lex_state = 131},
  [365] = {.lex_state = 521},
  [366] = {.lex_state = 522},
  [367] = {.lex_state = 131},
  [368] = {.lex_state = 131},
  [369] = {.lex_state = 131},
  [370] = {.lex_state = 131},
  [371] = {.lex_state = 131},
  [372] = {.lex_state = 522},
  [373] = {.lex_state = 144},
  [374] = {.lex_state = 128},
  [375] = {.lex_state = 131},
  [376] = {.lex_state = 131},
  [377] = {.lex_state = 131},
  [378] = {.lex_state = 144},
  [379] = {.lex_state = 521},
  [380] = {.lex_state = 144},
  [381] = {.lex_state = 522},
  [382] = {.lex_state = 144, .external_lex_state = 1},
  [383] = {.lex_state = 523},
  [384] = {.lex_state = 144},
  [385] = {.lex_state = 144},
  [386] = {.lex_state = 144},
  [387] = {.lex_state = 144},
  [388] = {.lex_state = 144, .external_lex_state = 1},
  [389] = {.lex_state = 522},
  [390] = {.lex_state = 521},
  [391] = {.lex_state = 144},
  [392] = {.lex_state = 144},
  [393] = {.lex_state = 144},
  [394] = {.lex_state = 521},
  [395] = {.lex_state = 522},
  [396] = {.lex_state = 131},
  [397] = {.lex_state = 522},
  [398] = {.lex_state = 524},
  [399] = {.lex_state = 131},
  [400] = {.lex_state = 127},
  [401] = {.lex_state = 131},
  [402] = {.lex_state = 522},
  [403] = {.lex_state = 131},
  [404] = {.lex_state = 522},
  [405] = {.lex_state = 521},
  [406] = {.lex_state = 521},
  [407] = {.lex_state = 127, .external_lex_state = 1},
  [408] = {.lex_state = 522},
  [409] = {.lex_state = 127, .external_lex_state = 1},
  [410] = {.lex_state = 524},
  [411] = {.lex_state = 522},
  [412] = {.lex_state = 134, .external_lex_state = 1},
  [413] = {.lex_state = 134},
  [414] = {.lex_state = 521},
  [415] = {.lex_state = 523},
  [416] = {.lex_state = 131},
  [417] = {.lex_state = 127},
  [418] = {.lex_state = 131},
  [419] = {.lex_state = 131},
  [420] = {.lex_state = 131},
  [421] = {.lex_state = 520},
  [422] = {.lex_state = 520},
  [423] = {.lex_state = 520},
  [424] = {.lex_state = 520},
  [425] = {.lex_state = 520},
  [426] = {.lex_state = 131},
  [427] = {.lex_state = 520},
  [428] = {.lex_state = 520},
  [429] = {.lex_state = 520},
  [430] = {.lex_state = 131},
  [431] = {.lex_state = 520},
  [432] = {.lex_state = 520},
  [433] = {.lex_state = 131},
  [434] = {.lex_state = 520},
  [435] = {.lex_state = 131},
  [436] = {.lex_state = 520},
  [437] = {.lex_state = 520},
  [438] = {.lex_state = 520},
  [439] = {.lex_state = 144},
  [440] = {.lex_state = 131},
  [441] = {.lex_state = 520},
  [442] = {.lex_state = 520},
  [443] = {.lex_state = 520},
  [444] = {.lex_state = 131},
  [445] = {.lex_state = 131},
  [446] = {.lex_state = 520},
  [447] = {.lex_state = 520},
  [448] = {.lex_state = 520},
  [449] = {.lex_state = 520},
  [450] = {.lex_state = 520},
  [451] = {.lex_state = 520},
  [452] = {.lex_state = 131},
  [453] = {.lex_state = 520},
  [454] = {.lex_state = 520},
  [455] = {.lex_state = 520},
  [456] = {.lex_state = 520},
  [457] = {.lex_state = 131},
  [458] = {.lex_state = 144},
  [459] = {.lex_state = 520},
  [460] = {.lex_state = 520},
  [461] = {.lex_state = 520},
  [462] = {.lex_state = 520},
  [463] = {.lex_state = 520},
  [464] = {.lex_state = 520},
  [465] = {.lex_state = 520},
  [466] = {.lex_state = 520},
  [467] = {.lex_state = 520},
  [468] = {.lex_state = 520},
  [469] = {.lex_state = 520},
  [470] = {.lex_state = 520},
  [471] = {.lex_state = 520},
  [472] = {.lex_state = 131},
  [473] = {.lex_state = 520},
  [474] = {.lex_state = 520},
  [475] = {.lex_state = 520},
  [476] = {.lex_state = 520},
  [477] = {.lex_state = 131},
  [478] = {.lex_state = 520},
  [479] = {.lex_state = 520},
  [480] = {.lex_state = 520},
  [481] = {.lex_state = 520},
  [482] = {.lex_state = 520},
  [483] = {.lex_state = 520},
  [484] = {.lex_state = 131},
  [485] = {.lex_state = 520},
  [486] = {.lex_state = 520},
  [487] = {.lex_state = 520},
  [488] = {.lex_state = 520},
  [489] = {.lex_state = 520},
  [490] = {.lex_state = 520},
  [491] = {.lex_state = 131},
  [492] = {.lex_state = 520},
  [493] = {.lex_state = 520},
  [494] = {.lex_state = 145},
  [495] = {.lex_state = 520},
  [496] = {.lex_state = 520},
  [497] = {.lex_state = 520},
  [498] = {.lex_state = 520},
  [499] = {.lex_state = 520},
  [500] = {.lex_state = 520},
  [501] = {.lex_state = 520},
  [502] = {.lex_state = 520},
  [503] = {.lex_state = 520},
  [504] = {.lex_state = 520},
  [505] = {.lex_state = 520},
  [506] = {.lex_state = 520},
  [507] = {.lex_state = 520},
  [508] = {.lex_state = 520},
  [509] = {.lex_state = 520},
  [510] = {.lex_state = 520},
  [511] = {.lex_state = 520},
  [512] = {.lex_state = 520},
  [513] = {.lex_state = 131},
  [514] = {.lex_state = 520},
  [515] = {.lex_state = 520},
  [516] = {.lex_state = 520},
  [517] = {.lex_state = 520},
  [518] = {.lex_state = 131},
  [519] = {.lex_state = 520},
  [520] = {.lex_state = 131},
  [521] = {.lex_state = 144},
  [522] = {.lex_state = 520},
  [523] = {.lex_state = 520},
  [524] = {.lex_state = 131},
  [525] = {.lex_state = 131},
  [526] = {.lex_state = 520},
  [527] = {.lex_state = 520},
  [528] = {.lex_state = 520},
  [529] = {.lex_state = 520},
  [530] = {.lex_state = 520},
  [531] = {.lex_state = 520},
  [532] = {.lex_state = 520},
  [533] = {.lex_state = 144},
  [534] = {.lex_state = 131},
  [535] = {.lex_state = 520},
  [536] = {.lex_state = 520},
  [537] = {.lex_state = 520},
  [538] = {.lex_state = 520},
  [539] = {.lex_state = 520},
  [540] = {.lex_state = 520},
  [541] = {.lex_state = 520},
  [542] = {.lex_state = 520},
  [543] = {.lex_state = 520},
  [544] = {.lex_state = 520},
  [545] = {.lex_state = 145, .external_lex_state = 1},
  [546] = {.lex_state = 136},
  [547] = {.lex_state = 131},
  [548] = {.lex_state = 131},
  [549] = {.lex_state = 131},
  [550] = {.lex_state = 144, .external_lex_state = 1},
  [551] = {.lex_state = 520},
  [552] = {.lex_state = 131},
  [553] = {.lex_state = 144},
  [554] = {.lex_state = 136, .external_lex_state = 1},
  [555] = {.lex_state = 136},
  [556] = {.lex_state = 520},
  [557] = {.lex_state = 131},
  [558] = {.lex_state = 518},
  [559] = {.lex_state = 144, .external_lex_state = 1},
  [560] = {.lex_state = 136, .external_lex_state = 1},
  [561] = {.lex_state = 131},
  [562] = {.lex_state = 144},
  [563] = {.lex_state = 518},
  [564] = {.lex_state = 520},
  [565] = {.lex_state = 520},
  [566] = {.lex_state = 131},
  [567] = {.lex_state = 131},
  [568] = {.lex_state = 518, .external_lex_state = 1},
  [569] = {.lex_state = 131},
  [570] = {.lex_state = 518, .external_lex_state = 1},
  [571] = {.lex_state = 131},
  [572] = {.lex_state = 131},
  [573] = {.lex_state = 131, .external_lex_state = 1},
  [574] = {.lex_state = 131},
  [575] = {.lex_state = 518},
  [576] = {.lex_state = 518},
  [577] = {.lex_state = 131},
  [578] = {.lex_state = 131},
  [579] = {.lex_state = 131},
  [580] = {.lex_state = 144},
  [581] = {.lex_state = 131},
  [582] = {.lex_state = 131},
  [583] = {.lex_state = 144},
  [584] = {.lex_state = 131},
  [585] = {.lex_state = 131},
  [586] = {.lex_state = 131},
  [587] = {.lex_state = 131},
  [588] = {.lex_state = 131},
  [589] = {.lex_state = 131},
  [590] = {.lex_state = 518},
  [591] = {.lex_state = 131},
  [592] = {.lex_state = 518},
  [593] = {.lex_state = 131},
  [594] = {.lex_state = 131},
  [595] = {.lex_state = 131},
  [596] = {.lex_state = 131},
  [597] = {.lex_state = 131},
  [598] = {.lex_state = 131},
  [599] = {.lex_state = 131},
  [600] = {.lex_state = 131},
  [601] = {.lex_state = 131},
  [602] = {.lex_state = 131},
  [603] = {.lex_state = 131},
  [604] = {.lex_state = 131},
  [605] = {.lex_state = 131},
  [606] = {.lex_state = 131},
  [607] = {.lex_state = 131},
  [608] = {.lex_state = 131},
  [609] = {.lex_state = 131},
  [610] = {.lex_state = 131},
  [611] = {.lex_state = 131},
  [612] = {.lex_state = 131},
  [613] = {.lex_state = 131},
  [614] = {.lex_state = 131},
  [615] = {.lex_state = 131},
  [616] = {.lex_state = 131},
  [617] = {.lex_state = 131},
  [618] = {.lex_state = 131},
  [619] = {.lex_state = 131},
  [620] = {.lex_state = 131},
  [621] = {.lex_state = 131},
  [622] = {.lex_state = 131},
  [623] = {.lex_state = 131},
  [624] = {.lex_state = 131},
  [625] = {.lex_state = 131},
  [626] = {.lex_state = 131},
  [627] = {.lex_state = 131},
  [628] = {.lex_state = 131},
  [629] = {.lex_state = 131},
  [630] = {.lex_state = 131},
  [631] = {.lex_state = 131},
  [632] = {.lex_state = 131},
  [633] = {.lex_state = 131},
  [634] = {.lex_state = 131},
  [635] = {.lex_state = 131},
  [636] = {.lex_state = 131},
  [637] = {.lex_state = 131},
  [638] = {.lex_state = 131},
  [639] = {.lex_state = 131},
  [640] = {.lex_state = 131},
  [641] = {.lex_state = 131},
  [642] = {.lex_state = 131},
  [643] = {.lex_state = 131},
  [644] = {.lex_state = 131},
  [645] = {.lex_state = 131},
  [646] = {.lex_state = 131},
  [647] = {.lex_state = 131},
  [648] = {.lex_state = 131},
  [649] = {.lex_state = 131},
  [650] = {.lex_state = 131},
  [651] = {.lex_state = 131},
  [652] = {.lex_state = 131},
  [653] = {.lex_state = 131},
  [654] = {.lex_state = 131},
  [655] = {.lex_state = 131},
  [656] = {.lex_state = 131},
  [657] = {.lex_state = 131},
  [658] = {.lex_state = 131},
  [659] = {.lex_state = 131},
  [660] = {.lex_state = 131},
  [661] = {.lex_state = 131},
  [662] = {.lex_state = 131},
  [663] = {.lex_state = 131},
  [664] = {.lex_state = 131},
  [665] = {.lex_state = 131},
  [666] = {.lex_state = 131},
  [667] = {.lex_state = 131},
  [668] = {.lex_state = 131},
  [669] = {.lex_state = 131},
  [670] = {.lex_state = 131},
  [671] = {.lex_state = 131},
  [672] = {.lex_state = 131},
  [673] = {.lex_state = 131},
  [674] = {.lex_state = 131},
  [675] = {.lex_state = 131},
  [676] = {.lex_state = 131},
  [677] = {.lex_state = 131},
  [678] = {.lex_state = 131},
  [679] = {.lex_state = 131},
  [680] = {.lex_state = 131},
  [681] = {.lex_state = 131},
  [682] = {.lex_state = 131},
  [683] = {.lex_state = 131},
  [684] = {.lex_state = 131},
  [685] = {.lex_state = 131},
  [686] = {.lex_state = 131},
  [687] = {.lex_state = 131},
  [688] = {.lex_state = 131},
  [689] = {.lex_state = 131},
  [690] = {.lex_state = 131},
  [691] = {.lex_state = 131},
  [692] = {.lex_state = 131},
  [693] = {.lex_state = 131},
  [694] = {.lex_state = 131},
  [695] = {.lex_state = 131},
  [696] = {.lex_state = 131},
  [697] = {.lex_state = 131},
  [698] = {.lex_state = 131},
  [699] = {.lex_state = 131},
  [700] = {.lex_state = 131},
  [701] = {.lex_state = 131},
  [702] = {.lex_state = 131},
  [703] = {.lex_state = 131},
  [704] = {.lex_state = 131},
  [705] = {.lex_state = 131},
  [706] = {.lex_state = 131},
  [707] = {.lex_state = 131},
  [708] = {.lex_state = 131},
  [709] = {.lex_state = 131},
  [710] = {.lex_state = 131},
  [711] = {.lex_state = 131},
  [712] = {.lex_state = 131},
  [713] = {.lex_state = 131},
  [714] = {.lex_state = 131},
  [715] = {.lex_state = 131},
  [716] = {.lex_state = 112, .external_lex_state = 1},
  [717] = {.lex_state = 112},
  [718] = {.lex_state = 112},
  [719] = {.lex_state = 150},
  [720] = {.lex_state = 112, .external_lex_state = 1},
  [721] = {.lex_state = 150},
  [722] = {.lex_state = 114},
  [723] = {.lex_state = 114},
  [724] = {.lex_state = 114, .external_lex_state = 1},
  [725] = {.lex_state = 114, .external_lex_state = 1},
  [726] = {.lex_state = 151},
  [727] = {.lex_state = 151},
  [728] = {.lex_state = 150},
  [729] = {.lex_state = 109},
  [730] = {.lex_state = 109},
  [731] = {.lex_state = 150},
  [732] = {.lex_state = 109},
  [733] = {.lex_state = 150},
  [734] = {.lex_state = 109},
  [735] = {.lex_state = 109},
  [736] = {.lex_state = 150},
  [737] = {.lex_state = 109},
  [738] = {.lex_state = 151},
  [739] = {.lex_state = 151},
  [740] = {.lex_state = 151},
  [741] = {.lex_state = 159},
  [742] = {.lex_state = 151},
  [743] = {.lex_state = 116},
  [744] = {.lex_state = 116, .external_lex_state = 1},
  [745] = {.lex_state = 116},
  [746] = {.lex_state = 116, .external_lex_state = 1},
  [747] = {.lex_state = 118},
  [748] = {.lex_state = 118, .external_lex_state = 1},
  [749] = {.lex_state = 118},
  [750] = {.lex_state = 117, .external_lex_state = 1},
  [751] = {.lex_state = 122, .external_lex_state = 1},
  [752] = {.lex_state = 117, .external_lex_state = 1},
  [753] = {.lex_state = 122},
  [754] = {.lex_state = 117},
  [755] = {.lex_state = 117},
  [756] = {.lex_state = 122},
  [757] = {.lex_state = 122, .external_lex_state = 1},
  [758] = {.lex_state = 118, .external_lex_state = 1},
  [759] = {.lex_state = 118, .external_lex_state = 1},
  [760] = {.lex_state = 118},
  [761] = {.lex_state = 118},
  [762] = {.lex_state = 118},
  [763] = {.lex_state = 118},
  [764] = {.lex_state = 118},
  [765] = {.lex_state = 118},
  [766] = {.lex_state = 116, .external_lex_state = 1},
  [767] = {.lex_state = 120},
  [768] = {.lex_state = 118, .external_lex_state = 1},
  [769] = {.lex_state = 118},
  [770] = {.lex_state = 116},
  [771] = {.lex_state = 118},
  [772] = {.lex_state = 120, .external_lex_state = 1},
  [773] = {.lex_state = 123, .external_lex_state = 1},
  [774] = {.lex_state = 120},
  [775] = {.lex_state = 123},
  [776] = {.lex_state = 123},
  [777] = {.lex_state = 118},
  [778] = {.lex_state = 118},
  [779] = {.lex_state = 123, .external_lex_state = 1},
  [780] = {.lex_state = 118},
  [781] = {.lex_state = 118, .external_lex_state = 1},
  [782] = {.lex_state = 118, .external_lex_state = 1},
  [783] = {.lex_state = 118, .external_lex_state = 1},
  [784] = {.lex_state = 118, .external_lex_state = 1},
  [785] = {.lex_state = 118, .external_lex_state = 1},
  [786] = {.lex_state = 118, .external_lex_state = 1},
  [787] = {.lex_state = 118, .external_lex_state = 1},
  [788] = {.lex_state = 118, .external_lex_state = 1},
  [789] = {.lex_state = 118, .external_lex_state = 1},
  [790] = {.lex_state = 118},
  [791] = {.lex_state = 122, .external_lex_state = 1},
  [792] = {.lex_state = 118},
  [793] = {.lex_state = 118, .external_lex_state = 1},
  [794] = {.lex_state = 118, .external_lex_state = 1},
  [795] = {.lex_state = 151},
  [796] = {.lex_state = 118, .external_lex_state = 1},
  [797] = {.lex_state = 118, .external_lex_state = 1},
  [798] = {.lex_state = 118, .external_lex_state = 1},
  [799] = {.lex_state = 118, .external_lex_state = 1},
  [800] = {.lex_state = 118, .external_lex_state = 1},
  [801] = {.lex_state = 118, .external_lex_state = 1},
  [802] = {.lex_state = 118, .external_lex_state = 1},
  [803] = {.lex_state = 118, .external_lex_state = 1},
  [804] = {.lex_state = 118, .external_lex_state = 1},
  [805] = {.lex_state = 118, .external_lex_state = 1},
  [806] = {.lex_state = 122},
  [807] = {.lex_state = 118, .external_lex_state = 1},
  [808] = {.lex_state = 118, .external_lex_state = 1},
  [809] = {.lex_state = 118, .external_lex_state = 1},
  [810] = {.lex_state = 118, .external_lex_state = 1},
  [811] = {.lex_state = 118, .external_lex_state = 1},
  [812] = {.lex_state = 118},
  [813] = {.lex_state = 122, .external_lex_state = 1},
  [814] = {.lex_state = 118},
  [815] = {.lex_state = 118},
  [816] = {.lex_state = 118},
  [817] = {.lex_state = 118},
  [818] = {.lex_state = 118},
  [819] = {.lex_state = 118, .external_lex_state = 1},
  [820] = {.lex_state = 118},
  [821] = {.lex_state = 118},
  [822] = {.lex_state = 122},
  [823] = {.lex_state = 118},
  [824] = {.lex_state = 118},
  [825] = {.lex_state = 118, .external_lex_state = 1},
  [826] = {.lex_state = 118},
  [827] = {.lex_state = 118},
  [828] = {.lex_state = 120, .external_lex_state = 1},
  [829] = {.lex_state = 118},
  [830] = {.lex_state = 118, .external_lex_state = 1},
  [831] = {.lex_state = 118, .external_lex_state = 1},
  [832] = {.lex_state = 118},
  [833] = {.lex_state = 118},
  [834] = {.lex_state = 118},
  [835] = {.lex_state = 118},
  [836] = {.lex_state = 118},
  [837] = {.lex_state = 118},
  [838] = {.lex_state = 118},
  [839] = {.lex_state = 118, .external_lex_state = 1},
  [840] = {.lex_state = 118},
  [841] = {.lex_state = 118, .external_lex_state = 1},
  [842] = {.lex_state = 120},
  [843] = {.lex_state = 117},
  [844] = {.lex_state = 120},
  [845] = {.lex_state = 120},
  [846] = {.lex_state = 120},
  [847] = {.lex_state = 120, .external_lex_state = 1},
  [848] = {.lex_state = 123},
  [849] = {.lex_state = 120, .external_lex_state = 1},
  [850] = {.lex_state = 120},
  [851] = {.lex_state = 123},
  [852] = {.lex_state = 518, .external_lex_state = 1},
  [853] = {.lex_state = 120},
  [854] = {.lex_state = 120},
  [855] = {.lex_state = 120},
  [856] = {.lex_state = 123, .external_lex_state = 1},
  [857] = {.lex_state = 518},
  [858] = {.lex_state = 518},
  [859] = {.lex_state = 120, .external_lex_state = 1},
  [860] = {.lex_state = 120},
  [861] = {.lex_state = 120},
  [862] = {.lex_state = 120, .external_lex_state = 1},
  [863] = {.lex_state = 120, .external_lex_state = 1},
  [864] = {.lex_state = 120},
  [865] = {.lex_state = 120},
  [866] = {.lex_state = 120, .external_lex_state = 1},
  [867] = {.lex_state = 120, .external_lex_state = 1},
  [868] = {.lex_state = 120, .external_lex_state = 1},
  [869] = {.lex_state = 518, .external_lex_state = 1},
  [870] = {.lex_state = 120, .external_lex_state = 1},
  [871] = {.lex_state = 120, .external_lex_state = 1},
  [872] = {.lex_state = 120, .external_lex_state = 1},
  [873] = {.lex_state = 120, .external_lex_state = 1},
  [874] = {.lex_state = 120, .external_lex_state = 1},
  [875] = {.lex_state = 120, .external_lex_state = 1},
  [876] = {.lex_state = 120, .external_lex_state = 1},
  [877] = {.lex_state = 120, .external_lex_state = 1},
  [878] = {.lex_state = 120, .external_lex_state = 1},
  [879] = {.lex_state = 120, .external_lex_state = 1},
  [880] = {.lex_state = 120, .external_lex_state = 1},
  [881] = {.lex_state = 120, .external_lex_state = 1},
  [882] = {.lex_state = 120, .external_lex_state = 1},
  [883] = {.lex_state = 120},
  [884] = {.lex_state = 120, .external_lex_state = 1},
  [885] = {.lex_state = 120},
  [886] = {.lex_state = 123, .external_lex_state = 1},
  [887] = {.lex_state = 120},
  [888] = {.lex_state = 120},
  [889] = {.lex_state = 120},
  [890] = {.lex_state = 120},
  [891] = {.lex_state = 518, .external_lex_state = 1},
  [892] = {.lex_state = 120},
  [893] = {.lex_state = 120, .external_lex_state = 1},
  [894] = {.lex_state = 118, .external_lex_state = 1},
  [895] = {.lex_state = 120, .external_lex_state = 1},
  [896] = {.lex_state = 118},
  [897] = {.lex_state = 120},
  [898] = {.lex_state = 120},
  [899] = {.lex_state = 120},
  [900] = {.lex_state = 120},
  [901] = {.lex_state = 120, .external_lex_state = 1},
  [902] = {.lex_state = 518},
  [903] = {.lex_state = 120, .external_lex_state = 1},
  [904] = {.lex_state = 120, .external_lex_state = 1},
  [905] = {.lex_state = 120, .external_lex_state = 1},
  [906] = {.lex_state = 120, .external_lex_state = 1},
  [907] = {.lex_state = 120, .external_lex_state = 1},
  [908] = {.lex_state = 120, .external_lex_state = 1},
  [909] = {.lex_state = 120, .external_lex_state = 1},
  [910] = {.lex_state = 120},
  [911] = {.lex_state = 120},
  [912] = {.lex_state = 120},
  [913] = {.lex_state = 120},
  [914] = {.lex_state = 120},
  [915] = {.lex_state = 120},
  [916] = {.lex_state = 120, .external_lex_state = 1},
  [917] = {.lex_state = 120},
  [918] = {.lex_state = 120},
  [919] = {.lex_state = 120},
  [920] = {.lex_state = 117, .external_lex_state = 1},
  [921] = {.lex_state = 120},
  [922] = {.lex_state = 120, .external_lex_state = 1},
  [923] = {.lex_state = 120},
  [924] = {.lex_state = 118},
  [925] = {.lex_state = 118},
  [926] = {.lex_state = 118, .external_lex_state = 1},
  [927] = {.lex_state = 159},
  [928] = {.lex_state = 120, .external_lex_state = 1},
  [929] = {.lex_state = 120},
  [930] = {.lex_state = 118, .external_lex_state = 1},
  [931] = {.lex_state = 118},
  [932] = {.lex_state = 118, .external_lex_state = 1},
  [933] = {.lex_state = 159},
  [934] = {.lex_state = 159},
  [935] = {.lex_state = 159},
  [936] = {.lex_state = 120, .external_lex_state = 1},
  [937] = {.lex_state = 120, .external_lex_state = 1},
  [938] = {.lex_state = 120},
  [939] = {.lex_state = 159},
  [940] = {.lex_state = 159},
  [941] = {.lex_state = 159},
  [942] = {.lex_state = 110, .external_lex_state = 1},
  [943] = {.lex_state = 120},
  [944] = {.lex_state = 159},
  [945] = {.lex_state = 110},
  [946] = {.lex_state = 159},
  [947] = {.lex_state = 159},
  [948] = {.lex_state = 159},
  [949] = {.lex_state = 159},
  [950] = {.lex_state = 110, .external_lex_state = 1},
  [951] = {.lex_state = 159},
  [952] = {.lex_state = 159},
  [953] = {.lex_state = 159},
  [954] = {.lex_state = 159},
  [955] = {.lex_state = 159},
  [956] = {.lex_state = 159},
  [957] = {.lex_state = 159},
  [958] = {.lex_state = 159},
  [959] = {.lex_state = 159},
  [960] = {.lex_state = 159},
  [961] = {.lex_state = 159},
  [962] = {.lex_state = 159},
  [963] = {.lex_state = 120, .external_lex_state = 1},
  [964] = {.lex_state = 159},
  [965] = {.lex_state = 110, .external_lex_state = 1},
  [966] = {.lex_state = 110},
  [967] = {.lex_state = 120},
  [968] = {.lex_state = 159},
  [969] = {.lex_state = 159},
  [970] = {.lex_state = 159},
  [971] = {.lex_state = 159},
  [972] = {.lex_state = 159},
  [973] = {.lex_state = 159},
  [974] = {.lex_state = 159},
  [975] = {.lex_state = 110},
  [976] = {.lex_state = 159},
  [977] = {.lex_state = 159},
  [978] = {.lex_state = 159},
  [979] = {.lex_state = 110, .external_lex_state = 1},
  [980] = {.lex_state = 159, .external_lex_state = 1},
  [981] = {.lex_state = 518},
  [982] = {.lex_state = 111},
  [983] = {.lex_state = 111, .external_lex_state = 1},
  [984] = {.lex_state = 518, .external_lex_state = 1},
  [985] = {.lex_state = 111},
  [986] = {.lex_state = 110, .external_lex_state = 1},
  [987] = {.lex_state = 111, .external_lex_state = 1},
  [988] = {.lex_state = 110, .external_lex_state = 1},
  [989] = {.lex_state = 110},
  [990] = {.lex_state = 111, .external_lex_state = 1},
  [991] = {.lex_state = 111},
  [992] = {.lex_state = 110},
  [993] = {.lex_state = 110},
  [994] = {.lex_state = 159, .external_lex_state = 1},
  [995] = {.lex_state = 122},
  [996] = {.lex_state = 159, .external_lex_state = 1},
  [997] = {.lex_state = 111},
  [998] = {.lex_state = 159, .external_lex_state = 1},
  [999] = {.lex_state = 159, .external_lex_state = 1},
  [1000] = {.lex_state = 159, .external_lex_state = 1},
  [1001] = {.lex_state = 159, .external_lex_state = 1},
  [1002] = {.lex_state = 159, .external_lex_state = 1},
  [1003] = {.lex_state = 159, .external_lex_state = 1},
  [1004] = {.lex_state = 159, .external_lex_state = 1},
  [1005] = {.lex_state = 159, .external_lex_state = 1},
  [1006] = {.lex_state = 122},
  [1007] = {.lex_state = 111},
  [1008] = {.lex_state = 159, .external_lex_state = 1},
  [1009] = {.lex_state = 111},
  [1010] = {.lex_state = 159, .external_lex_state = 1},
  [1011] = {.lex_state = 159, .external_lex_state = 1},
  [1012] = {.lex_state = 159, .external_lex_state = 1},
  [1013] = {.lex_state = 159, .external_lex_state = 1},
  [1014] = {.lex_state = 159, .external_lex_state = 1},
  [1015] = {.lex_state = 159, .external_lex_state = 1},
  [1016] = {.lex_state = 159, .external_lex_state = 1},
  [1017] = {.lex_state = 159, .external_lex_state = 1},
  [1018] = {.lex_state = 136},
  [1019] = {.lex_state = 159, .external_lex_state = 1},
  [1020] = {.lex_state = 159, .external_lex_state = 1},
  [1021] = {.lex_state = 122, .external_lex_state = 1},
  [1022] = {.lex_state = 111, .external_lex_state = 1},
  [1023] = {.lex_state = 159, .external_lex_state = 1},
  [1024] = {.lex_state = 159, .external_lex_state = 1},
  [1025] = {.lex_state = 159, .external_lex_state = 1},
  [1026] = {.lex_state = 159},
  [1027] = {.lex_state = 159, .external_lex_state = 1},
  [1028] = {.lex_state = 122, .external_lex_state = 1},
  [1029] = {.lex_state = 159, .external_lex_state = 1},
  [1030] = {.lex_state = 159, .external_lex_state = 1},
  [1031] = {.lex_state = 159, .external_lex_state = 1},
  [1032] = {.lex_state = 111, .external_lex_state = 1},
  [1033] = {.lex_state = 122},
  [1034] = {.lex_state = 159, .external_lex_state = 1},
  [1035] = {.lex_state = 122, .external_lex_state = 1},
  [1036] = {.lex_state = 159, .external_lex_state = 1},
  [1037] = {.lex_state = 159, .external_lex_state = 1},
  [1038] = {.lex_state = 111, .external_lex_state = 1},
  [1039] = {.lex_state = 159, .external_lex_state = 1},
  [1040] = {.lex_state = 159, .external_lex_state = 1},
  [1041] = {.lex_state = 159, .external_lex_state = 1},
  [1042] = {.lex_state = 159, .external_lex_state = 1},
  [1043] = {.lex_state = 122, .external_lex_state = 1},
  [1044] = {.lex_state = 122, .external_lex_state = 1},
  [1045] = {.lex_state = 122},
  [1046] = {.lex_state = 123},
  [1047] = {.lex_state = 123, .external_lex_state = 1},
  [1048] = {.lex_state = 122, .external_lex_state = 1},
  [1049] = {.lex_state = 122, .external_lex_state = 1},
  [1050] = {.lex_state = 122},
  [1051] = {.lex_state = 122, .external_lex_state = 1},
  [1052] = {.lex_state = 123},
  [1053] = {.lex_state = 122, .external_lex_state = 1},
  [1054] = {.lex_state = 122},
  [1055] = {.lex_state = 122},
  [1056] = {.lex_state = 122},
  [1057] = {.lex_state = 123, .external_lex_state = 1},
  [1058] = {.lex_state = 159, .external_lex_state = 1},
  [1059] = {.lex_state = 159},
  [1060] = {.lex_state = 122, .external_lex_state = 1},
  [1061] = {.lex_state = 122},
  [1062] = {.lex_state = 122},
  [1063] = {.lex_state = 123},
  [1064] = {.lex_state = 122},
  [1065] = {.lex_state = 123, .external_lex_state = 1},
  [1066] = {.lex_state = 122, .external_lex_state = 1},
  [1067] = {.lex_state = 122},
  [1068] = {.lex_state = 122},
  [1069] = {.lex_state = 122},
  [1070] = {.lex_state = 122, .external_lex_state = 1},
  [1071] = {.lex_state = 122, .external_lex_state = 1},
  [1072] = {.lex_state = 122, .external_lex_state = 1},
  [1073] = {.lex_state = 123},
  [1074] = {.lex_state = 123, .external_lex_state = 1},
  [1075] = {.lex_state = 159, .external_lex_state = 1},
  [1076] = {.lex_state = 122},
  [1077] = {.lex_state = 123},
  [1078] = {.lex_state = 123, .external_lex_state = 1},
  [1079] = {.lex_state = 159},
  [1080] = {.lex_state = 123, .external_lex_state = 1},
  [1081] = {.lex_state = 123, .external_lex_state = 1},
  [1082] = {.lex_state = 123},
  [1083] = {.lex_state = 159, .external_lex_state = 1},
  [1084] = {.lex_state = 123},
  [1085] = {.lex_state = 123},
  [1086] = {.lex_state = 122, .external_lex_state = 1},
  [1087] = {.lex_state = 123},
  [1088] = {.lex_state = 123},
  [1089] = {.lex_state = 123},
  [1090] = {.lex_state = 123, .external_lex_state = 1},
  [1091] = {.lex_state = 123, .external_lex_state = 1},
  [1092] = {.lex_state = 123, .external_lex_state = 1},
  [1093] = {.lex_state = 123},
  [1094] = {.lex_state = 123, .external_lex_state = 1},
  [1095] = {.lex_state = 123, .external_lex_state = 1},
  [1096] = {.lex_state = 123, .external_lex_state = 1},
  [1097] = {.lex_state = 123},
  [1098] = {.lex_state = 123},
  [1099] = {.lex_state = 123, .external_lex_state = 1},
  [1100] = {.lex_state = 122},
  [1101] = {.lex_state = 122, .external_lex_state = 1},
  [1102] = {.lex_state = 131},
  [1103] = {.lex_state = 122, .external_lex_state = 1},
  [1104] = {.lex_state = 122},
  [1105] = {.lex_state = 122},
  [1106] = {.lex_state = 122, .external_lex_state = 1},
  [1107] = {.lex_state = 122, .external_lex_state = 1},
  [1108] = {.lex_state = 122},
  [1109] = {.lex_state = 122},
  [1110] = {.lex_state = 122, .external_lex_state = 1},
  [1111] = {.lex_state = 123, .external_lex_state = 1},
  [1112] = {.lex_state = 123},
  [1113] = {.lex_state = 131},
  [1114] = {.lex_state = 122, .external_lex_state = 1},
  [1115] = {.lex_state = 136, .external_lex_state = 1},
  [1116] = {.lex_state = 122},
  [1117] = {.lex_state = 122},
  [1118] = {.lex_state = 131},
  [1119] = {.lex_state = 122},
  [1120] = {.lex_state = 122, .external_lex_state = 1},
  [1121] = {.lex_state = 122, .external_lex_state = 1},
  [1122] = {.lex_state = 123, .external_lex_state = 1},
  [1123] = {.lex_state = 123},
  [1124] = {.lex_state = 123, .external_lex_state = 1},
  [1125] = {.lex_state = 123, .external_lex_state = 1},
  [1126] = {.lex_state = 123},
  [1127] = {.lex_state = 123},
  [1128] = {.lex_state = 518},
  [1129] = {.lex_state = 123},
  [1130] = {.lex_state = 518, .external_lex_state = 1},
  [1131] = {.lex_state = 123},
  [1132] = {.lex_state = 123, .external_lex_state = 1},
  [1133] = {.lex_state = 518, .external_lex_state = 1},
  [1134] = {.lex_state = 123, .external_lex_state = 1},
  [1135] = {.lex_state = 518},
  [1136] = {.lex_state = 123},
  [1137] = {.lex_state = 123, .external_lex_state = 1},
  [1138] = {.lex_state = 123, .external_lex_state = 1},
  [1139] = {.lex_state = 123, .external_lex_state = 1},
  [1140] = {.lex_state = 123},
  [1141] = {.lex_state = 123},
  [1142] = {.lex_state = 518, .external_lex_state = 1},
  [1143] = {.lex_state = 518, .external_lex_state = 1},
  [1144] = {.lex_state = 518},
  [1145] = {.lex_state = 518},
  [1146] = {.lex_state = 518},
  [1147] = {.lex_state = 518, .external_lex_state = 1},
  [1148] = {.lex_state = 131},
  [1149] = {.lex_state = 131},
  [1150] = {.lex_state = 518},
  [1151] = {.lex_state = 518},
  [1152] = {.lex_state = 518, .external_lex_state = 1},
  [1153] = {.lex_state = 518},
  [1154] = {.lex_state = 518, .external_lex_state = 1},
  [1155] = {.lex_state = 518},
  [1156] = {.lex_state = 518, .external_lex_state = 1},
  [1157] = {.lex_state = 518, .external_lex_state = 1},
  [1158] = {.lex_state = 518, .external_lex_state = 1},
  [1159] = {.lex_state = 518},
  [1160] = {.lex_state = 151},
  [1161] = {.lex_state = 151},
  [1162] = {.lex_state = 151},
  [1163] = {.lex_state = 109},
  [1164] = {.lex_state = 150},
  [1165] = {.lex_state = 144},
  [1166] = {.lex_state = 144},
  [1167] = {.lex_state = 144},
  [1168] = {.lex_state = 144},
  [1169] = {.lex_state = 144},
  [1170] = {.lex_state = 144},
  [1171] = {.lex_state = 144},
  [1172] = {.lex_state = 144},
  [1173] = {.lex_state = 144},
  [1174] = {.lex_state = 144},
  [1175] = {.lex_state = 144},
  [1176] = {.lex_state = 144},
  [1177] = {.lex_state = 144},
  [1178] = {.lex_state = 144},
  [1179] = {.lex_state = 144},
  [1180] = {.lex_state = 144},
  [1181] = {.lex_state = 144},
  [1182] = {.lex_state = 144},
  [1183] = {.lex_state = 144},
  [1184] = {.lex_state = 144},
  [1185] = {.lex_state = 144},
  [1186] = {.lex_state = 144},
  [1187] = {.lex_state = 144},
  [1188] = {.lex_state = 144},
  [1189] = {.lex_state = 144},
  [1190] = {.lex_state = 153},
  [1191] = {.lex_state = 153},
  [1192] = {.lex_state = 153},
  [1193] = {.lex_state = 153},
  [1194] = {.lex_state = 153},
  [1195] = {.lex_state = 154},
  [1196] = {.lex_state = 154},
  [1197] = {.lex_state = 154},
  [1198] = {.lex_state = 154},
  [1199] = {.lex_state = 154},
  [1200] = {.lex_state = 154},
  [1201] = {.lex_state = 154},
  [1202] = {.lex_state = 154},
  [1203] = {.lex_state = 154},
  [1204] = {.lex_state = 154},
  [1205] = {.lex_state = 154},
  [1206] = {.lex_state = 153},
  [1207] = {.lex_state = 154},
  [1208] = {.lex_state = 153},
  [1209] = {.lex_state = 154},
  [1210] = {.lex_state = 154},
  [1211] = {.lex_state = 154},
  [1212] = {.lex_state = 153},
  [1213] = {.lex_state = 153},
  [1214] = {.lex_state = 153},
  [1215] = {.lex_state = 154},
  [1216] = {.lex_state = 53},
  [1217] = {.lex_state = 53},
  [1218] = {.lex_state = 53},
  [1219] = {.lex_state = 53},
  [1220] = {.lex_state = 53},
  [1221] = {.lex_state = 53},
  [1222] = {.lex_state = 153},
  [1223] = {.lex_state = 53},
  [1224] = {.lex_state = 53},
  [1225] = {.lex_state = 53},
  [1226] = {.lex_state = 53},
  [1227] = {.lex_state = 53},
  [1228] = {.lex_state = 53},
  [1229] = {.lex_state = 53},
  [1230] = {.lex_state = 154},
  [1231] = {.lex_state = 53},
  [1232] = {.lex_state = 53},
  [1233] = {.lex_state = 53},
  [1234] = {.lex_state = 53},
  [1235] = {.lex_state = 162},
  [1236] = {.lex_state = 518},
  [1237] = {.lex_state = 518},
  [1238] = {.lex_state = 518},
  [1239] = {.lex_state = 518},
  [1240] = {.lex_state = 518},
  [1241] = {.lex_state = 162},
  [1242] = {.lex_state = 518},
  [1243] = {.lex_state = 518},
  [1244] = {.lex_state = 144},
  [1245] = {.lex_state = 144},
  [1246] = {.lex_state = 144},
  [1247] = {.lex_state = 154},
  [1248] = {.lex_state = 153},
  [1249] = {.lex_state = 53},
  [1250] = {.lex_state = 144},
  [1251] = {.lex_state = 153},
  [1252] = {.lex_state = 518},
  [1253] = {.lex_state = 154},
  [1254] = {.lex_state = 154},
  [1255] = {.lex_state = 144},
  [1256] = {.lex_state = 153},
  [1257] = {.lex_state = 144},
  [1258] = {.lex_state = 53},
  [1259] = {.lex_state = 53},
  [1260] = {.lex_state = 154},
  [1261] = {.lex_state = 518},
  [1262] = {.lex_state = 518},
  [1263] = {.lex_state = 518},
  [1264] = {.lex_state = 144},
  [1265] = {.lex_state = 518},
  [1266] = {.lex_state = 144},
  [1267] = {.lex_state = 144},
  [1268] = {.lex_state = 144},
  [1269] = {.lex_state = 161},
  [1270] = {.lex_state = 144},
  [1271] = {.lex_state = 161},
  [1272] = {.lex_state = 518},
  [1273] = {.lex_state = 144},
  [1274] = {.lex_state = 518},
  [1275] = {.lex_state = 144},
  [1276] = {.lex_state = 518},
  [1277] = {.lex_state = 144},
  [1278] = {.lex_state = 518},
  [1279] = {.lex_state = 518},
  [1280] = {.lex_state = 518},
  [1281] = {.lex_state = 144},
  [1282] = {.lex_state = 518},
  [1283] = {.lex_state = 159},
  [1284] = {.lex_state = 159},
  [1285] = {.lex_state = 518},
  [1286] = {.lex_state = 159},
  [1287] = {.lex_state = 159},
  [1288] = {.lex_state = 144},
  [1289] = {.lex_state = 144},
  [1290] = {.lex_state = 518},
  [1291] = {.lex_state = 159},
  [1292] = {.lex_state = 161},
  [1293] = {.lex_state = 131},
  [1294] = {.lex_state = 172},
  [1295] = {.lex_state = 518},
  [1296] = {.lex_state = 131},
  [1297] = {.lex_state = 159},
  [1298] = {.lex_state = 172},
  [1299] = {.lex_state = 518},
  [1300] = {.lex_state = 159},
  [1301] = {.lex_state = 518},
  [1302] = {.lex_state = 518},
  [1303] = {.lex_state = 518},
  [1304] = {.lex_state = 518},
  [1305] = {.lex_state = 159, .external_lex_state = 1},
  [1306] = {.lex_state = 518},
  [1307] = {.lex_state = 518},
  [1308] = {.lex_state = 518},
  [1309] = {.lex_state = 518},
  [1310] = {.lex_state = 159},
  [1311] = {.lex_state = 518},
  [1312] = {.lex_state = 518},
  [1313] = {.lex_state = 518},
  [1314] = {.lex_state = 518},
  [1315] = {.lex_state = 518},
  [1316] = {.lex_state = 518},
  [1317] = {.lex_state = 518},
  [1318] = {.lex_state = 518},
  [1319] = {.lex_state = 518},
  [1320] = {.lex_state = 159, .external_lex_state = 1},
  [1321] = {.lex_state = 159},
  [1322] = {.lex_state = 518},
  [1323] = {.lex_state = 159},
  [1324] = {.lex_state = 152},
  [1325] = {.lex_state = 518},
  [1326] = {.lex_state = 518, .external_lex_state = 1},
  [1327] = {.lex_state = 518, .external_lex_state = 1},
  [1328] = {.lex_state = 518, .external_lex_state = 1},
  [1329] = {.lex_state = 518},
  [1330] = {.lex_state = 152},
  [1331] = {.lex_state = 159},
  [1332] = {.lex_state = 152},
  [1333] = {.lex_state = 518, .external_lex_state = 1},
  [1334] = {.lex_state = 518},
  [1335] = {.lex_state = 159},
  [1336] = {.lex_state = 155},
  [1337] = {.lex_state = 164},
  [1338] = {.lex_state = 155},
  [1339] = {.lex_state = 159},
  [1340] = {.lex_state = 164},
  [1341] = {.lex_state = 161, .external_lex_state = 1},
  [1342] = {.lex_state = 164},
  [1343] = {.lex_state = 164},
  [1344] = {.lex_state = 161},
  [1345] = {.lex_state = 161},
  [1346] = {.lex_state = 159},
  [1347] = {.lex_state = 152},
  [1348] = {.lex_state = 159},
  [1349] = {.lex_state = 152},
  [1350] = {.lex_state = 156, .external_lex_state = 1},
  [1351] = {.lex_state = 152},
  [1352] = {.lex_state = 156, .external_lex_state = 1},
  [1353] = {.lex_state = 159},
  [1354] = {.lex_state = 161, .external_lex_state = 1},
  [1355] = {.lex_state = 161},
  [1356] = {.lex_state = 518},
  [1357] = {.lex_state = 518},
  [1358] = {.lex_state = 164},
  [1359] = {.lex_state = 518, .external_lex_state = 1},
  [1360] = {.lex_state = 518},
  [1361] = {.lex_state = 164},
  [1362] = {.lex_state = 518},
  [1363] = {.lex_state = 164},
  [1364] = {.lex_state = 518},
  [1365] = {.lex_state = 518, .external_lex_state = 1},
  [1366] = {.lex_state = 164},
  [1367] = {.lex_state = 164},
  [1368] = {.lex_state = 164},
  [1369] = {.lex_state = 518, .external_lex_state = 1},
  [1370] = {.lex_state = 164},
  [1371] = {.lex_state = 164},
  [1372] = {.lex_state = 164},
  [1373] = {.lex_state = 164},
  [1374] = {.lex_state = 518},
  [1375] = {.lex_state = 518},
  [1376] = {.lex_state = 164},
  [1377] = {.lex_state = 164},
  [1378] = {.lex_state = 518},
  [1379] = {.lex_state = 518},
  [1380] = {.lex_state = 518, .external_lex_state = 1},
  [1381] = {.lex_state = 518},
  [1382] = {.lex_state = 518},
  [1383] = {.lex_state = 164},
  [1384] = {.lex_state = 164},
  [1385] = {.lex_state = 164},
  [1386] = {.lex_state = 164},
  [1387] = {.lex_state = 518},
  [1388] = {.lex_state = 164},
  [1389] = {.lex_state = 518},
  [1390] = {.lex_state = 518},
  [1391] = {.lex_state = 518, .external_lex_state = 1},
  [1392] = {.lex_state = 164},
  [1393] = {.lex_state = 518, .external_lex_state = 1},
  [1394] = {.lex_state = 164},
  [1395] = {.lex_state = 161, .external_lex_state = 1},
  [1396] = {.lex_state = 518, .external_lex_state = 1},
  [1397] = {.lex_state = 518},
  [1398] = {.lex_state = 164},
  [1399] = {.lex_state = 164},
  [1400] = {.lex_state = 518, .external_lex_state = 1},
  [1401] = {.lex_state = 164},
  [1402] = {.lex_state = 518},
  [1403] = {.lex_state = 131},
  [1404] = {.lex_state = 131},
  [1405] = {.lex_state = 131},
  [1406] = {.lex_state = 131},
  [1407] = {.lex_state = 131},
  [1408] = {.lex_state = 159},
  [1409] = {.lex_state = 518},
  [1410] = {.lex_state = 518},
  [1411] = {.lex_state = 159},
  [1412] = {.lex_state = 131},
  [1413] = {.lex_state = 131},
  [1414] = {.lex_state = 131},
  [1415] = {.lex_state = 518},
  [1416] = {.lex_state = 518},
  [1417] = {.lex_state = 159},
  [1418] = {.lex_state = 131},
  [1419] = {.lex_state = 131},
  [1420] = {.lex_state = 518},
  [1421] = {.lex_state = 161},
  [1422] = {.lex_state = 161},
  [1423] = {.lex_state = 518, .external_lex_state = 1},
  [1424] = {.lex_state = 131},
  [1425] = {.lex_state = 156},
  [1426] = {.lex_state = 518},
  [1427] = {.lex_state = 161, .external_lex_state = 1},
  [1428] = {.lex_state = 518},
  [1429] = {.lex_state = 161, .external_lex_state = 1},
  [1430] = {.lex_state = 159},
  [1431] = {.lex_state = 156},
  [1432] = {.lex_state = 518},
  [1433] = {.lex_state = 161},
  [1434] = {.lex_state = 518},
  [1435] = {.lex_state = 147},
  [1436] = {.lex_state = 147},
  [1437] = {.lex_state = 518},
  [1438] = {.lex_state = 142},
  [1439] = {.lex_state = 167},
  [1440] = {.lex_state = 518},
  [1441] = {.lex_state = 518},
  [1442] = {.lex_state = 142},
  [1443] = {.lex_state = 518},
  [1444] = {.lex_state = 142},
  [1445] = {.lex_state = 518},
  [1446] = {.lex_state = 518},
  [1447] = {.lex_state = 164},
  [1448] = {.lex_state = 518},
  [1449] = {.lex_state = 24},
  [1450] = {.lex_state = 518},
  [1451] = {.lex_state = 518},
  [1452] = {.lex_state = 518},
  [1453] = {.lex_state = 518},
  [1454] = {.lex_state = 518},
  [1455] = {.lex_state = 518, .external_lex_state = 1},
  [1456] = {.lex_state = 147},
  [1457] = {.lex_state = 518},
  [1458] = {.lex_state = 147},
  [1459] = {.lex_state = 518},
  [1460] = {.lex_state = 142},
  [1461] = {.lex_state = 518, .external_lex_state = 1},
  [1462] = {.lex_state = 142},
  [1463] = {.lex_state = 161, .external_lex_state = 1},
  [1464] = {.lex_state = 518},
  [1465] = {.lex_state = 518},
  [1466] = {.lex_state = 518, .external_lex_state = 1},
  [1467] = {.lex_state = 147},
  [1468] = {.lex_state = 24},
  [1469] = {.lex_state = 161, .external_lex_state = 1},
  [1470] = {.lex_state = 147},
  [1471] = {.lex_state = 142},
  [1472] = {.lex_state = 142},
  [1473] = {.lex_state = 147},
  [1474] = {.lex_state = 518},
  [1475] = {.lex_state = 147},
  [1476] = {.lex_state = 518},
  [1477] = {.lex_state = 147},
  [1478] = {.lex_state = 147},
  [1479] = {.lex_state = 518, .external_lex_state = 1},
  [1480] = {.lex_state = 147},
  [1481] = {.lex_state = 147},
  [1482] = {.lex_state = 518},
  [1483] = {.lex_state = 161},
  [1484] = {.lex_state = 518, .external_lex_state = 1},
  [1485] = {.lex_state = 142},
  [1486] = {.lex_state = 142},
  [1487] = {.lex_state = 518, .external_lex_state = 1},
  [1488] = {.lex_state = 159},
  [1489] = {.lex_state = 147},
  [1490] = {.lex_state = 159},
  [1491] = {.lex_state = 518},
  [1492] = {.lex_state = 142},
  [1493] = {.lex_state = 518, .external_lex_state = 1},
  [1494] = {.lex_state = 518},
  [1495] = {.lex_state = 24},
  [1496] = {.lex_state = 518},
  [1497] = {.lex_state = 24},
  [1498] = {.lex_state = 159},
  [1499] = {.lex_state = 518},
  [1500] = {.lex_state = 518},
  [1501] = {.lex_state = 518},
  [1502] = {.lex_state = 159},
  [1503] = {.lex_state = 518},
  [1504] = {.lex_state = 518},
  [1505] = {.lex_state = 24},
  [1506] = {.lex_state = 518},
  [1507] = {.lex_state = 24},
  [1508] = {.lex_state = 518, .external_lex_state = 1},
  [1509] = {.lex_state = 518},
  [1510] = {.lex_state = 518, .external_lex_state = 1},
  [1511] = {.lex_state = 24},
  [1512] = {.lex_state = 518},
  [1513] = {.lex_state = 518},
  [1514] = {.lex_state = 518},
  [1515] = {.lex_state = 518},
  [1516] = {.lex_state = 161},
  [1517] = {.lex_state = 518},
  [1518] = {.lex_state = 159},
  [1519] = {.lex_state = 518},
  [1520] = {.lex_state = 518},
  [1521] = {.lex_state = 24},
  [1522] = {.lex_state = 518},
  [1523] = {.lex_state = 24},
  [1524] = {.lex_state = 518},
  [1525] = {.lex_state = 518},
  [1526] = {.lex_state = 24},
  [1527] = {.lex_state = 518},
  [1528] = {.lex_state = 518},
  [1529] = {.lex_state = 24},
  [1530] = {.lex_state = 159},
  [1531] = {.lex_state = 142},
  [1532] = {.lex_state = 518},
  [1533] = {.lex_state = 518},
  [1534] = {.lex_state = 518},
  [1535] = {.lex_state = 518},
  [1536] = {.lex_state = 518},
  [1537] = {.lex_state = 159},
  [1538] = {.lex_state = 147},
  [1539] = {.lex_state = 518},
  [1540] = {.lex_state = 147},
  [1541] = {.lex_state = 161, .external_lex_state = 1},
  [1542] = {.lex_state = 518},
  [1543] = {.lex_state = 147},
  [1544] = {.lex_state = 147},
  [1545] = {.lex_state = 518},
  [1546] = {.lex_state = 518},
  [1547] = {.lex_state = 159},
  [1548] = {.lex_state = 24},
  [1549] = {.lex_state = 518},
  [1550] = {.lex_state = 518},
  [1551] = {.lex_state = 518},
  [1552] = {.lex_state = 518},
  [1553] = {.lex_state = 518},
  [1554] = {.lex_state = 518},
  [1555] = {.lex_state = 518},
  [1556] = {.lex_state = 518},
  [1557] = {.lex_state = 518},
  [1558] = {.lex_state = 518},
  [1559] = {.lex_state = 159},
  [1560] = {.lex_state = 518},
  [1561] = {.lex_state = 518},
  [1562] = {.lex_state = 518},
  [1563] = {.lex_state = 518},
  [1564] = {.lex_state = 518},
  [1565] = {.lex_state = 518},
  [1566] = {.lex_state = 518},
  [1567] = {.lex_state = 518},
  [1568] = {.lex_state = 518},
  [1569] = {.lex_state = 518},
  [1570] = {.lex_state = 518},
  [1571] = {.lex_state = 518},
  [1572] = {.lex_state = 518},
  [1573] = {.lex_state = 518},
  [1574] = {.lex_state = 518},
  [1575] = {.lex_state = 518},
  [1576] = {.lex_state = 518},
  [1577] = {.lex_state = 518},
  [1578] = {.lex_state = 518},
  [1579] = {.lex_state = 518},
  [1580] = {.lex_state = 518},
  [1581] = {.lex_state = 518},
  [1582] = {.lex_state = 518},
  [1583] = {.lex_state = 518},
  [1584] = {.lex_state = 518},
  [1585] = {.lex_state = 518},
  [1586] = {.lex_state = 518},
  [1587] = {.lex_state = 518},
  [1588] = {.lex_state = 518},
  [1589] = {.lex_state = 518},
  [1590] = {.lex_state = 518},
  [1591] = {.lex_state = 518},
  [1592] = {.lex_state = 518},
  [1593] = {.lex_state = 518},
  [1594] = {.lex_state = 518},
  [1595] = {.lex_state = 518},
  [1596] = {.lex_state = 518},
  [1597] = {.lex_state = 518},
  [1598] = {.lex_state = 518},
  [1599] = {.lex_state = 518},
  [1600] = {.lex_state = 518},
  [1601] = {.lex_state = 518},
  [1602] = {.lex_state = 518},
  [1603] = {.lex_state = 518},
  [1604] = {.lex_state = 518},
  [1605] = {.lex_state = 518},
  [1606] = {.lex_state = 518},
  [1607] = {.lex_state = 518},
  [1608] = {.lex_state = 518},
  [1609] = {.lex_state = 518},
  [1610] = {.lex_state = 518},
  [1611] = {.lex_state = 518},
  [1612] = {.lex_state = 518},
  [1613] = {.lex_state = 518},
  [1614] = {.lex_state = 518, .external_lex_state = 1},
  [1615] = {.lex_state = 518},
  [1616] = {.lex_state = 518},
  [1617] = {.lex_state = 518},
  [1618] = {.lex_state = 518},
  [1619] = {.lex_state = 518},
  [1620] = {.lex_state = 518},
  [1621] = {.lex_state = 518},
  [1622] = {.lex_state = 518},
  [1623] = {.lex_state = 518},
  [1624] = {.lex_state = 518},
  [1625] = {.lex_state = 518},
  [1626] = {.lex_state = 518},
  [1627] = {.lex_state = 518},
  [1628] = {.lex_state = 518},
  [1629] = {.lex_state = 518},
  [1630] = {.lex_state = 518},
  [1631] = {.lex_state = 518},
  [1632] = {.lex_state = 518},
  [1633] = {.lex_state = 144},
  [1634] = {.lex_state = 518},
  [1635] = {.lex_state = 518},
  [1636] = {.lex_state = 518},
  [1637] = {.lex_state = 518},
  [1638] = {.lex_state = 518},
  [1639] = {.lex_state = 518},
  [1640] = {.lex_state = 518, .external_lex_state = 1},
  [1641] = {.lex_state = 144},
  [1642] = {.lex_state = 518},
  [1643] = {.lex_state = 518, .external_lex_state = 1},
  [1644] = {.lex_state = 518},
  [1645] = {.lex_state = 518},
  [1646] = {.lex_state = 518},
  [1647] = {.lex_state = 518, .external_lex_state = 1},
  [1648] = {.lex_state = 518},
  [1649] = {.lex_state = 144},
  [1650] = {.lex_state = 518},
  [1651] = {.lex_state = 518},
  [1652] = {.lex_state = 518},
  [1653] = {.lex_state = 518},
  [1654] = {.lex_state = 518},
  [1655] = {.lex_state = 518},
  [1656] = {.lex_state = 518},
  [1657] = {.lex_state = 518},
  [1658] = {.lex_state = 518},
  [1659] = {.lex_state = 518},
  [1660] = {.lex_state = 518},
  [1661] = {.lex_state = 518},
  [1662] = {.lex_state = 518},
  [1663] = {.lex_state = 518},
  [1664] = {.lex_state = 518},
  [1665] = {.lex_state = 518},
  [1666] = {.lex_state = 518},
  [1667] = {.lex_state = 518},
  [1668] = {.lex_state = 518},
  [1669] = {.lex_state = 518},
  [1670] = {.lex_state = 518},
  [1671] = {.lex_state = 518},
  [1672] = {.lex_state = 144},
  [1673] = {.lex_state = 518},
  [1674] = {.lex_state = 518},
  [1675] = {.lex_state = 518},
  [1676] = {.lex_state = 518},
  [1677] = {.lex_state = 518},
  [1678] = {.lex_state = 518},
  [1679] = {.lex_state = 518},
  [1680] = {.lex_state = 518},
  [1681] = {.lex_state = 518},
  [1682] = {.lex_state = 518},
  [1683] = {.lex_state = 518},
  [1684] = {.lex_state = 518},
  [1685] = {.lex_state = 518},
  [1686] = {.lex_state = 518},
  [1687] = {.lex_state = 518},
  [1688] = {.lex_state = 173},
  [1689] = {.lex_state = 518},
  [1690] = {.lex_state = 518},
  [1691] = {.lex_state = 518},
  [1692] = {.lex_state = 518},
  [1693] = {.lex_state = 518},
  [1694] = {.lex_state = 518},
  [1695] = {.lex_state = 518},
  [1696] = {.lex_state = 518},
  [1697] = {.lex_state = 518},
  [1698] = {.lex_state = 518},
  [1699] = {.lex_state = 518},
  [1700] = {.lex_state = 518},
  [1701] = {.lex_state = 518},
  [1702] = {.lex_state = 518},
  [1703] = {.lex_state = 518},
  [1704] = {.lex_state = 518},
  [1705] = {.lex_state = 518},
  [1706] = {.lex_state = 518},
  [1707] = {.lex_state = 518},
  [1708] = {.lex_state = 518},
  [1709] = {.lex_state = 518},
  [1710] = {.lex_state = 518},
  [1711] = {.lex_state = 518, .external_lex_state = 1},
  [1712] = {.lex_state = 173},
  [1713] = {.lex_state = 173},
  [1714] = {.lex_state = 518},
  [1715] = {.lex_state = 173},
  [1716] = {.lex_state = 518, .external_lex_state = 1},
  [1717] = {.lex_state = 518},
  [1718] = {.lex_state = 518},
  [1719] = {.lex_state = 518},
  [1720] = {.lex_state = 518},
  [1721] = {.lex_state = 518},
  [1722] = {.lex_state = 518},
  [1723] = {.lex_state = 518},
  [1724] = {.lex_state = 518},
  [1725] = {.lex_state = 518},
  [1726] = {.lex_state = 518},
  [1727] = {.lex_state = 518},
  [1728] = {.lex_state = 518},
  [1729] = {.lex_state = 518},
  [1730] = {.lex_state = 518, .external_lex_state = 1},
  [1731] = {.lex_state = 518, .external_lex_state = 1},
  [1732] = {.lex_state = 518, .external_lex_state = 1},
  [1733] = {.lex_state = 518, .external_lex_state = 1},
  [1734] = {.lex_state = 518},
  [1735] = {.lex_state = 518, .external_lex_state = 1},
  [1736] = {.lex_state = 518, .external_lex_state = 1},
  [1737] = {.lex_state = 518, .external_lex_state = 1},
  [1738] = {.lex_state = 518},
  [1739] = {.lex_state = 518},
  [1740] = {.lex_state = 518},
  [1741] = {.lex_state = 518},
  [1742] = {.lex_state = 518},
  [1743] = {.lex_state = 518},
  [1744] = {.lex_state = 518},
  [1745] = {.lex_state = 518},
  [1746] = {.lex_state = 518},
  [1747] = {.lex_state = 518},
  [1748] = {.lex_state = 518, .external_lex_state = 1},
  [1749] = {.lex_state = 518},
  [1750] = {.lex_state = 518},
  [1751] = {.lex_state = 518},
  [1752] = {.lex_state = 518},
  [1753] = {.lex_state = 518},
  [1754] = {.lex_state = 131},
  [1755] = {.lex_state = 518},
  [1756] = {.lex_state = 518},
  [1757] = {.lex_state = 518},
  [1758] = {.lex_state = 518},
  [1759] = {.lex_state = 518},
  [1760] = {.lex_state = 518},
  [1761] = {.lex_state = 518},
  [1762] = {.lex_state = 518},
  [1763] = {.lex_state = 518},
  [1764] = {.lex_state = 518},
  [1765] = {.lex_state = 518},
  [1766] = {.lex_state = 518},
  [1767] = {.lex_state = 131},
  [1768] = {.lex_state = 518},
  [1769] = {.lex_state = 518},
  [1770] = {.lex_state = 518},
  [1771] = {.lex_state = 518},
  [1772] = {.lex_state = 518},
  [1773] = {.lex_state = 518},
  [1774] = {.lex_state = 518},
  [1775] = {.lex_state = 518},
  [1776] = {.lex_state = 518},
  [1777] = {.lex_state = 518},
  [1778] = {.lex_state = 518},
  [1779] = {.lex_state = 518},
  [1780] = {.lex_state = 518},
  [1781] = {.lex_state = 518},
  [1782] = {.lex_state = 518},
  [1783] = {.lex_state = 518, .external_lex_state = 1},
  [1784] = {.lex_state = 518},
  [1785] = {.lex_state = 518, .external_lex_state = 1},
  [1786] = {.lex_state = 518},
  [1787] = {.lex_state = 518},
  [1788] = {.lex_state = 518, .external_lex_state = 1},
  [1789] = {.lex_state = 518},
  [1790] = {.lex_state = 518},
  [1791] = {.lex_state = 518},
  [1792] = {.lex_state = 518, .external_lex_state = 1},
  [1793] = {.lex_state = 518},
  [1794] = {.lex_state = 518},
  [1795] = {.lex_state = 518},
  [1796] = {.lex_state = 518, .external_lex_state = 1},
  [1797] = {.lex_state = 518, .external_lex_state = 1},
  [1798] = {.lex_state = 518},
  [1799] = {.lex_state = 518},
  [1800] = {.lex_state = 518, .external_lex_state = 1},
  [1801] = {.lex_state = 518},
  [1802] = {.lex_state = 518},
  [1803] = {.lex_state = 518, .external_lex_state = 1},
  [1804] = {.lex_state = 518},
  [1805] = {.lex_state = 518, .external_lex_state = 1},
  [1806] = {.lex_state = 518},
  [1807] = {.lex_state = 518, .external_lex_state = 1},
  [1808] = {.lex_state = 518, .external_lex_state = 1},
  [1809] = {.lex_state = 518},
  [1810] = {.lex_state = 518},
  [1811] = {.lex_state = 518, .external_lex_state = 1},
  [1812] = {.lex_state = 518},
  [1813] = {.lex_state = 518},
  [1814] = {.lex_state = 518},
  [1815] = {.lex_state = 518},
  [1816] = {.lex_state = 518},
  [1817] = {.lex_state = 518},
  [1818] = {.lex_state = 518},
  [1819] = {.lex_state = 518, .external_lex_state = 1},
  [1820] = {.lex_state = 518},
  [1821] = {.lex_state = 518},
  [1822] = {.lex_state = 518, .external_lex_state = 1},
  [1823] = {.lex_state = 518},
  [1824] = {.lex_state = 518},
  [1825] = {.lex_state = 518, .external_lex_state = 1},
  [1826] = {.lex_state = 518},
  [1827] = {.lex_state = 518},
  [1828] = {.lex_state = 518},
  [1829] = {.lex_state = 518},
  [1830] = {.lex_state = 518},
  [1831] = {.lex_state = 518},
  [1832] = {.lex_state = 518},
  [1833] = {.lex_state = 518, .external_lex_state = 1},
  [1834] = {.lex_state = 518},
  [1835] = {.lex_state = 518},
  [1836] = {.lex_state = 518},
  [1837] = {.lex_state = 518},
  [1838] = {.lex_state = 518},
  [1839] = {.lex_state = 518, .external_lex_state = 1},
  [1840] = {.lex_state = 518, .external_lex_state = 1},
  [1841] = {.lex_state = 518},
  [1842] = {.lex_state = 518, .external_lex_state = 1},
  [1843] = {.lex_state = 518},
  [1844] = {.lex_state = 518, .external_lex_state = 1},
  [1845] = {.lex_state = 518},
  [1846] = {.lex_state = 518},
  [1847] = {.lex_state = 518},
  [1848] = {.lex_state = 518},
  [1849] = {.lex_state = 518, .external_lex_state = 1},
  [1850] = {.lex_state = 518, .external_lex_state = 1},
  [1851] = {.lex_state = 518},
  [1852] = {.lex_state = 518, .external_lex_state = 1},
  [1853] = {.lex_state = 518, .external_lex_state = 1},
  [1854] = {.lex_state = 518},
  [1855] = {.lex_state = 518, .external_lex_state = 1},
  [1856] = {.lex_state = 518},
  [1857] = {.lex_state = 518, .external_lex_state = 1},
  [1858] = {.lex_state = 518},
  [1859] = {.lex_state = 518, .external_lex_state = 1},
  [1860] = {.lex_state = 518},
  [1861] = {.lex_state = 518, .external_lex_state = 1},
  [1862] = {.lex_state = 518, .external_lex_state = 1},
  [1863] = {.lex_state = 518, .external_lex_state = 1},
  [1864] = {.lex_state = 518, .external_lex_state = 1},
  [1865] = {.lex_state = 518, .external_lex_state = 1},
  [1866] = {.lex_state = 518},
  [1867] = {.lex_state = 518, .external_lex_state = 1},
  [1868] = {.lex_state = 518, .external_lex_state = 1},
  [1869] = {.lex_state = 518, .external_lex_state = 1},
  [1870] = {.lex_state = 518},
  [1871] = {.lex_state = 518, .external_lex_state = 1},
  [1872] = {.lex_state = 518},
  [1873] = {.lex_state = 518, .external_lex_state = 1},
  [1874] = {.lex_state = 518},
  [1875] = {.lex_state = 518},
  [1876] = {.lex_state = 518, .external_lex_state = 1},
  [1877] = {.lex_state = 518},
  [1878] = {.lex_state = 518, .external_lex_state = 1},
  [1879] = {.lex_state = 518},
  [1880] = {.lex_state = 518, .external_lex_state = 1},
  [1881] = {.lex_state = 518},
  [1882] = {.lex_state = 518},
  [1883] = {.lex_state = 518, .external_lex_state = 1},
  [1884] = {.lex_state = 518},
  [1885] = {.lex_state = 518, .external_lex_state = 1},
  [1886] = {.lex_state = 518},
  [1887] = {.lex_state = 518},
  [1888] = {.lex_state = 518},
  [1889] = {.lex_state = 518},
  [1890] = {.lex_state = 518, .external_lex_state = 1},
  [1891] = {.lex_state = 518, .external_lex_state = 1},
  [1892] = {.lex_state = 518, .external_lex_state = 1},
  [1893] = {.lex_state = 518},
  [1894] = {.lex_state = 518},
  [1895] = {.lex_state = 518},
  [1896] = {.lex_state = 518, .external_lex_state = 1},
  [1897] = {.lex_state = 518},
  [1898] = {.lex_state = 518},
  [1899] = {.lex_state = 518},
  [1900] = {.lex_state = 518},
  [1901] = {.lex_state = 518, .external_lex_state = 1},
  [1902] = {.lex_state = 518},
  [1903] = {.lex_state = 518, .external_lex_state = 1},
  [1904] = {.lex_state = 518},
  [1905] = {.lex_state = 518},
  [1906] = {.lex_state = 518, .external_lex_state = 1},
  [1907] = {.lex_state = 518},
  [1908] = {.lex_state = 518},
  [1909] = {.lex_state = 518},
  [1910] = {.lex_state = 518},
  [1911] = {.lex_state = 518},
  [1912] = {.lex_state = 518},
  [1913] = {.lex_state = 518, .external_lex_state = 1},
  [1914] = {.lex_state = 518},
  [1915] = {.lex_state = 518, .external_lex_state = 1},
  [1916] = {.lex_state = 518},
  [1917] = {.lex_state = 518},
  [1918] = {.lex_state = 518, .external_lex_state = 1},
  [1919] = {.lex_state = 518, .external_lex_state = 1},
  [1920] = {.lex_state = 518, .external_lex_state = 1},
  [1921] = {.lex_state = 518, .external_lex_state = 1},
  [1922] = {.lex_state = 518},
  [1923] = {.lex_state = 518},
  [1924] = {.lex_state = 518},
  [1925] = {.lex_state = 518, .external_lex_state = 1},
  [1926] = {.lex_state = 518},
  [1927] = {.lex_state = 518},
  [1928] = {.lex_state = 518},
  [1929] = {.lex_state = 518},
  [1930] = {.lex_state = 518},
  [1931] = {.lex_state = 518},
  [1932] = {.lex_state = 518, .external_lex_state = 1},
  [1933] = {.lex_state = 518},
  [1934] = {.lex_state = 518, .external_lex_state = 1},
  [1935] = {.lex_state = 518},
  [1936] = {.lex_state = 518},
  [1937] = {.lex_state = 518, .external_lex_state = 1},
  [1938] = {.lex_state = 518},
  [1939] = {.lex_state = 518},
  [1940] = {.lex_state = 518},
  [1941] = {.lex_state = 518},
  [1942] = {.lex_state = 518},
  [1943] = {.lex_state = 518},
  [1944] = {.lex_state = 518},
  [1945] = {.lex_state = 518},
  [1946] = {.lex_state = 518},
  [1947] = {.lex_state = 518},
  [1948] = {.lex_state = 518},
  [1949] = {.lex_state = 518},
  [1950] = {.lex_state = 518},
  [1951] = {.lex_state = 518},
  [1952] = {.lex_state = 518},
  [1953] = {.lex_state = 518},
  [1954] = {.lex_state = 518},
  [1955] = {.lex_state = 518},
  [1956] = {.lex_state = 518},
  [1957] = {.lex_state = 518},
  [1958] = {.lex_state = 518},
  [1959] = {.lex_state = 518},
  [1960] = {.lex_state = 518},
  [1961] = {.lex_state = 518},
  [1962] = {.lex_state = 518},
  [1963] = {.lex_state = 518},
  [1964] = {.lex_state = 518},
  [1965] = {.lex_state = 518},
  [1966] = {.lex_state = 518},
  [1967] = {.lex_state = 518},
  [1968] = {.lex_state = 518},
  [1969] = {.lex_state = 518},
  [1970] = {.lex_state = 518},
  [1971] = {.lex_state = 518},
  [1972] = {.lex_state = 518},
  [1973] = {.lex_state = 518},
  [1974] = {.lex_state = 518},
  [1975] = {.lex_state = 518, .external_lex_state = 1},
  [1976] = {.lex_state = 518},
  [1977] = {.lex_state = 518, .external_lex_state = 1},
  [1978] = {.lex_state = 518},
  [1979] = {.lex_state = 518},
  [1980] = {.lex_state = 518},
  [1981] = {.lex_state = 518},
  [1982] = {.lex_state = 518},
  [1983] = {.lex_state = 518},
  [1984] = {.lex_state = 518},
  [1985] = {.lex_state = 518},
  [1986] = {.lex_state = 518},
  [1987] = {.lex_state = 518},
  [1988] = {.lex_state = 518},
  [1989] = {.lex_state = 518},
  [1990] = {.lex_state = 518},
  [1991] = {.lex_state = 518},
  [1992] = {.lex_state = 518},
  [1993] = {.lex_state = 518},
  [1994] = {.lex_state = 518},
  [1995] = {.lex_state = 518},
  [1996] = {.lex_state = 518},
  [1997] = {.lex_state = 518},
  [1998] = {.lex_state = 518},
  [1999] = {.lex_state = 518},
  [2000] = {.lex_state = 518},
  [2001] = {.lex_state = 518},
  [2002] = {.lex_state = 518},
  [2003] = {.lex_state = 518},
  [2004] = {.lex_state = 518, .external_lex_state = 1},
  [2005] = {.lex_state = 518},
  [2006] = {.lex_state = 518},
  [2007] = {.lex_state = 518},
  [2008] = {.lex_state = 518},
  [2009] = {.lex_state = 518},
  [2010] = {.lex_state = 518},
  [2011] = {.lex_state = 518},
  [2012] = {.lex_state = 518},
  [2013] = {.lex_state = 518},
  [2014] = {.lex_state = 518},
  [2015] = {.lex_state = 518, .external_lex_state = 1},
  [2016] = {.lex_state = 518, .external_lex_state = 1},
  [2017] = {.lex_state = 518, .external_lex_state = 1},
  [2018] = {.lex_state = 518},
  [2019] = {.lex_state = 518},
  [2020] = {.lex_state = 518},
  [2021] = {.lex_state = 518},
  [2022] = {.lex_state = 518},
  [2023] = {.lex_state = 518},
  [2024] = {.lex_state = 518},
  [2025] = {.lex_state = 518},
  [2026] = {.lex_state = 518},
  [2027] = {.lex_state = 518},
  [2028] = {.lex_state = 518},
  [2029] = {.lex_state = 131},
  [2030] = {.lex_state = 131},
  [2031] = {.lex_state = 518},
  [2032] = {.lex_state = 518},
  [2033] = {.lex_state = 518},
  [2034] = {.lex_state = 518},
  [2035] = {.lex_state = 518},
  [2036] = {.lex_state = 518, .external_lex_state = 1},
  [2037] = {.lex_state = 518},
  [2038] = {.lex_state = 131},
  [2039] = {.lex_state = 518},
  [2040] = {.lex_state = 518, .external_lex_state = 1},
  [2041] = {.lex_state = 518},
  [2042] = {.lex_state = 518, .external_lex_state = 1},
  [2043] = {.lex_state = 518, .external_lex_state = 1},
  [2044] = {.lex_state = 518, .external_lex_state = 1},
  [2045] = {.lex_state = 518, .external_lex_state = 1},
  [2046] = {.lex_state = 518, .external_lex_state = 1},
  [2047] = {.lex_state = 518, .external_lex_state = 1},
  [2048] = {.lex_state = 518},
  [2049] = {.lex_state = 518},
  [2050] = {.lex_state = 518},
  [2051] = {.lex_state = 518},
  [2052] = {.lex_state = 518},
  [2053] = {.lex_state = 518},
  [2054] = {.lex_state = 518},
  [2055] = {.lex_state = 518},
  [2056] = {.lex_state = 164},
  [2057] = {.lex_state = 518},
  [2058] = {.lex_state = 518},
  [2059] = {.lex_state = 518},
  [2060] = {.lex_state = 518, .external_lex_state = 1},
  [2061] = {.lex_state = 518},
  [2062] = {.lex_state = 518},
  [2063] = {.lex_state = 518},
  [2064] = {.lex_state = 518},
  [2065] = {.lex_state = 518},
  [2066] = {.lex_state = 518},
  [2067] = {.lex_state = 518},
  [2068] = {.lex_state = 518},
  [2069] = {.lex_state = 518},
  [2070] = {.lex_state = 518},
  [2071] = {.lex_state = 518},
  [2072] = {.lex_state = 518},
  [2073] = {.lex_state = 518},
  [2074] = {.lex_state = 518},
  [2075] = {.lex_state = 518},
  [2076] = {.lex_state = 518},
  [2077] = {.lex_state = 518},
  [2078] = {.lex_state = 518},
  [2079] = {.lex_state = 518},
  [2080] = {.lex_state = 131},
  [2081] = {.lex_state = 131},
  [2082] = {.lex_state = 518},
  [2083] = {.lex_state = 518},
  [2084] = {.lex_state = 518},
  [2085] = {.lex_state = 518, .external_lex_state = 1},
  [2086] = {.lex_state = 518},
  [2087] = {.lex_state = 131},
  [2088] = {.lex_state = 518},
  [2089] = {.lex_state = 518, .external_lex_state = 1},
  [2090] = {.lex_state = 518},
  [2091] = {.lex_state = 518, .external_lex_state = 1},
  [2092] = {.lex_state = 518, .external_lex_state = 1},
  [2093] = {.lex_state = 518},
  [2094] = {.lex_state = 518, .external_lex_state = 1},
  [2095] = {.lex_state = 518, .external_lex_state = 1},
  [2096] = {.lex_state = 518, .external_lex_state = 1},
  [2097] = {.lex_state = 518},
  [2098] = {.lex_state = 518, .external_lex_state = 1},
  [2099] = {.lex_state = 131},
  [2100] = {.lex_state = 131},
  [2101] = {.lex_state = 518},
  [2102] = {.lex_state = 131},
  [2103] = {.lex_state = 518, .external_lex_state = 1},
  [2104] = {.lex_state = 518},
  [2105] = {.lex_state = 131},
  [2106] = {.lex_state = 518},
  [2107] = {.lex_state = 518, .external_lex_state = 1},
  [2108] = {.lex_state = 131},
  [2109] = {.lex_state = 518, .external_lex_state = 1},
  [2110] = {.lex_state = 518, .external_lex_state = 1},
  [2111] = {.lex_state = 518},
  [2112] = {.lex_state = 518, .external_lex_state = 1},
  [2113] = {.lex_state = 518, .external_lex_state = 1},
  [2114] = {.lex_state = 518, .external_lex_state = 1},
  [2115] = {.lex_state = 518},
  [2116] = {.lex_state = 518},
  [2117] = {.lex_state = 518},
  [2118] = {.lex_state = 518},
  [2119] = {.lex_state = 518},
  [2120] = {.lex_state = 518},
  [2121] = {.lex_state = 518, .external_lex_state = 1},
  [2122] = {.lex_state = 518},
  [2123] = {.lex_state = 518},
  [2124] = {.lex_state = 518},
  [2125] = {.lex_state = 518},
  [2126] = {.lex_state = 518},
  [2127] = {.lex_state = 518},
  [2128] = {.lex_state = 518},
  [2129] = {.lex_state = 518},
  [2130] = {.lex_state = 518, .external_lex_state = 1},
  [2131] = {.lex_state = 518},
  [2132] = {.lex_state = 518},
  [2133] = {.lex_state = 518},
  [2134] = {.lex_state = 518},
  [2135] = {.lex_state = 518},
  [2136] = {.lex_state = 518},
  [2137] = {.lex_state = 518},
  [2138] = {.lex_state = 518},
  [2139] = {.lex_state = 518},
  [2140] = {.lex_state = 518},
  [2141] = {.lex_state = 518},
  [2142] = {.lex_state = 518},
  [2143] = {.lex_state = 518},
  [2144] = {.lex_state = 518},
  [2145] = {.lex_state = 518, .external_lex_state = 1},
  [2146] = {.lex_state = 518},
  [2147] = {.lex_state = 518},
  [2148] = {.lex_state = 518},
  [2149] = {.lex_state = 518},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hexadecimal_integer_literal] = ACTIONS(1),
    [sym_real_literal] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_expandable_string_literal_token5] = ACTIONS(1),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1),
    [sym_verbatim_here_string_characters] = ACTIONS(1),
    [sym_simple_name] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_2_GT] = ACTIONS(1),
    [anon_sym_2_GT_GT] = ACTIONS(1),
    [anon_sym_3_GT] = ACTIONS(1),
    [anon_sym_3_GT_GT] = ACTIONS(1),
    [anon_sym_4_GT] = ACTIONS(1),
    [anon_sym_4_GT_GT] = ACTIONS(1),
    [anon_sym_5_GT] = ACTIONS(1),
    [anon_sym_5_GT_GT] = ACTIONS(1),
    [anon_sym_6_GT] = ACTIONS(1),
    [anon_sym_6_GT_GT] = ACTIONS(1),
    [anon_sym_STAR_GT] = ACTIONS(1),
    [anon_sym_STAR_GT_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1),
    [anon_sym_2_GT_AMP1] = ACTIONS(1),
    [anon_sym_3_GT_AMP1] = ACTIONS(1),
    [anon_sym_4_GT_AMP1] = ACTIONS(1),
    [anon_sym_5_GT_AMP1] = ACTIONS(1),
    [anon_sym_6_GT_AMP1] = ACTIONS(1),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1),
    [anon_sym_1_GT_AMP2] = ACTIONS(1),
    [anon_sym_3_GT_AMP2] = ACTIONS(1),
    [anon_sym_4_GT_AMP2] = ACTIONS(1),
    [anon_sym_5_GT_AMP2] = ACTIONS(1),
    [anon_sym_6_GT_AMP2] = ACTIONS(1),
    [aux_sym_comparison_operator_token1] = ACTIONS(1),
    [aux_sym_comparison_operator_token2] = ACTIONS(1),
    [aux_sym_comparison_operator_token3] = ACTIONS(1),
    [aux_sym_comparison_operator_token4] = ACTIONS(1),
    [aux_sym_comparison_operator_token5] = ACTIONS(1),
    [aux_sym_comparison_operator_token6] = ACTIONS(1),
    [aux_sym_comparison_operator_token7] = ACTIONS(1),
    [aux_sym_comparison_operator_token8] = ACTIONS(1),
    [aux_sym_comparison_operator_token9] = ACTIONS(1),
    [aux_sym_comparison_operator_token10] = ACTIONS(1),
    [aux_sym_comparison_operator_token11] = ACTIONS(1),
    [aux_sym_comparison_operator_token12] = ACTIONS(1),
    [aux_sym_comparison_operator_token13] = ACTIONS(1),
    [aux_sym_comparison_operator_token14] = ACTIONS(1),
    [aux_sym_comparison_operator_token15] = ACTIONS(1),
    [aux_sym_comparison_operator_token16] = ACTIONS(1),
    [aux_sym_comparison_operator_token17] = ACTIONS(1),
    [aux_sym_comparison_operator_token18] = ACTIONS(1),
    [aux_sym_comparison_operator_token19] = ACTIONS(1),
    [aux_sym_comparison_operator_token20] = ACTIONS(1),
    [aux_sym_comparison_operator_token21] = ACTIONS(1),
    [aux_sym_comparison_operator_token22] = ACTIONS(1),
    [aux_sym_comparison_operator_token23] = ACTIONS(1),
    [aux_sym_comparison_operator_token24] = ACTIONS(1),
    [aux_sym_comparison_operator_token25] = ACTIONS(1),
    [aux_sym_comparison_operator_token26] = ACTIONS(1),
    [aux_sym_comparison_operator_token27] = ACTIONS(1),
    [aux_sym_comparison_operator_token28] = ACTIONS(1),
    [aux_sym_comparison_operator_token29] = ACTIONS(1),
    [aux_sym_comparison_operator_token30] = ACTIONS(1),
    [aux_sym_comparison_operator_token31] = ACTIONS(1),
    [aux_sym_comparison_operator_token32] = ACTIONS(1),
    [aux_sym_comparison_operator_token33] = ACTIONS(1),
    [aux_sym_comparison_operator_token34] = ACTIONS(1),
    [aux_sym_comparison_operator_token35] = ACTIONS(1),
    [aux_sym_comparison_operator_token36] = ACTIONS(1),
    [aux_sym_comparison_operator_token37] = ACTIONS(1),
    [aux_sym_comparison_operator_token38] = ACTIONS(1),
    [aux_sym_comparison_operator_token39] = ACTIONS(1),
    [aux_sym_comparison_operator_token40] = ACTIONS(1),
    [aux_sym_comparison_operator_token41] = ACTIONS(1),
    [aux_sym_comparison_operator_token42] = ACTIONS(1),
    [aux_sym_comparison_operator_token43] = ACTIONS(1),
    [aux_sym_comparison_operator_token44] = ACTIONS(1),
    [aux_sym_comparison_operator_token45] = ACTIONS(1),
    [aux_sym_comparison_operator_token46] = ACTIONS(1),
    [aux_sym_comparison_operator_token47] = ACTIONS(1),
    [aux_sym_comparison_operator_token48] = ACTIONS(1),
    [aux_sym_comparison_operator_token49] = ACTIONS(1),
    [aux_sym_comparison_operator_token50] = ACTIONS(1),
    [aux_sym_format_operator_token1] = ACTIONS(1),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1),
    [anon_sym_DOLLAR_] = ACTIONS(1),
    [aux_sym_variable_token1] = ACTIONS(1),
    [aux_sym_variable_token2] = ACTIONS(1),
    [sym_braced_variable] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_param_block_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_block_name_token1] = ACTIONS(1),
    [aux_sym_block_name_token2] = ACTIONS(1),
    [aux_sym_block_name_token3] = ACTIONS(1),
    [aux_sym_block_name_token4] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_parameter_token1] = ACTIONS(1),
    [aux_sym_switch_parameter_token2] = ACTIONS(1),
    [aux_sym_switch_parameter_token3] = ACTIONS(1),
    [aux_sym_switch_parameter_token4] = ACTIONS(1),
    [aux_sym_switch_parameter_token5] = ACTIONS(1),
    [aux_sym_switch_condition_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_do_statement_token2] = ACTIONS(1),
    [aux_sym_function_statement_token1] = ACTIONS(1),
    [aux_sym_function_statement_token2] = ACTIONS(1),
    [aux_sym_function_statement_token3] = ACTIONS(1),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1),
    [aux_sym_trap_statement_token1] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_data_statement_token1] = ACTIONS(1),
    [aux_sym_data_commands_allowed_token1] = ACTIONS(1),
    [aux_sym_parallel_statement_token1] = ACTIONS(1),
    [aux_sym_sequence_statement_token1] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_DOLLAR2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE] = ACTIONS(1),
    [sym_stop_parsing] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1),
    [aux_sym_class_attribute_token1] = ACTIONS(1),
    [aux_sym_class_attribute_token2] = ACTIONS(1),
    [aux_sym_class_statement_token1] = ACTIONS(1),
    [aux_sym_enum_statement_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token2] = ACTIONS(1),
    [aux_sym_logical_expression_token3] = ACTIONS(1),
    [aux_sym_bitwise_expression_token1] = ACTIONS(1),
    [aux_sym_bitwise_expression_token2] = ACTIONS(1),
    [aux_sym_bitwise_expression_token3] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_AT_LPAREN] = ACTIONS(1),
    [anon_sym_AT_LBRACE] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym__statement_terminator] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1970),
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_param_block] = STATE(73),
    [sym_statement_list] = STATE(1986),
    [sym__statement] = STATE(74),
    [sym_empty_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym__labeled_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_foreach_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_function_statement] = STATE(74),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_data_statement] = STATE(74),
    [sym_inlinescript_statement] = STATE(74),
    [sym_parallel_statement] = STATE(74),
    [sym_sequence_statement] = STATE(74),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(74),
    [sym_enum_statement] = STATE(74),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2068),
    [sym_attribute] = STATE(1272),
    [aux_sym_statement_list_repeat1] = STATE(74),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(23),
    [aux_sym_param_block_token1] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(31),
    [aux_sym_switch_statement_token1] = ACTIONS(33),
    [aux_sym_foreach_statement_token1] = ACTIONS(35),
    [aux_sym_for_statement_token1] = ACTIONS(37),
    [aux_sym_while_statement_token1] = ACTIONS(39),
    [aux_sym_do_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_function_statement_token2] = ACTIONS(43),
    [aux_sym_function_statement_token3] = ACTIONS(43),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(49),
    [aux_sym_trap_statement_token1] = ACTIONS(51),
    [aux_sym_try_statement_token1] = ACTIONS(53),
    [aux_sym_data_statement_token1] = ACTIONS(55),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(57),
    [aux_sym_parallel_statement_token1] = ACTIONS(59),
    [aux_sym_sequence_statement_token1] = ACTIONS(61),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(67),
    [aux_sym_enum_statement_token1] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [2] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(85),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(99),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(99),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [aux_sym_param_block_token1] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_DASH_DASH] = ACTIONS(111),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [3] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(85),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(99),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(99),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_DASH_DASH] = ACTIONS(111),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [4] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_unary_expression] = STATE(161),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(123),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(133),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(133),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(147),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [5] = {
    [sym__literal] = STATE(143),
    [sym_integer_literal] = STATE(143),
    [sym_string_literal] = STATE(143),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(143),
    [sym_unary_expression] = STATE(123),
    [sym_expression_with_unary_operator] = STATE(126),
    [sym_pre_increment_expression] = STATE(150),
    [sym_pre_decrement_expression] = STATE(150),
    [sym_cast_expression] = STATE(150),
    [sym__primary_expression] = STATE(143),
    [sym__value] = STATE(143),
    [sym_parenthesized_expression] = STATE(143),
    [sym_sub_expression] = STATE(143),
    [sym_array_expression] = STATE(143),
    [sym_script_block_expression] = STATE(143),
    [sym_hash_literal_expression] = STATE(143),
    [sym_post_increment_expression] = STATE(143),
    [sym_post_decrement_expression] = STATE(143),
    [sym_member_access] = STATE(143),
    [sym_element_access] = STATE(143),
    [sym_invokation_expression] = STATE(143),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(5),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(155),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(157),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(157),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(159),
    [anon_sym_BANG] = ACTIONS(159),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(163),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [6] = {
    [sym__literal] = STATE(144),
    [sym_integer_literal] = STATE(144),
    [sym_string_literal] = STATE(144),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(144),
    [sym_unary_expression] = STATE(106),
    [sym_expression_with_unary_operator] = STATE(95),
    [sym_pre_increment_expression] = STATE(96),
    [sym_pre_decrement_expression] = STATE(96),
    [sym_cast_expression] = STATE(96),
    [sym__primary_expression] = STATE(144),
    [sym__value] = STATE(144),
    [sym_parenthesized_expression] = STATE(144),
    [sym_sub_expression] = STATE(144),
    [sym_array_expression] = STATE(144),
    [sym_script_block_expression] = STATE(144),
    [sym_hash_literal_expression] = STATE(144),
    [sym_post_increment_expression] = STATE(144),
    [sym_post_decrement_expression] = STATE(144),
    [sym_member_access] = STATE(144),
    [sym_element_access] = STATE(144),
    [sym_invokation_expression] = STATE(144),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(6),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(165),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(167),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(167),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [7] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1836),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [8] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1829),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [9] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1781),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(215),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [10] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2034),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(217),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [11] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1987),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(219),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [12] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2140),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(221),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [13] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1758),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(223),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [14] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1763),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(225),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [15] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1778),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(227),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [16] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2063),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(229),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [17] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1886),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(231),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [18] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2055),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(233),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [19] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2079),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(235),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [20] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2028),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(237),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [21] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2053),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(239),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [22] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2039),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [23] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1782),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [24] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1974),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [25] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1976),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [26] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1750),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [27] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1776),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [28] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1798),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [29] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1820),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [30] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1904),
    [sym_param_block] = STATE(23),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [31] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1834),
    [sym_param_block] = STATE(7),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [32] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1791),
    [sym_param_block] = STATE(28),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [33] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1769),
    [sym_param_block] = STATE(27),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [34] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1953),
    [sym_param_block] = STATE(25),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [35] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2070),
    [sym_param_block] = STATE(22),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [36] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1813),
    [sym_param_block] = STATE(29),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [37] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1874),
    [sym_param_block] = STATE(24),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [38] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1742),
    [sym_param_block] = STATE(26),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [39] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1827),
    [sym_param_block] = STATE(8),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [40] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block_body] = STATE(1860),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_script_block_repeat1] = STATE(41),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(247),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [41] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block_body] = STATE(1981),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_script_block_repeat1] = STATE(355),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(249),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [42] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_BANG_EQ] = ACTIONS(253),
    [anon_sym_PLUS_EQ] = ACTIONS(253),
    [anon_sym_STAR_EQ] = ACTIONS(253),
    [anon_sym_SLASH_EQ] = ACTIONS(253),
    [anon_sym_PERCENT_EQ] = ACTIONS(253),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(253),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(253),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(253),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(253),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(253),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(253),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(253),
    [anon_sym_2_GT_AMP1] = ACTIONS(253),
    [anon_sym_3_GT_AMP1] = ACTIONS(253),
    [anon_sym_4_GT_AMP1] = ACTIONS(253),
    [anon_sym_5_GT_AMP1] = ACTIONS(253),
    [anon_sym_6_GT_AMP1] = ACTIONS(253),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(253),
    [anon_sym_1_GT_AMP2] = ACTIONS(253),
    [anon_sym_3_GT_AMP2] = ACTIONS(253),
    [anon_sym_4_GT_AMP2] = ACTIONS(253),
    [anon_sym_5_GT_AMP2] = ACTIONS(253),
    [anon_sym_6_GT_AMP2] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [aux_sym_param_block_token1] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PIPE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(251),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(251),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [43] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_BANG_EQ] = ACTIONS(253),
    [anon_sym_PLUS_EQ] = ACTIONS(253),
    [anon_sym_STAR_EQ] = ACTIONS(253),
    [anon_sym_SLASH_EQ] = ACTIONS(253),
    [anon_sym_PERCENT_EQ] = ACTIONS(253),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(253),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(253),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(253),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(253),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(253),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(253),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(253),
    [anon_sym_2_GT_AMP1] = ACTIONS(253),
    [anon_sym_3_GT_AMP1] = ACTIONS(253),
    [anon_sym_4_GT_AMP1] = ACTIONS(253),
    [anon_sym_5_GT_AMP1] = ACTIONS(253),
    [anon_sym_6_GT_AMP1] = ACTIONS(253),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(253),
    [anon_sym_1_GT_AMP2] = ACTIONS(253),
    [anon_sym_3_GT_AMP2] = ACTIONS(253),
    [anon_sym_4_GT_AMP2] = ACTIONS(253),
    [anon_sym_5_GT_AMP2] = ACTIONS(253),
    [anon_sym_6_GT_AMP2] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [aux_sym_param_block_token1] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PIPE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(251),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(251),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [44] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1940),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(255),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [45] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1739),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [46] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(2083),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(259),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [47] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(2084),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [48] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1753),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(263),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [49] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1762),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [50] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1916),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [51] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1946),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [52] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1979),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(271),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [53] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1967),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [54] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(71),
    [sym_empty_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym__labeled_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_foreach_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_function_statement] = STATE(71),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_data_statement] = STATE(71),
    [sym_inlinescript_statement] = STATE(71),
    [sym_parallel_statement] = STATE(71),
    [sym_sequence_statement] = STATE(71),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(71),
    [sym_enum_statement] = STATE(71),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(71),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(275),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(275),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [55] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1983),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(277),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [56] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1745),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [57] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1746),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [58] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1751),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(283),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [59] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1771),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(285),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [60] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1772),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [61] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1777),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(289),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [62] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1793),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(291),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [63] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1794),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(293),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [64] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1799),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(295),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [65] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1815),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [66] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1816),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [67] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1821),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(301),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [68] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1828),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [69] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1835),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [70] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1841),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [71] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(71),
    [sym_empty_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym__labeled_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_foreach_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_function_statement] = STATE(71),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_data_statement] = STATE(71),
    [sym_inlinescript_statement] = STATE(71),
    [sym_parallel_statement] = STATE(71),
    [sym_sequence_statement] = STATE(71),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(71),
    [sym_enum_statement] = STATE(71),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(71),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(309),
    [sym_hexadecimal_integer_literal] = ACTIONS(309),
    [sym_real_literal] = ACTIONS(312),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(315),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(318),
    [sym_verbatim_string_characters] = ACTIONS(321),
    [sym_verbatim_here_string_characters] = ACTIONS(321),
    [anon_sym_DOT] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(327),
    [aux_sym_comparison_operator_token37] = ACTIONS(330),
    [aux_sym_comparison_operator_token50] = ACTIONS(330),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(333),
    [anon_sym_DOLLAR_CARET] = ACTIONS(333),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(333),
    [anon_sym_DOLLAR_] = ACTIONS(333),
    [aux_sym_variable_token1] = ACTIONS(333),
    [aux_sym_variable_token2] = ACTIONS(333),
    [sym_braced_variable] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(336),
    [anon_sym_LPAREN] = ACTIONS(339),
    [anon_sym_RPAREN] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(330),
    [anon_sym_LBRACE] = ACTIONS(344),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(347),
    [aux_sym_switch_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(353),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_while_statement_token1] = ACTIONS(359),
    [aux_sym_do_statement_token1] = ACTIONS(362),
    [aux_sym_function_statement_token1] = ACTIONS(365),
    [aux_sym_function_statement_token2] = ACTIONS(365),
    [aux_sym_function_statement_token3] = ACTIONS(365),
    [aux_sym_flow_control_statement_token1] = ACTIONS(368),
    [aux_sym_flow_control_statement_token2] = ACTIONS(368),
    [aux_sym_flow_control_statement_token3] = ACTIONS(371),
    [aux_sym_flow_control_statement_token4] = ACTIONS(371),
    [aux_sym_flow_control_statement_token5] = ACTIONS(371),
    [sym_label] = ACTIONS(374),
    [aux_sym_trap_statement_token1] = ACTIONS(377),
    [aux_sym_try_statement_token1] = ACTIONS(380),
    [aux_sym_data_statement_token1] = ACTIONS(383),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(386),
    [aux_sym_parallel_statement_token1] = ACTIONS(389),
    [aux_sym_sequence_statement_token1] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(324),
    [aux_sym_command_name_token1] = ACTIONS(395),
    [anon_sym_PERCENT] = ACTIONS(398),
    [aux_sym_foreach_command_token1] = ACTIONS(398),
    [aux_sym_class_statement_token1] = ACTIONS(401),
    [aux_sym_enum_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(330),
    [anon_sym_DASH] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(330),
    [anon_sym_BANG] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(330),
    [anon_sym_PLUS_PLUS] = ACTIONS(407),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(413),
    [anon_sym_AT_LPAREN] = ACTIONS(416),
    [anon_sym_AT_LBRACE] = ACTIONS(419),
  },
  [72] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1971),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [73] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1907),
    [sym__statement] = STATE(74),
    [sym_empty_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym__labeled_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_foreach_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_function_statement] = STATE(74),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_data_statement] = STATE(74),
    [sym_inlinescript_statement] = STATE(74),
    [sym_parallel_statement] = STATE(74),
    [sym_sequence_statement] = STATE(74),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(74),
    [sym_enum_statement] = STATE(74),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(74),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(31),
    [aux_sym_switch_statement_token1] = ACTIONS(33),
    [aux_sym_foreach_statement_token1] = ACTIONS(35),
    [aux_sym_for_statement_token1] = ACTIONS(37),
    [aux_sym_while_statement_token1] = ACTIONS(39),
    [aux_sym_do_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_function_statement_token2] = ACTIONS(43),
    [aux_sym_function_statement_token3] = ACTIONS(43),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(49),
    [aux_sym_trap_statement_token1] = ACTIONS(51),
    [aux_sym_try_statement_token1] = ACTIONS(53),
    [aux_sym_data_statement_token1] = ACTIONS(55),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(57),
    [aux_sym_parallel_statement_token1] = ACTIONS(59),
    [aux_sym_sequence_statement_token1] = ACTIONS(61),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(67),
    [aux_sym_enum_statement_token1] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [74] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(75),
    [sym_empty_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym__labeled_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_foreach_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_function_statement] = STATE(75),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_data_statement] = STATE(75),
    [sym_inlinescript_statement] = STATE(75),
    [sym_parallel_statement] = STATE(75),
    [sym_sequence_statement] = STATE(75),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(75),
    [sym_enum_statement] = STATE(75),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(424),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(31),
    [aux_sym_switch_statement_token1] = ACTIONS(33),
    [aux_sym_foreach_statement_token1] = ACTIONS(35),
    [aux_sym_for_statement_token1] = ACTIONS(37),
    [aux_sym_while_statement_token1] = ACTIONS(39),
    [aux_sym_do_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_function_statement_token2] = ACTIONS(43),
    [aux_sym_function_statement_token3] = ACTIONS(43),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(49),
    [aux_sym_trap_statement_token1] = ACTIONS(51),
    [aux_sym_try_statement_token1] = ACTIONS(53),
    [aux_sym_data_statement_token1] = ACTIONS(55),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(57),
    [aux_sym_parallel_statement_token1] = ACTIONS(59),
    [aux_sym_sequence_statement_token1] = ACTIONS(61),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(67),
    [aux_sym_enum_statement_token1] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [75] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(75),
    [sym_empty_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym__labeled_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_foreach_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_function_statement] = STATE(75),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_data_statement] = STATE(75),
    [sym_inlinescript_statement] = STATE(75),
    [sym_parallel_statement] = STATE(75),
    [sym_sequence_statement] = STATE(75),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(75),
    [sym_enum_statement] = STATE(75),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(426),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(309),
    [sym_hexadecimal_integer_literal] = ACTIONS(309),
    [sym_real_literal] = ACTIONS(312),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(315),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(318),
    [sym_verbatim_string_characters] = ACTIONS(321),
    [sym_verbatim_here_string_characters] = ACTIONS(321),
    [anon_sym_DOT] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(327),
    [aux_sym_comparison_operator_token37] = ACTIONS(330),
    [aux_sym_comparison_operator_token50] = ACTIONS(330),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(333),
    [anon_sym_DOLLAR_CARET] = ACTIONS(333),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(333),
    [anon_sym_DOLLAR_] = ACTIONS(333),
    [aux_sym_variable_token1] = ACTIONS(333),
    [aux_sym_variable_token2] = ACTIONS(333),
    [sym_braced_variable] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(330),
    [anon_sym_LBRACE] = ACTIONS(344),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_switch_statement_token1] = ACTIONS(434),
    [aux_sym_foreach_statement_token1] = ACTIONS(437),
    [aux_sym_for_statement_token1] = ACTIONS(440),
    [aux_sym_while_statement_token1] = ACTIONS(443),
    [aux_sym_do_statement_token1] = ACTIONS(446),
    [aux_sym_function_statement_token1] = ACTIONS(449),
    [aux_sym_function_statement_token2] = ACTIONS(449),
    [aux_sym_function_statement_token3] = ACTIONS(449),
    [aux_sym_flow_control_statement_token1] = ACTIONS(368),
    [aux_sym_flow_control_statement_token2] = ACTIONS(368),
    [aux_sym_flow_control_statement_token3] = ACTIONS(371),
    [aux_sym_flow_control_statement_token4] = ACTIONS(371),
    [aux_sym_flow_control_statement_token5] = ACTIONS(371),
    [sym_label] = ACTIONS(452),
    [aux_sym_trap_statement_token1] = ACTIONS(455),
    [aux_sym_try_statement_token1] = ACTIONS(458),
    [aux_sym_data_statement_token1] = ACTIONS(461),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(464),
    [aux_sym_parallel_statement_token1] = ACTIONS(467),
    [aux_sym_sequence_statement_token1] = ACTIONS(470),
    [anon_sym_AMP] = ACTIONS(324),
    [aux_sym_command_name_token1] = ACTIONS(395),
    [anon_sym_PERCENT] = ACTIONS(398),
    [aux_sym_foreach_command_token1] = ACTIONS(398),
    [aux_sym_class_statement_token1] = ACTIONS(473),
    [aux_sym_enum_statement_token1] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(330),
    [anon_sym_DASH] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(330),
    [anon_sym_BANG] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(330),
    [anon_sym_PLUS_PLUS] = ACTIONS(407),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(413),
    [anon_sym_AT_LPAREN] = ACTIONS(416),
    [anon_sym_AT_LBRACE] = ACTIONS(419),
  },
  [76] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(161),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [77] = {
    [sym__literal] = STATE(291),
    [sym_integer_literal] = STATE(291),
    [sym_string_literal] = STATE(291),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(291),
    [sym_unary_expression] = STATE(106),
    [sym_expression_with_unary_operator] = STATE(95),
    [sym_pre_increment_expression] = STATE(96),
    [sym_pre_decrement_expression] = STATE(96),
    [sym_cast_expression] = STATE(96),
    [sym__primary_expression] = STATE(291),
    [sym__value] = STATE(291),
    [sym_parenthesized_expression] = STATE(291),
    [sym_sub_expression] = STATE(291),
    [sym_array_expression] = STATE(291),
    [sym_script_block_expression] = STATE(291),
    [sym_hash_literal_expression] = STATE(291),
    [sym_post_increment_expression] = STATE(291),
    [sym_post_decrement_expression] = STATE(291),
    [sym_member_access] = STATE(291),
    [sym_element_access] = STATE(291),
    [sym_invokation_expression] = STATE(291),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(77),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(491),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(493),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(493),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(493),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(493),
    [anon_sym_PLUS_PLUS] = ACTIONS(497),
    [anon_sym_DASH_DASH] = ACTIONS(499),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [78] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(2111),
    [sym_empty_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym__labeled_statement] = STATE(2111),
    [sym_switch_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_function_statement] = STATE(2111),
    [sym_flow_control_statement] = STATE(1937),
    [sym_trap_statement] = STATE(2111),
    [sym_try_statement] = STATE(2111),
    [sym_data_statement] = STATE(2111),
    [sym_inlinescript_statement] = STATE(2111),
    [sym_parallel_statement] = STATE(2111),
    [sym_sequence_statement] = STATE(2111),
    [sym_pipeline] = STATE(1937),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(2111),
    [sym_enum_statement] = STATE(2111),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(503),
    [aux_sym_switch_statement_token1] = ACTIONS(505),
    [aux_sym_foreach_statement_token1] = ACTIONS(507),
    [aux_sym_for_statement_token1] = ACTIONS(509),
    [aux_sym_while_statement_token1] = ACTIONS(511),
    [aux_sym_do_statement_token1] = ACTIONS(513),
    [aux_sym_function_statement_token1] = ACTIONS(515),
    [aux_sym_function_statement_token2] = ACTIONS(515),
    [aux_sym_function_statement_token3] = ACTIONS(515),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(517),
    [aux_sym_trap_statement_token1] = ACTIONS(519),
    [aux_sym_try_statement_token1] = ACTIONS(521),
    [aux_sym_data_statement_token1] = ACTIONS(523),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(525),
    [aux_sym_parallel_statement_token1] = ACTIONS(527),
    [aux_sym_sequence_statement_token1] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(531),
    [aux_sym_enum_statement_token1] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [79] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(1833),
    [sym_empty_statement] = STATE(1833),
    [sym_if_statement] = STATE(1833),
    [sym__labeled_statement] = STATE(1833),
    [sym_switch_statement] = STATE(1833),
    [sym_foreach_statement] = STATE(1833),
    [sym_for_statement] = STATE(1833),
    [sym_while_statement] = STATE(1833),
    [sym_do_statement] = STATE(1833),
    [sym_function_statement] = STATE(1833),
    [sym_flow_control_statement] = STATE(1796),
    [sym_trap_statement] = STATE(1833),
    [sym_try_statement] = STATE(1833),
    [sym_data_statement] = STATE(1833),
    [sym_inlinescript_statement] = STATE(1833),
    [sym_parallel_statement] = STATE(1833),
    [sym_sequence_statement] = STATE(1833),
    [sym_pipeline] = STATE(1796),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(1833),
    [sym_enum_statement] = STATE(1833),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(537),
    [aux_sym_switch_statement_token1] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(541),
    [aux_sym_for_statement_token1] = ACTIONS(543),
    [aux_sym_while_statement_token1] = ACTIONS(545),
    [aux_sym_do_statement_token1] = ACTIONS(547),
    [aux_sym_function_statement_token1] = ACTIONS(549),
    [aux_sym_function_statement_token2] = ACTIONS(549),
    [aux_sym_function_statement_token3] = ACTIONS(549),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(551),
    [aux_sym_trap_statement_token1] = ACTIONS(553),
    [aux_sym_try_statement_token1] = ACTIONS(555),
    [aux_sym_data_statement_token1] = ACTIONS(557),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(559),
    [aux_sym_parallel_statement_token1] = ACTIONS(561),
    [aux_sym_sequence_statement_token1] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(565),
    [aux_sym_enum_statement_token1] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [80] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [81] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(1918),
    [sym_empty_statement] = STATE(1918),
    [sym_if_statement] = STATE(1918),
    [sym__labeled_statement] = STATE(1918),
    [sym_switch_statement] = STATE(1918),
    [sym_foreach_statement] = STATE(1918),
    [sym_for_statement] = STATE(1918),
    [sym_while_statement] = STATE(1918),
    [sym_do_statement] = STATE(1918),
    [sym_function_statement] = STATE(1918),
    [sym_flow_control_statement] = STATE(1796),
    [sym_trap_statement] = STATE(1918),
    [sym_try_statement] = STATE(1918),
    [sym_data_statement] = STATE(1918),
    [sym_inlinescript_statement] = STATE(1918),
    [sym_parallel_statement] = STATE(1918),
    [sym_sequence_statement] = STATE(1918),
    [sym_pipeline] = STATE(1796),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(1918),
    [sym_enum_statement] = STATE(1918),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(537),
    [aux_sym_switch_statement_token1] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(541),
    [aux_sym_for_statement_token1] = ACTIONS(543),
    [aux_sym_while_statement_token1] = ACTIONS(545),
    [aux_sym_do_statement_token1] = ACTIONS(547),
    [aux_sym_function_statement_token1] = ACTIONS(549),
    [aux_sym_function_statement_token2] = ACTIONS(549),
    [aux_sym_function_statement_token3] = ACTIONS(549),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(551),
    [aux_sym_trap_statement_token1] = ACTIONS(553),
    [aux_sym_try_statement_token1] = ACTIONS(555),
    [aux_sym_data_statement_token1] = ACTIONS(557),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(559),
    [aux_sym_parallel_statement_token1] = ACTIONS(561),
    [aux_sym_sequence_statement_token1] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(565),
    [aux_sym_enum_statement_token1] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [82] = {
    [sym__literal] = STATE(293),
    [sym_integer_literal] = STATE(293),
    [sym_string_literal] = STATE(293),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(293),
    [sym_unary_expression] = STATE(123),
    [sym_expression_with_unary_operator] = STATE(126),
    [sym_pre_increment_expression] = STATE(150),
    [sym_pre_decrement_expression] = STATE(150),
    [sym_cast_expression] = STATE(150),
    [sym__primary_expression] = STATE(293),
    [sym__value] = STATE(293),
    [sym_parenthesized_expression] = STATE(293),
    [sym_sub_expression] = STATE(293),
    [sym_array_expression] = STATE(293),
    [sym_script_block_expression] = STATE(293),
    [sym_hash_literal_expression] = STATE(293),
    [sym_post_increment_expression] = STATE(293),
    [sym_post_decrement_expression] = STATE(293),
    [sym_member_access] = STATE(293),
    [sym_element_access] = STATE(293),
    [sym_invokation_expression] = STATE(293),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(82),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(581),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(583),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(583),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(585),
    [anon_sym_DASH] = ACTIONS(585),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(583),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(587),
    [anon_sym_DASH_DASH] = ACTIONS(589),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [83] = {
    [sym_argument_list] = STATE(117),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_RPAREN] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [anon_sym_RBRACK] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
  },
  [84] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(597),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_2_GT] = ACTIONS(597),
    [anon_sym_2_GT_GT] = ACTIONS(595),
    [anon_sym_3_GT] = ACTIONS(597),
    [anon_sym_3_GT_GT] = ACTIONS(595),
    [anon_sym_4_GT] = ACTIONS(597),
    [anon_sym_4_GT_GT] = ACTIONS(595),
    [anon_sym_5_GT] = ACTIONS(597),
    [anon_sym_5_GT_GT] = ACTIONS(595),
    [anon_sym_6_GT] = ACTIONS(597),
    [anon_sym_6_GT_GT] = ACTIONS(595),
    [anon_sym_STAR_GT] = ACTIONS(597),
    [anon_sym_STAR_GT_GT] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(597),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(595),
    [anon_sym_2_GT_AMP1] = ACTIONS(595),
    [anon_sym_3_GT_AMP1] = ACTIONS(595),
    [anon_sym_4_GT_AMP1] = ACTIONS(595),
    [anon_sym_5_GT_AMP1] = ACTIONS(595),
    [anon_sym_6_GT_AMP1] = ACTIONS(595),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(595),
    [anon_sym_1_GT_AMP2] = ACTIONS(595),
    [anon_sym_3_GT_AMP2] = ACTIONS(595),
    [anon_sym_4_GT_AMP2] = ACTIONS(595),
    [anon_sym_5_GT_AMP2] = ACTIONS(595),
    [anon_sym_6_GT_AMP2] = ACTIONS(595),
    [aux_sym_comparison_operator_token1] = ACTIONS(595),
    [aux_sym_comparison_operator_token2] = ACTIONS(595),
    [aux_sym_comparison_operator_token3] = ACTIONS(595),
    [aux_sym_comparison_operator_token4] = ACTIONS(595),
    [aux_sym_comparison_operator_token5] = ACTIONS(595),
    [aux_sym_comparison_operator_token6] = ACTIONS(595),
    [aux_sym_comparison_operator_token7] = ACTIONS(595),
    [aux_sym_comparison_operator_token8] = ACTIONS(595),
    [aux_sym_comparison_operator_token9] = ACTIONS(595),
    [aux_sym_comparison_operator_token10] = ACTIONS(595),
    [aux_sym_comparison_operator_token11] = ACTIONS(595),
    [aux_sym_comparison_operator_token12] = ACTIONS(595),
    [aux_sym_comparison_operator_token13] = ACTIONS(595),
    [aux_sym_comparison_operator_token14] = ACTIONS(595),
    [aux_sym_comparison_operator_token15] = ACTIONS(595),
    [aux_sym_comparison_operator_token16] = ACTIONS(595),
    [aux_sym_comparison_operator_token17] = ACTIONS(595),
    [aux_sym_comparison_operator_token18] = ACTIONS(595),
    [aux_sym_comparison_operator_token19] = ACTIONS(595),
    [aux_sym_comparison_operator_token20] = ACTIONS(595),
    [aux_sym_comparison_operator_token21] = ACTIONS(595),
    [aux_sym_comparison_operator_token22] = ACTIONS(595),
    [aux_sym_comparison_operator_token23] = ACTIONS(595),
    [aux_sym_comparison_operator_token24] = ACTIONS(595),
    [aux_sym_comparison_operator_token25] = ACTIONS(595),
    [aux_sym_comparison_operator_token26] = ACTIONS(595),
    [aux_sym_comparison_operator_token27] = ACTIONS(595),
    [aux_sym_comparison_operator_token28] = ACTIONS(597),
    [aux_sym_comparison_operator_token29] = ACTIONS(595),
    [aux_sym_comparison_operator_token30] = ACTIONS(595),
    [aux_sym_comparison_operator_token31] = ACTIONS(595),
    [aux_sym_comparison_operator_token32] = ACTIONS(595),
    [aux_sym_comparison_operator_token33] = ACTIONS(595),
    [aux_sym_comparison_operator_token34] = ACTIONS(597),
    [aux_sym_comparison_operator_token35] = ACTIONS(595),
    [aux_sym_comparison_operator_token36] = ACTIONS(595),
    [aux_sym_comparison_operator_token37] = ACTIONS(595),
    [aux_sym_comparison_operator_token38] = ACTIONS(595),
    [aux_sym_comparison_operator_token39] = ACTIONS(595),
    [aux_sym_comparison_operator_token40] = ACTIONS(595),
    [aux_sym_comparison_operator_token41] = ACTIONS(595),
    [aux_sym_comparison_operator_token42] = ACTIONS(595),
    [aux_sym_comparison_operator_token43] = ACTIONS(595),
    [aux_sym_comparison_operator_token44] = ACTIONS(595),
    [aux_sym_comparison_operator_token45] = ACTIONS(595),
    [aux_sym_comparison_operator_token46] = ACTIONS(595),
    [aux_sym_comparison_operator_token47] = ACTIONS(595),
    [aux_sym_comparison_operator_token48] = ACTIONS(595),
    [aux_sym_comparison_operator_token49] = ACTIONS(595),
    [aux_sym_comparison_operator_token50] = ACTIONS(595),
    [aux_sym_format_operator_token1] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_RPAREN] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [aux_sym_foreach_statement_token2] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(597),
    [aux_sym_logical_expression_token1] = ACTIONS(595),
    [aux_sym_logical_expression_token2] = ACTIONS(595),
    [aux_sym_logical_expression_token3] = ACTIONS(595),
    [aux_sym_bitwise_expression_token1] = ACTIONS(595),
    [aux_sym_bitwise_expression_token2] = ACTIONS(595),
    [aux_sym_bitwise_expression_token3] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(597),
    [anon_sym_DASH] = ACTIONS(597),
    [anon_sym_SLASH] = ACTIONS(597),
    [anon_sym_BSLASH] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(597),
    [anon_sym_DOT_DOT] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_DOT2] = ACTIONS(597),
    [anon_sym_COLON_COLON] = ACTIONS(595),
    [anon_sym_RBRACK] = ACTIONS(595),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(595),
  },
  [85] = {
    [sym_argument_list] = STATE(117),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(599),
    [anon_sym_RPAREN] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [anon_sym_RBRACK] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
  },
  [86] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_PLUS_EQ] = ACTIONS(601),
    [anon_sym_STAR_EQ] = ACTIONS(601),
    [anon_sym_SLASH_EQ] = ACTIONS(601),
    [anon_sym_PERCENT_EQ] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_2_GT] = ACTIONS(603),
    [anon_sym_2_GT_GT] = ACTIONS(601),
    [anon_sym_3_GT] = ACTIONS(603),
    [anon_sym_3_GT_GT] = ACTIONS(601),
    [anon_sym_4_GT] = ACTIONS(603),
    [anon_sym_4_GT_GT] = ACTIONS(601),
    [anon_sym_5_GT] = ACTIONS(603),
    [anon_sym_5_GT_GT] = ACTIONS(601),
    [anon_sym_6_GT] = ACTIONS(603),
    [anon_sym_6_GT_GT] = ACTIONS(601),
    [anon_sym_STAR_GT] = ACTIONS(603),
    [anon_sym_STAR_GT_GT] = ACTIONS(601),
    [anon_sym_LT] = ACTIONS(603),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(601),
    [anon_sym_2_GT_AMP1] = ACTIONS(601),
    [anon_sym_3_GT_AMP1] = ACTIONS(601),
    [anon_sym_4_GT_AMP1] = ACTIONS(601),
    [anon_sym_5_GT_AMP1] = ACTIONS(601),
    [anon_sym_6_GT_AMP1] = ACTIONS(601),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(601),
    [anon_sym_1_GT_AMP2] = ACTIONS(601),
    [anon_sym_3_GT_AMP2] = ACTIONS(601),
    [anon_sym_4_GT_AMP2] = ACTIONS(601),
    [anon_sym_5_GT_AMP2] = ACTIONS(601),
    [anon_sym_6_GT_AMP2] = ACTIONS(601),
    [aux_sym_comparison_operator_token1] = ACTIONS(601),
    [aux_sym_comparison_operator_token2] = ACTIONS(601),
    [aux_sym_comparison_operator_token3] = ACTIONS(601),
    [aux_sym_comparison_operator_token4] = ACTIONS(601),
    [aux_sym_comparison_operator_token5] = ACTIONS(601),
    [aux_sym_comparison_operator_token6] = ACTIONS(601),
    [aux_sym_comparison_operator_token7] = ACTIONS(601),
    [aux_sym_comparison_operator_token8] = ACTIONS(601),
    [aux_sym_comparison_operator_token9] = ACTIONS(601),
    [aux_sym_comparison_operator_token10] = ACTIONS(601),
    [aux_sym_comparison_operator_token11] = ACTIONS(601),
    [aux_sym_comparison_operator_token12] = ACTIONS(601),
    [aux_sym_comparison_operator_token13] = ACTIONS(601),
    [aux_sym_comparison_operator_token14] = ACTIONS(601),
    [aux_sym_comparison_operator_token15] = ACTIONS(601),
    [aux_sym_comparison_operator_token16] = ACTIONS(601),
    [aux_sym_comparison_operator_token17] = ACTIONS(601),
    [aux_sym_comparison_operator_token18] = ACTIONS(601),
    [aux_sym_comparison_operator_token19] = ACTIONS(601),
    [aux_sym_comparison_operator_token20] = ACTIONS(601),
    [aux_sym_comparison_operator_token21] = ACTIONS(601),
    [aux_sym_comparison_operator_token22] = ACTIONS(601),
    [aux_sym_comparison_operator_token23] = ACTIONS(601),
    [aux_sym_comparison_operator_token24] = ACTIONS(601),
    [aux_sym_comparison_operator_token25] = ACTIONS(601),
    [aux_sym_comparison_operator_token26] = ACTIONS(601),
    [aux_sym_comparison_operator_token27] = ACTIONS(601),
    [aux_sym_comparison_operator_token28] = ACTIONS(603),
    [aux_sym_comparison_operator_token29] = ACTIONS(601),
    [aux_sym_comparison_operator_token30] = ACTIONS(601),
    [aux_sym_comparison_operator_token31] = ACTIONS(601),
    [aux_sym_comparison_operator_token32] = ACTIONS(601),
    [aux_sym_comparison_operator_token33] = ACTIONS(601),
    [aux_sym_comparison_operator_token34] = ACTIONS(603),
    [aux_sym_comparison_operator_token35] = ACTIONS(601),
    [aux_sym_comparison_operator_token36] = ACTIONS(601),
    [aux_sym_comparison_operator_token37] = ACTIONS(601),
    [aux_sym_comparison_operator_token38] = ACTIONS(601),
    [aux_sym_comparison_operator_token39] = ACTIONS(601),
    [aux_sym_comparison_operator_token40] = ACTIONS(601),
    [aux_sym_comparison_operator_token41] = ACTIONS(601),
    [aux_sym_comparison_operator_token42] = ACTIONS(601),
    [aux_sym_comparison_operator_token43] = ACTIONS(601),
    [aux_sym_comparison_operator_token44] = ACTIONS(601),
    [aux_sym_comparison_operator_token45] = ACTIONS(601),
    [aux_sym_comparison_operator_token46] = ACTIONS(601),
    [aux_sym_comparison_operator_token47] = ACTIONS(601),
    [aux_sym_comparison_operator_token48] = ACTIONS(601),
    [aux_sym_comparison_operator_token49] = ACTIONS(601),
    [aux_sym_comparison_operator_token50] = ACTIONS(601),
    [aux_sym_format_operator_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [aux_sym_logical_expression_token1] = ACTIONS(601),
    [aux_sym_logical_expression_token2] = ACTIONS(601),
    [aux_sym_logical_expression_token3] = ACTIONS(601),
    [aux_sym_bitwise_expression_token1] = ACTIONS(601),
    [aux_sym_bitwise_expression_token2] = ACTIONS(601),
    [aux_sym_bitwise_expression_token3] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_PLUS_PLUS] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(601),
    [anon_sym_DOT2] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(601),
    [anon_sym_RBRACK] = ACTIONS(601),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(601),
  },
  [87] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_PLUS_EQ] = ACTIONS(605),
    [anon_sym_STAR_EQ] = ACTIONS(605),
    [anon_sym_SLASH_EQ] = ACTIONS(605),
    [anon_sym_PERCENT_EQ] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(607),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_2_GT] = ACTIONS(607),
    [anon_sym_2_GT_GT] = ACTIONS(605),
    [anon_sym_3_GT] = ACTIONS(607),
    [anon_sym_3_GT_GT] = ACTIONS(605),
    [anon_sym_4_GT] = ACTIONS(607),
    [anon_sym_4_GT_GT] = ACTIONS(605),
    [anon_sym_5_GT] = ACTIONS(607),
    [anon_sym_5_GT_GT] = ACTIONS(605),
    [anon_sym_6_GT] = ACTIONS(607),
    [anon_sym_6_GT_GT] = ACTIONS(605),
    [anon_sym_STAR_GT] = ACTIONS(607),
    [anon_sym_STAR_GT_GT] = ACTIONS(605),
    [anon_sym_LT] = ACTIONS(607),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(605),
    [anon_sym_2_GT_AMP1] = ACTIONS(605),
    [anon_sym_3_GT_AMP1] = ACTIONS(605),
    [anon_sym_4_GT_AMP1] = ACTIONS(605),
    [anon_sym_5_GT_AMP1] = ACTIONS(605),
    [anon_sym_6_GT_AMP1] = ACTIONS(605),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(605),
    [anon_sym_1_GT_AMP2] = ACTIONS(605),
    [anon_sym_3_GT_AMP2] = ACTIONS(605),
    [anon_sym_4_GT_AMP2] = ACTIONS(605),
    [anon_sym_5_GT_AMP2] = ACTIONS(605),
    [anon_sym_6_GT_AMP2] = ACTIONS(605),
    [aux_sym_comparison_operator_token1] = ACTIONS(605),
    [aux_sym_comparison_operator_token2] = ACTIONS(605),
    [aux_sym_comparison_operator_token3] = ACTIONS(605),
    [aux_sym_comparison_operator_token4] = ACTIONS(605),
    [aux_sym_comparison_operator_token5] = ACTIONS(605),
    [aux_sym_comparison_operator_token6] = ACTIONS(605),
    [aux_sym_comparison_operator_token7] = ACTIONS(605),
    [aux_sym_comparison_operator_token8] = ACTIONS(605),
    [aux_sym_comparison_operator_token9] = ACTIONS(605),
    [aux_sym_comparison_operator_token10] = ACTIONS(605),
    [aux_sym_comparison_operator_token11] = ACTIONS(605),
    [aux_sym_comparison_operator_token12] = ACTIONS(605),
    [aux_sym_comparison_operator_token13] = ACTIONS(605),
    [aux_sym_comparison_operator_token14] = ACTIONS(605),
    [aux_sym_comparison_operator_token15] = ACTIONS(605),
    [aux_sym_comparison_operator_token16] = ACTIONS(605),
    [aux_sym_comparison_operator_token17] = ACTIONS(605),
    [aux_sym_comparison_operator_token18] = ACTIONS(605),
    [aux_sym_comparison_operator_token19] = ACTIONS(605),
    [aux_sym_comparison_operator_token20] = ACTIONS(605),
    [aux_sym_comparison_operator_token21] = ACTIONS(605),
    [aux_sym_comparison_operator_token22] = ACTIONS(605),
    [aux_sym_comparison_operator_token23] = ACTIONS(605),
    [aux_sym_comparison_operator_token24] = ACTIONS(605),
    [aux_sym_comparison_operator_token25] = ACTIONS(605),
    [aux_sym_comparison_operator_token26] = ACTIONS(605),
    [aux_sym_comparison_operator_token27] = ACTIONS(605),
    [aux_sym_comparison_operator_token28] = ACTIONS(607),
    [aux_sym_comparison_operator_token29] = ACTIONS(605),
    [aux_sym_comparison_operator_token30] = ACTIONS(605),
    [aux_sym_comparison_operator_token31] = ACTIONS(605),
    [aux_sym_comparison_operator_token32] = ACTIONS(605),
    [aux_sym_comparison_operator_token33] = ACTIONS(605),
    [aux_sym_comparison_operator_token34] = ACTIONS(607),
    [aux_sym_comparison_operator_token35] = ACTIONS(605),
    [aux_sym_comparison_operator_token36] = ACTIONS(605),
    [aux_sym_comparison_operator_token37] = ACTIONS(605),
    [aux_sym_comparison_operator_token38] = ACTIONS(605),
    [aux_sym_comparison_operator_token39] = ACTIONS(605),
    [aux_sym_comparison_operator_token40] = ACTIONS(605),
    [aux_sym_comparison_operator_token41] = ACTIONS(605),
    [aux_sym_comparison_operator_token42] = ACTIONS(605),
    [aux_sym_comparison_operator_token43] = ACTIONS(605),
    [aux_sym_comparison_operator_token44] = ACTIONS(605),
    [aux_sym_comparison_operator_token45] = ACTIONS(605),
    [aux_sym_comparison_operator_token46] = ACTIONS(605),
    [aux_sym_comparison_operator_token47] = ACTIONS(605),
    [aux_sym_comparison_operator_token48] = ACTIONS(605),
    [aux_sym_comparison_operator_token49] = ACTIONS(605),
    [aux_sym_comparison_operator_token50] = ACTIONS(605),
    [aux_sym_format_operator_token1] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(607),
    [aux_sym_logical_expression_token1] = ACTIONS(605),
    [aux_sym_logical_expression_token2] = ACTIONS(605),
    [aux_sym_logical_expression_token3] = ACTIONS(605),
    [aux_sym_bitwise_expression_token1] = ACTIONS(605),
    [aux_sym_bitwise_expression_token2] = ACTIONS(605),
    [aux_sym_bitwise_expression_token3] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_SLASH] = ACTIONS(607),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_DOT_DOT] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_DOT2] = ACTIONS(607),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(605),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(605),
  },
  [88] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_EQ] = ACTIONS(609),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_PLUS_EQ] = ACTIONS(609),
    [anon_sym_STAR_EQ] = ACTIONS(609),
    [anon_sym_SLASH_EQ] = ACTIONS(609),
    [anon_sym_PERCENT_EQ] = ACTIONS(609),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_GT_GT] = ACTIONS(609),
    [anon_sym_2_GT] = ACTIONS(611),
    [anon_sym_2_GT_GT] = ACTIONS(609),
    [anon_sym_3_GT] = ACTIONS(611),
    [anon_sym_3_GT_GT] = ACTIONS(609),
    [anon_sym_4_GT] = ACTIONS(611),
    [anon_sym_4_GT_GT] = ACTIONS(609),
    [anon_sym_5_GT] = ACTIONS(611),
    [anon_sym_5_GT_GT] = ACTIONS(609),
    [anon_sym_6_GT] = ACTIONS(611),
    [anon_sym_6_GT_GT] = ACTIONS(609),
    [anon_sym_STAR_GT] = ACTIONS(611),
    [anon_sym_STAR_GT_GT] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(609),
    [anon_sym_2_GT_AMP1] = ACTIONS(609),
    [anon_sym_3_GT_AMP1] = ACTIONS(609),
    [anon_sym_4_GT_AMP1] = ACTIONS(609),
    [anon_sym_5_GT_AMP1] = ACTIONS(609),
    [anon_sym_6_GT_AMP1] = ACTIONS(609),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(609),
    [anon_sym_1_GT_AMP2] = ACTIONS(609),
    [anon_sym_3_GT_AMP2] = ACTIONS(609),
    [anon_sym_4_GT_AMP2] = ACTIONS(609),
    [anon_sym_5_GT_AMP2] = ACTIONS(609),
    [anon_sym_6_GT_AMP2] = ACTIONS(609),
    [aux_sym_comparison_operator_token1] = ACTIONS(609),
    [aux_sym_comparison_operator_token2] = ACTIONS(609),
    [aux_sym_comparison_operator_token3] = ACTIONS(609),
    [aux_sym_comparison_operator_token4] = ACTIONS(609),
    [aux_sym_comparison_operator_token5] = ACTIONS(609),
    [aux_sym_comparison_operator_token6] = ACTIONS(609),
    [aux_sym_comparison_operator_token7] = ACTIONS(609),
    [aux_sym_comparison_operator_token8] = ACTIONS(609),
    [aux_sym_comparison_operator_token9] = ACTIONS(609),
    [aux_sym_comparison_operator_token10] = ACTIONS(609),
    [aux_sym_comparison_operator_token11] = ACTIONS(609),
    [aux_sym_comparison_operator_token12] = ACTIONS(609),
    [aux_sym_comparison_operator_token13] = ACTIONS(609),
    [aux_sym_comparison_operator_token14] = ACTIONS(609),
    [aux_sym_comparison_operator_token15] = ACTIONS(609),
    [aux_sym_comparison_operator_token16] = ACTIONS(609),
    [aux_sym_comparison_operator_token17] = ACTIONS(609),
    [aux_sym_comparison_operator_token18] = ACTIONS(609),
    [aux_sym_comparison_operator_token19] = ACTIONS(609),
    [aux_sym_comparison_operator_token20] = ACTIONS(609),
    [aux_sym_comparison_operator_token21] = ACTIONS(609),
    [aux_sym_comparison_operator_token22] = ACTIONS(609),
    [aux_sym_comparison_operator_token23] = ACTIONS(609),
    [aux_sym_comparison_operator_token24] = ACTIONS(609),
    [aux_sym_comparison_operator_token25] = ACTIONS(609),
    [aux_sym_comparison_operator_token26] = ACTIONS(609),
    [aux_sym_comparison_operator_token27] = ACTIONS(609),
    [aux_sym_comparison_operator_token28] = ACTIONS(611),
    [aux_sym_comparison_operator_token29] = ACTIONS(609),
    [aux_sym_comparison_operator_token30] = ACTIONS(609),
    [aux_sym_comparison_operator_token31] = ACTIONS(609),
    [aux_sym_comparison_operator_token32] = ACTIONS(609),
    [aux_sym_comparison_operator_token33] = ACTIONS(609),
    [aux_sym_comparison_operator_token34] = ACTIONS(611),
    [aux_sym_comparison_operator_token35] = ACTIONS(609),
    [aux_sym_comparison_operator_token36] = ACTIONS(609),
    [aux_sym_comparison_operator_token37] = ACTIONS(609),
    [aux_sym_comparison_operator_token38] = ACTIONS(609),
    [aux_sym_comparison_operator_token39] = ACTIONS(609),
    [aux_sym_comparison_operator_token40] = ACTIONS(609),
    [aux_sym_comparison_operator_token41] = ACTIONS(609),
    [aux_sym_comparison_operator_token42] = ACTIONS(609),
    [aux_sym_comparison_operator_token43] = ACTIONS(609),
    [aux_sym_comparison_operator_token44] = ACTIONS(609),
    [aux_sym_comparison_operator_token45] = ACTIONS(609),
    [aux_sym_comparison_operator_token46] = ACTIONS(609),
    [aux_sym_comparison_operator_token47] = ACTIONS(609),
    [aux_sym_comparison_operator_token48] = ACTIONS(609),
    [aux_sym_comparison_operator_token49] = ACTIONS(609),
    [aux_sym_comparison_operator_token50] = ACTIONS(609),
    [aux_sym_format_operator_token1] = ACTIONS(609),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_RPAREN] = ACTIONS(609),
    [anon_sym_COMMA] = ACTIONS(609),
    [anon_sym_PIPE] = ACTIONS(609),
    [anon_sym_PERCENT] = ACTIONS(611),
    [aux_sym_logical_expression_token1] = ACTIONS(609),
    [aux_sym_logical_expression_token2] = ACTIONS(609),
    [aux_sym_logical_expression_token3] = ACTIONS(609),
    [aux_sym_bitwise_expression_token1] = ACTIONS(609),
    [aux_sym_bitwise_expression_token2] = ACTIONS(609),
    [aux_sym_bitwise_expression_token3] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_BSLASH] = ACTIONS(609),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_DOT_DOT] = ACTIONS(609),
    [anon_sym_PLUS_PLUS] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(609),
    [anon_sym_DOT2] = ACTIONS(611),
    [anon_sym_COLON_COLON] = ACTIONS(609),
    [anon_sym_RBRACK] = ACTIONS(609),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(609),
  },
  [89] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(613),
    [anon_sym_PLUS_EQ] = ACTIONS(613),
    [anon_sym_STAR_EQ] = ACTIONS(613),
    [anon_sym_SLASH_EQ] = ACTIONS(613),
    [anon_sym_PERCENT_EQ] = ACTIONS(613),
    [anon_sym_GT] = ACTIONS(615),
    [anon_sym_GT_GT] = ACTIONS(613),
    [anon_sym_2_GT] = ACTIONS(615),
    [anon_sym_2_GT_GT] = ACTIONS(613),
    [anon_sym_3_GT] = ACTIONS(615),
    [anon_sym_3_GT_GT] = ACTIONS(613),
    [anon_sym_4_GT] = ACTIONS(615),
    [anon_sym_4_GT_GT] = ACTIONS(613),
    [anon_sym_5_GT] = ACTIONS(615),
    [anon_sym_5_GT_GT] = ACTIONS(613),
    [anon_sym_6_GT] = ACTIONS(615),
    [anon_sym_6_GT_GT] = ACTIONS(613),
    [anon_sym_STAR_GT] = ACTIONS(615),
    [anon_sym_STAR_GT_GT] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(615),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(613),
    [anon_sym_2_GT_AMP1] = ACTIONS(613),
    [anon_sym_3_GT_AMP1] = ACTIONS(613),
    [anon_sym_4_GT_AMP1] = ACTIONS(613),
    [anon_sym_5_GT_AMP1] = ACTIONS(613),
    [anon_sym_6_GT_AMP1] = ACTIONS(613),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(613),
    [anon_sym_1_GT_AMP2] = ACTIONS(613),
    [anon_sym_3_GT_AMP2] = ACTIONS(613),
    [anon_sym_4_GT_AMP2] = ACTIONS(613),
    [anon_sym_5_GT_AMP2] = ACTIONS(613),
    [anon_sym_6_GT_AMP2] = ACTIONS(613),
    [aux_sym_comparison_operator_token1] = ACTIONS(613),
    [aux_sym_comparison_operator_token2] = ACTIONS(613),
    [aux_sym_comparison_operator_token3] = ACTIONS(613),
    [aux_sym_comparison_operator_token4] = ACTIONS(613),
    [aux_sym_comparison_operator_token5] = ACTIONS(613),
    [aux_sym_comparison_operator_token6] = ACTIONS(613),
    [aux_sym_comparison_operator_token7] = ACTIONS(613),
    [aux_sym_comparison_operator_token8] = ACTIONS(613),
    [aux_sym_comparison_operator_token9] = ACTIONS(613),
    [aux_sym_comparison_operator_token10] = ACTIONS(613),
    [aux_sym_comparison_operator_token11] = ACTIONS(613),
    [aux_sym_comparison_operator_token12] = ACTIONS(613),
    [aux_sym_comparison_operator_token13] = ACTIONS(613),
    [aux_sym_comparison_operator_token14] = ACTIONS(613),
    [aux_sym_comparison_operator_token15] = ACTIONS(613),
    [aux_sym_comparison_operator_token16] = ACTIONS(613),
    [aux_sym_comparison_operator_token17] = ACTIONS(613),
    [aux_sym_comparison_operator_token18] = ACTIONS(613),
    [aux_sym_comparison_operator_token19] = ACTIONS(613),
    [aux_sym_comparison_operator_token20] = ACTIONS(613),
    [aux_sym_comparison_operator_token21] = ACTIONS(613),
    [aux_sym_comparison_operator_token22] = ACTIONS(613),
    [aux_sym_comparison_operator_token23] = ACTIONS(613),
    [aux_sym_comparison_operator_token24] = ACTIONS(613),
    [aux_sym_comparison_operator_token25] = ACTIONS(613),
    [aux_sym_comparison_operator_token26] = ACTIONS(613),
    [aux_sym_comparison_operator_token27] = ACTIONS(613),
    [aux_sym_comparison_operator_token28] = ACTIONS(615),
    [aux_sym_comparison_operator_token29] = ACTIONS(613),
    [aux_sym_comparison_operator_token30] = ACTIONS(613),
    [aux_sym_comparison_operator_token31] = ACTIONS(613),
    [aux_sym_comparison_operator_token32] = ACTIONS(613),
    [aux_sym_comparison_operator_token33] = ACTIONS(613),
    [aux_sym_comparison_operator_token34] = ACTIONS(615),
    [aux_sym_comparison_operator_token35] = ACTIONS(613),
    [aux_sym_comparison_operator_token36] = ACTIONS(613),
    [aux_sym_comparison_operator_token37] = ACTIONS(613),
    [aux_sym_comparison_operator_token38] = ACTIONS(613),
    [aux_sym_comparison_operator_token39] = ACTIONS(613),
    [aux_sym_comparison_operator_token40] = ACTIONS(613),
    [aux_sym_comparison_operator_token41] = ACTIONS(613),
    [aux_sym_comparison_operator_token42] = ACTIONS(613),
    [aux_sym_comparison_operator_token43] = ACTIONS(613),
    [aux_sym_comparison_operator_token44] = ACTIONS(613),
    [aux_sym_comparison_operator_token45] = ACTIONS(613),
    [aux_sym_comparison_operator_token46] = ACTIONS(613),
    [aux_sym_comparison_operator_token47] = ACTIONS(613),
    [aux_sym_comparison_operator_token48] = ACTIONS(613),
    [aux_sym_comparison_operator_token49] = ACTIONS(613),
    [aux_sym_comparison_operator_token50] = ACTIONS(613),
    [aux_sym_format_operator_token1] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_RPAREN] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_PERCENT] = ACTIONS(615),
    [aux_sym_logical_expression_token1] = ACTIONS(613),
    [aux_sym_logical_expression_token2] = ACTIONS(613),
    [aux_sym_logical_expression_token3] = ACTIONS(613),
    [aux_sym_bitwise_expression_token1] = ACTIONS(613),
    [aux_sym_bitwise_expression_token2] = ACTIONS(613),
    [aux_sym_bitwise_expression_token3] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_SLASH] = ACTIONS(615),
    [anon_sym_BSLASH] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(613),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_DOT2] = ACTIONS(615),
    [anon_sym_COLON_COLON] = ACTIONS(613),
    [anon_sym_RBRACK] = ACTIONS(613),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(613),
  },
  [90] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(617),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_BANG_EQ] = ACTIONS(617),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_GT] = ACTIONS(619),
    [anon_sym_GT_GT] = ACTIONS(617),
    [anon_sym_2_GT] = ACTIONS(619),
    [anon_sym_2_GT_GT] = ACTIONS(617),
    [anon_sym_3_GT] = ACTIONS(619),
    [anon_sym_3_GT_GT] = ACTIONS(617),
    [anon_sym_4_GT] = ACTIONS(619),
    [anon_sym_4_GT_GT] = ACTIONS(617),
    [anon_sym_5_GT] = ACTIONS(619),
    [anon_sym_5_GT_GT] = ACTIONS(617),
    [anon_sym_6_GT] = ACTIONS(619),
    [anon_sym_6_GT_GT] = ACTIONS(617),
    [anon_sym_STAR_GT] = ACTIONS(619),
    [anon_sym_STAR_GT_GT] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(617),
    [anon_sym_2_GT_AMP1] = ACTIONS(617),
    [anon_sym_3_GT_AMP1] = ACTIONS(617),
    [anon_sym_4_GT_AMP1] = ACTIONS(617),
    [anon_sym_5_GT_AMP1] = ACTIONS(617),
    [anon_sym_6_GT_AMP1] = ACTIONS(617),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(617),
    [anon_sym_1_GT_AMP2] = ACTIONS(617),
    [anon_sym_3_GT_AMP2] = ACTIONS(617),
    [anon_sym_4_GT_AMP2] = ACTIONS(617),
    [anon_sym_5_GT_AMP2] = ACTIONS(617),
    [anon_sym_6_GT_AMP2] = ACTIONS(617),
    [aux_sym_comparison_operator_token1] = ACTIONS(617),
    [aux_sym_comparison_operator_token2] = ACTIONS(617),
    [aux_sym_comparison_operator_token3] = ACTIONS(617),
    [aux_sym_comparison_operator_token4] = ACTIONS(617),
    [aux_sym_comparison_operator_token5] = ACTIONS(617),
    [aux_sym_comparison_operator_token6] = ACTIONS(617),
    [aux_sym_comparison_operator_token7] = ACTIONS(617),
    [aux_sym_comparison_operator_token8] = ACTIONS(617),
    [aux_sym_comparison_operator_token9] = ACTIONS(617),
    [aux_sym_comparison_operator_token10] = ACTIONS(617),
    [aux_sym_comparison_operator_token11] = ACTIONS(617),
    [aux_sym_comparison_operator_token12] = ACTIONS(617),
    [aux_sym_comparison_operator_token13] = ACTIONS(617),
    [aux_sym_comparison_operator_token14] = ACTIONS(617),
    [aux_sym_comparison_operator_token15] = ACTIONS(617),
    [aux_sym_comparison_operator_token16] = ACTIONS(617),
    [aux_sym_comparison_operator_token17] = ACTIONS(617),
    [aux_sym_comparison_operator_token18] = ACTIONS(617),
    [aux_sym_comparison_operator_token19] = ACTIONS(617),
    [aux_sym_comparison_operator_token20] = ACTIONS(617),
    [aux_sym_comparison_operator_token21] = ACTIONS(617),
    [aux_sym_comparison_operator_token22] = ACTIONS(617),
    [aux_sym_comparison_operator_token23] = ACTIONS(617),
    [aux_sym_comparison_operator_token24] = ACTIONS(617),
    [aux_sym_comparison_operator_token25] = ACTIONS(617),
    [aux_sym_comparison_operator_token26] = ACTIONS(617),
    [aux_sym_comparison_operator_token27] = ACTIONS(617),
    [aux_sym_comparison_operator_token28] = ACTIONS(619),
    [aux_sym_comparison_operator_token29] = ACTIONS(617),
    [aux_sym_comparison_operator_token30] = ACTIONS(617),
    [aux_sym_comparison_operator_token31] = ACTIONS(617),
    [aux_sym_comparison_operator_token32] = ACTIONS(617),
    [aux_sym_comparison_operator_token33] = ACTIONS(617),
    [aux_sym_comparison_operator_token34] = ACTIONS(619),
    [aux_sym_comparison_operator_token35] = ACTIONS(617),
    [aux_sym_comparison_operator_token36] = ACTIONS(617),
    [aux_sym_comparison_operator_token37] = ACTIONS(617),
    [aux_sym_comparison_operator_token38] = ACTIONS(617),
    [aux_sym_comparison_operator_token39] = ACTIONS(617),
    [aux_sym_comparison_operator_token40] = ACTIONS(617),
    [aux_sym_comparison_operator_token41] = ACTIONS(617),
    [aux_sym_comparison_operator_token42] = ACTIONS(617),
    [aux_sym_comparison_operator_token43] = ACTIONS(617),
    [aux_sym_comparison_operator_token44] = ACTIONS(617),
    [aux_sym_comparison_operator_token45] = ACTIONS(617),
    [aux_sym_comparison_operator_token46] = ACTIONS(617),
    [aux_sym_comparison_operator_token47] = ACTIONS(617),
    [aux_sym_comparison_operator_token48] = ACTIONS(617),
    [aux_sym_comparison_operator_token49] = ACTIONS(617),
    [aux_sym_comparison_operator_token50] = ACTIONS(617),
    [aux_sym_format_operator_token1] = ACTIONS(617),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(617),
    [anon_sym_COMMA] = ACTIONS(617),
    [anon_sym_PIPE] = ACTIONS(617),
    [anon_sym_PERCENT] = ACTIONS(619),
    [aux_sym_logical_expression_token1] = ACTIONS(617),
    [aux_sym_logical_expression_token2] = ACTIONS(617),
    [aux_sym_logical_expression_token3] = ACTIONS(617),
    [aux_sym_bitwise_expression_token1] = ACTIONS(617),
    [aux_sym_bitwise_expression_token2] = ACTIONS(617),
    [aux_sym_bitwise_expression_token3] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_SLASH] = ACTIONS(619),
    [anon_sym_BSLASH] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(619),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_PLUS_PLUS] = ACTIONS(617),
    [anon_sym_DASH_DASH] = ACTIONS(617),
    [anon_sym_DOT2] = ACTIONS(619),
    [anon_sym_COLON_COLON] = ACTIONS(617),
    [anon_sym_RBRACK] = ACTIONS(617),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(617),
  },
  [91] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(621),
    [anon_sym_BANG_EQ] = ACTIONS(621),
    [anon_sym_PLUS_EQ] = ACTIONS(621),
    [anon_sym_STAR_EQ] = ACTIONS(621),
    [anon_sym_SLASH_EQ] = ACTIONS(621),
    [anon_sym_PERCENT_EQ] = ACTIONS(621),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_GT_GT] = ACTIONS(621),
    [anon_sym_2_GT] = ACTIONS(623),
    [anon_sym_2_GT_GT] = ACTIONS(621),
    [anon_sym_3_GT] = ACTIONS(623),
    [anon_sym_3_GT_GT] = ACTIONS(621),
    [anon_sym_4_GT] = ACTIONS(623),
    [anon_sym_4_GT_GT] = ACTIONS(621),
    [anon_sym_5_GT] = ACTIONS(623),
    [anon_sym_5_GT_GT] = ACTIONS(621),
    [anon_sym_6_GT] = ACTIONS(623),
    [anon_sym_6_GT_GT] = ACTIONS(621),
    [anon_sym_STAR_GT] = ACTIONS(623),
    [anon_sym_STAR_GT_GT] = ACTIONS(621),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(621),
    [anon_sym_2_GT_AMP1] = ACTIONS(621),
    [anon_sym_3_GT_AMP1] = ACTIONS(621),
    [anon_sym_4_GT_AMP1] = ACTIONS(621),
    [anon_sym_5_GT_AMP1] = ACTIONS(621),
    [anon_sym_6_GT_AMP1] = ACTIONS(621),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(621),
    [anon_sym_1_GT_AMP2] = ACTIONS(621),
    [anon_sym_3_GT_AMP2] = ACTIONS(621),
    [anon_sym_4_GT_AMP2] = ACTIONS(621),
    [anon_sym_5_GT_AMP2] = ACTIONS(621),
    [anon_sym_6_GT_AMP2] = ACTIONS(621),
    [aux_sym_comparison_operator_token1] = ACTIONS(621),
    [aux_sym_comparison_operator_token2] = ACTIONS(621),
    [aux_sym_comparison_operator_token3] = ACTIONS(621),
    [aux_sym_comparison_operator_token4] = ACTIONS(621),
    [aux_sym_comparison_operator_token5] = ACTIONS(621),
    [aux_sym_comparison_operator_token6] = ACTIONS(621),
    [aux_sym_comparison_operator_token7] = ACTIONS(621),
    [aux_sym_comparison_operator_token8] = ACTIONS(621),
    [aux_sym_comparison_operator_token9] = ACTIONS(621),
    [aux_sym_comparison_operator_token10] = ACTIONS(621),
    [aux_sym_comparison_operator_token11] = ACTIONS(621),
    [aux_sym_comparison_operator_token12] = ACTIONS(621),
    [aux_sym_comparison_operator_token13] = ACTIONS(621),
    [aux_sym_comparison_operator_token14] = ACTIONS(621),
    [aux_sym_comparison_operator_token15] = ACTIONS(621),
    [aux_sym_comparison_operator_token16] = ACTIONS(621),
    [aux_sym_comparison_operator_token17] = ACTIONS(621),
    [aux_sym_comparison_operator_token18] = ACTIONS(621),
    [aux_sym_comparison_operator_token19] = ACTIONS(621),
    [aux_sym_comparison_operator_token20] = ACTIONS(621),
    [aux_sym_comparison_operator_token21] = ACTIONS(621),
    [aux_sym_comparison_operator_token22] = ACTIONS(621),
    [aux_sym_comparison_operator_token23] = ACTIONS(621),
    [aux_sym_comparison_operator_token24] = ACTIONS(621),
    [aux_sym_comparison_operator_token25] = ACTIONS(621),
    [aux_sym_comparison_operator_token26] = ACTIONS(621),
    [aux_sym_comparison_operator_token27] = ACTIONS(621),
    [aux_sym_comparison_operator_token28] = ACTIONS(623),
    [aux_sym_comparison_operator_token29] = ACTIONS(621),
    [aux_sym_comparison_operator_token30] = ACTIONS(621),
    [aux_sym_comparison_operator_token31] = ACTIONS(621),
    [aux_sym_comparison_operator_token32] = ACTIONS(621),
    [aux_sym_comparison_operator_token33] = ACTIONS(621),
    [aux_sym_comparison_operator_token34] = ACTIONS(623),
    [aux_sym_comparison_operator_token35] = ACTIONS(621),
    [aux_sym_comparison_operator_token36] = ACTIONS(621),
    [aux_sym_comparison_operator_token37] = ACTIONS(621),
    [aux_sym_comparison_operator_token38] = ACTIONS(621),
    [aux_sym_comparison_operator_token39] = ACTIONS(621),
    [aux_sym_comparison_operator_token40] = ACTIONS(621),
    [aux_sym_comparison_operator_token41] = ACTIONS(621),
    [aux_sym_comparison_operator_token42] = ACTIONS(621),
    [aux_sym_comparison_operator_token43] = ACTIONS(621),
    [aux_sym_comparison_operator_token44] = ACTIONS(621),
    [aux_sym_comparison_operator_token45] = ACTIONS(621),
    [aux_sym_comparison_operator_token46] = ACTIONS(621),
    [aux_sym_comparison_operator_token47] = ACTIONS(621),
    [aux_sym_comparison_operator_token48] = ACTIONS(621),
    [aux_sym_comparison_operator_token49] = ACTIONS(621),
    [aux_sym_comparison_operator_token50] = ACTIONS(621),
    [aux_sym_format_operator_token1] = ACTIONS(621),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_RPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(621),
    [anon_sym_PIPE] = ACTIONS(621),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_logical_expression_token1] = ACTIONS(621),
    [aux_sym_logical_expression_token2] = ACTIONS(621),
    [aux_sym_logical_expression_token3] = ACTIONS(621),
    [aux_sym_bitwise_expression_token1] = ACTIONS(621),
    [aux_sym_bitwise_expression_token2] = ACTIONS(621),
    [aux_sym_bitwise_expression_token3] = ACTIONS(621),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_BSLASH] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_DOT_DOT] = ACTIONS(621),
    [anon_sym_PLUS_PLUS] = ACTIONS(621),
    [anon_sym_DASH_DASH] = ACTIONS(621),
    [anon_sym_DOT2] = ACTIONS(623),
    [anon_sym_COLON_COLON] = ACTIONS(621),
    [anon_sym_RBRACK] = ACTIONS(621),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(621),
  },
  [92] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(625),
    [anon_sym_PLUS_EQ] = ACTIONS(625),
    [anon_sym_STAR_EQ] = ACTIONS(625),
    [anon_sym_SLASH_EQ] = ACTIONS(625),
    [anon_sym_PERCENT_EQ] = ACTIONS(625),
    [anon_sym_GT] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_2_GT] = ACTIONS(627),
    [anon_sym_2_GT_GT] = ACTIONS(625),
    [anon_sym_3_GT] = ACTIONS(627),
    [anon_sym_3_GT_GT] = ACTIONS(625),
    [anon_sym_4_GT] = ACTIONS(627),
    [anon_sym_4_GT_GT] = ACTIONS(625),
    [anon_sym_5_GT] = ACTIONS(627),
    [anon_sym_5_GT_GT] = ACTIONS(625),
    [anon_sym_6_GT] = ACTIONS(627),
    [anon_sym_6_GT_GT] = ACTIONS(625),
    [anon_sym_STAR_GT] = ACTIONS(627),
    [anon_sym_STAR_GT_GT] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(627),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(625),
    [anon_sym_2_GT_AMP1] = ACTIONS(625),
    [anon_sym_3_GT_AMP1] = ACTIONS(625),
    [anon_sym_4_GT_AMP1] = ACTIONS(625),
    [anon_sym_5_GT_AMP1] = ACTIONS(625),
    [anon_sym_6_GT_AMP1] = ACTIONS(625),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(625),
    [anon_sym_1_GT_AMP2] = ACTIONS(625),
    [anon_sym_3_GT_AMP2] = ACTIONS(625),
    [anon_sym_4_GT_AMP2] = ACTIONS(625),
    [anon_sym_5_GT_AMP2] = ACTIONS(625),
    [anon_sym_6_GT_AMP2] = ACTIONS(625),
    [aux_sym_comparison_operator_token1] = ACTIONS(625),
    [aux_sym_comparison_operator_token2] = ACTIONS(625),
    [aux_sym_comparison_operator_token3] = ACTIONS(625),
    [aux_sym_comparison_operator_token4] = ACTIONS(625),
    [aux_sym_comparison_operator_token5] = ACTIONS(625),
    [aux_sym_comparison_operator_token6] = ACTIONS(625),
    [aux_sym_comparison_operator_token7] = ACTIONS(625),
    [aux_sym_comparison_operator_token8] = ACTIONS(625),
    [aux_sym_comparison_operator_token9] = ACTIONS(625),
    [aux_sym_comparison_operator_token10] = ACTIONS(625),
    [aux_sym_comparison_operator_token11] = ACTIONS(625),
    [aux_sym_comparison_operator_token12] = ACTIONS(625),
    [aux_sym_comparison_operator_token13] = ACTIONS(625),
    [aux_sym_comparison_operator_token14] = ACTIONS(625),
    [aux_sym_comparison_operator_token15] = ACTIONS(625),
    [aux_sym_comparison_operator_token16] = ACTIONS(625),
    [aux_sym_comparison_operator_token17] = ACTIONS(625),
    [aux_sym_comparison_operator_token18] = ACTIONS(625),
    [aux_sym_comparison_operator_token19] = ACTIONS(625),
    [aux_sym_comparison_operator_token20] = ACTIONS(625),
    [aux_sym_comparison_operator_token21] = ACTIONS(625),
    [aux_sym_comparison_operator_token22] = ACTIONS(625),
    [aux_sym_comparison_operator_token23] = ACTIONS(625),
    [aux_sym_comparison_operator_token24] = ACTIONS(625),
    [aux_sym_comparison_operator_token25] = ACTIONS(625),
    [aux_sym_comparison_operator_token26] = ACTIONS(625),
    [aux_sym_comparison_operator_token27] = ACTIONS(625),
    [aux_sym_comparison_operator_token28] = ACTIONS(627),
    [aux_sym_comparison_operator_token29] = ACTIONS(625),
    [aux_sym_comparison_operator_token30] = ACTIONS(625),
    [aux_sym_comparison_operator_token31] = ACTIONS(625),
    [aux_sym_comparison_operator_token32] = ACTIONS(625),
    [aux_sym_comparison_operator_token33] = ACTIONS(625),
    [aux_sym_comparison_operator_token34] = ACTIONS(627),
    [aux_sym_comparison_operator_token35] = ACTIONS(625),
    [aux_sym_comparison_operator_token36] = ACTIONS(625),
    [aux_sym_comparison_operator_token37] = ACTIONS(625),
    [aux_sym_comparison_operator_token38] = ACTIONS(625),
    [aux_sym_comparison_operator_token39] = ACTIONS(625),
    [aux_sym_comparison_operator_token40] = ACTIONS(625),
    [aux_sym_comparison_operator_token41] = ACTIONS(625),
    [aux_sym_comparison_operator_token42] = ACTIONS(625),
    [aux_sym_comparison_operator_token43] = ACTIONS(625),
    [aux_sym_comparison_operator_token44] = ACTIONS(625),
    [aux_sym_comparison_operator_token45] = ACTIONS(625),
    [aux_sym_comparison_operator_token46] = ACTIONS(625),
    [aux_sym_comparison_operator_token47] = ACTIONS(625),
    [aux_sym_comparison_operator_token48] = ACTIONS(625),
    [aux_sym_comparison_operator_token49] = ACTIONS(625),
    [aux_sym_comparison_operator_token50] = ACTIONS(625),
    [aux_sym_format_operator_token1] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_RPAREN] = ACTIONS(625),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(627),
    [aux_sym_logical_expression_token1] = ACTIONS(625),
    [aux_sym_logical_expression_token2] = ACTIONS(625),
    [aux_sym_logical_expression_token3] = ACTIONS(625),
    [aux_sym_bitwise_expression_token1] = ACTIONS(625),
    [aux_sym_bitwise_expression_token2] = ACTIONS(625),
    [aux_sym_bitwise_expression_token3] = ACTIONS(625),
    [anon_sym_PLUS] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(627),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_BSLASH] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_DOT_DOT] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [anon_sym_DOT2] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(625),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(625),
  },
  [93] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_PLUS_EQ] = ACTIONS(629),
    [anon_sym_STAR_EQ] = ACTIONS(629),
    [anon_sym_SLASH_EQ] = ACTIONS(629),
    [anon_sym_PERCENT_EQ] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_2_GT] = ACTIONS(631),
    [anon_sym_2_GT_GT] = ACTIONS(629),
    [anon_sym_3_GT] = ACTIONS(631),
    [anon_sym_3_GT_GT] = ACTIONS(629),
    [anon_sym_4_GT] = ACTIONS(631),
    [anon_sym_4_GT_GT] = ACTIONS(629),
    [anon_sym_5_GT] = ACTIONS(631),
    [anon_sym_5_GT_GT] = ACTIONS(629),
    [anon_sym_6_GT] = ACTIONS(631),
    [anon_sym_6_GT_GT] = ACTIONS(629),
    [anon_sym_STAR_GT] = ACTIONS(631),
    [anon_sym_STAR_GT_GT] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(629),
    [anon_sym_2_GT_AMP1] = ACTIONS(629),
    [anon_sym_3_GT_AMP1] = ACTIONS(629),
    [anon_sym_4_GT_AMP1] = ACTIONS(629),
    [anon_sym_5_GT_AMP1] = ACTIONS(629),
    [anon_sym_6_GT_AMP1] = ACTIONS(629),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(629),
    [anon_sym_1_GT_AMP2] = ACTIONS(629),
    [anon_sym_3_GT_AMP2] = ACTIONS(629),
    [anon_sym_4_GT_AMP2] = ACTIONS(629),
    [anon_sym_5_GT_AMP2] = ACTIONS(629),
    [anon_sym_6_GT_AMP2] = ACTIONS(629),
    [aux_sym_comparison_operator_token1] = ACTIONS(629),
    [aux_sym_comparison_operator_token2] = ACTIONS(629),
    [aux_sym_comparison_operator_token3] = ACTIONS(629),
    [aux_sym_comparison_operator_token4] = ACTIONS(629),
    [aux_sym_comparison_operator_token5] = ACTIONS(629),
    [aux_sym_comparison_operator_token6] = ACTIONS(629),
    [aux_sym_comparison_operator_token7] = ACTIONS(629),
    [aux_sym_comparison_operator_token8] = ACTIONS(629),
    [aux_sym_comparison_operator_token9] = ACTIONS(629),
    [aux_sym_comparison_operator_token10] = ACTIONS(629),
    [aux_sym_comparison_operator_token11] = ACTIONS(629),
    [aux_sym_comparison_operator_token12] = ACTIONS(629),
    [aux_sym_comparison_operator_token13] = ACTIONS(629),
    [aux_sym_comparison_operator_token14] = ACTIONS(629),
    [aux_sym_comparison_operator_token15] = ACTIONS(629),
    [aux_sym_comparison_operator_token16] = ACTIONS(629),
    [aux_sym_comparison_operator_token17] = ACTIONS(629),
    [aux_sym_comparison_operator_token18] = ACTIONS(629),
    [aux_sym_comparison_operator_token19] = ACTIONS(629),
    [aux_sym_comparison_operator_token20] = ACTIONS(629),
    [aux_sym_comparison_operator_token21] = ACTIONS(629),
    [aux_sym_comparison_operator_token22] = ACTIONS(629),
    [aux_sym_comparison_operator_token23] = ACTIONS(629),
    [aux_sym_comparison_operator_token24] = ACTIONS(629),
    [aux_sym_comparison_operator_token25] = ACTIONS(629),
    [aux_sym_comparison_operator_token26] = ACTIONS(629),
    [aux_sym_comparison_operator_token27] = ACTIONS(629),
    [aux_sym_comparison_operator_token28] = ACTIONS(631),
    [aux_sym_comparison_operator_token29] = ACTIONS(629),
    [aux_sym_comparison_operator_token30] = ACTIONS(629),
    [aux_sym_comparison_operator_token31] = ACTIONS(629),
    [aux_sym_comparison_operator_token32] = ACTIONS(629),
    [aux_sym_comparison_operator_token33] = ACTIONS(629),
    [aux_sym_comparison_operator_token34] = ACTIONS(631),
    [aux_sym_comparison_operator_token35] = ACTIONS(629),
    [aux_sym_comparison_operator_token36] = ACTIONS(629),
    [aux_sym_comparison_operator_token37] = ACTIONS(629),
    [aux_sym_comparison_operator_token38] = ACTIONS(629),
    [aux_sym_comparison_operator_token39] = ACTIONS(629),
    [aux_sym_comparison_operator_token40] = ACTIONS(629),
    [aux_sym_comparison_operator_token41] = ACTIONS(629),
    [aux_sym_comparison_operator_token42] = ACTIONS(629),
    [aux_sym_comparison_operator_token43] = ACTIONS(629),
    [aux_sym_comparison_operator_token44] = ACTIONS(629),
    [aux_sym_comparison_operator_token45] = ACTIONS(629),
    [aux_sym_comparison_operator_token46] = ACTIONS(629),
    [aux_sym_comparison_operator_token47] = ACTIONS(629),
    [aux_sym_comparison_operator_token48] = ACTIONS(629),
    [aux_sym_comparison_operator_token49] = ACTIONS(629),
    [aux_sym_comparison_operator_token50] = ACTIONS(629),
    [aux_sym_format_operator_token1] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(631),
    [aux_sym_logical_expression_token1] = ACTIONS(629),
    [aux_sym_logical_expression_token2] = ACTIONS(629),
    [aux_sym_logical_expression_token3] = ACTIONS(629),
    [aux_sym_bitwise_expression_token1] = ACTIONS(629),
    [aux_sym_bitwise_expression_token2] = ACTIONS(629),
    [aux_sym_bitwise_expression_token3] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_DOT2] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(629),
    [anon_sym_RBRACK] = ACTIONS(629),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(629),
  },
  [94] = {
    [sym_argument_list] = STATE(128),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
    [sym__statement_terminator] = ACTIONS(591),
  },
  [95] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DOT2] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(635),
  },
  [96] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_DOT2] = ACTIONS(641),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(639),
  },
  [97] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_DOT2] = ACTIONS(645),
    [anon_sym_COLON_COLON] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(643),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(643),
  },
  [98] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_PLUS_EQ] = ACTIONS(647),
    [anon_sym_STAR_EQ] = ACTIONS(647),
    [anon_sym_SLASH_EQ] = ACTIONS(647),
    [anon_sym_PERCENT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_2_GT] = ACTIONS(649),
    [anon_sym_2_GT_GT] = ACTIONS(647),
    [anon_sym_3_GT] = ACTIONS(649),
    [anon_sym_3_GT_GT] = ACTIONS(647),
    [anon_sym_4_GT] = ACTIONS(649),
    [anon_sym_4_GT_GT] = ACTIONS(647),
    [anon_sym_5_GT] = ACTIONS(649),
    [anon_sym_5_GT_GT] = ACTIONS(647),
    [anon_sym_6_GT] = ACTIONS(649),
    [anon_sym_6_GT_GT] = ACTIONS(647),
    [anon_sym_STAR_GT] = ACTIONS(649),
    [anon_sym_STAR_GT_GT] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(647),
    [anon_sym_2_GT_AMP1] = ACTIONS(647),
    [anon_sym_3_GT_AMP1] = ACTIONS(647),
    [anon_sym_4_GT_AMP1] = ACTIONS(647),
    [anon_sym_5_GT_AMP1] = ACTIONS(647),
    [anon_sym_6_GT_AMP1] = ACTIONS(647),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(647),
    [anon_sym_1_GT_AMP2] = ACTIONS(647),
    [anon_sym_3_GT_AMP2] = ACTIONS(647),
    [anon_sym_4_GT_AMP2] = ACTIONS(647),
    [anon_sym_5_GT_AMP2] = ACTIONS(647),
    [anon_sym_6_GT_AMP2] = ACTIONS(647),
    [aux_sym_comparison_operator_token1] = ACTIONS(647),
    [aux_sym_comparison_operator_token2] = ACTIONS(647),
    [aux_sym_comparison_operator_token3] = ACTIONS(647),
    [aux_sym_comparison_operator_token4] = ACTIONS(647),
    [aux_sym_comparison_operator_token5] = ACTIONS(647),
    [aux_sym_comparison_operator_token6] = ACTIONS(647),
    [aux_sym_comparison_operator_token7] = ACTIONS(647),
    [aux_sym_comparison_operator_token8] = ACTIONS(647),
    [aux_sym_comparison_operator_token9] = ACTIONS(647),
    [aux_sym_comparison_operator_token10] = ACTIONS(647),
    [aux_sym_comparison_operator_token11] = ACTIONS(647),
    [aux_sym_comparison_operator_token12] = ACTIONS(647),
    [aux_sym_comparison_operator_token13] = ACTIONS(647),
    [aux_sym_comparison_operator_token14] = ACTIONS(647),
    [aux_sym_comparison_operator_token15] = ACTIONS(647),
    [aux_sym_comparison_operator_token16] = ACTIONS(647),
    [aux_sym_comparison_operator_token17] = ACTIONS(647),
    [aux_sym_comparison_operator_token18] = ACTIONS(647),
    [aux_sym_comparison_operator_token19] = ACTIONS(647),
    [aux_sym_comparison_operator_token20] = ACTIONS(647),
    [aux_sym_comparison_operator_token21] = ACTIONS(647),
    [aux_sym_comparison_operator_token22] = ACTIONS(647),
    [aux_sym_comparison_operator_token23] = ACTIONS(647),
    [aux_sym_comparison_operator_token24] = ACTIONS(647),
    [aux_sym_comparison_operator_token25] = ACTIONS(647),
    [aux_sym_comparison_operator_token26] = ACTIONS(647),
    [aux_sym_comparison_operator_token27] = ACTIONS(647),
    [aux_sym_comparison_operator_token28] = ACTIONS(649),
    [aux_sym_comparison_operator_token29] = ACTIONS(647),
    [aux_sym_comparison_operator_token30] = ACTIONS(647),
    [aux_sym_comparison_operator_token31] = ACTIONS(647),
    [aux_sym_comparison_operator_token32] = ACTIONS(647),
    [aux_sym_comparison_operator_token33] = ACTIONS(647),
    [aux_sym_comparison_operator_token34] = ACTIONS(649),
    [aux_sym_comparison_operator_token35] = ACTIONS(647),
    [aux_sym_comparison_operator_token36] = ACTIONS(647),
    [aux_sym_comparison_operator_token37] = ACTIONS(647),
    [aux_sym_comparison_operator_token38] = ACTIONS(647),
    [aux_sym_comparison_operator_token39] = ACTIONS(647),
    [aux_sym_comparison_operator_token40] = ACTIONS(647),
    [aux_sym_comparison_operator_token41] = ACTIONS(647),
    [aux_sym_comparison_operator_token42] = ACTIONS(647),
    [aux_sym_comparison_operator_token43] = ACTIONS(647),
    [aux_sym_comparison_operator_token44] = ACTIONS(647),
    [aux_sym_comparison_operator_token45] = ACTIONS(647),
    [aux_sym_comparison_operator_token46] = ACTIONS(647),
    [aux_sym_comparison_operator_token47] = ACTIONS(647),
    [aux_sym_comparison_operator_token48] = ACTIONS(647),
    [aux_sym_comparison_operator_token49] = ACTIONS(647),
    [aux_sym_comparison_operator_token50] = ACTIONS(647),
    [aux_sym_format_operator_token1] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_RPAREN] = ACTIONS(647),
    [anon_sym_COMMA] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [aux_sym_logical_expression_token1] = ACTIONS(647),
    [aux_sym_logical_expression_token2] = ACTIONS(647),
    [aux_sym_logical_expression_token3] = ACTIONS(647),
    [aux_sym_bitwise_expression_token1] = ACTIONS(647),
    [aux_sym_bitwise_expression_token2] = ACTIONS(647),
    [aux_sym_bitwise_expression_token3] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_SLASH] = ACTIONS(649),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(649),
    [anon_sym_DOT_DOT] = ACTIONS(647),
    [anon_sym_PLUS_PLUS] = ACTIONS(647),
    [anon_sym_DASH_DASH] = ACTIONS(647),
    [anon_sym_DOT2] = ACTIONS(649),
    [anon_sym_COLON_COLON] = ACTIONS(647),
    [anon_sym_RBRACK] = ACTIONS(647),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(647),
  },
  [99] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [anon_sym_PLUS_PLUS] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(651),
    [anon_sym_DOT2] = ACTIONS(653),
    [anon_sym_COLON_COLON] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(651),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(651),
  },
  [100] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_DOT2] = ACTIONS(657),
    [anon_sym_COLON_COLON] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(655),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(655),
  },
  [101] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_PLUS_EQ] = ACTIONS(659),
    [anon_sym_STAR_EQ] = ACTIONS(659),
    [anon_sym_SLASH_EQ] = ACTIONS(659),
    [anon_sym_PERCENT_EQ] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_2_GT] = ACTIONS(661),
    [anon_sym_2_GT_GT] = ACTIONS(659),
    [anon_sym_3_GT] = ACTIONS(661),
    [anon_sym_3_GT_GT] = ACTIONS(659),
    [anon_sym_4_GT] = ACTIONS(661),
    [anon_sym_4_GT_GT] = ACTIONS(659),
    [anon_sym_5_GT] = ACTIONS(661),
    [anon_sym_5_GT_GT] = ACTIONS(659),
    [anon_sym_6_GT] = ACTIONS(661),
    [anon_sym_6_GT_GT] = ACTIONS(659),
    [anon_sym_STAR_GT] = ACTIONS(661),
    [anon_sym_STAR_GT_GT] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(659),
    [anon_sym_2_GT_AMP1] = ACTIONS(659),
    [anon_sym_3_GT_AMP1] = ACTIONS(659),
    [anon_sym_4_GT_AMP1] = ACTIONS(659),
    [anon_sym_5_GT_AMP1] = ACTIONS(659),
    [anon_sym_6_GT_AMP1] = ACTIONS(659),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(659),
    [anon_sym_1_GT_AMP2] = ACTIONS(659),
    [anon_sym_3_GT_AMP2] = ACTIONS(659),
    [anon_sym_4_GT_AMP2] = ACTIONS(659),
    [anon_sym_5_GT_AMP2] = ACTIONS(659),
    [anon_sym_6_GT_AMP2] = ACTIONS(659),
    [aux_sym_comparison_operator_token1] = ACTIONS(659),
    [aux_sym_comparison_operator_token2] = ACTIONS(659),
    [aux_sym_comparison_operator_token3] = ACTIONS(659),
    [aux_sym_comparison_operator_token4] = ACTIONS(659),
    [aux_sym_comparison_operator_token5] = ACTIONS(659),
    [aux_sym_comparison_operator_token6] = ACTIONS(659),
    [aux_sym_comparison_operator_token7] = ACTIONS(659),
    [aux_sym_comparison_operator_token8] = ACTIONS(659),
    [aux_sym_comparison_operator_token9] = ACTIONS(659),
    [aux_sym_comparison_operator_token10] = ACTIONS(659),
    [aux_sym_comparison_operator_token11] = ACTIONS(659),
    [aux_sym_comparison_operator_token12] = ACTIONS(659),
    [aux_sym_comparison_operator_token13] = ACTIONS(659),
    [aux_sym_comparison_operator_token14] = ACTIONS(659),
    [aux_sym_comparison_operator_token15] = ACTIONS(659),
    [aux_sym_comparison_operator_token16] = ACTIONS(659),
    [aux_sym_comparison_operator_token17] = ACTIONS(659),
    [aux_sym_comparison_operator_token18] = ACTIONS(659),
    [aux_sym_comparison_operator_token19] = ACTIONS(659),
    [aux_sym_comparison_operator_token20] = ACTIONS(659),
    [aux_sym_comparison_operator_token21] = ACTIONS(659),
    [aux_sym_comparison_operator_token22] = ACTIONS(659),
    [aux_sym_comparison_operator_token23] = ACTIONS(659),
    [aux_sym_comparison_operator_token24] = ACTIONS(659),
    [aux_sym_comparison_operator_token25] = ACTIONS(659),
    [aux_sym_comparison_operator_token26] = ACTIONS(659),
    [aux_sym_comparison_operator_token27] = ACTIONS(659),
    [aux_sym_comparison_operator_token28] = ACTIONS(661),
    [aux_sym_comparison_operator_token29] = ACTIONS(659),
    [aux_sym_comparison_operator_token30] = ACTIONS(659),
    [aux_sym_comparison_operator_token31] = ACTIONS(659),
    [aux_sym_comparison_operator_token32] = ACTIONS(659),
    [aux_sym_comparison_operator_token33] = ACTIONS(659),
    [aux_sym_comparison_operator_token34] = ACTIONS(661),
    [aux_sym_comparison_operator_token35] = ACTIONS(659),
    [aux_sym_comparison_operator_token36] = ACTIONS(659),
    [aux_sym_comparison_operator_token37] = ACTIONS(659),
    [aux_sym_comparison_operator_token38] = ACTIONS(659),
    [aux_sym_comparison_operator_token39] = ACTIONS(659),
    [aux_sym_comparison_operator_token40] = ACTIONS(659),
    [aux_sym_comparison_operator_token41] = ACTIONS(659),
    [aux_sym_comparison_operator_token42] = ACTIONS(659),
    [aux_sym_comparison_operator_token43] = ACTIONS(659),
    [aux_sym_comparison_operator_token44] = ACTIONS(659),
    [aux_sym_comparison_operator_token45] = ACTIONS(659),
    [aux_sym_comparison_operator_token46] = ACTIONS(659),
    [aux_sym_comparison_operator_token47] = ACTIONS(659),
    [aux_sym_comparison_operator_token48] = ACTIONS(659),
    [aux_sym_comparison_operator_token49] = ACTIONS(659),
    [aux_sym_comparison_operator_token50] = ACTIONS(659),
    [aux_sym_format_operator_token1] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(659),
    [anon_sym_RPAREN] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_logical_expression_token1] = ACTIONS(659),
    [aux_sym_logical_expression_token2] = ACTIONS(659),
    [aux_sym_logical_expression_token3] = ACTIONS(659),
    [aux_sym_bitwise_expression_token1] = ACTIONS(659),
    [aux_sym_bitwise_expression_token2] = ACTIONS(659),
    [aux_sym_bitwise_expression_token3] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(659),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_DOT_DOT] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_DOT2] = ACTIONS(661),
    [anon_sym_COLON_COLON] = ACTIONS(659),
    [anon_sym_RBRACK] = ACTIONS(659),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(659),
  },
  [102] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_PLUS_EQ] = ACTIONS(601),
    [anon_sym_STAR_EQ] = ACTIONS(601),
    [anon_sym_SLASH_EQ] = ACTIONS(601),
    [anon_sym_PERCENT_EQ] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_2_GT] = ACTIONS(603),
    [anon_sym_2_GT_GT] = ACTIONS(601),
    [anon_sym_3_GT] = ACTIONS(603),
    [anon_sym_3_GT_GT] = ACTIONS(601),
    [anon_sym_4_GT] = ACTIONS(603),
    [anon_sym_4_GT_GT] = ACTIONS(601),
    [anon_sym_5_GT] = ACTIONS(603),
    [anon_sym_5_GT_GT] = ACTIONS(601),
    [anon_sym_6_GT] = ACTIONS(603),
    [anon_sym_6_GT_GT] = ACTIONS(601),
    [anon_sym_STAR_GT] = ACTIONS(603),
    [anon_sym_STAR_GT_GT] = ACTIONS(601),
    [anon_sym_LT] = ACTIONS(603),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(601),
    [anon_sym_2_GT_AMP1] = ACTIONS(601),
    [anon_sym_3_GT_AMP1] = ACTIONS(601),
    [anon_sym_4_GT_AMP1] = ACTIONS(601),
    [anon_sym_5_GT_AMP1] = ACTIONS(601),
    [anon_sym_6_GT_AMP1] = ACTIONS(601),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(601),
    [anon_sym_1_GT_AMP2] = ACTIONS(601),
    [anon_sym_3_GT_AMP2] = ACTIONS(601),
    [anon_sym_4_GT_AMP2] = ACTIONS(601),
    [anon_sym_5_GT_AMP2] = ACTIONS(601),
    [anon_sym_6_GT_AMP2] = ACTIONS(601),
    [aux_sym_comparison_operator_token1] = ACTIONS(601),
    [aux_sym_comparison_operator_token2] = ACTIONS(601),
    [aux_sym_comparison_operator_token3] = ACTIONS(601),
    [aux_sym_comparison_operator_token4] = ACTIONS(601),
    [aux_sym_comparison_operator_token5] = ACTIONS(601),
    [aux_sym_comparison_operator_token6] = ACTIONS(601),
    [aux_sym_comparison_operator_token7] = ACTIONS(601),
    [aux_sym_comparison_operator_token8] = ACTIONS(601),
    [aux_sym_comparison_operator_token9] = ACTIONS(601),
    [aux_sym_comparison_operator_token10] = ACTIONS(601),
    [aux_sym_comparison_operator_token11] = ACTIONS(601),
    [aux_sym_comparison_operator_token12] = ACTIONS(601),
    [aux_sym_comparison_operator_token13] = ACTIONS(601),
    [aux_sym_comparison_operator_token14] = ACTIONS(601),
    [aux_sym_comparison_operator_token15] = ACTIONS(601),
    [aux_sym_comparison_operator_token16] = ACTIONS(601),
    [aux_sym_comparison_operator_token17] = ACTIONS(601),
    [aux_sym_comparison_operator_token18] = ACTIONS(601),
    [aux_sym_comparison_operator_token19] = ACTIONS(601),
    [aux_sym_comparison_operator_token20] = ACTIONS(601),
    [aux_sym_comparison_operator_token21] = ACTIONS(601),
    [aux_sym_comparison_operator_token22] = ACTIONS(601),
    [aux_sym_comparison_operator_token23] = ACTIONS(601),
    [aux_sym_comparison_operator_token24] = ACTIONS(601),
    [aux_sym_comparison_operator_token25] = ACTIONS(601),
    [aux_sym_comparison_operator_token26] = ACTIONS(601),
    [aux_sym_comparison_operator_token27] = ACTIONS(601),
    [aux_sym_comparison_operator_token28] = ACTIONS(603),
    [aux_sym_comparison_operator_token29] = ACTIONS(601),
    [aux_sym_comparison_operator_token30] = ACTIONS(601),
    [aux_sym_comparison_operator_token31] = ACTIONS(601),
    [aux_sym_comparison_operator_token32] = ACTIONS(601),
    [aux_sym_comparison_operator_token33] = ACTIONS(601),
    [aux_sym_comparison_operator_token34] = ACTIONS(603),
    [aux_sym_comparison_operator_token35] = ACTIONS(601),
    [aux_sym_comparison_operator_token36] = ACTIONS(601),
    [aux_sym_comparison_operator_token37] = ACTIONS(601),
    [aux_sym_comparison_operator_token38] = ACTIONS(601),
    [aux_sym_comparison_operator_token39] = ACTIONS(601),
    [aux_sym_comparison_operator_token40] = ACTIONS(601),
    [aux_sym_comparison_operator_token41] = ACTIONS(601),
    [aux_sym_comparison_operator_token42] = ACTIONS(601),
    [aux_sym_comparison_operator_token43] = ACTIONS(601),
    [aux_sym_comparison_operator_token44] = ACTIONS(601),
    [aux_sym_comparison_operator_token45] = ACTIONS(601),
    [aux_sym_comparison_operator_token46] = ACTIONS(601),
    [aux_sym_comparison_operator_token47] = ACTIONS(601),
    [aux_sym_comparison_operator_token48] = ACTIONS(601),
    [aux_sym_comparison_operator_token49] = ACTIONS(601),
    [aux_sym_comparison_operator_token50] = ACTIONS(601),
    [aux_sym_format_operator_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [aux_sym_logical_expression_token1] = ACTIONS(601),
    [aux_sym_logical_expression_token2] = ACTIONS(601),
    [aux_sym_logical_expression_token3] = ACTIONS(601),
    [aux_sym_bitwise_expression_token1] = ACTIONS(601),
    [aux_sym_bitwise_expression_token2] = ACTIONS(601),
    [aux_sym_bitwise_expression_token3] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_PLUS_PLUS] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(601),
    [anon_sym_DOT2] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(601),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(601),
    [sym__statement_terminator] = ACTIONS(601),
  },
  [103] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(663),
    [anon_sym_2_GT] = ACTIONS(665),
    [anon_sym_2_GT_GT] = ACTIONS(663),
    [anon_sym_3_GT] = ACTIONS(665),
    [anon_sym_3_GT_GT] = ACTIONS(663),
    [anon_sym_4_GT] = ACTIONS(665),
    [anon_sym_4_GT_GT] = ACTIONS(663),
    [anon_sym_5_GT] = ACTIONS(665),
    [anon_sym_5_GT_GT] = ACTIONS(663),
    [anon_sym_6_GT] = ACTIONS(665),
    [anon_sym_6_GT_GT] = ACTIONS(663),
    [anon_sym_STAR_GT] = ACTIONS(665),
    [anon_sym_STAR_GT_GT] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(663),
    [anon_sym_2_GT_AMP1] = ACTIONS(663),
    [anon_sym_3_GT_AMP1] = ACTIONS(663),
    [anon_sym_4_GT_AMP1] = ACTIONS(663),
    [anon_sym_5_GT_AMP1] = ACTIONS(663),
    [anon_sym_6_GT_AMP1] = ACTIONS(663),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(663),
    [anon_sym_1_GT_AMP2] = ACTIONS(663),
    [anon_sym_3_GT_AMP2] = ACTIONS(663),
    [anon_sym_4_GT_AMP2] = ACTIONS(663),
    [anon_sym_5_GT_AMP2] = ACTIONS(663),
    [anon_sym_6_GT_AMP2] = ACTIONS(663),
    [aux_sym_comparison_operator_token1] = ACTIONS(663),
    [aux_sym_comparison_operator_token2] = ACTIONS(663),
    [aux_sym_comparison_operator_token3] = ACTIONS(663),
    [aux_sym_comparison_operator_token4] = ACTIONS(663),
    [aux_sym_comparison_operator_token5] = ACTIONS(663),
    [aux_sym_comparison_operator_token6] = ACTIONS(663),
    [aux_sym_comparison_operator_token7] = ACTIONS(663),
    [aux_sym_comparison_operator_token8] = ACTIONS(663),
    [aux_sym_comparison_operator_token9] = ACTIONS(663),
    [aux_sym_comparison_operator_token10] = ACTIONS(663),
    [aux_sym_comparison_operator_token11] = ACTIONS(663),
    [aux_sym_comparison_operator_token12] = ACTIONS(663),
    [aux_sym_comparison_operator_token13] = ACTIONS(663),
    [aux_sym_comparison_operator_token14] = ACTIONS(663),
    [aux_sym_comparison_operator_token15] = ACTIONS(663),
    [aux_sym_comparison_operator_token16] = ACTIONS(663),
    [aux_sym_comparison_operator_token17] = ACTIONS(663),
    [aux_sym_comparison_operator_token18] = ACTIONS(663),
    [aux_sym_comparison_operator_token19] = ACTIONS(663),
    [aux_sym_comparison_operator_token20] = ACTIONS(663),
    [aux_sym_comparison_operator_token21] = ACTIONS(663),
    [aux_sym_comparison_operator_token22] = ACTIONS(663),
    [aux_sym_comparison_operator_token23] = ACTIONS(663),
    [aux_sym_comparison_operator_token24] = ACTIONS(663),
    [aux_sym_comparison_operator_token25] = ACTIONS(663),
    [aux_sym_comparison_operator_token26] = ACTIONS(663),
    [aux_sym_comparison_operator_token27] = ACTIONS(663),
    [aux_sym_comparison_operator_token28] = ACTIONS(665),
    [aux_sym_comparison_operator_token29] = ACTIONS(663),
    [aux_sym_comparison_operator_token30] = ACTIONS(663),
    [aux_sym_comparison_operator_token31] = ACTIONS(663),
    [aux_sym_comparison_operator_token32] = ACTIONS(663),
    [aux_sym_comparison_operator_token33] = ACTIONS(663),
    [aux_sym_comparison_operator_token34] = ACTIONS(665),
    [aux_sym_comparison_operator_token35] = ACTIONS(663),
    [aux_sym_comparison_operator_token36] = ACTIONS(663),
    [aux_sym_comparison_operator_token37] = ACTIONS(663),
    [aux_sym_comparison_operator_token38] = ACTIONS(663),
    [aux_sym_comparison_operator_token39] = ACTIONS(663),
    [aux_sym_comparison_operator_token40] = ACTIONS(663),
    [aux_sym_comparison_operator_token41] = ACTIONS(663),
    [aux_sym_comparison_operator_token42] = ACTIONS(663),
    [aux_sym_comparison_operator_token43] = ACTIONS(663),
    [aux_sym_comparison_operator_token44] = ACTIONS(663),
    [aux_sym_comparison_operator_token45] = ACTIONS(663),
    [aux_sym_comparison_operator_token46] = ACTIONS(663),
    [aux_sym_comparison_operator_token47] = ACTIONS(663),
    [aux_sym_comparison_operator_token48] = ACTIONS(663),
    [aux_sym_comparison_operator_token49] = ACTIONS(663),
    [aux_sym_comparison_operator_token50] = ACTIONS(663),
    [aux_sym_format_operator_token1] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(663),
    [anon_sym_PERCENT] = ACTIONS(665),
    [aux_sym_logical_expression_token1] = ACTIONS(663),
    [aux_sym_logical_expression_token2] = ACTIONS(663),
    [aux_sym_logical_expression_token3] = ACTIONS(663),
    [aux_sym_bitwise_expression_token1] = ACTIONS(663),
    [aux_sym_bitwise_expression_token2] = ACTIONS(663),
    [aux_sym_bitwise_expression_token3] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [anon_sym_DOT2] = ACTIONS(665),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(663),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(663),
  },
  [104] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_PLUS_EQ] = ACTIONS(667),
    [anon_sym_STAR_EQ] = ACTIONS(667),
    [anon_sym_SLASH_EQ] = ACTIONS(667),
    [anon_sym_PERCENT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_2_GT] = ACTIONS(669),
    [anon_sym_2_GT_GT] = ACTIONS(667),
    [anon_sym_3_GT] = ACTIONS(669),
    [anon_sym_3_GT_GT] = ACTIONS(667),
    [anon_sym_4_GT] = ACTIONS(669),
    [anon_sym_4_GT_GT] = ACTIONS(667),
    [anon_sym_5_GT] = ACTIONS(669),
    [anon_sym_5_GT_GT] = ACTIONS(667),
    [anon_sym_6_GT] = ACTIONS(669),
    [anon_sym_6_GT_GT] = ACTIONS(667),
    [anon_sym_STAR_GT] = ACTIONS(669),
    [anon_sym_STAR_GT_GT] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(667),
    [anon_sym_2_GT_AMP1] = ACTIONS(667),
    [anon_sym_3_GT_AMP1] = ACTIONS(667),
    [anon_sym_4_GT_AMP1] = ACTIONS(667),
    [anon_sym_5_GT_AMP1] = ACTIONS(667),
    [anon_sym_6_GT_AMP1] = ACTIONS(667),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(667),
    [anon_sym_1_GT_AMP2] = ACTIONS(667),
    [anon_sym_3_GT_AMP2] = ACTIONS(667),
    [anon_sym_4_GT_AMP2] = ACTIONS(667),
    [anon_sym_5_GT_AMP2] = ACTIONS(667),
    [anon_sym_6_GT_AMP2] = ACTIONS(667),
    [aux_sym_comparison_operator_token1] = ACTIONS(667),
    [aux_sym_comparison_operator_token2] = ACTIONS(667),
    [aux_sym_comparison_operator_token3] = ACTIONS(667),
    [aux_sym_comparison_operator_token4] = ACTIONS(667),
    [aux_sym_comparison_operator_token5] = ACTIONS(667),
    [aux_sym_comparison_operator_token6] = ACTIONS(667),
    [aux_sym_comparison_operator_token7] = ACTIONS(667),
    [aux_sym_comparison_operator_token8] = ACTIONS(667),
    [aux_sym_comparison_operator_token9] = ACTIONS(667),
    [aux_sym_comparison_operator_token10] = ACTIONS(667),
    [aux_sym_comparison_operator_token11] = ACTIONS(667),
    [aux_sym_comparison_operator_token12] = ACTIONS(667),
    [aux_sym_comparison_operator_token13] = ACTIONS(667),
    [aux_sym_comparison_operator_token14] = ACTIONS(667),
    [aux_sym_comparison_operator_token15] = ACTIONS(667),
    [aux_sym_comparison_operator_token16] = ACTIONS(667),
    [aux_sym_comparison_operator_token17] = ACTIONS(667),
    [aux_sym_comparison_operator_token18] = ACTIONS(667),
    [aux_sym_comparison_operator_token19] = ACTIONS(667),
    [aux_sym_comparison_operator_token20] = ACTIONS(667),
    [aux_sym_comparison_operator_token21] = ACTIONS(667),
    [aux_sym_comparison_operator_token22] = ACTIONS(667),
    [aux_sym_comparison_operator_token23] = ACTIONS(667),
    [aux_sym_comparison_operator_token24] = ACTIONS(667),
    [aux_sym_comparison_operator_token25] = ACTIONS(667),
    [aux_sym_comparison_operator_token26] = ACTIONS(667),
    [aux_sym_comparison_operator_token27] = ACTIONS(667),
    [aux_sym_comparison_operator_token28] = ACTIONS(669),
    [aux_sym_comparison_operator_token29] = ACTIONS(667),
    [aux_sym_comparison_operator_token30] = ACTIONS(667),
    [aux_sym_comparison_operator_token31] = ACTIONS(667),
    [aux_sym_comparison_operator_token32] = ACTIONS(667),
    [aux_sym_comparison_operator_token33] = ACTIONS(667),
    [aux_sym_comparison_operator_token34] = ACTIONS(669),
    [aux_sym_comparison_operator_token35] = ACTIONS(667),
    [aux_sym_comparison_operator_token36] = ACTIONS(667),
    [aux_sym_comparison_operator_token37] = ACTIONS(667),
    [aux_sym_comparison_operator_token38] = ACTIONS(667),
    [aux_sym_comparison_operator_token39] = ACTIONS(667),
    [aux_sym_comparison_operator_token40] = ACTIONS(667),
    [aux_sym_comparison_operator_token41] = ACTIONS(667),
    [aux_sym_comparison_operator_token42] = ACTIONS(667),
    [aux_sym_comparison_operator_token43] = ACTIONS(667),
    [aux_sym_comparison_operator_token44] = ACTIONS(667),
    [aux_sym_comparison_operator_token45] = ACTIONS(667),
    [aux_sym_comparison_operator_token46] = ACTIONS(667),
    [aux_sym_comparison_operator_token47] = ACTIONS(667),
    [aux_sym_comparison_operator_token48] = ACTIONS(667),
    [aux_sym_comparison_operator_token49] = ACTIONS(667),
    [aux_sym_comparison_operator_token50] = ACTIONS(667),
    [aux_sym_format_operator_token1] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(667),
    [anon_sym_PERCENT] = ACTIONS(669),
    [aux_sym_logical_expression_token1] = ACTIONS(667),
    [aux_sym_logical_expression_token2] = ACTIONS(667),
    [aux_sym_logical_expression_token3] = ACTIONS(667),
    [aux_sym_bitwise_expression_token1] = ACTIONS(667),
    [aux_sym_bitwise_expression_token2] = ACTIONS(667),
    [aux_sym_bitwise_expression_token3] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_DOT2] = ACTIONS(669),
    [anon_sym_COLON_COLON] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(667),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(667),
  },
  [105] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_PLUS_EQ] = ACTIONS(671),
    [anon_sym_STAR_EQ] = ACTIONS(671),
    [anon_sym_SLASH_EQ] = ACTIONS(671),
    [anon_sym_PERCENT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_2_GT] = ACTIONS(673),
    [anon_sym_2_GT_GT] = ACTIONS(671),
    [anon_sym_3_GT] = ACTIONS(673),
    [anon_sym_3_GT_GT] = ACTIONS(671),
    [anon_sym_4_GT] = ACTIONS(673),
    [anon_sym_4_GT_GT] = ACTIONS(671),
    [anon_sym_5_GT] = ACTIONS(673),
    [anon_sym_5_GT_GT] = ACTIONS(671),
    [anon_sym_6_GT] = ACTIONS(673),
    [anon_sym_6_GT_GT] = ACTIONS(671),
    [anon_sym_STAR_GT] = ACTIONS(673),
    [anon_sym_STAR_GT_GT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(671),
    [anon_sym_2_GT_AMP1] = ACTIONS(671),
    [anon_sym_3_GT_AMP1] = ACTIONS(671),
    [anon_sym_4_GT_AMP1] = ACTIONS(671),
    [anon_sym_5_GT_AMP1] = ACTIONS(671),
    [anon_sym_6_GT_AMP1] = ACTIONS(671),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(671),
    [anon_sym_1_GT_AMP2] = ACTIONS(671),
    [anon_sym_3_GT_AMP2] = ACTIONS(671),
    [anon_sym_4_GT_AMP2] = ACTIONS(671),
    [anon_sym_5_GT_AMP2] = ACTIONS(671),
    [anon_sym_6_GT_AMP2] = ACTIONS(671),
    [aux_sym_comparison_operator_token1] = ACTIONS(671),
    [aux_sym_comparison_operator_token2] = ACTIONS(671),
    [aux_sym_comparison_operator_token3] = ACTIONS(671),
    [aux_sym_comparison_operator_token4] = ACTIONS(671),
    [aux_sym_comparison_operator_token5] = ACTIONS(671),
    [aux_sym_comparison_operator_token6] = ACTIONS(671),
    [aux_sym_comparison_operator_token7] = ACTIONS(671),
    [aux_sym_comparison_operator_token8] = ACTIONS(671),
    [aux_sym_comparison_operator_token9] = ACTIONS(671),
    [aux_sym_comparison_operator_token10] = ACTIONS(671),
    [aux_sym_comparison_operator_token11] = ACTIONS(671),
    [aux_sym_comparison_operator_token12] = ACTIONS(671),
    [aux_sym_comparison_operator_token13] = ACTIONS(671),
    [aux_sym_comparison_operator_token14] = ACTIONS(671),
    [aux_sym_comparison_operator_token15] = ACTIONS(671),
    [aux_sym_comparison_operator_token16] = ACTIONS(671),
    [aux_sym_comparison_operator_token17] = ACTIONS(671),
    [aux_sym_comparison_operator_token18] = ACTIONS(671),
    [aux_sym_comparison_operator_token19] = ACTIONS(671),
    [aux_sym_comparison_operator_token20] = ACTIONS(671),
    [aux_sym_comparison_operator_token21] = ACTIONS(671),
    [aux_sym_comparison_operator_token22] = ACTIONS(671),
    [aux_sym_comparison_operator_token23] = ACTIONS(671),
    [aux_sym_comparison_operator_token24] = ACTIONS(671),
    [aux_sym_comparison_operator_token25] = ACTIONS(671),
    [aux_sym_comparison_operator_token26] = ACTIONS(671),
    [aux_sym_comparison_operator_token27] = ACTIONS(671),
    [aux_sym_comparison_operator_token28] = ACTIONS(673),
    [aux_sym_comparison_operator_token29] = ACTIONS(671),
    [aux_sym_comparison_operator_token30] = ACTIONS(671),
    [aux_sym_comparison_operator_token31] = ACTIONS(671),
    [aux_sym_comparison_operator_token32] = ACTIONS(671),
    [aux_sym_comparison_operator_token33] = ACTIONS(671),
    [aux_sym_comparison_operator_token34] = ACTIONS(673),
    [aux_sym_comparison_operator_token35] = ACTIONS(671),
    [aux_sym_comparison_operator_token36] = ACTIONS(671),
    [aux_sym_comparison_operator_token37] = ACTIONS(671),
    [aux_sym_comparison_operator_token38] = ACTIONS(671),
    [aux_sym_comparison_operator_token39] = ACTIONS(671),
    [aux_sym_comparison_operator_token40] = ACTIONS(671),
    [aux_sym_comparison_operator_token41] = ACTIONS(671),
    [aux_sym_comparison_operator_token42] = ACTIONS(671),
    [aux_sym_comparison_operator_token43] = ACTIONS(671),
    [aux_sym_comparison_operator_token44] = ACTIONS(671),
    [aux_sym_comparison_operator_token45] = ACTIONS(671),
    [aux_sym_comparison_operator_token46] = ACTIONS(671),
    [aux_sym_comparison_operator_token47] = ACTIONS(671),
    [aux_sym_comparison_operator_token48] = ACTIONS(671),
    [aux_sym_comparison_operator_token49] = ACTIONS(671),
    [aux_sym_comparison_operator_token50] = ACTIONS(671),
    [aux_sym_format_operator_token1] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [aux_sym_logical_expression_token1] = ACTIONS(671),
    [aux_sym_logical_expression_token2] = ACTIONS(671),
    [aux_sym_logical_expression_token3] = ACTIONS(671),
    [aux_sym_bitwise_expression_token1] = ACTIONS(671),
    [aux_sym_bitwise_expression_token2] = ACTIONS(671),
    [aux_sym_bitwise_expression_token3] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS_PLUS] = ACTIONS(671),
    [anon_sym_DASH_DASH] = ACTIONS(671),
    [anon_sym_DOT2] = ACTIONS(673),
    [anon_sym_COLON_COLON] = ACTIONS(671),
    [anon_sym_RBRACK] = ACTIONS(671),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(671),
  },
  [106] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(675),
    [anon_sym_DASH_DASH] = ACTIONS(675),
    [anon_sym_DOT2] = ACTIONS(677),
    [anon_sym_COLON_COLON] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(675),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(675),
  },
  [107] = {
    [sym_argument_list] = STATE(128),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
    [sym__statement_terminator] = ACTIONS(591),
  },
  [108] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_PLUS_EQ] = ACTIONS(679),
    [anon_sym_STAR_EQ] = ACTIONS(679),
    [anon_sym_SLASH_EQ] = ACTIONS(679),
    [anon_sym_PERCENT_EQ] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_2_GT] = ACTIONS(681),
    [anon_sym_2_GT_GT] = ACTIONS(679),
    [anon_sym_3_GT] = ACTIONS(681),
    [anon_sym_3_GT_GT] = ACTIONS(679),
    [anon_sym_4_GT] = ACTIONS(681),
    [anon_sym_4_GT_GT] = ACTIONS(679),
    [anon_sym_5_GT] = ACTIONS(681),
    [anon_sym_5_GT_GT] = ACTIONS(679),
    [anon_sym_6_GT] = ACTIONS(681),
    [anon_sym_6_GT_GT] = ACTIONS(679),
    [anon_sym_STAR_GT] = ACTIONS(681),
    [anon_sym_STAR_GT_GT] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(679),
    [anon_sym_2_GT_AMP1] = ACTIONS(679),
    [anon_sym_3_GT_AMP1] = ACTIONS(679),
    [anon_sym_4_GT_AMP1] = ACTIONS(679),
    [anon_sym_5_GT_AMP1] = ACTIONS(679),
    [anon_sym_6_GT_AMP1] = ACTIONS(679),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(679),
    [anon_sym_1_GT_AMP2] = ACTIONS(679),
    [anon_sym_3_GT_AMP2] = ACTIONS(679),
    [anon_sym_4_GT_AMP2] = ACTIONS(679),
    [anon_sym_5_GT_AMP2] = ACTIONS(679),
    [anon_sym_6_GT_AMP2] = ACTIONS(679),
    [aux_sym_comparison_operator_token1] = ACTIONS(679),
    [aux_sym_comparison_operator_token2] = ACTIONS(679),
    [aux_sym_comparison_operator_token3] = ACTIONS(679),
    [aux_sym_comparison_operator_token4] = ACTIONS(679),
    [aux_sym_comparison_operator_token5] = ACTIONS(679),
    [aux_sym_comparison_operator_token6] = ACTIONS(679),
    [aux_sym_comparison_operator_token7] = ACTIONS(679),
    [aux_sym_comparison_operator_token8] = ACTIONS(679),
    [aux_sym_comparison_operator_token9] = ACTIONS(679),
    [aux_sym_comparison_operator_token10] = ACTIONS(679),
    [aux_sym_comparison_operator_token11] = ACTIONS(679),
    [aux_sym_comparison_operator_token12] = ACTIONS(679),
    [aux_sym_comparison_operator_token13] = ACTIONS(679),
    [aux_sym_comparison_operator_token14] = ACTIONS(679),
    [aux_sym_comparison_operator_token15] = ACTIONS(679),
    [aux_sym_comparison_operator_token16] = ACTIONS(679),
    [aux_sym_comparison_operator_token17] = ACTIONS(679),
    [aux_sym_comparison_operator_token18] = ACTIONS(679),
    [aux_sym_comparison_operator_token19] = ACTIONS(679),
    [aux_sym_comparison_operator_token20] = ACTIONS(679),
    [aux_sym_comparison_operator_token21] = ACTIONS(679),
    [aux_sym_comparison_operator_token22] = ACTIONS(679),
    [aux_sym_comparison_operator_token23] = ACTIONS(679),
    [aux_sym_comparison_operator_token24] = ACTIONS(679),
    [aux_sym_comparison_operator_token25] = ACTIONS(679),
    [aux_sym_comparison_operator_token26] = ACTIONS(679),
    [aux_sym_comparison_operator_token27] = ACTIONS(679),
    [aux_sym_comparison_operator_token28] = ACTIONS(681),
    [aux_sym_comparison_operator_token29] = ACTIONS(679),
    [aux_sym_comparison_operator_token30] = ACTIONS(679),
    [aux_sym_comparison_operator_token31] = ACTIONS(679),
    [aux_sym_comparison_operator_token32] = ACTIONS(679),
    [aux_sym_comparison_operator_token33] = ACTIONS(679),
    [aux_sym_comparison_operator_token34] = ACTIONS(681),
    [aux_sym_comparison_operator_token35] = ACTIONS(679),
    [aux_sym_comparison_operator_token36] = ACTIONS(679),
    [aux_sym_comparison_operator_token37] = ACTIONS(679),
    [aux_sym_comparison_operator_token38] = ACTIONS(679),
    [aux_sym_comparison_operator_token39] = ACTIONS(679),
    [aux_sym_comparison_operator_token40] = ACTIONS(679),
    [aux_sym_comparison_operator_token41] = ACTIONS(679),
    [aux_sym_comparison_operator_token42] = ACTIONS(679),
    [aux_sym_comparison_operator_token43] = ACTIONS(679),
    [aux_sym_comparison_operator_token44] = ACTIONS(679),
    [aux_sym_comparison_operator_token45] = ACTIONS(679),
    [aux_sym_comparison_operator_token46] = ACTIONS(679),
    [aux_sym_comparison_operator_token47] = ACTIONS(679),
    [aux_sym_comparison_operator_token48] = ACTIONS(679),
    [aux_sym_comparison_operator_token49] = ACTIONS(679),
    [aux_sym_comparison_operator_token50] = ACTIONS(679),
    [aux_sym_format_operator_token1] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_RPAREN] = ACTIONS(679),
    [anon_sym_COMMA] = ACTIONS(679),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(681),
    [aux_sym_logical_expression_token1] = ACTIONS(679),
    [aux_sym_logical_expression_token2] = ACTIONS(679),
    [aux_sym_logical_expression_token3] = ACTIONS(679),
    [aux_sym_bitwise_expression_token1] = ACTIONS(679),
    [aux_sym_bitwise_expression_token2] = ACTIONS(679),
    [aux_sym_bitwise_expression_token3] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_BSLASH] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_DOT_DOT] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_DOT2] = ACTIONS(681),
    [anon_sym_COLON_COLON] = ACTIONS(679),
    [anon_sym_RBRACK] = ACTIONS(679),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(679),
  },
  [109] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_PLUS_EQ] = ACTIONS(683),
    [anon_sym_STAR_EQ] = ACTIONS(683),
    [anon_sym_SLASH_EQ] = ACTIONS(683),
    [anon_sym_PERCENT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(686),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_2_GT] = ACTIONS(686),
    [anon_sym_2_GT_GT] = ACTIONS(683),
    [anon_sym_3_GT] = ACTIONS(686),
    [anon_sym_3_GT_GT] = ACTIONS(683),
    [anon_sym_4_GT] = ACTIONS(686),
    [anon_sym_4_GT_GT] = ACTIONS(683),
    [anon_sym_5_GT] = ACTIONS(686),
    [anon_sym_5_GT_GT] = ACTIONS(683),
    [anon_sym_6_GT] = ACTIONS(686),
    [anon_sym_6_GT_GT] = ACTIONS(683),
    [anon_sym_STAR_GT] = ACTIONS(686),
    [anon_sym_STAR_GT_GT] = ACTIONS(683),
    [anon_sym_LT] = ACTIONS(686),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(683),
    [anon_sym_2_GT_AMP1] = ACTIONS(683),
    [anon_sym_3_GT_AMP1] = ACTIONS(683),
    [anon_sym_4_GT_AMP1] = ACTIONS(683),
    [anon_sym_5_GT_AMP1] = ACTIONS(683),
    [anon_sym_6_GT_AMP1] = ACTIONS(683),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(683),
    [anon_sym_1_GT_AMP2] = ACTIONS(683),
    [anon_sym_3_GT_AMP2] = ACTIONS(683),
    [anon_sym_4_GT_AMP2] = ACTIONS(683),
    [anon_sym_5_GT_AMP2] = ACTIONS(683),
    [anon_sym_6_GT_AMP2] = ACTIONS(683),
    [aux_sym_comparison_operator_token1] = ACTIONS(683),
    [aux_sym_comparison_operator_token2] = ACTIONS(683),
    [aux_sym_comparison_operator_token3] = ACTIONS(683),
    [aux_sym_comparison_operator_token4] = ACTIONS(683),
    [aux_sym_comparison_operator_token5] = ACTIONS(683),
    [aux_sym_comparison_operator_token6] = ACTIONS(683),
    [aux_sym_comparison_operator_token7] = ACTIONS(683),
    [aux_sym_comparison_operator_token8] = ACTIONS(683),
    [aux_sym_comparison_operator_token9] = ACTIONS(683),
    [aux_sym_comparison_operator_token10] = ACTIONS(683),
    [aux_sym_comparison_operator_token11] = ACTIONS(683),
    [aux_sym_comparison_operator_token12] = ACTIONS(683),
    [aux_sym_comparison_operator_token13] = ACTIONS(683),
    [aux_sym_comparison_operator_token14] = ACTIONS(683),
    [aux_sym_comparison_operator_token15] = ACTIONS(683),
    [aux_sym_comparison_operator_token16] = ACTIONS(683),
    [aux_sym_comparison_operator_token17] = ACTIONS(683),
    [aux_sym_comparison_operator_token18] = ACTIONS(683),
    [aux_sym_comparison_operator_token19] = ACTIONS(683),
    [aux_sym_comparison_operator_token20] = ACTIONS(683),
    [aux_sym_comparison_operator_token21] = ACTIONS(683),
    [aux_sym_comparison_operator_token22] = ACTIONS(683),
    [aux_sym_comparison_operator_token23] = ACTIONS(683),
    [aux_sym_comparison_operator_token24] = ACTIONS(683),
    [aux_sym_comparison_operator_token25] = ACTIONS(683),
    [aux_sym_comparison_operator_token26] = ACTIONS(683),
    [aux_sym_comparison_operator_token27] = ACTIONS(683),
    [aux_sym_comparison_operator_token28] = ACTIONS(686),
    [aux_sym_comparison_operator_token29] = ACTIONS(683),
    [aux_sym_comparison_operator_token30] = ACTIONS(683),
    [aux_sym_comparison_operator_token31] = ACTIONS(683),
    [aux_sym_comparison_operator_token32] = ACTIONS(683),
    [aux_sym_comparison_operator_token33] = ACTIONS(683),
    [aux_sym_comparison_operator_token34] = ACTIONS(686),
    [aux_sym_comparison_operator_token35] = ACTIONS(683),
    [aux_sym_comparison_operator_token36] = ACTIONS(683),
    [aux_sym_comparison_operator_token37] = ACTIONS(683),
    [aux_sym_comparison_operator_token38] = ACTIONS(683),
    [aux_sym_comparison_operator_token39] = ACTIONS(683),
    [aux_sym_comparison_operator_token40] = ACTIONS(683),
    [aux_sym_comparison_operator_token41] = ACTIONS(683),
    [aux_sym_comparison_operator_token42] = ACTIONS(683),
    [aux_sym_comparison_operator_token43] = ACTIONS(683),
    [aux_sym_comparison_operator_token44] = ACTIONS(683),
    [aux_sym_comparison_operator_token45] = ACTIONS(683),
    [aux_sym_comparison_operator_token46] = ACTIONS(683),
    [aux_sym_comparison_operator_token47] = ACTIONS(683),
    [aux_sym_comparison_operator_token48] = ACTIONS(683),
    [aux_sym_comparison_operator_token49] = ACTIONS(683),
    [aux_sym_comparison_operator_token50] = ACTIONS(683),
    [aux_sym_format_operator_token1] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_RPAREN] = ACTIONS(683),
    [anon_sym_COMMA] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(686),
    [aux_sym_logical_expression_token1] = ACTIONS(683),
    [aux_sym_logical_expression_token2] = ACTIONS(683),
    [aux_sym_logical_expression_token3] = ACTIONS(683),
    [aux_sym_bitwise_expression_token1] = ACTIONS(683),
    [aux_sym_bitwise_expression_token2] = ACTIONS(683),
    [aux_sym_bitwise_expression_token3] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_SLASH] = ACTIONS(686),
    [anon_sym_BSLASH] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(683),
    [anon_sym_DASH_DASH] = ACTIONS(683),
    [anon_sym_DOT2] = ACTIONS(686),
    [anon_sym_COLON_COLON] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(683),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(683),
  },
  [110] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(689),
    [anon_sym_BANG_EQ] = ACTIONS(689),
    [anon_sym_PLUS_EQ] = ACTIONS(689),
    [anon_sym_STAR_EQ] = ACTIONS(689),
    [anon_sym_SLASH_EQ] = ACTIONS(689),
    [anon_sym_PERCENT_EQ] = ACTIONS(689),
    [anon_sym_GT] = ACTIONS(691),
    [anon_sym_GT_GT] = ACTIONS(689),
    [anon_sym_2_GT] = ACTIONS(691),
    [anon_sym_2_GT_GT] = ACTIONS(689),
    [anon_sym_3_GT] = ACTIONS(691),
    [anon_sym_3_GT_GT] = ACTIONS(689),
    [anon_sym_4_GT] = ACTIONS(691),
    [anon_sym_4_GT_GT] = ACTIONS(689),
    [anon_sym_5_GT] = ACTIONS(691),
    [anon_sym_5_GT_GT] = ACTIONS(689),
    [anon_sym_6_GT] = ACTIONS(691),
    [anon_sym_6_GT_GT] = ACTIONS(689),
    [anon_sym_STAR_GT] = ACTIONS(691),
    [anon_sym_STAR_GT_GT] = ACTIONS(689),
    [anon_sym_LT] = ACTIONS(691),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(689),
    [anon_sym_2_GT_AMP1] = ACTIONS(689),
    [anon_sym_3_GT_AMP1] = ACTIONS(689),
    [anon_sym_4_GT_AMP1] = ACTIONS(689),
    [anon_sym_5_GT_AMP1] = ACTIONS(689),
    [anon_sym_6_GT_AMP1] = ACTIONS(689),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(689),
    [anon_sym_1_GT_AMP2] = ACTIONS(689),
    [anon_sym_3_GT_AMP2] = ACTIONS(689),
    [anon_sym_4_GT_AMP2] = ACTIONS(689),
    [anon_sym_5_GT_AMP2] = ACTIONS(689),
    [anon_sym_6_GT_AMP2] = ACTIONS(689),
    [aux_sym_comparison_operator_token1] = ACTIONS(689),
    [aux_sym_comparison_operator_token2] = ACTIONS(689),
    [aux_sym_comparison_operator_token3] = ACTIONS(689),
    [aux_sym_comparison_operator_token4] = ACTIONS(689),
    [aux_sym_comparison_operator_token5] = ACTIONS(689),
    [aux_sym_comparison_operator_token6] = ACTIONS(689),
    [aux_sym_comparison_operator_token7] = ACTIONS(689),
    [aux_sym_comparison_operator_token8] = ACTIONS(689),
    [aux_sym_comparison_operator_token9] = ACTIONS(689),
    [aux_sym_comparison_operator_token10] = ACTIONS(689),
    [aux_sym_comparison_operator_token11] = ACTIONS(689),
    [aux_sym_comparison_operator_token12] = ACTIONS(689),
    [aux_sym_comparison_operator_token13] = ACTIONS(689),
    [aux_sym_comparison_operator_token14] = ACTIONS(689),
    [aux_sym_comparison_operator_token15] = ACTIONS(689),
    [aux_sym_comparison_operator_token16] = ACTIONS(689),
    [aux_sym_comparison_operator_token17] = ACTIONS(689),
    [aux_sym_comparison_operator_token18] = ACTIONS(689),
    [aux_sym_comparison_operator_token19] = ACTIONS(689),
    [aux_sym_comparison_operator_token20] = ACTIONS(689),
    [aux_sym_comparison_operator_token21] = ACTIONS(689),
    [aux_sym_comparison_operator_token22] = ACTIONS(689),
    [aux_sym_comparison_operator_token23] = ACTIONS(689),
    [aux_sym_comparison_operator_token24] = ACTIONS(689),
    [aux_sym_comparison_operator_token25] = ACTIONS(689),
    [aux_sym_comparison_operator_token26] = ACTIONS(689),
    [aux_sym_comparison_operator_token27] = ACTIONS(689),
    [aux_sym_comparison_operator_token28] = ACTIONS(691),
    [aux_sym_comparison_operator_token29] = ACTIONS(689),
    [aux_sym_comparison_operator_token30] = ACTIONS(689),
    [aux_sym_comparison_operator_token31] = ACTIONS(689),
    [aux_sym_comparison_operator_token32] = ACTIONS(689),
    [aux_sym_comparison_operator_token33] = ACTIONS(689),
    [aux_sym_comparison_operator_token34] = ACTIONS(691),
    [aux_sym_comparison_operator_token35] = ACTIONS(689),
    [aux_sym_comparison_operator_token36] = ACTIONS(689),
    [aux_sym_comparison_operator_token37] = ACTIONS(689),
    [aux_sym_comparison_operator_token38] = ACTIONS(689),
    [aux_sym_comparison_operator_token39] = ACTIONS(689),
    [aux_sym_comparison_operator_token40] = ACTIONS(689),
    [aux_sym_comparison_operator_token41] = ACTIONS(689),
    [aux_sym_comparison_operator_token42] = ACTIONS(689),
    [aux_sym_comparison_operator_token43] = ACTIONS(689),
    [aux_sym_comparison_operator_token44] = ACTIONS(689),
    [aux_sym_comparison_operator_token45] = ACTIONS(689),
    [aux_sym_comparison_operator_token46] = ACTIONS(689),
    [aux_sym_comparison_operator_token47] = ACTIONS(689),
    [aux_sym_comparison_operator_token48] = ACTIONS(689),
    [aux_sym_comparison_operator_token49] = ACTIONS(689),
    [aux_sym_comparison_operator_token50] = ACTIONS(689),
    [aux_sym_format_operator_token1] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(689),
    [anon_sym_RPAREN] = ACTIONS(689),
    [anon_sym_COMMA] = ACTIONS(689),
    [anon_sym_PIPE] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(691),
    [aux_sym_logical_expression_token1] = ACTIONS(689),
    [aux_sym_logical_expression_token2] = ACTIONS(689),
    [aux_sym_logical_expression_token3] = ACTIONS(689),
    [aux_sym_bitwise_expression_token1] = ACTIONS(689),
    [aux_sym_bitwise_expression_token2] = ACTIONS(689),
    [aux_sym_bitwise_expression_token3] = ACTIONS(689),
    [anon_sym_PLUS] = ACTIONS(691),
    [anon_sym_DASH] = ACTIONS(691),
    [anon_sym_SLASH] = ACTIONS(691),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_STAR] = ACTIONS(691),
    [anon_sym_DOT_DOT] = ACTIONS(689),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [anon_sym_DOT2] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(689),
    [anon_sym_RBRACK] = ACTIONS(689),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(689),
  },
  [111] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_EQ] = ACTIONS(693),
    [anon_sym_BANG_EQ] = ACTIONS(693),
    [anon_sym_PLUS_EQ] = ACTIONS(693),
    [anon_sym_STAR_EQ] = ACTIONS(693),
    [anon_sym_SLASH_EQ] = ACTIONS(693),
    [anon_sym_PERCENT_EQ] = ACTIONS(693),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_GT] = ACTIONS(693),
    [anon_sym_2_GT] = ACTIONS(695),
    [anon_sym_2_GT_GT] = ACTIONS(693),
    [anon_sym_3_GT] = ACTIONS(695),
    [anon_sym_3_GT_GT] = ACTIONS(693),
    [anon_sym_4_GT] = ACTIONS(695),
    [anon_sym_4_GT_GT] = ACTIONS(693),
    [anon_sym_5_GT] = ACTIONS(695),
    [anon_sym_5_GT_GT] = ACTIONS(693),
    [anon_sym_6_GT] = ACTIONS(695),
    [anon_sym_6_GT_GT] = ACTIONS(693),
    [anon_sym_STAR_GT] = ACTIONS(695),
    [anon_sym_STAR_GT_GT] = ACTIONS(693),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(693),
    [anon_sym_2_GT_AMP1] = ACTIONS(693),
    [anon_sym_3_GT_AMP1] = ACTIONS(693),
    [anon_sym_4_GT_AMP1] = ACTIONS(693),
    [anon_sym_5_GT_AMP1] = ACTIONS(693),
    [anon_sym_6_GT_AMP1] = ACTIONS(693),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(693),
    [anon_sym_1_GT_AMP2] = ACTIONS(693),
    [anon_sym_3_GT_AMP2] = ACTIONS(693),
    [anon_sym_4_GT_AMP2] = ACTIONS(693),
    [anon_sym_5_GT_AMP2] = ACTIONS(693),
    [anon_sym_6_GT_AMP2] = ACTIONS(693),
    [aux_sym_comparison_operator_token1] = ACTIONS(693),
    [aux_sym_comparison_operator_token2] = ACTIONS(693),
    [aux_sym_comparison_operator_token3] = ACTIONS(693),
    [aux_sym_comparison_operator_token4] = ACTIONS(693),
    [aux_sym_comparison_operator_token5] = ACTIONS(693),
    [aux_sym_comparison_operator_token6] = ACTIONS(693),
    [aux_sym_comparison_operator_token7] = ACTIONS(693),
    [aux_sym_comparison_operator_token8] = ACTIONS(693),
    [aux_sym_comparison_operator_token9] = ACTIONS(693),
    [aux_sym_comparison_operator_token10] = ACTIONS(693),
    [aux_sym_comparison_operator_token11] = ACTIONS(693),
    [aux_sym_comparison_operator_token12] = ACTIONS(693),
    [aux_sym_comparison_operator_token13] = ACTIONS(693),
    [aux_sym_comparison_operator_token14] = ACTIONS(693),
    [aux_sym_comparison_operator_token15] = ACTIONS(693),
    [aux_sym_comparison_operator_token16] = ACTIONS(693),
    [aux_sym_comparison_operator_token17] = ACTIONS(693),
    [aux_sym_comparison_operator_token18] = ACTIONS(693),
    [aux_sym_comparison_operator_token19] = ACTIONS(693),
    [aux_sym_comparison_operator_token20] = ACTIONS(693),
    [aux_sym_comparison_operator_token21] = ACTIONS(693),
    [aux_sym_comparison_operator_token22] = ACTIONS(693),
    [aux_sym_comparison_operator_token23] = ACTIONS(693),
    [aux_sym_comparison_operator_token24] = ACTIONS(693),
    [aux_sym_comparison_operator_token25] = ACTIONS(693),
    [aux_sym_comparison_operator_token26] = ACTIONS(693),
    [aux_sym_comparison_operator_token27] = ACTIONS(693),
    [aux_sym_comparison_operator_token28] = ACTIONS(695),
    [aux_sym_comparison_operator_token29] = ACTIONS(693),
    [aux_sym_comparison_operator_token30] = ACTIONS(693),
    [aux_sym_comparison_operator_token31] = ACTIONS(693),
    [aux_sym_comparison_operator_token32] = ACTIONS(693),
    [aux_sym_comparison_operator_token33] = ACTIONS(693),
    [aux_sym_comparison_operator_token34] = ACTIONS(695),
    [aux_sym_comparison_operator_token35] = ACTIONS(693),
    [aux_sym_comparison_operator_token36] = ACTIONS(693),
    [aux_sym_comparison_operator_token37] = ACTIONS(693),
    [aux_sym_comparison_operator_token38] = ACTIONS(693),
    [aux_sym_comparison_operator_token39] = ACTIONS(693),
    [aux_sym_comparison_operator_token40] = ACTIONS(693),
    [aux_sym_comparison_operator_token41] = ACTIONS(693),
    [aux_sym_comparison_operator_token42] = ACTIONS(693),
    [aux_sym_comparison_operator_token43] = ACTIONS(693),
    [aux_sym_comparison_operator_token44] = ACTIONS(693),
    [aux_sym_comparison_operator_token45] = ACTIONS(693),
    [aux_sym_comparison_operator_token46] = ACTIONS(693),
    [aux_sym_comparison_operator_token47] = ACTIONS(693),
    [aux_sym_comparison_operator_token48] = ACTIONS(693),
    [aux_sym_comparison_operator_token49] = ACTIONS(693),
    [aux_sym_comparison_operator_token50] = ACTIONS(693),
    [aux_sym_format_operator_token1] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(693),
    [anon_sym_RPAREN] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(693),
    [anon_sym_PIPE] = ACTIONS(693),
    [anon_sym_PERCENT] = ACTIONS(695),
    [aux_sym_logical_expression_token1] = ACTIONS(693),
    [aux_sym_logical_expression_token2] = ACTIONS(693),
    [aux_sym_logical_expression_token3] = ACTIONS(693),
    [aux_sym_bitwise_expression_token1] = ACTIONS(693),
    [aux_sym_bitwise_expression_token2] = ACTIONS(693),
    [aux_sym_bitwise_expression_token3] = ACTIONS(693),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(693),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_DOT_DOT] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_DOT2] = ACTIONS(695),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(693),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(693),
  },
  [112] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_PLUS_EQ] = ACTIONS(697),
    [anon_sym_STAR_EQ] = ACTIONS(697),
    [anon_sym_SLASH_EQ] = ACTIONS(697),
    [anon_sym_PERCENT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_GT] = ACTIONS(697),
    [anon_sym_2_GT] = ACTIONS(699),
    [anon_sym_2_GT_GT] = ACTIONS(697),
    [anon_sym_3_GT] = ACTIONS(699),
    [anon_sym_3_GT_GT] = ACTIONS(697),
    [anon_sym_4_GT] = ACTIONS(699),
    [anon_sym_4_GT_GT] = ACTIONS(697),
    [anon_sym_5_GT] = ACTIONS(699),
    [anon_sym_5_GT_GT] = ACTIONS(697),
    [anon_sym_6_GT] = ACTIONS(699),
    [anon_sym_6_GT_GT] = ACTIONS(697),
    [anon_sym_STAR_GT] = ACTIONS(699),
    [anon_sym_STAR_GT_GT] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(697),
    [anon_sym_2_GT_AMP1] = ACTIONS(697),
    [anon_sym_3_GT_AMP1] = ACTIONS(697),
    [anon_sym_4_GT_AMP1] = ACTIONS(697),
    [anon_sym_5_GT_AMP1] = ACTIONS(697),
    [anon_sym_6_GT_AMP1] = ACTIONS(697),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(697),
    [anon_sym_1_GT_AMP2] = ACTIONS(697),
    [anon_sym_3_GT_AMP2] = ACTIONS(697),
    [anon_sym_4_GT_AMP2] = ACTIONS(697),
    [anon_sym_5_GT_AMP2] = ACTIONS(697),
    [anon_sym_6_GT_AMP2] = ACTIONS(697),
    [aux_sym_comparison_operator_token1] = ACTIONS(697),
    [aux_sym_comparison_operator_token2] = ACTIONS(697),
    [aux_sym_comparison_operator_token3] = ACTIONS(697),
    [aux_sym_comparison_operator_token4] = ACTIONS(697),
    [aux_sym_comparison_operator_token5] = ACTIONS(697),
    [aux_sym_comparison_operator_token6] = ACTIONS(697),
    [aux_sym_comparison_operator_token7] = ACTIONS(697),
    [aux_sym_comparison_operator_token8] = ACTIONS(697),
    [aux_sym_comparison_operator_token9] = ACTIONS(697),
    [aux_sym_comparison_operator_token10] = ACTIONS(697),
    [aux_sym_comparison_operator_token11] = ACTIONS(697),
    [aux_sym_comparison_operator_token12] = ACTIONS(697),
    [aux_sym_comparison_operator_token13] = ACTIONS(697),
    [aux_sym_comparison_operator_token14] = ACTIONS(697),
    [aux_sym_comparison_operator_token15] = ACTIONS(697),
    [aux_sym_comparison_operator_token16] = ACTIONS(697),
    [aux_sym_comparison_operator_token17] = ACTIONS(697),
    [aux_sym_comparison_operator_token18] = ACTIONS(697),
    [aux_sym_comparison_operator_token19] = ACTIONS(697),
    [aux_sym_comparison_operator_token20] = ACTIONS(697),
    [aux_sym_comparison_operator_token21] = ACTIONS(697),
    [aux_sym_comparison_operator_token22] = ACTIONS(697),
    [aux_sym_comparison_operator_token23] = ACTIONS(697),
    [aux_sym_comparison_operator_token24] = ACTIONS(697),
    [aux_sym_comparison_operator_token25] = ACTIONS(697),
    [aux_sym_comparison_operator_token26] = ACTIONS(697),
    [aux_sym_comparison_operator_token27] = ACTIONS(697),
    [aux_sym_comparison_operator_token28] = ACTIONS(699),
    [aux_sym_comparison_operator_token29] = ACTIONS(697),
    [aux_sym_comparison_operator_token30] = ACTIONS(697),
    [aux_sym_comparison_operator_token31] = ACTIONS(697),
    [aux_sym_comparison_operator_token32] = ACTIONS(697),
    [aux_sym_comparison_operator_token33] = ACTIONS(697),
    [aux_sym_comparison_operator_token34] = ACTIONS(699),
    [aux_sym_comparison_operator_token35] = ACTIONS(697),
    [aux_sym_comparison_operator_token36] = ACTIONS(697),
    [aux_sym_comparison_operator_token37] = ACTIONS(697),
    [aux_sym_comparison_operator_token38] = ACTIONS(697),
    [aux_sym_comparison_operator_token39] = ACTIONS(697),
    [aux_sym_comparison_operator_token40] = ACTIONS(697),
    [aux_sym_comparison_operator_token41] = ACTIONS(697),
    [aux_sym_comparison_operator_token42] = ACTIONS(697),
    [aux_sym_comparison_operator_token43] = ACTIONS(697),
    [aux_sym_comparison_operator_token44] = ACTIONS(697),
    [aux_sym_comparison_operator_token45] = ACTIONS(697),
    [aux_sym_comparison_operator_token46] = ACTIONS(697),
    [aux_sym_comparison_operator_token47] = ACTIONS(697),
    [aux_sym_comparison_operator_token48] = ACTIONS(697),
    [aux_sym_comparison_operator_token49] = ACTIONS(697),
    [aux_sym_comparison_operator_token50] = ACTIONS(697),
    [aux_sym_format_operator_token1] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(697),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(697),
    [anon_sym_PERCENT] = ACTIONS(699),
    [aux_sym_logical_expression_token1] = ACTIONS(697),
    [aux_sym_logical_expression_token2] = ACTIONS(697),
    [aux_sym_logical_expression_token3] = ACTIONS(697),
    [aux_sym_bitwise_expression_token1] = ACTIONS(697),
    [aux_sym_bitwise_expression_token2] = ACTIONS(697),
    [aux_sym_bitwise_expression_token3] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_DOT_DOT] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_DOT2] = ACTIONS(699),
    [anon_sym_COLON_COLON] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(697),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(697),
  },
  [113] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_PLUS_EQ] = ACTIONS(701),
    [anon_sym_STAR_EQ] = ACTIONS(701),
    [anon_sym_SLASH_EQ] = ACTIONS(701),
    [anon_sym_PERCENT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_GT] = ACTIONS(701),
    [anon_sym_2_GT] = ACTIONS(703),
    [anon_sym_2_GT_GT] = ACTIONS(701),
    [anon_sym_3_GT] = ACTIONS(703),
    [anon_sym_3_GT_GT] = ACTIONS(701),
    [anon_sym_4_GT] = ACTIONS(703),
    [anon_sym_4_GT_GT] = ACTIONS(701),
    [anon_sym_5_GT] = ACTIONS(703),
    [anon_sym_5_GT_GT] = ACTIONS(701),
    [anon_sym_6_GT] = ACTIONS(703),
    [anon_sym_6_GT_GT] = ACTIONS(701),
    [anon_sym_STAR_GT] = ACTIONS(703),
    [anon_sym_STAR_GT_GT] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(701),
    [anon_sym_2_GT_AMP1] = ACTIONS(701),
    [anon_sym_3_GT_AMP1] = ACTIONS(701),
    [anon_sym_4_GT_AMP1] = ACTIONS(701),
    [anon_sym_5_GT_AMP1] = ACTIONS(701),
    [anon_sym_6_GT_AMP1] = ACTIONS(701),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(701),
    [anon_sym_1_GT_AMP2] = ACTIONS(701),
    [anon_sym_3_GT_AMP2] = ACTIONS(701),
    [anon_sym_4_GT_AMP2] = ACTIONS(701),
    [anon_sym_5_GT_AMP2] = ACTIONS(701),
    [anon_sym_6_GT_AMP2] = ACTIONS(701),
    [aux_sym_comparison_operator_token1] = ACTIONS(701),
    [aux_sym_comparison_operator_token2] = ACTIONS(701),
    [aux_sym_comparison_operator_token3] = ACTIONS(701),
    [aux_sym_comparison_operator_token4] = ACTIONS(701),
    [aux_sym_comparison_operator_token5] = ACTIONS(701),
    [aux_sym_comparison_operator_token6] = ACTIONS(701),
    [aux_sym_comparison_operator_token7] = ACTIONS(701),
    [aux_sym_comparison_operator_token8] = ACTIONS(701),
    [aux_sym_comparison_operator_token9] = ACTIONS(701),
    [aux_sym_comparison_operator_token10] = ACTIONS(701),
    [aux_sym_comparison_operator_token11] = ACTIONS(701),
    [aux_sym_comparison_operator_token12] = ACTIONS(701),
    [aux_sym_comparison_operator_token13] = ACTIONS(701),
    [aux_sym_comparison_operator_token14] = ACTIONS(701),
    [aux_sym_comparison_operator_token15] = ACTIONS(701),
    [aux_sym_comparison_operator_token16] = ACTIONS(701),
    [aux_sym_comparison_operator_token17] = ACTIONS(701),
    [aux_sym_comparison_operator_token18] = ACTIONS(701),
    [aux_sym_comparison_operator_token19] = ACTIONS(701),
    [aux_sym_comparison_operator_token20] = ACTIONS(701),
    [aux_sym_comparison_operator_token21] = ACTIONS(701),
    [aux_sym_comparison_operator_token22] = ACTIONS(701),
    [aux_sym_comparison_operator_token23] = ACTIONS(701),
    [aux_sym_comparison_operator_token24] = ACTIONS(701),
    [aux_sym_comparison_operator_token25] = ACTIONS(701),
    [aux_sym_comparison_operator_token26] = ACTIONS(701),
    [aux_sym_comparison_operator_token27] = ACTIONS(701),
    [aux_sym_comparison_operator_token28] = ACTIONS(703),
    [aux_sym_comparison_operator_token29] = ACTIONS(701),
    [aux_sym_comparison_operator_token30] = ACTIONS(701),
    [aux_sym_comparison_operator_token31] = ACTIONS(701),
    [aux_sym_comparison_operator_token32] = ACTIONS(701),
    [aux_sym_comparison_operator_token33] = ACTIONS(701),
    [aux_sym_comparison_operator_token34] = ACTIONS(703),
    [aux_sym_comparison_operator_token35] = ACTIONS(701),
    [aux_sym_comparison_operator_token36] = ACTIONS(701),
    [aux_sym_comparison_operator_token37] = ACTIONS(701),
    [aux_sym_comparison_operator_token38] = ACTIONS(701),
    [aux_sym_comparison_operator_token39] = ACTIONS(701),
    [aux_sym_comparison_operator_token40] = ACTIONS(701),
    [aux_sym_comparison_operator_token41] = ACTIONS(701),
    [aux_sym_comparison_operator_token42] = ACTIONS(701),
    [aux_sym_comparison_operator_token43] = ACTIONS(701),
    [aux_sym_comparison_operator_token44] = ACTIONS(701),
    [aux_sym_comparison_operator_token45] = ACTIONS(701),
    [aux_sym_comparison_operator_token46] = ACTIONS(701),
    [aux_sym_comparison_operator_token47] = ACTIONS(701),
    [aux_sym_comparison_operator_token48] = ACTIONS(701),
    [aux_sym_comparison_operator_token49] = ACTIONS(701),
    [aux_sym_comparison_operator_token50] = ACTIONS(701),
    [aux_sym_format_operator_token1] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(701),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(703),
    [aux_sym_logical_expression_token1] = ACTIONS(701),
    [aux_sym_logical_expression_token2] = ACTIONS(701),
    [aux_sym_logical_expression_token3] = ACTIONS(701),
    [aux_sym_bitwise_expression_token1] = ACTIONS(701),
    [aux_sym_bitwise_expression_token2] = ACTIONS(701),
    [aux_sym_bitwise_expression_token3] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_DOT_DOT] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_DOT2] = ACTIONS(703),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [anon_sym_RBRACK] = ACTIONS(701),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(701),
  },
  [114] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_PLUS_EQ] = ACTIONS(705),
    [anon_sym_STAR_EQ] = ACTIONS(705),
    [anon_sym_SLASH_EQ] = ACTIONS(705),
    [anon_sym_PERCENT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_GT] = ACTIONS(705),
    [anon_sym_2_GT] = ACTIONS(707),
    [anon_sym_2_GT_GT] = ACTIONS(705),
    [anon_sym_3_GT] = ACTIONS(707),
    [anon_sym_3_GT_GT] = ACTIONS(705),
    [anon_sym_4_GT] = ACTIONS(707),
    [anon_sym_4_GT_GT] = ACTIONS(705),
    [anon_sym_5_GT] = ACTIONS(707),
    [anon_sym_5_GT_GT] = ACTIONS(705),
    [anon_sym_6_GT] = ACTIONS(707),
    [anon_sym_6_GT_GT] = ACTIONS(705),
    [anon_sym_STAR_GT] = ACTIONS(707),
    [anon_sym_STAR_GT_GT] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(705),
    [anon_sym_2_GT_AMP1] = ACTIONS(705),
    [anon_sym_3_GT_AMP1] = ACTIONS(705),
    [anon_sym_4_GT_AMP1] = ACTIONS(705),
    [anon_sym_5_GT_AMP1] = ACTIONS(705),
    [anon_sym_6_GT_AMP1] = ACTIONS(705),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(705),
    [anon_sym_1_GT_AMP2] = ACTIONS(705),
    [anon_sym_3_GT_AMP2] = ACTIONS(705),
    [anon_sym_4_GT_AMP2] = ACTIONS(705),
    [anon_sym_5_GT_AMP2] = ACTIONS(705),
    [anon_sym_6_GT_AMP2] = ACTIONS(705),
    [aux_sym_comparison_operator_token1] = ACTIONS(705),
    [aux_sym_comparison_operator_token2] = ACTIONS(705),
    [aux_sym_comparison_operator_token3] = ACTIONS(705),
    [aux_sym_comparison_operator_token4] = ACTIONS(705),
    [aux_sym_comparison_operator_token5] = ACTIONS(705),
    [aux_sym_comparison_operator_token6] = ACTIONS(705),
    [aux_sym_comparison_operator_token7] = ACTIONS(705),
    [aux_sym_comparison_operator_token8] = ACTIONS(705),
    [aux_sym_comparison_operator_token9] = ACTIONS(705),
    [aux_sym_comparison_operator_token10] = ACTIONS(705),
    [aux_sym_comparison_operator_token11] = ACTIONS(705),
    [aux_sym_comparison_operator_token12] = ACTIONS(705),
    [aux_sym_comparison_operator_token13] = ACTIONS(705),
    [aux_sym_comparison_operator_token14] = ACTIONS(705),
    [aux_sym_comparison_operator_token15] = ACTIONS(705),
    [aux_sym_comparison_operator_token16] = ACTIONS(705),
    [aux_sym_comparison_operator_token17] = ACTIONS(705),
    [aux_sym_comparison_operator_token18] = ACTIONS(705),
    [aux_sym_comparison_operator_token19] = ACTIONS(705),
    [aux_sym_comparison_operator_token20] = ACTIONS(705),
    [aux_sym_comparison_operator_token21] = ACTIONS(705),
    [aux_sym_comparison_operator_token22] = ACTIONS(705),
    [aux_sym_comparison_operator_token23] = ACTIONS(705),
    [aux_sym_comparison_operator_token24] = ACTIONS(705),
    [aux_sym_comparison_operator_token25] = ACTIONS(705),
    [aux_sym_comparison_operator_token26] = ACTIONS(705),
    [aux_sym_comparison_operator_token27] = ACTIONS(705),
    [aux_sym_comparison_operator_token28] = ACTIONS(707),
    [aux_sym_comparison_operator_token29] = ACTIONS(705),
    [aux_sym_comparison_operator_token30] = ACTIONS(705),
    [aux_sym_comparison_operator_token31] = ACTIONS(705),
    [aux_sym_comparison_operator_token32] = ACTIONS(705),
    [aux_sym_comparison_operator_token33] = ACTIONS(705),
    [aux_sym_comparison_operator_token34] = ACTIONS(707),
    [aux_sym_comparison_operator_token35] = ACTIONS(705),
    [aux_sym_comparison_operator_token36] = ACTIONS(705),
    [aux_sym_comparison_operator_token37] = ACTIONS(705),
    [aux_sym_comparison_operator_token38] = ACTIONS(705),
    [aux_sym_comparison_operator_token39] = ACTIONS(705),
    [aux_sym_comparison_operator_token40] = ACTIONS(705),
    [aux_sym_comparison_operator_token41] = ACTIONS(705),
    [aux_sym_comparison_operator_token42] = ACTIONS(705),
    [aux_sym_comparison_operator_token43] = ACTIONS(705),
    [aux_sym_comparison_operator_token44] = ACTIONS(705),
    [aux_sym_comparison_operator_token45] = ACTIONS(705),
    [aux_sym_comparison_operator_token46] = ACTIONS(705),
    [aux_sym_comparison_operator_token47] = ACTIONS(705),
    [aux_sym_comparison_operator_token48] = ACTIONS(705),
    [aux_sym_comparison_operator_token49] = ACTIONS(705),
    [aux_sym_comparison_operator_token50] = ACTIONS(705),
    [aux_sym_format_operator_token1] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(705),
    [anon_sym_PERCENT] = ACTIONS(707),
    [aux_sym_logical_expression_token1] = ACTIONS(705),
    [aux_sym_logical_expression_token2] = ACTIONS(705),
    [aux_sym_logical_expression_token3] = ACTIONS(705),
    [aux_sym_bitwise_expression_token1] = ACTIONS(705),
    [aux_sym_bitwise_expression_token2] = ACTIONS(705),
    [aux_sym_bitwise_expression_token3] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_DOT_DOT] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(705),
    [anon_sym_DASH_DASH] = ACTIONS(705),
    [anon_sym_DOT2] = ACTIONS(707),
    [anon_sym_COLON_COLON] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(705),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(705),
  },
  [115] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_PLUS_EQ] = ACTIONS(709),
    [anon_sym_STAR_EQ] = ACTIONS(709),
    [anon_sym_SLASH_EQ] = ACTIONS(709),
    [anon_sym_PERCENT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(711),
    [anon_sym_GT_GT] = ACTIONS(709),
    [anon_sym_2_GT] = ACTIONS(711),
    [anon_sym_2_GT_GT] = ACTIONS(709),
    [anon_sym_3_GT] = ACTIONS(711),
    [anon_sym_3_GT_GT] = ACTIONS(709),
    [anon_sym_4_GT] = ACTIONS(711),
    [anon_sym_4_GT_GT] = ACTIONS(709),
    [anon_sym_5_GT] = ACTIONS(711),
    [anon_sym_5_GT_GT] = ACTIONS(709),
    [anon_sym_6_GT] = ACTIONS(711),
    [anon_sym_6_GT_GT] = ACTIONS(709),
    [anon_sym_STAR_GT] = ACTIONS(711),
    [anon_sym_STAR_GT_GT] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(709),
    [anon_sym_2_GT_AMP1] = ACTIONS(709),
    [anon_sym_3_GT_AMP1] = ACTIONS(709),
    [anon_sym_4_GT_AMP1] = ACTIONS(709),
    [anon_sym_5_GT_AMP1] = ACTIONS(709),
    [anon_sym_6_GT_AMP1] = ACTIONS(709),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(709),
    [anon_sym_1_GT_AMP2] = ACTIONS(709),
    [anon_sym_3_GT_AMP2] = ACTIONS(709),
    [anon_sym_4_GT_AMP2] = ACTIONS(709),
    [anon_sym_5_GT_AMP2] = ACTIONS(709),
    [anon_sym_6_GT_AMP2] = ACTIONS(709),
    [aux_sym_comparison_operator_token1] = ACTIONS(709),
    [aux_sym_comparison_operator_token2] = ACTIONS(709),
    [aux_sym_comparison_operator_token3] = ACTIONS(709),
    [aux_sym_comparison_operator_token4] = ACTIONS(709),
    [aux_sym_comparison_operator_token5] = ACTIONS(709),
    [aux_sym_comparison_operator_token6] = ACTIONS(709),
    [aux_sym_comparison_operator_token7] = ACTIONS(709),
    [aux_sym_comparison_operator_token8] = ACTIONS(709),
    [aux_sym_comparison_operator_token9] = ACTIONS(709),
    [aux_sym_comparison_operator_token10] = ACTIONS(709),
    [aux_sym_comparison_operator_token11] = ACTIONS(709),
    [aux_sym_comparison_operator_token12] = ACTIONS(709),
    [aux_sym_comparison_operator_token13] = ACTIONS(709),
    [aux_sym_comparison_operator_token14] = ACTIONS(709),
    [aux_sym_comparison_operator_token15] = ACTIONS(709),
    [aux_sym_comparison_operator_token16] = ACTIONS(709),
    [aux_sym_comparison_operator_token17] = ACTIONS(709),
    [aux_sym_comparison_operator_token18] = ACTIONS(709),
    [aux_sym_comparison_operator_token19] = ACTIONS(709),
    [aux_sym_comparison_operator_token20] = ACTIONS(709),
    [aux_sym_comparison_operator_token21] = ACTIONS(709),
    [aux_sym_comparison_operator_token22] = ACTIONS(709),
    [aux_sym_comparison_operator_token23] = ACTIONS(709),
    [aux_sym_comparison_operator_token24] = ACTIONS(709),
    [aux_sym_comparison_operator_token25] = ACTIONS(709),
    [aux_sym_comparison_operator_token26] = ACTIONS(709),
    [aux_sym_comparison_operator_token27] = ACTIONS(709),
    [aux_sym_comparison_operator_token28] = ACTIONS(711),
    [aux_sym_comparison_operator_token29] = ACTIONS(709),
    [aux_sym_comparison_operator_token30] = ACTIONS(709),
    [aux_sym_comparison_operator_token31] = ACTIONS(709),
    [aux_sym_comparison_operator_token32] = ACTIONS(709),
    [aux_sym_comparison_operator_token33] = ACTIONS(709),
    [aux_sym_comparison_operator_token34] = ACTIONS(711),
    [aux_sym_comparison_operator_token35] = ACTIONS(709),
    [aux_sym_comparison_operator_token36] = ACTIONS(709),
    [aux_sym_comparison_operator_token37] = ACTIONS(709),
    [aux_sym_comparison_operator_token38] = ACTIONS(709),
    [aux_sym_comparison_operator_token39] = ACTIONS(709),
    [aux_sym_comparison_operator_token40] = ACTIONS(709),
    [aux_sym_comparison_operator_token41] = ACTIONS(709),
    [aux_sym_comparison_operator_token42] = ACTIONS(709),
    [aux_sym_comparison_operator_token43] = ACTIONS(709),
    [aux_sym_comparison_operator_token44] = ACTIONS(709),
    [aux_sym_comparison_operator_token45] = ACTIONS(709),
    [aux_sym_comparison_operator_token46] = ACTIONS(709),
    [aux_sym_comparison_operator_token47] = ACTIONS(709),
    [aux_sym_comparison_operator_token48] = ACTIONS(709),
    [aux_sym_comparison_operator_token49] = ACTIONS(709),
    [aux_sym_comparison_operator_token50] = ACTIONS(709),
    [aux_sym_format_operator_token1] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(709),
    [anon_sym_RPAREN] = ACTIONS(709),
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(711),
    [aux_sym_logical_expression_token1] = ACTIONS(709),
    [aux_sym_logical_expression_token2] = ACTIONS(709),
    [aux_sym_logical_expression_token3] = ACTIONS(709),
    [aux_sym_bitwise_expression_token1] = ACTIONS(709),
    [aux_sym_bitwise_expression_token2] = ACTIONS(709),
    [aux_sym_bitwise_expression_token3] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(711),
    [anon_sym_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS_PLUS] = ACTIONS(709),
    [anon_sym_DASH_DASH] = ACTIONS(709),
    [anon_sym_DOT2] = ACTIONS(711),
    [anon_sym_COLON_COLON] = ACTIONS(709),
    [anon_sym_RBRACK] = ACTIONS(709),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(709),
  },
  [116] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_BANG_EQ] = ACTIONS(713),
    [anon_sym_PLUS_EQ] = ACTIONS(713),
    [anon_sym_STAR_EQ] = ACTIONS(713),
    [anon_sym_SLASH_EQ] = ACTIONS(713),
    [anon_sym_PERCENT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(713),
    [anon_sym_2_GT] = ACTIONS(715),
    [anon_sym_2_GT_GT] = ACTIONS(713),
    [anon_sym_3_GT] = ACTIONS(715),
    [anon_sym_3_GT_GT] = ACTIONS(713),
    [anon_sym_4_GT] = ACTIONS(715),
    [anon_sym_4_GT_GT] = ACTIONS(713),
    [anon_sym_5_GT] = ACTIONS(715),
    [anon_sym_5_GT_GT] = ACTIONS(713),
    [anon_sym_6_GT] = ACTIONS(715),
    [anon_sym_6_GT_GT] = ACTIONS(713),
    [anon_sym_STAR_GT] = ACTIONS(715),
    [anon_sym_STAR_GT_GT] = ACTIONS(713),
    [anon_sym_LT] = ACTIONS(715),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(713),
    [anon_sym_2_GT_AMP1] = ACTIONS(713),
    [anon_sym_3_GT_AMP1] = ACTIONS(713),
    [anon_sym_4_GT_AMP1] = ACTIONS(713),
    [anon_sym_5_GT_AMP1] = ACTIONS(713),
    [anon_sym_6_GT_AMP1] = ACTIONS(713),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(713),
    [anon_sym_1_GT_AMP2] = ACTIONS(713),
    [anon_sym_3_GT_AMP2] = ACTIONS(713),
    [anon_sym_4_GT_AMP2] = ACTIONS(713),
    [anon_sym_5_GT_AMP2] = ACTIONS(713),
    [anon_sym_6_GT_AMP2] = ACTIONS(713),
    [aux_sym_comparison_operator_token1] = ACTIONS(713),
    [aux_sym_comparison_operator_token2] = ACTIONS(713),
    [aux_sym_comparison_operator_token3] = ACTIONS(713),
    [aux_sym_comparison_operator_token4] = ACTIONS(713),
    [aux_sym_comparison_operator_token5] = ACTIONS(713),
    [aux_sym_comparison_operator_token6] = ACTIONS(713),
    [aux_sym_comparison_operator_token7] = ACTIONS(713),
    [aux_sym_comparison_operator_token8] = ACTIONS(713),
    [aux_sym_comparison_operator_token9] = ACTIONS(713),
    [aux_sym_comparison_operator_token10] = ACTIONS(713),
    [aux_sym_comparison_operator_token11] = ACTIONS(713),
    [aux_sym_comparison_operator_token12] = ACTIONS(713),
    [aux_sym_comparison_operator_token13] = ACTIONS(713),
    [aux_sym_comparison_operator_token14] = ACTIONS(713),
    [aux_sym_comparison_operator_token15] = ACTIONS(713),
    [aux_sym_comparison_operator_token16] = ACTIONS(713),
    [aux_sym_comparison_operator_token17] = ACTIONS(713),
    [aux_sym_comparison_operator_token18] = ACTIONS(713),
    [aux_sym_comparison_operator_token19] = ACTIONS(713),
    [aux_sym_comparison_operator_token20] = ACTIONS(713),
    [aux_sym_comparison_operator_token21] = ACTIONS(713),
    [aux_sym_comparison_operator_token22] = ACTIONS(713),
    [aux_sym_comparison_operator_token23] = ACTIONS(713),
    [aux_sym_comparison_operator_token24] = ACTIONS(713),
    [aux_sym_comparison_operator_token25] = ACTIONS(713),
    [aux_sym_comparison_operator_token26] = ACTIONS(713),
    [aux_sym_comparison_operator_token27] = ACTIONS(713),
    [aux_sym_comparison_operator_token28] = ACTIONS(715),
    [aux_sym_comparison_operator_token29] = ACTIONS(713),
    [aux_sym_comparison_operator_token30] = ACTIONS(713),
    [aux_sym_comparison_operator_token31] = ACTIONS(713),
    [aux_sym_comparison_operator_token32] = ACTIONS(713),
    [aux_sym_comparison_operator_token33] = ACTIONS(713),
    [aux_sym_comparison_operator_token34] = ACTIONS(715),
    [aux_sym_comparison_operator_token35] = ACTIONS(713),
    [aux_sym_comparison_operator_token36] = ACTIONS(713),
    [aux_sym_comparison_operator_token37] = ACTIONS(713),
    [aux_sym_comparison_operator_token38] = ACTIONS(713),
    [aux_sym_comparison_operator_token39] = ACTIONS(713),
    [aux_sym_comparison_operator_token40] = ACTIONS(713),
    [aux_sym_comparison_operator_token41] = ACTIONS(713),
    [aux_sym_comparison_operator_token42] = ACTIONS(713),
    [aux_sym_comparison_operator_token43] = ACTIONS(713),
    [aux_sym_comparison_operator_token44] = ACTIONS(713),
    [aux_sym_comparison_operator_token45] = ACTIONS(713),
    [aux_sym_comparison_operator_token46] = ACTIONS(713),
    [aux_sym_comparison_operator_token47] = ACTIONS(713),
    [aux_sym_comparison_operator_token48] = ACTIONS(713),
    [aux_sym_comparison_operator_token49] = ACTIONS(713),
    [aux_sym_comparison_operator_token50] = ACTIONS(713),
    [aux_sym_format_operator_token1] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_PIPE] = ACTIONS(713),
    [anon_sym_PERCENT] = ACTIONS(715),
    [aux_sym_logical_expression_token1] = ACTIONS(713),
    [aux_sym_logical_expression_token2] = ACTIONS(713),
    [aux_sym_logical_expression_token3] = ACTIONS(713),
    [aux_sym_bitwise_expression_token1] = ACTIONS(713),
    [aux_sym_bitwise_expression_token2] = ACTIONS(713),
    [aux_sym_bitwise_expression_token3] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(715),
    [anon_sym_DASH] = ACTIONS(715),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DOT2] = ACTIONS(715),
    [anon_sym_COLON_COLON] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(713),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(713),
  },
  [117] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_EQ] = ACTIONS(717),
    [anon_sym_BANG_EQ] = ACTIONS(717),
    [anon_sym_PLUS_EQ] = ACTIONS(717),
    [anon_sym_STAR_EQ] = ACTIONS(717),
    [anon_sym_SLASH_EQ] = ACTIONS(717),
    [anon_sym_PERCENT_EQ] = ACTIONS(717),
    [anon_sym_GT] = ACTIONS(719),
    [anon_sym_GT_GT] = ACTIONS(717),
    [anon_sym_2_GT] = ACTIONS(719),
    [anon_sym_2_GT_GT] = ACTIONS(717),
    [anon_sym_3_GT] = ACTIONS(719),
    [anon_sym_3_GT_GT] = ACTIONS(717),
    [anon_sym_4_GT] = ACTIONS(719),
    [anon_sym_4_GT_GT] = ACTIONS(717),
    [anon_sym_5_GT] = ACTIONS(719),
    [anon_sym_5_GT_GT] = ACTIONS(717),
    [anon_sym_6_GT] = ACTIONS(719),
    [anon_sym_6_GT_GT] = ACTIONS(717),
    [anon_sym_STAR_GT] = ACTIONS(719),
    [anon_sym_STAR_GT_GT] = ACTIONS(717),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(717),
    [anon_sym_2_GT_AMP1] = ACTIONS(717),
    [anon_sym_3_GT_AMP1] = ACTIONS(717),
    [anon_sym_4_GT_AMP1] = ACTIONS(717),
    [anon_sym_5_GT_AMP1] = ACTIONS(717),
    [anon_sym_6_GT_AMP1] = ACTIONS(717),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(717),
    [anon_sym_1_GT_AMP2] = ACTIONS(717),
    [anon_sym_3_GT_AMP2] = ACTIONS(717),
    [anon_sym_4_GT_AMP2] = ACTIONS(717),
    [anon_sym_5_GT_AMP2] = ACTIONS(717),
    [anon_sym_6_GT_AMP2] = ACTIONS(717),
    [aux_sym_comparison_operator_token1] = ACTIONS(717),
    [aux_sym_comparison_operator_token2] = ACTIONS(717),
    [aux_sym_comparison_operator_token3] = ACTIONS(717),
    [aux_sym_comparison_operator_token4] = ACTIONS(717),
    [aux_sym_comparison_operator_token5] = ACTIONS(717),
    [aux_sym_comparison_operator_token6] = ACTIONS(717),
    [aux_sym_comparison_operator_token7] = ACTIONS(717),
    [aux_sym_comparison_operator_token8] = ACTIONS(717),
    [aux_sym_comparison_operator_token9] = ACTIONS(717),
    [aux_sym_comparison_operator_token10] = ACTIONS(717),
    [aux_sym_comparison_operator_token11] = ACTIONS(717),
    [aux_sym_comparison_operator_token12] = ACTIONS(717),
    [aux_sym_comparison_operator_token13] = ACTIONS(717),
    [aux_sym_comparison_operator_token14] = ACTIONS(717),
    [aux_sym_comparison_operator_token15] = ACTIONS(717),
    [aux_sym_comparison_operator_token16] = ACTIONS(717),
    [aux_sym_comparison_operator_token17] = ACTIONS(717),
    [aux_sym_comparison_operator_token18] = ACTIONS(717),
    [aux_sym_comparison_operator_token19] = ACTIONS(717),
    [aux_sym_comparison_operator_token20] = ACTIONS(717),
    [aux_sym_comparison_operator_token21] = ACTIONS(717),
    [aux_sym_comparison_operator_token22] = ACTIONS(717),
    [aux_sym_comparison_operator_token23] = ACTIONS(717),
    [aux_sym_comparison_operator_token24] = ACTIONS(717),
    [aux_sym_comparison_operator_token25] = ACTIONS(717),
    [aux_sym_comparison_operator_token26] = ACTIONS(717),
    [aux_sym_comparison_operator_token27] = ACTIONS(717),
    [aux_sym_comparison_operator_token28] = ACTIONS(719),
    [aux_sym_comparison_operator_token29] = ACTIONS(717),
    [aux_sym_comparison_operator_token30] = ACTIONS(717),
    [aux_sym_comparison_operator_token31] = ACTIONS(717),
    [aux_sym_comparison_operator_token32] = ACTIONS(717),
    [aux_sym_comparison_operator_token33] = ACTIONS(717),
    [aux_sym_comparison_operator_token34] = ACTIONS(719),
    [aux_sym_comparison_operator_token35] = ACTIONS(717),
    [aux_sym_comparison_operator_token36] = ACTIONS(717),
    [aux_sym_comparison_operator_token37] = ACTIONS(717),
    [aux_sym_comparison_operator_token38] = ACTIONS(717),
    [aux_sym_comparison_operator_token39] = ACTIONS(717),
    [aux_sym_comparison_operator_token40] = ACTIONS(717),
    [aux_sym_comparison_operator_token41] = ACTIONS(717),
    [aux_sym_comparison_operator_token42] = ACTIONS(717),
    [aux_sym_comparison_operator_token43] = ACTIONS(717),
    [aux_sym_comparison_operator_token44] = ACTIONS(717),
    [aux_sym_comparison_operator_token45] = ACTIONS(717),
    [aux_sym_comparison_operator_token46] = ACTIONS(717),
    [aux_sym_comparison_operator_token47] = ACTIONS(717),
    [aux_sym_comparison_operator_token48] = ACTIONS(717),
    [aux_sym_comparison_operator_token49] = ACTIONS(717),
    [aux_sym_comparison_operator_token50] = ACTIONS(717),
    [aux_sym_format_operator_token1] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(717),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(717),
    [anon_sym_PIPE] = ACTIONS(717),
    [anon_sym_PERCENT] = ACTIONS(719),
    [aux_sym_logical_expression_token1] = ACTIONS(717),
    [aux_sym_logical_expression_token2] = ACTIONS(717),
    [aux_sym_logical_expression_token3] = ACTIONS(717),
    [aux_sym_bitwise_expression_token1] = ACTIONS(717),
    [aux_sym_bitwise_expression_token2] = ACTIONS(717),
    [aux_sym_bitwise_expression_token3] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(717),
    [anon_sym_STAR] = ACTIONS(719),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_PLUS_PLUS] = ACTIONS(717),
    [anon_sym_DASH_DASH] = ACTIONS(717),
    [anon_sym_DOT2] = ACTIONS(719),
    [anon_sym_COLON_COLON] = ACTIONS(717),
    [anon_sym_RBRACK] = ACTIONS(717),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(717),
  },
  [118] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_PLUS_EQ] = ACTIONS(721),
    [anon_sym_STAR_EQ] = ACTIONS(721),
    [anon_sym_SLASH_EQ] = ACTIONS(721),
    [anon_sym_PERCENT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(723),
    [anon_sym_GT_GT] = ACTIONS(721),
    [anon_sym_2_GT] = ACTIONS(723),
    [anon_sym_2_GT_GT] = ACTIONS(721),
    [anon_sym_3_GT] = ACTIONS(723),
    [anon_sym_3_GT_GT] = ACTIONS(721),
    [anon_sym_4_GT] = ACTIONS(723),
    [anon_sym_4_GT_GT] = ACTIONS(721),
    [anon_sym_5_GT] = ACTIONS(723),
    [anon_sym_5_GT_GT] = ACTIONS(721),
    [anon_sym_6_GT] = ACTIONS(723),
    [anon_sym_6_GT_GT] = ACTIONS(721),
    [anon_sym_STAR_GT] = ACTIONS(723),
    [anon_sym_STAR_GT_GT] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(723),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(721),
    [anon_sym_2_GT_AMP1] = ACTIONS(721),
    [anon_sym_3_GT_AMP1] = ACTIONS(721),
    [anon_sym_4_GT_AMP1] = ACTIONS(721),
    [anon_sym_5_GT_AMP1] = ACTIONS(721),
    [anon_sym_6_GT_AMP1] = ACTIONS(721),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(721),
    [anon_sym_1_GT_AMP2] = ACTIONS(721),
    [anon_sym_3_GT_AMP2] = ACTIONS(721),
    [anon_sym_4_GT_AMP2] = ACTIONS(721),
    [anon_sym_5_GT_AMP2] = ACTIONS(721),
    [anon_sym_6_GT_AMP2] = ACTIONS(721),
    [aux_sym_comparison_operator_token1] = ACTIONS(721),
    [aux_sym_comparison_operator_token2] = ACTIONS(721),
    [aux_sym_comparison_operator_token3] = ACTIONS(721),
    [aux_sym_comparison_operator_token4] = ACTIONS(721),
    [aux_sym_comparison_operator_token5] = ACTIONS(721),
    [aux_sym_comparison_operator_token6] = ACTIONS(721),
    [aux_sym_comparison_operator_token7] = ACTIONS(721),
    [aux_sym_comparison_operator_token8] = ACTIONS(721),
    [aux_sym_comparison_operator_token9] = ACTIONS(721),
    [aux_sym_comparison_operator_token10] = ACTIONS(721),
    [aux_sym_comparison_operator_token11] = ACTIONS(721),
    [aux_sym_comparison_operator_token12] = ACTIONS(721),
    [aux_sym_comparison_operator_token13] = ACTIONS(721),
    [aux_sym_comparison_operator_token14] = ACTIONS(721),
    [aux_sym_comparison_operator_token15] = ACTIONS(721),
    [aux_sym_comparison_operator_token16] = ACTIONS(721),
    [aux_sym_comparison_operator_token17] = ACTIONS(721),
    [aux_sym_comparison_operator_token18] = ACTIONS(721),
    [aux_sym_comparison_operator_token19] = ACTIONS(721),
    [aux_sym_comparison_operator_token20] = ACTIONS(721),
    [aux_sym_comparison_operator_token21] = ACTIONS(721),
    [aux_sym_comparison_operator_token22] = ACTIONS(721),
    [aux_sym_comparison_operator_token23] = ACTIONS(721),
    [aux_sym_comparison_operator_token24] = ACTIONS(721),
    [aux_sym_comparison_operator_token25] = ACTIONS(721),
    [aux_sym_comparison_operator_token26] = ACTIONS(721),
    [aux_sym_comparison_operator_token27] = ACTIONS(721),
    [aux_sym_comparison_operator_token28] = ACTIONS(723),
    [aux_sym_comparison_operator_token29] = ACTIONS(721),
    [aux_sym_comparison_operator_token30] = ACTIONS(721),
    [aux_sym_comparison_operator_token31] = ACTIONS(721),
    [aux_sym_comparison_operator_token32] = ACTIONS(721),
    [aux_sym_comparison_operator_token33] = ACTIONS(721),
    [aux_sym_comparison_operator_token34] = ACTIONS(723),
    [aux_sym_comparison_operator_token35] = ACTIONS(721),
    [aux_sym_comparison_operator_token36] = ACTIONS(721),
    [aux_sym_comparison_operator_token37] = ACTIONS(721),
    [aux_sym_comparison_operator_token38] = ACTIONS(721),
    [aux_sym_comparison_operator_token39] = ACTIONS(721),
    [aux_sym_comparison_operator_token40] = ACTIONS(721),
    [aux_sym_comparison_operator_token41] = ACTIONS(721),
    [aux_sym_comparison_operator_token42] = ACTIONS(721),
    [aux_sym_comparison_operator_token43] = ACTIONS(721),
    [aux_sym_comparison_operator_token44] = ACTIONS(721),
    [aux_sym_comparison_operator_token45] = ACTIONS(721),
    [aux_sym_comparison_operator_token46] = ACTIONS(721),
    [aux_sym_comparison_operator_token47] = ACTIONS(721),
    [aux_sym_comparison_operator_token48] = ACTIONS(721),
    [aux_sym_comparison_operator_token49] = ACTIONS(721),
    [aux_sym_comparison_operator_token50] = ACTIONS(721),
    [aux_sym_format_operator_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(721),
    [anon_sym_RPAREN] = ACTIONS(721),
    [anon_sym_COMMA] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(721),
    [anon_sym_PERCENT] = ACTIONS(723),
    [aux_sym_logical_expression_token1] = ACTIONS(721),
    [aux_sym_logical_expression_token2] = ACTIONS(721),
    [aux_sym_logical_expression_token3] = ACTIONS(721),
    [aux_sym_bitwise_expression_token1] = ACTIONS(721),
    [aux_sym_bitwise_expression_token2] = ACTIONS(721),
    [aux_sym_bitwise_expression_token3] = ACTIONS(721),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(721),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DOT2] = ACTIONS(723),
    [anon_sym_COLON_COLON] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(721),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(721),
  },
  [119] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BANG_EQ] = ACTIONS(725),
    [anon_sym_PLUS_EQ] = ACTIONS(725),
    [anon_sym_STAR_EQ] = ACTIONS(725),
    [anon_sym_SLASH_EQ] = ACTIONS(725),
    [anon_sym_PERCENT_EQ] = ACTIONS(725),
    [anon_sym_GT] = ACTIONS(727),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_2_GT] = ACTIONS(727),
    [anon_sym_2_GT_GT] = ACTIONS(725),
    [anon_sym_3_GT] = ACTIONS(727),
    [anon_sym_3_GT_GT] = ACTIONS(725),
    [anon_sym_4_GT] = ACTIONS(727),
    [anon_sym_4_GT_GT] = ACTIONS(725),
    [anon_sym_5_GT] = ACTIONS(727),
    [anon_sym_5_GT_GT] = ACTIONS(725),
    [anon_sym_6_GT] = ACTIONS(727),
    [anon_sym_6_GT_GT] = ACTIONS(725),
    [anon_sym_STAR_GT] = ACTIONS(727),
    [anon_sym_STAR_GT_GT] = ACTIONS(725),
    [anon_sym_LT] = ACTIONS(727),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(725),
    [anon_sym_2_GT_AMP1] = ACTIONS(725),
    [anon_sym_3_GT_AMP1] = ACTIONS(725),
    [anon_sym_4_GT_AMP1] = ACTIONS(725),
    [anon_sym_5_GT_AMP1] = ACTIONS(725),
    [anon_sym_6_GT_AMP1] = ACTIONS(725),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(725),
    [anon_sym_1_GT_AMP2] = ACTIONS(725),
    [anon_sym_3_GT_AMP2] = ACTIONS(725),
    [anon_sym_4_GT_AMP2] = ACTIONS(725),
    [anon_sym_5_GT_AMP2] = ACTIONS(725),
    [anon_sym_6_GT_AMP2] = ACTIONS(725),
    [aux_sym_comparison_operator_token1] = ACTIONS(725),
    [aux_sym_comparison_operator_token2] = ACTIONS(725),
    [aux_sym_comparison_operator_token3] = ACTIONS(725),
    [aux_sym_comparison_operator_token4] = ACTIONS(725),
    [aux_sym_comparison_operator_token5] = ACTIONS(725),
    [aux_sym_comparison_operator_token6] = ACTIONS(725),
    [aux_sym_comparison_operator_token7] = ACTIONS(725),
    [aux_sym_comparison_operator_token8] = ACTIONS(725),
    [aux_sym_comparison_operator_token9] = ACTIONS(725),
    [aux_sym_comparison_operator_token10] = ACTIONS(725),
    [aux_sym_comparison_operator_token11] = ACTIONS(725),
    [aux_sym_comparison_operator_token12] = ACTIONS(725),
    [aux_sym_comparison_operator_token13] = ACTIONS(725),
    [aux_sym_comparison_operator_token14] = ACTIONS(725),
    [aux_sym_comparison_operator_token15] = ACTIONS(725),
    [aux_sym_comparison_operator_token16] = ACTIONS(725),
    [aux_sym_comparison_operator_token17] = ACTIONS(725),
    [aux_sym_comparison_operator_token18] = ACTIONS(725),
    [aux_sym_comparison_operator_token19] = ACTIONS(725),
    [aux_sym_comparison_operator_token20] = ACTIONS(725),
    [aux_sym_comparison_operator_token21] = ACTIONS(725),
    [aux_sym_comparison_operator_token22] = ACTIONS(725),
    [aux_sym_comparison_operator_token23] = ACTIONS(725),
    [aux_sym_comparison_operator_token24] = ACTIONS(725),
    [aux_sym_comparison_operator_token25] = ACTIONS(725),
    [aux_sym_comparison_operator_token26] = ACTIONS(725),
    [aux_sym_comparison_operator_token27] = ACTIONS(725),
    [aux_sym_comparison_operator_token28] = ACTIONS(727),
    [aux_sym_comparison_operator_token29] = ACTIONS(725),
    [aux_sym_comparison_operator_token30] = ACTIONS(725),
    [aux_sym_comparison_operator_token31] = ACTIONS(725),
    [aux_sym_comparison_operator_token32] = ACTIONS(725),
    [aux_sym_comparison_operator_token33] = ACTIONS(725),
    [aux_sym_comparison_operator_token34] = ACTIONS(727),
    [aux_sym_comparison_operator_token35] = ACTIONS(725),
    [aux_sym_comparison_operator_token36] = ACTIONS(725),
    [aux_sym_comparison_operator_token37] = ACTIONS(725),
    [aux_sym_comparison_operator_token38] = ACTIONS(725),
    [aux_sym_comparison_operator_token39] = ACTIONS(725),
    [aux_sym_comparison_operator_token40] = ACTIONS(725),
    [aux_sym_comparison_operator_token41] = ACTIONS(725),
    [aux_sym_comparison_operator_token42] = ACTIONS(725),
    [aux_sym_comparison_operator_token43] = ACTIONS(725),
    [aux_sym_comparison_operator_token44] = ACTIONS(725),
    [aux_sym_comparison_operator_token45] = ACTIONS(725),
    [aux_sym_comparison_operator_token46] = ACTIONS(725),
    [aux_sym_comparison_operator_token47] = ACTIONS(725),
    [aux_sym_comparison_operator_token48] = ACTIONS(725),
    [aux_sym_comparison_operator_token49] = ACTIONS(725),
    [aux_sym_comparison_operator_token50] = ACTIONS(725),
    [aux_sym_format_operator_token1] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_COMMA] = ACTIONS(725),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_PERCENT] = ACTIONS(727),
    [aux_sym_logical_expression_token1] = ACTIONS(725),
    [aux_sym_logical_expression_token2] = ACTIONS(725),
    [aux_sym_logical_expression_token3] = ACTIONS(725),
    [aux_sym_bitwise_expression_token1] = ACTIONS(725),
    [aux_sym_bitwise_expression_token2] = ACTIONS(725),
    [aux_sym_bitwise_expression_token3] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [anon_sym_SLASH] = ACTIONS(727),
    [anon_sym_BSLASH] = ACTIONS(725),
    [anon_sym_STAR] = ACTIONS(727),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(725),
    [anon_sym_DASH_DASH] = ACTIONS(725),
    [anon_sym_DOT2] = ACTIONS(727),
    [anon_sym_COLON_COLON] = ACTIONS(725),
    [anon_sym_RBRACK] = ACTIONS(725),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(725),
  },
  [120] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_EQ] = ACTIONS(729),
    [anon_sym_BANG_EQ] = ACTIONS(729),
    [anon_sym_PLUS_EQ] = ACTIONS(729),
    [anon_sym_STAR_EQ] = ACTIONS(729),
    [anon_sym_SLASH_EQ] = ACTIONS(729),
    [anon_sym_PERCENT_EQ] = ACTIONS(729),
    [anon_sym_GT] = ACTIONS(731),
    [anon_sym_GT_GT] = ACTIONS(729),
    [anon_sym_2_GT] = ACTIONS(731),
    [anon_sym_2_GT_GT] = ACTIONS(729),
    [anon_sym_3_GT] = ACTIONS(731),
    [anon_sym_3_GT_GT] = ACTIONS(729),
    [anon_sym_4_GT] = ACTIONS(731),
    [anon_sym_4_GT_GT] = ACTIONS(729),
    [anon_sym_5_GT] = ACTIONS(731),
    [anon_sym_5_GT_GT] = ACTIONS(729),
    [anon_sym_6_GT] = ACTIONS(731),
    [anon_sym_6_GT_GT] = ACTIONS(729),
    [anon_sym_STAR_GT] = ACTIONS(731),
    [anon_sym_STAR_GT_GT] = ACTIONS(729),
    [anon_sym_LT] = ACTIONS(731),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(729),
    [anon_sym_2_GT_AMP1] = ACTIONS(729),
    [anon_sym_3_GT_AMP1] = ACTIONS(729),
    [anon_sym_4_GT_AMP1] = ACTIONS(729),
    [anon_sym_5_GT_AMP1] = ACTIONS(729),
    [anon_sym_6_GT_AMP1] = ACTIONS(729),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(729),
    [anon_sym_1_GT_AMP2] = ACTIONS(729),
    [anon_sym_3_GT_AMP2] = ACTIONS(729),
    [anon_sym_4_GT_AMP2] = ACTIONS(729),
    [anon_sym_5_GT_AMP2] = ACTIONS(729),
    [anon_sym_6_GT_AMP2] = ACTIONS(729),
    [aux_sym_comparison_operator_token1] = ACTIONS(729),
    [aux_sym_comparison_operator_token2] = ACTIONS(729),
    [aux_sym_comparison_operator_token3] = ACTIONS(729),
    [aux_sym_comparison_operator_token4] = ACTIONS(729),
    [aux_sym_comparison_operator_token5] = ACTIONS(729),
    [aux_sym_comparison_operator_token6] = ACTIONS(729),
    [aux_sym_comparison_operator_token7] = ACTIONS(729),
    [aux_sym_comparison_operator_token8] = ACTIONS(729),
    [aux_sym_comparison_operator_token9] = ACTIONS(729),
    [aux_sym_comparison_operator_token10] = ACTIONS(729),
    [aux_sym_comparison_operator_token11] = ACTIONS(729),
    [aux_sym_comparison_operator_token12] = ACTIONS(729),
    [aux_sym_comparison_operator_token13] = ACTIONS(729),
    [aux_sym_comparison_operator_token14] = ACTIONS(729),
    [aux_sym_comparison_operator_token15] = ACTIONS(729),
    [aux_sym_comparison_operator_token16] = ACTIONS(729),
    [aux_sym_comparison_operator_token17] = ACTIONS(729),
    [aux_sym_comparison_operator_token18] = ACTIONS(729),
    [aux_sym_comparison_operator_token19] = ACTIONS(729),
    [aux_sym_comparison_operator_token20] = ACTIONS(729),
    [aux_sym_comparison_operator_token21] = ACTIONS(729),
    [aux_sym_comparison_operator_token22] = ACTIONS(729),
    [aux_sym_comparison_operator_token23] = ACTIONS(729),
    [aux_sym_comparison_operator_token24] = ACTIONS(729),
    [aux_sym_comparison_operator_token25] = ACTIONS(729),
    [aux_sym_comparison_operator_token26] = ACTIONS(729),
    [aux_sym_comparison_operator_token27] = ACTIONS(729),
    [aux_sym_comparison_operator_token28] = ACTIONS(731),
    [aux_sym_comparison_operator_token29] = ACTIONS(729),
    [aux_sym_comparison_operator_token30] = ACTIONS(729),
    [aux_sym_comparison_operator_token31] = ACTIONS(729),
    [aux_sym_comparison_operator_token32] = ACTIONS(729),
    [aux_sym_comparison_operator_token33] = ACTIONS(729),
    [aux_sym_comparison_operator_token34] = ACTIONS(731),
    [aux_sym_comparison_operator_token35] = ACTIONS(729),
    [aux_sym_comparison_operator_token36] = ACTIONS(729),
    [aux_sym_comparison_operator_token37] = ACTIONS(729),
    [aux_sym_comparison_operator_token38] = ACTIONS(729),
    [aux_sym_comparison_operator_token39] = ACTIONS(729),
    [aux_sym_comparison_operator_token40] = ACTIONS(729),
    [aux_sym_comparison_operator_token41] = ACTIONS(729),
    [aux_sym_comparison_operator_token42] = ACTIONS(729),
    [aux_sym_comparison_operator_token43] = ACTIONS(729),
    [aux_sym_comparison_operator_token44] = ACTIONS(729),
    [aux_sym_comparison_operator_token45] = ACTIONS(729),
    [aux_sym_comparison_operator_token46] = ACTIONS(729),
    [aux_sym_comparison_operator_token47] = ACTIONS(729),
    [aux_sym_comparison_operator_token48] = ACTIONS(729),
    [aux_sym_comparison_operator_token49] = ACTIONS(729),
    [aux_sym_comparison_operator_token50] = ACTIONS(729),
    [aux_sym_format_operator_token1] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(729),
    [anon_sym_PERCENT] = ACTIONS(731),
    [aux_sym_logical_expression_token1] = ACTIONS(729),
    [aux_sym_logical_expression_token2] = ACTIONS(729),
    [aux_sym_logical_expression_token3] = ACTIONS(729),
    [aux_sym_bitwise_expression_token1] = ACTIONS(729),
    [aux_sym_bitwise_expression_token2] = ACTIONS(729),
    [aux_sym_bitwise_expression_token3] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_SLASH] = ACTIONS(731),
    [anon_sym_BSLASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(731),
    [anon_sym_DOT_DOT] = ACTIONS(729),
    [anon_sym_PLUS_PLUS] = ACTIONS(729),
    [anon_sym_DASH_DASH] = ACTIONS(729),
    [anon_sym_DOT2] = ACTIONS(731),
    [anon_sym_COLON_COLON] = ACTIONS(729),
    [anon_sym_RBRACK] = ACTIONS(729),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(729),
  },
  [121] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_PLUS_EQ] = ACTIONS(605),
    [anon_sym_STAR_EQ] = ACTIONS(605),
    [anon_sym_SLASH_EQ] = ACTIONS(605),
    [anon_sym_PERCENT_EQ] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(607),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_2_GT] = ACTIONS(607),
    [anon_sym_2_GT_GT] = ACTIONS(605),
    [anon_sym_3_GT] = ACTIONS(607),
    [anon_sym_3_GT_GT] = ACTIONS(605),
    [anon_sym_4_GT] = ACTIONS(607),
    [anon_sym_4_GT_GT] = ACTIONS(605),
    [anon_sym_5_GT] = ACTIONS(607),
    [anon_sym_5_GT_GT] = ACTIONS(605),
    [anon_sym_6_GT] = ACTIONS(607),
    [anon_sym_6_GT_GT] = ACTIONS(605),
    [anon_sym_STAR_GT] = ACTIONS(607),
    [anon_sym_STAR_GT_GT] = ACTIONS(605),
    [anon_sym_LT] = ACTIONS(607),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(605),
    [anon_sym_2_GT_AMP1] = ACTIONS(605),
    [anon_sym_3_GT_AMP1] = ACTIONS(605),
    [anon_sym_4_GT_AMP1] = ACTIONS(605),
    [anon_sym_5_GT_AMP1] = ACTIONS(605),
    [anon_sym_6_GT_AMP1] = ACTIONS(605),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(605),
    [anon_sym_1_GT_AMP2] = ACTIONS(605),
    [anon_sym_3_GT_AMP2] = ACTIONS(605),
    [anon_sym_4_GT_AMP2] = ACTIONS(605),
    [anon_sym_5_GT_AMP2] = ACTIONS(605),
    [anon_sym_6_GT_AMP2] = ACTIONS(605),
    [aux_sym_comparison_operator_token1] = ACTIONS(605),
    [aux_sym_comparison_operator_token2] = ACTIONS(605),
    [aux_sym_comparison_operator_token3] = ACTIONS(605),
    [aux_sym_comparison_operator_token4] = ACTIONS(605),
    [aux_sym_comparison_operator_token5] = ACTIONS(605),
    [aux_sym_comparison_operator_token6] = ACTIONS(605),
    [aux_sym_comparison_operator_token7] = ACTIONS(605),
    [aux_sym_comparison_operator_token8] = ACTIONS(605),
    [aux_sym_comparison_operator_token9] = ACTIONS(605),
    [aux_sym_comparison_operator_token10] = ACTIONS(605),
    [aux_sym_comparison_operator_token11] = ACTIONS(605),
    [aux_sym_comparison_operator_token12] = ACTIONS(605),
    [aux_sym_comparison_operator_token13] = ACTIONS(605),
    [aux_sym_comparison_operator_token14] = ACTIONS(605),
    [aux_sym_comparison_operator_token15] = ACTIONS(605),
    [aux_sym_comparison_operator_token16] = ACTIONS(605),
    [aux_sym_comparison_operator_token17] = ACTIONS(605),
    [aux_sym_comparison_operator_token18] = ACTIONS(605),
    [aux_sym_comparison_operator_token19] = ACTIONS(605),
    [aux_sym_comparison_operator_token20] = ACTIONS(605),
    [aux_sym_comparison_operator_token21] = ACTIONS(605),
    [aux_sym_comparison_operator_token22] = ACTIONS(605),
    [aux_sym_comparison_operator_token23] = ACTIONS(605),
    [aux_sym_comparison_operator_token24] = ACTIONS(605),
    [aux_sym_comparison_operator_token25] = ACTIONS(605),
    [aux_sym_comparison_operator_token26] = ACTIONS(605),
    [aux_sym_comparison_operator_token27] = ACTIONS(605),
    [aux_sym_comparison_operator_token28] = ACTIONS(607),
    [aux_sym_comparison_operator_token29] = ACTIONS(605),
    [aux_sym_comparison_operator_token30] = ACTIONS(605),
    [aux_sym_comparison_operator_token31] = ACTIONS(605),
    [aux_sym_comparison_operator_token32] = ACTIONS(605),
    [aux_sym_comparison_operator_token33] = ACTIONS(605),
    [aux_sym_comparison_operator_token34] = ACTIONS(607),
    [aux_sym_comparison_operator_token35] = ACTIONS(605),
    [aux_sym_comparison_operator_token36] = ACTIONS(605),
    [aux_sym_comparison_operator_token37] = ACTIONS(605),
    [aux_sym_comparison_operator_token38] = ACTIONS(605),
    [aux_sym_comparison_operator_token39] = ACTIONS(605),
    [aux_sym_comparison_operator_token40] = ACTIONS(605),
    [aux_sym_comparison_operator_token41] = ACTIONS(605),
    [aux_sym_comparison_operator_token42] = ACTIONS(605),
    [aux_sym_comparison_operator_token43] = ACTIONS(605),
    [aux_sym_comparison_operator_token44] = ACTIONS(605),
    [aux_sym_comparison_operator_token45] = ACTIONS(605),
    [aux_sym_comparison_operator_token46] = ACTIONS(605),
    [aux_sym_comparison_operator_token47] = ACTIONS(605),
    [aux_sym_comparison_operator_token48] = ACTIONS(605),
    [aux_sym_comparison_operator_token49] = ACTIONS(605),
    [aux_sym_comparison_operator_token50] = ACTIONS(605),
    [aux_sym_format_operator_token1] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(607),
    [aux_sym_logical_expression_token1] = ACTIONS(605),
    [aux_sym_logical_expression_token2] = ACTIONS(605),
    [aux_sym_logical_expression_token3] = ACTIONS(605),
    [aux_sym_bitwise_expression_token1] = ACTIONS(605),
    [aux_sym_bitwise_expression_token2] = ACTIONS(605),
    [aux_sym_bitwise_expression_token3] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_SLASH] = ACTIONS(607),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_DOT_DOT] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_DOT2] = ACTIONS(607),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(605),
    [sym__statement_terminator] = ACTIONS(605),
  },
  [122] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(625),
    [anon_sym_PLUS_EQ] = ACTIONS(625),
    [anon_sym_STAR_EQ] = ACTIONS(625),
    [anon_sym_SLASH_EQ] = ACTIONS(625),
    [anon_sym_PERCENT_EQ] = ACTIONS(625),
    [anon_sym_GT] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_2_GT] = ACTIONS(627),
    [anon_sym_2_GT_GT] = ACTIONS(625),
    [anon_sym_3_GT] = ACTIONS(627),
    [anon_sym_3_GT_GT] = ACTIONS(625),
    [anon_sym_4_GT] = ACTIONS(627),
    [anon_sym_4_GT_GT] = ACTIONS(625),
    [anon_sym_5_GT] = ACTIONS(627),
    [anon_sym_5_GT_GT] = ACTIONS(625),
    [anon_sym_6_GT] = ACTIONS(627),
    [anon_sym_6_GT_GT] = ACTIONS(625),
    [anon_sym_STAR_GT] = ACTIONS(627),
    [anon_sym_STAR_GT_GT] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(627),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(625),
    [anon_sym_2_GT_AMP1] = ACTIONS(625),
    [anon_sym_3_GT_AMP1] = ACTIONS(625),
    [anon_sym_4_GT_AMP1] = ACTIONS(625),
    [anon_sym_5_GT_AMP1] = ACTIONS(625),
    [anon_sym_6_GT_AMP1] = ACTIONS(625),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(625),
    [anon_sym_1_GT_AMP2] = ACTIONS(625),
    [anon_sym_3_GT_AMP2] = ACTIONS(625),
    [anon_sym_4_GT_AMP2] = ACTIONS(625),
    [anon_sym_5_GT_AMP2] = ACTIONS(625),
    [anon_sym_6_GT_AMP2] = ACTIONS(625),
    [aux_sym_comparison_operator_token1] = ACTIONS(625),
    [aux_sym_comparison_operator_token2] = ACTIONS(625),
    [aux_sym_comparison_operator_token3] = ACTIONS(625),
    [aux_sym_comparison_operator_token4] = ACTIONS(625),
    [aux_sym_comparison_operator_token5] = ACTIONS(625),
    [aux_sym_comparison_operator_token6] = ACTIONS(625),
    [aux_sym_comparison_operator_token7] = ACTIONS(625),
    [aux_sym_comparison_operator_token8] = ACTIONS(625),
    [aux_sym_comparison_operator_token9] = ACTIONS(625),
    [aux_sym_comparison_operator_token10] = ACTIONS(625),
    [aux_sym_comparison_operator_token11] = ACTIONS(625),
    [aux_sym_comparison_operator_token12] = ACTIONS(625),
    [aux_sym_comparison_operator_token13] = ACTIONS(625),
    [aux_sym_comparison_operator_token14] = ACTIONS(625),
    [aux_sym_comparison_operator_token15] = ACTIONS(625),
    [aux_sym_comparison_operator_token16] = ACTIONS(625),
    [aux_sym_comparison_operator_token17] = ACTIONS(625),
    [aux_sym_comparison_operator_token18] = ACTIONS(625),
    [aux_sym_comparison_operator_token19] = ACTIONS(625),
    [aux_sym_comparison_operator_token20] = ACTIONS(625),
    [aux_sym_comparison_operator_token21] = ACTIONS(625),
    [aux_sym_comparison_operator_token22] = ACTIONS(625),
    [aux_sym_comparison_operator_token23] = ACTIONS(625),
    [aux_sym_comparison_operator_token24] = ACTIONS(625),
    [aux_sym_comparison_operator_token25] = ACTIONS(625),
    [aux_sym_comparison_operator_token26] = ACTIONS(625),
    [aux_sym_comparison_operator_token27] = ACTIONS(625),
    [aux_sym_comparison_operator_token28] = ACTIONS(627),
    [aux_sym_comparison_operator_token29] = ACTIONS(625),
    [aux_sym_comparison_operator_token30] = ACTIONS(625),
    [aux_sym_comparison_operator_token31] = ACTIONS(625),
    [aux_sym_comparison_operator_token32] = ACTIONS(625),
    [aux_sym_comparison_operator_token33] = ACTIONS(625),
    [aux_sym_comparison_operator_token34] = ACTIONS(627),
    [aux_sym_comparison_operator_token35] = ACTIONS(625),
    [aux_sym_comparison_operator_token36] = ACTIONS(625),
    [aux_sym_comparison_operator_token37] = ACTIONS(625),
    [aux_sym_comparison_operator_token38] = ACTIONS(625),
    [aux_sym_comparison_operator_token39] = ACTIONS(625),
    [aux_sym_comparison_operator_token40] = ACTIONS(625),
    [aux_sym_comparison_operator_token41] = ACTIONS(625),
    [aux_sym_comparison_operator_token42] = ACTIONS(625),
    [aux_sym_comparison_operator_token43] = ACTIONS(625),
    [aux_sym_comparison_operator_token44] = ACTIONS(625),
    [aux_sym_comparison_operator_token45] = ACTIONS(625),
    [aux_sym_comparison_operator_token46] = ACTIONS(625),
    [aux_sym_comparison_operator_token47] = ACTIONS(625),
    [aux_sym_comparison_operator_token48] = ACTIONS(625),
    [aux_sym_comparison_operator_token49] = ACTIONS(625),
    [aux_sym_comparison_operator_token50] = ACTIONS(625),
    [aux_sym_format_operator_token1] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(627),
    [aux_sym_logical_expression_token1] = ACTIONS(625),
    [aux_sym_logical_expression_token2] = ACTIONS(625),
    [aux_sym_logical_expression_token3] = ACTIONS(625),
    [aux_sym_bitwise_expression_token1] = ACTIONS(625),
    [aux_sym_bitwise_expression_token2] = ACTIONS(625),
    [aux_sym_bitwise_expression_token3] = ACTIONS(625),
    [anon_sym_PLUS] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(627),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_BSLASH] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_DOT_DOT] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [anon_sym_DOT2] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(625),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(625),
    [sym__statement_terminator] = ACTIONS(625),
  },
  [123] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(675),
    [anon_sym_DASH_DASH] = ACTIONS(675),
    [anon_sym_DOT2] = ACTIONS(677),
    [anon_sym_COLON_COLON] = ACTIONS(675),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(675),
    [sym__statement_terminator] = ACTIONS(675),
  },
  [124] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(613),
    [anon_sym_PLUS_EQ] = ACTIONS(613),
    [anon_sym_STAR_EQ] = ACTIONS(613),
    [anon_sym_SLASH_EQ] = ACTIONS(613),
    [anon_sym_PERCENT_EQ] = ACTIONS(613),
    [anon_sym_GT] = ACTIONS(615),
    [anon_sym_GT_GT] = ACTIONS(613),
    [anon_sym_2_GT] = ACTIONS(615),
    [anon_sym_2_GT_GT] = ACTIONS(613),
    [anon_sym_3_GT] = ACTIONS(615),
    [anon_sym_3_GT_GT] = ACTIONS(613),
    [anon_sym_4_GT] = ACTIONS(615),
    [anon_sym_4_GT_GT] = ACTIONS(613),
    [anon_sym_5_GT] = ACTIONS(615),
    [anon_sym_5_GT_GT] = ACTIONS(613),
    [anon_sym_6_GT] = ACTIONS(615),
    [anon_sym_6_GT_GT] = ACTIONS(613),
    [anon_sym_STAR_GT] = ACTIONS(615),
    [anon_sym_STAR_GT_GT] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(615),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(613),
    [anon_sym_2_GT_AMP1] = ACTIONS(613),
    [anon_sym_3_GT_AMP1] = ACTIONS(613),
    [anon_sym_4_GT_AMP1] = ACTIONS(613),
    [anon_sym_5_GT_AMP1] = ACTIONS(613),
    [anon_sym_6_GT_AMP1] = ACTIONS(613),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(613),
    [anon_sym_1_GT_AMP2] = ACTIONS(613),
    [anon_sym_3_GT_AMP2] = ACTIONS(613),
    [anon_sym_4_GT_AMP2] = ACTIONS(613),
    [anon_sym_5_GT_AMP2] = ACTIONS(613),
    [anon_sym_6_GT_AMP2] = ACTIONS(613),
    [aux_sym_comparison_operator_token1] = ACTIONS(613),
    [aux_sym_comparison_operator_token2] = ACTIONS(613),
    [aux_sym_comparison_operator_token3] = ACTIONS(613),
    [aux_sym_comparison_operator_token4] = ACTIONS(613),
    [aux_sym_comparison_operator_token5] = ACTIONS(613),
    [aux_sym_comparison_operator_token6] = ACTIONS(613),
    [aux_sym_comparison_operator_token7] = ACTIONS(613),
    [aux_sym_comparison_operator_token8] = ACTIONS(613),
    [aux_sym_comparison_operator_token9] = ACTIONS(613),
    [aux_sym_comparison_operator_token10] = ACTIONS(613),
    [aux_sym_comparison_operator_token11] = ACTIONS(613),
    [aux_sym_comparison_operator_token12] = ACTIONS(613),
    [aux_sym_comparison_operator_token13] = ACTIONS(613),
    [aux_sym_comparison_operator_token14] = ACTIONS(613),
    [aux_sym_comparison_operator_token15] = ACTIONS(613),
    [aux_sym_comparison_operator_token16] = ACTIONS(613),
    [aux_sym_comparison_operator_token17] = ACTIONS(613),
    [aux_sym_comparison_operator_token18] = ACTIONS(613),
    [aux_sym_comparison_operator_token19] = ACTIONS(613),
    [aux_sym_comparison_operator_token20] = ACTIONS(613),
    [aux_sym_comparison_operator_token21] = ACTIONS(613),
    [aux_sym_comparison_operator_token22] = ACTIONS(613),
    [aux_sym_comparison_operator_token23] = ACTIONS(613),
    [aux_sym_comparison_operator_token24] = ACTIONS(613),
    [aux_sym_comparison_operator_token25] = ACTIONS(613),
    [aux_sym_comparison_operator_token26] = ACTIONS(613),
    [aux_sym_comparison_operator_token27] = ACTIONS(613),
    [aux_sym_comparison_operator_token28] = ACTIONS(615),
    [aux_sym_comparison_operator_token29] = ACTIONS(613),
    [aux_sym_comparison_operator_token30] = ACTIONS(613),
    [aux_sym_comparison_operator_token31] = ACTIONS(613),
    [aux_sym_comparison_operator_token32] = ACTIONS(613),
    [aux_sym_comparison_operator_token33] = ACTIONS(613),
    [aux_sym_comparison_operator_token34] = ACTIONS(615),
    [aux_sym_comparison_operator_token35] = ACTIONS(613),
    [aux_sym_comparison_operator_token36] = ACTIONS(613),
    [aux_sym_comparison_operator_token37] = ACTIONS(613),
    [aux_sym_comparison_operator_token38] = ACTIONS(613),
    [aux_sym_comparison_operator_token39] = ACTIONS(613),
    [aux_sym_comparison_operator_token40] = ACTIONS(613),
    [aux_sym_comparison_operator_token41] = ACTIONS(613),
    [aux_sym_comparison_operator_token42] = ACTIONS(613),
    [aux_sym_comparison_operator_token43] = ACTIONS(613),
    [aux_sym_comparison_operator_token44] = ACTIONS(613),
    [aux_sym_comparison_operator_token45] = ACTIONS(613),
    [aux_sym_comparison_operator_token46] = ACTIONS(613),
    [aux_sym_comparison_operator_token47] = ACTIONS(613),
    [aux_sym_comparison_operator_token48] = ACTIONS(613),
    [aux_sym_comparison_operator_token49] = ACTIONS(613),
    [aux_sym_comparison_operator_token50] = ACTIONS(613),
    [aux_sym_format_operator_token1] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_PERCENT] = ACTIONS(615),
    [aux_sym_logical_expression_token1] = ACTIONS(613),
    [aux_sym_logical_expression_token2] = ACTIONS(613),
    [aux_sym_logical_expression_token3] = ACTIONS(613),
    [aux_sym_bitwise_expression_token1] = ACTIONS(613),
    [aux_sym_bitwise_expression_token2] = ACTIONS(613),
    [aux_sym_bitwise_expression_token3] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_SLASH] = ACTIONS(615),
    [anon_sym_BSLASH] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(613),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_DOT2] = ACTIONS(615),
    [anon_sym_COLON_COLON] = ACTIONS(613),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(613),
    [sym__statement_terminator] = ACTIONS(613),
  },
  [125] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_PLUS_EQ] = ACTIONS(647),
    [anon_sym_STAR_EQ] = ACTIONS(647),
    [anon_sym_SLASH_EQ] = ACTIONS(647),
    [anon_sym_PERCENT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_2_GT] = ACTIONS(649),
    [anon_sym_2_GT_GT] = ACTIONS(647),
    [anon_sym_3_GT] = ACTIONS(649),
    [anon_sym_3_GT_GT] = ACTIONS(647),
    [anon_sym_4_GT] = ACTIONS(649),
    [anon_sym_4_GT_GT] = ACTIONS(647),
    [anon_sym_5_GT] = ACTIONS(649),
    [anon_sym_5_GT_GT] = ACTIONS(647),
    [anon_sym_6_GT] = ACTIONS(649),
    [anon_sym_6_GT_GT] = ACTIONS(647),
    [anon_sym_STAR_GT] = ACTIONS(649),
    [anon_sym_STAR_GT_GT] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(647),
    [anon_sym_2_GT_AMP1] = ACTIONS(647),
    [anon_sym_3_GT_AMP1] = ACTIONS(647),
    [anon_sym_4_GT_AMP1] = ACTIONS(647),
    [anon_sym_5_GT_AMP1] = ACTIONS(647),
    [anon_sym_6_GT_AMP1] = ACTIONS(647),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(647),
    [anon_sym_1_GT_AMP2] = ACTIONS(647),
    [anon_sym_3_GT_AMP2] = ACTIONS(647),
    [anon_sym_4_GT_AMP2] = ACTIONS(647),
    [anon_sym_5_GT_AMP2] = ACTIONS(647),
    [anon_sym_6_GT_AMP2] = ACTIONS(647),
    [aux_sym_comparison_operator_token1] = ACTIONS(647),
    [aux_sym_comparison_operator_token2] = ACTIONS(647),
    [aux_sym_comparison_operator_token3] = ACTIONS(647),
    [aux_sym_comparison_operator_token4] = ACTIONS(647),
    [aux_sym_comparison_operator_token5] = ACTIONS(647),
    [aux_sym_comparison_operator_token6] = ACTIONS(647),
    [aux_sym_comparison_operator_token7] = ACTIONS(647),
    [aux_sym_comparison_operator_token8] = ACTIONS(647),
    [aux_sym_comparison_operator_token9] = ACTIONS(647),
    [aux_sym_comparison_operator_token10] = ACTIONS(647),
    [aux_sym_comparison_operator_token11] = ACTIONS(647),
    [aux_sym_comparison_operator_token12] = ACTIONS(647),
    [aux_sym_comparison_operator_token13] = ACTIONS(647),
    [aux_sym_comparison_operator_token14] = ACTIONS(647),
    [aux_sym_comparison_operator_token15] = ACTIONS(647),
    [aux_sym_comparison_operator_token16] = ACTIONS(647),
    [aux_sym_comparison_operator_token17] = ACTIONS(647),
    [aux_sym_comparison_operator_token18] = ACTIONS(647),
    [aux_sym_comparison_operator_token19] = ACTIONS(647),
    [aux_sym_comparison_operator_token20] = ACTIONS(647),
    [aux_sym_comparison_operator_token21] = ACTIONS(647),
    [aux_sym_comparison_operator_token22] = ACTIONS(647),
    [aux_sym_comparison_operator_token23] = ACTIONS(647),
    [aux_sym_comparison_operator_token24] = ACTIONS(647),
    [aux_sym_comparison_operator_token25] = ACTIONS(647),
    [aux_sym_comparison_operator_token26] = ACTIONS(647),
    [aux_sym_comparison_operator_token27] = ACTIONS(647),
    [aux_sym_comparison_operator_token28] = ACTIONS(649),
    [aux_sym_comparison_operator_token29] = ACTIONS(647),
    [aux_sym_comparison_operator_token30] = ACTIONS(647),
    [aux_sym_comparison_operator_token31] = ACTIONS(647),
    [aux_sym_comparison_operator_token32] = ACTIONS(647),
    [aux_sym_comparison_operator_token33] = ACTIONS(647),
    [aux_sym_comparison_operator_token34] = ACTIONS(649),
    [aux_sym_comparison_operator_token35] = ACTIONS(647),
    [aux_sym_comparison_operator_token36] = ACTIONS(647),
    [aux_sym_comparison_operator_token37] = ACTIONS(647),
    [aux_sym_comparison_operator_token38] = ACTIONS(647),
    [aux_sym_comparison_operator_token39] = ACTIONS(647),
    [aux_sym_comparison_operator_token40] = ACTIONS(647),
    [aux_sym_comparison_operator_token41] = ACTIONS(647),
    [aux_sym_comparison_operator_token42] = ACTIONS(647),
    [aux_sym_comparison_operator_token43] = ACTIONS(647),
    [aux_sym_comparison_operator_token44] = ACTIONS(647),
    [aux_sym_comparison_operator_token45] = ACTIONS(647),
    [aux_sym_comparison_operator_token46] = ACTIONS(647),
    [aux_sym_comparison_operator_token47] = ACTIONS(647),
    [aux_sym_comparison_operator_token48] = ACTIONS(647),
    [aux_sym_comparison_operator_token49] = ACTIONS(647),
    [aux_sym_comparison_operator_token50] = ACTIONS(647),
    [aux_sym_format_operator_token1] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_COMMA] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [aux_sym_logical_expression_token1] = ACTIONS(647),
    [aux_sym_logical_expression_token2] = ACTIONS(647),
    [aux_sym_logical_expression_token3] = ACTIONS(647),
    [aux_sym_bitwise_expression_token1] = ACTIONS(647),
    [aux_sym_bitwise_expression_token2] = ACTIONS(647),
    [aux_sym_bitwise_expression_token3] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_SLASH] = ACTIONS(649),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(649),
    [anon_sym_DOT_DOT] = ACTIONS(647),
    [anon_sym_PLUS_PLUS] = ACTIONS(647),
    [anon_sym_DASH_DASH] = ACTIONS(647),
    [anon_sym_DOT2] = ACTIONS(649),
    [anon_sym_COLON_COLON] = ACTIONS(647),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(647),
    [sym__statement_terminator] = ACTIONS(647),
  },
  [126] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DOT2] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(635),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [127] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_PLUS_EQ] = ACTIONS(697),
    [anon_sym_STAR_EQ] = ACTIONS(697),
    [anon_sym_SLASH_EQ] = ACTIONS(697),
    [anon_sym_PERCENT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_GT] = ACTIONS(697),
    [anon_sym_2_GT] = ACTIONS(699),
    [anon_sym_2_GT_GT] = ACTIONS(697),
    [anon_sym_3_GT] = ACTIONS(699),
    [anon_sym_3_GT_GT] = ACTIONS(697),
    [anon_sym_4_GT] = ACTIONS(699),
    [anon_sym_4_GT_GT] = ACTIONS(697),
    [anon_sym_5_GT] = ACTIONS(699),
    [anon_sym_5_GT_GT] = ACTIONS(697),
    [anon_sym_6_GT] = ACTIONS(699),
    [anon_sym_6_GT_GT] = ACTIONS(697),
    [anon_sym_STAR_GT] = ACTIONS(699),
    [anon_sym_STAR_GT_GT] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(697),
    [anon_sym_2_GT_AMP1] = ACTIONS(697),
    [anon_sym_3_GT_AMP1] = ACTIONS(697),
    [anon_sym_4_GT_AMP1] = ACTIONS(697),
    [anon_sym_5_GT_AMP1] = ACTIONS(697),
    [anon_sym_6_GT_AMP1] = ACTIONS(697),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(697),
    [anon_sym_1_GT_AMP2] = ACTIONS(697),
    [anon_sym_3_GT_AMP2] = ACTIONS(697),
    [anon_sym_4_GT_AMP2] = ACTIONS(697),
    [anon_sym_5_GT_AMP2] = ACTIONS(697),
    [anon_sym_6_GT_AMP2] = ACTIONS(697),
    [aux_sym_comparison_operator_token1] = ACTIONS(697),
    [aux_sym_comparison_operator_token2] = ACTIONS(697),
    [aux_sym_comparison_operator_token3] = ACTIONS(697),
    [aux_sym_comparison_operator_token4] = ACTIONS(697),
    [aux_sym_comparison_operator_token5] = ACTIONS(697),
    [aux_sym_comparison_operator_token6] = ACTIONS(697),
    [aux_sym_comparison_operator_token7] = ACTIONS(697),
    [aux_sym_comparison_operator_token8] = ACTIONS(697),
    [aux_sym_comparison_operator_token9] = ACTIONS(697),
    [aux_sym_comparison_operator_token10] = ACTIONS(697),
    [aux_sym_comparison_operator_token11] = ACTIONS(697),
    [aux_sym_comparison_operator_token12] = ACTIONS(697),
    [aux_sym_comparison_operator_token13] = ACTIONS(697),
    [aux_sym_comparison_operator_token14] = ACTIONS(697),
    [aux_sym_comparison_operator_token15] = ACTIONS(697),
    [aux_sym_comparison_operator_token16] = ACTIONS(697),
    [aux_sym_comparison_operator_token17] = ACTIONS(697),
    [aux_sym_comparison_operator_token18] = ACTIONS(697),
    [aux_sym_comparison_operator_token19] = ACTIONS(697),
    [aux_sym_comparison_operator_token20] = ACTIONS(697),
    [aux_sym_comparison_operator_token21] = ACTIONS(697),
    [aux_sym_comparison_operator_token22] = ACTIONS(697),
    [aux_sym_comparison_operator_token23] = ACTIONS(697),
    [aux_sym_comparison_operator_token24] = ACTIONS(697),
    [aux_sym_comparison_operator_token25] = ACTIONS(697),
    [aux_sym_comparison_operator_token26] = ACTIONS(697),
    [aux_sym_comparison_operator_token27] = ACTIONS(697),
    [aux_sym_comparison_operator_token28] = ACTIONS(699),
    [aux_sym_comparison_operator_token29] = ACTIONS(697),
    [aux_sym_comparison_operator_token30] = ACTIONS(697),
    [aux_sym_comparison_operator_token31] = ACTIONS(697),
    [aux_sym_comparison_operator_token32] = ACTIONS(697),
    [aux_sym_comparison_operator_token33] = ACTIONS(697),
    [aux_sym_comparison_operator_token34] = ACTIONS(699),
    [aux_sym_comparison_operator_token35] = ACTIONS(697),
    [aux_sym_comparison_operator_token36] = ACTIONS(697),
    [aux_sym_comparison_operator_token37] = ACTIONS(697),
    [aux_sym_comparison_operator_token38] = ACTIONS(697),
    [aux_sym_comparison_operator_token39] = ACTIONS(697),
    [aux_sym_comparison_operator_token40] = ACTIONS(697),
    [aux_sym_comparison_operator_token41] = ACTIONS(697),
    [aux_sym_comparison_operator_token42] = ACTIONS(697),
    [aux_sym_comparison_operator_token43] = ACTIONS(697),
    [aux_sym_comparison_operator_token44] = ACTIONS(697),
    [aux_sym_comparison_operator_token45] = ACTIONS(697),
    [aux_sym_comparison_operator_token46] = ACTIONS(697),
    [aux_sym_comparison_operator_token47] = ACTIONS(697),
    [aux_sym_comparison_operator_token48] = ACTIONS(697),
    [aux_sym_comparison_operator_token49] = ACTIONS(697),
    [aux_sym_comparison_operator_token50] = ACTIONS(697),
    [aux_sym_format_operator_token1] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(697),
    [anon_sym_PERCENT] = ACTIONS(699),
    [aux_sym_logical_expression_token1] = ACTIONS(697),
    [aux_sym_logical_expression_token2] = ACTIONS(697),
    [aux_sym_logical_expression_token3] = ACTIONS(697),
    [aux_sym_bitwise_expression_token1] = ACTIONS(697),
    [aux_sym_bitwise_expression_token2] = ACTIONS(697),
    [aux_sym_bitwise_expression_token3] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_DOT_DOT] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_DOT2] = ACTIONS(699),
    [anon_sym_COLON_COLON] = ACTIONS(697),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(697),
    [sym__statement_terminator] = ACTIONS(697),
  },
  [128] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_EQ] = ACTIONS(717),
    [anon_sym_BANG_EQ] = ACTIONS(717),
    [anon_sym_PLUS_EQ] = ACTIONS(717),
    [anon_sym_STAR_EQ] = ACTIONS(717),
    [anon_sym_SLASH_EQ] = ACTIONS(717),
    [anon_sym_PERCENT_EQ] = ACTIONS(717),
    [anon_sym_GT] = ACTIONS(719),
    [anon_sym_GT_GT] = ACTIONS(717),
    [anon_sym_2_GT] = ACTIONS(719),
    [anon_sym_2_GT_GT] = ACTIONS(717),
    [anon_sym_3_GT] = ACTIONS(719),
    [anon_sym_3_GT_GT] = ACTIONS(717),
    [anon_sym_4_GT] = ACTIONS(719),
    [anon_sym_4_GT_GT] = ACTIONS(717),
    [anon_sym_5_GT] = ACTIONS(719),
    [anon_sym_5_GT_GT] = ACTIONS(717),
    [anon_sym_6_GT] = ACTIONS(719),
    [anon_sym_6_GT_GT] = ACTIONS(717),
    [anon_sym_STAR_GT] = ACTIONS(719),
    [anon_sym_STAR_GT_GT] = ACTIONS(717),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(717),
    [anon_sym_2_GT_AMP1] = ACTIONS(717),
    [anon_sym_3_GT_AMP1] = ACTIONS(717),
    [anon_sym_4_GT_AMP1] = ACTIONS(717),
    [anon_sym_5_GT_AMP1] = ACTIONS(717),
    [anon_sym_6_GT_AMP1] = ACTIONS(717),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(717),
    [anon_sym_1_GT_AMP2] = ACTIONS(717),
    [anon_sym_3_GT_AMP2] = ACTIONS(717),
    [anon_sym_4_GT_AMP2] = ACTIONS(717),
    [anon_sym_5_GT_AMP2] = ACTIONS(717),
    [anon_sym_6_GT_AMP2] = ACTIONS(717),
    [aux_sym_comparison_operator_token1] = ACTIONS(717),
    [aux_sym_comparison_operator_token2] = ACTIONS(717),
    [aux_sym_comparison_operator_token3] = ACTIONS(717),
    [aux_sym_comparison_operator_token4] = ACTIONS(717),
    [aux_sym_comparison_operator_token5] = ACTIONS(717),
    [aux_sym_comparison_operator_token6] = ACTIONS(717),
    [aux_sym_comparison_operator_token7] = ACTIONS(717),
    [aux_sym_comparison_operator_token8] = ACTIONS(717),
    [aux_sym_comparison_operator_token9] = ACTIONS(717),
    [aux_sym_comparison_operator_token10] = ACTIONS(717),
    [aux_sym_comparison_operator_token11] = ACTIONS(717),
    [aux_sym_comparison_operator_token12] = ACTIONS(717),
    [aux_sym_comparison_operator_token13] = ACTIONS(717),
    [aux_sym_comparison_operator_token14] = ACTIONS(717),
    [aux_sym_comparison_operator_token15] = ACTIONS(717),
    [aux_sym_comparison_operator_token16] = ACTIONS(717),
    [aux_sym_comparison_operator_token17] = ACTIONS(717),
    [aux_sym_comparison_operator_token18] = ACTIONS(717),
    [aux_sym_comparison_operator_token19] = ACTIONS(717),
    [aux_sym_comparison_operator_token20] = ACTIONS(717),
    [aux_sym_comparison_operator_token21] = ACTIONS(717),
    [aux_sym_comparison_operator_token22] = ACTIONS(717),
    [aux_sym_comparison_operator_token23] = ACTIONS(717),
    [aux_sym_comparison_operator_token24] = ACTIONS(717),
    [aux_sym_comparison_operator_token25] = ACTIONS(717),
    [aux_sym_comparison_operator_token26] = ACTIONS(717),
    [aux_sym_comparison_operator_token27] = ACTIONS(717),
    [aux_sym_comparison_operator_token28] = ACTIONS(719),
    [aux_sym_comparison_operator_token29] = ACTIONS(717),
    [aux_sym_comparison_operator_token30] = ACTIONS(717),
    [aux_sym_comparison_operator_token31] = ACTIONS(717),
    [aux_sym_comparison_operator_token32] = ACTIONS(717),
    [aux_sym_comparison_operator_token33] = ACTIONS(717),
    [aux_sym_comparison_operator_token34] = ACTIONS(719),
    [aux_sym_comparison_operator_token35] = ACTIONS(717),
    [aux_sym_comparison_operator_token36] = ACTIONS(717),
    [aux_sym_comparison_operator_token37] = ACTIONS(717),
    [aux_sym_comparison_operator_token38] = ACTIONS(717),
    [aux_sym_comparison_operator_token39] = ACTIONS(717),
    [aux_sym_comparison_operator_token40] = ACTIONS(717),
    [aux_sym_comparison_operator_token41] = ACTIONS(717),
    [aux_sym_comparison_operator_token42] = ACTIONS(717),
    [aux_sym_comparison_operator_token43] = ACTIONS(717),
    [aux_sym_comparison_operator_token44] = ACTIONS(717),
    [aux_sym_comparison_operator_token45] = ACTIONS(717),
    [aux_sym_comparison_operator_token46] = ACTIONS(717),
    [aux_sym_comparison_operator_token47] = ACTIONS(717),
    [aux_sym_comparison_operator_token48] = ACTIONS(717),
    [aux_sym_comparison_operator_token49] = ACTIONS(717),
    [aux_sym_comparison_operator_token50] = ACTIONS(717),
    [aux_sym_format_operator_token1] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(717),
    [anon_sym_PIPE] = ACTIONS(717),
    [anon_sym_PERCENT] = ACTIONS(719),
    [aux_sym_logical_expression_token1] = ACTIONS(717),
    [aux_sym_logical_expression_token2] = ACTIONS(717),
    [aux_sym_logical_expression_token3] = ACTIONS(717),
    [aux_sym_bitwise_expression_token1] = ACTIONS(717),
    [aux_sym_bitwise_expression_token2] = ACTIONS(717),
    [aux_sym_bitwise_expression_token3] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(717),
    [anon_sym_STAR] = ACTIONS(719),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_PLUS_PLUS] = ACTIONS(717),
    [anon_sym_DASH_DASH] = ACTIONS(717),
    [anon_sym_DOT2] = ACTIONS(719),
    [anon_sym_COLON_COLON] = ACTIONS(717),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(717),
    [sym__statement_terminator] = ACTIONS(717),
  },
  [129] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_EQ] = ACTIONS(693),
    [anon_sym_BANG_EQ] = ACTIONS(693),
    [anon_sym_PLUS_EQ] = ACTIONS(693),
    [anon_sym_STAR_EQ] = ACTIONS(693),
    [anon_sym_SLASH_EQ] = ACTIONS(693),
    [anon_sym_PERCENT_EQ] = ACTIONS(693),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_GT] = ACTIONS(693),
    [anon_sym_2_GT] = ACTIONS(695),
    [anon_sym_2_GT_GT] = ACTIONS(693),
    [anon_sym_3_GT] = ACTIONS(695),
    [anon_sym_3_GT_GT] = ACTIONS(693),
    [anon_sym_4_GT] = ACTIONS(695),
    [anon_sym_4_GT_GT] = ACTIONS(693),
    [anon_sym_5_GT] = ACTIONS(695),
    [anon_sym_5_GT_GT] = ACTIONS(693),
    [anon_sym_6_GT] = ACTIONS(695),
    [anon_sym_6_GT_GT] = ACTIONS(693),
    [anon_sym_STAR_GT] = ACTIONS(695),
    [anon_sym_STAR_GT_GT] = ACTIONS(693),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(693),
    [anon_sym_2_GT_AMP1] = ACTIONS(693),
    [anon_sym_3_GT_AMP1] = ACTIONS(693),
    [anon_sym_4_GT_AMP1] = ACTIONS(693),
    [anon_sym_5_GT_AMP1] = ACTIONS(693),
    [anon_sym_6_GT_AMP1] = ACTIONS(693),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(693),
    [anon_sym_1_GT_AMP2] = ACTIONS(693),
    [anon_sym_3_GT_AMP2] = ACTIONS(693),
    [anon_sym_4_GT_AMP2] = ACTIONS(693),
    [anon_sym_5_GT_AMP2] = ACTIONS(693),
    [anon_sym_6_GT_AMP2] = ACTIONS(693),
    [aux_sym_comparison_operator_token1] = ACTIONS(693),
    [aux_sym_comparison_operator_token2] = ACTIONS(693),
    [aux_sym_comparison_operator_token3] = ACTIONS(693),
    [aux_sym_comparison_operator_token4] = ACTIONS(693),
    [aux_sym_comparison_operator_token5] = ACTIONS(693),
    [aux_sym_comparison_operator_token6] = ACTIONS(693),
    [aux_sym_comparison_operator_token7] = ACTIONS(693),
    [aux_sym_comparison_operator_token8] = ACTIONS(693),
    [aux_sym_comparison_operator_token9] = ACTIONS(693),
    [aux_sym_comparison_operator_token10] = ACTIONS(693),
    [aux_sym_comparison_operator_token11] = ACTIONS(693),
    [aux_sym_comparison_operator_token12] = ACTIONS(693),
    [aux_sym_comparison_operator_token13] = ACTIONS(693),
    [aux_sym_comparison_operator_token14] = ACTIONS(693),
    [aux_sym_comparison_operator_token15] = ACTIONS(693),
    [aux_sym_comparison_operator_token16] = ACTIONS(693),
    [aux_sym_comparison_operator_token17] = ACTIONS(693),
    [aux_sym_comparison_operator_token18] = ACTIONS(693),
    [aux_sym_comparison_operator_token19] = ACTIONS(693),
    [aux_sym_comparison_operator_token20] = ACTIONS(693),
    [aux_sym_comparison_operator_token21] = ACTIONS(693),
    [aux_sym_comparison_operator_token22] = ACTIONS(693),
    [aux_sym_comparison_operator_token23] = ACTIONS(693),
    [aux_sym_comparison_operator_token24] = ACTIONS(693),
    [aux_sym_comparison_operator_token25] = ACTIONS(693),
    [aux_sym_comparison_operator_token26] = ACTIONS(693),
    [aux_sym_comparison_operator_token27] = ACTIONS(693),
    [aux_sym_comparison_operator_token28] = ACTIONS(695),
    [aux_sym_comparison_operator_token29] = ACTIONS(693),
    [aux_sym_comparison_operator_token30] = ACTIONS(693),
    [aux_sym_comparison_operator_token31] = ACTIONS(693),
    [aux_sym_comparison_operator_token32] = ACTIONS(693),
    [aux_sym_comparison_operator_token33] = ACTIONS(693),
    [aux_sym_comparison_operator_token34] = ACTIONS(695),
    [aux_sym_comparison_operator_token35] = ACTIONS(693),
    [aux_sym_comparison_operator_token36] = ACTIONS(693),
    [aux_sym_comparison_operator_token37] = ACTIONS(693),
    [aux_sym_comparison_operator_token38] = ACTIONS(693),
    [aux_sym_comparison_operator_token39] = ACTIONS(693),
    [aux_sym_comparison_operator_token40] = ACTIONS(693),
    [aux_sym_comparison_operator_token41] = ACTIONS(693),
    [aux_sym_comparison_operator_token42] = ACTIONS(693),
    [aux_sym_comparison_operator_token43] = ACTIONS(693),
    [aux_sym_comparison_operator_token44] = ACTIONS(693),
    [aux_sym_comparison_operator_token45] = ACTIONS(693),
    [aux_sym_comparison_operator_token46] = ACTIONS(693),
    [aux_sym_comparison_operator_token47] = ACTIONS(693),
    [aux_sym_comparison_operator_token48] = ACTIONS(693),
    [aux_sym_comparison_operator_token49] = ACTIONS(693),
    [aux_sym_comparison_operator_token50] = ACTIONS(693),
    [aux_sym_format_operator_token1] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(693),
    [anon_sym_PIPE] = ACTIONS(693),
    [anon_sym_PERCENT] = ACTIONS(695),
    [aux_sym_logical_expression_token1] = ACTIONS(693),
    [aux_sym_logical_expression_token2] = ACTIONS(693),
    [aux_sym_logical_expression_token3] = ACTIONS(693),
    [aux_sym_bitwise_expression_token1] = ACTIONS(693),
    [aux_sym_bitwise_expression_token2] = ACTIONS(693),
    [aux_sym_bitwise_expression_token3] = ACTIONS(693),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(693),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_DOT_DOT] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_DOT2] = ACTIONS(695),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(693),
    [sym__statement_terminator] = ACTIONS(693),
  },
  [130] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(617),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_BANG_EQ] = ACTIONS(617),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_GT] = ACTIONS(619),
    [anon_sym_GT_GT] = ACTIONS(617),
    [anon_sym_2_GT] = ACTIONS(619),
    [anon_sym_2_GT_GT] = ACTIONS(617),
    [anon_sym_3_GT] = ACTIONS(619),
    [anon_sym_3_GT_GT] = ACTIONS(617),
    [anon_sym_4_GT] = ACTIONS(619),
    [anon_sym_4_GT_GT] = ACTIONS(617),
    [anon_sym_5_GT] = ACTIONS(619),
    [anon_sym_5_GT_GT] = ACTIONS(617),
    [anon_sym_6_GT] = ACTIONS(619),
    [anon_sym_6_GT_GT] = ACTIONS(617),
    [anon_sym_STAR_GT] = ACTIONS(619),
    [anon_sym_STAR_GT_GT] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(617),
    [anon_sym_2_GT_AMP1] = ACTIONS(617),
    [anon_sym_3_GT_AMP1] = ACTIONS(617),
    [anon_sym_4_GT_AMP1] = ACTIONS(617),
    [anon_sym_5_GT_AMP1] = ACTIONS(617),
    [anon_sym_6_GT_AMP1] = ACTIONS(617),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(617),
    [anon_sym_1_GT_AMP2] = ACTIONS(617),
    [anon_sym_3_GT_AMP2] = ACTIONS(617),
    [anon_sym_4_GT_AMP2] = ACTIONS(617),
    [anon_sym_5_GT_AMP2] = ACTIONS(617),
    [anon_sym_6_GT_AMP2] = ACTIONS(617),
    [aux_sym_comparison_operator_token1] = ACTIONS(617),
    [aux_sym_comparison_operator_token2] = ACTIONS(617),
    [aux_sym_comparison_operator_token3] = ACTIONS(617),
    [aux_sym_comparison_operator_token4] = ACTIONS(617),
    [aux_sym_comparison_operator_token5] = ACTIONS(617),
    [aux_sym_comparison_operator_token6] = ACTIONS(617),
    [aux_sym_comparison_operator_token7] = ACTIONS(617),
    [aux_sym_comparison_operator_token8] = ACTIONS(617),
    [aux_sym_comparison_operator_token9] = ACTIONS(617),
    [aux_sym_comparison_operator_token10] = ACTIONS(617),
    [aux_sym_comparison_operator_token11] = ACTIONS(617),
    [aux_sym_comparison_operator_token12] = ACTIONS(617),
    [aux_sym_comparison_operator_token13] = ACTIONS(617),
    [aux_sym_comparison_operator_token14] = ACTIONS(617),
    [aux_sym_comparison_operator_token15] = ACTIONS(617),
    [aux_sym_comparison_operator_token16] = ACTIONS(617),
    [aux_sym_comparison_operator_token17] = ACTIONS(617),
    [aux_sym_comparison_operator_token18] = ACTIONS(617),
    [aux_sym_comparison_operator_token19] = ACTIONS(617),
    [aux_sym_comparison_operator_token20] = ACTIONS(617),
    [aux_sym_comparison_operator_token21] = ACTIONS(617),
    [aux_sym_comparison_operator_token22] = ACTIONS(617),
    [aux_sym_comparison_operator_token23] = ACTIONS(617),
    [aux_sym_comparison_operator_token24] = ACTIONS(617),
    [aux_sym_comparison_operator_token25] = ACTIONS(617),
    [aux_sym_comparison_operator_token26] = ACTIONS(617),
    [aux_sym_comparison_operator_token27] = ACTIONS(617),
    [aux_sym_comparison_operator_token28] = ACTIONS(619),
    [aux_sym_comparison_operator_token29] = ACTIONS(617),
    [aux_sym_comparison_operator_token30] = ACTIONS(617),
    [aux_sym_comparison_operator_token31] = ACTIONS(617),
    [aux_sym_comparison_operator_token32] = ACTIONS(617),
    [aux_sym_comparison_operator_token33] = ACTIONS(617),
    [aux_sym_comparison_operator_token34] = ACTIONS(619),
    [aux_sym_comparison_operator_token35] = ACTIONS(617),
    [aux_sym_comparison_operator_token36] = ACTIONS(617),
    [aux_sym_comparison_operator_token37] = ACTIONS(617),
    [aux_sym_comparison_operator_token38] = ACTIONS(617),
    [aux_sym_comparison_operator_token39] = ACTIONS(617),
    [aux_sym_comparison_operator_token40] = ACTIONS(617),
    [aux_sym_comparison_operator_token41] = ACTIONS(617),
    [aux_sym_comparison_operator_token42] = ACTIONS(617),
    [aux_sym_comparison_operator_token43] = ACTIONS(617),
    [aux_sym_comparison_operator_token44] = ACTIONS(617),
    [aux_sym_comparison_operator_token45] = ACTIONS(617),
    [aux_sym_comparison_operator_token46] = ACTIONS(617),
    [aux_sym_comparison_operator_token47] = ACTIONS(617),
    [aux_sym_comparison_operator_token48] = ACTIONS(617),
    [aux_sym_comparison_operator_token49] = ACTIONS(617),
    [aux_sym_comparison_operator_token50] = ACTIONS(617),
    [aux_sym_format_operator_token1] = ACTIONS(617),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_COMMA] = ACTIONS(617),
    [anon_sym_PIPE] = ACTIONS(617),
    [anon_sym_PERCENT] = ACTIONS(619),
    [aux_sym_logical_expression_token1] = ACTIONS(617),
    [aux_sym_logical_expression_token2] = ACTIONS(617),
    [aux_sym_logical_expression_token3] = ACTIONS(617),
    [aux_sym_bitwise_expression_token1] = ACTIONS(617),
    [aux_sym_bitwise_expression_token2] = ACTIONS(617),
    [aux_sym_bitwise_expression_token3] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_SLASH] = ACTIONS(619),
    [anon_sym_BSLASH] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(619),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_PLUS_PLUS] = ACTIONS(617),
    [anon_sym_DASH_DASH] = ACTIONS(617),
    [anon_sym_DOT2] = ACTIONS(619),
    [anon_sym_COLON_COLON] = ACTIONS(617),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(617),
    [sym__statement_terminator] = ACTIONS(617),
  },
  [131] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_PLUS_EQ] = ACTIONS(659),
    [anon_sym_STAR_EQ] = ACTIONS(659),
    [anon_sym_SLASH_EQ] = ACTIONS(659),
    [anon_sym_PERCENT_EQ] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_2_GT] = ACTIONS(661),
    [anon_sym_2_GT_GT] = ACTIONS(659),
    [anon_sym_3_GT] = ACTIONS(661),
    [anon_sym_3_GT_GT] = ACTIONS(659),
    [anon_sym_4_GT] = ACTIONS(661),
    [anon_sym_4_GT_GT] = ACTIONS(659),
    [anon_sym_5_GT] = ACTIONS(661),
    [anon_sym_5_GT_GT] = ACTIONS(659),
    [anon_sym_6_GT] = ACTIONS(661),
    [anon_sym_6_GT_GT] = ACTIONS(659),
    [anon_sym_STAR_GT] = ACTIONS(661),
    [anon_sym_STAR_GT_GT] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(659),
    [anon_sym_2_GT_AMP1] = ACTIONS(659),
    [anon_sym_3_GT_AMP1] = ACTIONS(659),
    [anon_sym_4_GT_AMP1] = ACTIONS(659),
    [anon_sym_5_GT_AMP1] = ACTIONS(659),
    [anon_sym_6_GT_AMP1] = ACTIONS(659),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(659),
    [anon_sym_1_GT_AMP2] = ACTIONS(659),
    [anon_sym_3_GT_AMP2] = ACTIONS(659),
    [anon_sym_4_GT_AMP2] = ACTIONS(659),
    [anon_sym_5_GT_AMP2] = ACTIONS(659),
    [anon_sym_6_GT_AMP2] = ACTIONS(659),
    [aux_sym_comparison_operator_token1] = ACTIONS(659),
    [aux_sym_comparison_operator_token2] = ACTIONS(659),
    [aux_sym_comparison_operator_token3] = ACTIONS(659),
    [aux_sym_comparison_operator_token4] = ACTIONS(659),
    [aux_sym_comparison_operator_token5] = ACTIONS(659),
    [aux_sym_comparison_operator_token6] = ACTIONS(659),
    [aux_sym_comparison_operator_token7] = ACTIONS(659),
    [aux_sym_comparison_operator_token8] = ACTIONS(659),
    [aux_sym_comparison_operator_token9] = ACTIONS(659),
    [aux_sym_comparison_operator_token10] = ACTIONS(659),
    [aux_sym_comparison_operator_token11] = ACTIONS(659),
    [aux_sym_comparison_operator_token12] = ACTIONS(659),
    [aux_sym_comparison_operator_token13] = ACTIONS(659),
    [aux_sym_comparison_operator_token14] = ACTIONS(659),
    [aux_sym_comparison_operator_token15] = ACTIONS(659),
    [aux_sym_comparison_operator_token16] = ACTIONS(659),
    [aux_sym_comparison_operator_token17] = ACTIONS(659),
    [aux_sym_comparison_operator_token18] = ACTIONS(659),
    [aux_sym_comparison_operator_token19] = ACTIONS(659),
    [aux_sym_comparison_operator_token20] = ACTIONS(659),
    [aux_sym_comparison_operator_token21] = ACTIONS(659),
    [aux_sym_comparison_operator_token22] = ACTIONS(659),
    [aux_sym_comparison_operator_token23] = ACTIONS(659),
    [aux_sym_comparison_operator_token24] = ACTIONS(659),
    [aux_sym_comparison_operator_token25] = ACTIONS(659),
    [aux_sym_comparison_operator_token26] = ACTIONS(659),
    [aux_sym_comparison_operator_token27] = ACTIONS(659),
    [aux_sym_comparison_operator_token28] = ACTIONS(661),
    [aux_sym_comparison_operator_token29] = ACTIONS(659),
    [aux_sym_comparison_operator_token30] = ACTIONS(659),
    [aux_sym_comparison_operator_token31] = ACTIONS(659),
    [aux_sym_comparison_operator_token32] = ACTIONS(659),
    [aux_sym_comparison_operator_token33] = ACTIONS(659),
    [aux_sym_comparison_operator_token34] = ACTIONS(661),
    [aux_sym_comparison_operator_token35] = ACTIONS(659),
    [aux_sym_comparison_operator_token36] = ACTIONS(659),
    [aux_sym_comparison_operator_token37] = ACTIONS(659),
    [aux_sym_comparison_operator_token38] = ACTIONS(659),
    [aux_sym_comparison_operator_token39] = ACTIONS(659),
    [aux_sym_comparison_operator_token40] = ACTIONS(659),
    [aux_sym_comparison_operator_token41] = ACTIONS(659),
    [aux_sym_comparison_operator_token42] = ACTIONS(659),
    [aux_sym_comparison_operator_token43] = ACTIONS(659),
    [aux_sym_comparison_operator_token44] = ACTIONS(659),
    [aux_sym_comparison_operator_token45] = ACTIONS(659),
    [aux_sym_comparison_operator_token46] = ACTIONS(659),
    [aux_sym_comparison_operator_token47] = ACTIONS(659),
    [aux_sym_comparison_operator_token48] = ACTIONS(659),
    [aux_sym_comparison_operator_token49] = ACTIONS(659),
    [aux_sym_comparison_operator_token50] = ACTIONS(659),
    [aux_sym_format_operator_token1] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_logical_expression_token1] = ACTIONS(659),
    [aux_sym_logical_expression_token2] = ACTIONS(659),
    [aux_sym_logical_expression_token3] = ACTIONS(659),
    [aux_sym_bitwise_expression_token1] = ACTIONS(659),
    [aux_sym_bitwise_expression_token2] = ACTIONS(659),
    [aux_sym_bitwise_expression_token3] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(659),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_DOT_DOT] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_DOT2] = ACTIONS(661),
    [anon_sym_COLON_COLON] = ACTIONS(659),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(659),
    [sym__statement_terminator] = ACTIONS(659),
  },
  [132] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_BANG_EQ] = ACTIONS(713),
    [anon_sym_PLUS_EQ] = ACTIONS(713),
    [anon_sym_STAR_EQ] = ACTIONS(713),
    [anon_sym_SLASH_EQ] = ACTIONS(713),
    [anon_sym_PERCENT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(713),
    [anon_sym_2_GT] = ACTIONS(715),
    [anon_sym_2_GT_GT] = ACTIONS(713),
    [anon_sym_3_GT] = ACTIONS(715),
    [anon_sym_3_GT_GT] = ACTIONS(713),
    [anon_sym_4_GT] = ACTIONS(715),
    [anon_sym_4_GT_GT] = ACTIONS(713),
    [anon_sym_5_GT] = ACTIONS(715),
    [anon_sym_5_GT_GT] = ACTIONS(713),
    [anon_sym_6_GT] = ACTIONS(715),
    [anon_sym_6_GT_GT] = ACTIONS(713),
    [anon_sym_STAR_GT] = ACTIONS(715),
    [anon_sym_STAR_GT_GT] = ACTIONS(713),
    [anon_sym_LT] = ACTIONS(715),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(713),
    [anon_sym_2_GT_AMP1] = ACTIONS(713),
    [anon_sym_3_GT_AMP1] = ACTIONS(713),
    [anon_sym_4_GT_AMP1] = ACTIONS(713),
    [anon_sym_5_GT_AMP1] = ACTIONS(713),
    [anon_sym_6_GT_AMP1] = ACTIONS(713),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(713),
    [anon_sym_1_GT_AMP2] = ACTIONS(713),
    [anon_sym_3_GT_AMP2] = ACTIONS(713),
    [anon_sym_4_GT_AMP2] = ACTIONS(713),
    [anon_sym_5_GT_AMP2] = ACTIONS(713),
    [anon_sym_6_GT_AMP2] = ACTIONS(713),
    [aux_sym_comparison_operator_token1] = ACTIONS(713),
    [aux_sym_comparison_operator_token2] = ACTIONS(713),
    [aux_sym_comparison_operator_token3] = ACTIONS(713),
    [aux_sym_comparison_operator_token4] = ACTIONS(713),
    [aux_sym_comparison_operator_token5] = ACTIONS(713),
    [aux_sym_comparison_operator_token6] = ACTIONS(713),
    [aux_sym_comparison_operator_token7] = ACTIONS(713),
    [aux_sym_comparison_operator_token8] = ACTIONS(713),
    [aux_sym_comparison_operator_token9] = ACTIONS(713),
    [aux_sym_comparison_operator_token10] = ACTIONS(713),
    [aux_sym_comparison_operator_token11] = ACTIONS(713),
    [aux_sym_comparison_operator_token12] = ACTIONS(713),
    [aux_sym_comparison_operator_token13] = ACTIONS(713),
    [aux_sym_comparison_operator_token14] = ACTIONS(713),
    [aux_sym_comparison_operator_token15] = ACTIONS(713),
    [aux_sym_comparison_operator_token16] = ACTIONS(713),
    [aux_sym_comparison_operator_token17] = ACTIONS(713),
    [aux_sym_comparison_operator_token18] = ACTIONS(713),
    [aux_sym_comparison_operator_token19] = ACTIONS(713),
    [aux_sym_comparison_operator_token20] = ACTIONS(713),
    [aux_sym_comparison_operator_token21] = ACTIONS(713),
    [aux_sym_comparison_operator_token22] = ACTIONS(713),
    [aux_sym_comparison_operator_token23] = ACTIONS(713),
    [aux_sym_comparison_operator_token24] = ACTIONS(713),
    [aux_sym_comparison_operator_token25] = ACTIONS(713),
    [aux_sym_comparison_operator_token26] = ACTIONS(713),
    [aux_sym_comparison_operator_token27] = ACTIONS(713),
    [aux_sym_comparison_operator_token28] = ACTIONS(715),
    [aux_sym_comparison_operator_token29] = ACTIONS(713),
    [aux_sym_comparison_operator_token30] = ACTIONS(713),
    [aux_sym_comparison_operator_token31] = ACTIONS(713),
    [aux_sym_comparison_operator_token32] = ACTIONS(713),
    [aux_sym_comparison_operator_token33] = ACTIONS(713),
    [aux_sym_comparison_operator_token34] = ACTIONS(715),
    [aux_sym_comparison_operator_token35] = ACTIONS(713),
    [aux_sym_comparison_operator_token36] = ACTIONS(713),
    [aux_sym_comparison_operator_token37] = ACTIONS(713),
    [aux_sym_comparison_operator_token38] = ACTIONS(713),
    [aux_sym_comparison_operator_token39] = ACTIONS(713),
    [aux_sym_comparison_operator_token40] = ACTIONS(713),
    [aux_sym_comparison_operator_token41] = ACTIONS(713),
    [aux_sym_comparison_operator_token42] = ACTIONS(713),
    [aux_sym_comparison_operator_token43] = ACTIONS(713),
    [aux_sym_comparison_operator_token44] = ACTIONS(713),
    [aux_sym_comparison_operator_token45] = ACTIONS(713),
    [aux_sym_comparison_operator_token46] = ACTIONS(713),
    [aux_sym_comparison_operator_token47] = ACTIONS(713),
    [aux_sym_comparison_operator_token48] = ACTIONS(713),
    [aux_sym_comparison_operator_token49] = ACTIONS(713),
    [aux_sym_comparison_operator_token50] = ACTIONS(713),
    [aux_sym_format_operator_token1] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_PIPE] = ACTIONS(713),
    [anon_sym_PERCENT] = ACTIONS(715),
    [aux_sym_logical_expression_token1] = ACTIONS(713),
    [aux_sym_logical_expression_token2] = ACTIONS(713),
    [aux_sym_logical_expression_token3] = ACTIONS(713),
    [aux_sym_bitwise_expression_token1] = ACTIONS(713),
    [aux_sym_bitwise_expression_token2] = ACTIONS(713),
    [aux_sym_bitwise_expression_token3] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(715),
    [anon_sym_DASH] = ACTIONS(715),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DOT2] = ACTIONS(715),
    [anon_sym_COLON_COLON] = ACTIONS(713),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(713),
    [sym__statement_terminator] = ACTIONS(713),
  },
  [133] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(663),
    [anon_sym_2_GT] = ACTIONS(665),
    [anon_sym_2_GT_GT] = ACTIONS(663),
    [anon_sym_3_GT] = ACTIONS(665),
    [anon_sym_3_GT_GT] = ACTIONS(663),
    [anon_sym_4_GT] = ACTIONS(665),
    [anon_sym_4_GT_GT] = ACTIONS(663),
    [anon_sym_5_GT] = ACTIONS(665),
    [anon_sym_5_GT_GT] = ACTIONS(663),
    [anon_sym_6_GT] = ACTIONS(665),
    [anon_sym_6_GT_GT] = ACTIONS(663),
    [anon_sym_STAR_GT] = ACTIONS(665),
    [anon_sym_STAR_GT_GT] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(663),
    [anon_sym_2_GT_AMP1] = ACTIONS(663),
    [anon_sym_3_GT_AMP1] = ACTIONS(663),
    [anon_sym_4_GT_AMP1] = ACTIONS(663),
    [anon_sym_5_GT_AMP1] = ACTIONS(663),
    [anon_sym_6_GT_AMP1] = ACTIONS(663),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(663),
    [anon_sym_1_GT_AMP2] = ACTIONS(663),
    [anon_sym_3_GT_AMP2] = ACTIONS(663),
    [anon_sym_4_GT_AMP2] = ACTIONS(663),
    [anon_sym_5_GT_AMP2] = ACTIONS(663),
    [anon_sym_6_GT_AMP2] = ACTIONS(663),
    [aux_sym_comparison_operator_token1] = ACTIONS(663),
    [aux_sym_comparison_operator_token2] = ACTIONS(663),
    [aux_sym_comparison_operator_token3] = ACTIONS(663),
    [aux_sym_comparison_operator_token4] = ACTIONS(663),
    [aux_sym_comparison_operator_token5] = ACTIONS(663),
    [aux_sym_comparison_operator_token6] = ACTIONS(663),
    [aux_sym_comparison_operator_token7] = ACTIONS(663),
    [aux_sym_comparison_operator_token8] = ACTIONS(663),
    [aux_sym_comparison_operator_token9] = ACTIONS(663),
    [aux_sym_comparison_operator_token10] = ACTIONS(663),
    [aux_sym_comparison_operator_token11] = ACTIONS(663),
    [aux_sym_comparison_operator_token12] = ACTIONS(663),
    [aux_sym_comparison_operator_token13] = ACTIONS(663),
    [aux_sym_comparison_operator_token14] = ACTIONS(663),
    [aux_sym_comparison_operator_token15] = ACTIONS(663),
    [aux_sym_comparison_operator_token16] = ACTIONS(663),
    [aux_sym_comparison_operator_token17] = ACTIONS(663),
    [aux_sym_comparison_operator_token18] = ACTIONS(663),
    [aux_sym_comparison_operator_token19] = ACTIONS(663),
    [aux_sym_comparison_operator_token20] = ACTIONS(663),
    [aux_sym_comparison_operator_token21] = ACTIONS(663),
    [aux_sym_comparison_operator_token22] = ACTIONS(663),
    [aux_sym_comparison_operator_token23] = ACTIONS(663),
    [aux_sym_comparison_operator_token24] = ACTIONS(663),
    [aux_sym_comparison_operator_token25] = ACTIONS(663),
    [aux_sym_comparison_operator_token26] = ACTIONS(663),
    [aux_sym_comparison_operator_token27] = ACTIONS(663),
    [aux_sym_comparison_operator_token28] = ACTIONS(665),
    [aux_sym_comparison_operator_token29] = ACTIONS(663),
    [aux_sym_comparison_operator_token30] = ACTIONS(663),
    [aux_sym_comparison_operator_token31] = ACTIONS(663),
    [aux_sym_comparison_operator_token32] = ACTIONS(663),
    [aux_sym_comparison_operator_token33] = ACTIONS(663),
    [aux_sym_comparison_operator_token34] = ACTIONS(665),
    [aux_sym_comparison_operator_token35] = ACTIONS(663),
    [aux_sym_comparison_operator_token36] = ACTIONS(663),
    [aux_sym_comparison_operator_token37] = ACTIONS(663),
    [aux_sym_comparison_operator_token38] = ACTIONS(663),
    [aux_sym_comparison_operator_token39] = ACTIONS(663),
    [aux_sym_comparison_operator_token40] = ACTIONS(663),
    [aux_sym_comparison_operator_token41] = ACTIONS(663),
    [aux_sym_comparison_operator_token42] = ACTIONS(663),
    [aux_sym_comparison_operator_token43] = ACTIONS(663),
    [aux_sym_comparison_operator_token44] = ACTIONS(663),
    [aux_sym_comparison_operator_token45] = ACTIONS(663),
    [aux_sym_comparison_operator_token46] = ACTIONS(663),
    [aux_sym_comparison_operator_token47] = ACTIONS(663),
    [aux_sym_comparison_operator_token48] = ACTIONS(663),
    [aux_sym_comparison_operator_token49] = ACTIONS(663),
    [aux_sym_comparison_operator_token50] = ACTIONS(663),
    [aux_sym_format_operator_token1] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(663),
    [anon_sym_PERCENT] = ACTIONS(665),
    [aux_sym_logical_expression_token1] = ACTIONS(663),
    [aux_sym_logical_expression_token2] = ACTIONS(663),
    [aux_sym_logical_expression_token3] = ACTIONS(663),
    [aux_sym_bitwise_expression_token1] = ACTIONS(663),
    [aux_sym_bitwise_expression_token2] = ACTIONS(663),
    [aux_sym_bitwise_expression_token3] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [anon_sym_DOT2] = ACTIONS(665),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(663),
    [sym__statement_terminator] = ACTIONS(663),
  },
  [134] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_PLUS_EQ] = ACTIONS(671),
    [anon_sym_STAR_EQ] = ACTIONS(671),
    [anon_sym_SLASH_EQ] = ACTIONS(671),
    [anon_sym_PERCENT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_2_GT] = ACTIONS(673),
    [anon_sym_2_GT_GT] = ACTIONS(671),
    [anon_sym_3_GT] = ACTIONS(673),
    [anon_sym_3_GT_GT] = ACTIONS(671),
    [anon_sym_4_GT] = ACTIONS(673),
    [anon_sym_4_GT_GT] = ACTIONS(671),
    [anon_sym_5_GT] = ACTIONS(673),
    [anon_sym_5_GT_GT] = ACTIONS(671),
    [anon_sym_6_GT] = ACTIONS(673),
    [anon_sym_6_GT_GT] = ACTIONS(671),
    [anon_sym_STAR_GT] = ACTIONS(673),
    [anon_sym_STAR_GT_GT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(671),
    [anon_sym_2_GT_AMP1] = ACTIONS(671),
    [anon_sym_3_GT_AMP1] = ACTIONS(671),
    [anon_sym_4_GT_AMP1] = ACTIONS(671),
    [anon_sym_5_GT_AMP1] = ACTIONS(671),
    [anon_sym_6_GT_AMP1] = ACTIONS(671),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(671),
    [anon_sym_1_GT_AMP2] = ACTIONS(671),
    [anon_sym_3_GT_AMP2] = ACTIONS(671),
    [anon_sym_4_GT_AMP2] = ACTIONS(671),
    [anon_sym_5_GT_AMP2] = ACTIONS(671),
    [anon_sym_6_GT_AMP2] = ACTIONS(671),
    [aux_sym_comparison_operator_token1] = ACTIONS(671),
    [aux_sym_comparison_operator_token2] = ACTIONS(671),
    [aux_sym_comparison_operator_token3] = ACTIONS(671),
    [aux_sym_comparison_operator_token4] = ACTIONS(671),
    [aux_sym_comparison_operator_token5] = ACTIONS(671),
    [aux_sym_comparison_operator_token6] = ACTIONS(671),
    [aux_sym_comparison_operator_token7] = ACTIONS(671),
    [aux_sym_comparison_operator_token8] = ACTIONS(671),
    [aux_sym_comparison_operator_token9] = ACTIONS(671),
    [aux_sym_comparison_operator_token10] = ACTIONS(671),
    [aux_sym_comparison_operator_token11] = ACTIONS(671),
    [aux_sym_comparison_operator_token12] = ACTIONS(671),
    [aux_sym_comparison_operator_token13] = ACTIONS(671),
    [aux_sym_comparison_operator_token14] = ACTIONS(671),
    [aux_sym_comparison_operator_token15] = ACTIONS(671),
    [aux_sym_comparison_operator_token16] = ACTIONS(671),
    [aux_sym_comparison_operator_token17] = ACTIONS(671),
    [aux_sym_comparison_operator_token18] = ACTIONS(671),
    [aux_sym_comparison_operator_token19] = ACTIONS(671),
    [aux_sym_comparison_operator_token20] = ACTIONS(671),
    [aux_sym_comparison_operator_token21] = ACTIONS(671),
    [aux_sym_comparison_operator_token22] = ACTIONS(671),
    [aux_sym_comparison_operator_token23] = ACTIONS(671),
    [aux_sym_comparison_operator_token24] = ACTIONS(671),
    [aux_sym_comparison_operator_token25] = ACTIONS(671),
    [aux_sym_comparison_operator_token26] = ACTIONS(671),
    [aux_sym_comparison_operator_token27] = ACTIONS(671),
    [aux_sym_comparison_operator_token28] = ACTIONS(673),
    [aux_sym_comparison_operator_token29] = ACTIONS(671),
    [aux_sym_comparison_operator_token30] = ACTIONS(671),
    [aux_sym_comparison_operator_token31] = ACTIONS(671),
    [aux_sym_comparison_operator_token32] = ACTIONS(671),
    [aux_sym_comparison_operator_token33] = ACTIONS(671),
    [aux_sym_comparison_operator_token34] = ACTIONS(673),
    [aux_sym_comparison_operator_token35] = ACTIONS(671),
    [aux_sym_comparison_operator_token36] = ACTIONS(671),
    [aux_sym_comparison_operator_token37] = ACTIONS(671),
    [aux_sym_comparison_operator_token38] = ACTIONS(671),
    [aux_sym_comparison_operator_token39] = ACTIONS(671),
    [aux_sym_comparison_operator_token40] = ACTIONS(671),
    [aux_sym_comparison_operator_token41] = ACTIONS(671),
    [aux_sym_comparison_operator_token42] = ACTIONS(671),
    [aux_sym_comparison_operator_token43] = ACTIONS(671),
    [aux_sym_comparison_operator_token44] = ACTIONS(671),
    [aux_sym_comparison_operator_token45] = ACTIONS(671),
    [aux_sym_comparison_operator_token46] = ACTIONS(671),
    [aux_sym_comparison_operator_token47] = ACTIONS(671),
    [aux_sym_comparison_operator_token48] = ACTIONS(671),
    [aux_sym_comparison_operator_token49] = ACTIONS(671),
    [aux_sym_comparison_operator_token50] = ACTIONS(671),
    [aux_sym_format_operator_token1] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [aux_sym_logical_expression_token1] = ACTIONS(671),
    [aux_sym_logical_expression_token2] = ACTIONS(671),
    [aux_sym_logical_expression_token3] = ACTIONS(671),
    [aux_sym_bitwise_expression_token1] = ACTIONS(671),
    [aux_sym_bitwise_expression_token2] = ACTIONS(671),
    [aux_sym_bitwise_expression_token3] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS_PLUS] = ACTIONS(671),
    [anon_sym_DASH_DASH] = ACTIONS(671),
    [anon_sym_DOT2] = ACTIONS(673),
    [anon_sym_COLON_COLON] = ACTIONS(671),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(671),
    [sym__statement_terminator] = ACTIONS(671),
  },
  [135] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_PLUS_EQ] = ACTIONS(679),
    [anon_sym_STAR_EQ] = ACTIONS(679),
    [anon_sym_SLASH_EQ] = ACTIONS(679),
    [anon_sym_PERCENT_EQ] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_2_GT] = ACTIONS(681),
    [anon_sym_2_GT_GT] = ACTIONS(679),
    [anon_sym_3_GT] = ACTIONS(681),
    [anon_sym_3_GT_GT] = ACTIONS(679),
    [anon_sym_4_GT] = ACTIONS(681),
    [anon_sym_4_GT_GT] = ACTIONS(679),
    [anon_sym_5_GT] = ACTIONS(681),
    [anon_sym_5_GT_GT] = ACTIONS(679),
    [anon_sym_6_GT] = ACTIONS(681),
    [anon_sym_6_GT_GT] = ACTIONS(679),
    [anon_sym_STAR_GT] = ACTIONS(681),
    [anon_sym_STAR_GT_GT] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(679),
    [anon_sym_2_GT_AMP1] = ACTIONS(679),
    [anon_sym_3_GT_AMP1] = ACTIONS(679),
    [anon_sym_4_GT_AMP1] = ACTIONS(679),
    [anon_sym_5_GT_AMP1] = ACTIONS(679),
    [anon_sym_6_GT_AMP1] = ACTIONS(679),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(679),
    [anon_sym_1_GT_AMP2] = ACTIONS(679),
    [anon_sym_3_GT_AMP2] = ACTIONS(679),
    [anon_sym_4_GT_AMP2] = ACTIONS(679),
    [anon_sym_5_GT_AMP2] = ACTIONS(679),
    [anon_sym_6_GT_AMP2] = ACTIONS(679),
    [aux_sym_comparison_operator_token1] = ACTIONS(679),
    [aux_sym_comparison_operator_token2] = ACTIONS(679),
    [aux_sym_comparison_operator_token3] = ACTIONS(679),
    [aux_sym_comparison_operator_token4] = ACTIONS(679),
    [aux_sym_comparison_operator_token5] = ACTIONS(679),
    [aux_sym_comparison_operator_token6] = ACTIONS(679),
    [aux_sym_comparison_operator_token7] = ACTIONS(679),
    [aux_sym_comparison_operator_token8] = ACTIONS(679),
    [aux_sym_comparison_operator_token9] = ACTIONS(679),
    [aux_sym_comparison_operator_token10] = ACTIONS(679),
    [aux_sym_comparison_operator_token11] = ACTIONS(679),
    [aux_sym_comparison_operator_token12] = ACTIONS(679),
    [aux_sym_comparison_operator_token13] = ACTIONS(679),
    [aux_sym_comparison_operator_token14] = ACTIONS(679),
    [aux_sym_comparison_operator_token15] = ACTIONS(679),
    [aux_sym_comparison_operator_token16] = ACTIONS(679),
    [aux_sym_comparison_operator_token17] = ACTIONS(679),
    [aux_sym_comparison_operator_token18] = ACTIONS(679),
    [aux_sym_comparison_operator_token19] = ACTIONS(679),
    [aux_sym_comparison_operator_token20] = ACTIONS(679),
    [aux_sym_comparison_operator_token21] = ACTIONS(679),
    [aux_sym_comparison_operator_token22] = ACTIONS(679),
    [aux_sym_comparison_operator_token23] = ACTIONS(679),
    [aux_sym_comparison_operator_token24] = ACTIONS(679),
    [aux_sym_comparison_operator_token25] = ACTIONS(679),
    [aux_sym_comparison_operator_token26] = ACTIONS(679),
    [aux_sym_comparison_operator_token27] = ACTIONS(679),
    [aux_sym_comparison_operator_token28] = ACTIONS(681),
    [aux_sym_comparison_operator_token29] = ACTIONS(679),
    [aux_sym_comparison_operator_token30] = ACTIONS(679),
    [aux_sym_comparison_operator_token31] = ACTIONS(679),
    [aux_sym_comparison_operator_token32] = ACTIONS(679),
    [aux_sym_comparison_operator_token33] = ACTIONS(679),
    [aux_sym_comparison_operator_token34] = ACTIONS(681),
    [aux_sym_comparison_operator_token35] = ACTIONS(679),
    [aux_sym_comparison_operator_token36] = ACTIONS(679),
    [aux_sym_comparison_operator_token37] = ACTIONS(679),
    [aux_sym_comparison_operator_token38] = ACTIONS(679),
    [aux_sym_comparison_operator_token39] = ACTIONS(679),
    [aux_sym_comparison_operator_token40] = ACTIONS(679),
    [aux_sym_comparison_operator_token41] = ACTIONS(679),
    [aux_sym_comparison_operator_token42] = ACTIONS(679),
    [aux_sym_comparison_operator_token43] = ACTIONS(679),
    [aux_sym_comparison_operator_token44] = ACTIONS(679),
    [aux_sym_comparison_operator_token45] = ACTIONS(679),
    [aux_sym_comparison_operator_token46] = ACTIONS(679),
    [aux_sym_comparison_operator_token47] = ACTIONS(679),
    [aux_sym_comparison_operator_token48] = ACTIONS(679),
    [aux_sym_comparison_operator_token49] = ACTIONS(679),
    [aux_sym_comparison_operator_token50] = ACTIONS(679),
    [aux_sym_format_operator_token1] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_COMMA] = ACTIONS(679),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(681),
    [aux_sym_logical_expression_token1] = ACTIONS(679),
    [aux_sym_logical_expression_token2] = ACTIONS(679),
    [aux_sym_logical_expression_token3] = ACTIONS(679),
    [aux_sym_bitwise_expression_token1] = ACTIONS(679),
    [aux_sym_bitwise_expression_token2] = ACTIONS(679),
    [aux_sym_bitwise_expression_token3] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_BSLASH] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_DOT_DOT] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_DOT2] = ACTIONS(681),
    [anon_sym_COLON_COLON] = ACTIONS(679),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(679),
    [sym__statement_terminator] = ACTIONS(679),
  },
  [136] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(689),
    [anon_sym_BANG_EQ] = ACTIONS(689),
    [anon_sym_PLUS_EQ] = ACTIONS(689),
    [anon_sym_STAR_EQ] = ACTIONS(689),
    [anon_sym_SLASH_EQ] = ACTIONS(689),
    [anon_sym_PERCENT_EQ] = ACTIONS(689),
    [anon_sym_GT] = ACTIONS(691),
    [anon_sym_GT_GT] = ACTIONS(689),
    [anon_sym_2_GT] = ACTIONS(691),
    [anon_sym_2_GT_GT] = ACTIONS(689),
    [anon_sym_3_GT] = ACTIONS(691),
    [anon_sym_3_GT_GT] = ACTIONS(689),
    [anon_sym_4_GT] = ACTIONS(691),
    [anon_sym_4_GT_GT] = ACTIONS(689),
    [anon_sym_5_GT] = ACTIONS(691),
    [anon_sym_5_GT_GT] = ACTIONS(689),
    [anon_sym_6_GT] = ACTIONS(691),
    [anon_sym_6_GT_GT] = ACTIONS(689),
    [anon_sym_STAR_GT] = ACTIONS(691),
    [anon_sym_STAR_GT_GT] = ACTIONS(689),
    [anon_sym_LT] = ACTIONS(691),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(689),
    [anon_sym_2_GT_AMP1] = ACTIONS(689),
    [anon_sym_3_GT_AMP1] = ACTIONS(689),
    [anon_sym_4_GT_AMP1] = ACTIONS(689),
    [anon_sym_5_GT_AMP1] = ACTIONS(689),
    [anon_sym_6_GT_AMP1] = ACTIONS(689),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(689),
    [anon_sym_1_GT_AMP2] = ACTIONS(689),
    [anon_sym_3_GT_AMP2] = ACTIONS(689),
    [anon_sym_4_GT_AMP2] = ACTIONS(689),
    [anon_sym_5_GT_AMP2] = ACTIONS(689),
    [anon_sym_6_GT_AMP2] = ACTIONS(689),
    [aux_sym_comparison_operator_token1] = ACTIONS(689),
    [aux_sym_comparison_operator_token2] = ACTIONS(689),
    [aux_sym_comparison_operator_token3] = ACTIONS(689),
    [aux_sym_comparison_operator_token4] = ACTIONS(689),
    [aux_sym_comparison_operator_token5] = ACTIONS(689),
    [aux_sym_comparison_operator_token6] = ACTIONS(689),
    [aux_sym_comparison_operator_token7] = ACTIONS(689),
    [aux_sym_comparison_operator_token8] = ACTIONS(689),
    [aux_sym_comparison_operator_token9] = ACTIONS(689),
    [aux_sym_comparison_operator_token10] = ACTIONS(689),
    [aux_sym_comparison_operator_token11] = ACTIONS(689),
    [aux_sym_comparison_operator_token12] = ACTIONS(689),
    [aux_sym_comparison_operator_token13] = ACTIONS(689),
    [aux_sym_comparison_operator_token14] = ACTIONS(689),
    [aux_sym_comparison_operator_token15] = ACTIONS(689),
    [aux_sym_comparison_operator_token16] = ACTIONS(689),
    [aux_sym_comparison_operator_token17] = ACTIONS(689),
    [aux_sym_comparison_operator_token18] = ACTIONS(689),
    [aux_sym_comparison_operator_token19] = ACTIONS(689),
    [aux_sym_comparison_operator_token20] = ACTIONS(689),
    [aux_sym_comparison_operator_token21] = ACTIONS(689),
    [aux_sym_comparison_operator_token22] = ACTIONS(689),
    [aux_sym_comparison_operator_token23] = ACTIONS(689),
    [aux_sym_comparison_operator_token24] = ACTIONS(689),
    [aux_sym_comparison_operator_token25] = ACTIONS(689),
    [aux_sym_comparison_operator_token26] = ACTIONS(689),
    [aux_sym_comparison_operator_token27] = ACTIONS(689),
    [aux_sym_comparison_operator_token28] = ACTIONS(691),
    [aux_sym_comparison_operator_token29] = ACTIONS(689),
    [aux_sym_comparison_operator_token30] = ACTIONS(689),
    [aux_sym_comparison_operator_token31] = ACTIONS(689),
    [aux_sym_comparison_operator_token32] = ACTIONS(689),
    [aux_sym_comparison_operator_token33] = ACTIONS(689),
    [aux_sym_comparison_operator_token34] = ACTIONS(691),
    [aux_sym_comparison_operator_token35] = ACTIONS(689),
    [aux_sym_comparison_operator_token36] = ACTIONS(689),
    [aux_sym_comparison_operator_token37] = ACTIONS(689),
    [aux_sym_comparison_operator_token38] = ACTIONS(689),
    [aux_sym_comparison_operator_token39] = ACTIONS(689),
    [aux_sym_comparison_operator_token40] = ACTIONS(689),
    [aux_sym_comparison_operator_token41] = ACTIONS(689),
    [aux_sym_comparison_operator_token42] = ACTIONS(689),
    [aux_sym_comparison_operator_token43] = ACTIONS(689),
    [aux_sym_comparison_operator_token44] = ACTIONS(689),
    [aux_sym_comparison_operator_token45] = ACTIONS(689),
    [aux_sym_comparison_operator_token46] = ACTIONS(689),
    [aux_sym_comparison_operator_token47] = ACTIONS(689),
    [aux_sym_comparison_operator_token48] = ACTIONS(689),
    [aux_sym_comparison_operator_token49] = ACTIONS(689),
    [aux_sym_comparison_operator_token50] = ACTIONS(689),
    [aux_sym_format_operator_token1] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(689),
    [anon_sym_COMMA] = ACTIONS(689),
    [anon_sym_PIPE] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(691),
    [aux_sym_logical_expression_token1] = ACTIONS(689),
    [aux_sym_logical_expression_token2] = ACTIONS(689),
    [aux_sym_logical_expression_token3] = ACTIONS(689),
    [aux_sym_bitwise_expression_token1] = ACTIONS(689),
    [aux_sym_bitwise_expression_token2] = ACTIONS(689),
    [aux_sym_bitwise_expression_token3] = ACTIONS(689),
    [anon_sym_PLUS] = ACTIONS(691),
    [anon_sym_DASH] = ACTIONS(691),
    [anon_sym_SLASH] = ACTIONS(691),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_STAR] = ACTIONS(691),
    [anon_sym_DOT_DOT] = ACTIONS(689),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [anon_sym_DOT2] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(689),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(689),
    [sym__statement_terminator] = ACTIONS(689),
  },
  [137] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_PLUS_EQ] = ACTIONS(705),
    [anon_sym_STAR_EQ] = ACTIONS(705),
    [anon_sym_SLASH_EQ] = ACTIONS(705),
    [anon_sym_PERCENT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_GT] = ACTIONS(705),
    [anon_sym_2_GT] = ACTIONS(707),
    [anon_sym_2_GT_GT] = ACTIONS(705),
    [anon_sym_3_GT] = ACTIONS(707),
    [anon_sym_3_GT_GT] = ACTIONS(705),
    [anon_sym_4_GT] = ACTIONS(707),
    [anon_sym_4_GT_GT] = ACTIONS(705),
    [anon_sym_5_GT] = ACTIONS(707),
    [anon_sym_5_GT_GT] = ACTIONS(705),
    [anon_sym_6_GT] = ACTIONS(707),
    [anon_sym_6_GT_GT] = ACTIONS(705),
    [anon_sym_STAR_GT] = ACTIONS(707),
    [anon_sym_STAR_GT_GT] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(705),
    [anon_sym_2_GT_AMP1] = ACTIONS(705),
    [anon_sym_3_GT_AMP1] = ACTIONS(705),
    [anon_sym_4_GT_AMP1] = ACTIONS(705),
    [anon_sym_5_GT_AMP1] = ACTIONS(705),
    [anon_sym_6_GT_AMP1] = ACTIONS(705),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(705),
    [anon_sym_1_GT_AMP2] = ACTIONS(705),
    [anon_sym_3_GT_AMP2] = ACTIONS(705),
    [anon_sym_4_GT_AMP2] = ACTIONS(705),
    [anon_sym_5_GT_AMP2] = ACTIONS(705),
    [anon_sym_6_GT_AMP2] = ACTIONS(705),
    [aux_sym_comparison_operator_token1] = ACTIONS(705),
    [aux_sym_comparison_operator_token2] = ACTIONS(705),
    [aux_sym_comparison_operator_token3] = ACTIONS(705),
    [aux_sym_comparison_operator_token4] = ACTIONS(705),
    [aux_sym_comparison_operator_token5] = ACTIONS(705),
    [aux_sym_comparison_operator_token6] = ACTIONS(705),
    [aux_sym_comparison_operator_token7] = ACTIONS(705),
    [aux_sym_comparison_operator_token8] = ACTIONS(705),
    [aux_sym_comparison_operator_token9] = ACTIONS(705),
    [aux_sym_comparison_operator_token10] = ACTIONS(705),
    [aux_sym_comparison_operator_token11] = ACTIONS(705),
    [aux_sym_comparison_operator_token12] = ACTIONS(705),
    [aux_sym_comparison_operator_token13] = ACTIONS(705),
    [aux_sym_comparison_operator_token14] = ACTIONS(705),
    [aux_sym_comparison_operator_token15] = ACTIONS(705),
    [aux_sym_comparison_operator_token16] = ACTIONS(705),
    [aux_sym_comparison_operator_token17] = ACTIONS(705),
    [aux_sym_comparison_operator_token18] = ACTIONS(705),
    [aux_sym_comparison_operator_token19] = ACTIONS(705),
    [aux_sym_comparison_operator_token20] = ACTIONS(705),
    [aux_sym_comparison_operator_token21] = ACTIONS(705),
    [aux_sym_comparison_operator_token22] = ACTIONS(705),
    [aux_sym_comparison_operator_token23] = ACTIONS(705),
    [aux_sym_comparison_operator_token24] = ACTIONS(705),
    [aux_sym_comparison_operator_token25] = ACTIONS(705),
    [aux_sym_comparison_operator_token26] = ACTIONS(705),
    [aux_sym_comparison_operator_token27] = ACTIONS(705),
    [aux_sym_comparison_operator_token28] = ACTIONS(707),
    [aux_sym_comparison_operator_token29] = ACTIONS(705),
    [aux_sym_comparison_operator_token30] = ACTIONS(705),
    [aux_sym_comparison_operator_token31] = ACTIONS(705),
    [aux_sym_comparison_operator_token32] = ACTIONS(705),
    [aux_sym_comparison_operator_token33] = ACTIONS(705),
    [aux_sym_comparison_operator_token34] = ACTIONS(707),
    [aux_sym_comparison_operator_token35] = ACTIONS(705),
    [aux_sym_comparison_operator_token36] = ACTIONS(705),
    [aux_sym_comparison_operator_token37] = ACTIONS(705),
    [aux_sym_comparison_operator_token38] = ACTIONS(705),
    [aux_sym_comparison_operator_token39] = ACTIONS(705),
    [aux_sym_comparison_operator_token40] = ACTIONS(705),
    [aux_sym_comparison_operator_token41] = ACTIONS(705),
    [aux_sym_comparison_operator_token42] = ACTIONS(705),
    [aux_sym_comparison_operator_token43] = ACTIONS(705),
    [aux_sym_comparison_operator_token44] = ACTIONS(705),
    [aux_sym_comparison_operator_token45] = ACTIONS(705),
    [aux_sym_comparison_operator_token46] = ACTIONS(705),
    [aux_sym_comparison_operator_token47] = ACTIONS(705),
    [aux_sym_comparison_operator_token48] = ACTIONS(705),
    [aux_sym_comparison_operator_token49] = ACTIONS(705),
    [aux_sym_comparison_operator_token50] = ACTIONS(705),
    [aux_sym_format_operator_token1] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(705),
    [anon_sym_PERCENT] = ACTIONS(707),
    [aux_sym_logical_expression_token1] = ACTIONS(705),
    [aux_sym_logical_expression_token2] = ACTIONS(705),
    [aux_sym_logical_expression_token3] = ACTIONS(705),
    [aux_sym_bitwise_expression_token1] = ACTIONS(705),
    [aux_sym_bitwise_expression_token2] = ACTIONS(705),
    [aux_sym_bitwise_expression_token3] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_DOT_DOT] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(705),
    [anon_sym_DASH_DASH] = ACTIONS(705),
    [anon_sym_DOT2] = ACTIONS(707),
    [anon_sym_COLON_COLON] = ACTIONS(705),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(705),
    [sym__statement_terminator] = ACTIONS(705),
  },
  [138] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_PLUS_EQ] = ACTIONS(709),
    [anon_sym_STAR_EQ] = ACTIONS(709),
    [anon_sym_SLASH_EQ] = ACTIONS(709),
    [anon_sym_PERCENT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(711),
    [anon_sym_GT_GT] = ACTIONS(709),
    [anon_sym_2_GT] = ACTIONS(711),
    [anon_sym_2_GT_GT] = ACTIONS(709),
    [anon_sym_3_GT] = ACTIONS(711),
    [anon_sym_3_GT_GT] = ACTIONS(709),
    [anon_sym_4_GT] = ACTIONS(711),
    [anon_sym_4_GT_GT] = ACTIONS(709),
    [anon_sym_5_GT] = ACTIONS(711),
    [anon_sym_5_GT_GT] = ACTIONS(709),
    [anon_sym_6_GT] = ACTIONS(711),
    [anon_sym_6_GT_GT] = ACTIONS(709),
    [anon_sym_STAR_GT] = ACTIONS(711),
    [anon_sym_STAR_GT_GT] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(709),
    [anon_sym_2_GT_AMP1] = ACTIONS(709),
    [anon_sym_3_GT_AMP1] = ACTIONS(709),
    [anon_sym_4_GT_AMP1] = ACTIONS(709),
    [anon_sym_5_GT_AMP1] = ACTIONS(709),
    [anon_sym_6_GT_AMP1] = ACTIONS(709),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(709),
    [anon_sym_1_GT_AMP2] = ACTIONS(709),
    [anon_sym_3_GT_AMP2] = ACTIONS(709),
    [anon_sym_4_GT_AMP2] = ACTIONS(709),
    [anon_sym_5_GT_AMP2] = ACTIONS(709),
    [anon_sym_6_GT_AMP2] = ACTIONS(709),
    [aux_sym_comparison_operator_token1] = ACTIONS(709),
    [aux_sym_comparison_operator_token2] = ACTIONS(709),
    [aux_sym_comparison_operator_token3] = ACTIONS(709),
    [aux_sym_comparison_operator_token4] = ACTIONS(709),
    [aux_sym_comparison_operator_token5] = ACTIONS(709),
    [aux_sym_comparison_operator_token6] = ACTIONS(709),
    [aux_sym_comparison_operator_token7] = ACTIONS(709),
    [aux_sym_comparison_operator_token8] = ACTIONS(709),
    [aux_sym_comparison_operator_token9] = ACTIONS(709),
    [aux_sym_comparison_operator_token10] = ACTIONS(709),
    [aux_sym_comparison_operator_token11] = ACTIONS(709),
    [aux_sym_comparison_operator_token12] = ACTIONS(709),
    [aux_sym_comparison_operator_token13] = ACTIONS(709),
    [aux_sym_comparison_operator_token14] = ACTIONS(709),
    [aux_sym_comparison_operator_token15] = ACTIONS(709),
    [aux_sym_comparison_operator_token16] = ACTIONS(709),
    [aux_sym_comparison_operator_token17] = ACTIONS(709),
    [aux_sym_comparison_operator_token18] = ACTIONS(709),
    [aux_sym_comparison_operator_token19] = ACTIONS(709),
    [aux_sym_comparison_operator_token20] = ACTIONS(709),
    [aux_sym_comparison_operator_token21] = ACTIONS(709),
    [aux_sym_comparison_operator_token22] = ACTIONS(709),
    [aux_sym_comparison_operator_token23] = ACTIONS(709),
    [aux_sym_comparison_operator_token24] = ACTIONS(709),
    [aux_sym_comparison_operator_token25] = ACTIONS(709),
    [aux_sym_comparison_operator_token26] = ACTIONS(709),
    [aux_sym_comparison_operator_token27] = ACTIONS(709),
    [aux_sym_comparison_operator_token28] = ACTIONS(711),
    [aux_sym_comparison_operator_token29] = ACTIONS(709),
    [aux_sym_comparison_operator_token30] = ACTIONS(709),
    [aux_sym_comparison_operator_token31] = ACTIONS(709),
    [aux_sym_comparison_operator_token32] = ACTIONS(709),
    [aux_sym_comparison_operator_token33] = ACTIONS(709),
    [aux_sym_comparison_operator_token34] = ACTIONS(711),
    [aux_sym_comparison_operator_token35] = ACTIONS(709),
    [aux_sym_comparison_operator_token36] = ACTIONS(709),
    [aux_sym_comparison_operator_token37] = ACTIONS(709),
    [aux_sym_comparison_operator_token38] = ACTIONS(709),
    [aux_sym_comparison_operator_token39] = ACTIONS(709),
    [aux_sym_comparison_operator_token40] = ACTIONS(709),
    [aux_sym_comparison_operator_token41] = ACTIONS(709),
    [aux_sym_comparison_operator_token42] = ACTIONS(709),
    [aux_sym_comparison_operator_token43] = ACTIONS(709),
    [aux_sym_comparison_operator_token44] = ACTIONS(709),
    [aux_sym_comparison_operator_token45] = ACTIONS(709),
    [aux_sym_comparison_operator_token46] = ACTIONS(709),
    [aux_sym_comparison_operator_token47] = ACTIONS(709),
    [aux_sym_comparison_operator_token48] = ACTIONS(709),
    [aux_sym_comparison_operator_token49] = ACTIONS(709),
    [aux_sym_comparison_operator_token50] = ACTIONS(709),
    [aux_sym_format_operator_token1] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(709),
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(711),
    [aux_sym_logical_expression_token1] = ACTIONS(709),
    [aux_sym_logical_expression_token2] = ACTIONS(709),
    [aux_sym_logical_expression_token3] = ACTIONS(709),
    [aux_sym_bitwise_expression_token1] = ACTIONS(709),
    [aux_sym_bitwise_expression_token2] = ACTIONS(709),
    [aux_sym_bitwise_expression_token3] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(711),
    [anon_sym_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS_PLUS] = ACTIONS(709),
    [anon_sym_DASH_DASH] = ACTIONS(709),
    [anon_sym_DOT2] = ACTIONS(711),
    [anon_sym_COLON_COLON] = ACTIONS(709),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(709),
    [sym__statement_terminator] = ACTIONS(709),
  },
  [139] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(621),
    [anon_sym_BANG_EQ] = ACTIONS(621),
    [anon_sym_PLUS_EQ] = ACTIONS(621),
    [anon_sym_STAR_EQ] = ACTIONS(621),
    [anon_sym_SLASH_EQ] = ACTIONS(621),
    [anon_sym_PERCENT_EQ] = ACTIONS(621),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_GT_GT] = ACTIONS(621),
    [anon_sym_2_GT] = ACTIONS(623),
    [anon_sym_2_GT_GT] = ACTIONS(621),
    [anon_sym_3_GT] = ACTIONS(623),
    [anon_sym_3_GT_GT] = ACTIONS(621),
    [anon_sym_4_GT] = ACTIONS(623),
    [anon_sym_4_GT_GT] = ACTIONS(621),
    [anon_sym_5_GT] = ACTIONS(623),
    [anon_sym_5_GT_GT] = ACTIONS(621),
    [anon_sym_6_GT] = ACTIONS(623),
    [anon_sym_6_GT_GT] = ACTIONS(621),
    [anon_sym_STAR_GT] = ACTIONS(623),
    [anon_sym_STAR_GT_GT] = ACTIONS(621),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(621),
    [anon_sym_2_GT_AMP1] = ACTIONS(621),
    [anon_sym_3_GT_AMP1] = ACTIONS(621),
    [anon_sym_4_GT_AMP1] = ACTIONS(621),
    [anon_sym_5_GT_AMP1] = ACTIONS(621),
    [anon_sym_6_GT_AMP1] = ACTIONS(621),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(621),
    [anon_sym_1_GT_AMP2] = ACTIONS(621),
    [anon_sym_3_GT_AMP2] = ACTIONS(621),
    [anon_sym_4_GT_AMP2] = ACTIONS(621),
    [anon_sym_5_GT_AMP2] = ACTIONS(621),
    [anon_sym_6_GT_AMP2] = ACTIONS(621),
    [aux_sym_comparison_operator_token1] = ACTIONS(621),
    [aux_sym_comparison_operator_token2] = ACTIONS(621),
    [aux_sym_comparison_operator_token3] = ACTIONS(621),
    [aux_sym_comparison_operator_token4] = ACTIONS(621),
    [aux_sym_comparison_operator_token5] = ACTIONS(621),
    [aux_sym_comparison_operator_token6] = ACTIONS(621),
    [aux_sym_comparison_operator_token7] = ACTIONS(621),
    [aux_sym_comparison_operator_token8] = ACTIONS(621),
    [aux_sym_comparison_operator_token9] = ACTIONS(621),
    [aux_sym_comparison_operator_token10] = ACTIONS(621),
    [aux_sym_comparison_operator_token11] = ACTIONS(621),
    [aux_sym_comparison_operator_token12] = ACTIONS(621),
    [aux_sym_comparison_operator_token13] = ACTIONS(621),
    [aux_sym_comparison_operator_token14] = ACTIONS(621),
    [aux_sym_comparison_operator_token15] = ACTIONS(621),
    [aux_sym_comparison_operator_token16] = ACTIONS(621),
    [aux_sym_comparison_operator_token17] = ACTIONS(621),
    [aux_sym_comparison_operator_token18] = ACTIONS(621),
    [aux_sym_comparison_operator_token19] = ACTIONS(621),
    [aux_sym_comparison_operator_token20] = ACTIONS(621),
    [aux_sym_comparison_operator_token21] = ACTIONS(621),
    [aux_sym_comparison_operator_token22] = ACTIONS(621),
    [aux_sym_comparison_operator_token23] = ACTIONS(621),
    [aux_sym_comparison_operator_token24] = ACTIONS(621),
    [aux_sym_comparison_operator_token25] = ACTIONS(621),
    [aux_sym_comparison_operator_token26] = ACTIONS(621),
    [aux_sym_comparison_operator_token27] = ACTIONS(621),
    [aux_sym_comparison_operator_token28] = ACTIONS(623),
    [aux_sym_comparison_operator_token29] = ACTIONS(621),
    [aux_sym_comparison_operator_token30] = ACTIONS(621),
    [aux_sym_comparison_operator_token31] = ACTIONS(621),
    [aux_sym_comparison_operator_token32] = ACTIONS(621),
    [aux_sym_comparison_operator_token33] = ACTIONS(621),
    [aux_sym_comparison_operator_token34] = ACTIONS(623),
    [aux_sym_comparison_operator_token35] = ACTIONS(621),
    [aux_sym_comparison_operator_token36] = ACTIONS(621),
    [aux_sym_comparison_operator_token37] = ACTIONS(621),
    [aux_sym_comparison_operator_token38] = ACTIONS(621),
    [aux_sym_comparison_operator_token39] = ACTIONS(621),
    [aux_sym_comparison_operator_token40] = ACTIONS(621),
    [aux_sym_comparison_operator_token41] = ACTIONS(621),
    [aux_sym_comparison_operator_token42] = ACTIONS(621),
    [aux_sym_comparison_operator_token43] = ACTIONS(621),
    [aux_sym_comparison_operator_token44] = ACTIONS(621),
    [aux_sym_comparison_operator_token45] = ACTIONS(621),
    [aux_sym_comparison_operator_token46] = ACTIONS(621),
    [aux_sym_comparison_operator_token47] = ACTIONS(621),
    [aux_sym_comparison_operator_token48] = ACTIONS(621),
    [aux_sym_comparison_operator_token49] = ACTIONS(621),
    [aux_sym_comparison_operator_token50] = ACTIONS(621),
    [aux_sym_format_operator_token1] = ACTIONS(621),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(621),
    [anon_sym_PIPE] = ACTIONS(621),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_logical_expression_token1] = ACTIONS(621),
    [aux_sym_logical_expression_token2] = ACTIONS(621),
    [aux_sym_logical_expression_token3] = ACTIONS(621),
    [aux_sym_bitwise_expression_token1] = ACTIONS(621),
    [aux_sym_bitwise_expression_token2] = ACTIONS(621),
    [aux_sym_bitwise_expression_token3] = ACTIONS(621),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_BSLASH] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_DOT_DOT] = ACTIONS(621),
    [anon_sym_PLUS_PLUS] = ACTIONS(621),
    [anon_sym_DASH_DASH] = ACTIONS(621),
    [anon_sym_DOT2] = ACTIONS(623),
    [anon_sym_COLON_COLON] = ACTIONS(621),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(621),
    [sym__statement_terminator] = ACTIONS(621),
  },
  [140] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_PLUS_EQ] = ACTIONS(721),
    [anon_sym_STAR_EQ] = ACTIONS(721),
    [anon_sym_SLASH_EQ] = ACTIONS(721),
    [anon_sym_PERCENT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(723),
    [anon_sym_GT_GT] = ACTIONS(721),
    [anon_sym_2_GT] = ACTIONS(723),
    [anon_sym_2_GT_GT] = ACTIONS(721),
    [anon_sym_3_GT] = ACTIONS(723),
    [anon_sym_3_GT_GT] = ACTIONS(721),
    [anon_sym_4_GT] = ACTIONS(723),
    [anon_sym_4_GT_GT] = ACTIONS(721),
    [anon_sym_5_GT] = ACTIONS(723),
    [anon_sym_5_GT_GT] = ACTIONS(721),
    [anon_sym_6_GT] = ACTIONS(723),
    [anon_sym_6_GT_GT] = ACTIONS(721),
    [anon_sym_STAR_GT] = ACTIONS(723),
    [anon_sym_STAR_GT_GT] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(723),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(721),
    [anon_sym_2_GT_AMP1] = ACTIONS(721),
    [anon_sym_3_GT_AMP1] = ACTIONS(721),
    [anon_sym_4_GT_AMP1] = ACTIONS(721),
    [anon_sym_5_GT_AMP1] = ACTIONS(721),
    [anon_sym_6_GT_AMP1] = ACTIONS(721),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(721),
    [anon_sym_1_GT_AMP2] = ACTIONS(721),
    [anon_sym_3_GT_AMP2] = ACTIONS(721),
    [anon_sym_4_GT_AMP2] = ACTIONS(721),
    [anon_sym_5_GT_AMP2] = ACTIONS(721),
    [anon_sym_6_GT_AMP2] = ACTIONS(721),
    [aux_sym_comparison_operator_token1] = ACTIONS(721),
    [aux_sym_comparison_operator_token2] = ACTIONS(721),
    [aux_sym_comparison_operator_token3] = ACTIONS(721),
    [aux_sym_comparison_operator_token4] = ACTIONS(721),
    [aux_sym_comparison_operator_token5] = ACTIONS(721),
    [aux_sym_comparison_operator_token6] = ACTIONS(721),
    [aux_sym_comparison_operator_token7] = ACTIONS(721),
    [aux_sym_comparison_operator_token8] = ACTIONS(721),
    [aux_sym_comparison_operator_token9] = ACTIONS(721),
    [aux_sym_comparison_operator_token10] = ACTIONS(721),
    [aux_sym_comparison_operator_token11] = ACTIONS(721),
    [aux_sym_comparison_operator_token12] = ACTIONS(721),
    [aux_sym_comparison_operator_token13] = ACTIONS(721),
    [aux_sym_comparison_operator_token14] = ACTIONS(721),
    [aux_sym_comparison_operator_token15] = ACTIONS(721),
    [aux_sym_comparison_operator_token16] = ACTIONS(721),
    [aux_sym_comparison_operator_token17] = ACTIONS(721),
    [aux_sym_comparison_operator_token18] = ACTIONS(721),
    [aux_sym_comparison_operator_token19] = ACTIONS(721),
    [aux_sym_comparison_operator_token20] = ACTIONS(721),
    [aux_sym_comparison_operator_token21] = ACTIONS(721),
    [aux_sym_comparison_operator_token22] = ACTIONS(721),
    [aux_sym_comparison_operator_token23] = ACTIONS(721),
    [aux_sym_comparison_operator_token24] = ACTIONS(721),
    [aux_sym_comparison_operator_token25] = ACTIONS(721),
    [aux_sym_comparison_operator_token26] = ACTIONS(721),
    [aux_sym_comparison_operator_token27] = ACTIONS(721),
    [aux_sym_comparison_operator_token28] = ACTIONS(723),
    [aux_sym_comparison_operator_token29] = ACTIONS(721),
    [aux_sym_comparison_operator_token30] = ACTIONS(721),
    [aux_sym_comparison_operator_token31] = ACTIONS(721),
    [aux_sym_comparison_operator_token32] = ACTIONS(721),
    [aux_sym_comparison_operator_token33] = ACTIONS(721),
    [aux_sym_comparison_operator_token34] = ACTIONS(723),
    [aux_sym_comparison_operator_token35] = ACTIONS(721),
    [aux_sym_comparison_operator_token36] = ACTIONS(721),
    [aux_sym_comparison_operator_token37] = ACTIONS(721),
    [aux_sym_comparison_operator_token38] = ACTIONS(721),
    [aux_sym_comparison_operator_token39] = ACTIONS(721),
    [aux_sym_comparison_operator_token40] = ACTIONS(721),
    [aux_sym_comparison_operator_token41] = ACTIONS(721),
    [aux_sym_comparison_operator_token42] = ACTIONS(721),
    [aux_sym_comparison_operator_token43] = ACTIONS(721),
    [aux_sym_comparison_operator_token44] = ACTIONS(721),
    [aux_sym_comparison_operator_token45] = ACTIONS(721),
    [aux_sym_comparison_operator_token46] = ACTIONS(721),
    [aux_sym_comparison_operator_token47] = ACTIONS(721),
    [aux_sym_comparison_operator_token48] = ACTIONS(721),
    [aux_sym_comparison_operator_token49] = ACTIONS(721),
    [aux_sym_comparison_operator_token50] = ACTIONS(721),
    [aux_sym_format_operator_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(721),
    [anon_sym_COMMA] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(721),
    [anon_sym_PERCENT] = ACTIONS(723),
    [aux_sym_logical_expression_token1] = ACTIONS(721),
    [aux_sym_logical_expression_token2] = ACTIONS(721),
    [aux_sym_logical_expression_token3] = ACTIONS(721),
    [aux_sym_bitwise_expression_token1] = ACTIONS(721),
    [aux_sym_bitwise_expression_token2] = ACTIONS(721),
    [aux_sym_bitwise_expression_token3] = ACTIONS(721),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(721),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DOT2] = ACTIONS(723),
    [anon_sym_COLON_COLON] = ACTIONS(721),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(721),
    [sym__statement_terminator] = ACTIONS(721),
  },
  [141] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_EQ] = ACTIONS(729),
    [anon_sym_BANG_EQ] = ACTIONS(729),
    [anon_sym_PLUS_EQ] = ACTIONS(729),
    [anon_sym_STAR_EQ] = ACTIONS(729),
    [anon_sym_SLASH_EQ] = ACTIONS(729),
    [anon_sym_PERCENT_EQ] = ACTIONS(729),
    [anon_sym_GT] = ACTIONS(731),
    [anon_sym_GT_GT] = ACTIONS(729),
    [anon_sym_2_GT] = ACTIONS(731),
    [anon_sym_2_GT_GT] = ACTIONS(729),
    [anon_sym_3_GT] = ACTIONS(731),
    [anon_sym_3_GT_GT] = ACTIONS(729),
    [anon_sym_4_GT] = ACTIONS(731),
    [anon_sym_4_GT_GT] = ACTIONS(729),
    [anon_sym_5_GT] = ACTIONS(731),
    [anon_sym_5_GT_GT] = ACTIONS(729),
    [anon_sym_6_GT] = ACTIONS(731),
    [anon_sym_6_GT_GT] = ACTIONS(729),
    [anon_sym_STAR_GT] = ACTIONS(731),
    [anon_sym_STAR_GT_GT] = ACTIONS(729),
    [anon_sym_LT] = ACTIONS(731),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(729),
    [anon_sym_2_GT_AMP1] = ACTIONS(729),
    [anon_sym_3_GT_AMP1] = ACTIONS(729),
    [anon_sym_4_GT_AMP1] = ACTIONS(729),
    [anon_sym_5_GT_AMP1] = ACTIONS(729),
    [anon_sym_6_GT_AMP1] = ACTIONS(729),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(729),
    [anon_sym_1_GT_AMP2] = ACTIONS(729),
    [anon_sym_3_GT_AMP2] = ACTIONS(729),
    [anon_sym_4_GT_AMP2] = ACTIONS(729),
    [anon_sym_5_GT_AMP2] = ACTIONS(729),
    [anon_sym_6_GT_AMP2] = ACTIONS(729),
    [aux_sym_comparison_operator_token1] = ACTIONS(729),
    [aux_sym_comparison_operator_token2] = ACTIONS(729),
    [aux_sym_comparison_operator_token3] = ACTIONS(729),
    [aux_sym_comparison_operator_token4] = ACTIONS(729),
    [aux_sym_comparison_operator_token5] = ACTIONS(729),
    [aux_sym_comparison_operator_token6] = ACTIONS(729),
    [aux_sym_comparison_operator_token7] = ACTIONS(729),
    [aux_sym_comparison_operator_token8] = ACTIONS(729),
    [aux_sym_comparison_operator_token9] = ACTIONS(729),
    [aux_sym_comparison_operator_token10] = ACTIONS(729),
    [aux_sym_comparison_operator_token11] = ACTIONS(729),
    [aux_sym_comparison_operator_token12] = ACTIONS(729),
    [aux_sym_comparison_operator_token13] = ACTIONS(729),
    [aux_sym_comparison_operator_token14] = ACTIONS(729),
    [aux_sym_comparison_operator_token15] = ACTIONS(729),
    [aux_sym_comparison_operator_token16] = ACTIONS(729),
    [aux_sym_comparison_operator_token17] = ACTIONS(729),
    [aux_sym_comparison_operator_token18] = ACTIONS(729),
    [aux_sym_comparison_operator_token19] = ACTIONS(729),
    [aux_sym_comparison_operator_token20] = ACTIONS(729),
    [aux_sym_comparison_operator_token21] = ACTIONS(729),
    [aux_sym_comparison_operator_token22] = ACTIONS(729),
    [aux_sym_comparison_operator_token23] = ACTIONS(729),
    [aux_sym_comparison_operator_token24] = ACTIONS(729),
    [aux_sym_comparison_operator_token25] = ACTIONS(729),
    [aux_sym_comparison_operator_token26] = ACTIONS(729),
    [aux_sym_comparison_operator_token27] = ACTIONS(729),
    [aux_sym_comparison_operator_token28] = ACTIONS(731),
    [aux_sym_comparison_operator_token29] = ACTIONS(729),
    [aux_sym_comparison_operator_token30] = ACTIONS(729),
    [aux_sym_comparison_operator_token31] = ACTIONS(729),
    [aux_sym_comparison_operator_token32] = ACTIONS(729),
    [aux_sym_comparison_operator_token33] = ACTIONS(729),
    [aux_sym_comparison_operator_token34] = ACTIONS(731),
    [aux_sym_comparison_operator_token35] = ACTIONS(729),
    [aux_sym_comparison_operator_token36] = ACTIONS(729),
    [aux_sym_comparison_operator_token37] = ACTIONS(729),
    [aux_sym_comparison_operator_token38] = ACTIONS(729),
    [aux_sym_comparison_operator_token39] = ACTIONS(729),
    [aux_sym_comparison_operator_token40] = ACTIONS(729),
    [aux_sym_comparison_operator_token41] = ACTIONS(729),
    [aux_sym_comparison_operator_token42] = ACTIONS(729),
    [aux_sym_comparison_operator_token43] = ACTIONS(729),
    [aux_sym_comparison_operator_token44] = ACTIONS(729),
    [aux_sym_comparison_operator_token45] = ACTIONS(729),
    [aux_sym_comparison_operator_token46] = ACTIONS(729),
    [aux_sym_comparison_operator_token47] = ACTIONS(729),
    [aux_sym_comparison_operator_token48] = ACTIONS(729),
    [aux_sym_comparison_operator_token49] = ACTIONS(729),
    [aux_sym_comparison_operator_token50] = ACTIONS(729),
    [aux_sym_format_operator_token1] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(729),
    [anon_sym_PERCENT] = ACTIONS(731),
    [aux_sym_logical_expression_token1] = ACTIONS(729),
    [aux_sym_logical_expression_token2] = ACTIONS(729),
    [aux_sym_logical_expression_token3] = ACTIONS(729),
    [aux_sym_bitwise_expression_token1] = ACTIONS(729),
    [aux_sym_bitwise_expression_token2] = ACTIONS(729),
    [aux_sym_bitwise_expression_token3] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_SLASH] = ACTIONS(731),
    [anon_sym_BSLASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(731),
    [anon_sym_DOT_DOT] = ACTIONS(729),
    [anon_sym_PLUS_PLUS] = ACTIONS(729),
    [anon_sym_DASH_DASH] = ACTIONS(729),
    [anon_sym_DOT2] = ACTIONS(731),
    [anon_sym_COLON_COLON] = ACTIONS(729),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(729),
    [sym__statement_terminator] = ACTIONS(729),
  },
  [142] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BANG_EQ] = ACTIONS(725),
    [anon_sym_PLUS_EQ] = ACTIONS(725),
    [anon_sym_STAR_EQ] = ACTIONS(725),
    [anon_sym_SLASH_EQ] = ACTIONS(725),
    [anon_sym_PERCENT_EQ] = ACTIONS(725),
    [anon_sym_GT] = ACTIONS(727),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_2_GT] = ACTIONS(727),
    [anon_sym_2_GT_GT] = ACTIONS(725),
    [anon_sym_3_GT] = ACTIONS(727),
    [anon_sym_3_GT_GT] = ACTIONS(725),
    [anon_sym_4_GT] = ACTIONS(727),
    [anon_sym_4_GT_GT] = ACTIONS(725),
    [anon_sym_5_GT] = ACTIONS(727),
    [anon_sym_5_GT_GT] = ACTIONS(725),
    [anon_sym_6_GT] = ACTIONS(727),
    [anon_sym_6_GT_GT] = ACTIONS(725),
    [anon_sym_STAR_GT] = ACTIONS(727),
    [anon_sym_STAR_GT_GT] = ACTIONS(725),
    [anon_sym_LT] = ACTIONS(727),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(725),
    [anon_sym_2_GT_AMP1] = ACTIONS(725),
    [anon_sym_3_GT_AMP1] = ACTIONS(725),
    [anon_sym_4_GT_AMP1] = ACTIONS(725),
    [anon_sym_5_GT_AMP1] = ACTIONS(725),
    [anon_sym_6_GT_AMP1] = ACTIONS(725),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(725),
    [anon_sym_1_GT_AMP2] = ACTIONS(725),
    [anon_sym_3_GT_AMP2] = ACTIONS(725),
    [anon_sym_4_GT_AMP2] = ACTIONS(725),
    [anon_sym_5_GT_AMP2] = ACTIONS(725),
    [anon_sym_6_GT_AMP2] = ACTIONS(725),
    [aux_sym_comparison_operator_token1] = ACTIONS(725),
    [aux_sym_comparison_operator_token2] = ACTIONS(725),
    [aux_sym_comparison_operator_token3] = ACTIONS(725),
    [aux_sym_comparison_operator_token4] = ACTIONS(725),
    [aux_sym_comparison_operator_token5] = ACTIONS(725),
    [aux_sym_comparison_operator_token6] = ACTIONS(725),
    [aux_sym_comparison_operator_token7] = ACTIONS(725),
    [aux_sym_comparison_operator_token8] = ACTIONS(725),
    [aux_sym_comparison_operator_token9] = ACTIONS(725),
    [aux_sym_comparison_operator_token10] = ACTIONS(725),
    [aux_sym_comparison_operator_token11] = ACTIONS(725),
    [aux_sym_comparison_operator_token12] = ACTIONS(725),
    [aux_sym_comparison_operator_token13] = ACTIONS(725),
    [aux_sym_comparison_operator_token14] = ACTIONS(725),
    [aux_sym_comparison_operator_token15] = ACTIONS(725),
    [aux_sym_comparison_operator_token16] = ACTIONS(725),
    [aux_sym_comparison_operator_token17] = ACTIONS(725),
    [aux_sym_comparison_operator_token18] = ACTIONS(725),
    [aux_sym_comparison_operator_token19] = ACTIONS(725),
    [aux_sym_comparison_operator_token20] = ACTIONS(725),
    [aux_sym_comparison_operator_token21] = ACTIONS(725),
    [aux_sym_comparison_operator_token22] = ACTIONS(725),
    [aux_sym_comparison_operator_token23] = ACTIONS(725),
    [aux_sym_comparison_operator_token24] = ACTIONS(725),
    [aux_sym_comparison_operator_token25] = ACTIONS(725),
    [aux_sym_comparison_operator_token26] = ACTIONS(725),
    [aux_sym_comparison_operator_token27] = ACTIONS(725),
    [aux_sym_comparison_operator_token28] = ACTIONS(727),
    [aux_sym_comparison_operator_token29] = ACTIONS(725),
    [aux_sym_comparison_operator_token30] = ACTIONS(725),
    [aux_sym_comparison_operator_token31] = ACTIONS(725),
    [aux_sym_comparison_operator_token32] = ACTIONS(725),
    [aux_sym_comparison_operator_token33] = ACTIONS(725),
    [aux_sym_comparison_operator_token34] = ACTIONS(727),
    [aux_sym_comparison_operator_token35] = ACTIONS(725),
    [aux_sym_comparison_operator_token36] = ACTIONS(725),
    [aux_sym_comparison_operator_token37] = ACTIONS(725),
    [aux_sym_comparison_operator_token38] = ACTIONS(725),
    [aux_sym_comparison_operator_token39] = ACTIONS(725),
    [aux_sym_comparison_operator_token40] = ACTIONS(725),
    [aux_sym_comparison_operator_token41] = ACTIONS(725),
    [aux_sym_comparison_operator_token42] = ACTIONS(725),
    [aux_sym_comparison_operator_token43] = ACTIONS(725),
    [aux_sym_comparison_operator_token44] = ACTIONS(725),
    [aux_sym_comparison_operator_token45] = ACTIONS(725),
    [aux_sym_comparison_operator_token46] = ACTIONS(725),
    [aux_sym_comparison_operator_token47] = ACTIONS(725),
    [aux_sym_comparison_operator_token48] = ACTIONS(725),
    [aux_sym_comparison_operator_token49] = ACTIONS(725),
    [aux_sym_comparison_operator_token50] = ACTIONS(725),
    [aux_sym_format_operator_token1] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_COMMA] = ACTIONS(725),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_PERCENT] = ACTIONS(727),
    [aux_sym_logical_expression_token1] = ACTIONS(725),
    [aux_sym_logical_expression_token2] = ACTIONS(725),
    [aux_sym_logical_expression_token3] = ACTIONS(725),
    [aux_sym_bitwise_expression_token1] = ACTIONS(725),
    [aux_sym_bitwise_expression_token2] = ACTIONS(725),
    [aux_sym_bitwise_expression_token3] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [anon_sym_SLASH] = ACTIONS(727),
    [anon_sym_BSLASH] = ACTIONS(725),
    [anon_sym_STAR] = ACTIONS(727),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(725),
    [anon_sym_DASH_DASH] = ACTIONS(725),
    [anon_sym_DOT2] = ACTIONS(727),
    [anon_sym_COLON_COLON] = ACTIONS(725),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(725),
    [sym__statement_terminator] = ACTIONS(725),
  },
  [143] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(739),
    [anon_sym_COLON_COLON] = ACTIONS(741),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [144] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(751),
    [anon_sym_COLON_COLON] = ACTIONS(753),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [145] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(597),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_2_GT] = ACTIONS(597),
    [anon_sym_2_GT_GT] = ACTIONS(595),
    [anon_sym_3_GT] = ACTIONS(597),
    [anon_sym_3_GT_GT] = ACTIONS(595),
    [anon_sym_4_GT] = ACTIONS(597),
    [anon_sym_4_GT_GT] = ACTIONS(595),
    [anon_sym_5_GT] = ACTIONS(597),
    [anon_sym_5_GT_GT] = ACTIONS(595),
    [anon_sym_6_GT] = ACTIONS(597),
    [anon_sym_6_GT_GT] = ACTIONS(595),
    [anon_sym_STAR_GT] = ACTIONS(597),
    [anon_sym_STAR_GT_GT] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(597),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(595),
    [anon_sym_2_GT_AMP1] = ACTIONS(595),
    [anon_sym_3_GT_AMP1] = ACTIONS(595),
    [anon_sym_4_GT_AMP1] = ACTIONS(595),
    [anon_sym_5_GT_AMP1] = ACTIONS(595),
    [anon_sym_6_GT_AMP1] = ACTIONS(595),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(595),
    [anon_sym_1_GT_AMP2] = ACTIONS(595),
    [anon_sym_3_GT_AMP2] = ACTIONS(595),
    [anon_sym_4_GT_AMP2] = ACTIONS(595),
    [anon_sym_5_GT_AMP2] = ACTIONS(595),
    [anon_sym_6_GT_AMP2] = ACTIONS(595),
    [aux_sym_comparison_operator_token1] = ACTIONS(595),
    [aux_sym_comparison_operator_token2] = ACTIONS(595),
    [aux_sym_comparison_operator_token3] = ACTIONS(595),
    [aux_sym_comparison_operator_token4] = ACTIONS(595),
    [aux_sym_comparison_operator_token5] = ACTIONS(595),
    [aux_sym_comparison_operator_token6] = ACTIONS(595),
    [aux_sym_comparison_operator_token7] = ACTIONS(595),
    [aux_sym_comparison_operator_token8] = ACTIONS(595),
    [aux_sym_comparison_operator_token9] = ACTIONS(595),
    [aux_sym_comparison_operator_token10] = ACTIONS(595),
    [aux_sym_comparison_operator_token11] = ACTIONS(595),
    [aux_sym_comparison_operator_token12] = ACTIONS(595),
    [aux_sym_comparison_operator_token13] = ACTIONS(595),
    [aux_sym_comparison_operator_token14] = ACTIONS(595),
    [aux_sym_comparison_operator_token15] = ACTIONS(595),
    [aux_sym_comparison_operator_token16] = ACTIONS(595),
    [aux_sym_comparison_operator_token17] = ACTIONS(595),
    [aux_sym_comparison_operator_token18] = ACTIONS(595),
    [aux_sym_comparison_operator_token19] = ACTIONS(595),
    [aux_sym_comparison_operator_token20] = ACTIONS(595),
    [aux_sym_comparison_operator_token21] = ACTIONS(595),
    [aux_sym_comparison_operator_token22] = ACTIONS(595),
    [aux_sym_comparison_operator_token23] = ACTIONS(595),
    [aux_sym_comparison_operator_token24] = ACTIONS(595),
    [aux_sym_comparison_operator_token25] = ACTIONS(595),
    [aux_sym_comparison_operator_token26] = ACTIONS(595),
    [aux_sym_comparison_operator_token27] = ACTIONS(595),
    [aux_sym_comparison_operator_token28] = ACTIONS(597),
    [aux_sym_comparison_operator_token29] = ACTIONS(595),
    [aux_sym_comparison_operator_token30] = ACTIONS(595),
    [aux_sym_comparison_operator_token31] = ACTIONS(595),
    [aux_sym_comparison_operator_token32] = ACTIONS(595),
    [aux_sym_comparison_operator_token33] = ACTIONS(595),
    [aux_sym_comparison_operator_token34] = ACTIONS(597),
    [aux_sym_comparison_operator_token35] = ACTIONS(595),
    [aux_sym_comparison_operator_token36] = ACTIONS(595),
    [aux_sym_comparison_operator_token37] = ACTIONS(595),
    [aux_sym_comparison_operator_token38] = ACTIONS(595),
    [aux_sym_comparison_operator_token39] = ACTIONS(595),
    [aux_sym_comparison_operator_token40] = ACTIONS(595),
    [aux_sym_comparison_operator_token41] = ACTIONS(595),
    [aux_sym_comparison_operator_token42] = ACTIONS(595),
    [aux_sym_comparison_operator_token43] = ACTIONS(595),
    [aux_sym_comparison_operator_token44] = ACTIONS(595),
    [aux_sym_comparison_operator_token45] = ACTIONS(595),
    [aux_sym_comparison_operator_token46] = ACTIONS(595),
    [aux_sym_comparison_operator_token47] = ACTIONS(595),
    [aux_sym_comparison_operator_token48] = ACTIONS(595),
    [aux_sym_comparison_operator_token49] = ACTIONS(595),
    [aux_sym_comparison_operator_token50] = ACTIONS(595),
    [aux_sym_format_operator_token1] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(597),
    [aux_sym_logical_expression_token1] = ACTIONS(595),
    [aux_sym_logical_expression_token2] = ACTIONS(595),
    [aux_sym_logical_expression_token3] = ACTIONS(595),
    [aux_sym_bitwise_expression_token1] = ACTIONS(595),
    [aux_sym_bitwise_expression_token2] = ACTIONS(595),
    [aux_sym_bitwise_expression_token3] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(597),
    [anon_sym_DASH] = ACTIONS(597),
    [anon_sym_SLASH] = ACTIONS(597),
    [anon_sym_BSLASH] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(597),
    [anon_sym_DOT_DOT] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_DOT2] = ACTIONS(597),
    [anon_sym_COLON_COLON] = ACTIONS(595),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(595),
    [sym__statement_terminator] = ACTIONS(595),
  },
  [146] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_PLUS_EQ] = ACTIONS(667),
    [anon_sym_STAR_EQ] = ACTIONS(667),
    [anon_sym_SLASH_EQ] = ACTIONS(667),
    [anon_sym_PERCENT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_2_GT] = ACTIONS(669),
    [anon_sym_2_GT_GT] = ACTIONS(667),
    [anon_sym_3_GT] = ACTIONS(669),
    [anon_sym_3_GT_GT] = ACTIONS(667),
    [anon_sym_4_GT] = ACTIONS(669),
    [anon_sym_4_GT_GT] = ACTIONS(667),
    [anon_sym_5_GT] = ACTIONS(669),
    [anon_sym_5_GT_GT] = ACTIONS(667),
    [anon_sym_6_GT] = ACTIONS(669),
    [anon_sym_6_GT_GT] = ACTIONS(667),
    [anon_sym_STAR_GT] = ACTIONS(669),
    [anon_sym_STAR_GT_GT] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(667),
    [anon_sym_2_GT_AMP1] = ACTIONS(667),
    [anon_sym_3_GT_AMP1] = ACTIONS(667),
    [anon_sym_4_GT_AMP1] = ACTIONS(667),
    [anon_sym_5_GT_AMP1] = ACTIONS(667),
    [anon_sym_6_GT_AMP1] = ACTIONS(667),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(667),
    [anon_sym_1_GT_AMP2] = ACTIONS(667),
    [anon_sym_3_GT_AMP2] = ACTIONS(667),
    [anon_sym_4_GT_AMP2] = ACTIONS(667),
    [anon_sym_5_GT_AMP2] = ACTIONS(667),
    [anon_sym_6_GT_AMP2] = ACTIONS(667),
    [aux_sym_comparison_operator_token1] = ACTIONS(667),
    [aux_sym_comparison_operator_token2] = ACTIONS(667),
    [aux_sym_comparison_operator_token3] = ACTIONS(667),
    [aux_sym_comparison_operator_token4] = ACTIONS(667),
    [aux_sym_comparison_operator_token5] = ACTIONS(667),
    [aux_sym_comparison_operator_token6] = ACTIONS(667),
    [aux_sym_comparison_operator_token7] = ACTIONS(667),
    [aux_sym_comparison_operator_token8] = ACTIONS(667),
    [aux_sym_comparison_operator_token9] = ACTIONS(667),
    [aux_sym_comparison_operator_token10] = ACTIONS(667),
    [aux_sym_comparison_operator_token11] = ACTIONS(667),
    [aux_sym_comparison_operator_token12] = ACTIONS(667),
    [aux_sym_comparison_operator_token13] = ACTIONS(667),
    [aux_sym_comparison_operator_token14] = ACTIONS(667),
    [aux_sym_comparison_operator_token15] = ACTIONS(667),
    [aux_sym_comparison_operator_token16] = ACTIONS(667),
    [aux_sym_comparison_operator_token17] = ACTIONS(667),
    [aux_sym_comparison_operator_token18] = ACTIONS(667),
    [aux_sym_comparison_operator_token19] = ACTIONS(667),
    [aux_sym_comparison_operator_token20] = ACTIONS(667),
    [aux_sym_comparison_operator_token21] = ACTIONS(667),
    [aux_sym_comparison_operator_token22] = ACTIONS(667),
    [aux_sym_comparison_operator_token23] = ACTIONS(667),
    [aux_sym_comparison_operator_token24] = ACTIONS(667),
    [aux_sym_comparison_operator_token25] = ACTIONS(667),
    [aux_sym_comparison_operator_token26] = ACTIONS(667),
    [aux_sym_comparison_operator_token27] = ACTIONS(667),
    [aux_sym_comparison_operator_token28] = ACTIONS(669),
    [aux_sym_comparison_operator_token29] = ACTIONS(667),
    [aux_sym_comparison_operator_token30] = ACTIONS(667),
    [aux_sym_comparison_operator_token31] = ACTIONS(667),
    [aux_sym_comparison_operator_token32] = ACTIONS(667),
    [aux_sym_comparison_operator_token33] = ACTIONS(667),
    [aux_sym_comparison_operator_token34] = ACTIONS(669),
    [aux_sym_comparison_operator_token35] = ACTIONS(667),
    [aux_sym_comparison_operator_token36] = ACTIONS(667),
    [aux_sym_comparison_operator_token37] = ACTIONS(667),
    [aux_sym_comparison_operator_token38] = ACTIONS(667),
    [aux_sym_comparison_operator_token39] = ACTIONS(667),
    [aux_sym_comparison_operator_token40] = ACTIONS(667),
    [aux_sym_comparison_operator_token41] = ACTIONS(667),
    [aux_sym_comparison_operator_token42] = ACTIONS(667),
    [aux_sym_comparison_operator_token43] = ACTIONS(667),
    [aux_sym_comparison_operator_token44] = ACTIONS(667),
    [aux_sym_comparison_operator_token45] = ACTIONS(667),
    [aux_sym_comparison_operator_token46] = ACTIONS(667),
    [aux_sym_comparison_operator_token47] = ACTIONS(667),
    [aux_sym_comparison_operator_token48] = ACTIONS(667),
    [aux_sym_comparison_operator_token49] = ACTIONS(667),
    [aux_sym_comparison_operator_token50] = ACTIONS(667),
    [aux_sym_format_operator_token1] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(667),
    [anon_sym_PERCENT] = ACTIONS(669),
    [aux_sym_logical_expression_token1] = ACTIONS(667),
    [aux_sym_logical_expression_token2] = ACTIONS(667),
    [aux_sym_logical_expression_token3] = ACTIONS(667),
    [aux_sym_bitwise_expression_token1] = ACTIONS(667),
    [aux_sym_bitwise_expression_token2] = ACTIONS(667),
    [aux_sym_bitwise_expression_token3] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_DOT2] = ACTIONS(669),
    [anon_sym_COLON_COLON] = ACTIONS(667),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(667),
    [sym__statement_terminator] = ACTIONS(667),
  },
  [147] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_PLUS_EQ] = ACTIONS(701),
    [anon_sym_STAR_EQ] = ACTIONS(701),
    [anon_sym_SLASH_EQ] = ACTIONS(701),
    [anon_sym_PERCENT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_GT] = ACTIONS(701),
    [anon_sym_2_GT] = ACTIONS(703),
    [anon_sym_2_GT_GT] = ACTIONS(701),
    [anon_sym_3_GT] = ACTIONS(703),
    [anon_sym_3_GT_GT] = ACTIONS(701),
    [anon_sym_4_GT] = ACTIONS(703),
    [anon_sym_4_GT_GT] = ACTIONS(701),
    [anon_sym_5_GT] = ACTIONS(703),
    [anon_sym_5_GT_GT] = ACTIONS(701),
    [anon_sym_6_GT] = ACTIONS(703),
    [anon_sym_6_GT_GT] = ACTIONS(701),
    [anon_sym_STAR_GT] = ACTIONS(703),
    [anon_sym_STAR_GT_GT] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(701),
    [anon_sym_2_GT_AMP1] = ACTIONS(701),
    [anon_sym_3_GT_AMP1] = ACTIONS(701),
    [anon_sym_4_GT_AMP1] = ACTIONS(701),
    [anon_sym_5_GT_AMP1] = ACTIONS(701),
    [anon_sym_6_GT_AMP1] = ACTIONS(701),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(701),
    [anon_sym_1_GT_AMP2] = ACTIONS(701),
    [anon_sym_3_GT_AMP2] = ACTIONS(701),
    [anon_sym_4_GT_AMP2] = ACTIONS(701),
    [anon_sym_5_GT_AMP2] = ACTIONS(701),
    [anon_sym_6_GT_AMP2] = ACTIONS(701),
    [aux_sym_comparison_operator_token1] = ACTIONS(701),
    [aux_sym_comparison_operator_token2] = ACTIONS(701),
    [aux_sym_comparison_operator_token3] = ACTIONS(701),
    [aux_sym_comparison_operator_token4] = ACTIONS(701),
    [aux_sym_comparison_operator_token5] = ACTIONS(701),
    [aux_sym_comparison_operator_token6] = ACTIONS(701),
    [aux_sym_comparison_operator_token7] = ACTIONS(701),
    [aux_sym_comparison_operator_token8] = ACTIONS(701),
    [aux_sym_comparison_operator_token9] = ACTIONS(701),
    [aux_sym_comparison_operator_token10] = ACTIONS(701),
    [aux_sym_comparison_operator_token11] = ACTIONS(701),
    [aux_sym_comparison_operator_token12] = ACTIONS(701),
    [aux_sym_comparison_operator_token13] = ACTIONS(701),
    [aux_sym_comparison_operator_token14] = ACTIONS(701),
    [aux_sym_comparison_operator_token15] = ACTIONS(701),
    [aux_sym_comparison_operator_token16] = ACTIONS(701),
    [aux_sym_comparison_operator_token17] = ACTIONS(701),
    [aux_sym_comparison_operator_token18] = ACTIONS(701),
    [aux_sym_comparison_operator_token19] = ACTIONS(701),
    [aux_sym_comparison_operator_token20] = ACTIONS(701),
    [aux_sym_comparison_operator_token21] = ACTIONS(701),
    [aux_sym_comparison_operator_token22] = ACTIONS(701),
    [aux_sym_comparison_operator_token23] = ACTIONS(701),
    [aux_sym_comparison_operator_token24] = ACTIONS(701),
    [aux_sym_comparison_operator_token25] = ACTIONS(701),
    [aux_sym_comparison_operator_token26] = ACTIONS(701),
    [aux_sym_comparison_operator_token27] = ACTIONS(701),
    [aux_sym_comparison_operator_token28] = ACTIONS(703),
    [aux_sym_comparison_operator_token29] = ACTIONS(701),
    [aux_sym_comparison_operator_token30] = ACTIONS(701),
    [aux_sym_comparison_operator_token31] = ACTIONS(701),
    [aux_sym_comparison_operator_token32] = ACTIONS(701),
    [aux_sym_comparison_operator_token33] = ACTIONS(701),
    [aux_sym_comparison_operator_token34] = ACTIONS(703),
    [aux_sym_comparison_operator_token35] = ACTIONS(701),
    [aux_sym_comparison_operator_token36] = ACTIONS(701),
    [aux_sym_comparison_operator_token37] = ACTIONS(701),
    [aux_sym_comparison_operator_token38] = ACTIONS(701),
    [aux_sym_comparison_operator_token39] = ACTIONS(701),
    [aux_sym_comparison_operator_token40] = ACTIONS(701),
    [aux_sym_comparison_operator_token41] = ACTIONS(701),
    [aux_sym_comparison_operator_token42] = ACTIONS(701),
    [aux_sym_comparison_operator_token43] = ACTIONS(701),
    [aux_sym_comparison_operator_token44] = ACTIONS(701),
    [aux_sym_comparison_operator_token45] = ACTIONS(701),
    [aux_sym_comparison_operator_token46] = ACTIONS(701),
    [aux_sym_comparison_operator_token47] = ACTIONS(701),
    [aux_sym_comparison_operator_token48] = ACTIONS(701),
    [aux_sym_comparison_operator_token49] = ACTIONS(701),
    [aux_sym_comparison_operator_token50] = ACTIONS(701),
    [aux_sym_format_operator_token1] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(703),
    [aux_sym_logical_expression_token1] = ACTIONS(701),
    [aux_sym_logical_expression_token2] = ACTIONS(701),
    [aux_sym_logical_expression_token3] = ACTIONS(701),
    [aux_sym_bitwise_expression_token1] = ACTIONS(701),
    [aux_sym_bitwise_expression_token2] = ACTIONS(701),
    [aux_sym_bitwise_expression_token3] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_DOT_DOT] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_DOT2] = ACTIONS(703),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(701),
    [sym__statement_terminator] = ACTIONS(701),
  },
  [148] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_PLUS_EQ] = ACTIONS(629),
    [anon_sym_STAR_EQ] = ACTIONS(629),
    [anon_sym_SLASH_EQ] = ACTIONS(629),
    [anon_sym_PERCENT_EQ] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_2_GT] = ACTIONS(631),
    [anon_sym_2_GT_GT] = ACTIONS(629),
    [anon_sym_3_GT] = ACTIONS(631),
    [anon_sym_3_GT_GT] = ACTIONS(629),
    [anon_sym_4_GT] = ACTIONS(631),
    [anon_sym_4_GT_GT] = ACTIONS(629),
    [anon_sym_5_GT] = ACTIONS(631),
    [anon_sym_5_GT_GT] = ACTIONS(629),
    [anon_sym_6_GT] = ACTIONS(631),
    [anon_sym_6_GT_GT] = ACTIONS(629),
    [anon_sym_STAR_GT] = ACTIONS(631),
    [anon_sym_STAR_GT_GT] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(629),
    [anon_sym_2_GT_AMP1] = ACTIONS(629),
    [anon_sym_3_GT_AMP1] = ACTIONS(629),
    [anon_sym_4_GT_AMP1] = ACTIONS(629),
    [anon_sym_5_GT_AMP1] = ACTIONS(629),
    [anon_sym_6_GT_AMP1] = ACTIONS(629),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(629),
    [anon_sym_1_GT_AMP2] = ACTIONS(629),
    [anon_sym_3_GT_AMP2] = ACTIONS(629),
    [anon_sym_4_GT_AMP2] = ACTIONS(629),
    [anon_sym_5_GT_AMP2] = ACTIONS(629),
    [anon_sym_6_GT_AMP2] = ACTIONS(629),
    [aux_sym_comparison_operator_token1] = ACTIONS(629),
    [aux_sym_comparison_operator_token2] = ACTIONS(629),
    [aux_sym_comparison_operator_token3] = ACTIONS(629),
    [aux_sym_comparison_operator_token4] = ACTIONS(629),
    [aux_sym_comparison_operator_token5] = ACTIONS(629),
    [aux_sym_comparison_operator_token6] = ACTIONS(629),
    [aux_sym_comparison_operator_token7] = ACTIONS(629),
    [aux_sym_comparison_operator_token8] = ACTIONS(629),
    [aux_sym_comparison_operator_token9] = ACTIONS(629),
    [aux_sym_comparison_operator_token10] = ACTIONS(629),
    [aux_sym_comparison_operator_token11] = ACTIONS(629),
    [aux_sym_comparison_operator_token12] = ACTIONS(629),
    [aux_sym_comparison_operator_token13] = ACTIONS(629),
    [aux_sym_comparison_operator_token14] = ACTIONS(629),
    [aux_sym_comparison_operator_token15] = ACTIONS(629),
    [aux_sym_comparison_operator_token16] = ACTIONS(629),
    [aux_sym_comparison_operator_token17] = ACTIONS(629),
    [aux_sym_comparison_operator_token18] = ACTIONS(629),
    [aux_sym_comparison_operator_token19] = ACTIONS(629),
    [aux_sym_comparison_operator_token20] = ACTIONS(629),
    [aux_sym_comparison_operator_token21] = ACTIONS(629),
    [aux_sym_comparison_operator_token22] = ACTIONS(629),
    [aux_sym_comparison_operator_token23] = ACTIONS(629),
    [aux_sym_comparison_operator_token24] = ACTIONS(629),
    [aux_sym_comparison_operator_token25] = ACTIONS(629),
    [aux_sym_comparison_operator_token26] = ACTIONS(629),
    [aux_sym_comparison_operator_token27] = ACTIONS(629),
    [aux_sym_comparison_operator_token28] = ACTIONS(631),
    [aux_sym_comparison_operator_token29] = ACTIONS(629),
    [aux_sym_comparison_operator_token30] = ACTIONS(629),
    [aux_sym_comparison_operator_token31] = ACTIONS(629),
    [aux_sym_comparison_operator_token32] = ACTIONS(629),
    [aux_sym_comparison_operator_token33] = ACTIONS(629),
    [aux_sym_comparison_operator_token34] = ACTIONS(631),
    [aux_sym_comparison_operator_token35] = ACTIONS(629),
    [aux_sym_comparison_operator_token36] = ACTIONS(629),
    [aux_sym_comparison_operator_token37] = ACTIONS(629),
    [aux_sym_comparison_operator_token38] = ACTIONS(629),
    [aux_sym_comparison_operator_token39] = ACTIONS(629),
    [aux_sym_comparison_operator_token40] = ACTIONS(629),
    [aux_sym_comparison_operator_token41] = ACTIONS(629),
    [aux_sym_comparison_operator_token42] = ACTIONS(629),
    [aux_sym_comparison_operator_token43] = ACTIONS(629),
    [aux_sym_comparison_operator_token44] = ACTIONS(629),
    [aux_sym_comparison_operator_token45] = ACTIONS(629),
    [aux_sym_comparison_operator_token46] = ACTIONS(629),
    [aux_sym_comparison_operator_token47] = ACTIONS(629),
    [aux_sym_comparison_operator_token48] = ACTIONS(629),
    [aux_sym_comparison_operator_token49] = ACTIONS(629),
    [aux_sym_comparison_operator_token50] = ACTIONS(629),
    [aux_sym_format_operator_token1] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(631),
    [aux_sym_logical_expression_token1] = ACTIONS(629),
    [aux_sym_logical_expression_token2] = ACTIONS(629),
    [aux_sym_logical_expression_token3] = ACTIONS(629),
    [aux_sym_bitwise_expression_token1] = ACTIONS(629),
    [aux_sym_bitwise_expression_token2] = ACTIONS(629),
    [aux_sym_bitwise_expression_token3] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_DOT2] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(629),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(629),
    [sym__statement_terminator] = ACTIONS(629),
  },
  [149] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_PLUS_EQ] = ACTIONS(683),
    [anon_sym_STAR_EQ] = ACTIONS(683),
    [anon_sym_SLASH_EQ] = ACTIONS(683),
    [anon_sym_PERCENT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(686),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_2_GT] = ACTIONS(686),
    [anon_sym_2_GT_GT] = ACTIONS(683),
    [anon_sym_3_GT] = ACTIONS(686),
    [anon_sym_3_GT_GT] = ACTIONS(683),
    [anon_sym_4_GT] = ACTIONS(686),
    [anon_sym_4_GT_GT] = ACTIONS(683),
    [anon_sym_5_GT] = ACTIONS(686),
    [anon_sym_5_GT_GT] = ACTIONS(683),
    [anon_sym_6_GT] = ACTIONS(686),
    [anon_sym_6_GT_GT] = ACTIONS(683),
    [anon_sym_STAR_GT] = ACTIONS(686),
    [anon_sym_STAR_GT_GT] = ACTIONS(683),
    [anon_sym_LT] = ACTIONS(686),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(683),
    [anon_sym_2_GT_AMP1] = ACTIONS(683),
    [anon_sym_3_GT_AMP1] = ACTIONS(683),
    [anon_sym_4_GT_AMP1] = ACTIONS(683),
    [anon_sym_5_GT_AMP1] = ACTIONS(683),
    [anon_sym_6_GT_AMP1] = ACTIONS(683),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(683),
    [anon_sym_1_GT_AMP2] = ACTIONS(683),
    [anon_sym_3_GT_AMP2] = ACTIONS(683),
    [anon_sym_4_GT_AMP2] = ACTIONS(683),
    [anon_sym_5_GT_AMP2] = ACTIONS(683),
    [anon_sym_6_GT_AMP2] = ACTIONS(683),
    [aux_sym_comparison_operator_token1] = ACTIONS(683),
    [aux_sym_comparison_operator_token2] = ACTIONS(683),
    [aux_sym_comparison_operator_token3] = ACTIONS(683),
    [aux_sym_comparison_operator_token4] = ACTIONS(683),
    [aux_sym_comparison_operator_token5] = ACTIONS(683),
    [aux_sym_comparison_operator_token6] = ACTIONS(683),
    [aux_sym_comparison_operator_token7] = ACTIONS(683),
    [aux_sym_comparison_operator_token8] = ACTIONS(683),
    [aux_sym_comparison_operator_token9] = ACTIONS(683),
    [aux_sym_comparison_operator_token10] = ACTIONS(683),
    [aux_sym_comparison_operator_token11] = ACTIONS(683),
    [aux_sym_comparison_operator_token12] = ACTIONS(683),
    [aux_sym_comparison_operator_token13] = ACTIONS(683),
    [aux_sym_comparison_operator_token14] = ACTIONS(683),
    [aux_sym_comparison_operator_token15] = ACTIONS(683),
    [aux_sym_comparison_operator_token16] = ACTIONS(683),
    [aux_sym_comparison_operator_token17] = ACTIONS(683),
    [aux_sym_comparison_operator_token18] = ACTIONS(683),
    [aux_sym_comparison_operator_token19] = ACTIONS(683),
    [aux_sym_comparison_operator_token20] = ACTIONS(683),
    [aux_sym_comparison_operator_token21] = ACTIONS(683),
    [aux_sym_comparison_operator_token22] = ACTIONS(683),
    [aux_sym_comparison_operator_token23] = ACTIONS(683),
    [aux_sym_comparison_operator_token24] = ACTIONS(683),
    [aux_sym_comparison_operator_token25] = ACTIONS(683),
    [aux_sym_comparison_operator_token26] = ACTIONS(683),
    [aux_sym_comparison_operator_token27] = ACTIONS(683),
    [aux_sym_comparison_operator_token28] = ACTIONS(686),
    [aux_sym_comparison_operator_token29] = ACTIONS(683),
    [aux_sym_comparison_operator_token30] = ACTIONS(683),
    [aux_sym_comparison_operator_token31] = ACTIONS(683),
    [aux_sym_comparison_operator_token32] = ACTIONS(683),
    [aux_sym_comparison_operator_token33] = ACTIONS(683),
    [aux_sym_comparison_operator_token34] = ACTIONS(686),
    [aux_sym_comparison_operator_token35] = ACTIONS(683),
    [aux_sym_comparison_operator_token36] = ACTIONS(683),
    [aux_sym_comparison_operator_token37] = ACTIONS(683),
    [aux_sym_comparison_operator_token38] = ACTIONS(683),
    [aux_sym_comparison_operator_token39] = ACTIONS(683),
    [aux_sym_comparison_operator_token40] = ACTIONS(683),
    [aux_sym_comparison_operator_token41] = ACTIONS(683),
    [aux_sym_comparison_operator_token42] = ACTIONS(683),
    [aux_sym_comparison_operator_token43] = ACTIONS(683),
    [aux_sym_comparison_operator_token44] = ACTIONS(683),
    [aux_sym_comparison_operator_token45] = ACTIONS(683),
    [aux_sym_comparison_operator_token46] = ACTIONS(683),
    [aux_sym_comparison_operator_token47] = ACTIONS(683),
    [aux_sym_comparison_operator_token48] = ACTIONS(683),
    [aux_sym_comparison_operator_token49] = ACTIONS(683),
    [aux_sym_comparison_operator_token50] = ACTIONS(683),
    [aux_sym_format_operator_token1] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_COMMA] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(686),
    [aux_sym_logical_expression_token1] = ACTIONS(683),
    [aux_sym_logical_expression_token2] = ACTIONS(683),
    [aux_sym_logical_expression_token3] = ACTIONS(683),
    [aux_sym_bitwise_expression_token1] = ACTIONS(683),
    [aux_sym_bitwise_expression_token2] = ACTIONS(683),
    [aux_sym_bitwise_expression_token3] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_SLASH] = ACTIONS(686),
    [anon_sym_BSLASH] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(683),
    [anon_sym_DASH_DASH] = ACTIONS(683),
    [anon_sym_DOT2] = ACTIONS(686),
    [anon_sym_COLON_COLON] = ACTIONS(683),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(683),
    [sym__statement_terminator] = ACTIONS(683),
  },
  [150] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_DOT2] = ACTIONS(641),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(639),
    [sym__statement_terminator] = ACTIONS(639),
  },
  [151] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_DOT2] = ACTIONS(645),
    [anon_sym_COLON_COLON] = ACTIONS(643),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(643),
    [sym__statement_terminator] = ACTIONS(643),
  },
  [152] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [anon_sym_PLUS_PLUS] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(651),
    [anon_sym_DOT2] = ACTIONS(653),
    [anon_sym_COLON_COLON] = ACTIONS(651),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(651),
    [sym__statement_terminator] = ACTIONS(651),
  },
  [153] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_DOT2] = ACTIONS(657),
    [anon_sym_COLON_COLON] = ACTIONS(655),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(655),
    [sym__statement_terminator] = ACTIONS(655),
  },
  [154] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_EQ] = ACTIONS(609),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_PLUS_EQ] = ACTIONS(609),
    [anon_sym_STAR_EQ] = ACTIONS(609),
    [anon_sym_SLASH_EQ] = ACTIONS(609),
    [anon_sym_PERCENT_EQ] = ACTIONS(609),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_GT_GT] = ACTIONS(609),
    [anon_sym_2_GT] = ACTIONS(611),
    [anon_sym_2_GT_GT] = ACTIONS(609),
    [anon_sym_3_GT] = ACTIONS(611),
    [anon_sym_3_GT_GT] = ACTIONS(609),
    [anon_sym_4_GT] = ACTIONS(611),
    [anon_sym_4_GT_GT] = ACTIONS(609),
    [anon_sym_5_GT] = ACTIONS(611),
    [anon_sym_5_GT_GT] = ACTIONS(609),
    [anon_sym_6_GT] = ACTIONS(611),
    [anon_sym_6_GT_GT] = ACTIONS(609),
    [anon_sym_STAR_GT] = ACTIONS(611),
    [anon_sym_STAR_GT_GT] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(609),
    [anon_sym_2_GT_AMP1] = ACTIONS(609),
    [anon_sym_3_GT_AMP1] = ACTIONS(609),
    [anon_sym_4_GT_AMP1] = ACTIONS(609),
    [anon_sym_5_GT_AMP1] = ACTIONS(609),
    [anon_sym_6_GT_AMP1] = ACTIONS(609),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(609),
    [anon_sym_1_GT_AMP2] = ACTIONS(609),
    [anon_sym_3_GT_AMP2] = ACTIONS(609),
    [anon_sym_4_GT_AMP2] = ACTIONS(609),
    [anon_sym_5_GT_AMP2] = ACTIONS(609),
    [anon_sym_6_GT_AMP2] = ACTIONS(609),
    [aux_sym_comparison_operator_token1] = ACTIONS(609),
    [aux_sym_comparison_operator_token2] = ACTIONS(609),
    [aux_sym_comparison_operator_token3] = ACTIONS(609),
    [aux_sym_comparison_operator_token4] = ACTIONS(609),
    [aux_sym_comparison_operator_token5] = ACTIONS(609),
    [aux_sym_comparison_operator_token6] = ACTIONS(609),
    [aux_sym_comparison_operator_token7] = ACTIONS(609),
    [aux_sym_comparison_operator_token8] = ACTIONS(609),
    [aux_sym_comparison_operator_token9] = ACTIONS(609),
    [aux_sym_comparison_operator_token10] = ACTIONS(609),
    [aux_sym_comparison_operator_token11] = ACTIONS(609),
    [aux_sym_comparison_operator_token12] = ACTIONS(609),
    [aux_sym_comparison_operator_token13] = ACTIONS(609),
    [aux_sym_comparison_operator_token14] = ACTIONS(609),
    [aux_sym_comparison_operator_token15] = ACTIONS(609),
    [aux_sym_comparison_operator_token16] = ACTIONS(609),
    [aux_sym_comparison_operator_token17] = ACTIONS(609),
    [aux_sym_comparison_operator_token18] = ACTIONS(609),
    [aux_sym_comparison_operator_token19] = ACTIONS(609),
    [aux_sym_comparison_operator_token20] = ACTIONS(609),
    [aux_sym_comparison_operator_token21] = ACTIONS(609),
    [aux_sym_comparison_operator_token22] = ACTIONS(609),
    [aux_sym_comparison_operator_token23] = ACTIONS(609),
    [aux_sym_comparison_operator_token24] = ACTIONS(609),
    [aux_sym_comparison_operator_token25] = ACTIONS(609),
    [aux_sym_comparison_operator_token26] = ACTIONS(609),
    [aux_sym_comparison_operator_token27] = ACTIONS(609),
    [aux_sym_comparison_operator_token28] = ACTIONS(611),
    [aux_sym_comparison_operator_token29] = ACTIONS(609),
    [aux_sym_comparison_operator_token30] = ACTIONS(609),
    [aux_sym_comparison_operator_token31] = ACTIONS(609),
    [aux_sym_comparison_operator_token32] = ACTIONS(609),
    [aux_sym_comparison_operator_token33] = ACTIONS(609),
    [aux_sym_comparison_operator_token34] = ACTIONS(611),
    [aux_sym_comparison_operator_token35] = ACTIONS(609),
    [aux_sym_comparison_operator_token36] = ACTIONS(609),
    [aux_sym_comparison_operator_token37] = ACTIONS(609),
    [aux_sym_comparison_operator_token38] = ACTIONS(609),
    [aux_sym_comparison_operator_token39] = ACTIONS(609),
    [aux_sym_comparison_operator_token40] = ACTIONS(609),
    [aux_sym_comparison_operator_token41] = ACTIONS(609),
    [aux_sym_comparison_operator_token42] = ACTIONS(609),
    [aux_sym_comparison_operator_token43] = ACTIONS(609),
    [aux_sym_comparison_operator_token44] = ACTIONS(609),
    [aux_sym_comparison_operator_token45] = ACTIONS(609),
    [aux_sym_comparison_operator_token46] = ACTIONS(609),
    [aux_sym_comparison_operator_token47] = ACTIONS(609),
    [aux_sym_comparison_operator_token48] = ACTIONS(609),
    [aux_sym_comparison_operator_token49] = ACTIONS(609),
    [aux_sym_comparison_operator_token50] = ACTIONS(609),
    [aux_sym_format_operator_token1] = ACTIONS(609),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_COMMA] = ACTIONS(609),
    [anon_sym_PIPE] = ACTIONS(609),
    [anon_sym_PERCENT] = ACTIONS(611),
    [aux_sym_logical_expression_token1] = ACTIONS(609),
    [aux_sym_logical_expression_token2] = ACTIONS(609),
    [aux_sym_logical_expression_token3] = ACTIONS(609),
    [aux_sym_bitwise_expression_token1] = ACTIONS(609),
    [aux_sym_bitwise_expression_token2] = ACTIONS(609),
    [aux_sym_bitwise_expression_token3] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_BSLASH] = ACTIONS(609),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_DOT_DOT] = ACTIONS(609),
    [anon_sym_PLUS_PLUS] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(609),
    [anon_sym_DOT2] = ACTIONS(611),
    [anon_sym_COLON_COLON] = ACTIONS(609),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(609),
    [sym__statement_terminator] = ACTIONS(609),
  },
  [155] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(759),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [156] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(761),
    [anon_sym_COLON_COLON] = ACTIONS(763),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [157] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(157),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(769),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [sym__statement_terminator] = ACTIONS(765),
  },
  [158] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(651),
  },
  [159] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(655),
  },
  [160] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(165),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_PLUS_EQ] = ACTIONS(772),
    [anon_sym_STAR_EQ] = ACTIONS(772),
    [anon_sym_SLASH_EQ] = ACTIONS(772),
    [anon_sym_PERCENT_EQ] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_2_GT] = ACTIONS(774),
    [anon_sym_2_GT_GT] = ACTIONS(772),
    [anon_sym_3_GT] = ACTIONS(774),
    [anon_sym_3_GT_GT] = ACTIONS(772),
    [anon_sym_4_GT] = ACTIONS(774),
    [anon_sym_4_GT_GT] = ACTIONS(772),
    [anon_sym_5_GT] = ACTIONS(774),
    [anon_sym_5_GT_GT] = ACTIONS(772),
    [anon_sym_6_GT] = ACTIONS(774),
    [anon_sym_6_GT_GT] = ACTIONS(772),
    [anon_sym_STAR_GT] = ACTIONS(774),
    [anon_sym_STAR_GT_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(772),
    [anon_sym_2_GT_AMP1] = ACTIONS(772),
    [anon_sym_3_GT_AMP1] = ACTIONS(772),
    [anon_sym_4_GT_AMP1] = ACTIONS(772),
    [anon_sym_5_GT_AMP1] = ACTIONS(772),
    [anon_sym_6_GT_AMP1] = ACTIONS(772),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(772),
    [anon_sym_1_GT_AMP2] = ACTIONS(772),
    [anon_sym_3_GT_AMP2] = ACTIONS(772),
    [anon_sym_4_GT_AMP2] = ACTIONS(772),
    [anon_sym_5_GT_AMP2] = ACTIONS(772),
    [anon_sym_6_GT_AMP2] = ACTIONS(772),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_RPAREN] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(774),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [161] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(675),
  },
  [162] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(170),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_PLUS_EQ] = ACTIONS(778),
    [anon_sym_STAR_EQ] = ACTIONS(778),
    [anon_sym_SLASH_EQ] = ACTIONS(778),
    [anon_sym_PERCENT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_2_GT] = ACTIONS(780),
    [anon_sym_2_GT_GT] = ACTIONS(778),
    [anon_sym_3_GT] = ACTIONS(780),
    [anon_sym_3_GT_GT] = ACTIONS(778),
    [anon_sym_4_GT] = ACTIONS(780),
    [anon_sym_4_GT_GT] = ACTIONS(778),
    [anon_sym_5_GT] = ACTIONS(780),
    [anon_sym_5_GT_GT] = ACTIONS(778),
    [anon_sym_6_GT] = ACTIONS(780),
    [anon_sym_6_GT_GT] = ACTIONS(778),
    [anon_sym_STAR_GT] = ACTIONS(780),
    [anon_sym_STAR_GT_GT] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(778),
    [anon_sym_2_GT_AMP1] = ACTIONS(778),
    [anon_sym_3_GT_AMP1] = ACTIONS(778),
    [anon_sym_4_GT_AMP1] = ACTIONS(778),
    [anon_sym_5_GT_AMP1] = ACTIONS(778),
    [anon_sym_6_GT_AMP1] = ACTIONS(778),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(778),
    [anon_sym_1_GT_AMP2] = ACTIONS(778),
    [anon_sym_3_GT_AMP2] = ACTIONS(778),
    [anon_sym_4_GT_AMP2] = ACTIONS(778),
    [anon_sym_5_GT_AMP2] = ACTIONS(778),
    [anon_sym_6_GT_AMP2] = ACTIONS(778),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(780),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_DOT_DOT] = ACTIONS(778),
    [sym__statement_terminator] = ACTIONS(778),
  },
  [163] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_BANG_EQ] = ACTIONS(784),
    [anon_sym_PLUS_EQ] = ACTIONS(784),
    [anon_sym_STAR_EQ] = ACTIONS(784),
    [anon_sym_SLASH_EQ] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(784),
    [anon_sym_GT] = ACTIONS(786),
    [anon_sym_GT_GT] = ACTIONS(784),
    [anon_sym_2_GT] = ACTIONS(786),
    [anon_sym_2_GT_GT] = ACTIONS(784),
    [anon_sym_3_GT] = ACTIONS(786),
    [anon_sym_3_GT_GT] = ACTIONS(784),
    [anon_sym_4_GT] = ACTIONS(786),
    [anon_sym_4_GT_GT] = ACTIONS(784),
    [anon_sym_5_GT] = ACTIONS(786),
    [anon_sym_5_GT_GT] = ACTIONS(784),
    [anon_sym_6_GT] = ACTIONS(786),
    [anon_sym_6_GT_GT] = ACTIONS(784),
    [anon_sym_STAR_GT] = ACTIONS(786),
    [anon_sym_STAR_GT_GT] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(786),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(784),
    [anon_sym_2_GT_AMP1] = ACTIONS(784),
    [anon_sym_3_GT_AMP1] = ACTIONS(784),
    [anon_sym_4_GT_AMP1] = ACTIONS(784),
    [anon_sym_5_GT_AMP1] = ACTIONS(784),
    [anon_sym_6_GT_AMP1] = ACTIONS(784),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(784),
    [anon_sym_1_GT_AMP2] = ACTIONS(784),
    [anon_sym_3_GT_AMP2] = ACTIONS(784),
    [anon_sym_4_GT_AMP2] = ACTIONS(784),
    [anon_sym_5_GT_AMP2] = ACTIONS(784),
    [anon_sym_6_GT_AMP2] = ACTIONS(784),
    [aux_sym_comparison_operator_token1] = ACTIONS(784),
    [aux_sym_comparison_operator_token2] = ACTIONS(784),
    [aux_sym_comparison_operator_token3] = ACTIONS(784),
    [aux_sym_comparison_operator_token4] = ACTIONS(784),
    [aux_sym_comparison_operator_token5] = ACTIONS(784),
    [aux_sym_comparison_operator_token6] = ACTIONS(784),
    [aux_sym_comparison_operator_token7] = ACTIONS(784),
    [aux_sym_comparison_operator_token8] = ACTIONS(784),
    [aux_sym_comparison_operator_token9] = ACTIONS(784),
    [aux_sym_comparison_operator_token10] = ACTIONS(784),
    [aux_sym_comparison_operator_token11] = ACTIONS(784),
    [aux_sym_comparison_operator_token12] = ACTIONS(784),
    [aux_sym_comparison_operator_token13] = ACTIONS(784),
    [aux_sym_comparison_operator_token14] = ACTIONS(784),
    [aux_sym_comparison_operator_token15] = ACTIONS(784),
    [aux_sym_comparison_operator_token16] = ACTIONS(784),
    [aux_sym_comparison_operator_token17] = ACTIONS(784),
    [aux_sym_comparison_operator_token18] = ACTIONS(784),
    [aux_sym_comparison_operator_token19] = ACTIONS(784),
    [aux_sym_comparison_operator_token20] = ACTIONS(784),
    [aux_sym_comparison_operator_token21] = ACTIONS(784),
    [aux_sym_comparison_operator_token22] = ACTIONS(784),
    [aux_sym_comparison_operator_token23] = ACTIONS(784),
    [aux_sym_comparison_operator_token24] = ACTIONS(784),
    [aux_sym_comparison_operator_token25] = ACTIONS(784),
    [aux_sym_comparison_operator_token26] = ACTIONS(784),
    [aux_sym_comparison_operator_token27] = ACTIONS(784),
    [aux_sym_comparison_operator_token28] = ACTIONS(786),
    [aux_sym_comparison_operator_token29] = ACTIONS(784),
    [aux_sym_comparison_operator_token30] = ACTIONS(784),
    [aux_sym_comparison_operator_token31] = ACTIONS(784),
    [aux_sym_comparison_operator_token32] = ACTIONS(784),
    [aux_sym_comparison_operator_token33] = ACTIONS(784),
    [aux_sym_comparison_operator_token34] = ACTIONS(786),
    [aux_sym_comparison_operator_token35] = ACTIONS(784),
    [aux_sym_comparison_operator_token36] = ACTIONS(784),
    [aux_sym_comparison_operator_token37] = ACTIONS(784),
    [aux_sym_comparison_operator_token38] = ACTIONS(784),
    [aux_sym_comparison_operator_token39] = ACTIONS(784),
    [aux_sym_comparison_operator_token40] = ACTIONS(784),
    [aux_sym_comparison_operator_token41] = ACTIONS(784),
    [aux_sym_comparison_operator_token42] = ACTIONS(784),
    [aux_sym_comparison_operator_token43] = ACTIONS(784),
    [aux_sym_comparison_operator_token44] = ACTIONS(784),
    [aux_sym_comparison_operator_token45] = ACTIONS(784),
    [aux_sym_comparison_operator_token46] = ACTIONS(784),
    [aux_sym_comparison_operator_token47] = ACTIONS(784),
    [aux_sym_comparison_operator_token48] = ACTIONS(784),
    [aux_sym_comparison_operator_token49] = ACTIONS(784),
    [aux_sym_comparison_operator_token50] = ACTIONS(784),
    [aux_sym_format_operator_token1] = ACTIONS(784),
    [anon_sym_RPAREN] = ACTIONS(784),
    [anon_sym_COMMA] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(786),
    [aux_sym_logical_expression_token1] = ACTIONS(784),
    [aux_sym_logical_expression_token2] = ACTIONS(784),
    [aux_sym_logical_expression_token3] = ACTIONS(784),
    [aux_sym_bitwise_expression_token1] = ACTIONS(784),
    [aux_sym_bitwise_expression_token2] = ACTIONS(784),
    [aux_sym_bitwise_expression_token3] = ACTIONS(784),
    [anon_sym_PLUS] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(786),
    [anon_sym_SLASH] = ACTIONS(786),
    [anon_sym_BSLASH] = ACTIONS(784),
    [anon_sym_STAR] = ACTIONS(786),
    [anon_sym_DOT_DOT] = ACTIONS(784),
    [anon_sym_RBRACK] = ACTIONS(784),
  },
  [164] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(765),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [anon_sym_RBRACK] = ACTIONS(765),
  },
  [165] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(165),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(788),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
  },
  [166] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_BANG_EQ] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(791),
    [anon_sym_STAR_EQ] = ACTIONS(791),
    [anon_sym_SLASH_EQ] = ACTIONS(791),
    [anon_sym_PERCENT_EQ] = ACTIONS(791),
    [anon_sym_GT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(791),
    [anon_sym_2_GT] = ACTIONS(793),
    [anon_sym_2_GT_GT] = ACTIONS(791),
    [anon_sym_3_GT] = ACTIONS(793),
    [anon_sym_3_GT_GT] = ACTIONS(791),
    [anon_sym_4_GT] = ACTIONS(793),
    [anon_sym_4_GT_GT] = ACTIONS(791),
    [anon_sym_5_GT] = ACTIONS(793),
    [anon_sym_5_GT_GT] = ACTIONS(791),
    [anon_sym_6_GT] = ACTIONS(793),
    [anon_sym_6_GT_GT] = ACTIONS(791),
    [anon_sym_STAR_GT] = ACTIONS(793),
    [anon_sym_STAR_GT_GT] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(791),
    [anon_sym_2_GT_AMP1] = ACTIONS(791),
    [anon_sym_3_GT_AMP1] = ACTIONS(791),
    [anon_sym_4_GT_AMP1] = ACTIONS(791),
    [anon_sym_5_GT_AMP1] = ACTIONS(791),
    [anon_sym_6_GT_AMP1] = ACTIONS(791),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(791),
    [anon_sym_1_GT_AMP2] = ACTIONS(791),
    [anon_sym_3_GT_AMP2] = ACTIONS(791),
    [anon_sym_4_GT_AMP2] = ACTIONS(791),
    [anon_sym_5_GT_AMP2] = ACTIONS(791),
    [anon_sym_6_GT_AMP2] = ACTIONS(791),
    [aux_sym_comparison_operator_token1] = ACTIONS(791),
    [aux_sym_comparison_operator_token2] = ACTIONS(791),
    [aux_sym_comparison_operator_token3] = ACTIONS(791),
    [aux_sym_comparison_operator_token4] = ACTIONS(791),
    [aux_sym_comparison_operator_token5] = ACTIONS(791),
    [aux_sym_comparison_operator_token6] = ACTIONS(791),
    [aux_sym_comparison_operator_token7] = ACTIONS(791),
    [aux_sym_comparison_operator_token8] = ACTIONS(791),
    [aux_sym_comparison_operator_token9] = ACTIONS(791),
    [aux_sym_comparison_operator_token10] = ACTIONS(791),
    [aux_sym_comparison_operator_token11] = ACTIONS(791),
    [aux_sym_comparison_operator_token12] = ACTIONS(791),
    [aux_sym_comparison_operator_token13] = ACTIONS(791),
    [aux_sym_comparison_operator_token14] = ACTIONS(791),
    [aux_sym_comparison_operator_token15] = ACTIONS(791),
    [aux_sym_comparison_operator_token16] = ACTIONS(791),
    [aux_sym_comparison_operator_token17] = ACTIONS(791),
    [aux_sym_comparison_operator_token18] = ACTIONS(791),
    [aux_sym_comparison_operator_token19] = ACTIONS(791),
    [aux_sym_comparison_operator_token20] = ACTIONS(791),
    [aux_sym_comparison_operator_token21] = ACTIONS(791),
    [aux_sym_comparison_operator_token22] = ACTIONS(791),
    [aux_sym_comparison_operator_token23] = ACTIONS(791),
    [aux_sym_comparison_operator_token24] = ACTIONS(791),
    [aux_sym_comparison_operator_token25] = ACTIONS(791),
    [aux_sym_comparison_operator_token26] = ACTIONS(791),
    [aux_sym_comparison_operator_token27] = ACTIONS(791),
    [aux_sym_comparison_operator_token28] = ACTIONS(793),
    [aux_sym_comparison_operator_token29] = ACTIONS(791),
    [aux_sym_comparison_operator_token30] = ACTIONS(791),
    [aux_sym_comparison_operator_token31] = ACTIONS(791),
    [aux_sym_comparison_operator_token32] = ACTIONS(791),
    [aux_sym_comparison_operator_token33] = ACTIONS(791),
    [aux_sym_comparison_operator_token34] = ACTIONS(793),
    [aux_sym_comparison_operator_token35] = ACTIONS(791),
    [aux_sym_comparison_operator_token36] = ACTIONS(791),
    [aux_sym_comparison_operator_token37] = ACTIONS(791),
    [aux_sym_comparison_operator_token38] = ACTIONS(791),
    [aux_sym_comparison_operator_token39] = ACTIONS(791),
    [aux_sym_comparison_operator_token40] = ACTIONS(791),
    [aux_sym_comparison_operator_token41] = ACTIONS(791),
    [aux_sym_comparison_operator_token42] = ACTIONS(791),
    [aux_sym_comparison_operator_token43] = ACTIONS(791),
    [aux_sym_comparison_operator_token44] = ACTIONS(791),
    [aux_sym_comparison_operator_token45] = ACTIONS(791),
    [aux_sym_comparison_operator_token46] = ACTIONS(791),
    [aux_sym_comparison_operator_token47] = ACTIONS(791),
    [aux_sym_comparison_operator_token48] = ACTIONS(791),
    [aux_sym_comparison_operator_token49] = ACTIONS(791),
    [aux_sym_comparison_operator_token50] = ACTIONS(791),
    [aux_sym_format_operator_token1] = ACTIONS(791),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_COMMA] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(793),
    [aux_sym_logical_expression_token1] = ACTIONS(791),
    [aux_sym_logical_expression_token2] = ACTIONS(791),
    [aux_sym_logical_expression_token3] = ACTIONS(791),
    [aux_sym_bitwise_expression_token1] = ACTIONS(791),
    [aux_sym_bitwise_expression_token2] = ACTIONS(791),
    [aux_sym_bitwise_expression_token3] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_BSLASH] = ACTIONS(791),
    [anon_sym_STAR] = ACTIONS(793),
    [anon_sym_DOT_DOT] = ACTIONS(791),
    [anon_sym_RBRACK] = ACTIONS(791),
  },
  [167] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(160),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_PLUS_EQ] = ACTIONS(778),
    [anon_sym_STAR_EQ] = ACTIONS(778),
    [anon_sym_SLASH_EQ] = ACTIONS(778),
    [anon_sym_PERCENT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_2_GT] = ACTIONS(780),
    [anon_sym_2_GT_GT] = ACTIONS(778),
    [anon_sym_3_GT] = ACTIONS(780),
    [anon_sym_3_GT_GT] = ACTIONS(778),
    [anon_sym_4_GT] = ACTIONS(780),
    [anon_sym_4_GT_GT] = ACTIONS(778),
    [anon_sym_5_GT] = ACTIONS(780),
    [anon_sym_5_GT_GT] = ACTIONS(778),
    [anon_sym_6_GT] = ACTIONS(780),
    [anon_sym_6_GT_GT] = ACTIONS(778),
    [anon_sym_STAR_GT] = ACTIONS(780),
    [anon_sym_STAR_GT_GT] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(778),
    [anon_sym_2_GT_AMP1] = ACTIONS(778),
    [anon_sym_3_GT_AMP1] = ACTIONS(778),
    [anon_sym_4_GT_AMP1] = ACTIONS(778),
    [anon_sym_5_GT_AMP1] = ACTIONS(778),
    [anon_sym_6_GT_AMP1] = ACTIONS(778),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(778),
    [anon_sym_1_GT_AMP2] = ACTIONS(778),
    [anon_sym_3_GT_AMP2] = ACTIONS(778),
    [anon_sym_4_GT_AMP2] = ACTIONS(778),
    [anon_sym_5_GT_AMP2] = ACTIONS(778),
    [anon_sym_6_GT_AMP2] = ACTIONS(778),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_RPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(780),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_DOT_DOT] = ACTIONS(778),
  },
  [168] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
  },
  [169] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
  },
  [170] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(157),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_PLUS_EQ] = ACTIONS(772),
    [anon_sym_STAR_EQ] = ACTIONS(772),
    [anon_sym_SLASH_EQ] = ACTIONS(772),
    [anon_sym_PERCENT_EQ] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_2_GT] = ACTIONS(774),
    [anon_sym_2_GT_GT] = ACTIONS(772),
    [anon_sym_3_GT] = ACTIONS(774),
    [anon_sym_3_GT_GT] = ACTIONS(772),
    [anon_sym_4_GT] = ACTIONS(774),
    [anon_sym_4_GT_GT] = ACTIONS(772),
    [anon_sym_5_GT] = ACTIONS(774),
    [anon_sym_5_GT_GT] = ACTIONS(772),
    [anon_sym_6_GT] = ACTIONS(774),
    [anon_sym_6_GT_GT] = ACTIONS(772),
    [anon_sym_STAR_GT] = ACTIONS(774),
    [anon_sym_STAR_GT_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(772),
    [anon_sym_2_GT_AMP1] = ACTIONS(772),
    [anon_sym_3_GT_AMP1] = ACTIONS(772),
    [anon_sym_4_GT_AMP1] = ACTIONS(772),
    [anon_sym_5_GT_AMP1] = ACTIONS(772),
    [anon_sym_6_GT_AMP1] = ACTIONS(772),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(772),
    [anon_sym_1_GT_AMP2] = ACTIONS(772),
    [anon_sym_3_GT_AMP2] = ACTIONS(772),
    [anon_sym_4_GT_AMP2] = ACTIONS(772),
    [anon_sym_5_GT_AMP2] = ACTIONS(772),
    [anon_sym_6_GT_AMP2] = ACTIONS(772),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(774),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_DOT_DOT] = ACTIONS(772),
    [sym__statement_terminator] = ACTIONS(772),
  },
  [171] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(643),
  },
  [172] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [173] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [sym__statement_terminator] = ACTIONS(643),
  },
  [174] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [sym__statement_terminator] = ACTIONS(639),
  },
  [175] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [sym__statement_terminator] = ACTIONS(675),
  },
  [176] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [sym__statement_terminator] = ACTIONS(655),
  },
  [177] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [sym__statement_terminator] = ACTIONS(651),
  },
  [178] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(765),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [sym__statement_terminator] = ACTIONS(765),
  },
  [179] = {
    [sym_format_operator] = STATE(584),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_BANG_EQ] = ACTIONS(795),
    [anon_sym_PLUS_EQ] = ACTIONS(795),
    [anon_sym_STAR_EQ] = ACTIONS(795),
    [anon_sym_SLASH_EQ] = ACTIONS(795),
    [anon_sym_PERCENT_EQ] = ACTIONS(795),
    [anon_sym_GT] = ACTIONS(797),
    [anon_sym_GT_GT] = ACTIONS(795),
    [anon_sym_2_GT] = ACTIONS(797),
    [anon_sym_2_GT_GT] = ACTIONS(795),
    [anon_sym_3_GT] = ACTIONS(797),
    [anon_sym_3_GT_GT] = ACTIONS(795),
    [anon_sym_4_GT] = ACTIONS(797),
    [anon_sym_4_GT_GT] = ACTIONS(795),
    [anon_sym_5_GT] = ACTIONS(797),
    [anon_sym_5_GT_GT] = ACTIONS(795),
    [anon_sym_6_GT] = ACTIONS(797),
    [anon_sym_6_GT_GT] = ACTIONS(795),
    [anon_sym_STAR_GT] = ACTIONS(797),
    [anon_sym_STAR_GT_GT] = ACTIONS(795),
    [anon_sym_LT] = ACTIONS(797),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(795),
    [anon_sym_2_GT_AMP1] = ACTIONS(795),
    [anon_sym_3_GT_AMP1] = ACTIONS(795),
    [anon_sym_4_GT_AMP1] = ACTIONS(795),
    [anon_sym_5_GT_AMP1] = ACTIONS(795),
    [anon_sym_6_GT_AMP1] = ACTIONS(795),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(795),
    [anon_sym_1_GT_AMP2] = ACTIONS(795),
    [anon_sym_3_GT_AMP2] = ACTIONS(795),
    [anon_sym_4_GT_AMP2] = ACTIONS(795),
    [anon_sym_5_GT_AMP2] = ACTIONS(795),
    [anon_sym_6_GT_AMP2] = ACTIONS(795),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_PERCENT] = ACTIONS(797),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(797),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(797),
  },
  [180] = {
    [sym_format_operator] = STATE(584),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_BANG_EQ] = ACTIONS(801),
    [anon_sym_PLUS_EQ] = ACTIONS(801),
    [anon_sym_STAR_EQ] = ACTIONS(801),
    [anon_sym_SLASH_EQ] = ACTIONS(801),
    [anon_sym_PERCENT_EQ] = ACTIONS(801),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_GT] = ACTIONS(801),
    [anon_sym_2_GT] = ACTIONS(803),
    [anon_sym_2_GT_GT] = ACTIONS(801),
    [anon_sym_3_GT] = ACTIONS(803),
    [anon_sym_3_GT_GT] = ACTIONS(801),
    [anon_sym_4_GT] = ACTIONS(803),
    [anon_sym_4_GT_GT] = ACTIONS(801),
    [anon_sym_5_GT] = ACTIONS(803),
    [anon_sym_5_GT_GT] = ACTIONS(801),
    [anon_sym_6_GT] = ACTIONS(803),
    [anon_sym_6_GT_GT] = ACTIONS(801),
    [anon_sym_STAR_GT] = ACTIONS(803),
    [anon_sym_STAR_GT_GT] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(801),
    [anon_sym_2_GT_AMP1] = ACTIONS(801),
    [anon_sym_3_GT_AMP1] = ACTIONS(801),
    [anon_sym_4_GT_AMP1] = ACTIONS(801),
    [anon_sym_5_GT_AMP1] = ACTIONS(801),
    [anon_sym_6_GT_AMP1] = ACTIONS(801),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(801),
    [anon_sym_1_GT_AMP2] = ACTIONS(801),
    [anon_sym_3_GT_AMP2] = ACTIONS(801),
    [anon_sym_4_GT_AMP2] = ACTIONS(801),
    [anon_sym_5_GT_AMP2] = ACTIONS(801),
    [anon_sym_6_GT_AMP2] = ACTIONS(801),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_PERCENT] = ACTIONS(803),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(803),
  },
  [181] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(805),
    [anon_sym_STAR_EQ] = ACTIONS(805),
    [anon_sym_SLASH_EQ] = ACTIONS(805),
    [anon_sym_PERCENT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(805),
    [anon_sym_2_GT] = ACTIONS(807),
    [anon_sym_2_GT_GT] = ACTIONS(805),
    [anon_sym_3_GT] = ACTIONS(807),
    [anon_sym_3_GT_GT] = ACTIONS(805),
    [anon_sym_4_GT] = ACTIONS(807),
    [anon_sym_4_GT_GT] = ACTIONS(805),
    [anon_sym_5_GT] = ACTIONS(807),
    [anon_sym_5_GT_GT] = ACTIONS(805),
    [anon_sym_6_GT] = ACTIONS(807),
    [anon_sym_6_GT_GT] = ACTIONS(805),
    [anon_sym_STAR_GT] = ACTIONS(807),
    [anon_sym_STAR_GT_GT] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(805),
    [anon_sym_2_GT_AMP1] = ACTIONS(805),
    [anon_sym_3_GT_AMP1] = ACTIONS(805),
    [anon_sym_4_GT_AMP1] = ACTIONS(805),
    [anon_sym_5_GT_AMP1] = ACTIONS(805),
    [anon_sym_6_GT_AMP1] = ACTIONS(805),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(805),
    [anon_sym_1_GT_AMP2] = ACTIONS(805),
    [anon_sym_3_GT_AMP2] = ACTIONS(805),
    [anon_sym_4_GT_AMP2] = ACTIONS(805),
    [anon_sym_5_GT_AMP2] = ACTIONS(805),
    [anon_sym_6_GT_AMP2] = ACTIONS(805),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(807),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_DOT_DOT] = ACTIONS(809),
  },
  [182] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_BANG_EQ] = ACTIONS(811),
    [anon_sym_PLUS_EQ] = ACTIONS(811),
    [anon_sym_STAR_EQ] = ACTIONS(811),
    [anon_sym_SLASH_EQ] = ACTIONS(811),
    [anon_sym_PERCENT_EQ] = ACTIONS(811),
    [anon_sym_GT] = ACTIONS(813),
    [anon_sym_GT_GT] = ACTIONS(811),
    [anon_sym_2_GT] = ACTIONS(813),
    [anon_sym_2_GT_GT] = ACTIONS(811),
    [anon_sym_3_GT] = ACTIONS(813),
    [anon_sym_3_GT_GT] = ACTIONS(811),
    [anon_sym_4_GT] = ACTIONS(813),
    [anon_sym_4_GT_GT] = ACTIONS(811),
    [anon_sym_5_GT] = ACTIONS(813),
    [anon_sym_5_GT_GT] = ACTIONS(811),
    [anon_sym_6_GT] = ACTIONS(813),
    [anon_sym_6_GT_GT] = ACTIONS(811),
    [anon_sym_STAR_GT] = ACTIONS(813),
    [anon_sym_STAR_GT_GT] = ACTIONS(811),
    [anon_sym_LT] = ACTIONS(813),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(811),
    [anon_sym_2_GT_AMP1] = ACTIONS(811),
    [anon_sym_3_GT_AMP1] = ACTIONS(811),
    [anon_sym_4_GT_AMP1] = ACTIONS(811),
    [anon_sym_5_GT_AMP1] = ACTIONS(811),
    [anon_sym_6_GT_AMP1] = ACTIONS(811),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(811),
    [anon_sym_1_GT_AMP2] = ACTIONS(811),
    [anon_sym_3_GT_AMP2] = ACTIONS(811),
    [anon_sym_4_GT_AMP2] = ACTIONS(811),
    [anon_sym_5_GT_AMP2] = ACTIONS(811),
    [anon_sym_6_GT_AMP2] = ACTIONS(811),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(813),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(813),
    [anon_sym_DOT_DOT] = ACTIONS(809),
  },
  [183] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_BANG_EQ] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(791),
    [anon_sym_STAR_EQ] = ACTIONS(791),
    [anon_sym_SLASH_EQ] = ACTIONS(791),
    [anon_sym_PERCENT_EQ] = ACTIONS(791),
    [anon_sym_GT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(791),
    [anon_sym_2_GT] = ACTIONS(793),
    [anon_sym_2_GT_GT] = ACTIONS(791),
    [anon_sym_3_GT] = ACTIONS(793),
    [anon_sym_3_GT_GT] = ACTIONS(791),
    [anon_sym_4_GT] = ACTIONS(793),
    [anon_sym_4_GT_GT] = ACTIONS(791),
    [anon_sym_5_GT] = ACTIONS(793),
    [anon_sym_5_GT_GT] = ACTIONS(791),
    [anon_sym_6_GT] = ACTIONS(793),
    [anon_sym_6_GT_GT] = ACTIONS(791),
    [anon_sym_STAR_GT] = ACTIONS(793),
    [anon_sym_STAR_GT_GT] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(791),
    [anon_sym_2_GT_AMP1] = ACTIONS(791),
    [anon_sym_3_GT_AMP1] = ACTIONS(791),
    [anon_sym_4_GT_AMP1] = ACTIONS(791),
    [anon_sym_5_GT_AMP1] = ACTIONS(791),
    [anon_sym_6_GT_AMP1] = ACTIONS(791),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(791),
    [anon_sym_1_GT_AMP2] = ACTIONS(791),
    [anon_sym_3_GT_AMP2] = ACTIONS(791),
    [anon_sym_4_GT_AMP2] = ACTIONS(791),
    [anon_sym_5_GT_AMP2] = ACTIONS(791),
    [anon_sym_6_GT_AMP2] = ACTIONS(791),
    [aux_sym_comparison_operator_token1] = ACTIONS(791),
    [aux_sym_comparison_operator_token2] = ACTIONS(791),
    [aux_sym_comparison_operator_token3] = ACTIONS(791),
    [aux_sym_comparison_operator_token4] = ACTIONS(791),
    [aux_sym_comparison_operator_token5] = ACTIONS(791),
    [aux_sym_comparison_operator_token6] = ACTIONS(791),
    [aux_sym_comparison_operator_token7] = ACTIONS(791),
    [aux_sym_comparison_operator_token8] = ACTIONS(791),
    [aux_sym_comparison_operator_token9] = ACTIONS(791),
    [aux_sym_comparison_operator_token10] = ACTIONS(791),
    [aux_sym_comparison_operator_token11] = ACTIONS(791),
    [aux_sym_comparison_operator_token12] = ACTIONS(791),
    [aux_sym_comparison_operator_token13] = ACTIONS(791),
    [aux_sym_comparison_operator_token14] = ACTIONS(791),
    [aux_sym_comparison_operator_token15] = ACTIONS(791),
    [aux_sym_comparison_operator_token16] = ACTIONS(791),
    [aux_sym_comparison_operator_token17] = ACTIONS(791),
    [aux_sym_comparison_operator_token18] = ACTIONS(791),
    [aux_sym_comparison_operator_token19] = ACTIONS(791),
    [aux_sym_comparison_operator_token20] = ACTIONS(791),
    [aux_sym_comparison_operator_token21] = ACTIONS(791),
    [aux_sym_comparison_operator_token22] = ACTIONS(791),
    [aux_sym_comparison_operator_token23] = ACTIONS(791),
    [aux_sym_comparison_operator_token24] = ACTIONS(791),
    [aux_sym_comparison_operator_token25] = ACTIONS(791),
    [aux_sym_comparison_operator_token26] = ACTIONS(791),
    [aux_sym_comparison_operator_token27] = ACTIONS(791),
    [aux_sym_comparison_operator_token28] = ACTIONS(793),
    [aux_sym_comparison_operator_token29] = ACTIONS(791),
    [aux_sym_comparison_operator_token30] = ACTIONS(791),
    [aux_sym_comparison_operator_token31] = ACTIONS(791),
    [aux_sym_comparison_operator_token32] = ACTIONS(791),
    [aux_sym_comparison_operator_token33] = ACTIONS(791),
    [aux_sym_comparison_operator_token34] = ACTIONS(793),
    [aux_sym_comparison_operator_token35] = ACTIONS(791),
    [aux_sym_comparison_operator_token36] = ACTIONS(791),
    [aux_sym_comparison_operator_token37] = ACTIONS(791),
    [aux_sym_comparison_operator_token38] = ACTIONS(791),
    [aux_sym_comparison_operator_token39] = ACTIONS(791),
    [aux_sym_comparison_operator_token40] = ACTIONS(791),
    [aux_sym_comparison_operator_token41] = ACTIONS(791),
    [aux_sym_comparison_operator_token42] = ACTIONS(791),
    [aux_sym_comparison_operator_token43] = ACTIONS(791),
    [aux_sym_comparison_operator_token44] = ACTIONS(791),
    [aux_sym_comparison_operator_token45] = ACTIONS(791),
    [aux_sym_comparison_operator_token46] = ACTIONS(791),
    [aux_sym_comparison_operator_token47] = ACTIONS(791),
    [aux_sym_comparison_operator_token48] = ACTIONS(791),
    [aux_sym_comparison_operator_token49] = ACTIONS(791),
    [aux_sym_comparison_operator_token50] = ACTIONS(791),
    [aux_sym_format_operator_token1] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(793),
    [aux_sym_logical_expression_token1] = ACTIONS(791),
    [aux_sym_logical_expression_token2] = ACTIONS(791),
    [aux_sym_logical_expression_token3] = ACTIONS(791),
    [aux_sym_bitwise_expression_token1] = ACTIONS(791),
    [aux_sym_bitwise_expression_token2] = ACTIONS(791),
    [aux_sym_bitwise_expression_token3] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_BSLASH] = ACTIONS(791),
    [anon_sym_STAR] = ACTIONS(793),
    [anon_sym_DOT_DOT] = ACTIONS(791),
    [sym__statement_terminator] = ACTIONS(791),
  },
  [184] = {
    [sym_format_operator] = STATE(577),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_BANG_EQ] = ACTIONS(795),
    [anon_sym_PLUS_EQ] = ACTIONS(795),
    [anon_sym_STAR_EQ] = ACTIONS(795),
    [anon_sym_SLASH_EQ] = ACTIONS(795),
    [anon_sym_PERCENT_EQ] = ACTIONS(795),
    [anon_sym_GT] = ACTIONS(797),
    [anon_sym_GT_GT] = ACTIONS(795),
    [anon_sym_2_GT] = ACTIONS(797),
    [anon_sym_2_GT_GT] = ACTIONS(795),
    [anon_sym_3_GT] = ACTIONS(797),
    [anon_sym_3_GT_GT] = ACTIONS(795),
    [anon_sym_4_GT] = ACTIONS(797),
    [anon_sym_4_GT_GT] = ACTIONS(795),
    [anon_sym_5_GT] = ACTIONS(797),
    [anon_sym_5_GT_GT] = ACTIONS(795),
    [anon_sym_6_GT] = ACTIONS(797),
    [anon_sym_6_GT_GT] = ACTIONS(795),
    [anon_sym_STAR_GT] = ACTIONS(797),
    [anon_sym_STAR_GT_GT] = ACTIONS(795),
    [anon_sym_LT] = ACTIONS(797),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(795),
    [anon_sym_2_GT_AMP1] = ACTIONS(795),
    [anon_sym_3_GT_AMP1] = ACTIONS(795),
    [anon_sym_4_GT_AMP1] = ACTIONS(795),
    [anon_sym_5_GT_AMP1] = ACTIONS(795),
    [anon_sym_6_GT_AMP1] = ACTIONS(795),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(795),
    [anon_sym_1_GT_AMP2] = ACTIONS(795),
    [anon_sym_3_GT_AMP2] = ACTIONS(795),
    [anon_sym_4_GT_AMP2] = ACTIONS(795),
    [anon_sym_5_GT_AMP2] = ACTIONS(795),
    [anon_sym_6_GT_AMP2] = ACTIONS(795),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_PERCENT] = ACTIONS(797),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(797),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(797),
    [sym__statement_terminator] = ACTIONS(795),
  },
  [185] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_BANG_EQ] = ACTIONS(811),
    [anon_sym_PLUS_EQ] = ACTIONS(811),
    [anon_sym_STAR_EQ] = ACTIONS(811),
    [anon_sym_SLASH_EQ] = ACTIONS(811),
    [anon_sym_PERCENT_EQ] = ACTIONS(811),
    [anon_sym_GT] = ACTIONS(813),
    [anon_sym_GT_GT] = ACTIONS(811),
    [anon_sym_2_GT] = ACTIONS(813),
    [anon_sym_2_GT_GT] = ACTIONS(811),
    [anon_sym_3_GT] = ACTIONS(813),
    [anon_sym_3_GT_GT] = ACTIONS(811),
    [anon_sym_4_GT] = ACTIONS(813),
    [anon_sym_4_GT_GT] = ACTIONS(811),
    [anon_sym_5_GT] = ACTIONS(813),
    [anon_sym_5_GT_GT] = ACTIONS(811),
    [anon_sym_6_GT] = ACTIONS(813),
    [anon_sym_6_GT_GT] = ACTIONS(811),
    [anon_sym_STAR_GT] = ACTIONS(813),
    [anon_sym_STAR_GT_GT] = ACTIONS(811),
    [anon_sym_LT] = ACTIONS(813),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(811),
    [anon_sym_2_GT_AMP1] = ACTIONS(811),
    [anon_sym_3_GT_AMP1] = ACTIONS(811),
    [anon_sym_4_GT_AMP1] = ACTIONS(811),
    [anon_sym_5_GT_AMP1] = ACTIONS(811),
    [anon_sym_6_GT_AMP1] = ACTIONS(811),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(811),
    [anon_sym_1_GT_AMP2] = ACTIONS(811),
    [anon_sym_3_GT_AMP2] = ACTIONS(811),
    [anon_sym_4_GT_AMP2] = ACTIONS(811),
    [anon_sym_5_GT_AMP2] = ACTIONS(811),
    [anon_sym_6_GT_AMP2] = ACTIONS(811),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(813),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(813),
    [anon_sym_DOT_DOT] = ACTIONS(815),
    [sym__statement_terminator] = ACTIONS(811),
  },
  [186] = {
    [sym_format_operator] = STATE(577),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_BANG_EQ] = ACTIONS(801),
    [anon_sym_PLUS_EQ] = ACTIONS(801),
    [anon_sym_STAR_EQ] = ACTIONS(801),
    [anon_sym_SLASH_EQ] = ACTIONS(801),
    [anon_sym_PERCENT_EQ] = ACTIONS(801),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_GT] = ACTIONS(801),
    [anon_sym_2_GT] = ACTIONS(803),
    [anon_sym_2_GT_GT] = ACTIONS(801),
    [anon_sym_3_GT] = ACTIONS(803),
    [anon_sym_3_GT_GT] = ACTIONS(801),
    [anon_sym_4_GT] = ACTIONS(803),
    [anon_sym_4_GT_GT] = ACTIONS(801),
    [anon_sym_5_GT] = ACTIONS(803),
    [anon_sym_5_GT_GT] = ACTIONS(801),
    [anon_sym_6_GT] = ACTIONS(803),
    [anon_sym_6_GT_GT] = ACTIONS(801),
    [anon_sym_STAR_GT] = ACTIONS(803),
    [anon_sym_STAR_GT_GT] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(801),
    [anon_sym_2_GT_AMP1] = ACTIONS(801),
    [anon_sym_3_GT_AMP1] = ACTIONS(801),
    [anon_sym_4_GT_AMP1] = ACTIONS(801),
    [anon_sym_5_GT_AMP1] = ACTIONS(801),
    [anon_sym_6_GT_AMP1] = ACTIONS(801),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(801),
    [anon_sym_1_GT_AMP2] = ACTIONS(801),
    [anon_sym_3_GT_AMP2] = ACTIONS(801),
    [anon_sym_4_GT_AMP2] = ACTIONS(801),
    [anon_sym_5_GT_AMP2] = ACTIONS(801),
    [anon_sym_6_GT_AMP2] = ACTIONS(801),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_PERCENT] = ACTIONS(803),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(803),
    [sym__statement_terminator] = ACTIONS(801),
  },
  [187] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_BANG_EQ] = ACTIONS(784),
    [anon_sym_PLUS_EQ] = ACTIONS(784),
    [anon_sym_STAR_EQ] = ACTIONS(784),
    [anon_sym_SLASH_EQ] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(784),
    [anon_sym_GT] = ACTIONS(786),
    [anon_sym_GT_GT] = ACTIONS(784),
    [anon_sym_2_GT] = ACTIONS(786),
    [anon_sym_2_GT_GT] = ACTIONS(784),
    [anon_sym_3_GT] = ACTIONS(786),
    [anon_sym_3_GT_GT] = ACTIONS(784),
    [anon_sym_4_GT] = ACTIONS(786),
    [anon_sym_4_GT_GT] = ACTIONS(784),
    [anon_sym_5_GT] = ACTIONS(786),
    [anon_sym_5_GT_GT] = ACTIONS(784),
    [anon_sym_6_GT] = ACTIONS(786),
    [anon_sym_6_GT_GT] = ACTIONS(784),
    [anon_sym_STAR_GT] = ACTIONS(786),
    [anon_sym_STAR_GT_GT] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(786),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(784),
    [anon_sym_2_GT_AMP1] = ACTIONS(784),
    [anon_sym_3_GT_AMP1] = ACTIONS(784),
    [anon_sym_4_GT_AMP1] = ACTIONS(784),
    [anon_sym_5_GT_AMP1] = ACTIONS(784),
    [anon_sym_6_GT_AMP1] = ACTIONS(784),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(784),
    [anon_sym_1_GT_AMP2] = ACTIONS(784),
    [anon_sym_3_GT_AMP2] = ACTIONS(784),
    [anon_sym_4_GT_AMP2] = ACTIONS(784),
    [anon_sym_5_GT_AMP2] = ACTIONS(784),
    [anon_sym_6_GT_AMP2] = ACTIONS(784),
    [aux_sym_comparison_operator_token1] = ACTIONS(784),
    [aux_sym_comparison_operator_token2] = ACTIONS(784),
    [aux_sym_comparison_operator_token3] = ACTIONS(784),
    [aux_sym_comparison_operator_token4] = ACTIONS(784),
    [aux_sym_comparison_operator_token5] = ACTIONS(784),
    [aux_sym_comparison_operator_token6] = ACTIONS(784),
    [aux_sym_comparison_operator_token7] = ACTIONS(784),
    [aux_sym_comparison_operator_token8] = ACTIONS(784),
    [aux_sym_comparison_operator_token9] = ACTIONS(784),
    [aux_sym_comparison_operator_token10] = ACTIONS(784),
    [aux_sym_comparison_operator_token11] = ACTIONS(784),
    [aux_sym_comparison_operator_token12] = ACTIONS(784),
    [aux_sym_comparison_operator_token13] = ACTIONS(784),
    [aux_sym_comparison_operator_token14] = ACTIONS(784),
    [aux_sym_comparison_operator_token15] = ACTIONS(784),
    [aux_sym_comparison_operator_token16] = ACTIONS(784),
    [aux_sym_comparison_operator_token17] = ACTIONS(784),
    [aux_sym_comparison_operator_token18] = ACTIONS(784),
    [aux_sym_comparison_operator_token19] = ACTIONS(784),
    [aux_sym_comparison_operator_token20] = ACTIONS(784),
    [aux_sym_comparison_operator_token21] = ACTIONS(784),
    [aux_sym_comparison_operator_token22] = ACTIONS(784),
    [aux_sym_comparison_operator_token23] = ACTIONS(784),
    [aux_sym_comparison_operator_token24] = ACTIONS(784),
    [aux_sym_comparison_operator_token25] = ACTIONS(784),
    [aux_sym_comparison_operator_token26] = ACTIONS(784),
    [aux_sym_comparison_operator_token27] = ACTIONS(784),
    [aux_sym_comparison_operator_token28] = ACTIONS(786),
    [aux_sym_comparison_operator_token29] = ACTIONS(784),
    [aux_sym_comparison_operator_token30] = ACTIONS(784),
    [aux_sym_comparison_operator_token31] = ACTIONS(784),
    [aux_sym_comparison_operator_token32] = ACTIONS(784),
    [aux_sym_comparison_operator_token33] = ACTIONS(784),
    [aux_sym_comparison_operator_token34] = ACTIONS(786),
    [aux_sym_comparison_operator_token35] = ACTIONS(784),
    [aux_sym_comparison_operator_token36] = ACTIONS(784),
    [aux_sym_comparison_operator_token37] = ACTIONS(784),
    [aux_sym_comparison_operator_token38] = ACTIONS(784),
    [aux_sym_comparison_operator_token39] = ACTIONS(784),
    [aux_sym_comparison_operator_token40] = ACTIONS(784),
    [aux_sym_comparison_operator_token41] = ACTIONS(784),
    [aux_sym_comparison_operator_token42] = ACTIONS(784),
    [aux_sym_comparison_operator_token43] = ACTIONS(784),
    [aux_sym_comparison_operator_token44] = ACTIONS(784),
    [aux_sym_comparison_operator_token45] = ACTIONS(784),
    [aux_sym_comparison_operator_token46] = ACTIONS(784),
    [aux_sym_comparison_operator_token47] = ACTIONS(784),
    [aux_sym_comparison_operator_token48] = ACTIONS(784),
    [aux_sym_comparison_operator_token49] = ACTIONS(784),
    [aux_sym_comparison_operator_token50] = ACTIONS(784),
    [aux_sym_format_operator_token1] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(786),
    [aux_sym_logical_expression_token1] = ACTIONS(784),
    [aux_sym_logical_expression_token2] = ACTIONS(784),
    [aux_sym_logical_expression_token3] = ACTIONS(784),
    [aux_sym_bitwise_expression_token1] = ACTIONS(784),
    [aux_sym_bitwise_expression_token2] = ACTIONS(784),
    [aux_sym_bitwise_expression_token3] = ACTIONS(784),
    [anon_sym_PLUS] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(786),
    [anon_sym_SLASH] = ACTIONS(786),
    [anon_sym_BSLASH] = ACTIONS(784),
    [anon_sym_STAR] = ACTIONS(786),
    [anon_sym_DOT_DOT] = ACTIONS(784),
    [sym__statement_terminator] = ACTIONS(784),
  },
  [188] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(805),
    [anon_sym_STAR_EQ] = ACTIONS(805),
    [anon_sym_SLASH_EQ] = ACTIONS(805),
    [anon_sym_PERCENT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(805),
    [anon_sym_2_GT] = ACTIONS(807),
    [anon_sym_2_GT_GT] = ACTIONS(805),
    [anon_sym_3_GT] = ACTIONS(807),
    [anon_sym_3_GT_GT] = ACTIONS(805),
    [anon_sym_4_GT] = ACTIONS(807),
    [anon_sym_4_GT_GT] = ACTIONS(805),
    [anon_sym_5_GT] = ACTIONS(807),
    [anon_sym_5_GT_GT] = ACTIONS(805),
    [anon_sym_6_GT] = ACTIONS(807),
    [anon_sym_6_GT_GT] = ACTIONS(805),
    [anon_sym_STAR_GT] = ACTIONS(807),
    [anon_sym_STAR_GT_GT] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(805),
    [anon_sym_2_GT_AMP1] = ACTIONS(805),
    [anon_sym_3_GT_AMP1] = ACTIONS(805),
    [anon_sym_4_GT_AMP1] = ACTIONS(805),
    [anon_sym_5_GT_AMP1] = ACTIONS(805),
    [anon_sym_6_GT_AMP1] = ACTIONS(805),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(805),
    [anon_sym_1_GT_AMP2] = ACTIONS(805),
    [anon_sym_3_GT_AMP2] = ACTIONS(805),
    [anon_sym_4_GT_AMP2] = ACTIONS(805),
    [anon_sym_5_GT_AMP2] = ACTIONS(805),
    [anon_sym_6_GT_AMP2] = ACTIONS(805),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(807),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_DOT_DOT] = ACTIONS(815),
    [sym__statement_terminator] = ACTIONS(805),
  },
  [189] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_2_GT] = ACTIONS(819),
    [anon_sym_2_GT_GT] = ACTIONS(817),
    [anon_sym_3_GT] = ACTIONS(819),
    [anon_sym_3_GT_GT] = ACTIONS(817),
    [anon_sym_4_GT] = ACTIONS(819),
    [anon_sym_4_GT_GT] = ACTIONS(817),
    [anon_sym_5_GT] = ACTIONS(819),
    [anon_sym_5_GT_GT] = ACTIONS(817),
    [anon_sym_6_GT] = ACTIONS(819),
    [anon_sym_6_GT_GT] = ACTIONS(817),
    [anon_sym_STAR_GT] = ACTIONS(819),
    [anon_sym_STAR_GT_GT] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(817),
    [anon_sym_2_GT_AMP1] = ACTIONS(817),
    [anon_sym_3_GT_AMP1] = ACTIONS(817),
    [anon_sym_4_GT_AMP1] = ACTIONS(817),
    [anon_sym_5_GT_AMP1] = ACTIONS(817),
    [anon_sym_6_GT_AMP1] = ACTIONS(817),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(817),
    [anon_sym_1_GT_AMP2] = ACTIONS(817),
    [anon_sym_3_GT_AMP2] = ACTIONS(817),
    [anon_sym_4_GT_AMP2] = ACTIONS(817),
    [anon_sym_5_GT_AMP2] = ACTIONS(817),
    [anon_sym_6_GT_AMP2] = ACTIONS(817),
    [aux_sym_comparison_operator_token1] = ACTIONS(817),
    [aux_sym_comparison_operator_token2] = ACTIONS(817),
    [aux_sym_comparison_operator_token3] = ACTIONS(817),
    [aux_sym_comparison_operator_token4] = ACTIONS(817),
    [aux_sym_comparison_operator_token5] = ACTIONS(817),
    [aux_sym_comparison_operator_token6] = ACTIONS(817),
    [aux_sym_comparison_operator_token7] = ACTIONS(817),
    [aux_sym_comparison_operator_token8] = ACTIONS(817),
    [aux_sym_comparison_operator_token9] = ACTIONS(817),
    [aux_sym_comparison_operator_token10] = ACTIONS(817),
    [aux_sym_comparison_operator_token11] = ACTIONS(817),
    [aux_sym_comparison_operator_token12] = ACTIONS(817),
    [aux_sym_comparison_operator_token13] = ACTIONS(817),
    [aux_sym_comparison_operator_token14] = ACTIONS(817),
    [aux_sym_comparison_operator_token15] = ACTIONS(817),
    [aux_sym_comparison_operator_token16] = ACTIONS(817),
    [aux_sym_comparison_operator_token17] = ACTIONS(817),
    [aux_sym_comparison_operator_token18] = ACTIONS(817),
    [aux_sym_comparison_operator_token19] = ACTIONS(817),
    [aux_sym_comparison_operator_token20] = ACTIONS(817),
    [aux_sym_comparison_operator_token21] = ACTIONS(817),
    [aux_sym_comparison_operator_token22] = ACTIONS(817),
    [aux_sym_comparison_operator_token23] = ACTIONS(817),
    [aux_sym_comparison_operator_token24] = ACTIONS(817),
    [aux_sym_comparison_operator_token25] = ACTIONS(817),
    [aux_sym_comparison_operator_token26] = ACTIONS(817),
    [aux_sym_comparison_operator_token27] = ACTIONS(817),
    [aux_sym_comparison_operator_token28] = ACTIONS(819),
    [aux_sym_comparison_operator_token29] = ACTIONS(817),
    [aux_sym_comparison_operator_token30] = ACTIONS(817),
    [aux_sym_comparison_operator_token31] = ACTIONS(817),
    [aux_sym_comparison_operator_token32] = ACTIONS(817),
    [aux_sym_comparison_operator_token33] = ACTIONS(817),
    [aux_sym_comparison_operator_token34] = ACTIONS(819),
    [aux_sym_comparison_operator_token35] = ACTIONS(817),
    [aux_sym_comparison_operator_token36] = ACTIONS(817),
    [aux_sym_comparison_operator_token37] = ACTIONS(817),
    [aux_sym_comparison_operator_token38] = ACTIONS(817),
    [aux_sym_comparison_operator_token39] = ACTIONS(817),
    [aux_sym_comparison_operator_token40] = ACTIONS(817),
    [aux_sym_comparison_operator_token41] = ACTIONS(817),
    [aux_sym_comparison_operator_token42] = ACTIONS(817),
    [aux_sym_comparison_operator_token43] = ACTIONS(817),
    [aux_sym_comparison_operator_token44] = ACTIONS(817),
    [aux_sym_comparison_operator_token45] = ACTIONS(817),
    [aux_sym_comparison_operator_token46] = ACTIONS(817),
    [aux_sym_comparison_operator_token47] = ACTIONS(817),
    [aux_sym_comparison_operator_token48] = ACTIONS(817),
    [aux_sym_comparison_operator_token49] = ACTIONS(817),
    [aux_sym_comparison_operator_token50] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(821),
    [aux_sym_logical_expression_token1] = ACTIONS(817),
    [aux_sym_logical_expression_token2] = ACTIONS(817),
    [aux_sym_logical_expression_token3] = ACTIONS(817),
    [aux_sym_bitwise_expression_token1] = ACTIONS(817),
    [aux_sym_bitwise_expression_token2] = ACTIONS(817),
    [aux_sym_bitwise_expression_token3] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_BSLASH] = ACTIONS(823),
    [anon_sym_STAR] = ACTIONS(821),
  },
  [190] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_PLUS_EQ] = ACTIONS(825),
    [anon_sym_STAR_EQ] = ACTIONS(825),
    [anon_sym_SLASH_EQ] = ACTIONS(825),
    [anon_sym_PERCENT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_GT] = ACTIONS(825),
    [anon_sym_2_GT] = ACTIONS(827),
    [anon_sym_2_GT_GT] = ACTIONS(825),
    [anon_sym_3_GT] = ACTIONS(827),
    [anon_sym_3_GT_GT] = ACTIONS(825),
    [anon_sym_4_GT] = ACTIONS(827),
    [anon_sym_4_GT_GT] = ACTIONS(825),
    [anon_sym_5_GT] = ACTIONS(827),
    [anon_sym_5_GT_GT] = ACTIONS(825),
    [anon_sym_6_GT] = ACTIONS(827),
    [anon_sym_6_GT_GT] = ACTIONS(825),
    [anon_sym_STAR_GT] = ACTIONS(827),
    [anon_sym_STAR_GT_GT] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(825),
    [anon_sym_2_GT_AMP1] = ACTIONS(825),
    [anon_sym_3_GT_AMP1] = ACTIONS(825),
    [anon_sym_4_GT_AMP1] = ACTIONS(825),
    [anon_sym_5_GT_AMP1] = ACTIONS(825),
    [anon_sym_6_GT_AMP1] = ACTIONS(825),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(825),
    [anon_sym_1_GT_AMP2] = ACTIONS(825),
    [anon_sym_3_GT_AMP2] = ACTIONS(825),
    [anon_sym_4_GT_AMP2] = ACTIONS(825),
    [anon_sym_5_GT_AMP2] = ACTIONS(825),
    [anon_sym_6_GT_AMP2] = ACTIONS(825),
    [aux_sym_comparison_operator_token1] = ACTIONS(825),
    [aux_sym_comparison_operator_token2] = ACTIONS(825),
    [aux_sym_comparison_operator_token3] = ACTIONS(825),
    [aux_sym_comparison_operator_token4] = ACTIONS(825),
    [aux_sym_comparison_operator_token5] = ACTIONS(825),
    [aux_sym_comparison_operator_token6] = ACTIONS(825),
    [aux_sym_comparison_operator_token7] = ACTIONS(825),
    [aux_sym_comparison_operator_token8] = ACTIONS(825),
    [aux_sym_comparison_operator_token9] = ACTIONS(825),
    [aux_sym_comparison_operator_token10] = ACTIONS(825),
    [aux_sym_comparison_operator_token11] = ACTIONS(825),
    [aux_sym_comparison_operator_token12] = ACTIONS(825),
    [aux_sym_comparison_operator_token13] = ACTIONS(825),
    [aux_sym_comparison_operator_token14] = ACTIONS(825),
    [aux_sym_comparison_operator_token15] = ACTIONS(825),
    [aux_sym_comparison_operator_token16] = ACTIONS(825),
    [aux_sym_comparison_operator_token17] = ACTIONS(825),
    [aux_sym_comparison_operator_token18] = ACTIONS(825),
    [aux_sym_comparison_operator_token19] = ACTIONS(825),
    [aux_sym_comparison_operator_token20] = ACTIONS(825),
    [aux_sym_comparison_operator_token21] = ACTIONS(825),
    [aux_sym_comparison_operator_token22] = ACTIONS(825),
    [aux_sym_comparison_operator_token23] = ACTIONS(825),
    [aux_sym_comparison_operator_token24] = ACTIONS(825),
    [aux_sym_comparison_operator_token25] = ACTIONS(825),
    [aux_sym_comparison_operator_token26] = ACTIONS(825),
    [aux_sym_comparison_operator_token27] = ACTIONS(825),
    [aux_sym_comparison_operator_token28] = ACTIONS(827),
    [aux_sym_comparison_operator_token29] = ACTIONS(825),
    [aux_sym_comparison_operator_token30] = ACTIONS(825),
    [aux_sym_comparison_operator_token31] = ACTIONS(825),
    [aux_sym_comparison_operator_token32] = ACTIONS(825),
    [aux_sym_comparison_operator_token33] = ACTIONS(825),
    [aux_sym_comparison_operator_token34] = ACTIONS(827),
    [aux_sym_comparison_operator_token35] = ACTIONS(825),
    [aux_sym_comparison_operator_token36] = ACTIONS(825),
    [aux_sym_comparison_operator_token37] = ACTIONS(825),
    [aux_sym_comparison_operator_token38] = ACTIONS(825),
    [aux_sym_comparison_operator_token39] = ACTIONS(825),
    [aux_sym_comparison_operator_token40] = ACTIONS(825),
    [aux_sym_comparison_operator_token41] = ACTIONS(825),
    [aux_sym_comparison_operator_token42] = ACTIONS(825),
    [aux_sym_comparison_operator_token43] = ACTIONS(825),
    [aux_sym_comparison_operator_token44] = ACTIONS(825),
    [aux_sym_comparison_operator_token45] = ACTIONS(825),
    [aux_sym_comparison_operator_token46] = ACTIONS(825),
    [aux_sym_comparison_operator_token47] = ACTIONS(825),
    [aux_sym_comparison_operator_token48] = ACTIONS(825),
    [aux_sym_comparison_operator_token49] = ACTIONS(825),
    [aux_sym_comparison_operator_token50] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(829),
    [aux_sym_logical_expression_token1] = ACTIONS(825),
    [aux_sym_logical_expression_token2] = ACTIONS(825),
    [aux_sym_logical_expression_token3] = ACTIONS(825),
    [aux_sym_bitwise_expression_token1] = ACTIONS(825),
    [aux_sym_bitwise_expression_token2] = ACTIONS(825),
    [aux_sym_bitwise_expression_token3] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_BSLASH] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(829),
    [sym__statement_terminator] = ACTIONS(825),
  },
  [191] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_PLUS_EQ] = ACTIONS(825),
    [anon_sym_STAR_EQ] = ACTIONS(825),
    [anon_sym_SLASH_EQ] = ACTIONS(825),
    [anon_sym_PERCENT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_GT] = ACTIONS(825),
    [anon_sym_2_GT] = ACTIONS(827),
    [anon_sym_2_GT_GT] = ACTIONS(825),
    [anon_sym_3_GT] = ACTIONS(827),
    [anon_sym_3_GT_GT] = ACTIONS(825),
    [anon_sym_4_GT] = ACTIONS(827),
    [anon_sym_4_GT_GT] = ACTIONS(825),
    [anon_sym_5_GT] = ACTIONS(827),
    [anon_sym_5_GT_GT] = ACTIONS(825),
    [anon_sym_6_GT] = ACTIONS(827),
    [anon_sym_6_GT_GT] = ACTIONS(825),
    [anon_sym_STAR_GT] = ACTIONS(827),
    [anon_sym_STAR_GT_GT] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(825),
    [anon_sym_2_GT_AMP1] = ACTIONS(825),
    [anon_sym_3_GT_AMP1] = ACTIONS(825),
    [anon_sym_4_GT_AMP1] = ACTIONS(825),
    [anon_sym_5_GT_AMP1] = ACTIONS(825),
    [anon_sym_6_GT_AMP1] = ACTIONS(825),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(825),
    [anon_sym_1_GT_AMP2] = ACTIONS(825),
    [anon_sym_3_GT_AMP2] = ACTIONS(825),
    [anon_sym_4_GT_AMP2] = ACTIONS(825),
    [anon_sym_5_GT_AMP2] = ACTIONS(825),
    [anon_sym_6_GT_AMP2] = ACTIONS(825),
    [aux_sym_comparison_operator_token1] = ACTIONS(825),
    [aux_sym_comparison_operator_token2] = ACTIONS(825),
    [aux_sym_comparison_operator_token3] = ACTIONS(825),
    [aux_sym_comparison_operator_token4] = ACTIONS(825),
    [aux_sym_comparison_operator_token5] = ACTIONS(825),
    [aux_sym_comparison_operator_token6] = ACTIONS(825),
    [aux_sym_comparison_operator_token7] = ACTIONS(825),
    [aux_sym_comparison_operator_token8] = ACTIONS(825),
    [aux_sym_comparison_operator_token9] = ACTIONS(825),
    [aux_sym_comparison_operator_token10] = ACTIONS(825),
    [aux_sym_comparison_operator_token11] = ACTIONS(825),
    [aux_sym_comparison_operator_token12] = ACTIONS(825),
    [aux_sym_comparison_operator_token13] = ACTIONS(825),
    [aux_sym_comparison_operator_token14] = ACTIONS(825),
    [aux_sym_comparison_operator_token15] = ACTIONS(825),
    [aux_sym_comparison_operator_token16] = ACTIONS(825),
    [aux_sym_comparison_operator_token17] = ACTIONS(825),
    [aux_sym_comparison_operator_token18] = ACTIONS(825),
    [aux_sym_comparison_operator_token19] = ACTIONS(825),
    [aux_sym_comparison_operator_token20] = ACTIONS(825),
    [aux_sym_comparison_operator_token21] = ACTIONS(825),
    [aux_sym_comparison_operator_token22] = ACTIONS(825),
    [aux_sym_comparison_operator_token23] = ACTIONS(825),
    [aux_sym_comparison_operator_token24] = ACTIONS(825),
    [aux_sym_comparison_operator_token25] = ACTIONS(825),
    [aux_sym_comparison_operator_token26] = ACTIONS(825),
    [aux_sym_comparison_operator_token27] = ACTIONS(825),
    [aux_sym_comparison_operator_token28] = ACTIONS(827),
    [aux_sym_comparison_operator_token29] = ACTIONS(825),
    [aux_sym_comparison_operator_token30] = ACTIONS(825),
    [aux_sym_comparison_operator_token31] = ACTIONS(825),
    [aux_sym_comparison_operator_token32] = ACTIONS(825),
    [aux_sym_comparison_operator_token33] = ACTIONS(825),
    [aux_sym_comparison_operator_token34] = ACTIONS(827),
    [aux_sym_comparison_operator_token35] = ACTIONS(825),
    [aux_sym_comparison_operator_token36] = ACTIONS(825),
    [aux_sym_comparison_operator_token37] = ACTIONS(825),
    [aux_sym_comparison_operator_token38] = ACTIONS(825),
    [aux_sym_comparison_operator_token39] = ACTIONS(825),
    [aux_sym_comparison_operator_token40] = ACTIONS(825),
    [aux_sym_comparison_operator_token41] = ACTIONS(825),
    [aux_sym_comparison_operator_token42] = ACTIONS(825),
    [aux_sym_comparison_operator_token43] = ACTIONS(825),
    [aux_sym_comparison_operator_token44] = ACTIONS(825),
    [aux_sym_comparison_operator_token45] = ACTIONS(825),
    [aux_sym_comparison_operator_token46] = ACTIONS(825),
    [aux_sym_comparison_operator_token47] = ACTIONS(825),
    [aux_sym_comparison_operator_token48] = ACTIONS(825),
    [aux_sym_comparison_operator_token49] = ACTIONS(825),
    [aux_sym_comparison_operator_token50] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(821),
    [aux_sym_logical_expression_token1] = ACTIONS(825),
    [aux_sym_logical_expression_token2] = ACTIONS(825),
    [aux_sym_logical_expression_token3] = ACTIONS(825),
    [aux_sym_bitwise_expression_token1] = ACTIONS(825),
    [aux_sym_bitwise_expression_token2] = ACTIONS(825),
    [aux_sym_bitwise_expression_token3] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_BSLASH] = ACTIONS(823),
    [anon_sym_STAR] = ACTIONS(821),
  },
  [192] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_2_GT] = ACTIONS(819),
    [anon_sym_2_GT_GT] = ACTIONS(817),
    [anon_sym_3_GT] = ACTIONS(819),
    [anon_sym_3_GT_GT] = ACTIONS(817),
    [anon_sym_4_GT] = ACTIONS(819),
    [anon_sym_4_GT_GT] = ACTIONS(817),
    [anon_sym_5_GT] = ACTIONS(819),
    [anon_sym_5_GT_GT] = ACTIONS(817),
    [anon_sym_6_GT] = ACTIONS(819),
    [anon_sym_6_GT_GT] = ACTIONS(817),
    [anon_sym_STAR_GT] = ACTIONS(819),
    [anon_sym_STAR_GT_GT] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(817),
    [anon_sym_2_GT_AMP1] = ACTIONS(817),
    [anon_sym_3_GT_AMP1] = ACTIONS(817),
    [anon_sym_4_GT_AMP1] = ACTIONS(817),
    [anon_sym_5_GT_AMP1] = ACTIONS(817),
    [anon_sym_6_GT_AMP1] = ACTIONS(817),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(817),
    [anon_sym_1_GT_AMP2] = ACTIONS(817),
    [anon_sym_3_GT_AMP2] = ACTIONS(817),
    [anon_sym_4_GT_AMP2] = ACTIONS(817),
    [anon_sym_5_GT_AMP2] = ACTIONS(817),
    [anon_sym_6_GT_AMP2] = ACTIONS(817),
    [aux_sym_comparison_operator_token1] = ACTIONS(817),
    [aux_sym_comparison_operator_token2] = ACTIONS(817),
    [aux_sym_comparison_operator_token3] = ACTIONS(817),
    [aux_sym_comparison_operator_token4] = ACTIONS(817),
    [aux_sym_comparison_operator_token5] = ACTIONS(817),
    [aux_sym_comparison_operator_token6] = ACTIONS(817),
    [aux_sym_comparison_operator_token7] = ACTIONS(817),
    [aux_sym_comparison_operator_token8] = ACTIONS(817),
    [aux_sym_comparison_operator_token9] = ACTIONS(817),
    [aux_sym_comparison_operator_token10] = ACTIONS(817),
    [aux_sym_comparison_operator_token11] = ACTIONS(817),
    [aux_sym_comparison_operator_token12] = ACTIONS(817),
    [aux_sym_comparison_operator_token13] = ACTIONS(817),
    [aux_sym_comparison_operator_token14] = ACTIONS(817),
    [aux_sym_comparison_operator_token15] = ACTIONS(817),
    [aux_sym_comparison_operator_token16] = ACTIONS(817),
    [aux_sym_comparison_operator_token17] = ACTIONS(817),
    [aux_sym_comparison_operator_token18] = ACTIONS(817),
    [aux_sym_comparison_operator_token19] = ACTIONS(817),
    [aux_sym_comparison_operator_token20] = ACTIONS(817),
    [aux_sym_comparison_operator_token21] = ACTIONS(817),
    [aux_sym_comparison_operator_token22] = ACTIONS(817),
    [aux_sym_comparison_operator_token23] = ACTIONS(817),
    [aux_sym_comparison_operator_token24] = ACTIONS(817),
    [aux_sym_comparison_operator_token25] = ACTIONS(817),
    [aux_sym_comparison_operator_token26] = ACTIONS(817),
    [aux_sym_comparison_operator_token27] = ACTIONS(817),
    [aux_sym_comparison_operator_token28] = ACTIONS(819),
    [aux_sym_comparison_operator_token29] = ACTIONS(817),
    [aux_sym_comparison_operator_token30] = ACTIONS(817),
    [aux_sym_comparison_operator_token31] = ACTIONS(817),
    [aux_sym_comparison_operator_token32] = ACTIONS(817),
    [aux_sym_comparison_operator_token33] = ACTIONS(817),
    [aux_sym_comparison_operator_token34] = ACTIONS(819),
    [aux_sym_comparison_operator_token35] = ACTIONS(817),
    [aux_sym_comparison_operator_token36] = ACTIONS(817),
    [aux_sym_comparison_operator_token37] = ACTIONS(817),
    [aux_sym_comparison_operator_token38] = ACTIONS(817),
    [aux_sym_comparison_operator_token39] = ACTIONS(817),
    [aux_sym_comparison_operator_token40] = ACTIONS(817),
    [aux_sym_comparison_operator_token41] = ACTIONS(817),
    [aux_sym_comparison_operator_token42] = ACTIONS(817),
    [aux_sym_comparison_operator_token43] = ACTIONS(817),
    [aux_sym_comparison_operator_token44] = ACTIONS(817),
    [aux_sym_comparison_operator_token45] = ACTIONS(817),
    [aux_sym_comparison_operator_token46] = ACTIONS(817),
    [aux_sym_comparison_operator_token47] = ACTIONS(817),
    [aux_sym_comparison_operator_token48] = ACTIONS(817),
    [aux_sym_comparison_operator_token49] = ACTIONS(817),
    [aux_sym_comparison_operator_token50] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(829),
    [aux_sym_logical_expression_token1] = ACTIONS(817),
    [aux_sym_logical_expression_token2] = ACTIONS(817),
    [aux_sym_logical_expression_token3] = ACTIONS(817),
    [aux_sym_bitwise_expression_token1] = ACTIONS(817),
    [aux_sym_bitwise_expression_token2] = ACTIONS(817),
    [aux_sym_bitwise_expression_token3] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_BSLASH] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(829),
    [sym__statement_terminator] = ACTIONS(817),
  },
  [193] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(253),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [anon_sym_RBRACK] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [194] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(253),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [195] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(835),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_2_GT] = ACTIONS(835),
    [anon_sym_2_GT_GT] = ACTIONS(833),
    [anon_sym_3_GT] = ACTIONS(835),
    [anon_sym_3_GT_GT] = ACTIONS(833),
    [anon_sym_4_GT] = ACTIONS(835),
    [anon_sym_4_GT_GT] = ACTIONS(833),
    [anon_sym_5_GT] = ACTIONS(835),
    [anon_sym_5_GT_GT] = ACTIONS(833),
    [anon_sym_6_GT] = ACTIONS(835),
    [anon_sym_6_GT_GT] = ACTIONS(833),
    [anon_sym_STAR_GT] = ACTIONS(835),
    [anon_sym_STAR_GT_GT] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(833),
    [anon_sym_2_GT_AMP1] = ACTIONS(833),
    [anon_sym_3_GT_AMP1] = ACTIONS(833),
    [anon_sym_4_GT_AMP1] = ACTIONS(833),
    [anon_sym_5_GT_AMP1] = ACTIONS(833),
    [anon_sym_6_GT_AMP1] = ACTIONS(833),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(833),
    [anon_sym_1_GT_AMP2] = ACTIONS(833),
    [anon_sym_3_GT_AMP2] = ACTIONS(833),
    [anon_sym_4_GT_AMP2] = ACTIONS(833),
    [anon_sym_5_GT_AMP2] = ACTIONS(833),
    [anon_sym_6_GT_AMP2] = ACTIONS(833),
    [aux_sym_comparison_operator_token1] = ACTIONS(833),
    [aux_sym_comparison_operator_token2] = ACTIONS(833),
    [aux_sym_comparison_operator_token3] = ACTIONS(833),
    [aux_sym_comparison_operator_token4] = ACTIONS(833),
    [aux_sym_comparison_operator_token5] = ACTIONS(833),
    [aux_sym_comparison_operator_token6] = ACTIONS(833),
    [aux_sym_comparison_operator_token7] = ACTIONS(833),
    [aux_sym_comparison_operator_token8] = ACTIONS(833),
    [aux_sym_comparison_operator_token9] = ACTIONS(833),
    [aux_sym_comparison_operator_token10] = ACTIONS(833),
    [aux_sym_comparison_operator_token11] = ACTIONS(833),
    [aux_sym_comparison_operator_token12] = ACTIONS(833),
    [aux_sym_comparison_operator_token13] = ACTIONS(833),
    [aux_sym_comparison_operator_token14] = ACTIONS(833),
    [aux_sym_comparison_operator_token15] = ACTIONS(833),
    [aux_sym_comparison_operator_token16] = ACTIONS(833),
    [aux_sym_comparison_operator_token17] = ACTIONS(833),
    [aux_sym_comparison_operator_token18] = ACTIONS(833),
    [aux_sym_comparison_operator_token19] = ACTIONS(833),
    [aux_sym_comparison_operator_token20] = ACTIONS(833),
    [aux_sym_comparison_operator_token21] = ACTIONS(833),
    [aux_sym_comparison_operator_token22] = ACTIONS(833),
    [aux_sym_comparison_operator_token23] = ACTIONS(833),
    [aux_sym_comparison_operator_token24] = ACTIONS(833),
    [aux_sym_comparison_operator_token25] = ACTIONS(833),
    [aux_sym_comparison_operator_token26] = ACTIONS(833),
    [aux_sym_comparison_operator_token27] = ACTIONS(833),
    [aux_sym_comparison_operator_token28] = ACTIONS(835),
    [aux_sym_comparison_operator_token29] = ACTIONS(833),
    [aux_sym_comparison_operator_token30] = ACTIONS(833),
    [aux_sym_comparison_operator_token31] = ACTIONS(833),
    [aux_sym_comparison_operator_token32] = ACTIONS(833),
    [aux_sym_comparison_operator_token33] = ACTIONS(833),
    [aux_sym_comparison_operator_token34] = ACTIONS(835),
    [aux_sym_comparison_operator_token35] = ACTIONS(833),
    [aux_sym_comparison_operator_token36] = ACTIONS(833),
    [aux_sym_comparison_operator_token37] = ACTIONS(833),
    [aux_sym_comparison_operator_token38] = ACTIONS(833),
    [aux_sym_comparison_operator_token39] = ACTIONS(833),
    [aux_sym_comparison_operator_token40] = ACTIONS(833),
    [aux_sym_comparison_operator_token41] = ACTIONS(833),
    [aux_sym_comparison_operator_token42] = ACTIONS(833),
    [aux_sym_comparison_operator_token43] = ACTIONS(833),
    [aux_sym_comparison_operator_token44] = ACTIONS(833),
    [aux_sym_comparison_operator_token45] = ACTIONS(833),
    [aux_sym_comparison_operator_token46] = ACTIONS(833),
    [aux_sym_comparison_operator_token47] = ACTIONS(833),
    [aux_sym_comparison_operator_token48] = ACTIONS(833),
    [aux_sym_comparison_operator_token49] = ACTIONS(833),
    [aux_sym_comparison_operator_token50] = ACTIONS(833),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(833),
    [aux_sym_logical_expression_token1] = ACTIONS(833),
    [aux_sym_logical_expression_token2] = ACTIONS(833),
    [aux_sym_logical_expression_token3] = ACTIONS(833),
    [aux_sym_bitwise_expression_token1] = ACTIONS(833),
    [aux_sym_bitwise_expression_token2] = ACTIONS(833),
    [aux_sym_bitwise_expression_token3] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
  },
  [196] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(835),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_2_GT] = ACTIONS(835),
    [anon_sym_2_GT_GT] = ACTIONS(833),
    [anon_sym_3_GT] = ACTIONS(835),
    [anon_sym_3_GT_GT] = ACTIONS(833),
    [anon_sym_4_GT] = ACTIONS(835),
    [anon_sym_4_GT_GT] = ACTIONS(833),
    [anon_sym_5_GT] = ACTIONS(835),
    [anon_sym_5_GT_GT] = ACTIONS(833),
    [anon_sym_6_GT] = ACTIONS(835),
    [anon_sym_6_GT_GT] = ACTIONS(833),
    [anon_sym_STAR_GT] = ACTIONS(835),
    [anon_sym_STAR_GT_GT] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(833),
    [anon_sym_2_GT_AMP1] = ACTIONS(833),
    [anon_sym_3_GT_AMP1] = ACTIONS(833),
    [anon_sym_4_GT_AMP1] = ACTIONS(833),
    [anon_sym_5_GT_AMP1] = ACTIONS(833),
    [anon_sym_6_GT_AMP1] = ACTIONS(833),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(833),
    [anon_sym_1_GT_AMP2] = ACTIONS(833),
    [anon_sym_3_GT_AMP2] = ACTIONS(833),
    [anon_sym_4_GT_AMP2] = ACTIONS(833),
    [anon_sym_5_GT_AMP2] = ACTIONS(833),
    [anon_sym_6_GT_AMP2] = ACTIONS(833),
    [aux_sym_comparison_operator_token1] = ACTIONS(833),
    [aux_sym_comparison_operator_token2] = ACTIONS(833),
    [aux_sym_comparison_operator_token3] = ACTIONS(833),
    [aux_sym_comparison_operator_token4] = ACTIONS(833),
    [aux_sym_comparison_operator_token5] = ACTIONS(833),
    [aux_sym_comparison_operator_token6] = ACTIONS(833),
    [aux_sym_comparison_operator_token7] = ACTIONS(833),
    [aux_sym_comparison_operator_token8] = ACTIONS(833),
    [aux_sym_comparison_operator_token9] = ACTIONS(833),
    [aux_sym_comparison_operator_token10] = ACTIONS(833),
    [aux_sym_comparison_operator_token11] = ACTIONS(833),
    [aux_sym_comparison_operator_token12] = ACTIONS(833),
    [aux_sym_comparison_operator_token13] = ACTIONS(833),
    [aux_sym_comparison_operator_token14] = ACTIONS(833),
    [aux_sym_comparison_operator_token15] = ACTIONS(833),
    [aux_sym_comparison_operator_token16] = ACTIONS(833),
    [aux_sym_comparison_operator_token17] = ACTIONS(833),
    [aux_sym_comparison_operator_token18] = ACTIONS(833),
    [aux_sym_comparison_operator_token19] = ACTIONS(833),
    [aux_sym_comparison_operator_token20] = ACTIONS(833),
    [aux_sym_comparison_operator_token21] = ACTIONS(833),
    [aux_sym_comparison_operator_token22] = ACTIONS(833),
    [aux_sym_comparison_operator_token23] = ACTIONS(833),
    [aux_sym_comparison_operator_token24] = ACTIONS(833),
    [aux_sym_comparison_operator_token25] = ACTIONS(833),
    [aux_sym_comparison_operator_token26] = ACTIONS(833),
    [aux_sym_comparison_operator_token27] = ACTIONS(833),
    [aux_sym_comparison_operator_token28] = ACTIONS(835),
    [aux_sym_comparison_operator_token29] = ACTIONS(833),
    [aux_sym_comparison_operator_token30] = ACTIONS(833),
    [aux_sym_comparison_operator_token31] = ACTIONS(833),
    [aux_sym_comparison_operator_token32] = ACTIONS(833),
    [aux_sym_comparison_operator_token33] = ACTIONS(833),
    [aux_sym_comparison_operator_token34] = ACTIONS(835),
    [aux_sym_comparison_operator_token35] = ACTIONS(833),
    [aux_sym_comparison_operator_token36] = ACTIONS(833),
    [aux_sym_comparison_operator_token37] = ACTIONS(833),
    [aux_sym_comparison_operator_token38] = ACTIONS(833),
    [aux_sym_comparison_operator_token39] = ACTIONS(833),
    [aux_sym_comparison_operator_token40] = ACTIONS(833),
    [aux_sym_comparison_operator_token41] = ACTIONS(833),
    [aux_sym_comparison_operator_token42] = ACTIONS(833),
    [aux_sym_comparison_operator_token43] = ACTIONS(833),
    [aux_sym_comparison_operator_token44] = ACTIONS(833),
    [aux_sym_comparison_operator_token45] = ACTIONS(833),
    [aux_sym_comparison_operator_token46] = ACTIONS(833),
    [aux_sym_comparison_operator_token47] = ACTIONS(833),
    [aux_sym_comparison_operator_token48] = ACTIONS(833),
    [aux_sym_comparison_operator_token49] = ACTIONS(833),
    [aux_sym_comparison_operator_token50] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(833),
    [aux_sym_logical_expression_token1] = ACTIONS(833),
    [aux_sym_logical_expression_token2] = ACTIONS(833),
    [aux_sym_logical_expression_token3] = ACTIONS(833),
    [aux_sym_bitwise_expression_token1] = ACTIONS(833),
    [aux_sym_bitwise_expression_token2] = ACTIONS(833),
    [aux_sym_bitwise_expression_token3] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(839),
    [sym__statement_terminator] = ACTIONS(833),
  },
  [197] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(841),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(843),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_2_GT] = ACTIONS(843),
    [anon_sym_2_GT_GT] = ACTIONS(841),
    [anon_sym_3_GT] = ACTIONS(843),
    [anon_sym_3_GT_GT] = ACTIONS(841),
    [anon_sym_4_GT] = ACTIONS(843),
    [anon_sym_4_GT_GT] = ACTIONS(841),
    [anon_sym_5_GT] = ACTIONS(843),
    [anon_sym_5_GT_GT] = ACTIONS(841),
    [anon_sym_6_GT] = ACTIONS(843),
    [anon_sym_6_GT_GT] = ACTIONS(841),
    [anon_sym_STAR_GT] = ACTIONS(843),
    [anon_sym_STAR_GT_GT] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(843),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(841),
    [anon_sym_2_GT_AMP1] = ACTIONS(841),
    [anon_sym_3_GT_AMP1] = ACTIONS(841),
    [anon_sym_4_GT_AMP1] = ACTIONS(841),
    [anon_sym_5_GT_AMP1] = ACTIONS(841),
    [anon_sym_6_GT_AMP1] = ACTIONS(841),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(841),
    [anon_sym_1_GT_AMP2] = ACTIONS(841),
    [anon_sym_3_GT_AMP2] = ACTIONS(841),
    [anon_sym_4_GT_AMP2] = ACTIONS(841),
    [anon_sym_5_GT_AMP2] = ACTIONS(841),
    [anon_sym_6_GT_AMP2] = ACTIONS(841),
    [aux_sym_comparison_operator_token1] = ACTIONS(841),
    [aux_sym_comparison_operator_token2] = ACTIONS(841),
    [aux_sym_comparison_operator_token3] = ACTIONS(841),
    [aux_sym_comparison_operator_token4] = ACTIONS(841),
    [aux_sym_comparison_operator_token5] = ACTIONS(841),
    [aux_sym_comparison_operator_token6] = ACTIONS(841),
    [aux_sym_comparison_operator_token7] = ACTIONS(841),
    [aux_sym_comparison_operator_token8] = ACTIONS(841),
    [aux_sym_comparison_operator_token9] = ACTIONS(841),
    [aux_sym_comparison_operator_token10] = ACTIONS(841),
    [aux_sym_comparison_operator_token11] = ACTIONS(841),
    [aux_sym_comparison_operator_token12] = ACTIONS(841),
    [aux_sym_comparison_operator_token13] = ACTIONS(841),
    [aux_sym_comparison_operator_token14] = ACTIONS(841),
    [aux_sym_comparison_operator_token15] = ACTIONS(841),
    [aux_sym_comparison_operator_token16] = ACTIONS(841),
    [aux_sym_comparison_operator_token17] = ACTIONS(841),
    [aux_sym_comparison_operator_token18] = ACTIONS(841),
    [aux_sym_comparison_operator_token19] = ACTIONS(841),
    [aux_sym_comparison_operator_token20] = ACTIONS(841),
    [aux_sym_comparison_operator_token21] = ACTIONS(841),
    [aux_sym_comparison_operator_token22] = ACTIONS(841),
    [aux_sym_comparison_operator_token23] = ACTIONS(841),
    [aux_sym_comparison_operator_token24] = ACTIONS(841),
    [aux_sym_comparison_operator_token25] = ACTIONS(841),
    [aux_sym_comparison_operator_token26] = ACTIONS(841),
    [aux_sym_comparison_operator_token27] = ACTIONS(841),
    [aux_sym_comparison_operator_token28] = ACTIONS(843),
    [aux_sym_comparison_operator_token29] = ACTIONS(841),
    [aux_sym_comparison_operator_token30] = ACTIONS(841),
    [aux_sym_comparison_operator_token31] = ACTIONS(841),
    [aux_sym_comparison_operator_token32] = ACTIONS(841),
    [aux_sym_comparison_operator_token33] = ACTIONS(841),
    [aux_sym_comparison_operator_token34] = ACTIONS(843),
    [aux_sym_comparison_operator_token35] = ACTIONS(841),
    [aux_sym_comparison_operator_token36] = ACTIONS(841),
    [aux_sym_comparison_operator_token37] = ACTIONS(841),
    [aux_sym_comparison_operator_token38] = ACTIONS(841),
    [aux_sym_comparison_operator_token39] = ACTIONS(841),
    [aux_sym_comparison_operator_token40] = ACTIONS(841),
    [aux_sym_comparison_operator_token41] = ACTIONS(841),
    [aux_sym_comparison_operator_token42] = ACTIONS(841),
    [aux_sym_comparison_operator_token43] = ACTIONS(841),
    [aux_sym_comparison_operator_token44] = ACTIONS(841),
    [aux_sym_comparison_operator_token45] = ACTIONS(841),
    [aux_sym_comparison_operator_token46] = ACTIONS(841),
    [aux_sym_comparison_operator_token47] = ACTIONS(841),
    [aux_sym_comparison_operator_token48] = ACTIONS(841),
    [aux_sym_comparison_operator_token49] = ACTIONS(841),
    [aux_sym_comparison_operator_token50] = ACTIONS(841),
    [anon_sym_PIPE] = ACTIONS(841),
    [aux_sym_logical_expression_token1] = ACTIONS(841),
    [aux_sym_logical_expression_token2] = ACTIONS(841),
    [aux_sym_logical_expression_token3] = ACTIONS(841),
    [aux_sym_bitwise_expression_token1] = ACTIONS(841),
    [aux_sym_bitwise_expression_token2] = ACTIONS(841),
    [aux_sym_bitwise_expression_token3] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(839),
    [sym__statement_terminator] = ACTIONS(841),
  },
  [198] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(841),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(843),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_2_GT] = ACTIONS(843),
    [anon_sym_2_GT_GT] = ACTIONS(841),
    [anon_sym_3_GT] = ACTIONS(843),
    [anon_sym_3_GT_GT] = ACTIONS(841),
    [anon_sym_4_GT] = ACTIONS(843),
    [anon_sym_4_GT_GT] = ACTIONS(841),
    [anon_sym_5_GT] = ACTIONS(843),
    [anon_sym_5_GT_GT] = ACTIONS(841),
    [anon_sym_6_GT] = ACTIONS(843),
    [anon_sym_6_GT_GT] = ACTIONS(841),
    [anon_sym_STAR_GT] = ACTIONS(843),
    [anon_sym_STAR_GT_GT] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(843),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(841),
    [anon_sym_2_GT_AMP1] = ACTIONS(841),
    [anon_sym_3_GT_AMP1] = ACTIONS(841),
    [anon_sym_4_GT_AMP1] = ACTIONS(841),
    [anon_sym_5_GT_AMP1] = ACTIONS(841),
    [anon_sym_6_GT_AMP1] = ACTIONS(841),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(841),
    [anon_sym_1_GT_AMP2] = ACTIONS(841),
    [anon_sym_3_GT_AMP2] = ACTIONS(841),
    [anon_sym_4_GT_AMP2] = ACTIONS(841),
    [anon_sym_5_GT_AMP2] = ACTIONS(841),
    [anon_sym_6_GT_AMP2] = ACTIONS(841),
    [aux_sym_comparison_operator_token1] = ACTIONS(841),
    [aux_sym_comparison_operator_token2] = ACTIONS(841),
    [aux_sym_comparison_operator_token3] = ACTIONS(841),
    [aux_sym_comparison_operator_token4] = ACTIONS(841),
    [aux_sym_comparison_operator_token5] = ACTIONS(841),
    [aux_sym_comparison_operator_token6] = ACTIONS(841),
    [aux_sym_comparison_operator_token7] = ACTIONS(841),
    [aux_sym_comparison_operator_token8] = ACTIONS(841),
    [aux_sym_comparison_operator_token9] = ACTIONS(841),
    [aux_sym_comparison_operator_token10] = ACTIONS(841),
    [aux_sym_comparison_operator_token11] = ACTIONS(841),
    [aux_sym_comparison_operator_token12] = ACTIONS(841),
    [aux_sym_comparison_operator_token13] = ACTIONS(841),
    [aux_sym_comparison_operator_token14] = ACTIONS(841),
    [aux_sym_comparison_operator_token15] = ACTIONS(841),
    [aux_sym_comparison_operator_token16] = ACTIONS(841),
    [aux_sym_comparison_operator_token17] = ACTIONS(841),
    [aux_sym_comparison_operator_token18] = ACTIONS(841),
    [aux_sym_comparison_operator_token19] = ACTIONS(841),
    [aux_sym_comparison_operator_token20] = ACTIONS(841),
    [aux_sym_comparison_operator_token21] = ACTIONS(841),
    [aux_sym_comparison_operator_token22] = ACTIONS(841),
    [aux_sym_comparison_operator_token23] = ACTIONS(841),
    [aux_sym_comparison_operator_token24] = ACTIONS(841),
    [aux_sym_comparison_operator_token25] = ACTIONS(841),
    [aux_sym_comparison_operator_token26] = ACTIONS(841),
    [aux_sym_comparison_operator_token27] = ACTIONS(841),
    [aux_sym_comparison_operator_token28] = ACTIONS(843),
    [aux_sym_comparison_operator_token29] = ACTIONS(841),
    [aux_sym_comparison_operator_token30] = ACTIONS(841),
    [aux_sym_comparison_operator_token31] = ACTIONS(841),
    [aux_sym_comparison_operator_token32] = ACTIONS(841),
    [aux_sym_comparison_operator_token33] = ACTIONS(841),
    [aux_sym_comparison_operator_token34] = ACTIONS(843),
    [aux_sym_comparison_operator_token35] = ACTIONS(841),
    [aux_sym_comparison_operator_token36] = ACTIONS(841),
    [aux_sym_comparison_operator_token37] = ACTIONS(841),
    [aux_sym_comparison_operator_token38] = ACTIONS(841),
    [aux_sym_comparison_operator_token39] = ACTIONS(841),
    [aux_sym_comparison_operator_token40] = ACTIONS(841),
    [aux_sym_comparison_operator_token41] = ACTIONS(841),
    [aux_sym_comparison_operator_token42] = ACTIONS(841),
    [aux_sym_comparison_operator_token43] = ACTIONS(841),
    [aux_sym_comparison_operator_token44] = ACTIONS(841),
    [aux_sym_comparison_operator_token45] = ACTIONS(841),
    [aux_sym_comparison_operator_token46] = ACTIONS(841),
    [aux_sym_comparison_operator_token47] = ACTIONS(841),
    [aux_sym_comparison_operator_token48] = ACTIONS(841),
    [aux_sym_comparison_operator_token49] = ACTIONS(841),
    [aux_sym_comparison_operator_token50] = ACTIONS(841),
    [anon_sym_RPAREN] = ACTIONS(841),
    [anon_sym_PIPE] = ACTIONS(841),
    [aux_sym_logical_expression_token1] = ACTIONS(841),
    [aux_sym_logical_expression_token2] = ACTIONS(841),
    [aux_sym_logical_expression_token3] = ACTIONS(841),
    [aux_sym_bitwise_expression_token1] = ACTIONS(841),
    [aux_sym_bitwise_expression_token2] = ACTIONS(841),
    [aux_sym_bitwise_expression_token3] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
  },
  [199] = {
    [sym__literal] = STATE(815),
    [sym_integer_literal] = STATE(815),
    [sym_string_literal] = STATE(815),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(815),
    [sym_unary_expression] = STATE(1056),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(815),
    [sym__value] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_sub_expression] = STATE(815),
    [sym_array_expression] = STATE(815),
    [sym_script_block_expression] = STATE(815),
    [sym_hash_literal_expression] = STATE(815),
    [sym_post_increment_expression] = STATE(815),
    [sym_post_decrement_expression] = STATE(815),
    [sym_member_access] = STATE(815),
    [sym_element_access] = STATE(815),
    [sym_invokation_expression] = STATE(815),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(199),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(847),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(857),
    [aux_sym_comparison_operator_token50] = ACTIONS(857),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(857),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [200] = {
    [sym_comparison_operator] = STATE(525),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_2_GT] = ACTIONS(877),
    [anon_sym_2_GT_GT] = ACTIONS(875),
    [anon_sym_3_GT] = ACTIONS(877),
    [anon_sym_3_GT_GT] = ACTIONS(875),
    [anon_sym_4_GT] = ACTIONS(877),
    [anon_sym_4_GT_GT] = ACTIONS(875),
    [anon_sym_5_GT] = ACTIONS(877),
    [anon_sym_5_GT_GT] = ACTIONS(875),
    [anon_sym_6_GT] = ACTIONS(877),
    [anon_sym_6_GT_GT] = ACTIONS(875),
    [anon_sym_STAR_GT] = ACTIONS(877),
    [anon_sym_STAR_GT_GT] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(875),
    [anon_sym_2_GT_AMP1] = ACTIONS(875),
    [anon_sym_3_GT_AMP1] = ACTIONS(875),
    [anon_sym_4_GT_AMP1] = ACTIONS(875),
    [anon_sym_5_GT_AMP1] = ACTIONS(875),
    [anon_sym_6_GT_AMP1] = ACTIONS(875),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(875),
    [anon_sym_1_GT_AMP2] = ACTIONS(875),
    [anon_sym_3_GT_AMP2] = ACTIONS(875),
    [anon_sym_4_GT_AMP2] = ACTIONS(875),
    [anon_sym_5_GT_AMP2] = ACTIONS(875),
    [anon_sym_6_GT_AMP2] = ACTIONS(875),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_PIPE] = ACTIONS(875),
    [aux_sym_logical_expression_token1] = ACTIONS(875),
    [aux_sym_logical_expression_token2] = ACTIONS(875),
    [aux_sym_logical_expression_token3] = ACTIONS(875),
    [aux_sym_bitwise_expression_token1] = ACTIONS(875),
    [aux_sym_bitwise_expression_token2] = ACTIONS(875),
    [aux_sym_bitwise_expression_token3] = ACTIONS(875),
  },
  [201] = {
    [sym_comparison_operator] = STATE(491),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_2_GT] = ACTIONS(877),
    [anon_sym_2_GT_GT] = ACTIONS(875),
    [anon_sym_3_GT] = ACTIONS(877),
    [anon_sym_3_GT_GT] = ACTIONS(875),
    [anon_sym_4_GT] = ACTIONS(877),
    [anon_sym_4_GT_GT] = ACTIONS(875),
    [anon_sym_5_GT] = ACTIONS(877),
    [anon_sym_5_GT_GT] = ACTIONS(875),
    [anon_sym_6_GT] = ACTIONS(877),
    [anon_sym_6_GT_GT] = ACTIONS(875),
    [anon_sym_STAR_GT] = ACTIONS(877),
    [anon_sym_STAR_GT_GT] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(875),
    [anon_sym_2_GT_AMP1] = ACTIONS(875),
    [anon_sym_3_GT_AMP1] = ACTIONS(875),
    [anon_sym_4_GT_AMP1] = ACTIONS(875),
    [anon_sym_5_GT_AMP1] = ACTIONS(875),
    [anon_sym_6_GT_AMP1] = ACTIONS(875),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(875),
    [anon_sym_1_GT_AMP2] = ACTIONS(875),
    [anon_sym_3_GT_AMP2] = ACTIONS(875),
    [anon_sym_4_GT_AMP2] = ACTIONS(875),
    [anon_sym_5_GT_AMP2] = ACTIONS(875),
    [anon_sym_6_GT_AMP2] = ACTIONS(875),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_PIPE] = ACTIONS(875),
    [aux_sym_logical_expression_token1] = ACTIONS(875),
    [aux_sym_logical_expression_token2] = ACTIONS(875),
    [aux_sym_logical_expression_token3] = ACTIONS(875),
    [aux_sym_bitwise_expression_token1] = ACTIONS(875),
    [aux_sym_bitwise_expression_token2] = ACTIONS(875),
    [aux_sym_bitwise_expression_token3] = ACTIONS(875),
    [sym__statement_terminator] = ACTIONS(875),
  },
  [202] = {
    [sym__literal] = STATE(784),
    [sym_integer_literal] = STATE(784),
    [sym_string_literal] = STATE(784),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(784),
    [sym_unary_expression] = STATE(1048),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(784),
    [sym__value] = STATE(784),
    [sym_parenthesized_expression] = STATE(784),
    [sym_sub_expression] = STATE(784),
    [sym_array_expression] = STATE(784),
    [sym_script_block_expression] = STATE(784),
    [sym_hash_literal_expression] = STATE(784),
    [sym_post_increment_expression] = STATE(784),
    [sym_post_decrement_expression] = STATE(784),
    [sym_member_access] = STATE(784),
    [sym_element_access] = STATE(784),
    [sym_invokation_expression] = STATE(784),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(885),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(895),
    [aux_sym_comparison_operator_token50] = ACTIONS(895),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(903),
    [anon_sym_DASH_DASH] = ACTIONS(905),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [203] = {
    [sym_comparison_operator] = STATE(525),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(913),
    [anon_sym_BANG_EQ] = ACTIONS(913),
    [anon_sym_PLUS_EQ] = ACTIONS(913),
    [anon_sym_STAR_EQ] = ACTIONS(913),
    [anon_sym_SLASH_EQ] = ACTIONS(913),
    [anon_sym_PERCENT_EQ] = ACTIONS(913),
    [anon_sym_GT] = ACTIONS(915),
    [anon_sym_GT_GT] = ACTIONS(913),
    [anon_sym_2_GT] = ACTIONS(915),
    [anon_sym_2_GT_GT] = ACTIONS(913),
    [anon_sym_3_GT] = ACTIONS(915),
    [anon_sym_3_GT_GT] = ACTIONS(913),
    [anon_sym_4_GT] = ACTIONS(915),
    [anon_sym_4_GT_GT] = ACTIONS(913),
    [anon_sym_5_GT] = ACTIONS(915),
    [anon_sym_5_GT_GT] = ACTIONS(913),
    [anon_sym_6_GT] = ACTIONS(915),
    [anon_sym_6_GT_GT] = ACTIONS(913),
    [anon_sym_STAR_GT] = ACTIONS(915),
    [anon_sym_STAR_GT_GT] = ACTIONS(913),
    [anon_sym_LT] = ACTIONS(915),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(913),
    [anon_sym_2_GT_AMP1] = ACTIONS(913),
    [anon_sym_3_GT_AMP1] = ACTIONS(913),
    [anon_sym_4_GT_AMP1] = ACTIONS(913),
    [anon_sym_5_GT_AMP1] = ACTIONS(913),
    [anon_sym_6_GT_AMP1] = ACTIONS(913),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(913),
    [anon_sym_1_GT_AMP2] = ACTIONS(913),
    [anon_sym_3_GT_AMP2] = ACTIONS(913),
    [anon_sym_4_GT_AMP2] = ACTIONS(913),
    [anon_sym_5_GT_AMP2] = ACTIONS(913),
    [anon_sym_6_GT_AMP2] = ACTIONS(913),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_RPAREN] = ACTIONS(913),
    [anon_sym_PIPE] = ACTIONS(913),
    [aux_sym_logical_expression_token1] = ACTIONS(913),
    [aux_sym_logical_expression_token2] = ACTIONS(913),
    [aux_sym_logical_expression_token3] = ACTIONS(913),
    [aux_sym_bitwise_expression_token1] = ACTIONS(913),
    [aux_sym_bitwise_expression_token2] = ACTIONS(913),
    [aux_sym_bitwise_expression_token3] = ACTIONS(913),
  },
  [204] = {
    [sym_comparison_operator] = STATE(491),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(913),
    [anon_sym_BANG_EQ] = ACTIONS(913),
    [anon_sym_PLUS_EQ] = ACTIONS(913),
    [anon_sym_STAR_EQ] = ACTIONS(913),
    [anon_sym_SLASH_EQ] = ACTIONS(913),
    [anon_sym_PERCENT_EQ] = ACTIONS(913),
    [anon_sym_GT] = ACTIONS(915),
    [anon_sym_GT_GT] = ACTIONS(913),
    [anon_sym_2_GT] = ACTIONS(915),
    [anon_sym_2_GT_GT] = ACTIONS(913),
    [anon_sym_3_GT] = ACTIONS(915),
    [anon_sym_3_GT_GT] = ACTIONS(913),
    [anon_sym_4_GT] = ACTIONS(915),
    [anon_sym_4_GT_GT] = ACTIONS(913),
    [anon_sym_5_GT] = ACTIONS(915),
    [anon_sym_5_GT_GT] = ACTIONS(913),
    [anon_sym_6_GT] = ACTIONS(915),
    [anon_sym_6_GT_GT] = ACTIONS(913),
    [anon_sym_STAR_GT] = ACTIONS(915),
    [anon_sym_STAR_GT_GT] = ACTIONS(913),
    [anon_sym_LT] = ACTIONS(915),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(913),
    [anon_sym_2_GT_AMP1] = ACTIONS(913),
    [anon_sym_3_GT_AMP1] = ACTIONS(913),
    [anon_sym_4_GT_AMP1] = ACTIONS(913),
    [anon_sym_5_GT_AMP1] = ACTIONS(913),
    [anon_sym_6_GT_AMP1] = ACTIONS(913),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(913),
    [anon_sym_1_GT_AMP2] = ACTIONS(913),
    [anon_sym_3_GT_AMP2] = ACTIONS(913),
    [anon_sym_4_GT_AMP2] = ACTIONS(913),
    [anon_sym_5_GT_AMP2] = ACTIONS(913),
    [anon_sym_6_GT_AMP2] = ACTIONS(913),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_PIPE] = ACTIONS(913),
    [aux_sym_logical_expression_token1] = ACTIONS(913),
    [aux_sym_logical_expression_token2] = ACTIONS(913),
    [aux_sym_logical_expression_token3] = ACTIONS(913),
    [aux_sym_bitwise_expression_token1] = ACTIONS(913),
    [aux_sym_bitwise_expression_token2] = ACTIONS(913),
    [aux_sym_bitwise_expression_token3] = ACTIONS(913),
    [sym__statement_terminator] = ACTIONS(913),
  },
  [205] = {
    [sym__literal] = STATE(784),
    [sym_integer_literal] = STATE(784),
    [sym_string_literal] = STATE(784),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(784),
    [sym_unary_expression] = STATE(825),
    [sym_expression_with_unary_operator] = STATE(831),
    [sym_pre_increment_expression] = STATE(841),
    [sym_pre_decrement_expression] = STATE(841),
    [sym_cast_expression] = STATE(841),
    [sym__primary_expression] = STATE(784),
    [sym__value] = STATE(784),
    [sym_parenthesized_expression] = STATE(784),
    [sym_sub_expression] = STATE(784),
    [sym_array_expression] = STATE(784),
    [sym_script_block_expression] = STATE(784),
    [sym_hash_literal_expression] = STATE(784),
    [sym_post_increment_expression] = STATE(784),
    [sym_post_decrement_expression] = STATE(784),
    [sym_member_access] = STATE(784),
    [sym_element_access] = STATE(784),
    [sym_invokation_expression] = STATE(784),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(205),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(885),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(917),
    [aux_sym_comparison_operator_token50] = ACTIONS(917),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(917),
    [anon_sym_BANG] = ACTIONS(917),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(919),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [206] = {
    [sym__literal] = STATE(815),
    [sym_integer_literal] = STATE(815),
    [sym_string_literal] = STATE(815),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(815),
    [sym_unary_expression] = STATE(763),
    [sym_expression_with_unary_operator] = STATE(769),
    [sym_pre_increment_expression] = STATE(836),
    [sym_pre_decrement_expression] = STATE(836),
    [sym_cast_expression] = STATE(836),
    [sym__primary_expression] = STATE(815),
    [sym__value] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_sub_expression] = STATE(815),
    [sym_array_expression] = STATE(815),
    [sym_script_block_expression] = STATE(815),
    [sym_hash_literal_expression] = STATE(815),
    [sym_post_increment_expression] = STATE(815),
    [sym_post_decrement_expression] = STATE(815),
    [sym_member_access] = STATE(815),
    [sym_element_access] = STATE(815),
    [sym_invokation_expression] = STATE(815),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(206),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(847),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(923),
    [aux_sym_comparison_operator_token50] = ACTIONS(923),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(923),
    [anon_sym_DASH] = ACTIONS(923),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(923),
    [anon_sym_BANG] = ACTIONS(923),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(923),
    [anon_sym_PLUS_PLUS] = ACTIONS(925),
    [anon_sym_DASH_DASH] = ACTIONS(927),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [207] = {
    [sym__literal] = STATE(894),
    [sym_integer_literal] = STATE(894),
    [sym_string_literal] = STATE(894),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(894),
    [sym_unary_expression] = STATE(1048),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(894),
    [sym__value] = STATE(894),
    [sym_parenthesized_expression] = STATE(894),
    [sym_sub_expression] = STATE(894),
    [sym_array_expression] = STATE(894),
    [sym_script_block_expression] = STATE(894),
    [sym_hash_literal_expression] = STATE(894),
    [sym_post_increment_expression] = STATE(894),
    [sym_post_decrement_expression] = STATE(894),
    [sym_member_access] = STATE(894),
    [sym_element_access] = STATE(894),
    [sym_invokation_expression] = STATE(894),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(207),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(929),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(931),
    [aux_sym_comparison_operator_token50] = ACTIONS(931),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(931),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [208] = {
    [sym__literal] = STATE(896),
    [sym_integer_literal] = STATE(896),
    [sym_string_literal] = STATE(896),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(896),
    [sym_unary_expression] = STATE(1056),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(896),
    [sym__value] = STATE(896),
    [sym_parenthesized_expression] = STATE(896),
    [sym_sub_expression] = STATE(896),
    [sym_array_expression] = STATE(896),
    [sym_script_block_expression] = STATE(896),
    [sym_hash_literal_expression] = STATE(896),
    [sym_post_increment_expression] = STATE(896),
    [sym_post_decrement_expression] = STATE(896),
    [sym_member_access] = STATE(896),
    [sym_element_access] = STATE(896),
    [sym_invokation_expression] = STATE(896),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(208),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(937),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(939),
    [aux_sym_comparison_operator_token50] = ACTIONS(939),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [209] = {
    [sym__literal] = STATE(929),
    [sym_integer_literal] = STATE(929),
    [sym_string_literal] = STATE(929),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(929),
    [sym_unary_expression] = STATE(1093),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(929),
    [sym__value] = STATE(929),
    [sym_parenthesized_expression] = STATE(929),
    [sym_sub_expression] = STATE(929),
    [sym_array_expression] = STATE(929),
    [sym_script_block_expression] = STATE(929),
    [sym_hash_literal_expression] = STATE(929),
    [sym_post_increment_expression] = STATE(929),
    [sym_post_decrement_expression] = STATE(929),
    [sym_member_access] = STATE(929),
    [sym_element_access] = STATE(929),
    [sym_invokation_expression] = STATE(929),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(209),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(947),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(957),
    [aux_sym_comparison_operator_token50] = ACTIONS(957),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [210] = {
    [sym__literal] = STATE(928),
    [sym_integer_literal] = STATE(928),
    [sym_string_literal] = STATE(928),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(928),
    [sym_unary_expression] = STATE(1078),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(928),
    [sym__value] = STATE(928),
    [sym_parenthesized_expression] = STATE(928),
    [sym_sub_expression] = STATE(928),
    [sym_array_expression] = STATE(928),
    [sym_script_block_expression] = STATE(928),
    [sym_hash_literal_expression] = STATE(928),
    [sym_post_increment_expression] = STATE(928),
    [sym_post_decrement_expression] = STATE(928),
    [sym_member_access] = STATE(928),
    [sym_element_access] = STATE(928),
    [sym_invokation_expression] = STATE(928),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(210),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(977),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(987),
    [aux_sym_comparison_operator_token50] = ACTIONS(987),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [211] = {
    [sym__literal] = STATE(888),
    [sym_integer_literal] = STATE(888),
    [sym_string_literal] = STATE(888),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(888),
    [sym_unary_expression] = STATE(842),
    [sym_expression_with_unary_operator] = STATE(911),
    [sym_pre_increment_expression] = STATE(912),
    [sym_pre_decrement_expression] = STATE(912),
    [sym_cast_expression] = STATE(912),
    [sym__primary_expression] = STATE(888),
    [sym__value] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym_sub_expression] = STATE(888),
    [sym_array_expression] = STATE(888),
    [sym_script_block_expression] = STATE(888),
    [sym_hash_literal_expression] = STATE(888),
    [sym_post_increment_expression] = STATE(888),
    [sym_post_decrement_expression] = STATE(888),
    [sym_member_access] = STATE(888),
    [sym_element_access] = STATE(888),
    [sym_invokation_expression] = STATE(888),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(211),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(1005),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1007),
    [aux_sym_comparison_operator_token50] = ACTIONS(1007),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1007),
    [anon_sym_BANG] = ACTIONS(1007),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1007),
    [anon_sym_PLUS_PLUS] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [212] = {
    [sym__literal] = STATE(901),
    [sym_integer_literal] = STATE(901),
    [sym_string_literal] = STATE(901),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(901),
    [sym_unary_expression] = STATE(909),
    [sym_expression_with_unary_operator] = STATE(903),
    [sym_pre_increment_expression] = STATE(904),
    [sym_pre_decrement_expression] = STATE(904),
    [sym_cast_expression] = STATE(904),
    [sym__primary_expression] = STATE(901),
    [sym__value] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym_sub_expression] = STATE(901),
    [sym_array_expression] = STATE(901),
    [sym_script_block_expression] = STATE(901),
    [sym_hash_literal_expression] = STATE(901),
    [sym_post_increment_expression] = STATE(901),
    [sym_post_decrement_expression] = STATE(901),
    [sym_member_access] = STATE(901),
    [sym_element_access] = STATE(901),
    [sym_invokation_expression] = STATE(901),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(212),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(1013),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1015),
    [aux_sym_comparison_operator_token50] = ACTIONS(1015),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1015),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1015),
    [anon_sym_PLUS_PLUS] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [213] = {
    [sym__literal] = STATE(901),
    [sym_integer_literal] = STATE(901),
    [sym_string_literal] = STATE(901),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(901),
    [sym_unary_expression] = STATE(1078),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(901),
    [sym__value] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym_sub_expression] = STATE(901),
    [sym_array_expression] = STATE(901),
    [sym_script_block_expression] = STATE(901),
    [sym_hash_literal_expression] = STATE(901),
    [sym_post_increment_expression] = STATE(901),
    [sym_post_decrement_expression] = STATE(901),
    [sym_member_access] = STATE(901),
    [sym_element_access] = STATE(901),
    [sym_invokation_expression] = STATE(901),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(213),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(1013),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1021),
    [aux_sym_comparison_operator_token50] = ACTIONS(1021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1021),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1025),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [214] = {
    [sym__literal] = STATE(784),
    [sym_integer_literal] = STATE(784),
    [sym_string_literal] = STATE(784),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(784),
    [sym_array_literal_expression] = STATE(1086),
    [sym_unary_expression] = STATE(1028),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(784),
    [sym__value] = STATE(784),
    [sym_parenthesized_expression] = STATE(784),
    [sym_sub_expression] = STATE(784),
    [sym_array_expression] = STATE(784),
    [sym_script_block_expression] = STATE(784),
    [sym_hash_literal_expression] = STATE(784),
    [sym_post_increment_expression] = STATE(784),
    [sym_post_decrement_expression] = STATE(784),
    [sym_member_access] = STATE(784),
    [sym_element_access] = STATE(784),
    [sym_invokation_expression] = STATE(784),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(885),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(895),
    [aux_sym_comparison_operator_token50] = ACTIONS(895),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_generic_token] = ACTIONS(1029),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(903),
    [anon_sym_DASH_DASH] = ACTIONS(905),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [215] = {
    [sym__literal] = STATE(888),
    [sym_integer_literal] = STATE(888),
    [sym_string_literal] = STATE(888),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(888),
    [sym_unary_expression] = STATE(1093),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(888),
    [sym__value] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym_sub_expression] = STATE(888),
    [sym_array_expression] = STATE(888),
    [sym_script_block_expression] = STATE(888),
    [sym_hash_literal_expression] = STATE(888),
    [sym_post_increment_expression] = STATE(888),
    [sym_post_decrement_expression] = STATE(888),
    [sym_member_access] = STATE(888),
    [sym_element_access] = STATE(888),
    [sym_invokation_expression] = STATE(888),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(215),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(1005),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1033),
    [aux_sym_comparison_operator_token50] = ACTIONS(1033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [216] = {
    [sym__literal] = STATE(815),
    [sym_integer_literal] = STATE(815),
    [sym_string_literal] = STATE(815),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(815),
    [sym_array_literal_expression] = STATE(1076),
    [sym_unary_expression] = STATE(1006),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(815),
    [sym__value] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_sub_expression] = STATE(815),
    [sym_array_expression] = STATE(815),
    [sym_script_block_expression] = STATE(815),
    [sym_hash_literal_expression] = STATE(815),
    [sym_post_increment_expression] = STATE(815),
    [sym_post_decrement_expression] = STATE(815),
    [sym_member_access] = STATE(815),
    [sym_element_access] = STATE(815),
    [sym_invokation_expression] = STATE(815),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(199),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(847),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(857),
    [aux_sym_comparison_operator_token50] = ACTIONS(857),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_generic_token] = ACTIONS(1039),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(857),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
  },
  [217] = {
    [sym__literal] = STATE(894),
    [sym_integer_literal] = STATE(894),
    [sym_string_literal] = STATE(894),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(894),
    [sym_array_literal_expression] = STATE(1086),
    [sym_unary_expression] = STATE(1071),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(894),
    [sym__value] = STATE(894),
    [sym_parenthesized_expression] = STATE(894),
    [sym_sub_expression] = STATE(894),
    [sym_array_expression] = STATE(894),
    [sym_script_block_expression] = STATE(894),
    [sym_hash_literal_expression] = STATE(894),
    [sym_post_increment_expression] = STATE(894),
    [sym_post_decrement_expression] = STATE(894),
    [sym_member_access] = STATE(894),
    [sym_element_access] = STATE(894),
    [sym_invokation_expression] = STATE(894),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(207),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(929),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(931),
    [aux_sym_comparison_operator_token50] = ACTIONS(931),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_generic_token] = ACTIONS(1029),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(931),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [218] = {
    [sym__literal] = STATE(896),
    [sym_integer_literal] = STATE(896),
    [sym_string_literal] = STATE(896),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(896),
    [sym_array_literal_expression] = STATE(1076),
    [sym_unary_expression] = STATE(1068),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(896),
    [sym__value] = STATE(896),
    [sym_parenthesized_expression] = STATE(896),
    [sym_sub_expression] = STATE(896),
    [sym_array_expression] = STATE(896),
    [sym_script_block_expression] = STATE(896),
    [sym_hash_literal_expression] = STATE(896),
    [sym_post_increment_expression] = STATE(896),
    [sym_post_decrement_expression] = STATE(896),
    [sym_member_access] = STATE(896),
    [sym_element_access] = STATE(896),
    [sym_invokation_expression] = STATE(896),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(208),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(937),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(939),
    [aux_sym_comparison_operator_token50] = ACTIONS(939),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_generic_token] = ACTIONS(1039),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
  },
  [219] = {
    [sym__literal] = STATE(901),
    [sym_integer_literal] = STATE(901),
    [sym_string_literal] = STATE(901),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(901),
    [sym_array_literal_expression] = STATE(1111),
    [sym_unary_expression] = STATE(1057),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(901),
    [sym__value] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym_sub_expression] = STATE(901),
    [sym_array_expression] = STATE(901),
    [sym_script_block_expression] = STATE(901),
    [sym_hash_literal_expression] = STATE(901),
    [sym_post_increment_expression] = STATE(901),
    [sym_post_decrement_expression] = STATE(901),
    [sym_member_access] = STATE(901),
    [sym_element_access] = STATE(901),
    [sym_invokation_expression] = STATE(901),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(213),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(1013),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1021),
    [aux_sym_comparison_operator_token50] = ACTIONS(1021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_generic_token] = ACTIONS(1041),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1021),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1025),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [220] = {
    [sym__literal] = STATE(929),
    [sym_integer_literal] = STATE(929),
    [sym_string_literal] = STATE(929),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(929),
    [sym_array_literal_expression] = STATE(1112),
    [sym_unary_expression] = STATE(1073),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(929),
    [sym__value] = STATE(929),
    [sym_parenthesized_expression] = STATE(929),
    [sym_sub_expression] = STATE(929),
    [sym_array_expression] = STATE(929),
    [sym_script_block_expression] = STATE(929),
    [sym_hash_literal_expression] = STATE(929),
    [sym_post_increment_expression] = STATE(929),
    [sym_post_decrement_expression] = STATE(929),
    [sym_member_access] = STATE(929),
    [sym_element_access] = STATE(929),
    [sym_invokation_expression] = STATE(929),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(209),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(947),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(957),
    [aux_sym_comparison_operator_token50] = ACTIONS(957),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_generic_token] = ACTIONS(1043),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
  },
  [221] = {
    [sym__literal] = STATE(888),
    [sym_integer_literal] = STATE(888),
    [sym_string_literal] = STATE(888),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(888),
    [sym_array_literal_expression] = STATE(1112),
    [sym_unary_expression] = STATE(1046),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(888),
    [sym__value] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym_sub_expression] = STATE(888),
    [sym_array_expression] = STATE(888),
    [sym_script_block_expression] = STATE(888),
    [sym_hash_literal_expression] = STATE(888),
    [sym_post_increment_expression] = STATE(888),
    [sym_post_decrement_expression] = STATE(888),
    [sym_member_access] = STATE(888),
    [sym_element_access] = STATE(888),
    [sym_invokation_expression] = STATE(888),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(215),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(1005),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1033),
    [aux_sym_comparison_operator_token50] = ACTIONS(1033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_generic_token] = ACTIONS(1043),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
  },
  [222] = {
    [sym__literal] = STATE(928),
    [sym_integer_literal] = STATE(928),
    [sym_string_literal] = STATE(928),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(928),
    [sym_array_literal_expression] = STATE(1111),
    [sym_unary_expression] = STATE(1091),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(928),
    [sym__value] = STATE(928),
    [sym_parenthesized_expression] = STATE(928),
    [sym_sub_expression] = STATE(928),
    [sym_array_expression] = STATE(928),
    [sym_script_block_expression] = STATE(928),
    [sym_hash_literal_expression] = STATE(928),
    [sym_post_increment_expression] = STATE(928),
    [sym_post_decrement_expression] = STATE(928),
    [sym_member_access] = STATE(928),
    [sym_element_access] = STATE(928),
    [sym_invokation_expression] = STATE(928),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(210),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(977),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(987),
    [aux_sym_comparison_operator_token50] = ACTIONS(987),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_generic_token] = ACTIONS(1041),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [223] = {
    [sym__literal] = STATE(1025),
    [sym_integer_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym_expandable_string_literal] = STATE(1020),
    [sym_expandable_here_string_literal] = STATE(1020),
    [sym_variable] = STATE(1025),
    [sym_unary_expression] = STATE(1036),
    [sym_expression_with_unary_operator] = STATE(1015),
    [sym_pre_increment_expression] = STATE(1001),
    [sym_pre_decrement_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1001),
    [sym__primary_expression] = STATE(1025),
    [sym__value] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_sub_expression] = STATE(1025),
    [sym_array_expression] = STATE(1025),
    [sym_script_block_expression] = STATE(1025),
    [sym_hash_literal_expression] = STATE(1025),
    [sym_post_increment_expression] = STATE(1025),
    [sym_post_decrement_expression] = STATE(1025),
    [sym_member_access] = STATE(1025),
    [sym_element_access] = STATE(1025),
    [sym_invokation_expression] = STATE(1025),
    [sym_invokation_foreach_expression] = STATE(1000),
    [sym_type_literal] = STATE(223),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hexadecimal_integer_literal] = ACTIONS(1047),
    [sym_real_literal] = ACTIONS(1049),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1051),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1053),
    [sym_verbatim_string_characters] = ACTIONS(1055),
    [sym_verbatim_here_string_characters] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1059),
    [aux_sym_comparison_operator_token50] = ACTIONS(1059),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1061),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1061),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1061),
    [anon_sym_DOLLAR_] = ACTIONS(1063),
    [aux_sym_variable_token1] = ACTIONS(1063),
    [aux_sym_variable_token2] = ACTIONS(1061),
    [sym_braced_variable] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1059),
    [anon_sym_BANG] = ACTIONS(1059),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1059),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [anon_sym_DASH_DASH] = ACTIONS(1073),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1075),
    [anon_sym_AT_LPAREN] = ACTIONS(1077),
    [anon_sym_AT_LBRACE] = ACTIONS(1079),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [224] = {
    [sym__literal] = STATE(1059),
    [sym_integer_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym_expandable_string_literal] = STATE(947),
    [sym_expandable_here_string_literal] = STATE(947),
    [sym_variable] = STATE(1059),
    [sym_unary_expression] = STATE(161),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(1059),
    [sym__value] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_sub_expression] = STATE(1059),
    [sym_array_expression] = STATE(1059),
    [sym_script_block_expression] = STATE(1059),
    [sym_hash_literal_expression] = STATE(1059),
    [sym_post_increment_expression] = STATE(1059),
    [sym_post_decrement_expression] = STATE(1059),
    [sym_member_access] = STATE(1059),
    [sym_element_access] = STATE(1059),
    [sym_invokation_expression] = STATE(1059),
    [sym_invokation_foreach_expression] = STATE(955),
    [sym_type_literal] = STATE(224),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hexadecimal_integer_literal] = ACTIONS(1083),
    [sym_real_literal] = ACTIONS(1085),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1087),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1089),
    [sym_verbatim_string_characters] = ACTIONS(1091),
    [sym_verbatim_here_string_characters] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1095),
    [aux_sym_comparison_operator_token50] = ACTIONS(1095),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1097),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1097),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1097),
    [anon_sym_DOLLAR_] = ACTIONS(1099),
    [aux_sym_variable_token1] = ACTIONS(1099),
    [aux_sym_variable_token2] = ACTIONS(1097),
    [sym_braced_variable] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1107),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1111),
    [anon_sym_AT_LPAREN] = ACTIONS(1113),
    [anon_sym_AT_LBRACE] = ACTIONS(1115),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [225] = {
    [sym__literal] = STATE(1026),
    [sym_integer_literal] = STATE(1026),
    [sym_string_literal] = STATE(1026),
    [sym_expandable_string_literal] = STATE(947),
    [sym_expandable_here_string_literal] = STATE(947),
    [sym_variable] = STATE(1026),
    [sym_unary_expression] = STATE(954),
    [sym_expression_with_unary_operator] = STATE(939),
    [sym_pre_increment_expression] = STATE(940),
    [sym_pre_decrement_expression] = STATE(940),
    [sym_cast_expression] = STATE(940),
    [sym__primary_expression] = STATE(1026),
    [sym__value] = STATE(1026),
    [sym_parenthesized_expression] = STATE(1026),
    [sym_sub_expression] = STATE(1026),
    [sym_array_expression] = STATE(1026),
    [sym_script_block_expression] = STATE(1026),
    [sym_hash_literal_expression] = STATE(1026),
    [sym_post_increment_expression] = STATE(1026),
    [sym_post_decrement_expression] = STATE(1026),
    [sym_member_access] = STATE(1026),
    [sym_element_access] = STATE(1026),
    [sym_invokation_expression] = STATE(1026),
    [sym_invokation_foreach_expression] = STATE(955),
    [sym_type_literal] = STATE(225),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hexadecimal_integer_literal] = ACTIONS(1083),
    [sym_real_literal] = ACTIONS(1117),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1087),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1089),
    [sym_verbatim_string_characters] = ACTIONS(1091),
    [sym_verbatim_here_string_characters] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1119),
    [aux_sym_comparison_operator_token50] = ACTIONS(1119),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1097),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1097),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1097),
    [anon_sym_DOLLAR_] = ACTIONS(1099),
    [aux_sym_variable_token1] = ACTIONS(1099),
    [aux_sym_variable_token2] = ACTIONS(1097),
    [sym_braced_variable] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1111),
    [anon_sym_AT_LPAREN] = ACTIONS(1113),
    [anon_sym_AT_LBRACE] = ACTIONS(1115),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [226] = {
    [sym__literal] = STATE(1058),
    [sym_integer_literal] = STATE(1058),
    [sym_string_literal] = STATE(1058),
    [sym_expandable_string_literal] = STATE(1020),
    [sym_expandable_here_string_literal] = STATE(1020),
    [sym_variable] = STATE(1058),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(1058),
    [sym__value] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_sub_expression] = STATE(1058),
    [sym_array_expression] = STATE(1058),
    [sym_script_block_expression] = STATE(1058),
    [sym_hash_literal_expression] = STATE(1058),
    [sym_post_increment_expression] = STATE(1058),
    [sym_post_decrement_expression] = STATE(1058),
    [sym_member_access] = STATE(1058),
    [sym_element_access] = STATE(1058),
    [sym_invokation_expression] = STATE(1058),
    [sym_invokation_foreach_expression] = STATE(1000),
    [sym_type_literal] = STATE(226),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hexadecimal_integer_literal] = ACTIONS(1047),
    [sym_real_literal] = ACTIONS(1127),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1051),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1053),
    [sym_verbatim_string_characters] = ACTIONS(1055),
    [sym_verbatim_here_string_characters] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1129),
    [aux_sym_comparison_operator_token50] = ACTIONS(1129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1061),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1061),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1061),
    [anon_sym_DOLLAR_] = ACTIONS(1063),
    [aux_sym_variable_token1] = ACTIONS(1063),
    [aux_sym_variable_token2] = ACTIONS(1061),
    [sym_braced_variable] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_COMMA] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_DASH_DASH] = ACTIONS(1135),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1075),
    [anon_sym_AT_LPAREN] = ACTIONS(1077),
    [anon_sym_AT_LBRACE] = ACTIONS(1079),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [227] = {
    [sym__literal] = STATE(1058),
    [sym_integer_literal] = STATE(1058),
    [sym_string_literal] = STATE(1058),
    [sym_expandable_string_literal] = STATE(1020),
    [sym_expandable_here_string_literal] = STATE(1020),
    [sym_variable] = STATE(1058),
    [sym_array_literal_expression] = STATE(1152),
    [sym_unary_expression] = STATE(1143),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(1058),
    [sym__value] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_sub_expression] = STATE(1058),
    [sym_array_expression] = STATE(1058),
    [sym_script_block_expression] = STATE(1058),
    [sym_hash_literal_expression] = STATE(1058),
    [sym_post_increment_expression] = STATE(1058),
    [sym_post_decrement_expression] = STATE(1058),
    [sym_member_access] = STATE(1058),
    [sym_element_access] = STATE(1058),
    [sym_invokation_expression] = STATE(1058),
    [sym_invokation_foreach_expression] = STATE(1000),
    [sym_type_literal] = STATE(226),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hexadecimal_integer_literal] = ACTIONS(1045),
    [sym_real_literal] = ACTIONS(1137),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1139),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1141),
    [sym_verbatim_string_characters] = ACTIONS(1143),
    [sym_verbatim_here_string_characters] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1131),
    [aux_sym_comparison_operator_token50] = ACTIONS(1131),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1063),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1063),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1063),
    [anon_sym_DOLLAR_] = ACTIONS(1063),
    [aux_sym_variable_token1] = ACTIONS(1063),
    [aux_sym_variable_token2] = ACTIONS(1063),
    [sym_braced_variable] = ACTIONS(1063),
    [sym_generic_token] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_DASH_DASH] = ACTIONS(1155),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1157),
    [anon_sym_AT_LPAREN] = ACTIONS(1159),
    [anon_sym_AT_LBRACE] = ACTIONS(1161),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [228] = {
    [sym__literal] = STATE(1059),
    [sym_integer_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym_expandable_string_literal] = STATE(947),
    [sym_expandable_here_string_literal] = STATE(947),
    [sym_variable] = STATE(1059),
    [sym_array_literal_expression] = STATE(1155),
    [sym_unary_expression] = STATE(1144),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(1059),
    [sym__value] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_sub_expression] = STATE(1059),
    [sym_array_expression] = STATE(1059),
    [sym_script_block_expression] = STATE(1059),
    [sym_hash_literal_expression] = STATE(1059),
    [sym_post_increment_expression] = STATE(1059),
    [sym_post_decrement_expression] = STATE(1059),
    [sym_member_access] = STATE(1059),
    [sym_element_access] = STATE(1059),
    [sym_invokation_expression] = STATE(1059),
    [sym_invokation_foreach_expression] = STATE(955),
    [sym_type_literal] = STATE(224),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hexadecimal_integer_literal] = ACTIONS(1081),
    [sym_real_literal] = ACTIONS(1163),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1165),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1167),
    [sym_verbatim_string_characters] = ACTIONS(1169),
    [sym_verbatim_here_string_characters] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1105),
    [aux_sym_comparison_operator_token50] = ACTIONS(1105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1099),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1099),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1099),
    [anon_sym_DOLLAR_] = ACTIONS(1099),
    [aux_sym_variable_token1] = ACTIONS(1099),
    [aux_sym_variable_token2] = ACTIONS(1099),
    [sym_braced_variable] = ACTIONS(1099),
    [sym_generic_token] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1105),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1105),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_AT_LPAREN] = ACTIONS(1185),
    [anon_sym_AT_LBRACE] = ACTIONS(1187),
  },
  [229] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2040),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [230] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2043),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [231] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2098),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [232] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(2085),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [233] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2089),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1215),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [234] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2092),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [235] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(2103),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [236] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2107),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [237] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2110),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [238] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(1920),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1243),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [239] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(1732),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1251),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [240] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(2036),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_for_statement_token2] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [241] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2113),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1261),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [242] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2045),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [243] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2046),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1265),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [244] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2091),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [245] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2095),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [246] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2047),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [247] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2094),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1273),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [248] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2096),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1275),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [249] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2109),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1277),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [250] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2130),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [251] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2112),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [252] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(1797),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [253] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2114),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [254] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(1785),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [255] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2015),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1289),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [256] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2042),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1291),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [257] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(2077),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [258] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1858),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [259] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_pipeline] = STATE(1977),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(1321),
  },
  [260] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(2052),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [261] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1881),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [262] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1984),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [263] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(2024),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [264] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1931),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [265] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1941),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [266] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1999),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [267] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1950),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [268] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1887),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [269] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1759),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [270] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(2069),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [271] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(2050),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [272] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1872),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [273] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1804),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [274] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1810),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [275] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1741),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [276] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1768),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [277] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1790),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [278] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(2011),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [279] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1812),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [280] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1879),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [281] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1889),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [282] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1893),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [283] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1898),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [284] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1939),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [285] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1947),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [286] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1951),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [287] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1956),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [288] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1982),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [289] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1990),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [290] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1994),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1293),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1295),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1297),
    [sym_verbatim_string_characters] = ACTIONS(1299),
    [sym_verbatim_here_string_characters] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [aux_sym_foreach_command_token1] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1315),
    [anon_sym_AT_LPAREN] = ACTIONS(1317),
    [anon_sym_AT_LBRACE] = ACTIONS(1319),
  },
  [291] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(1323),
    [anon_sym_COLON_COLON] = ACTIONS(1325),
    [anon_sym_RBRACK] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [292] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(1327),
    [anon_sym_COLON_COLON] = ACTIONS(1329),
    [anon_sym_RBRACK] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [293] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(1331),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [294] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1337),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [295] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1668),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_attribute_arguments] = STATE(1743),
    [sym_attribute_argument] = STATE(1446),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [sym_simple_name] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [296] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1668),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_attribute_arguments] = STATE(1884),
    [sym_attribute_argument] = STATE(1446),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [sym_simple_name] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [297] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(297),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_PERCENT] = ACTIONS(765),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [anon_sym_RBRACK] = ACTIONS(765),
  },
  [298] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(306),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(772),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_DOT_DOT] = ACTIONS(772),
    [sym__statement_terminator] = ACTIONS(772),
  },
  [299] = {
    [sym_elseif_clauses] = STATE(398),
    [sym_elseif_clause] = STATE(338),
    [sym_else_clause] = STATE(468),
    [aux_sym_elseif_clauses_repeat1] = STATE(338),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1350),
    [sym_hexadecimal_integer_literal] = ACTIONS(1350),
    [sym_real_literal] = ACTIONS(1350),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1350),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1350),
    [sym_verbatim_string_characters] = ACTIONS(1350),
    [sym_verbatim_here_string_characters] = ACTIONS(1350),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [aux_sym_comparison_operator_token37] = ACTIONS(1350),
    [aux_sym_comparison_operator_token50] = ACTIONS(1350),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1350),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1350),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1350),
    [anon_sym_DOLLAR_] = ACTIONS(1350),
    [aux_sym_variable_token1] = ACTIONS(1350),
    [aux_sym_variable_token2] = ACTIONS(1350),
    [sym_braced_variable] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_RPAREN] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_elseif_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_function_statement_token1] = ACTIONS(1350),
    [aux_sym_function_statement_token2] = ACTIONS(1350),
    [aux_sym_function_statement_token3] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1350),
    [sym_label] = ACTIONS(1350),
    [aux_sym_trap_statement_token1] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_data_statement_token1] = ACTIONS(1350),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1350),
    [aux_sym_parallel_statement_token1] = ACTIONS(1350),
    [aux_sym_sequence_statement_token1] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [aux_sym_command_name_token1] = ACTIONS(1350),
    [anon_sym_PERCENT] = ACTIONS(1350),
    [aux_sym_foreach_command_token1] = ACTIONS(1350),
    [aux_sym_class_statement_token1] = ACTIONS(1350),
    [aux_sym_enum_statement_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1350),
    [anon_sym_AT_LPAREN] = ACTIONS(1350),
    [anon_sym_AT_LBRACE] = ACTIONS(1350),
  },
  [300] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(302),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_PERCENT] = ACTIONS(778),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(778),
    [anon_sym_RBRACK] = ACTIONS(778),
  },
  [301] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(297),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_RPAREN] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [302] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(297),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(1356),
    [anon_sym_PERCENT] = ACTIONS(772),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_DOT_DOT] = ACTIONS(772),
    [anon_sym_RBRACK] = ACTIONS(772),
  },
  [303] = {
    [sym_catch_clauses] = STATE(383),
    [sym_catch_clause] = STATE(342),
    [sym_finally_clause] = STATE(465),
    [aux_sym_catch_clauses_repeat1] = STATE(342),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1358),
    [sym_hexadecimal_integer_literal] = ACTIONS(1358),
    [sym_real_literal] = ACTIONS(1358),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1358),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1358),
    [sym_verbatim_string_characters] = ACTIONS(1358),
    [sym_verbatim_here_string_characters] = ACTIONS(1358),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [aux_sym_comparison_operator_token37] = ACTIONS(1358),
    [aux_sym_comparison_operator_token50] = ACTIONS(1358),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1358),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1358),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1358),
    [anon_sym_DOLLAR_] = ACTIONS(1358),
    [aux_sym_variable_token1] = ACTIONS(1358),
    [aux_sym_variable_token2] = ACTIONS(1358),
    [sym_braced_variable] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [anon_sym_RPAREN] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_function_statement_token1] = ACTIONS(1358),
    [aux_sym_function_statement_token2] = ACTIONS(1358),
    [aux_sym_function_statement_token3] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1358),
    [sym_label] = ACTIONS(1358),
    [aux_sym_trap_statement_token1] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_catch_clause_token1] = ACTIONS(1360),
    [aux_sym_finally_clause_token1] = ACTIONS(1362),
    [aux_sym_data_statement_token1] = ACTIONS(1358),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1358),
    [aux_sym_parallel_statement_token1] = ACTIONS(1358),
    [aux_sym_sequence_statement_token1] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [aux_sym_command_name_token1] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [aux_sym_foreach_command_token1] = ACTIONS(1358),
    [aux_sym_class_statement_token1] = ACTIONS(1358),
    [aux_sym_enum_statement_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1358),
    [anon_sym_AT_LPAREN] = ACTIONS(1358),
    [anon_sym_AT_LBRACE] = ACTIONS(1358),
  },
  [304] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(298),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(778),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(778),
    [sym__statement_terminator] = ACTIONS(778),
  },
  [305] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [306] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(306),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(1364),
    [anon_sym_PERCENT] = ACTIONS(765),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [sym__statement_terminator] = ACTIONS(765),
  },
  [307] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(301),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_RPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(778),
  },
  [308] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_RPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [309] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(316),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
    [sym__statement_terminator] = ACTIONS(1371),
  },
  [310] = {
    [sym_catch_clauses] = STATE(415),
    [sym_catch_clause] = STATE(372),
    [sym_finally_clause] = STATE(485),
    [aux_sym_catch_clauses_repeat1] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1358),
    [sym_hexadecimal_integer_literal] = ACTIONS(1358),
    [sym_real_literal] = ACTIONS(1358),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1358),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1358),
    [sym_verbatim_string_characters] = ACTIONS(1358),
    [sym_verbatim_here_string_characters] = ACTIONS(1358),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [aux_sym_comparison_operator_token37] = ACTIONS(1358),
    [aux_sym_comparison_operator_token50] = ACTIONS(1358),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1358),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1358),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1358),
    [anon_sym_DOLLAR_] = ACTIONS(1358),
    [aux_sym_variable_token1] = ACTIONS(1358),
    [aux_sym_variable_token2] = ACTIONS(1358),
    [sym_braced_variable] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_function_statement_token1] = ACTIONS(1358),
    [aux_sym_function_statement_token2] = ACTIONS(1358),
    [aux_sym_function_statement_token3] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1358),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1358),
    [sym_label] = ACTIONS(1358),
    [aux_sym_trap_statement_token1] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_catch_clause_token1] = ACTIONS(1375),
    [aux_sym_finally_clause_token1] = ACTIONS(1377),
    [aux_sym_data_statement_token1] = ACTIONS(1358),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1358),
    [aux_sym_parallel_statement_token1] = ACTIONS(1358),
    [aux_sym_sequence_statement_token1] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [aux_sym_command_name_token1] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [aux_sym_foreach_command_token1] = ACTIONS(1358),
    [aux_sym_class_statement_token1] = ACTIONS(1358),
    [aux_sym_enum_statement_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1358),
    [anon_sym_AT_LPAREN] = ACTIONS(1358),
    [anon_sym_AT_LBRACE] = ACTIONS(1358),
  },
  [311] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_RPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [312] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(312),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1379),
    [sym_hexadecimal_integer_literal] = ACTIONS(1379),
    [sym_real_literal] = ACTIONS(1379),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1379),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1379),
    [sym_verbatim_string_characters] = ACTIONS(1379),
    [sym_verbatim_here_string_characters] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1379),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_GT] = ACTIONS(1379),
    [anon_sym_2_GT] = ACTIONS(1379),
    [anon_sym_2_GT_GT] = ACTIONS(1379),
    [anon_sym_3_GT] = ACTIONS(1379),
    [anon_sym_3_GT_GT] = ACTIONS(1379),
    [anon_sym_4_GT] = ACTIONS(1379),
    [anon_sym_4_GT_GT] = ACTIONS(1379),
    [anon_sym_5_GT] = ACTIONS(1379),
    [anon_sym_5_GT_GT] = ACTIONS(1379),
    [anon_sym_6_GT] = ACTIONS(1379),
    [anon_sym_6_GT_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT_GT] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1379),
    [anon_sym_2_GT_AMP1] = ACTIONS(1379),
    [anon_sym_3_GT_AMP1] = ACTIONS(1379),
    [anon_sym_4_GT_AMP1] = ACTIONS(1379),
    [anon_sym_5_GT_AMP1] = ACTIONS(1379),
    [anon_sym_6_GT_AMP1] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1379),
    [anon_sym_1_GT_AMP2] = ACTIONS(1379),
    [anon_sym_3_GT_AMP2] = ACTIONS(1379),
    [anon_sym_4_GT_AMP2] = ACTIONS(1379),
    [anon_sym_5_GT_AMP2] = ACTIONS(1379),
    [anon_sym_6_GT_AMP2] = ACTIONS(1379),
    [aux_sym_comparison_operator_token37] = ACTIONS(1379),
    [aux_sym_comparison_operator_token50] = ACTIONS(1379),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1379),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1379),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1379),
    [anon_sym_DOLLAR_] = ACTIONS(1379),
    [aux_sym_variable_token1] = ACTIONS(1379),
    [aux_sym_variable_token2] = ACTIONS(1379),
    [sym_braced_variable] = ACTIONS(1379),
    [sym_generic_token] = ACTIONS(1379),
    [sym_command_parameter] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1379),
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_PIPE] = ACTIONS(1379),
    [sym_stop_parsing] = ACTIONS(1379),
    [anon_sym_SPACE] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1379),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LBRACE] = ACTIONS(1379),
  },
  [313] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [314] = {
    [sym_format_operator] = STATE(579),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(801),
    [anon_sym_PERCENT] = ACTIONS(801),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(801),
  },
  [315] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(811),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_DOT_DOT] = ACTIONS(1384),
  },
  [316] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(316),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1379),
    [sym_hexadecimal_integer_literal] = ACTIONS(1379),
    [sym_real_literal] = ACTIONS(1379),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1379),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1379),
    [sym_verbatim_string_characters] = ACTIONS(1379),
    [sym_verbatim_here_string_characters] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1379),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_GT] = ACTIONS(1379),
    [anon_sym_2_GT] = ACTIONS(1379),
    [anon_sym_2_GT_GT] = ACTIONS(1379),
    [anon_sym_3_GT] = ACTIONS(1379),
    [anon_sym_3_GT_GT] = ACTIONS(1379),
    [anon_sym_4_GT] = ACTIONS(1379),
    [anon_sym_4_GT_GT] = ACTIONS(1379),
    [anon_sym_5_GT] = ACTIONS(1379),
    [anon_sym_5_GT_GT] = ACTIONS(1379),
    [anon_sym_6_GT] = ACTIONS(1379),
    [anon_sym_6_GT_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT_GT] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1379),
    [anon_sym_2_GT_AMP1] = ACTIONS(1379),
    [anon_sym_3_GT_AMP1] = ACTIONS(1379),
    [anon_sym_4_GT_AMP1] = ACTIONS(1379),
    [anon_sym_5_GT_AMP1] = ACTIONS(1379),
    [anon_sym_6_GT_AMP1] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1379),
    [anon_sym_1_GT_AMP2] = ACTIONS(1379),
    [anon_sym_3_GT_AMP2] = ACTIONS(1379),
    [anon_sym_4_GT_AMP2] = ACTIONS(1379),
    [anon_sym_5_GT_AMP2] = ACTIONS(1379),
    [anon_sym_6_GT_AMP2] = ACTIONS(1379),
    [aux_sym_comparison_operator_token37] = ACTIONS(1379),
    [aux_sym_comparison_operator_token50] = ACTIONS(1379),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1379),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1379),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1379),
    [anon_sym_DOLLAR_] = ACTIONS(1379),
    [aux_sym_variable_token1] = ACTIONS(1379),
    [aux_sym_variable_token2] = ACTIONS(1379),
    [sym_braced_variable] = ACTIONS(1379),
    [sym_generic_token] = ACTIONS(1379),
    [sym_command_parameter] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_PIPE] = ACTIONS(1379),
    [sym_stop_parsing] = ACTIONS(1379),
    [anon_sym_SPACE] = ACTIONS(1386),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1379),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LBRACE] = ACTIONS(1379),
    [sym__statement_terminator] = ACTIONS(1389),
  },
  [317] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1668),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_attribute_argument] = STATE(1704),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [sym_simple_name] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [318] = {
    [sym_format_operator] = STATE(579),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_COMMA] = ACTIONS(795),
    [anon_sym_PERCENT] = ACTIONS(795),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(795),
  },
  [319] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(1384),
  },
  [320] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(312),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1391),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
  },
  [321] = {
    [sym_elseif_clauses] = STATE(410),
    [sym_elseif_clause] = STATE(362),
    [sym_else_clause] = STATE(495),
    [aux_sym_elseif_clauses_repeat1] = STATE(362),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1350),
    [sym_hexadecimal_integer_literal] = ACTIONS(1350),
    [sym_real_literal] = ACTIONS(1350),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1350),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1350),
    [sym_verbatim_string_characters] = ACTIONS(1350),
    [sym_verbatim_here_string_characters] = ACTIONS(1350),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [aux_sym_comparison_operator_token37] = ACTIONS(1350),
    [aux_sym_comparison_operator_token50] = ACTIONS(1350),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1350),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1350),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1350),
    [anon_sym_DOLLAR_] = ACTIONS(1350),
    [aux_sym_variable_token1] = ACTIONS(1350),
    [aux_sym_variable_token2] = ACTIONS(1350),
    [sym_braced_variable] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_elseif_clause_token1] = ACTIONS(1395),
    [aux_sym_else_clause_token1] = ACTIONS(1397),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_function_statement_token1] = ACTIONS(1350),
    [aux_sym_function_statement_token2] = ACTIONS(1350),
    [aux_sym_function_statement_token3] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1350),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1350),
    [sym_label] = ACTIONS(1350),
    [aux_sym_trap_statement_token1] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_data_statement_token1] = ACTIONS(1350),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1350),
    [aux_sym_parallel_statement_token1] = ACTIONS(1350),
    [aux_sym_sequence_statement_token1] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [aux_sym_command_name_token1] = ACTIONS(1350),
    [anon_sym_PERCENT] = ACTIONS(1350),
    [aux_sym_foreach_command_token1] = ACTIONS(1350),
    [aux_sym_class_statement_token1] = ACTIONS(1350),
    [aux_sym_enum_statement_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1350),
    [anon_sym_AT_LPAREN] = ACTIONS(1350),
    [anon_sym_AT_LBRACE] = ACTIONS(1350),
  },
  [322] = {
    [sym_catch_clause] = STATE(322),
    [aux_sym_catch_clauses_repeat1] = STATE(322),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1399),
    [sym_hexadecimal_integer_literal] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1399),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1399),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1399),
    [sym_verbatim_string_characters] = ACTIONS(1399),
    [sym_verbatim_here_string_characters] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1399),
    [aux_sym_comparison_operator_token37] = ACTIONS(1399),
    [aux_sym_comparison_operator_token50] = ACTIONS(1399),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1399),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1399),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1399),
    [anon_sym_DOLLAR_] = ACTIONS(1399),
    [aux_sym_variable_token1] = ACTIONS(1399),
    [aux_sym_variable_token2] = ACTIONS(1399),
    [sym_braced_variable] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_RPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_switch_statement_token1] = ACTIONS(1399),
    [aux_sym_foreach_statement_token1] = ACTIONS(1399),
    [aux_sym_for_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_do_statement_token1] = ACTIONS(1399),
    [aux_sym_function_statement_token1] = ACTIONS(1399),
    [aux_sym_function_statement_token2] = ACTIONS(1399),
    [aux_sym_function_statement_token3] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1399),
    [sym_label] = ACTIONS(1399),
    [aux_sym_trap_statement_token1] = ACTIONS(1399),
    [aux_sym_try_statement_token1] = ACTIONS(1399),
    [aux_sym_catch_clause_token1] = ACTIONS(1401),
    [aux_sym_finally_clause_token1] = ACTIONS(1399),
    [aux_sym_data_statement_token1] = ACTIONS(1399),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1399),
    [aux_sym_parallel_statement_token1] = ACTIONS(1399),
    [aux_sym_sequence_statement_token1] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [aux_sym_command_name_token1] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [aux_sym_foreach_command_token1] = ACTIONS(1399),
    [aux_sym_class_statement_token1] = ACTIONS(1399),
    [aux_sym_enum_statement_token1] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1399),
    [anon_sym_BANG] = ACTIONS(1399),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(1399),
    [anon_sym_DASH_DASH] = ACTIONS(1399),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1399),
    [anon_sym_AT_LPAREN] = ACTIONS(1399),
    [anon_sym_AT_LBRACE] = ACTIONS(1399),
  },
  [323] = {
    [sym_elseif_clause] = STATE(323),
    [aux_sym_elseif_clauses_repeat1] = STATE(323),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1404),
    [sym_hexadecimal_integer_literal] = ACTIONS(1404),
    [sym_real_literal] = ACTIONS(1404),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1404),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1404),
    [sym_verbatim_string_characters] = ACTIONS(1404),
    [sym_verbatim_here_string_characters] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [aux_sym_comparison_operator_token37] = ACTIONS(1404),
    [aux_sym_comparison_operator_token50] = ACTIONS(1404),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1404),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1404),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1404),
    [anon_sym_DOLLAR_] = ACTIONS(1404),
    [aux_sym_variable_token1] = ACTIONS(1404),
    [aux_sym_variable_token2] = ACTIONS(1404),
    [sym_braced_variable] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_RPAREN] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_elseif_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_function_statement_token1] = ACTIONS(1404),
    [aux_sym_function_statement_token2] = ACTIONS(1404),
    [aux_sym_function_statement_token3] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1404),
    [sym_label] = ACTIONS(1404),
    [aux_sym_trap_statement_token1] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_data_statement_token1] = ACTIONS(1404),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1404),
    [aux_sym_parallel_statement_token1] = ACTIONS(1404),
    [aux_sym_sequence_statement_token1] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [aux_sym_command_name_token1] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [aux_sym_foreach_command_token1] = ACTIONS(1404),
    [aux_sym_class_statement_token1] = ACTIONS(1404),
    [aux_sym_enum_statement_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1404),
    [anon_sym_AT_LPAREN] = ACTIONS(1404),
    [anon_sym_AT_LBRACE] = ACTIONS(1404),
  },
  [324] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1922),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [325] = {
    [sym_format_operator] = STATE(581),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(795),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(795),
    [anon_sym_RBRACK] = ACTIONS(795),
  },
  [326] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(1411),
    [anon_sym_RBRACK] = ACTIONS(805),
  },
  [327] = {
    [sym_format_operator] = STATE(581),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(801),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_RBRACK] = ACTIONS(801),
  },
  [328] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(2049),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [329] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(330),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1415),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
  },
  [330] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(330),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1379),
    [sym_hexadecimal_integer_literal] = ACTIONS(1379),
    [sym_real_literal] = ACTIONS(1379),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1379),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1379),
    [sym_verbatim_string_characters] = ACTIONS(1379),
    [sym_verbatim_here_string_characters] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1379),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_GT] = ACTIONS(1379),
    [anon_sym_2_GT] = ACTIONS(1379),
    [anon_sym_2_GT_GT] = ACTIONS(1379),
    [anon_sym_3_GT] = ACTIONS(1379),
    [anon_sym_3_GT_GT] = ACTIONS(1379),
    [anon_sym_4_GT] = ACTIONS(1379),
    [anon_sym_4_GT_GT] = ACTIONS(1379),
    [anon_sym_5_GT] = ACTIONS(1379),
    [anon_sym_5_GT_GT] = ACTIONS(1379),
    [anon_sym_6_GT] = ACTIONS(1379),
    [anon_sym_6_GT_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT_GT] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1379),
    [anon_sym_2_GT_AMP1] = ACTIONS(1379),
    [anon_sym_3_GT_AMP1] = ACTIONS(1379),
    [anon_sym_4_GT_AMP1] = ACTIONS(1379),
    [anon_sym_5_GT_AMP1] = ACTIONS(1379),
    [anon_sym_6_GT_AMP1] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1379),
    [anon_sym_1_GT_AMP2] = ACTIONS(1379),
    [anon_sym_3_GT_AMP2] = ACTIONS(1379),
    [anon_sym_4_GT_AMP2] = ACTIONS(1379),
    [anon_sym_5_GT_AMP2] = ACTIONS(1379),
    [anon_sym_6_GT_AMP2] = ACTIONS(1379),
    [aux_sym_comparison_operator_token37] = ACTIONS(1379),
    [aux_sym_comparison_operator_token50] = ACTIONS(1379),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1379),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1379),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1379),
    [anon_sym_DOLLAR_] = ACTIONS(1379),
    [aux_sym_variable_token1] = ACTIONS(1379),
    [aux_sym_variable_token2] = ACTIONS(1379),
    [sym_braced_variable] = ACTIONS(1379),
    [sym_generic_token] = ACTIONS(1379),
    [sym_command_parameter] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1379),
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_PIPE] = ACTIONS(1379),
    [sym_stop_parsing] = ACTIONS(1379),
    [anon_sym_SPACE] = ACTIONS(1417),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1379),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LBRACE] = ACTIONS(1379),
  },
  [331] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1367),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
    [sym__statement_terminator] = ACTIONS(1371),
  },
  [332] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1757),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [333] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1422),
    [sym_hexadecimal_integer_literal] = ACTIONS(1422),
    [sym_real_literal] = ACTIONS(1422),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1422),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1422),
    [sym_verbatim_string_characters] = ACTIONS(1422),
    [sym_verbatim_here_string_characters] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [aux_sym_comparison_operator_token37] = ACTIONS(1422),
    [aux_sym_comparison_operator_token50] = ACTIONS(1422),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1422),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1422),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1422),
    [anon_sym_DOLLAR_] = ACTIONS(1422),
    [aux_sym_variable_token1] = ACTIONS(1422),
    [aux_sym_variable_token2] = ACTIONS(1422),
    [sym_braced_variable] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_param_block_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_block_name_token1] = ACTIONS(1422),
    [aux_sym_block_name_token2] = ACTIONS(1422),
    [aux_sym_block_name_token3] = ACTIONS(1422),
    [aux_sym_block_name_token4] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_function_statement_token1] = ACTIONS(1422),
    [aux_sym_function_statement_token2] = ACTIONS(1422),
    [aux_sym_function_statement_token3] = ACTIONS(1422),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1422),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1422),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1422),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1422),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1422),
    [sym_label] = ACTIONS(1422),
    [aux_sym_trap_statement_token1] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_data_statement_token1] = ACTIONS(1422),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1422),
    [aux_sym_parallel_statement_token1] = ACTIONS(1422),
    [aux_sym_sequence_statement_token1] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [aux_sym_command_name_token1] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [aux_sym_foreach_command_token1] = ACTIONS(1422),
    [aux_sym_class_statement_token1] = ACTIONS(1422),
    [aux_sym_enum_statement_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1422),
    [anon_sym_AT_LPAREN] = ACTIONS(1422),
    [anon_sym_AT_LBRACE] = ACTIONS(1422),
    [sym__statement_terminator] = ACTIONS(1424),
  },
  [334] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1780),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1426),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [335] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1428),
    [sym_hexadecimal_integer_literal] = ACTIONS(1428),
    [sym_real_literal] = ACTIONS(1428),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1428),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1428),
    [sym_verbatim_string_characters] = ACTIONS(1428),
    [sym_verbatim_here_string_characters] = ACTIONS(1428),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [aux_sym_comparison_operator_token37] = ACTIONS(1428),
    [aux_sym_comparison_operator_token50] = ACTIONS(1428),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1428),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1428),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1428),
    [anon_sym_DOLLAR_] = ACTIONS(1428),
    [aux_sym_variable_token1] = ACTIONS(1428),
    [aux_sym_variable_token2] = ACTIONS(1428),
    [sym_braced_variable] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_param_block_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1428),
    [aux_sym_block_name_token1] = ACTIONS(1428),
    [aux_sym_block_name_token2] = ACTIONS(1428),
    [aux_sym_block_name_token3] = ACTIONS(1428),
    [aux_sym_block_name_token4] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_function_statement_token1] = ACTIONS(1428),
    [aux_sym_function_statement_token2] = ACTIONS(1428),
    [aux_sym_function_statement_token3] = ACTIONS(1428),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1428),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1428),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1428),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1428),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1428),
    [sym_label] = ACTIONS(1428),
    [aux_sym_trap_statement_token1] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_data_statement_token1] = ACTIONS(1428),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1428),
    [aux_sym_parallel_statement_token1] = ACTIONS(1428),
    [aux_sym_sequence_statement_token1] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [aux_sym_command_name_token1] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1428),
    [aux_sym_foreach_command_token1] = ACTIONS(1428),
    [aux_sym_class_statement_token1] = ACTIONS(1428),
    [aux_sym_enum_statement_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1428),
    [anon_sym_AT_LPAREN] = ACTIONS(1428),
    [anon_sym_AT_LBRACE] = ACTIONS(1428),
    [sym__statement_terminator] = ACTIONS(1430),
  },
  [336] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(811),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_DOT_DOT] = ACTIONS(1411),
    [anon_sym_RBRACK] = ACTIONS(811),
  },
  [337] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1802),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [338] = {
    [sym_elseif_clause] = STATE(323),
    [aux_sym_elseif_clauses_repeat1] = STATE(323),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1434),
    [sym_hexadecimal_integer_literal] = ACTIONS(1434),
    [sym_real_literal] = ACTIONS(1434),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1434),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1434),
    [sym_verbatim_string_characters] = ACTIONS(1434),
    [sym_verbatim_here_string_characters] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_comparison_operator_token37] = ACTIONS(1434),
    [aux_sym_comparison_operator_token50] = ACTIONS(1434),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1434),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1434),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1434),
    [anon_sym_DOLLAR_] = ACTIONS(1434),
    [aux_sym_variable_token1] = ACTIONS(1434),
    [aux_sym_variable_token2] = ACTIONS(1434),
    [sym_braced_variable] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_elseif_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_function_statement_token1] = ACTIONS(1434),
    [aux_sym_function_statement_token2] = ACTIONS(1434),
    [aux_sym_function_statement_token3] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1434),
    [sym_label] = ACTIONS(1434),
    [aux_sym_trap_statement_token1] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_data_statement_token1] = ACTIONS(1434),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1434),
    [aux_sym_parallel_statement_token1] = ACTIONS(1434),
    [aux_sym_sequence_statement_token1] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [aux_sym_command_name_token1] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [aux_sym_foreach_command_token1] = ACTIONS(1434),
    [aux_sym_class_statement_token1] = ACTIONS(1434),
    [aux_sym_enum_statement_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1434),
    [anon_sym_AT_LPAREN] = ACTIONS(1434),
    [anon_sym_AT_LBRACE] = ACTIONS(1434),
  },
  [339] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1824),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [340] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1831),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [341] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1838),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [342] = {
    [sym_catch_clause] = STATE(322),
    [aux_sym_catch_clauses_repeat1] = STATE(322),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1442),
    [sym_hexadecimal_integer_literal] = ACTIONS(1442),
    [sym_real_literal] = ACTIONS(1442),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1442),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1442),
    [sym_verbatim_string_characters] = ACTIONS(1442),
    [sym_verbatim_here_string_characters] = ACTIONS(1442),
    [anon_sym_DOT] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [aux_sym_comparison_operator_token37] = ACTIONS(1442),
    [aux_sym_comparison_operator_token50] = ACTIONS(1442),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1442),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1442),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1442),
    [anon_sym_DOLLAR_] = ACTIONS(1442),
    [aux_sym_variable_token1] = ACTIONS(1442),
    [aux_sym_variable_token2] = ACTIONS(1442),
    [sym_braced_variable] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_RPAREN] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_function_statement_token1] = ACTIONS(1442),
    [aux_sym_function_statement_token2] = ACTIONS(1442),
    [aux_sym_function_statement_token3] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1442),
    [sym_label] = ACTIONS(1442),
    [aux_sym_trap_statement_token1] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_catch_clause_token1] = ACTIONS(1360),
    [aux_sym_finally_clause_token1] = ACTIONS(1442),
    [aux_sym_data_statement_token1] = ACTIONS(1442),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1442),
    [aux_sym_parallel_statement_token1] = ACTIONS(1442),
    [aux_sym_sequence_statement_token1] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [aux_sym_command_name_token1] = ACTIONS(1442),
    [anon_sym_PERCENT] = ACTIONS(1442),
    [aux_sym_foreach_command_token1] = ACTIONS(1442),
    [aux_sym_class_statement_token1] = ACTIONS(1442),
    [aux_sym_enum_statement_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1442),
    [anon_sym_AT_LPAREN] = ACTIONS(1442),
    [anon_sym_AT_LBRACE] = ACTIONS(1442),
  },
  [343] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1843),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [344] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1846),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [345] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1448),
    [sym_hexadecimal_integer_literal] = ACTIONS(1448),
    [sym_real_literal] = ACTIONS(1448),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1448),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1448),
    [sym_verbatim_string_characters] = ACTIONS(1448),
    [sym_verbatim_here_string_characters] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [aux_sym_comparison_operator_token37] = ACTIONS(1448),
    [aux_sym_comparison_operator_token50] = ACTIONS(1448),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1448),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1448),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1448),
    [anon_sym_DOLLAR_] = ACTIONS(1448),
    [aux_sym_variable_token1] = ACTIONS(1448),
    [aux_sym_variable_token2] = ACTIONS(1448),
    [sym_braced_variable] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_param_block_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [aux_sym_block_name_token1] = ACTIONS(1448),
    [aux_sym_block_name_token2] = ACTIONS(1448),
    [aux_sym_block_name_token3] = ACTIONS(1448),
    [aux_sym_block_name_token4] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_function_statement_token1] = ACTIONS(1448),
    [aux_sym_function_statement_token2] = ACTIONS(1448),
    [aux_sym_function_statement_token3] = ACTIONS(1448),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1448),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1448),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1448),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1448),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1448),
    [sym_label] = ACTIONS(1448),
    [aux_sym_trap_statement_token1] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_data_statement_token1] = ACTIONS(1448),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1448),
    [aux_sym_parallel_statement_token1] = ACTIONS(1448),
    [aux_sym_sequence_statement_token1] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [aux_sym_command_name_token1] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [aux_sym_foreach_command_token1] = ACTIONS(1448),
    [aux_sym_class_statement_token1] = ACTIONS(1448),
    [aux_sym_enum_statement_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1448),
    [anon_sym_AT_LPAREN] = ACTIONS(1448),
    [anon_sym_AT_LBRACE] = ACTIONS(1448),
    [sym__statement_terminator] = ACTIONS(1450),
  },
  [346] = {
    [sym_format_operator] = STATE(582),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(795),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(795),
    [sym__statement_terminator] = ACTIONS(795),
  },
  [347] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(1452),
    [sym__statement_terminator] = ACTIONS(805),
  },
  [348] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(2073),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [349] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1784),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [350] = {
    [sym_format_operator] = STATE(582),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(801),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(801),
    [sym__statement_terminator] = ACTIONS(801),
  },
  [351] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1367),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
  },
  [352] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(811),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_DOT_DOT] = ACTIONS(1452),
    [sym__statement_terminator] = ACTIONS(811),
  },
  [353] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(354),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1458),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
    [sym__statement_terminator] = ACTIONS(1371),
  },
  [354] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(354),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1379),
    [sym_hexadecimal_integer_literal] = ACTIONS(1379),
    [sym_real_literal] = ACTIONS(1379),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1379),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1379),
    [sym_verbatim_string_characters] = ACTIONS(1379),
    [sym_verbatim_here_string_characters] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1379),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_GT] = ACTIONS(1379),
    [anon_sym_2_GT] = ACTIONS(1379),
    [anon_sym_2_GT_GT] = ACTIONS(1379),
    [anon_sym_3_GT] = ACTIONS(1379),
    [anon_sym_3_GT_GT] = ACTIONS(1379),
    [anon_sym_4_GT] = ACTIONS(1379),
    [anon_sym_4_GT_GT] = ACTIONS(1379),
    [anon_sym_5_GT] = ACTIONS(1379),
    [anon_sym_5_GT_GT] = ACTIONS(1379),
    [anon_sym_6_GT] = ACTIONS(1379),
    [anon_sym_6_GT_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT] = ACTIONS(1379),
    [anon_sym_STAR_GT_GT] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1379),
    [anon_sym_2_GT_AMP1] = ACTIONS(1379),
    [anon_sym_3_GT_AMP1] = ACTIONS(1379),
    [anon_sym_4_GT_AMP1] = ACTIONS(1379),
    [anon_sym_5_GT_AMP1] = ACTIONS(1379),
    [anon_sym_6_GT_AMP1] = ACTIONS(1379),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1379),
    [anon_sym_1_GT_AMP2] = ACTIONS(1379),
    [anon_sym_3_GT_AMP2] = ACTIONS(1379),
    [anon_sym_4_GT_AMP2] = ACTIONS(1379),
    [anon_sym_5_GT_AMP2] = ACTIONS(1379),
    [anon_sym_6_GT_AMP2] = ACTIONS(1379),
    [aux_sym_comparison_operator_token37] = ACTIONS(1379),
    [aux_sym_comparison_operator_token50] = ACTIONS(1379),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1379),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1379),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1379),
    [anon_sym_DOLLAR_] = ACTIONS(1379),
    [aux_sym_variable_token1] = ACTIONS(1379),
    [aux_sym_variable_token2] = ACTIONS(1379),
    [sym_braced_variable] = ACTIONS(1379),
    [sym_generic_token] = ACTIONS(1379),
    [sym_command_parameter] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_PIPE] = ACTIONS(1379),
    [sym_stop_parsing] = ACTIONS(1379),
    [anon_sym_SPACE] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1379),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1379),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LPAREN] = ACTIONS(1379),
    [anon_sym_AT_LBRACE] = ACTIONS(1379),
    [sym__statement_terminator] = ACTIONS(1389),
  },
  [355] = {
    [aux_sym_script_block_repeat1] = STATE(355),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1463),
    [sym_hexadecimal_integer_literal] = ACTIONS(1463),
    [sym_real_literal] = ACTIONS(1463),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1463),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1463),
    [sym_verbatim_string_characters] = ACTIONS(1463),
    [sym_verbatim_here_string_characters] = ACTIONS(1463),
    [anon_sym_DOT] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1463),
    [aux_sym_comparison_operator_token37] = ACTIONS(1463),
    [aux_sym_comparison_operator_token50] = ACTIONS(1463),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1463),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1463),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1463),
    [anon_sym_DOLLAR_] = ACTIONS(1463),
    [aux_sym_variable_token1] = ACTIONS(1463),
    [aux_sym_variable_token2] = ACTIONS(1463),
    [sym_braced_variable] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1463),
    [aux_sym_block_name_token1] = ACTIONS(1463),
    [aux_sym_block_name_token2] = ACTIONS(1463),
    [aux_sym_block_name_token3] = ACTIONS(1463),
    [aux_sym_block_name_token4] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_switch_statement_token1] = ACTIONS(1463),
    [aux_sym_foreach_statement_token1] = ACTIONS(1463),
    [aux_sym_for_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_do_statement_token1] = ACTIONS(1463),
    [aux_sym_function_statement_token1] = ACTIONS(1463),
    [aux_sym_function_statement_token2] = ACTIONS(1463),
    [aux_sym_function_statement_token3] = ACTIONS(1463),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1463),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1463),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1463),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1463),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1463),
    [sym_label] = ACTIONS(1463),
    [aux_sym_trap_statement_token1] = ACTIONS(1463),
    [aux_sym_try_statement_token1] = ACTIONS(1463),
    [aux_sym_data_statement_token1] = ACTIONS(1463),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1463),
    [aux_sym_parallel_statement_token1] = ACTIONS(1463),
    [aux_sym_sequence_statement_token1] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1463),
    [aux_sym_command_name_token1] = ACTIONS(1463),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [aux_sym_foreach_command_token1] = ACTIONS(1463),
    [aux_sym_class_statement_token1] = ACTIONS(1463),
    [aux_sym_enum_statement_token1] = ACTIONS(1463),
    [anon_sym_PLUS] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1463),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1463),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_DASH_DASH] = ACTIONS(1463),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1463),
    [anon_sym_AT_LPAREN] = ACTIONS(1463),
    [anon_sym_AT_LBRACE] = ACTIONS(1463),
  },
  [356] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(2013),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [357] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(1730),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [358] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1367),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
    [sym__statement_terminator] = ACTIONS(1371),
  },
  [359] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1665),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [360] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(2023),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [361] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1755),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [362] = {
    [sym_elseif_clause] = STATE(365),
    [aux_sym_elseif_clauses_repeat1] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1434),
    [sym_hexadecimal_integer_literal] = ACTIONS(1434),
    [sym_real_literal] = ACTIONS(1434),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1434),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1434),
    [sym_verbatim_string_characters] = ACTIONS(1434),
    [sym_verbatim_here_string_characters] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_comparison_operator_token37] = ACTIONS(1434),
    [aux_sym_comparison_operator_token50] = ACTIONS(1434),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1434),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1434),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1434),
    [anon_sym_DOLLAR_] = ACTIONS(1434),
    [aux_sym_variable_token1] = ACTIONS(1434),
    [aux_sym_variable_token2] = ACTIONS(1434),
    [sym_braced_variable] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_elseif_clause_token1] = ACTIONS(1395),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_function_statement_token1] = ACTIONS(1434),
    [aux_sym_function_statement_token2] = ACTIONS(1434),
    [aux_sym_function_statement_token3] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1434),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1434),
    [sym_label] = ACTIONS(1434),
    [aux_sym_trap_statement_token1] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_data_statement_token1] = ACTIONS(1434),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1434),
    [aux_sym_parallel_statement_token1] = ACTIONS(1434),
    [aux_sym_sequence_statement_token1] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [aux_sym_command_name_token1] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [aux_sym_foreach_command_token1] = ACTIONS(1434),
    [aux_sym_class_statement_token1] = ACTIONS(1434),
    [aux_sym_enum_statement_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1434),
    [anon_sym_AT_LPAREN] = ACTIONS(1434),
    [anon_sym_AT_LBRACE] = ACTIONS(1434),
  },
  [363] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1470),
    [sym_hexadecimal_integer_literal] = ACTIONS(1470),
    [sym_real_literal] = ACTIONS(1470),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1470),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1470),
    [sym_verbatim_string_characters] = ACTIONS(1470),
    [sym_verbatim_here_string_characters] = ACTIONS(1470),
    [anon_sym_DOT] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [aux_sym_comparison_operator_token37] = ACTIONS(1470),
    [aux_sym_comparison_operator_token50] = ACTIONS(1470),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1470),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1470),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1470),
    [anon_sym_DOLLAR_] = ACTIONS(1470),
    [aux_sym_variable_token1] = ACTIONS(1470),
    [aux_sym_variable_token2] = ACTIONS(1470),
    [sym_braced_variable] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_block_name_token1] = ACTIONS(1472),
    [aux_sym_block_name_token2] = ACTIONS(1472),
    [aux_sym_block_name_token3] = ACTIONS(1472),
    [aux_sym_block_name_token4] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_function_statement_token1] = ACTIONS(1470),
    [aux_sym_function_statement_token2] = ACTIONS(1470),
    [aux_sym_function_statement_token3] = ACTIONS(1470),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1470),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1470),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1470),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1470),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1470),
    [sym_label] = ACTIONS(1470),
    [aux_sym_trap_statement_token1] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_data_statement_token1] = ACTIONS(1470),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1470),
    [aux_sym_parallel_statement_token1] = ACTIONS(1470),
    [aux_sym_sequence_statement_token1] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [aux_sym_command_name_token1] = ACTIONS(1470),
    [anon_sym_PERCENT] = ACTIONS(1470),
    [aux_sym_foreach_command_token1] = ACTIONS(1470),
    [aux_sym_class_statement_token1] = ACTIONS(1470),
    [aux_sym_enum_statement_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1470),
    [anon_sym_AT_LPAREN] = ACTIONS(1470),
    [anon_sym_AT_LBRACE] = ACTIONS(1470),
  },
  [364] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1779),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [365] = {
    [sym_elseif_clause] = STATE(365),
    [aux_sym_elseif_clauses_repeat1] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1404),
    [sym_hexadecimal_integer_literal] = ACTIONS(1404),
    [sym_real_literal] = ACTIONS(1404),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1404),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1404),
    [sym_verbatim_string_characters] = ACTIONS(1404),
    [sym_verbatim_here_string_characters] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [aux_sym_comparison_operator_token37] = ACTIONS(1404),
    [aux_sym_comparison_operator_token50] = ACTIONS(1404),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1404),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1404),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1404),
    [anon_sym_DOLLAR_] = ACTIONS(1404),
    [aux_sym_variable_token1] = ACTIONS(1404),
    [aux_sym_variable_token2] = ACTIONS(1404),
    [sym_braced_variable] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_elseif_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_function_statement_token1] = ACTIONS(1404),
    [aux_sym_function_statement_token2] = ACTIONS(1404),
    [aux_sym_function_statement_token3] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1404),
    [sym_label] = ACTIONS(1404),
    [aux_sym_trap_statement_token1] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_data_statement_token1] = ACTIONS(1404),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1404),
    [aux_sym_parallel_statement_token1] = ACTIONS(1404),
    [aux_sym_sequence_statement_token1] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [aux_sym_command_name_token1] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [aux_sym_foreach_command_token1] = ACTIONS(1404),
    [aux_sym_class_statement_token1] = ACTIONS(1404),
    [aux_sym_enum_statement_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1404),
    [anon_sym_AT_LPAREN] = ACTIONS(1404),
    [anon_sym_AT_LBRACE] = ACTIONS(1404),
  },
  [366] = {
    [sym_catch_clause] = STATE(366),
    [aux_sym_catch_clauses_repeat1] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(1479),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1399),
    [sym_hexadecimal_integer_literal] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1399),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1399),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1399),
    [sym_verbatim_string_characters] = ACTIONS(1399),
    [sym_verbatim_here_string_characters] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1399),
    [aux_sym_comparison_operator_token37] = ACTIONS(1399),
    [aux_sym_comparison_operator_token50] = ACTIONS(1399),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1399),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1399),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1399),
    [anon_sym_DOLLAR_] = ACTIONS(1399),
    [aux_sym_variable_token1] = ACTIONS(1399),
    [aux_sym_variable_token2] = ACTIONS(1399),
    [sym_braced_variable] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_switch_statement_token1] = ACTIONS(1399),
    [aux_sym_foreach_statement_token1] = ACTIONS(1399),
    [aux_sym_for_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_do_statement_token1] = ACTIONS(1399),
    [aux_sym_function_statement_token1] = ACTIONS(1399),
    [aux_sym_function_statement_token2] = ACTIONS(1399),
    [aux_sym_function_statement_token3] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1399),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1399),
    [sym_label] = ACTIONS(1399),
    [aux_sym_trap_statement_token1] = ACTIONS(1399),
    [aux_sym_try_statement_token1] = ACTIONS(1399),
    [aux_sym_catch_clause_token1] = ACTIONS(1481),
    [aux_sym_finally_clause_token1] = ACTIONS(1399),
    [aux_sym_data_statement_token1] = ACTIONS(1399),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1399),
    [aux_sym_parallel_statement_token1] = ACTIONS(1399),
    [aux_sym_sequence_statement_token1] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [aux_sym_command_name_token1] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [aux_sym_foreach_command_token1] = ACTIONS(1399),
    [aux_sym_class_statement_token1] = ACTIONS(1399),
    [aux_sym_enum_statement_token1] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1399),
    [anon_sym_BANG] = ACTIONS(1399),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(1399),
    [anon_sym_DASH_DASH] = ACTIONS(1399),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1399),
    [anon_sym_AT_LPAREN] = ACTIONS(1399),
    [anon_sym_AT_LBRACE] = ACTIONS(1399),
  },
  [367] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(1853),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [368] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1801),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [369] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1823),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [370] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1774),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [371] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(2044),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [372] = {
    [sym_catch_clause] = STATE(366),
    [aux_sym_catch_clauses_repeat1] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1442),
    [sym_hexadecimal_integer_literal] = ACTIONS(1442),
    [sym_real_literal] = ACTIONS(1442),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1442),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1442),
    [sym_verbatim_string_characters] = ACTIONS(1442),
    [sym_verbatim_here_string_characters] = ACTIONS(1442),
    [anon_sym_DOT] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [aux_sym_comparison_operator_token37] = ACTIONS(1442),
    [aux_sym_comparison_operator_token50] = ACTIONS(1442),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1442),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1442),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1442),
    [anon_sym_DOLLAR_] = ACTIONS(1442),
    [aux_sym_variable_token1] = ACTIONS(1442),
    [aux_sym_variable_token2] = ACTIONS(1442),
    [sym_braced_variable] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_function_statement_token1] = ACTIONS(1442),
    [aux_sym_function_statement_token2] = ACTIONS(1442),
    [aux_sym_function_statement_token3] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1442),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1442),
    [sym_label] = ACTIONS(1442),
    [aux_sym_trap_statement_token1] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_catch_clause_token1] = ACTIONS(1375),
    [aux_sym_finally_clause_token1] = ACTIONS(1442),
    [aux_sym_data_statement_token1] = ACTIONS(1442),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1442),
    [aux_sym_parallel_statement_token1] = ACTIONS(1442),
    [aux_sym_sequence_statement_token1] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [aux_sym_command_name_token1] = ACTIONS(1442),
    [anon_sym_PERCENT] = ACTIONS(1442),
    [aux_sym_foreach_command_token1] = ACTIONS(1442),
    [aux_sym_class_statement_token1] = ACTIONS(1442),
    [aux_sym_enum_statement_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1442),
    [anon_sym_AT_LPAREN] = ACTIONS(1442),
    [anon_sym_AT_LBRACE] = ACTIONS(1442),
  },
  [373] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(817),
    [aux_sym_comparison_operator_token2] = ACTIONS(817),
    [aux_sym_comparison_operator_token3] = ACTIONS(817),
    [aux_sym_comparison_operator_token4] = ACTIONS(817),
    [aux_sym_comparison_operator_token5] = ACTIONS(817),
    [aux_sym_comparison_operator_token6] = ACTIONS(817),
    [aux_sym_comparison_operator_token7] = ACTIONS(817),
    [aux_sym_comparison_operator_token8] = ACTIONS(817),
    [aux_sym_comparison_operator_token9] = ACTIONS(817),
    [aux_sym_comparison_operator_token10] = ACTIONS(817),
    [aux_sym_comparison_operator_token11] = ACTIONS(817),
    [aux_sym_comparison_operator_token12] = ACTIONS(817),
    [aux_sym_comparison_operator_token13] = ACTIONS(817),
    [aux_sym_comparison_operator_token14] = ACTIONS(817),
    [aux_sym_comparison_operator_token15] = ACTIONS(817),
    [aux_sym_comparison_operator_token16] = ACTIONS(817),
    [aux_sym_comparison_operator_token17] = ACTIONS(817),
    [aux_sym_comparison_operator_token18] = ACTIONS(817),
    [aux_sym_comparison_operator_token19] = ACTIONS(817),
    [aux_sym_comparison_operator_token20] = ACTIONS(817),
    [aux_sym_comparison_operator_token21] = ACTIONS(817),
    [aux_sym_comparison_operator_token22] = ACTIONS(817),
    [aux_sym_comparison_operator_token23] = ACTIONS(817),
    [aux_sym_comparison_operator_token24] = ACTIONS(817),
    [aux_sym_comparison_operator_token25] = ACTIONS(817),
    [aux_sym_comparison_operator_token26] = ACTIONS(817),
    [aux_sym_comparison_operator_token27] = ACTIONS(817),
    [aux_sym_comparison_operator_token28] = ACTIONS(819),
    [aux_sym_comparison_operator_token29] = ACTIONS(817),
    [aux_sym_comparison_operator_token30] = ACTIONS(817),
    [aux_sym_comparison_operator_token31] = ACTIONS(817),
    [aux_sym_comparison_operator_token32] = ACTIONS(817),
    [aux_sym_comparison_operator_token33] = ACTIONS(817),
    [aux_sym_comparison_operator_token34] = ACTIONS(819),
    [aux_sym_comparison_operator_token35] = ACTIONS(817),
    [aux_sym_comparison_operator_token36] = ACTIONS(817),
    [aux_sym_comparison_operator_token37] = ACTIONS(817),
    [aux_sym_comparison_operator_token38] = ACTIONS(817),
    [aux_sym_comparison_operator_token39] = ACTIONS(817),
    [aux_sym_comparison_operator_token40] = ACTIONS(817),
    [aux_sym_comparison_operator_token41] = ACTIONS(817),
    [aux_sym_comparison_operator_token42] = ACTIONS(817),
    [aux_sym_comparison_operator_token43] = ACTIONS(817),
    [aux_sym_comparison_operator_token44] = ACTIONS(817),
    [aux_sym_comparison_operator_token45] = ACTIONS(817),
    [aux_sym_comparison_operator_token46] = ACTIONS(817),
    [aux_sym_comparison_operator_token47] = ACTIONS(817),
    [aux_sym_comparison_operator_token48] = ACTIONS(817),
    [aux_sym_comparison_operator_token49] = ACTIONS(817),
    [aux_sym_comparison_operator_token50] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(1486),
    [aux_sym_logical_expression_token1] = ACTIONS(817),
    [aux_sym_logical_expression_token2] = ACTIONS(817),
    [aux_sym_logical_expression_token3] = ACTIONS(817),
    [aux_sym_bitwise_expression_token1] = ACTIONS(817),
    [aux_sym_bitwise_expression_token2] = ACTIONS(817),
    [aux_sym_bitwise_expression_token3] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1486),
  },
  [374] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hexadecimal_integer_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1367),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1367),
    [sym_verbatim_string_characters] = ACTIONS(1367),
    [sym_verbatim_here_string_characters] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_2_GT] = ACTIONS(1367),
    [anon_sym_2_GT_GT] = ACTIONS(1367),
    [anon_sym_3_GT] = ACTIONS(1367),
    [anon_sym_3_GT_GT] = ACTIONS(1367),
    [anon_sym_4_GT] = ACTIONS(1367),
    [anon_sym_4_GT_GT] = ACTIONS(1367),
    [anon_sym_5_GT] = ACTIONS(1367),
    [anon_sym_5_GT_GT] = ACTIONS(1367),
    [anon_sym_6_GT] = ACTIONS(1367),
    [anon_sym_6_GT_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT] = ACTIONS(1367),
    [anon_sym_STAR_GT_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1367),
    [anon_sym_2_GT_AMP1] = ACTIONS(1367),
    [anon_sym_3_GT_AMP1] = ACTIONS(1367),
    [anon_sym_4_GT_AMP1] = ACTIONS(1367),
    [anon_sym_5_GT_AMP1] = ACTIONS(1367),
    [anon_sym_6_GT_AMP1] = ACTIONS(1367),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1367),
    [anon_sym_1_GT_AMP2] = ACTIONS(1367),
    [anon_sym_3_GT_AMP2] = ACTIONS(1367),
    [anon_sym_4_GT_AMP2] = ACTIONS(1367),
    [anon_sym_5_GT_AMP2] = ACTIONS(1367),
    [anon_sym_6_GT_AMP2] = ACTIONS(1367),
    [aux_sym_comparison_operator_token37] = ACTIONS(1367),
    [aux_sym_comparison_operator_token50] = ACTIONS(1367),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1367),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1367),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1367),
    [anon_sym_DOLLAR_] = ACTIONS(1367),
    [aux_sym_variable_token1] = ACTIONS(1367),
    [aux_sym_variable_token2] = ACTIONS(1367),
    [sym_braced_variable] = ACTIONS(1367),
    [sym_generic_token] = ACTIONS(1367),
    [sym_command_parameter] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [sym_stop_parsing] = ACTIONS(1367),
    [anon_sym_SPACE] = ACTIONS(1367),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LPAREN] = ACTIONS(1367),
    [anon_sym_AT_LBRACE] = ACTIONS(1367),
  },
  [375] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(1748),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [376] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1702),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [377] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1991),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [378] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(825),
    [aux_sym_comparison_operator_token2] = ACTIONS(825),
    [aux_sym_comparison_operator_token3] = ACTIONS(825),
    [aux_sym_comparison_operator_token4] = ACTIONS(825),
    [aux_sym_comparison_operator_token5] = ACTIONS(825),
    [aux_sym_comparison_operator_token6] = ACTIONS(825),
    [aux_sym_comparison_operator_token7] = ACTIONS(825),
    [aux_sym_comparison_operator_token8] = ACTIONS(825),
    [aux_sym_comparison_operator_token9] = ACTIONS(825),
    [aux_sym_comparison_operator_token10] = ACTIONS(825),
    [aux_sym_comparison_operator_token11] = ACTIONS(825),
    [aux_sym_comparison_operator_token12] = ACTIONS(825),
    [aux_sym_comparison_operator_token13] = ACTIONS(825),
    [aux_sym_comparison_operator_token14] = ACTIONS(825),
    [aux_sym_comparison_operator_token15] = ACTIONS(825),
    [aux_sym_comparison_operator_token16] = ACTIONS(825),
    [aux_sym_comparison_operator_token17] = ACTIONS(825),
    [aux_sym_comparison_operator_token18] = ACTIONS(825),
    [aux_sym_comparison_operator_token19] = ACTIONS(825),
    [aux_sym_comparison_operator_token20] = ACTIONS(825),
    [aux_sym_comparison_operator_token21] = ACTIONS(825),
    [aux_sym_comparison_operator_token22] = ACTIONS(825),
    [aux_sym_comparison_operator_token23] = ACTIONS(825),
    [aux_sym_comparison_operator_token24] = ACTIONS(825),
    [aux_sym_comparison_operator_token25] = ACTIONS(825),
    [aux_sym_comparison_operator_token26] = ACTIONS(825),
    [aux_sym_comparison_operator_token27] = ACTIONS(825),
    [aux_sym_comparison_operator_token28] = ACTIONS(827),
    [aux_sym_comparison_operator_token29] = ACTIONS(825),
    [aux_sym_comparison_operator_token30] = ACTIONS(825),
    [aux_sym_comparison_operator_token31] = ACTIONS(825),
    [aux_sym_comparison_operator_token32] = ACTIONS(825),
    [aux_sym_comparison_operator_token33] = ACTIONS(825),
    [aux_sym_comparison_operator_token34] = ACTIONS(827),
    [aux_sym_comparison_operator_token35] = ACTIONS(825),
    [aux_sym_comparison_operator_token36] = ACTIONS(825),
    [aux_sym_comparison_operator_token37] = ACTIONS(825),
    [aux_sym_comparison_operator_token38] = ACTIONS(825),
    [aux_sym_comparison_operator_token39] = ACTIONS(825),
    [aux_sym_comparison_operator_token40] = ACTIONS(825),
    [aux_sym_comparison_operator_token41] = ACTIONS(825),
    [aux_sym_comparison_operator_token42] = ACTIONS(825),
    [aux_sym_comparison_operator_token43] = ACTIONS(825),
    [aux_sym_comparison_operator_token44] = ACTIONS(825),
    [aux_sym_comparison_operator_token45] = ACTIONS(825),
    [aux_sym_comparison_operator_token46] = ACTIONS(825),
    [aux_sym_comparison_operator_token47] = ACTIONS(825),
    [aux_sym_comparison_operator_token48] = ACTIONS(825),
    [aux_sym_comparison_operator_token49] = ACTIONS(825),
    [aux_sym_comparison_operator_token50] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_COMMA] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(1486),
    [aux_sym_logical_expression_token1] = ACTIONS(825),
    [aux_sym_logical_expression_token2] = ACTIONS(825),
    [aux_sym_logical_expression_token3] = ACTIONS(825),
    [aux_sym_bitwise_expression_token1] = ACTIONS(825),
    [aux_sym_bitwise_expression_token2] = ACTIONS(825),
    [aux_sym_bitwise_expression_token3] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1486),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [69] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1492), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1490), 59,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [211] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(819), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1498), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(817), 56,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
  [284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      aux_sym_finally_clause_token1,
    STATE(466), 1,
      sym_finally_clause,
    ACTIONS(1500), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [357] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(799), 1,
      aux_sym_format_operator_token1,
    STATE(585), 1,
      sym_format_operator,
    ACTIONS(1504), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1502), 58,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [432] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1508), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1506), 60,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
      anon_sym_DOT_DOT,
  [503] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(819), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1510), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(817), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
      anon_sym_RBRACK,
  [576] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1514), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1512), 59,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [649] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(827), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1498), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(825), 56,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
  [722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [860] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1522), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1520), 60,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
      anon_sym_DOT_DOT,
  [931] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(799), 1,
      aux_sym_format_operator_token1,
    STATE(585), 1,
      sym_format_operator,
    ACTIONS(1526), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1524), 58,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [1006] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(827), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1510), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(825), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
      anon_sym_RBRACK,
  [1079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1217] = 34,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(439), 1,
      sym_multiplicative_argument_expression,
    STATE(580), 1,
      sym_additive_argument_expression,
    STATE(590), 1,
      sym_comparison_argument_expression,
    STATE(1389), 1,
      sym_logical_argument_expression,
    STATE(1390), 1,
      sym_bitwise_argument_expression,
    STATE(1636), 1,
      sym_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [1350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    STATE(443), 1,
      sym_else_clause,
    ACTIONS(1530), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1492] = 33,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(189), 1,
      sym_multiplicative_expression,
    STATE(198), 1,
      sym_additive_expression,
    STATE(203), 1,
      sym_comparison_expression,
    STATE(902), 1,
      sym_bitwise_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [1622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_SPACE,
    STATE(400), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1379), 60,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1694] = 33,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(386), 1,
      sym_multiplicative_expression,
    STATE(562), 1,
      sym_additive_expression,
    STATE(576), 1,
      sym_comparison_expression,
    STATE(1318), 1,
      sym_bitwise_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [1824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      ts_builtin_sym_end,
    ACTIONS(1516), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1894] = 33,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(373), 1,
      sym_multiplicative_expression,
    STATE(533), 1,
      sym_additive_expression,
    STATE(563), 1,
      sym_comparison_expression,
    STATE(1309), 1,
      sym_bitwise_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [2024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      ts_builtin_sym_end,
    ACTIONS(1496), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      ts_builtin_sym_end,
    ACTIONS(1488), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      ts_builtin_sym_end,
    ACTIONS(1528), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      sym__statement_terminator,
    ACTIONS(1543), 1,
      anon_sym_SPACE,
    STATE(409), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1367), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      ts_builtin_sym_end,
    ACTIONS(1488), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      sym__statement_terminator,
    ACTIONS(1545), 1,
      anon_sym_SPACE,
    STATE(409), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1379), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1548), 1,
      ts_builtin_sym_end,
    STATE(502), 1,
      sym_else_clause,
    ACTIONS(1530), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      ts_builtin_sym_end,
    ACTIONS(1528), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2596] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 14,
      sym_decimal_integer_literal,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 48,
      sym__statement_terminator,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [2666] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 14,
      sym_decimal_integer_literal,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 48,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [2736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      ts_builtin_sym_end,
    ACTIONS(1518), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1552), 1,
      ts_builtin_sym_end,
    STATE(541), 1,
      sym_finally_clause,
    ACTIONS(1500), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2880] = 33,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(192), 1,
      sym_multiplicative_expression,
    STATE(197), 1,
      sym_additive_expression,
    STATE(204), 1,
      sym_comparison_expression,
    STATE(891), 1,
      sym_bitwise_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      anon_sym_SPACE,
    STATE(400), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1367), 60,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3082] = 33,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(382), 1,
      sym_multiplicative_expression,
    STATE(559), 1,
      sym_additive_expression,
    STATE(570), 1,
      sym_comparison_expression,
    STATE(1326), 1,
      sym_bitwise_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3212] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(439), 1,
      sym_multiplicative_argument_expression,
    STATE(580), 1,
      sym_additive_argument_expression,
    STATE(590), 1,
      sym_comparison_argument_expression,
    STATE(1364), 1,
      sym_bitwise_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3339] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1564), 1,
      anon_sym_RBRACE,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    STATE(1955), 1,
      sym_hash_literal_body,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3799] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(373), 1,
      sym_multiplicative_expression,
    STATE(533), 1,
      sym_additive_expression,
    STATE(558), 1,
      sym_comparison_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4127] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(386), 1,
      sym_multiplicative_expression,
    STATE(562), 1,
      sym_additive_expression,
    STATE(575), 1,
      sym_comparison_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [4254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4388] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1592), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    STATE(1972), 1,
      sym_hash_literal_body,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [4513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4580] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(189), 1,
      sym_multiplicative_expression,
    STATE(198), 1,
      sym_additive_expression,
    STATE(200), 1,
      sym_comparison_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [4707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4908] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1602), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1604), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(1600), 54,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
  [4979] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1606), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1747), 1,
      sym_hash_literal_body,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [5104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5305] = 32,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(192), 1,
      sym_multiplicative_expression,
    STATE(197), 1,
      sym_additive_expression,
    STATE(201), 1,
      sym_comparison_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [5432] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1614), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1773), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [5557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5959] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1628), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1795), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [6084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6352] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1817), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [6477] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1642), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1604), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(1640), 54,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
  [6548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7419] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1668), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    STATE(2088), 1,
      sym_hash_literal_body,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [7544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7812] = 32,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(382), 1,
      sym_multiplicative_expression,
    STATE(559), 1,
      sym_additive_expression,
    STATE(568), 1,
      sym_comparison_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [7939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8341] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1686), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1789), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [8466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      ts_builtin_sym_end,
    ACTIONS(1500), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1688), 1,
      ts_builtin_sym_end,
    ACTIONS(1470), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      ts_builtin_sym_end,
    ACTIONS(1582), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 1,
      ts_builtin_sym_end,
    ACTIONS(1598), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      ts_builtin_sym_end,
    ACTIONS(1622), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 1,
      ts_builtin_sym_end,
    ACTIONS(1624), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8874] = 31,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(192), 1,
      sym_multiplicative_expression,
    STATE(196), 1,
      sym_additive_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [8998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      ts_builtin_sym_end,
    ACTIONS(1630), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 1,
      ts_builtin_sym_end,
    ACTIONS(1632), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 60,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 1,
      ts_builtin_sym_end,
    ACTIONS(1660), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 1,
      ts_builtin_sym_end,
    ACTIONS(1680), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      ts_builtin_sym_end,
    ACTIONS(1682), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 1,
      ts_builtin_sym_end,
    ACTIONS(1634), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      ts_builtin_sym_end,
    ACTIONS(1596), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      ts_builtin_sym_end,
    ACTIONS(1608), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      ts_builtin_sym_end,
    ACTIONS(1610), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      ts_builtin_sym_end,
    ACTIONS(1612), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      ts_builtin_sym_end,
    ACTIONS(1648), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 1,
      ts_builtin_sym_end,
    ACTIONS(1650), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      ts_builtin_sym_end,
    ACTIONS(1658), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      ts_builtin_sym_end,
    ACTIONS(1662), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 1,
      ts_builtin_sym_end,
    ACTIONS(1664), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      ts_builtin_sym_end,
    ACTIONS(1676), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      ts_builtin_sym_end,
    ACTIONS(1684), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 1,
      ts_builtin_sym_end,
    ACTIONS(1572), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      ts_builtin_sym_end,
    ACTIONS(1576), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 1,
      ts_builtin_sym_end,
    ACTIONS(1578), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10424] = 31,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(382), 1,
      sym_multiplicative_expression,
    STATE(550), 1,
      sym_additive_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [10548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      ts_builtin_sym_end,
    ACTIONS(1584), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 1,
      ts_builtin_sym_end,
    ACTIONS(1586), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 1,
      ts_builtin_sym_end,
    ACTIONS(1588), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      ts_builtin_sym_end,
    ACTIONS(1590), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10820] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(386), 1,
      sym_multiplicative_expression,
    STATE(553), 1,
      sym_additive_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [10944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 1,
      ts_builtin_sym_end,
    ACTIONS(1636), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11012] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(373), 1,
      sym_multiplicative_expression,
    STATE(521), 1,
      sym_additive_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [11136] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_PLUS,
    ACTIONS(1750), 1,
      anon_sym_DASH,
    ACTIONS(835), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(833), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [11208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 1,
      ts_builtin_sym_end,
    ACTIONS(1644), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 1,
      ts_builtin_sym_end,
    ACTIONS(1666), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11344] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1756), 1,
      sym_decimal_integer_literal,
    ACTIONS(1759), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1762), 1,
      sym_real_literal,
    ACTIONS(1765), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1768), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1774), 1,
      sym_simple_name,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1789), 1,
      anon_sym_LPAREN,
    ACTIONS(1792), 1,
      anon_sym_LBRACE,
    ACTIONS(1795), 1,
      anon_sym_RBRACE,
    ACTIONS(1800), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1803), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1806), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1812), 1,
      anon_sym_AT_LBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1771), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1786), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1797), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(524), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1783), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1780), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [11466] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(189), 1,
      sym_multiplicative_expression,
    STATE(195), 1,
      sym_additive_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [11590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      ts_builtin_sym_end,
    ACTIONS(1672), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      ts_builtin_sym_end,
    ACTIONS(1674), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      ts_builtin_sym_end,
    ACTIONS(1580), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      ts_builtin_sym_end,
    ACTIONS(1574), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      ts_builtin_sym_end,
    ACTIONS(1488), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      ts_builtin_sym_end,
    ACTIONS(1620), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 1,
      ts_builtin_sym_end,
    ACTIONS(1670), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12066] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_PLUS,
    ACTIONS(1750), 1,
      anon_sym_DASH,
    ACTIONS(843), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(841), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [12138] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1558), 1,
      sym_simple_name,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1827), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(524), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [12260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      ts_builtin_sym_end,
    ACTIONS(1652), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      ts_builtin_sym_end,
    ACTIONS(1654), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      ts_builtin_sym_end,
    ACTIONS(1594), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      ts_builtin_sym_end,
    ACTIONS(1528), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 1,
      ts_builtin_sym_end,
    ACTIONS(1616), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      ts_builtin_sym_end,
    ACTIONS(1678), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 1,
      ts_builtin_sym_end,
    ACTIONS(1656), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 1,
      ts_builtin_sym_end,
    ACTIONS(1618), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      ts_builtin_sym_end,
    ACTIONS(1626), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      ts_builtin_sym_end,
    ACTIONS(1646), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      sym__statement_terminator,
    ACTIONS(1367), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [13008] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    STATE(161), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13125] = 30,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(190), 1,
      sym_multiplicative_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13246] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(439), 1,
      sym_multiplicative_argument_expression,
    STATE(583), 1,
      sym_additive_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13367] = 30,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(388), 1,
      sym_multiplicative_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13488] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_PLUS,
    ACTIONS(1849), 1,
      anon_sym_DASH,
    ACTIONS(835), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(833), 55,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [13559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [13624] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(393), 1,
      sym_multiplicative_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13745] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_PLUS,
    ACTIONS(1853), 1,
      anon_sym_DASH,
    ACTIONS(835), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(833), 55,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
  [13816] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1855), 1,
      sym_real_literal,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1863), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1865), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1036), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1861), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      sym__statement_terminator,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1859), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13933] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1867), 1,
      sym_real_literal,
    ACTIONS(1873), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(954), 1,
      sym_unary_expression,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1871), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1869), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [14115] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(378), 1,
      sym_multiplicative_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14236] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(520), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(875), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [14307] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_PLUS,
    ACTIONS(1849), 1,
      anon_sym_DASH,
    ACTIONS(843), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(841), 55,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [14378] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1877), 1,
      sym_real_literal,
    ACTIONS(1883), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1885), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(175), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1881), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      sym__statement_terminator,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1879), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14495] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(191), 1,
      sym_multiplicative_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14616] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_PLUS,
    ACTIONS(1853), 1,
      anon_sym_DASH,
    ACTIONS(843), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(841), 55,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
  [14687] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(520), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(913), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [14758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [14823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [14888] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(180), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15006] = 29,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(350), 1,
      sym_format_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15124] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(513), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(875), 7,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15194] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(458), 1,
      sym_multiplicative_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15312] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(513), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(913), 7,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15382] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(314), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15500] = 29,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(186), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15618] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1321), 1,
      sym__statement_terminator,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1877), 1,
      sym_real_literal,
    ACTIONS(1883), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1885), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1889), 1,
      sym_label,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1975), 1,
      sym_unary_expression,
    STATE(1977), 1,
      sym_label_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1881), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1879), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15736] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(327), 1,
      sym_format_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15854] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(518), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(875), 7,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15924] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(518), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(913), 7,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15994] = 28,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(185), 1,
      sym_range_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16109] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(392), 1,
      sym_format_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16224] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(315), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16339] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_PLUS,
    ACTIONS(1897), 1,
      anon_sym_DASH,
    ACTIONS(1893), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1891), 53,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [16408] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(336), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16523] = 28,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(352), 1,
      sym_range_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16638] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_PLUS,
    ACTIONS(1897), 1,
      anon_sym_DASH,
    ACTIONS(1901), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1899), 53,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [16707] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(182), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16822] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(380), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16934] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(163), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17046] = 27,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(187), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17158] = 27,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(187), 1,
      sym_array_literal_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17270] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(163), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17382] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(548), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1903), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [17450] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(163), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17562] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(548), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1905), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [17630] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17739] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(164), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17848] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17957] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1855), 1,
      sym_real_literal,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1863), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1865), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1011), 1,
      sym_unary_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1861), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1859), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18066] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1855), 1,
      sym_real_literal,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1863), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1865), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1027), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1861), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1859), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18175] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1855), 1,
      sym_real_literal,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1863), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1865), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1029), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1861), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1859), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18284] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1877), 1,
      sym_real_literal,
    ACTIONS(1883), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1885), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1881), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1879), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18393] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1909), 1,
      sym_real_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1927), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1929), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    STATE(1064), 1,
      sym_unary_expression,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1919), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18502] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1867), 1,
      sym_real_literal,
    ACTIONS(1873), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(946), 1,
      sym_unary_expression,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1871), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1869), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18611] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1867), 1,
      sym_real_literal,
    ACTIONS(1873), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(959), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1871), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1869), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18720] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1867), 1,
      sym_real_literal,
    ACTIONS(1873), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(972), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1871), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1869), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18829] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1939), 1,
      sym_real_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1957), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1959), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(805), 1,
      sym_unary_expression,
    STATE(831), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1949), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18938] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1939), 1,
      sym_real_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1957), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1959), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(807), 1,
      sym_unary_expression,
    STATE(831), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1949), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19047] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1939), 1,
      sym_real_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1957), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1959), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(819), 1,
      sym_unary_expression,
    STATE(831), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1949), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19156] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1909), 1,
      sym_real_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(760), 1,
      sym_unary_expression,
    STATE(769), 1,
      sym_expression_with_unary_operator,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1967), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19265] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1909), 1,
      sym_real_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(761), 1,
      sym_unary_expression,
    STATE(769), 1,
      sym_expression_with_unary_operator,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1967), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19374] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1909), 1,
      sym_real_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(762), 1,
      sym_unary_expression,
    STATE(769), 1,
      sym_expression_with_unary_operator,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1967), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19483] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1975), 1,
      sym_real_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1993), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1995), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(903), 1,
      sym_expression_with_unary_operator,
    STATE(905), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1985), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19592] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1975), 1,
      sym_real_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1993), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1995), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(903), 1,
      sym_expression_with_unary_operator,
    STATE(907), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1985), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19701] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1975), 1,
      sym_real_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1993), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1995), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(903), 1,
      sym_expression_with_unary_operator,
    STATE(908), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1985), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19810] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2005), 1,
      sym_real_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(911), 1,
      sym_expression_with_unary_operator,
    STATE(913), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19919] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2005), 1,
      sym_real_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(911), 1,
      sym_expression_with_unary_operator,
    STATE(914), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20028] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2005), 1,
      sym_real_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(911), 1,
      sym_expression_with_unary_operator,
    STATE(915), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20137] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20246] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20355] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20464] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20573] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20682] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(165), 1,
      sym_real_literal,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(97), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(144), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20791] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(165), 1,
      sym_real_literal,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(99), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(144), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20900] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(165), 1,
      sym_real_literal,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(100), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(144), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21009] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1877), 1,
      sym_real_literal,
    ACTIONS(1883), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1885), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1881), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1879), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21118] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21227] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21336] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1556), 1,
      sym_real_literal,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1568), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1570), 1,
      anon_sym_DASH_DASH,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1566), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1562), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21445] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(178), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21554] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21663] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21772] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21881] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(164), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21990] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22099] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22208] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      sym_real_literal,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(151), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(293), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22317] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      sym_real_literal,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(152), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(293), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22426] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      sym_real_literal,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(153), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(293), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22535] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1939), 1,
      sym_real_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2037), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    STATE(1072), 1,
      sym_unary_expression,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2033), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22644] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(491), 1,
      sym_real_literal,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(97), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22753] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(491), 1,
      sym_real_literal,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(99), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22862] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2005), 1,
      sym_real_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2041), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2043), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1085), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2039), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22971] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1049), 1,
      sym_real_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1011), 1,
      sym_unary_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1025), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23080] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1049), 1,
      sym_real_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1027), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1025), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23189] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1049), 1,
      sym_real_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1029), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1025), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23298] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1975), 1,
      sym_real_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1090), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23407] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1117), 1,
      sym_real_literal,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(946), 1,
      sym_unary_expression,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1026), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23516] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1117), 1,
      sym_real_literal,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(959), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1026), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23625] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1117), 1,
      sym_real_literal,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(972), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1026), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23734] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1939), 1,
      sym_real_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2037), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1049), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2033), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23843] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2005), 1,
      sym_real_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2041), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2043), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1089), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2039), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23952] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1939), 1,
      sym_real_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2037), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1051), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2033), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24061] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1877), 1,
      sym_real_literal,
    ACTIONS(1883), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1885), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1881), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1879), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24170] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(178), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24279] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24388] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24497] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(164), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24606] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24715] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2005), 1,
      sym_real_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2041), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2043), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1087), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2039), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24824] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(178), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24933] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    STATE(1064), 1,
      sym_unary_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25042] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2059), 1,
      sym_real_literal,
    ACTIONS(2063), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2065), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1090), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2061), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25151] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2067), 1,
      sym_real_literal,
    ACTIONS(2071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2073), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1089), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2069), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25260] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(385), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25369] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1909), 1,
      sym_real_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1927), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1929), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1050), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1919), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25478] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25587] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25696] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2005), 1,
      sym_real_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2041), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2043), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1088), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2039), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25805] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1909), 1,
      sym_real_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1927), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1929), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1054), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1919), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25914] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(155), 1,
      sym_real_literal,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(151), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(143), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26023] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26132] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1909), 1,
      sym_real_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1927), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1929), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1055), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1919), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26241] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1939), 1,
      sym_real_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2037), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1044), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2033), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26350] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(155), 1,
      sym_real_literal,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(152), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(143), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26459] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(155), 1,
      sym_real_literal,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(153), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(143), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26568] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1975), 1,
      sym_real_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1095), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26677] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1975), 1,
      sym_real_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1080), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26786] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1975), 1,
      sym_real_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1081), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26895] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2075), 1,
      sym_real_literal,
    ACTIONS(2079), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2081), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1044), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2077), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27004] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2075), 1,
      sym_real_literal,
    ACTIONS(2079), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2081), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    STATE(1072), 1,
      sym_unary_expression,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2077), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27113] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2075), 1,
      sym_real_literal,
    ACTIONS(2079), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2081), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1049), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2077), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27222] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2075), 1,
      sym_real_literal,
    ACTIONS(2079), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2081), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1051), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2077), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27331] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1050), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27440] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1054), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27549] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1055), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27658] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2059), 1,
      sym_real_literal,
    ACTIONS(2063), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2065), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1095), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2061), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27767] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2059), 1,
      sym_real_literal,
    ACTIONS(2063), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2065), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1080), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2061), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27876] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2059), 1,
      sym_real_literal,
    ACTIONS(2063), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2065), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1081), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2061), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27985] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2067), 1,
      sym_real_literal,
    ACTIONS(2071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2073), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1085), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2069), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28094] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2067), 1,
      sym_real_literal,
    ACTIONS(2071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2073), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1087), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2069), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28203] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2067), 1,
      sym_real_literal,
    ACTIONS(2071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2073), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1088), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2069), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28312] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(491), 1,
      sym_real_literal,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(100), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28421] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(85), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2083), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28522] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1957), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1959), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(748), 1,
      sym_member_name,
    STATE(804), 1,
      sym_string_literal,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2085), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1949), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(801), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28623] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1873), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(933), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1871), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2087), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1869), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28724] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1937), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1941), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1943), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    ACTIONS(1957), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1959), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1963), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(758), 1,
      sym_member_name,
    STATE(804), 1,
      sym_string_literal,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1945), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2085), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1951), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1949), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(801), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28825] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(107), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2089), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28926] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1863), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1865), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(994), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1861), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2091), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1859), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29027] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(933), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2087), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29128] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(83), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2083), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29229] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(774), 1,
      sym_member_name,
    STATE(855), 1,
      sym_string_literal,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2093), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(854), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29330] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(749), 1,
      sym_member_name,
    STATE(835), 1,
      sym_string_literal,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2095), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1967), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(834), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29431] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(83), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2083), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29532] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(980), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2091), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29633] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(107), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2089), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29734] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1907), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1911), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1913), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1917), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(747), 1,
      sym_member_name,
    STATE(835), 1,
      sym_string_literal,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1915), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2095), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1921), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1967), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(834), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29835] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(994), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2091), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29936] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(927), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2087), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30037] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(2003), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(2007), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2009), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2013), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      anon_sym_LPAREN,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2029), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(767), 1,
      sym_member_name,
    STATE(855), 1,
      sym_string_literal,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2093), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(2017), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(854), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30138] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(94), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2089), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30239] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1857), 1,
      anon_sym_LBRACK,
    ACTIONS(1863), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1865), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(980), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1861), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2091), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1859), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30340] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1993), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1995), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(828), 1,
      sym_member_name,
    STATE(876), 1,
      sym_string_literal,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2097), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1985), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(874), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30441] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(94), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2089), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30542] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1973), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1977), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1979), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1983), 1,
      anon_sym_LBRACK,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1993), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1995), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1997), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(772), 1,
      sym_member_name,
    STATE(876), 1,
      sym_string_literal,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1981), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2097), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1987), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1985), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(874), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30643] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1560), 1,
      anon_sym_LBRACK,
    ACTIONS(1873), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(927), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1871), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2087), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1869), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30744] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(85), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2083), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 45,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [30901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2104), 1,
      anon_sym_SPACE,
    ACTIONS(97), 5,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2099), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [30963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 46,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [31019] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2107), 1,
      sym_real_literal,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      aux_sym_command_name_token1,
    ACTIONS(2115), 1,
      sym_path_command_name_token,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1241), 1,
      sym_variable,
    STATE(1271), 1,
      aux_sym_path_command_name_repeat1,
    STATE(1528), 1,
      sym_data_command,
    STATE(1682), 1,
      sym_command_name_expr,
    STATE(1996), 1,
      sym_data_commands_list,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1561), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2111), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1310), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2104), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(97), 5,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2099), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [31179] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2107), 1,
      sym_real_literal,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      aux_sym_command_name_token1,
    ACTIONS(2115), 1,
      sym_path_command_name_token,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1241), 1,
      sym_variable,
    STATE(1271), 1,
      aux_sym_path_command_name_repeat1,
    STATE(1682), 1,
      sym_command_name_expr,
    STATE(1695), 1,
      sym_data_command,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1561), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2111), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1310), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2104), 1,
      anon_sym_SPACE,
    ACTIONS(97), 5,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2099), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [31335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 45,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [31390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 44,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [31445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2104), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(97), 5,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2102), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2099), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [31506] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      sym_real_literal,
    ACTIONS(2119), 1,
      sym__command_token,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(2021), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31596] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      sym_real_literal,
    ACTIONS(2119), 1,
      sym__command_token,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(2020), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31686] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(981), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1003), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2125), 1,
      sym_real_literal,
    ACTIONS(2127), 1,
      anon_sym_LBRACK,
    ACTIONS(2131), 1,
      aux_sym_command_name_token1,
    ACTIONS(2133), 1,
      sym_path_command_name_token,
    STATE(725), 1,
      sym_variable,
    STATE(750), 1,
      aux_sym_path_command_name_repeat1,
    STATE(779), 1,
      sym_command_name_expr,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    ACTIONS(975), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(983), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1134), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2129), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(937), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31778] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(981), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1003), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2127), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      sym_real_literal,
    ACTIONS(2137), 1,
      anon_sym_SPACE,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    STATE(222), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1137), 1,
      sym__command_argument,
    STATE(1138), 1,
      sym_redirected_file_name,
    ACTIONS(975), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(983), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(989), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(963), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31870] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      sym_real_literal,
    ACTIONS(2143), 1,
      anon_sym_SPACE,
    ACTIONS(2145), 1,
      anon_sym_COLON,
    STATE(228), 1,
      sym_command_argument_sep,
    STATE(417), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1151), 1,
      sym_redirected_file_name,
    STATE(1159), 1,
      sym__command_argument,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1079), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31962] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(951), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(969), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(971), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(973), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2147), 1,
      sym_real_literal,
    ACTIONS(2149), 1,
      anon_sym_LBRACK,
    ACTIONS(2153), 1,
      aux_sym_command_name_token1,
    ACTIONS(2155), 1,
      sym_path_command_name_token,
    STATE(722), 1,
      sym_variable,
    STATE(754), 1,
      aux_sym_path_command_name_repeat1,
    STATE(776), 1,
      sym_command_name_expr,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    ACTIONS(945), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(953), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1129), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2151), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(943), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32054] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(951), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(969), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(971), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(973), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2149), 1,
      anon_sym_LBRACK,
    ACTIONS(2157), 1,
      sym_real_literal,
    ACTIONS(2159), 1,
      anon_sym_SPACE,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    STATE(220), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1126), 1,
      sym_redirected_file_name,
    STATE(1127), 1,
      sym__command_argument,
    ACTIONS(945), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(953), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(959), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(967), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32146] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      aux_sym_command_name_token1,
    ACTIONS(887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(899), 1,
      anon_sym_LPAREN,
    ACTIONS(901), 1,
      anon_sym_LBRACE,
    ACTIONS(907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2163), 1,
      sym_real_literal,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2169), 1,
      sym_path_command_name_token,
    STATE(720), 1,
      sym_variable,
    STATE(744), 1,
      aux_sym_path_command_name_repeat1,
    STATE(757), 1,
      sym_command_name_expr,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    ACTIONS(883), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1106), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2167), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(932), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32238] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(849), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(851), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(871), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(873), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2171), 1,
      sym_real_literal,
    ACTIONS(2173), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_SPACE,
    ACTIONS(2177), 1,
      anon_sym_COLON,
    STATE(218), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1100), 1,
      sym__command_argument,
    STATE(1104), 1,
      sym_redirected_file_name,
    ACTIONS(845), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(853), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(859), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(924), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32330] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(899), 1,
      anon_sym_LPAREN,
    ACTIONS(901), 1,
      anon_sym_LBRACE,
    ACTIONS(907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2165), 1,
      anon_sym_LBRACK,
    ACTIONS(2179), 1,
      sym_real_literal,
    ACTIONS(2181), 1,
      anon_sym_SPACE,
    ACTIONS(2183), 1,
      anon_sym_COLON,
    STATE(217), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1114), 1,
      sym__command_argument,
    STATE(1121), 1,
      sym_redirected_file_name,
    ACTIONS(883), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(897), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(926), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32422] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(849), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(851), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(871), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(873), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1307), 1,
      aux_sym_command_name_token1,
    ACTIONS(2173), 1,
      anon_sym_LBRACK,
    ACTIONS(2185), 1,
      sym_real_literal,
    ACTIONS(2189), 1,
      sym_path_command_name_token,
    STATE(717), 1,
      sym_variable,
    STATE(743), 1,
      aux_sym_path_command_name_repeat1,
    STATE(756), 1,
      sym_command_name_expr,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(845), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(853), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1116), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2187), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(925), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32514] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1141), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(1157), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1161), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2191), 1,
      sym_real_literal,
    ACTIONS(2193), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      anon_sym_SPACE,
    ACTIONS(2197), 1,
      anon_sym_COLON,
    STATE(227), 1,
      sym_command_argument_sep,
    STATE(407), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1154), 1,
      sym__command_argument,
    STATE(1157), 1,
      sym_redirected_file_name,
    ACTIONS(1045), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1143), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1063), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1075), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32606] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      sym_real_literal,
    ACTIONS(2119), 1,
      sym__command_token,
    ACTIONS(2199), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(2048), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      sym_real_literal,
    ACTIONS(2119), 1,
      sym__command_token,
    ACTIONS(2201), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(1973), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32786] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 1,
      sym_real_literal,
    ACTIONS(2209), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2212), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2218), 1,
      anon_sym_LBRACK,
    ACTIONS(2224), 1,
      sym__command_token,
    ACTIONS(2227), 1,
      anon_sym_LPAREN,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(2235), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2238), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2241), 1,
      anon_sym_AT_LBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    ACTIONS(2203), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(2215), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(740), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(2221), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32873] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 11,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_DOT2,
    ACTIONS(253), 34,
      sym_simple_name,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [32926] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      sym_real_literal,
    ACTIONS(2119), 1,
      sym__command_token,
    ACTIONS(2244), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(740), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [33013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      sym_path_command_name_token,
    ACTIONS(2252), 1,
      anon_sym_SPACE,
    STATE(745), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2248), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2246), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      sym_path_command_name_token,
    ACTIONS(2252), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(746), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2254), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2246), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 1,
      sym_path_command_name_token,
    ACTIONS(2266), 1,
      anon_sym_SPACE,
    STATE(745), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2260), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2258), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 1,
      sym_path_command_name_token,
    ACTIONS(2266), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(746), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2268), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2258), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    STATE(792), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(811), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(792), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      sym_path_command_name_token,
    ACTIONS(2252), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(752), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2276), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2246), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33463] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_SPACE,
    ACTIONS(2183), 1,
      anon_sym_COLON,
    ACTIONS(2288), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    STATE(1541), 1,
      sym_command_elements,
    ACTIONS(2284), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2286), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(791), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2282), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2293), 1,
      sym_path_command_name_token,
    ACTIONS(2266), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(752), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2290), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2258), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33595] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_SPACE,
    ACTIONS(2177), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    STATE(1516), 1,
      sym_command_elements,
    ACTIONS(2298), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2286), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(806), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2296), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_SPACE,
    ACTIONS(2302), 1,
      sym_path_command_name_token,
    STATE(755), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2300), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2246), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_SPACE,
    ACTIONS(2307), 1,
      sym_path_command_name_token,
    STATE(755), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2304), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2258), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33782] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_SPACE,
    ACTIONS(2177), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    STATE(1433), 1,
      sym_command_elements,
    ACTIONS(2298), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2310), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(806), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2296), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33855] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_SPACE,
    ACTIONS(2183), 1,
      anon_sym_COLON,
    ACTIONS(2312), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    STATE(1463), 1,
      sym_command_elements,
    ACTIONS(2284), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2310), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(791), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2282), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    STATE(811), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(597), 40,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [34385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_LPAREN,
    STATE(865), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_SPACE,
    ACTIONS(597), 41,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [34589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(882), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34691] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_SPACE,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      sym__statement_terminator,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    STATE(1541), 1,
      sym_command_elements,
    ACTIONS(2320), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(856), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2318), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [34765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(865), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34817] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_SPACE,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    STATE(1516), 1,
      sym_command_elements,
    ACTIONS(2286), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2324), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(848), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2322), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [34889] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_SPACE,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    STATE(1433), 1,
      sym_command_elements,
    ACTIONS(2310), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2324), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(848), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2322), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [34961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35061] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_SPACE,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2310), 1,
      anon_sym_PIPE,
    ACTIONS(2312), 1,
      sym__statement_terminator,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    STATE(1463), 1,
      sym_command_elements,
    ACTIONS(2320), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(856), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2318), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [35135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35335] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACK,
    ACTIONS(2328), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2330), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2334), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2332), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [35395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35695] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_SPACE,
    ACTIONS(2183), 1,
      anon_sym_COLON,
    ACTIONS(2340), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    ACTIONS(2336), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2338), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(813), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2282), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [35767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35917] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2109), 1,
      anon_sym_LBRACK,
    ACTIONS(2342), 1,
      sym_real_literal,
    ACTIONS(2344), 1,
      sym__command_token,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1832), 1,
      sym_switch_filename,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1335), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [35997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36497] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_SPACE,
    ACTIONS(2177), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    ACTIONS(2346), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2338), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(822), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2296), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [36567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36867] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_SPACE,
    ACTIONS(2362), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    ACTIONS(2354), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2357), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(813), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2351), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2348), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [36939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2367), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2371), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2375), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2373), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [37049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37349] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_SPACE,
    ACTIONS(2386), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    ACTIONS(2380), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2357), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(822), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2377), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2348), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [37419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 37,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_SPACE,
    ACTIONS(597), 40,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
  [38471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38667] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_SPACE,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    ACTIONS(2338), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2391), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(851), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2322), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [38736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38834] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_SPACE,
    ACTIONS(2402), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    ACTIONS(2357), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2396), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(851), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2393), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2348), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [38903] = 12,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_PIPE,
    ACTIONS(2413), 1,
      sym__statement_terminator,
    STATE(737), 1,
      sym_file_redirection_operator,
    STATE(1156), 1,
      sym_merging_redirection_operator,
    STATE(1508), 1,
      aux_sym__pipeline_tail,
    STATE(1510), 1,
      sym_redirections,
    STATE(1130), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2405), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2407), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2280), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2409), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [38970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39117] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_SPACE,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2338), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      sym__statement_terminator,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    ACTIONS(2415), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(886), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2318), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2280), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [39188] = 12,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    ACTIONS(2419), 1,
      anon_sym_PIPE,
    STATE(730), 1,
      sym_file_redirection_operator,
    STATE(1153), 1,
      sym_merging_redirection_operator,
    STATE(1512), 1,
      aux_sym__pipeline_tail,
    STATE(1513), 1,
      sym_redirections,
    STATE(1128), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2405), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2407), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2280), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2417), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [39255] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2425), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2423), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2421), 30,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [39306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39796] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2427), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2423), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2421), 30,
      sym__statement_terminator,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [39847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40631] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2365), 1,
      sym__statement_terminator,
    ACTIONS(2435), 1,
      anon_sym_SPACE,
    ACTIONS(2438), 1,
      anon_sym_COLON,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    ACTIONS(2432), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(886), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2429), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2348), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [40702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2441), 1,
      anon_sym_LBRACK,
    ACTIONS(2443), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2445), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2449), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2447), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [40810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40908] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2427), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2453), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2451), 30,
      sym__statement_terminator,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [40959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACK,
    ACTIONS(2328), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2330), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2334), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2455), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [41116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41165] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2367), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2371), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2375), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2457), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [41224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2463), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2467), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2465), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [41479] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2425), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2453), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2451), 30,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [41530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(597), 39,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
  [42412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2371), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2375), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2471), 1,
      anon_sym_SPACE,
    ACTIONS(2457), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2469), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [42617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2371), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2375), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2475), 1,
      anon_sym_SPACE,
    ACTIONS(2457), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2473), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [42675] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACK,
    ACTIONS(2328), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2330), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2334), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2455), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2471), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2469), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [42733] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(948), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [42783] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2463), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2467), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2477), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [42841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2441), 1,
      anon_sym_LBRACK,
    ACTIONS(2443), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2445), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2449), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2479), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [42899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 37,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACK,
    ACTIONS(2328), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2330), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2334), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2455), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2475), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2473), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43053] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_LPAREN,
    STATE(948), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 29,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43105] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(665), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(663), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43152] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(715), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(713), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 36,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [43246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2463), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2467), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2475), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2477), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2473), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [43303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 37,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [43350] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(637), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(635), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43397] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(641), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(639), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43444] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(603), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(601), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43491] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2487), 1,
      aux_sym_command_name_token2,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2491), 1,
      sym__statement_terminator,
    STATE(965), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2483), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2485), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2441), 1,
      anon_sym_LBRACK,
    ACTIONS(2443), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2445), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2449), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2475), 1,
      anon_sym_SPACE,
    ACTIONS(2479), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2473), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [43603] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(619), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(617), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_command_name_token2,
    ACTIONS(2501), 1,
      anon_sym_DQUOTE2,
    STATE(945), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2493), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43703] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(645), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(643), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43750] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(701), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43797] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(719), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(717), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43844] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(673), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(671), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2508), 1,
      aux_sym_command_name_token2,
    ACTIONS(2510), 1,
      sym__statement_terminator,
    STATE(942), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2504), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2506), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43946] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(681), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(679), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43993] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(691), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(689), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44040] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(611), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(609), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44087] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(677), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(675), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44134] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(711), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(709), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44181] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(731), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(729), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44228] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(607), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(605), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44275] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(727), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(725), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44322] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(653), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(651), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44369] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(705), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44416] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(693), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44463] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(669), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(667), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2463), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2467), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2471), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2477), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2469), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [44567] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(623), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(621), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2515), 1,
      aux_sym_command_name_token2,
    ACTIONS(2518), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2521), 1,
      sym__statement_terminator,
    STATE(965), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2512), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [44669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 1,
      aux_sym_command_name_token2,
    ACTIONS(2527), 1,
      anon_sym_DQUOTE2,
    STATE(945), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2523), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2485), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [44722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2441), 1,
      anon_sym_LBRACK,
    ACTIONS(2443), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2445), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2449), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2471), 1,
      anon_sym_SPACE,
    ACTIONS(2479), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2469), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [44779] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(686), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(683), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44826] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(661), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(659), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44873] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(595), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44920] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(615), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(613), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44967] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(657), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(655), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45014] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(649), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(647), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45061] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(627), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(625), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2531), 1,
      aux_sym_command_name_token2,
    STATE(966), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2529), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2506), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45161] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(697), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45208] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(631), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(629), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45255] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(723), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(721), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2535), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45348] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1040), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45396] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2541), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(2539), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2537), 27,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [45444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      aux_sym_command_name_token2,
    ACTIONS(2547), 1,
      anon_sym_DQUOTE2,
    STATE(985), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2543), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2485), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2510), 1,
      sym__statement_terminator,
    ACTIONS(2551), 1,
      aux_sym_command_name_token2,
    ACTIONS(2553), 1,
      anon_sym_DQUOTE2,
    STATE(987), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2549), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2506), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45550] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2555), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(2539), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2537), 27,
      sym__statement_terminator,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [45598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      aux_sym_command_name_token2,
    ACTIONS(2563), 1,
      anon_sym_DQUOTE2,
    STATE(985), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2557), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2491), 1,
      sym__statement_terminator,
    ACTIONS(2553), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2568), 1,
      aux_sym_command_name_token2,
    STATE(990), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2566), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2485), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2572), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 36,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45842] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym__statement_terminator,
    ACTIONS(2577), 1,
      aux_sym_command_name_token2,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE2,
    STATE(990), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2574), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45896] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2547), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2585), 1,
      aux_sym_command_name_token2,
    STATE(982), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2583), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2506), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2535), 36,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2572), 36,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [46040] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2587), 1,
      anon_sym_LPAREN,
    STATE(1040), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 27,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2589), 1,
      anon_sym_COMMA,
    STATE(995), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [46139] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(691), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(689), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [46229] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(665), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(663), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46274] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(623), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(621), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46319] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(711), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(709), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46364] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(641), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(639), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46409] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(619), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(617), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46454] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(727), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(725), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46499] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(705), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46544] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(669), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(667), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2592), 1,
      anon_sym_COMMA,
    STATE(1033), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [46638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2535), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [46683] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(627), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(625), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2572), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [46773] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(631), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(629), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46818] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(645), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(643), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46863] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(661), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(659), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46908] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(611), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(609), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46953] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(715), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(713), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46998] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(637), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(635), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47043] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(723), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(721), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47088] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(693), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47133] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 7,
      sym_decimal_integer_literal,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 30,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_EQ,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47178] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(731), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(729), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47223] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(701), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [47362] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(673), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(671), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47407] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(603), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(601), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47452] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2600), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2602), 1,
      anon_sym_DOT2,
    ACTIONS(2604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2606), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 23,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [47509] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2614), 1,
      anon_sym_DOT2,
    ACTIONS(2616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 23,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [47566] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(653), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(651), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_COMMA,
    STATE(1021), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47660] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(657), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(655), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47705] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(686), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(683), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47750] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(681), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(679), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2535), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [47840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2592), 1,
      anon_sym_COMMA,
    STATE(995), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47889] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(595), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47983] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(677), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(675), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48028] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(615), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(613), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2572), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [48118] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(697), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48163] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(719), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(717), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48208] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(649), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(647), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48253] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(607), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(605), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_LPAREN,
    ACTIONS(2630), 1,
      anon_sym_SPACE,
    STATE(1117), 1,
      sym_argument_list,
    ACTIONS(2626), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2632), 1,
      anon_sym_COMMA,
    STATE(1063), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_COMMA,
    STATE(1065), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(677), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(653), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_SPACE,
    ACTIONS(645), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(657), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2636), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 1,
      anon_sym_LPAREN,
    STATE(1103), 1,
      sym_argument_list,
    ACTIONS(2630), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2626), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_SPACE,
    ACTIONS(653), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_SPACE,
    ACTIONS(657), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_SPACE,
    ACTIONS(677), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_COMMA,
    STATE(1047), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48986] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2600), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2606), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2641), 1,
      anon_sym_DOT2,
    ACTIONS(2643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 22,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [49042] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2645), 1,
      anon_sym_DOT2,
    ACTIONS(2647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 22,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [49098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(641), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(637), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_SPACE,
    ACTIONS(641), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2632), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(767), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(1065), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2654), 1,
      anon_sym_COMMA,
    STATE(1067), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2657), 1,
      anon_sym_COMMA,
    STATE(1069), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2657), 1,
      anon_sym_COMMA,
    STATE(1067), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      anon_sym_COMMA,
    STATE(1066), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(645), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2659), 1,
      anon_sym_COMMA,
    STATE(1098), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49788] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2600), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2606), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2641), 1,
      anon_sym_DOT2,
    ACTIONS(2643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2469), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2471), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [49843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 1,
      anon_sym_SPACE,
    ACTIONS(2661), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_SPACE,
    ACTIONS(641), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(677), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49972] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2645), 1,
      anon_sym_DOT2,
    ACTIONS(2647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2469), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2471), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [50027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(653), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(657), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50156] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(253), 26,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [50199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_SPACE,
    ACTIONS(2665), 1,
      anon_sym_LPAREN,
    STATE(1141), 1,
      sym_argument_list,
    ACTIONS(2626), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_SPACE,
    ACTIONS(645), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2661), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [50332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_SPACE,
    ACTIONS(653), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_SPACE,
    ACTIONS(657), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(767), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym_COMMA,
    STATE(1096), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(641), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_SPACE,
    ACTIONS(677), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_COMMA,
    STATE(1094), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(645), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym_COMMA,
    STATE(1094), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2672), 1,
      anon_sym_COMMA,
    STATE(1097), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2659), 1,
      anon_sym_COMMA,
    STATE(1097), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_LPAREN,
    STATE(1139), 1,
      sym_argument_list,
    ACTIONS(2630), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2626), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_SPACE,
    ACTIONS(2469), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [50957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2677), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [50999] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2681), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2683), 27,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      sym_simple_name,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [51045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2687), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_SPACE,
    ACTIONS(2691), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_SPACE,
    ACTIONS(2677), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2473), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(631), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_SPACE,
    ACTIONS(627), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_SPACE,
    ACTIONS(2695), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2695), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2661), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 1,
      anon_sym_SPACE,
    ACTIONS(2661), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51465] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_SEMI,
    STATE(1102), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2699), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2701), 27,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      sym_simple_name,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [51511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2469), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51553] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 6,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 28,
      sym__statement_terminator,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [51595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_SPACE,
    ACTIONS(2473), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_SPACE,
    ACTIONS(2687), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51679] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(1463), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2705), 27,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      sym_simple_name,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [51725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_SPACE,
    ACTIONS(631), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(627), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2691), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(631), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_SPACE,
    ACTIONS(2677), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(627), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2695), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_SPACE,
    ACTIONS(2691), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_SPACE,
    ACTIONS(2469), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52097] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(730), 1,
      sym_file_redirection_operator,
    STATE(1153), 1,
      sym_merging_redirection_operator,
    ACTIONS(2710), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1135), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2407), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2280), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2417), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_SPACE,
    ACTIONS(2473), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52189] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(737), 1,
      sym_file_redirection_operator,
    STATE(1156), 1,
      sym_merging_redirection_operator,
    ACTIONS(2710), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1133), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2407), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2280), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2409), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_SPACE,
    ACTIONS(2695), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2677), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52322] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(737), 1,
      sym_file_redirection_operator,
    STATE(1156), 1,
      sym_merging_redirection_operator,
    ACTIONS(2721), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1133), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2715), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2712), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2718), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2473), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52414] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(730), 1,
      sym_file_redirection_operator,
    STATE(1153), 1,
      sym_merging_redirection_operator,
    ACTIONS(2721), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1135), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2715), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2712), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2723), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_SPACE,
    ACTIONS(631), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2469), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2691), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2687), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_SPACE,
    ACTIONS(627), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_SPACE,
    ACTIONS(2687), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52711] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2726), 1,
      anon_sym_COMMA,
    STATE(1147), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(772), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [52754] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2726), 1,
      anon_sym_COMMA,
    STATE(1142), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(778), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [52797] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(778), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [52840] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    STATE(1146), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(772), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [52883] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_COMMA,
    STATE(1146), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(765), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [52926] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2733), 1,
      anon_sym_COMMA,
    STATE(1147), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(765), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [52969] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2736), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2738), 25,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53007] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2740), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2742), 25,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53045] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2677), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2679), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53082] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2691), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2693), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53119] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2661), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2663), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53156] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2695), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2697), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53193] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2469), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2471), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53230] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2661), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2663), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53267] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2695), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2697), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53304] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2691), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2693), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53341] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2677), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2679), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53378] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2469), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2471), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_SEMI,
    STATE(1161), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2744), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym__command_token,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_SEMI,
    STATE(1161), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(1463), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym__command_token,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_SEMI,
    STATE(1160), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2751), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym__command_token,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_SPACE,
    ACTIONS(2755), 21,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2759), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      aux_sym_command_name_token1,
      sym_path_command_name_token,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53575] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53623] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1169), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53671] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53719] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1182), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53767] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53815] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2777), 1,
      sym_simple_name,
    ACTIONS(2780), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(2786), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2791), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(2783), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53863] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2794), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1173), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53911] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1174), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53959] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2798), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54007] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54055] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2802), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1176), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54103] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2804), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54151] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2804), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1178), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54199] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2806), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54247] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54295] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2798), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1167), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54343] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1179), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54391] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2812), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54439] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2814), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1184), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54487] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2816), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54535] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2816), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1165), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54583] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2818), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1187), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54631] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2820), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54679] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2822), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1189), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54727] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2761), 1,
      sym_simple_name,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2830), 1,
      anon_sym_DQUOTE,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(986), 1,
      sym__expandable_string_literal_immediate,
    STATE(1531), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1212), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2826), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2836), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2838), 1,
      anon_sym_DQUOTE,
    STATE(997), 1,
      sym__expandable_string_literal_immediate,
    STATE(1471), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1213), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2834), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2842), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2844), 1,
      anon_sym_DQUOTE,
    STATE(1351), 1,
      sym__expandable_string_literal_immediate,
    STATE(1438), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1206), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2840), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2848), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2850), 1,
      anon_sym_DQUOTE,
    STATE(989), 1,
      sym__expandable_string_literal_immediate,
    STATE(1492), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1208), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2846), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2854), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    STATE(1022), 1,
      sym__expandable_string_literal_immediate,
    STATE(1460), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1214), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2852), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2864), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(1470), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55008] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2870), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2874), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1473), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2872), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1204), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2876), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2880), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1477), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2878), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1198), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55084] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2882), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1478), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55122] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2884), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2888), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1480), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2886), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1200), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2890), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1481), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2892), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1543), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2894), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2898), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1538), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2896), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1215), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2900), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2904), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1540), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2902), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1205), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2906), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1475), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55350] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2908), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1435), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2914), 1,
      anon_sym_DQUOTE,
    STATE(1442), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2910), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55424] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2916), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2920), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1467), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2918), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1195), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55462] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2922), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2924), 1,
      anon_sym_DQUOTE,
    STATE(1444), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2910), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55498] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2926), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2930), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1489), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2928), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1201), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55536] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2932), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2936), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1456), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2934), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1211), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2938), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1458), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2940), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2942), 1,
      anon_sym_DQUOTE,
    STATE(1485), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2910), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55648] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2944), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2946), 1,
      anon_sym_DQUOTE,
    STATE(1472), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2910), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2950), 1,
      anon_sym_DQUOTE,
    STATE(1462), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2910), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2824), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2862), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2952), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1544), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2860), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2866), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55791] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2968), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2964), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2966), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1227), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2970), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2972), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1229), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2980), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2976), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2978), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1226), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2982), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2985), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2990), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2996), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3006), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3004), 2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(3001), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2998), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3013), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3009), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3011), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1233), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3015), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56053] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3021), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3017), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3019), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1228), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3023), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56119] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3025), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3027), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3029), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3042), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3031), 2,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
    ACTIONS(3034), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(3039), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56251] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3049), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3045), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3047), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1221), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56284] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3055), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3051), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3053), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1224), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56317] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3057), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2954), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2956), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3063), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3059), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3061), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1216), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2960), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56383] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 5,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      sym_path_command_name_token,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
    ACTIONS(595), 11,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [56407] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    ACTIONS(3067), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(2065), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56447] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(2149), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56487] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    ACTIONS(3071), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(2074), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56527] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    ACTIONS(3073), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1961), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56567] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1965), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56607] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 2,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
    ACTIONS(2104), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(2102), 3,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      sym_path_command_name_token,
    ACTIONS(95), 4,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3077), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56637] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1766), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56677] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1787), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56717] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3083), 1,
      sym_simple_name,
    ACTIONS(3085), 1,
      anon_sym_LBRACK,
    STATE(1293), 1,
      sym_type_literal,
    STATE(1614), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1264), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56752] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_LBRACK,
    ACTIONS(3087), 1,
      sym_simple_name,
    STATE(1296), 1,
      sym_type_literal,
    STATE(1716), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1264), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56787] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_LBRACK,
    ACTIONS(3087), 1,
      sym_simple_name,
    STATE(1296), 1,
      sym_type_literal,
    STATE(1716), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1244), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(623), 11,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [56844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 14,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR_LPAREN,
  [56864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(623), 11,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [56886] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_SEMI,
    STATE(1255), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3089), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3091), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [56912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 14,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR_LPAREN,
  [56932] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1666), 1,
      sym_script_parameter,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3097), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(3095), 9,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [56990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(597), 11,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57012] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3102), 1,
      anon_sym_SEMI,
    STATE(1255), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(1463), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2705), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 14,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR_LPAREN,
  [57058] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3107), 1,
      anon_sym_SEMI,
    STATE(1250), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3105), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2789), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(597), 11,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(619), 11,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(619), 11,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57150] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(2033), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57183] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(2147), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57216] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(1738), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57249] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3119), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1264), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(3115), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3117), 6,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57274] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(1851), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57307] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3124), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3126), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57327] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3128), 1,
      sym_simple_name,
    STATE(1716), 1,
      sym_variable,
    ACTIONS(3134), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(103), 3,
      anon_sym_LBRACK,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    ACTIONS(3131), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57353] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3137), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3139), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57373] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3147), 1,
      sym_path_command_name_token,
    ACTIONS(2266), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3144), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1269), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(3141), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57399] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3150), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3152), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57419] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3158), 1,
      sym_path_command_name_token,
    ACTIONS(2252), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3156), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1269), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(3154), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57445] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    STATE(1295), 1,
      sym_type_literal,
    ACTIONS(3162), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1278), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3160), 6,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [57471] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3164), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3166), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57491] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1541), 11,
      anon_sym_RPAREN,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
      anon_sym_RBRACE,
      aux_sym_elseif_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [57511] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3168), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3170), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57531] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1539), 11,
      anon_sym_RPAREN,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
      anon_sym_RBRACE,
      aux_sym_elseif_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [57551] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3172), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3174), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57571] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LBRACK,
    STATE(1295), 1,
      sym_type_literal,
    ACTIONS(3181), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1278), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3179), 6,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [57597] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(543), 1,
      aux_sym_for_statement_token1,
    ACTIONS(3183), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3185), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3187), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3189), 1,
      aux_sym_do_statement_token1,
    STATE(1890), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57624] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1563), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57651] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3191), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3193), 8,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57670] = 7,
    ACTIONS(37), 1,
      aux_sym_for_statement_token1,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3195), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3197), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3199), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3201), 1,
      aux_sym_do_statement_token1,
    STATE(526), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57697] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1490), 1,
      sym_switch_parameters,
    STATE(1706), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3205), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57724] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1502), 1,
      sym_switch_parameters,
    STATE(1623), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3205), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57751] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(509), 1,
      aux_sym_for_statement_token1,
    ACTIONS(3209), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3211), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3213), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3215), 1,
      aux_sym_do_statement_token1,
    STATE(1923), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57778] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1530), 1,
      sym_switch_parameters,
    STATE(1549), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3205), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57805] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1518), 1,
      sym_switch_parameters,
    STATE(1553), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3205), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57832] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3217), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3219), 8,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57851] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3221), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3223), 8,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57870] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(187), 1,
      aux_sym_for_statement_token1,
    ACTIONS(3225), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3227), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3229), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3231), 1,
      aux_sym_do_statement_token1,
    STATE(474), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57897] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3233), 1,
      anon_sym_DOT2,
    ACTIONS(3235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(635), 4,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [57925] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(595), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_path_command_name_token,
  [57943] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3237), 1,
      sym_simple_name,
    STATE(1711), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57964] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 1,
      aux_sym_command_name_token1,
    STATE(728), 1,
      sym_command_invokation_operator,
    STATE(773), 1,
      sym_command_name,
    STATE(1469), 1,
      sym_foreach_command,
    STATE(1647), 1,
      sym_command,
    ACTIONS(15), 2,
      anon_sym_DOT,
      anon_sym_AMP,
    ACTIONS(3239), 2,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
  [57991] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3241), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(103), 7,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [58008] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3243), 1,
      sym_simple_name,
    STATE(1614), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58029] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3245), 2,
      anon_sym_LPAREN,
      aux_sym_switch_condition_token1,
    STATE(1300), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3205), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [58048] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 1,
      aux_sym_command_name_token1,
    STATE(731), 1,
      sym_command_invokation_operator,
    STATE(775), 1,
      sym_command_name,
    STATE(1483), 1,
      sym_foreach_command,
    STATE(1624), 1,
      sym_command,
    ACTIONS(15), 2,
      anon_sym_DOT,
      anon_sym_AMP,
    ACTIONS(3247), 2,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
  [58075] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3217), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3219), 7,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [58092] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3249), 2,
      anon_sym_LPAREN,
      aux_sym_switch_condition_token1,
    STATE(1300), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3251), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [58111] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3221), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3223), 7,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [58128] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2134), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58146] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_RBRACE,
    STATE(1658), 1,
      sym_block_name,
    STATE(1304), 2,
      sym_named_block,
      aux_sym_named_block_list_repeat1,
    ACTIONS(3254), 4,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
  [58166] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    STATE(1658), 1,
      sym_block_name,
    STATE(1304), 2,
      sym_named_block,
      aux_sym_named_block_list_repeat1,
    ACTIONS(3258), 4,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
  [58186] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2600), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2606), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3263), 1,
      anon_sym_DOT2,
    ACTIONS(3265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_LPAREN,
  [58212] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3267), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2421), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58228] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1910), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58246] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1708), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58264] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3267), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2451), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58280] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3269), 1,
      anon_sym_DOT2,
    ACTIONS(3271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [58306] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1415), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58324] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2118), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58342] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2119), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58360] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2125), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58378] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2126), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58396] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2131), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58414] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2132), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58432] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3273), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2451), 4,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_RBRACK,
  [58447] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_RPAREN,
    ACTIONS(3275), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(3277), 1,
      aux_sym_else_clause_token1,
    STATE(1451), 1,
      sym_elseif_clauses,
    STATE(1818), 1,
      sym_else_clause,
    STATE(1387), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [58470] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__statement_terminator,
    ACTIONS(2596), 1,
      anon_sym_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2600), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2606), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3279), 1,
      anon_sym_DOT2,
    ACTIONS(3281), 1,
      anon_sym_COLON_COLON,
  [58495] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3269), 1,
      anon_sym_DOT2,
    ACTIONS(3271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
  [58520] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3273), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2421), 4,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_RBRACK,
  [58535] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_EQ,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3269), 1,
      anon_sym_DOT2,
    ACTIONS(3271), 1,
      anon_sym_COLON_COLON,
  [58560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3287), 1,
      aux_sym_command_name_token2,
    ACTIONS(3289), 1,
      anon_sym_DQUOTE2,
    STATE(1332), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2485), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3285), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
  [58581] = 3,
    ACTIONS(81), 1,
      sym_comment,
    STATE(78), 1,
      sym_assignement_operator,
    ACTIONS(3291), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58596] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3293), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2451), 4,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58611] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3293), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2421), 4,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58626] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1393), 1,
      sym__statement_terminator,
    ACTIONS(3295), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(3297), 1,
      aux_sym_else_clause_token1,
    STATE(1487), 1,
      sym_elseif_clauses,
    STATE(1855), 1,
      sym_else_clause,
    STATE(1396), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [58649] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1373), 1,
      anon_sym_RPAREN,
    ACTIONS(3299), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3301), 1,
      aux_sym_finally_clause_token1,
    STATE(1527), 1,
      sym_catch_clauses,
    STATE(2007), 1,
      sym_finally_clause,
    STATE(1356), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [58672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3305), 1,
      aux_sym_command_name_token2,
    STATE(1324), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2506), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3303), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
  [58693] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3307), 7,
      anon_sym_LPAREN,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
      aux_sym_switch_condition_token1,
  [58706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 1,
      aux_sym_command_name_token2,
    ACTIONS(3315), 1,
      anon_sym_DQUOTE2,
    STATE(1332), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2496), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3309), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
  [58727] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1373), 1,
      sym__statement_terminator,
    ACTIONS(3318), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3320), 1,
      aux_sym_finally_clause_token1,
    STATE(1466), 1,
      sym_catch_clauses,
    STATE(1735), 1,
      sym_finally_clause,
    STATE(1391), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [58750] = 3,
    ACTIONS(81), 1,
      sym_comment,
    STATE(79), 1,
      sym_assignement_operator,
    ACTIONS(3291), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58765] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2612), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2618), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3269), 1,
      anon_sym_DOT2,
    ACTIONS(3271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3322), 1,
      anon_sym_LBRACE,
  [58790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1338), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3326), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(3324), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [58806] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1454), 1,
      sym_type_spec,
    STATE(1806), 1,
      sym_generic_type_arguments,
  [58828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1338), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3333), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(3330), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [58844] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3335), 1,
      sym_simple_name,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    STATE(1411), 1,
      sym_data_name,
    STATE(1627), 1,
      sym_data_commands_allowed,
    STATE(1919), 1,
      sym_statement_block,
  [58866] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1705), 1,
      sym_type_spec,
    STATE(1826), 1,
      sym_attribute_name,
  [58888] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1354), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3343), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [58904] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1619), 1,
      sym_type_spec,
    STATE(2032), 1,
      sym_attribute_name,
  [58926] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1615), 1,
      sym_type_spec,
    STATE(1826), 1,
      sym_attribute_name,
  [58948] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1344), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3345), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [58964] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3350), 1,
      anon_sym_LBRACE,
    STATE(1344), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3343), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [58980] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3335), 1,
      sym_simple_name,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_statement_block,
    STATE(1408), 1,
      sym_data_name,
    STATE(1582), 1,
      sym_data_commands_allowed,
  [59002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2535), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
  [59016] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3335), 1,
      sym_simple_name,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1417), 1,
      sym_data_name,
    STATE(1556), 1,
      sym_data_commands_allowed,
    STATE(1927), 1,
      sym_statement_block,
  [59038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2572), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
  [59052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_PIPE,
    ACTIONS(3358), 1,
      sym__statement_terminator,
    STATE(1352), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3356), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [59070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2496), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
  [59084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      sym__statement_terminator,
    STATE(1352), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3360), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [59102] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3335), 1,
      sym_simple_name,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(425), 1,
      sym_statement_block,
    STATE(1430), 1,
      sym_data_name,
    STATE(1709), 1,
      sym_data_commands_allowed,
  [59124] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1354), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3345), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [59140] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    ACTIONS(2419), 1,
      anon_sym_PIPE,
    ACTIONS(3370), 1,
      anon_sym_DASH_DASH_PERCENT,
    STATE(1512), 1,
      aux_sym__pipeline_tail,
    STATE(1513), 1,
      sym_verbatim_command_argument,
  [59159] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3299), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1484), 2,
      anon_sym_RPAREN,
      aux_sym_finally_clause_token1,
    STATE(1360), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59174] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1357), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59189] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2014), 1,
      sym_type_spec,
  [59208] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1474), 1,
      sym__statement_terminator,
    ACTIONS(3375), 1,
      aux_sym_elseif_clause_token1,
    STATE(1359), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59225] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3378), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1479), 2,
      anon_sym_RPAREN,
      aux_sym_finally_clause_token1,
    STATE(1360), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59240] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2018), 1,
      sym_type_spec,
  [59259] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_statement_block,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1637), 1,
      sym_catch_type_list,
  [59278] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3383), 5,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59289] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3385), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59300] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1539), 4,
      sym__statement_terminator,
      aux_sym_elseif_clause_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [59313] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2143), 1,
      sym_type_spec,
  [59332] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1895), 1,
      sym_type_spec,
  [59351] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1959), 1,
      sym_type_spec,
  [59370] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1541), 4,
      sym__statement_terminator,
      aux_sym_elseif_clause_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [59383] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2022), 1,
      sym_type_spec,
  [59402] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1740), 1,
      sym_type_spec,
  [59421] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1917), 1,
      sym_type_spec,
  [59440] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1992), 1,
      sym_type_spec,
  [59459] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2537), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3387), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59472] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1357), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59487] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1988), 1,
      sym_type_spec,
  [59506] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2075), 1,
      sym_type_spec,
  [59525] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3389), 5,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
      anon_sym_RBRACE,
  [59536] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1479), 1,
      sym_statement_block,
    STATE(1652), 1,
      sym_catch_type_list,
  [59555] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1393), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59570] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_LBRACE,
    STATE(402), 1,
      sym_statement_block,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1613), 1,
      sym_catch_type_list,
  [59589] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1539), 1,
      sym_statement_block,
    STATE(1573), 1,
      sym_catch_type_list,
  [59608] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_DOT,
    ACTIONS(3395), 1,
      anon_sym_LBRACK,
    ACTIONS(3397), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59623] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2035), 1,
      sym_type_spec,
  [59642] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1870), 1,
      sym_type_spec,
  [59661] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2025), 1,
      sym_type_spec,
  [59680] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1468), 1,
      anon_sym_RPAREN,
    ACTIONS(3275), 1,
      aux_sym_elseif_clause_token1,
    STATE(1397), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59697] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2010), 1,
      sym_type_spec,
  [59716] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3399), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3401), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59729] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3403), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59740] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3318), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1484), 2,
      sym__statement_terminator,
      aux_sym_finally_clause_token1,
    STATE(1400), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59755] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1943), 1,
      sym_type_spec,
  [59774] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1393), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59789] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1969), 1,
      sym_type_spec,
  [59808] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_PIPE,
    ACTIONS(2413), 1,
      sym__statement_terminator,
    ACTIONS(3408), 1,
      anon_sym_DASH_DASH_PERCENT,
    STATE(1508), 1,
      aux_sym__pipeline_tail,
    STATE(1510), 1,
      sym_verbatim_command_argument,
  [59827] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1468), 1,
      sym__statement_terminator,
    ACTIONS(3295), 1,
      aux_sym_elseif_clause_token1,
    STATE(1359), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59844] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    ACTIONS(3410), 1,
      aux_sym_elseif_clause_token1,
    STATE(1397), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59861] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3413), 5,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59872] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1661), 1,
      sym_type_spec,
  [59891] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3415), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1479), 2,
      sym__statement_terminator,
      aux_sym_finally_clause_token1,
    STATE(1400), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59906] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1845), 1,
      sym_type_spec,
  [59925] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2537), 1,
      anon_sym_RBRACK,
    ACTIONS(3418), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59937] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3422), 1,
      anon_sym_RBRACE,
    STATE(1424), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [59953] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3424), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [59969] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3426), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [59985] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_SEMI,
    STATE(1412), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3428), 2,
      sym_simple_name,
      anon_sym_RBRACE,
  [59999] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3428), 1,
      anon_sym_RBRACE,
    ACTIONS(3432), 1,
      sym_simple_name,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60015] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_statement_block,
    STATE(1685), 1,
      sym_data_commands_allowed,
  [60031] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1625), 1,
      sym_type_literal,
    STATE(1892), 1,
      sym_statement_block,
  [60047] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3437), 1,
      anon_sym_RBRACK,
    STATE(1453), 1,
      aux_sym_dimension_repeat1,
    STATE(1806), 1,
      sym_dimension,
  [60063] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    STATE(1639), 1,
      sym_data_commands_allowed,
    STATE(1737), 1,
      sym_statement_block,
  [60079] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3439), 2,
      sym_simple_name,
      anon_sym_RBRACE,
  [60093] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3441), 1,
      anon_sym_RBRACE,
    STATE(1414), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60109] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60125] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_EQ,
    STATE(1670), 1,
      sym_script_parameter_default,
    ACTIONS(3447), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60139] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1554), 1,
      sym_type_literal,
    STATE(1924), 1,
      sym_statement_block,
  [60155] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_data_commands_allowed,
    STATE(2009), 1,
      sym_statement_block,
  [60171] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(1419), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60187] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60203] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_EQ,
    STATE(1689), 1,
      sym_script_parameter_default,
    ACTIONS(3453), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60217] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(605), 4,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60227] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(601), 4,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60237] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2537), 1,
      sym__statement_terminator,
    ACTIONS(3455), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [60249] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3420), 1,
      sym_simple_name,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3459), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [60277] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_statement_block,
    STATE(1552), 1,
      sym_type_literal,
  [60293] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(605), 4,
      sym__statement_terminator,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60303] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_statement_block,
    STATE(1707), 1,
      sym_type_literal,
  [60319] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(601), 4,
      sym__statement_terminator,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60329] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_statement_block,
    STATE(1622), 1,
      sym_data_commands_allowed,
  [60345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1336), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3461), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [60357] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    STATE(1380), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [60368] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3463), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60377] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [60390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3471), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_DOLLAR,
    ACTIONS(3476), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60416] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3478), 1,
      anon_sym_RPAREN,
    ACTIONS(3480), 1,
      anon_sym_COMMA,
    STATE(1437), 1,
      aux_sym_argument_expression_list_repeat1,
  [60429] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3485), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60442] = 4,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    STATE(1913), 1,
      sym_integer_literal,
  [60455] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3487), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60464] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_COMMA,
    ACTIONS(3492), 1,
      anon_sym_RBRACK,
    STATE(1441), 1,
      aux_sym_dimension_repeat1,
  [60477] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3494), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60490] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_COMMA,
    ACTIONS(3498), 1,
      anon_sym_RBRACK,
    STATE(1514), 1,
      aux_sym_generic_type_arguments_repeat1,
  [60503] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3500), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60516] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_EQ,
    ACTIONS(3504), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60527] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3506), 1,
      anon_sym_RPAREN,
    ACTIONS(3508), 1,
      anon_sym_COMMA,
    STATE(1515), 1,
      aux_sym_attribute_arguments_repeat1,
  [60540] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3510), 1,
      sym_type_identifier,
    ACTIONS(3512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60551] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3514), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      anon_sym_SEMI,
    ACTIONS(3518), 1,
      anon_sym_RPAREN,
    ACTIONS(3520), 1,
      aux_sym_for_statement_token2,
  [60573] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_RPAREN,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1517), 1,
      aux_sym_parameter_list_repeat1,
  [60586] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_RPAREN,
    ACTIONS(3526), 1,
      aux_sym_else_clause_token1,
    STATE(1993), 1,
      sym_else_clause,
  [60599] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3528), 1,
      anon_sym_RPAREN,
    ACTIONS(3530), 1,
      anon_sym_COMMA,
    STATE(1459), 1,
      aux_sym_class_method_parameter_list_repeat1,
  [60612] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym_COMMA,
    ACTIONS(3534), 1,
      anon_sym_RBRACK,
    STATE(1441), 1,
      aux_sym_dimension_repeat1,
  [60625] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_COMMA,
    ACTIONS(3536), 1,
      anon_sym_RBRACK,
    STATE(1443), 1,
      aux_sym_generic_type_arguments_repeat1,
  [60638] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_PIPE,
    ACTIONS(3541), 1,
      sym__statement_terminator,
    STATE(1455), 1,
      aux_sym__pipeline_tail,
  [60651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60664] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_RPAREN,
    ACTIONS(3545), 1,
      anon_sym_COMMA,
    STATE(1437), 1,
      aux_sym_argument_expression_list_repeat1,
  [60677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3547), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60690] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_RPAREN,
    ACTIONS(3551), 1,
      anon_sym_COMMA,
    STATE(1459), 1,
      aux_sym_class_method_parameter_list_repeat1,
  [60703] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3554), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60716] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_PIPE,
    ACTIONS(3556), 1,
      sym__statement_terminator,
    STATE(1455), 1,
      aux_sym__pipeline_tail,
  [60729] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3558), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60742] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3463), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60751] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_LPAREN,
    ACTIONS(3562), 1,
      anon_sym_LBRACE,
    STATE(1954), 1,
      sym_function_parameter_declaration,
  [60764] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      aux_sym_parameter_list_repeat1,
  [60777] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1552), 1,
      sym__statement_terminator,
    ACTIONS(3320), 1,
      aux_sym_finally_clause_token1,
    STATE(1808), 1,
      sym_finally_clause,
  [60790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_SEMI,
    ACTIONS(3568), 1,
      anon_sym_RPAREN,
    ACTIONS(3570), 1,
      aux_sym_for_statement_token2,
  [60816] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3572), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3574), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60838] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3576), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60851] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3578), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60877] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_RPAREN,
    ACTIONS(3582), 1,
      anon_sym_COMMA,
    STATE(1474), 1,
      aux_sym_attribute_arguments_repeat1,
  [60890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3585), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60903] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3587), 1,
      anon_sym_COMMA,
    ACTIONS(3589), 1,
      anon_sym_LBRACE,
    STATE(1532), 1,
      aux_sym_catch_type_list_repeat1,
  [60916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60942] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1535), 3,
      sym__statement_terminator,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [60951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60977] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_COMMA,
    ACTIONS(3597), 1,
      anon_sym_LBRACE,
    STATE(1535), 1,
      aux_sym_data_commands_list_repeat1,
  [60990] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3572), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60999] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1537), 3,
      sym__statement_terminator,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [61008] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3599), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61021] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3604), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61034] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1548), 1,
      sym__statement_terminator,
    ACTIONS(3606), 1,
      aux_sym_else_clause_token1,
    STATE(1865), 1,
      sym_else_clause,
  [61047] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LPAREN,
    ACTIONS(3610), 1,
      aux_sym_switch_parameter_token5,
    STATE(2146), 1,
      sym_foreach_parameter,
  [61060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61073] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1645), 1,
      sym_switch_condition,
  [61086] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_LPAREN,
    ACTIONS(3612), 1,
      anon_sym_LBRACE,
    STATE(1882), 1,
      sym_function_parameter_declaration,
  [61099] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3614), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61112] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1550), 2,
      sym__statement_terminator,
      aux_sym_elseif_clause_token1,
  [61123] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3616), 1,
      anon_sym_LBRACE,
    STATE(1496), 1,
      aux_sym_class_statement_repeat1,
  [61136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_SEMI,
    ACTIONS(3620), 1,
      anon_sym_RPAREN,
    ACTIONS(3622), 1,
      aux_sym_for_statement_token2,
  [61149] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3624), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      anon_sym_SEMI,
    ACTIONS(3628), 1,
      anon_sym_RPAREN,
    ACTIONS(3630), 1,
      aux_sym_for_statement_token2,
  [61175] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_switch_parameter_token5,
    ACTIONS(3632), 1,
      anon_sym_LPAREN,
    STATE(2041), 1,
      sym_foreach_parameter,
  [61188] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(1434), 1,
      aux_sym_class_statement_repeat1,
  [61201] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1341), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [61212] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3545), 1,
      anon_sym_COMMA,
    ACTIONS(3636), 1,
      anon_sym_RPAREN,
    STATE(1457), 1,
      aux_sym_argument_expression_list_repeat1,
  [61225] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1632), 1,
      sym_switch_condition,
  [61238] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_LPAREN,
    ACTIONS(3638), 1,
      anon_sym_LBRACE,
    STATE(1942), 1,
      sym_function_parameter_declaration,
  [61251] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1550), 2,
      anon_sym_RPAREN,
      aux_sym_elseif_clause_token1,
  [61262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_SEMI,
    ACTIONS(3642), 1,
      anon_sym_RPAREN,
    ACTIONS(3644), 1,
      aux_sym_for_statement_token2,
  [61275] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3646), 1,
      anon_sym_LBRACE,
    STATE(1509), 1,
      aux_sym_class_statement_repeat1,
  [61288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_SEMI,
    ACTIONS(3650), 1,
      anon_sym_RPAREN,
    ACTIONS(3652), 1,
      aux_sym_for_statement_token2,
  [61301] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_PIPE,
    ACTIONS(3654), 1,
      sym__statement_terminator,
    STATE(1455), 1,
      aux_sym__pipeline_tail,
  [61314] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61327] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_PIPE,
    ACTIONS(3654), 1,
      sym__statement_terminator,
    STATE(1461), 1,
      aux_sym__pipeline_tail,
  [61340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_SEMI,
    ACTIONS(3660), 1,
      anon_sym_RPAREN,
    ACTIONS(3662), 1,
      aux_sym_for_statement_token2,
  [61353] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_PIPE,
    ACTIONS(3654), 1,
      anon_sym_RPAREN,
    STATE(1533), 1,
      aux_sym__pipeline_tail,
  [61366] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_PIPE,
    ACTIONS(3654), 1,
      anon_sym_RPAREN,
    STATE(1536), 1,
      aux_sym__pipeline_tail,
  [61379] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_COMMA,
    ACTIONS(3667), 1,
      anon_sym_RBRACK,
    STATE(1514), 1,
      aux_sym_generic_type_arguments_repeat1,
  [61392] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3508), 1,
      anon_sym_COMMA,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    STATE(1474), 1,
      aux_sym_attribute_arguments_repeat1,
  [61405] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3671), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [61414] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    ACTIONS(3675), 1,
      anon_sym_COMMA,
    STATE(1517), 1,
      aux_sym_parameter_list_repeat1,
  [61427] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1560), 1,
      sym_switch_condition,
  [61440] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_LPAREN,
    ACTIONS(3678), 1,
      anon_sym_LBRACE,
    STATE(1985), 1,
      sym_function_parameter_declaration,
  [61453] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      aux_sym_catch_type_list_repeat1,
  [61466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_SEMI,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(3689), 1,
      aux_sym_for_statement_token2,
  [61479] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3691), 1,
      anon_sym_LBRACE,
    STATE(1524), 1,
      aux_sym_class_statement_repeat1,
  [61492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_SEMI,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(3697), 1,
      aux_sym_for_statement_token2,
  [61505] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61518] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_COMMA,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    STATE(1452), 1,
      aux_sym_class_method_parameter_list_repeat1,
  [61531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_SEMI,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(3707), 1,
      aux_sym_for_statement_token2,
  [61544] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_RPAREN,
    ACTIONS(3301), 1,
      aux_sym_finally_clause_token1,
    STATE(2067), 1,
      sym_finally_clause,
  [61557] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_COMMA,
    ACTIONS(3709), 1,
      anon_sym_LBRACE,
    STATE(1482), 1,
      aux_sym_data_commands_list_repeat1,
  [61570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_SEMI,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    ACTIONS(3715), 1,
      aux_sym_for_statement_token2,
  [61583] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_switch_condition_token1,
    STATE(1630), 1,
      sym_switch_condition,
  [61596] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3717), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61609] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3587), 1,
      anon_sym_COMMA,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      aux_sym_catch_type_list_repeat1,
  [61622] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_RPAREN,
    ACTIONS(3721), 1,
      anon_sym_PIPE,
    STATE(1533), 1,
      aux_sym__pipeline_tail,
  [61635] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3350), 1,
      anon_sym_LBRACE,
    STATE(1345), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [61646] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(3727), 1,
      anon_sym_LBRACE,
    STATE(1535), 1,
      aux_sym_data_commands_list_repeat1,
  [61659] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_PIPE,
    ACTIONS(3556), 1,
      anon_sym_RPAREN,
    STATE(1533), 1,
      aux_sym__pipeline_tail,
  [61672] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_switch_parameter_token5,
    ACTIONS(3729), 1,
      anon_sym_LPAREN,
    STATE(2148), 1,
      sym_foreach_parameter,
  [61685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61698] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1535), 3,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [61707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61720] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3671), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [61729] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    STATE(1375), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [61740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3731), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3733), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61766] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3735), 1,
      anon_sym_COMMA,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61779] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1537), 3,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [61788] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_switch_parameter_token5,
    ACTIONS(3740), 1,
      anon_sym_LPAREN,
    STATE(2144), 1,
      sym_foreach_parameter,
  [61801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_SEMI,
    ACTIONS(3744), 1,
      anon_sym_RPAREN,
    ACTIONS(3746), 1,
      aux_sym_for_statement_token2,
  [61814] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_switch_body,
  [61824] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_statement_block,
  [61834] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      sym_statement_block,
  [61844] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_statement_block,
  [61854] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(2002), 1,
      sym_switch_body,
  [61864] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2005), 1,
      sym_statement_block,
  [61874] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_statement_block,
  [61884] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2009), 1,
      sym_statement_block,
  [61894] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_statement_block,
  [61904] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_script_block_expression,
  [61914] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_LBRACE,
      aux_sym_data_commands_allowed_token1,
  [61922] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(2057), 1,
      sym_switch_body,
  [61932] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [61940] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_statement_block,
  [61950] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61958] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym_statement_block,
  [61968] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2072), 1,
      sym_statement_block,
  [61978] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_statement_block,
  [61988] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_statement_block,
  [61998] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_statement_block,
  [62008] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_statement_block,
  [62018] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1319), 1,
      sym_statement_block,
  [62028] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2136), 1,
      sym_statement_block,
  [62038] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2138), 1,
      sym_statement_block,
  [62048] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1546), 1,
      sym_statement_block,
  [62058] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(424), 1,
      sym_statement_block,
  [62068] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_statement_block,
  [62078] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1897), 1,
      sym_statement_block,
  [62088] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym_statement_block,
  [62098] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1989), 1,
      sym_statement_block,
  [62108] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1761), 1,
      sym_statement_block,
  [62118] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1888), 1,
      sym_statement_block,
  [62128] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1963), 1,
      sym_statement_block,
  [62138] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_statement_block,
  [62148] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1998), 1,
      sym_statement_block,
  [62158] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_statement_block,
  [62168] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_statement_block,
  [62178] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2076), 1,
      sym_statement_block,
  [62188] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LBRACE,
    STATE(414), 1,
      sym_statement_block,
  [62198] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2104), 1,
      sym_statement_block,
  [62208] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1504), 1,
      sym_statement_block,
  [62218] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2124), 1,
      sym_statement_block,
  [62228] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_statement_block,
  [62238] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_statement_block,
  [62248] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_statement_block,
  [62258] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_statement_block,
  [62268] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_statement_block,
  [62278] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_statement_block,
  [62288] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    STATE(124), 1,
      sym_script_block_expression,
  [62298] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_statement_block,
  [62308] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3683), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [62316] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_statement_block,
  [62326] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3758), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62334] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(428), 1,
      sym_statement_block,
  [62344] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym_script_block_expression,
  [62354] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_statement_block,
  [62364] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1333), 1,
      sym_statement_block,
  [62374] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_statement_block,
  [62384] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(431), 1,
      sym_statement_block,
  [62394] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
  [62404] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1925), 1,
      sym_statement_block,
  [62414] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1932), 1,
      sym_statement_block,
  [62424] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym_script_block_expression,
  [62434] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1934), 1,
      sym_statement_block,
  [62444] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3391), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_statement_block,
  [62454] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_EQ,
    ACTIONS(3762), 1,
      sym__statement_terminator,
  [62464] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_LPAREN,
    ACTIONS(3766), 1,
      anon_sym_RBRACK,
  [62474] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_script_block_expression,
  [62484] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3738), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [62492] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_statement_block,
  [62502] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_LPAREN,
    ACTIONS(3768), 1,
      anon_sym_RBRACK,
  [62512] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    STATE(860), 1,
      sym_script_block_expression,
  [62522] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_statement_block,
  [62532] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_statement_block,
  [62542] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3770), 1,
      anon_sym_LBRACE,
    STATE(1731), 1,
      sym_switch_body,
  [62552] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3541), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [62560] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1733), 1,
      sym_statement_block,
  [62570] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_statement_block,
  [62580] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_statement_block,
  [62590] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_statement_block,
  [62600] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_script_block_expression,
  [62610] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_switch_body,
  [62620] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_statement_block,
  [62630] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3770), 1,
      anon_sym_LBRACE,
    STATE(1792), 1,
      sym_switch_body,
  [62640] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_LBRACE,
    ACTIONS(3774), 1,
      anon_sym_COLON,
  [62650] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
  [62660] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1803), 1,
      sym_statement_block,
  [62670] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3478), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62678] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_statement_block,
  [62688] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1807), 1,
      sym_statement_block,
  [62698] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1811), 1,
      sym_statement_block,
  [62708] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_EQ,
    ACTIONS(3778), 1,
      sym__statement_terminator,
  [62718] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_LBRACE,
    ACTIONS(3782), 1,
      anon_sym_COLON,
  [62728] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_statement_block,
  [62738] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_EQ,
    ACTIONS(3786), 1,
      sym__statement_terminator,
  [62748] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_statement_block,
  [62758] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_switch_body,
  [62768] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_statement_block,
  [62778] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3541), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
  [62786] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1328), 1,
      sym_statement_block,
  [62796] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_LBRACE,
    ACTIONS(3792), 1,
      anon_sym_COLON,
  [62806] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1840), 1,
      sym_statement_block,
  [62816] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1842), 1,
      sym_statement_block,
  [62826] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1484), 1,
      sym_statement_block,
  [62836] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_statement_block,
  [62846] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_statement_block,
  [62856] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_statement_block,
  [62866] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1857), 1,
      sym_statement_block,
  [62876] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1859), 1,
      sym_statement_block,
  [62886] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1378), 1,
      sym_statement_block,
  [62896] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_statement_block,
  [62906] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1864), 1,
      sym_statement_block,
  [62916] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62924] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1867), 1,
      sym_statement_block,
  [62934] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_statement_block,
  [62944] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1868), 1,
      sym_statement_block,
  [62954] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3794), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62962] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3673), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62970] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1869), 1,
      sym_statement_block,
  [62980] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3504), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62988] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1873), 1,
      sym_statement_block,
  [62998] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3796), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63006] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1876), 1,
      sym_statement_block,
  [63016] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_COLON,
  [63026] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1878), 1,
      sym_statement_block,
  [63036] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1880), 1,
      sym_statement_block,
  [63046] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1885), 1,
      sym_statement_block,
  [63056] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_statement_block,
  [63066] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1891), 1,
      sym_statement_block,
  [63076] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      sym_statement_block,
  [63086] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1901), 1,
      sym_statement_block,
  [63096] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1903), 1,
      sym_statement_block,
  [63106] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_statement_block,
  [63116] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3802), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [63124] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_statement_block,
  [63134] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3804), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63142] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_statement_block,
  [63152] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_statement_block,
  [63162] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3391), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_statement_block,
  [63172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__command_token,
    STATE(1491), 1,
      sym_function_name,
  [63182] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3447), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63190] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_statement_block,
  [63200] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    STATE(1599), 1,
      sym_type_literal,
  [63210] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_statement_block,
  [63220] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_statement_block,
  [63230] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_statement_block,
  [63240] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3727), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [63248] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_statement_block,
  [63258] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_statement_block,
  [63268] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_statement_block,
  [63278] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3808), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [63286] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_statement_block,
  [63296] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_statement_block,
  [63306] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3810), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63314] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_statement_block,
  [63324] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3580), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63332] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      anon_sym_RBRACK,
  [63342] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_switch_body,
  [63352] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_statement_block,
  [63362] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3814), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63370] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_statement_block,
  [63380] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_statement_block,
  [63390] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_EQ,
    ACTIONS(3818), 1,
      sym__statement_terminator,
  [63400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__command_token,
    STATE(1503), 1,
      sym_function_name,
  [63410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__command_token,
    STATE(1519), 1,
      sym_function_name,
  [63420] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_statement_block,
  [63430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__command_token,
    STATE(1464), 1,
      sym_function_name,
  [63440] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_EQ,
    ACTIONS(3822), 1,
      sym__statement_terminator,
  [63450] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_statement_block,
  [63460] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3824), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63468] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3826), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63476] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3828), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63484] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1718), 1,
      sym_statement_block,
  [63494] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym_statement_block,
  [63504] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1720), 1,
      sym_statement_block,
  [63514] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_statement_block,
  [63524] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym_script_block_expression,
  [63534] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1329), 1,
      sym_statement_block,
  [63544] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    STATE(1928), 1,
      sym_statement_block,
  [63554] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_statement_block,
  [63564] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_LPAREN,
  [63571] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3832), 1,
      sym__statement_terminator,
  [63578] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym__statement_terminator,
  [63585] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3834), 1,
      sym__statement_terminator,
  [63592] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1752), 1,
      sym__statement_terminator,
  [63599] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
  [63606] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1552), 1,
      sym__statement_terminator,
  [63613] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3836), 1,
      sym__statement_terminator,
  [63620] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1754), 1,
      sym__statement_terminator,
  [63627] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
  [63634] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3838), 1,
      anon_sym_RPAREN,
  [63641] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_RBRACK,
  [63648] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_RPAREN,
  [63655] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_RBRACE,
  [63662] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_RPAREN,
  [63669] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_LPAREN,
  [63676] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_RPAREN,
  [63683] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_RPAREN,
  [63690] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_RBRACE,
  [63697] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3762), 1,
      sym__statement_terminator,
  [63704] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
  [63711] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_RBRACE,
  [63718] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3858), 1,
      anon_sym_RBRACE,
  [63725] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_RPAREN,
  [63732] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_RBRACE,
  [63739] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3864), 1,
      sym_simple_name,
  [63746] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_RBRACK,
  [63753] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_RPAREN,
  [63760] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_RPAREN,
  [63767] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3870), 1,
      anon_sym_RBRACE,
  [63774] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_RPAREN,
  [63781] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_LBRACE,
  [63788] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
  [63795] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_RPAREN,
  [63802] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_RBRACE,
  [63809] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_LBRACE,
  [63816] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_RPAREN,
  [63823] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_RPAREN,
  [63830] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3884), 1,
      sym_simple_name,
  [63837] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_RPAREN,
  [63844] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym_RBRACE,
  [63851] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_EQ,
  [63858] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_RPAREN,
  [63865] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3894), 1,
      anon_sym_RPAREN,
  [63872] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_RBRACE,
  [63879] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_RBRACK,
  [63886] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3900), 1,
      anon_sym_LPAREN,
  [63893] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_RBRACE,
  [63900] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_RBRACE,
  [63907] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_RBRACE,
  [63914] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_RBRACK,
  [63921] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_RPAREN,
  [63928] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_RBRACE,
  [63935] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3914), 1,
      anon_sym_RBRACE,
  [63942] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(213), 1,
      sym__statement_terminator,
  [63949] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_RPAREN,
  [63956] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3918), 1,
      sym__statement_terminator,
  [63963] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3920), 1,
      anon_sym_LBRACE,
  [63970] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_RPAREN,
  [63977] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1450), 1,
      sym__statement_terminator,
  [63984] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_RBRACE,
  [63991] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_RPAREN,
  [63998] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_RBRACE,
  [64005] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1829), 1,
      sym__statement_terminator,
  [64012] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3930), 1,
      anon_sym_RPAREN,
  [64019] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_RPAREN,
  [64026] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3934), 1,
      anon_sym_RBRACE,
  [64033] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym__statement_terminator,
  [64040] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3938), 1,
      sym__statement_terminator,
  [64047] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_RBRACE,
  [64054] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_RBRACE,
  [64061] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1831), 1,
      sym__statement_terminator,
  [64068] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3944), 1,
      anon_sym_RBRACK,
  [64075] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_RPAREN,
  [64082] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1833), 1,
      sym__statement_terminator,
  [64089] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_RPAREN,
  [64096] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym__statement_terminator,
  [64103] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_RBRACK,
  [64110] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1837), 1,
      sym__statement_terminator,
  [64117] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1839), 1,
      sym__statement_terminator,
  [64124] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_RBRACK,
  [64131] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3954), 1,
      anon_sym_RPAREN,
  [64138] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1841), 1,
      sym__statement_terminator,
  [64145] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3956), 1,
      anon_sym_RPAREN,
  [64152] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_RBRACE,
  [64159] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
  [64166] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_RPAREN,
  [64173] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_RPAREN,
  [64180] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3964), 1,
      anon_sym_RBRACE,
  [64187] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_RPAREN,
  [64194] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1688), 1,
      sym__statement_terminator,
  [64201] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_RBRACE,
  [64208] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3968), 1,
      anon_sym_RBRACE,
  [64215] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1843), 1,
      sym__statement_terminator,
  [64222] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_RBRACK,
  [64229] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_RPAREN,
  [64236] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1845), 1,
      sym__statement_terminator,
  [64243] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3974), 1,
      anon_sym_LPAREN,
  [64250] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_RBRACE,
  [64257] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3978), 1,
      anon_sym_RPAREN,
  [64264] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3980), 1,
      anon_sym_RBRACE,
  [64271] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_LBRACE,
  [64278] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3982), 1,
      anon_sym_RPAREN,
  [64285] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
  [64292] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3986), 1,
      sym__statement_terminator,
  [64299] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_RBRACE,
  [64306] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_RPAREN,
  [64313] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3992), 1,
      anon_sym_RBRACE,
  [64320] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3994), 1,
      anon_sym_EQ,
  [64327] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
  [64334] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1690), 1,
      sym__statement_terminator,
  [64341] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1692), 1,
      sym__statement_terminator,
  [64348] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_RPAREN,
  [64355] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym__statement_terminator,
  [64362] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_RPAREN,
  [64369] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1696), 1,
      sym__statement_terminator,
  [64376] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_RBRACK,
  [64383] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_RPAREN,
  [64390] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_LBRACE,
  [64397] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_LPAREN,
  [64404] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1698), 1,
      sym__statement_terminator,
  [64411] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1700), 1,
      sym__statement_terminator,
  [64418] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
  [64425] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1424), 1,
      sym__statement_terminator,
  [64432] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3818), 1,
      sym__statement_terminator,
  [64439] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_LPAREN,
  [64446] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1702), 1,
      sym__statement_terminator,
  [64453] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_LPAREN,
  [64460] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1704), 1,
      sym__statement_terminator,
  [64467] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
  [64474] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym__statement_terminator,
  [64481] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_RBRACE,
  [64488] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1708), 1,
      sym__statement_terminator,
  [64495] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1710), 1,
      sym__statement_terminator,
  [64502] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym__statement_terminator,
  [64509] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1714), 1,
      sym__statement_terminator,
  [64516] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1716), 1,
      sym__statement_terminator,
  [64523] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_LPAREN,
  [64530] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1718), 1,
      sym__statement_terminator,
  [64537] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1720), 1,
      sym__statement_terminator,
  [64544] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1722), 1,
      sym__statement_terminator,
  [64551] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_RBRACK,
  [64558] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1724), 1,
      sym__statement_terminator,
  [64565] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
  [64572] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1726), 1,
      sym__statement_terminator,
  [64579] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_RBRACE,
  [64586] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_LBRACE,
  [64593] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1728), 1,
      sym__statement_terminator,
  [64600] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
  [64607] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1730), 1,
      sym__statement_terminator,
  [64614] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_RPAREN,
  [64621] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1732), 1,
      sym__statement_terminator,
  [64628] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_RPAREN,
  [64635] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
  [64642] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym__statement_terminator,
  [64649] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4036), 1,
      anon_sym_RPAREN,
  [64656] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1736), 1,
      sym__statement_terminator,
  [64663] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4038), 1,
      anon_sym_RBRACE,
  [64670] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_RPAREN,
  [64677] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1720), 1,
      anon_sym_RPAREN,
  [64684] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_RPAREN,
  [64691] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1815), 1,
      sym__statement_terminator,
  [64698] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1738), 1,
      sym__statement_terminator,
  [64705] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1817), 1,
      sym__statement_terminator,
  [64712] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_RPAREN,
  [64719] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_RPAREN,
  [64726] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_RBRACK,
  [64733] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1740), 1,
      sym__statement_terminator,
  [64740] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_RPAREN,
  [64747] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_RPAREN,
  [64754] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
  [64761] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_RPAREN,
  [64768] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym__statement_terminator,
  [64775] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_RPAREN,
  [64782] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1744), 1,
      sym__statement_terminator,
  [64789] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_RBRACE,
  [64796] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_RPAREN,
  [64803] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym__statement_terminator,
  [64810] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4062), 1,
      ts_builtin_sym_end,
  [64817] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_RPAREN,
  [64824] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LBRACE,
  [64831] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4066), 1,
      aux_sym_foreach_statement_token2,
  [64838] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_RBRACE,
  [64845] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_RPAREN,
  [64852] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4070), 1,
      sym__statement_terminator,
  [64859] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_RBRACE,
  [64866] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4074), 1,
      sym__statement_terminator,
  [64873] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      anon_sym_RPAREN,
  [64880] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_RBRACK,
  [64887] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4080), 1,
      sym__statement_terminator,
  [64894] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1819), 1,
      sym__statement_terminator,
  [64901] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym__statement_terminator,
  [64908] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4084), 1,
      sym__statement_terminator,
  [64915] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_RPAREN,
  [64922] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_RPAREN,
  [64929] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
  [64936] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1821), 1,
      sym__statement_terminator,
  [64943] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_LPAREN,
  [64950] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
  [64957] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
  [64964] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
  [64971] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1825), 1,
      anon_sym_RPAREN,
  [64978] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_RPAREN,
  [64985] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1823), 1,
      sym__statement_terminator,
  [64992] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_RPAREN,
  [64999] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1825), 1,
      sym__statement_terminator,
  [65006] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
  [65013] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
  [65020] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4098), 1,
      sym__statement_terminator,
  [65027] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_LPAREN,
  [65034] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4102), 1,
      anon_sym_RPAREN,
  [65041] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_RBRACE,
  [65048] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_RPAREN,
  [65055] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_LBRACE,
  [65062] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_RBRACK,
  [65069] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4112), 1,
      anon_sym_RPAREN,
  [65076] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4114), 1,
      anon_sym_LPAREN,
  [65083] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_RPAREN,
  [65090] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_RPAREN,
  [65097] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
  [65104] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_RPAREN,
  [65111] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4122), 1,
      anon_sym_RPAREN,
  [65118] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4124), 1,
      anon_sym_RPAREN,
  [65125] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_RPAREN,
  [65132] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_RBRACE,
  [65139] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_LBRACE,
  [65146] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_RBRACE,
  [65153] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_RPAREN,
  [65160] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym_RPAREN,
  [65167] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_RPAREN,
  [65174] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_RBRACK,
  [65181] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_RPAREN,
  [65188] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
  [65195] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_RPAREN,
  [65202] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_RPAREN,
  [65209] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_RPAREN,
  [65216] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_RPAREN,
  [65223] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_RBRACE,
  [65230] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_RPAREN,
  [65237] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_RBRACK,
  [65244] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4148), 1,
      anon_sym_RBRACK,
  [65251] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4150), 1,
      ts_builtin_sym_end,
  [65258] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_RPAREN,
  [65265] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_RBRACE,
  [65272] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_RBRACE,
  [65279] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_RBRACE,
  [65286] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4160), 1,
      sym__statement_terminator,
  [65293] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_RBRACE,
  [65300] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4164), 1,
      sym__statement_terminator,
  [65307] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_RPAREN,
  [65314] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_RBRACE,
  [65321] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4168), 1,
      anon_sym_LBRACE,
  [65328] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_RBRACE,
  [65335] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_RPAREN,
  [65342] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_RBRACE,
  [65349] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
  [65356] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_LBRACE,
  [65363] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4180), 1,
      ts_builtin_sym_end,
  [65370] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_RBRACE,
  [65377] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3768), 1,
      anon_sym_RBRACK,
  [65384] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_RPAREN,
  [65391] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_RPAREN,
  [65398] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_RBRACK,
  [65405] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_RBRACK,
  [65412] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_RPAREN,
  [65419] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_RPAREN,
  [65426] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_RPAREN,
  [65433] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_LBRACE,
  [65440] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_LPAREN,
  [65447] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_RPAREN,
  [65454] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
  [65461] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_RPAREN,
  [65468] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_RPAREN,
  [65475] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
  [65482] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_RPAREN,
  [65489] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4206), 1,
      sym__statement_terminator,
  [65496] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
  [65503] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_RBRACK,
  [65510] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_RPAREN,
  [65517] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LBRACE,
  [65524] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
  [65531] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_RBRACK,
  [65538] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_RPAREN,
  [65545] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
  [65552] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_RBRACK,
  [65559] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_RBRACK,
  [65566] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4222), 1,
      sym__statement_terminator,
  [65573] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4224), 1,
      sym__statement_terminator,
  [65580] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__statement_terminator,
  [65587] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4228), 1,
      anon_sym_RBRACK,
  [65594] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_LPAREN,
  [65601] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_RBRACE,
  [65608] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_RBRACE,
  [65615] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4236), 1,
      anon_sym_RBRACK,
  [65622] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_RBRACK,
  [65629] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
  [65636] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_RBRACK,
  [65643] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_LBRACE,
  [65650] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_LPAREN,
  [65657] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_RBRACE,
  [65664] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4250), 1,
      sym_simple_name,
  [65671] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4252), 1,
      sym_simple_name,
  [65678] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4254), 1,
      aux_sym_param_block_token1,
  [65685] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
  [65692] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
  [65699] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_RBRACE,
  [65706] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3812), 1,
      anon_sym_RBRACK,
  [65713] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4260), 1,
      sym__statement_terminator,
  [65720] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_LPAREN,
  [65727] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym_simple_name,
  [65734] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4266), 1,
      anon_sym_RBRACE,
  [65741] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4268), 1,
      sym__statement_terminator,
  [65748] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4270), 1,
      anon_sym_LPAREN,
  [65755] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4272), 1,
      sym__statement_terminator,
  [65762] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4274), 1,
      sym__statement_terminator,
  [65769] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4276), 1,
      sym__statement_terminator,
  [65776] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4278), 1,
      sym__statement_terminator,
  [65783] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4280), 1,
      sym__statement_terminator,
  [65790] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4282), 1,
      sym__statement_terminator,
  [65797] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_RBRACE,
  [65804] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_RPAREN,
  [65811] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_RPAREN,
  [65818] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_LPAREN,
  [65825] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
  [65832] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_RBRACE,
  [65839] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
  [65846] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
  [65853] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4300), 1,
      sym_type_identifier,
  [65860] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_RPAREN,
  [65867] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_RPAREN,
  [65874] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_RPAREN,
  [65881] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4302), 1,
      sym__statement_terminator,
  [65888] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_RPAREN,
  [65895] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1835), 1,
      anon_sym_RPAREN,
  [65902] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_RBRACE,
  [65909] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_RPAREN,
  [65916] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_RPAREN,
  [65923] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_RPAREN,
  [65930] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
  [65937] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4308), 1,
      aux_sym_param_block_token1,
  [65944] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RPAREN,
  [65951] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_RBRACE,
  [65958] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
  [65965] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RPAREN,
  [65972] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_RPAREN,
  [65979] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_RPAREN,
  [65986] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_RBRACK,
  [65993] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
  [66000] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_RPAREN,
  [66007] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
  [66014] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_RBRACE,
  [66021] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym_simple_name,
  [66028] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym_simple_name,
  [66035] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4330), 1,
      aux_sym_param_block_token1,
  [66042] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_RPAREN,
  [66049] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_RPAREN,
  [66056] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4336), 1,
      sym__statement_terminator,
  [66063] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_LPAREN,
  [66070] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4340), 1,
      sym_simple_name,
  [66077] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4342), 1,
      anon_sym_RBRACE,
  [66084] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4344), 1,
      sym__statement_terminator,
  [66091] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
  [66098] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4346), 1,
      sym__statement_terminator,
  [66105] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4348), 1,
      sym__statement_terminator,
  [66112] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_RPAREN,
  [66119] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4350), 1,
      sym__statement_terminator,
  [66126] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4352), 1,
      sym__statement_terminator,
  [66133] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4354), 1,
      sym__statement_terminator,
  [66140] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym_LPAREN,
  [66147] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4358), 1,
      sym__statement_terminator,
  [66154] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4360), 1,
      sym_simple_name,
  [66161] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4362), 1,
      sym_simple_name,
  [66168] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
  [66175] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4364), 1,
      sym_simple_name,
  [66182] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4366), 1,
      sym__statement_terminator,
  [66189] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
  [66196] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4368), 1,
      sym_simple_name,
  [66203] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_LPAREN,
  [66210] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4372), 1,
      sym__statement_terminator,
  [66217] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym_simple_name,
  [66224] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4376), 1,
      sym__statement_terminator,
  [66231] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__statement_terminator,
  [66238] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_RPAREN,
  [66245] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4380), 1,
      sym__statement_terminator,
  [66252] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4382), 1,
      sym__statement_terminator,
  [66259] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4384), 1,
      sym__statement_terminator,
  [66266] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
  [66273] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym_LPAREN,
  [66280] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_RBRACK,
  [66287] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4392), 1,
      aux_sym_foreach_statement_token2,
  [66294] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_foreach_statement_token2,
  [66301] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_LPAREN,
  [66308] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2413), 1,
      sym__statement_terminator,
  [66315] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4398), 1,
      anon_sym_LPAREN,
  [66322] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_LPAREN,
  [66329] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_RPAREN,
  [66336] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4402), 1,
      aux_sym_foreach_statement_token2,
  [66343] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4404), 1,
      aux_sym_foreach_statement_token2,
  [66350] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_LPAREN,
  [66357] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LPAREN,
  [66364] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_LPAREN,
  [66371] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym__statement_terminator,
  [66378] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4414), 1,
      aux_sym_foreach_statement_token2,
  [66385] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4416), 1,
      aux_sym_foreach_statement_token2,
  [66392] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
  [66399] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4420), 1,
      aux_sym_foreach_statement_token2,
  [66406] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_RPAREN,
  [66413] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_RPAREN,
  [66420] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_LBRACE,
  [66427] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_RPAREN,
  [66434] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_RPAREN,
  [66441] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_RBRACE,
  [66448] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
  [66455] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_LBRACE,
  [66462] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_RBRACK,
  [66469] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
  [66476] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym__statement_terminator,
  [66483] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
  [66490] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_RPAREN,
  [66497] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LPAREN,
  [66504] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(379)] = 0,
  [SMALL_STATE(380)] = 69,
  [SMALL_STATE(381)] = 142,
  [SMALL_STATE(382)] = 211,
  [SMALL_STATE(383)] = 284,
  [SMALL_STATE(384)] = 357,
  [SMALL_STATE(385)] = 432,
  [SMALL_STATE(386)] = 503,
  [SMALL_STATE(387)] = 576,
  [SMALL_STATE(388)] = 649,
  [SMALL_STATE(389)] = 722,
  [SMALL_STATE(390)] = 791,
  [SMALL_STATE(391)] = 860,
  [SMALL_STATE(392)] = 931,
  [SMALL_STATE(393)] = 1006,
  [SMALL_STATE(394)] = 1079,
  [SMALL_STATE(395)] = 1148,
  [SMALL_STATE(396)] = 1217,
  [SMALL_STATE(397)] = 1350,
  [SMALL_STATE(398)] = 1419,
  [SMALL_STATE(399)] = 1492,
  [SMALL_STATE(400)] = 1622,
  [SMALL_STATE(401)] = 1694,
  [SMALL_STATE(402)] = 1824,
  [SMALL_STATE(403)] = 1894,
  [SMALL_STATE(404)] = 2024,
  [SMALL_STATE(405)] = 2094,
  [SMALL_STATE(406)] = 2164,
  [SMALL_STATE(407)] = 2234,
  [SMALL_STATE(408)] = 2308,
  [SMALL_STATE(409)] = 2378,
  [SMALL_STATE(410)] = 2452,
  [SMALL_STATE(411)] = 2526,
  [SMALL_STATE(412)] = 2596,
  [SMALL_STATE(413)] = 2666,
  [SMALL_STATE(414)] = 2736,
  [SMALL_STATE(415)] = 2806,
  [SMALL_STATE(416)] = 2880,
  [SMALL_STATE(417)] = 3010,
  [SMALL_STATE(418)] = 3082,
  [SMALL_STATE(419)] = 3212,
  [SMALL_STATE(420)] = 3339,
  [SMALL_STATE(421)] = 3464,
  [SMALL_STATE(422)] = 3531,
  [SMALL_STATE(423)] = 3598,
  [SMALL_STATE(424)] = 3665,
  [SMALL_STATE(425)] = 3732,
  [SMALL_STATE(426)] = 3799,
  [SMALL_STATE(427)] = 3926,
  [SMALL_STATE(428)] = 3993,
  [SMALL_STATE(429)] = 4060,
  [SMALL_STATE(430)] = 4127,
  [SMALL_STATE(431)] = 4254,
  [SMALL_STATE(432)] = 4321,
  [SMALL_STATE(433)] = 4388,
  [SMALL_STATE(434)] = 4513,
  [SMALL_STATE(435)] = 4580,
  [SMALL_STATE(436)] = 4707,
  [SMALL_STATE(437)] = 4774,
  [SMALL_STATE(438)] = 4841,
  [SMALL_STATE(439)] = 4908,
  [SMALL_STATE(440)] = 4979,
  [SMALL_STATE(441)] = 5104,
  [SMALL_STATE(442)] = 5171,
  [SMALL_STATE(443)] = 5238,
  [SMALL_STATE(444)] = 5305,
  [SMALL_STATE(445)] = 5432,
  [SMALL_STATE(446)] = 5557,
  [SMALL_STATE(447)] = 5624,
  [SMALL_STATE(448)] = 5691,
  [SMALL_STATE(449)] = 5758,
  [SMALL_STATE(450)] = 5825,
  [SMALL_STATE(451)] = 5892,
  [SMALL_STATE(452)] = 5959,
  [SMALL_STATE(453)] = 6084,
  [SMALL_STATE(454)] = 6151,
  [SMALL_STATE(455)] = 6218,
  [SMALL_STATE(456)] = 6285,
  [SMALL_STATE(457)] = 6352,
  [SMALL_STATE(458)] = 6477,
  [SMALL_STATE(459)] = 6548,
  [SMALL_STATE(460)] = 6615,
  [SMALL_STATE(461)] = 6682,
  [SMALL_STATE(462)] = 6749,
  [SMALL_STATE(463)] = 6816,
  [SMALL_STATE(464)] = 6883,
  [SMALL_STATE(465)] = 6950,
  [SMALL_STATE(466)] = 7017,
  [SMALL_STATE(467)] = 7084,
  [SMALL_STATE(468)] = 7151,
  [SMALL_STATE(469)] = 7218,
  [SMALL_STATE(470)] = 7285,
  [SMALL_STATE(471)] = 7352,
  [SMALL_STATE(472)] = 7419,
  [SMALL_STATE(473)] = 7544,
  [SMALL_STATE(474)] = 7611,
  [SMALL_STATE(475)] = 7678,
  [SMALL_STATE(476)] = 7745,
  [SMALL_STATE(477)] = 7812,
  [SMALL_STATE(478)] = 7939,
  [SMALL_STATE(479)] = 8006,
  [SMALL_STATE(480)] = 8073,
  [SMALL_STATE(481)] = 8140,
  [SMALL_STATE(482)] = 8207,
  [SMALL_STATE(483)] = 8274,
  [SMALL_STATE(484)] = 8341,
  [SMALL_STATE(485)] = 8466,
  [SMALL_STATE(486)] = 8534,
  [SMALL_STATE(487)] = 8602,
  [SMALL_STATE(488)] = 8670,
  [SMALL_STATE(489)] = 8738,
  [SMALL_STATE(490)] = 8806,
  [SMALL_STATE(491)] = 8874,
  [SMALL_STATE(492)] = 8998,
  [SMALL_STATE(493)] = 9066,
  [SMALL_STATE(494)] = 9134,
  [SMALL_STATE(495)] = 9200,
  [SMALL_STATE(496)] = 9268,
  [SMALL_STATE(497)] = 9336,
  [SMALL_STATE(498)] = 9404,
  [SMALL_STATE(499)] = 9472,
  [SMALL_STATE(500)] = 9540,
  [SMALL_STATE(501)] = 9608,
  [SMALL_STATE(502)] = 9676,
  [SMALL_STATE(503)] = 9744,
  [SMALL_STATE(504)] = 9812,
  [SMALL_STATE(505)] = 9880,
  [SMALL_STATE(506)] = 9948,
  [SMALL_STATE(507)] = 10016,
  [SMALL_STATE(508)] = 10084,
  [SMALL_STATE(509)] = 10152,
  [SMALL_STATE(510)] = 10220,
  [SMALL_STATE(511)] = 10288,
  [SMALL_STATE(512)] = 10356,
  [SMALL_STATE(513)] = 10424,
  [SMALL_STATE(514)] = 10548,
  [SMALL_STATE(515)] = 10616,
  [SMALL_STATE(516)] = 10684,
  [SMALL_STATE(517)] = 10752,
  [SMALL_STATE(518)] = 10820,
  [SMALL_STATE(519)] = 10944,
  [SMALL_STATE(520)] = 11012,
  [SMALL_STATE(521)] = 11136,
  [SMALL_STATE(522)] = 11208,
  [SMALL_STATE(523)] = 11276,
  [SMALL_STATE(524)] = 11344,
  [SMALL_STATE(525)] = 11466,
  [SMALL_STATE(526)] = 11590,
  [SMALL_STATE(527)] = 11658,
  [SMALL_STATE(528)] = 11726,
  [SMALL_STATE(529)] = 11794,
  [SMALL_STATE(530)] = 11862,
  [SMALL_STATE(531)] = 11930,
  [SMALL_STATE(532)] = 11998,
  [SMALL_STATE(533)] = 12066,
  [SMALL_STATE(534)] = 12138,
  [SMALL_STATE(535)] = 12260,
  [SMALL_STATE(536)] = 12328,
  [SMALL_STATE(537)] = 12396,
  [SMALL_STATE(538)] = 12464,
  [SMALL_STATE(539)] = 12532,
  [SMALL_STATE(540)] = 12600,
  [SMALL_STATE(541)] = 12668,
  [SMALL_STATE(542)] = 12736,
  [SMALL_STATE(543)] = 12804,
  [SMALL_STATE(544)] = 12872,
  [SMALL_STATE(545)] = 12940,
  [SMALL_STATE(546)] = 13008,
  [SMALL_STATE(547)] = 13125,
  [SMALL_STATE(548)] = 13246,
  [SMALL_STATE(549)] = 13367,
  [SMALL_STATE(550)] = 13488,
  [SMALL_STATE(551)] = 13559,
  [SMALL_STATE(552)] = 13624,
  [SMALL_STATE(553)] = 13745,
  [SMALL_STATE(554)] = 13816,
  [SMALL_STATE(555)] = 13933,
  [SMALL_STATE(556)] = 14050,
  [SMALL_STATE(557)] = 14115,
  [SMALL_STATE(558)] = 14236,
  [SMALL_STATE(559)] = 14307,
  [SMALL_STATE(560)] = 14378,
  [SMALL_STATE(561)] = 14495,
  [SMALL_STATE(562)] = 14616,
  [SMALL_STATE(563)] = 14687,
  [SMALL_STATE(564)] = 14758,
  [SMALL_STATE(565)] = 14823,
  [SMALL_STATE(566)] = 14888,
  [SMALL_STATE(567)] = 15006,
  [SMALL_STATE(568)] = 15124,
  [SMALL_STATE(569)] = 15194,
  [SMALL_STATE(570)] = 15312,
  [SMALL_STATE(571)] = 15382,
  [SMALL_STATE(572)] = 15500,
  [SMALL_STATE(573)] = 15618,
  [SMALL_STATE(574)] = 15736,
  [SMALL_STATE(575)] = 15854,
  [SMALL_STATE(576)] = 15924,
  [SMALL_STATE(577)] = 15994,
  [SMALL_STATE(578)] = 16109,
  [SMALL_STATE(579)] = 16224,
  [SMALL_STATE(580)] = 16339,
  [SMALL_STATE(581)] = 16408,
  [SMALL_STATE(582)] = 16523,
  [SMALL_STATE(583)] = 16638,
  [SMALL_STATE(584)] = 16707,
  [SMALL_STATE(585)] = 16822,
  [SMALL_STATE(586)] = 16934,
  [SMALL_STATE(587)] = 17046,
  [SMALL_STATE(588)] = 17158,
  [SMALL_STATE(589)] = 17270,
  [SMALL_STATE(590)] = 17382,
  [SMALL_STATE(591)] = 17450,
  [SMALL_STATE(592)] = 17562,
  [SMALL_STATE(593)] = 17630,
  [SMALL_STATE(594)] = 17739,
  [SMALL_STATE(595)] = 17848,
  [SMALL_STATE(596)] = 17957,
  [SMALL_STATE(597)] = 18066,
  [SMALL_STATE(598)] = 18175,
  [SMALL_STATE(599)] = 18284,
  [SMALL_STATE(600)] = 18393,
  [SMALL_STATE(601)] = 18502,
  [SMALL_STATE(602)] = 18611,
  [SMALL_STATE(603)] = 18720,
  [SMALL_STATE(604)] = 18829,
  [SMALL_STATE(605)] = 18938,
  [SMALL_STATE(606)] = 19047,
  [SMALL_STATE(607)] = 19156,
  [SMALL_STATE(608)] = 19265,
  [SMALL_STATE(609)] = 19374,
  [SMALL_STATE(610)] = 19483,
  [SMALL_STATE(611)] = 19592,
  [SMALL_STATE(612)] = 19701,
  [SMALL_STATE(613)] = 19810,
  [SMALL_STATE(614)] = 19919,
  [SMALL_STATE(615)] = 20028,
  [SMALL_STATE(616)] = 20137,
  [SMALL_STATE(617)] = 20246,
  [SMALL_STATE(618)] = 20355,
  [SMALL_STATE(619)] = 20464,
  [SMALL_STATE(620)] = 20573,
  [SMALL_STATE(621)] = 20682,
  [SMALL_STATE(622)] = 20791,
  [SMALL_STATE(623)] = 20900,
  [SMALL_STATE(624)] = 21009,
  [SMALL_STATE(625)] = 21118,
  [SMALL_STATE(626)] = 21227,
  [SMALL_STATE(627)] = 21336,
  [SMALL_STATE(628)] = 21445,
  [SMALL_STATE(629)] = 21554,
  [SMALL_STATE(630)] = 21663,
  [SMALL_STATE(631)] = 21772,
  [SMALL_STATE(632)] = 21881,
  [SMALL_STATE(633)] = 21990,
  [SMALL_STATE(634)] = 22099,
  [SMALL_STATE(635)] = 22208,
  [SMALL_STATE(636)] = 22317,
  [SMALL_STATE(637)] = 22426,
  [SMALL_STATE(638)] = 22535,
  [SMALL_STATE(639)] = 22644,
  [SMALL_STATE(640)] = 22753,
  [SMALL_STATE(641)] = 22862,
  [SMALL_STATE(642)] = 22971,
  [SMALL_STATE(643)] = 23080,
  [SMALL_STATE(644)] = 23189,
  [SMALL_STATE(645)] = 23298,
  [SMALL_STATE(646)] = 23407,
  [SMALL_STATE(647)] = 23516,
  [SMALL_STATE(648)] = 23625,
  [SMALL_STATE(649)] = 23734,
  [SMALL_STATE(650)] = 23843,
  [SMALL_STATE(651)] = 23952,
  [SMALL_STATE(652)] = 24061,
  [SMALL_STATE(653)] = 24170,
  [SMALL_STATE(654)] = 24279,
  [SMALL_STATE(655)] = 24388,
  [SMALL_STATE(656)] = 24497,
  [SMALL_STATE(657)] = 24606,
  [SMALL_STATE(658)] = 24715,
  [SMALL_STATE(659)] = 24824,
  [SMALL_STATE(660)] = 24933,
  [SMALL_STATE(661)] = 25042,
  [SMALL_STATE(662)] = 25151,
  [SMALL_STATE(663)] = 25260,
  [SMALL_STATE(664)] = 25369,
  [SMALL_STATE(665)] = 25478,
  [SMALL_STATE(666)] = 25587,
  [SMALL_STATE(667)] = 25696,
  [SMALL_STATE(668)] = 25805,
  [SMALL_STATE(669)] = 25914,
  [SMALL_STATE(670)] = 26023,
  [SMALL_STATE(671)] = 26132,
  [SMALL_STATE(672)] = 26241,
  [SMALL_STATE(673)] = 26350,
  [SMALL_STATE(674)] = 26459,
  [SMALL_STATE(675)] = 26568,
  [SMALL_STATE(676)] = 26677,
  [SMALL_STATE(677)] = 26786,
  [SMALL_STATE(678)] = 26895,
  [SMALL_STATE(679)] = 27004,
  [SMALL_STATE(680)] = 27113,
  [SMALL_STATE(681)] = 27222,
  [SMALL_STATE(682)] = 27331,
  [SMALL_STATE(683)] = 27440,
  [SMALL_STATE(684)] = 27549,
  [SMALL_STATE(685)] = 27658,
  [SMALL_STATE(686)] = 27767,
  [SMALL_STATE(687)] = 27876,
  [SMALL_STATE(688)] = 27985,
  [SMALL_STATE(689)] = 28094,
  [SMALL_STATE(690)] = 28203,
  [SMALL_STATE(691)] = 28312,
  [SMALL_STATE(692)] = 28421,
  [SMALL_STATE(693)] = 28522,
  [SMALL_STATE(694)] = 28623,
  [SMALL_STATE(695)] = 28724,
  [SMALL_STATE(696)] = 28825,
  [SMALL_STATE(697)] = 28926,
  [SMALL_STATE(698)] = 29027,
  [SMALL_STATE(699)] = 29128,
  [SMALL_STATE(700)] = 29229,
  [SMALL_STATE(701)] = 29330,
  [SMALL_STATE(702)] = 29431,
  [SMALL_STATE(703)] = 29532,
  [SMALL_STATE(704)] = 29633,
  [SMALL_STATE(705)] = 29734,
  [SMALL_STATE(706)] = 29835,
  [SMALL_STATE(707)] = 29936,
  [SMALL_STATE(708)] = 30037,
  [SMALL_STATE(709)] = 30138,
  [SMALL_STATE(710)] = 30239,
  [SMALL_STATE(711)] = 30340,
  [SMALL_STATE(712)] = 30441,
  [SMALL_STATE(713)] = 30542,
  [SMALL_STATE(714)] = 30643,
  [SMALL_STATE(715)] = 30744,
  [SMALL_STATE(716)] = 30845,
  [SMALL_STATE(717)] = 30901,
  [SMALL_STATE(718)] = 30963,
  [SMALL_STATE(719)] = 31019,
  [SMALL_STATE(720)] = 31117,
  [SMALL_STATE(721)] = 31179,
  [SMALL_STATE(722)] = 31274,
  [SMALL_STATE(723)] = 31335,
  [SMALL_STATE(724)] = 31390,
  [SMALL_STATE(725)] = 31445,
  [SMALL_STATE(726)] = 31506,
  [SMALL_STATE(727)] = 31596,
  [SMALL_STATE(728)] = 31686,
  [SMALL_STATE(729)] = 31778,
  [SMALL_STATE(730)] = 31870,
  [SMALL_STATE(731)] = 31962,
  [SMALL_STATE(732)] = 32054,
  [SMALL_STATE(733)] = 32146,
  [SMALL_STATE(734)] = 32238,
  [SMALL_STATE(735)] = 32330,
  [SMALL_STATE(736)] = 32422,
  [SMALL_STATE(737)] = 32514,
  [SMALL_STATE(738)] = 32606,
  [SMALL_STATE(739)] = 32696,
  [SMALL_STATE(740)] = 32786,
  [SMALL_STATE(741)] = 32873,
  [SMALL_STATE(742)] = 32926,
  [SMALL_STATE(743)] = 33013,
  [SMALL_STATE(744)] = 33071,
  [SMALL_STATE(745)] = 33129,
  [SMALL_STATE(746)] = 33187,
  [SMALL_STATE(747)] = 33245,
  [SMALL_STATE(748)] = 33300,
  [SMALL_STATE(749)] = 33353,
  [SMALL_STATE(750)] = 33406,
  [SMALL_STATE(751)] = 33463,
  [SMALL_STATE(752)] = 33538,
  [SMALL_STATE(753)] = 33595,
  [SMALL_STATE(754)] = 33668,
  [SMALL_STATE(755)] = 33725,
  [SMALL_STATE(756)] = 33782,
  [SMALL_STATE(757)] = 33855,
  [SMALL_STATE(758)] = 33930,
  [SMALL_STATE(759)] = 33985,
  [SMALL_STATE(760)] = 34035,
  [SMALL_STATE(761)] = 34085,
  [SMALL_STATE(762)] = 34135,
  [SMALL_STATE(763)] = 34185,
  [SMALL_STATE(764)] = 34235,
  [SMALL_STATE(765)] = 34285,
  [SMALL_STATE(766)] = 34335,
  [SMALL_STATE(767)] = 34385,
  [SMALL_STATE(768)] = 34439,
  [SMALL_STATE(769)] = 34489,
  [SMALL_STATE(770)] = 34539,
  [SMALL_STATE(771)] = 34589,
  [SMALL_STATE(772)] = 34639,
  [SMALL_STATE(773)] = 34691,
  [SMALL_STATE(774)] = 34765,
  [SMALL_STATE(775)] = 34817,
  [SMALL_STATE(776)] = 34889,
  [SMALL_STATE(777)] = 34961,
  [SMALL_STATE(778)] = 35011,
  [SMALL_STATE(779)] = 35061,
  [SMALL_STATE(780)] = 35135,
  [SMALL_STATE(781)] = 35185,
  [SMALL_STATE(782)] = 35235,
  [SMALL_STATE(783)] = 35285,
  [SMALL_STATE(784)] = 35335,
  [SMALL_STATE(785)] = 35395,
  [SMALL_STATE(786)] = 35445,
  [SMALL_STATE(787)] = 35495,
  [SMALL_STATE(788)] = 35545,
  [SMALL_STATE(789)] = 35595,
  [SMALL_STATE(790)] = 35645,
  [SMALL_STATE(791)] = 35695,
  [SMALL_STATE(792)] = 35767,
  [SMALL_STATE(793)] = 35817,
  [SMALL_STATE(794)] = 35867,
  [SMALL_STATE(795)] = 35917,
  [SMALL_STATE(796)] = 35997,
  [SMALL_STATE(797)] = 36047,
  [SMALL_STATE(798)] = 36097,
  [SMALL_STATE(799)] = 36147,
  [SMALL_STATE(800)] = 36197,
  [SMALL_STATE(801)] = 36247,
  [SMALL_STATE(802)] = 36297,
  [SMALL_STATE(803)] = 36347,
  [SMALL_STATE(804)] = 36397,
  [SMALL_STATE(805)] = 36447,
  [SMALL_STATE(806)] = 36497,
  [SMALL_STATE(807)] = 36567,
  [SMALL_STATE(808)] = 36617,
  [SMALL_STATE(809)] = 36667,
  [SMALL_STATE(810)] = 36717,
  [SMALL_STATE(811)] = 36767,
  [SMALL_STATE(812)] = 36817,
  [SMALL_STATE(813)] = 36867,
  [SMALL_STATE(814)] = 36939,
  [SMALL_STATE(815)] = 36989,
  [SMALL_STATE(816)] = 37049,
  [SMALL_STATE(817)] = 37099,
  [SMALL_STATE(818)] = 37149,
  [SMALL_STATE(819)] = 37199,
  [SMALL_STATE(820)] = 37249,
  [SMALL_STATE(821)] = 37299,
  [SMALL_STATE(822)] = 37349,
  [SMALL_STATE(823)] = 37419,
  [SMALL_STATE(824)] = 37469,
  [SMALL_STATE(825)] = 37519,
  [SMALL_STATE(826)] = 37569,
  [SMALL_STATE(827)] = 37619,
  [SMALL_STATE(828)] = 37669,
  [SMALL_STATE(829)] = 37723,
  [SMALL_STATE(830)] = 37773,
  [SMALL_STATE(831)] = 37823,
  [SMALL_STATE(832)] = 37873,
  [SMALL_STATE(833)] = 37923,
  [SMALL_STATE(834)] = 37973,
  [SMALL_STATE(835)] = 38023,
  [SMALL_STATE(836)] = 38073,
  [SMALL_STATE(837)] = 38123,
  [SMALL_STATE(838)] = 38173,
  [SMALL_STATE(839)] = 38223,
  [SMALL_STATE(840)] = 38273,
  [SMALL_STATE(841)] = 38323,
  [SMALL_STATE(842)] = 38373,
  [SMALL_STATE(843)] = 38422,
  [SMALL_STATE(844)] = 38471,
  [SMALL_STATE(845)] = 38520,
  [SMALL_STATE(846)] = 38569,
  [SMALL_STATE(847)] = 38618,
  [SMALL_STATE(848)] = 38667,
  [SMALL_STATE(849)] = 38736,
  [SMALL_STATE(850)] = 38785,
  [SMALL_STATE(851)] = 38834,
  [SMALL_STATE(852)] = 38903,
  [SMALL_STATE(853)] = 38970,
  [SMALL_STATE(854)] = 39019,
  [SMALL_STATE(855)] = 39068,
  [SMALL_STATE(856)] = 39117,
  [SMALL_STATE(857)] = 39188,
  [SMALL_STATE(858)] = 39255,
  [SMALL_STATE(859)] = 39306,
  [SMALL_STATE(860)] = 39355,
  [SMALL_STATE(861)] = 39404,
  [SMALL_STATE(862)] = 39453,
  [SMALL_STATE(863)] = 39502,
  [SMALL_STATE(864)] = 39551,
  [SMALL_STATE(865)] = 39600,
  [SMALL_STATE(866)] = 39649,
  [SMALL_STATE(867)] = 39698,
  [SMALL_STATE(868)] = 39747,
  [SMALL_STATE(869)] = 39796,
  [SMALL_STATE(870)] = 39847,
  [SMALL_STATE(871)] = 39896,
  [SMALL_STATE(872)] = 39945,
  [SMALL_STATE(873)] = 39994,
  [SMALL_STATE(874)] = 40043,
  [SMALL_STATE(875)] = 40092,
  [SMALL_STATE(876)] = 40141,
  [SMALL_STATE(877)] = 40190,
  [SMALL_STATE(878)] = 40239,
  [SMALL_STATE(879)] = 40288,
  [SMALL_STATE(880)] = 40337,
  [SMALL_STATE(881)] = 40386,
  [SMALL_STATE(882)] = 40435,
  [SMALL_STATE(883)] = 40484,
  [SMALL_STATE(884)] = 40533,
  [SMALL_STATE(885)] = 40582,
  [SMALL_STATE(886)] = 40631,
  [SMALL_STATE(887)] = 40702,
  [SMALL_STATE(888)] = 40751,
  [SMALL_STATE(889)] = 40810,
  [SMALL_STATE(890)] = 40859,
  [SMALL_STATE(891)] = 40908,
  [SMALL_STATE(892)] = 40959,
  [SMALL_STATE(893)] = 41008,
  [SMALL_STATE(894)] = 41057,
  [SMALL_STATE(895)] = 41116,
  [SMALL_STATE(896)] = 41165,
  [SMALL_STATE(897)] = 41224,
  [SMALL_STATE(898)] = 41273,
  [SMALL_STATE(899)] = 41322,
  [SMALL_STATE(900)] = 41371,
  [SMALL_STATE(901)] = 41420,
  [SMALL_STATE(902)] = 41479,
  [SMALL_STATE(903)] = 41530,
  [SMALL_STATE(904)] = 41579,
  [SMALL_STATE(905)] = 41628,
  [SMALL_STATE(906)] = 41677,
  [SMALL_STATE(907)] = 41726,
  [SMALL_STATE(908)] = 41775,
  [SMALL_STATE(909)] = 41824,
  [SMALL_STATE(910)] = 41873,
  [SMALL_STATE(911)] = 41922,
  [SMALL_STATE(912)] = 41971,
  [SMALL_STATE(913)] = 42020,
  [SMALL_STATE(914)] = 42069,
  [SMALL_STATE(915)] = 42118,
  [SMALL_STATE(916)] = 42167,
  [SMALL_STATE(917)] = 42216,
  [SMALL_STATE(918)] = 42265,
  [SMALL_STATE(919)] = 42314,
  [SMALL_STATE(920)] = 42363,
  [SMALL_STATE(921)] = 42412,
  [SMALL_STATE(922)] = 42461,
  [SMALL_STATE(923)] = 42510,
  [SMALL_STATE(924)] = 42559,
  [SMALL_STATE(925)] = 42617,
  [SMALL_STATE(926)] = 42675,
  [SMALL_STATE(927)] = 42733,
  [SMALL_STATE(928)] = 42783,
  [SMALL_STATE(929)] = 42841,
  [SMALL_STATE(930)] = 42899,
  [SMALL_STATE(931)] = 42947,
  [SMALL_STATE(932)] = 42995,
  [SMALL_STATE(933)] = 43053,
  [SMALL_STATE(934)] = 43105,
  [SMALL_STATE(935)] = 43152,
  [SMALL_STATE(936)] = 43199,
  [SMALL_STATE(937)] = 43246,
  [SMALL_STATE(938)] = 43303,
  [SMALL_STATE(939)] = 43350,
  [SMALL_STATE(940)] = 43397,
  [SMALL_STATE(941)] = 43444,
  [SMALL_STATE(942)] = 43491,
  [SMALL_STATE(943)] = 43546,
  [SMALL_STATE(944)] = 43603,
  [SMALL_STATE(945)] = 43650,
  [SMALL_STATE(946)] = 43703,
  [SMALL_STATE(947)] = 43750,
  [SMALL_STATE(948)] = 43797,
  [SMALL_STATE(949)] = 43844,
  [SMALL_STATE(950)] = 43891,
  [SMALL_STATE(951)] = 43946,
  [SMALL_STATE(952)] = 43993,
  [SMALL_STATE(953)] = 44040,
  [SMALL_STATE(954)] = 44087,
  [SMALL_STATE(955)] = 44134,
  [SMALL_STATE(956)] = 44181,
  [SMALL_STATE(957)] = 44228,
  [SMALL_STATE(958)] = 44275,
  [SMALL_STATE(959)] = 44322,
  [SMALL_STATE(960)] = 44369,
  [SMALL_STATE(961)] = 44416,
  [SMALL_STATE(962)] = 44463,
  [SMALL_STATE(963)] = 44510,
  [SMALL_STATE(964)] = 44567,
  [SMALL_STATE(965)] = 44614,
  [SMALL_STATE(966)] = 44669,
  [SMALL_STATE(967)] = 44722,
  [SMALL_STATE(968)] = 44779,
  [SMALL_STATE(969)] = 44826,
  [SMALL_STATE(970)] = 44873,
  [SMALL_STATE(971)] = 44920,
  [SMALL_STATE(972)] = 44967,
  [SMALL_STATE(973)] = 45014,
  [SMALL_STATE(974)] = 45061,
  [SMALL_STATE(975)] = 45108,
  [SMALL_STATE(976)] = 45161,
  [SMALL_STATE(977)] = 45208,
  [SMALL_STATE(978)] = 45255,
  [SMALL_STATE(979)] = 45302,
  [SMALL_STATE(980)] = 45348,
  [SMALL_STATE(981)] = 45396,
  [SMALL_STATE(982)] = 45444,
  [SMALL_STATE(983)] = 45496,
  [SMALL_STATE(984)] = 45550,
  [SMALL_STATE(985)] = 45598,
  [SMALL_STATE(986)] = 45650,
  [SMALL_STATE(987)] = 45696,
  [SMALL_STATE(988)] = 45750,
  [SMALL_STATE(989)] = 45796,
  [SMALL_STATE(990)] = 45842,
  [SMALL_STATE(991)] = 45896,
  [SMALL_STATE(992)] = 45948,
  [SMALL_STATE(993)] = 45994,
  [SMALL_STATE(994)] = 46040,
  [SMALL_STATE(995)] = 46090,
  [SMALL_STATE(996)] = 46139,
  [SMALL_STATE(997)] = 46184,
  [SMALL_STATE(998)] = 46229,
  [SMALL_STATE(999)] = 46274,
  [SMALL_STATE(1000)] = 46319,
  [SMALL_STATE(1001)] = 46364,
  [SMALL_STATE(1002)] = 46409,
  [SMALL_STATE(1003)] = 46454,
  [SMALL_STATE(1004)] = 46499,
  [SMALL_STATE(1005)] = 46544,
  [SMALL_STATE(1006)] = 46589,
  [SMALL_STATE(1007)] = 46638,
  [SMALL_STATE(1008)] = 46683,
  [SMALL_STATE(1009)] = 46728,
  [SMALL_STATE(1010)] = 46773,
  [SMALL_STATE(1011)] = 46818,
  [SMALL_STATE(1012)] = 46863,
  [SMALL_STATE(1013)] = 46908,
  [SMALL_STATE(1014)] = 46953,
  [SMALL_STATE(1015)] = 46998,
  [SMALL_STATE(1016)] = 47043,
  [SMALL_STATE(1017)] = 47088,
  [SMALL_STATE(1018)] = 47133,
  [SMALL_STATE(1019)] = 47178,
  [SMALL_STATE(1020)] = 47223,
  [SMALL_STATE(1021)] = 47268,
  [SMALL_STATE(1022)] = 47317,
  [SMALL_STATE(1023)] = 47362,
  [SMALL_STATE(1024)] = 47407,
  [SMALL_STATE(1025)] = 47452,
  [SMALL_STATE(1026)] = 47509,
  [SMALL_STATE(1027)] = 47566,
  [SMALL_STATE(1028)] = 47611,
  [SMALL_STATE(1029)] = 47660,
  [SMALL_STATE(1030)] = 47705,
  [SMALL_STATE(1031)] = 47750,
  [SMALL_STATE(1032)] = 47795,
  [SMALL_STATE(1033)] = 47840,
  [SMALL_STATE(1034)] = 47889,
  [SMALL_STATE(1035)] = 47934,
  [SMALL_STATE(1036)] = 47983,
  [SMALL_STATE(1037)] = 48028,
  [SMALL_STATE(1038)] = 48073,
  [SMALL_STATE(1039)] = 48118,
  [SMALL_STATE(1040)] = 48163,
  [SMALL_STATE(1041)] = 48208,
  [SMALL_STATE(1042)] = 48253,
  [SMALL_STATE(1043)] = 48298,
  [SMALL_STATE(1044)] = 48346,
  [SMALL_STATE(1045)] = 48390,
  [SMALL_STATE(1046)] = 48438,
  [SMALL_STATE(1047)] = 48486,
  [SMALL_STATE(1048)] = 48534,
  [SMALL_STATE(1049)] = 48578,
  [SMALL_STATE(1050)] = 48622,
  [SMALL_STATE(1051)] = 48666,
  [SMALL_STATE(1052)] = 48710,
  [SMALL_STATE(1053)] = 48758,
  [SMALL_STATE(1054)] = 48806,
  [SMALL_STATE(1055)] = 48850,
  [SMALL_STATE(1056)] = 48894,
  [SMALL_STATE(1057)] = 48938,
  [SMALL_STATE(1058)] = 48986,
  [SMALL_STATE(1059)] = 49042,
  [SMALL_STATE(1060)] = 49098,
  [SMALL_STATE(1061)] = 49142,
  [SMALL_STATE(1062)] = 49186,
  [SMALL_STATE(1063)] = 49230,
  [SMALL_STATE(1064)] = 49278,
  [SMALL_STATE(1065)] = 49322,
  [SMALL_STATE(1066)] = 49370,
  [SMALL_STATE(1067)] = 49418,
  [SMALL_STATE(1068)] = 49466,
  [SMALL_STATE(1069)] = 49514,
  [SMALL_STATE(1070)] = 49562,
  [SMALL_STATE(1071)] = 49606,
  [SMALL_STATE(1072)] = 49654,
  [SMALL_STATE(1073)] = 49698,
  [SMALL_STATE(1074)] = 49745,
  [SMALL_STATE(1075)] = 49788,
  [SMALL_STATE(1076)] = 49843,
  [SMALL_STATE(1077)] = 49886,
  [SMALL_STATE(1078)] = 49929,
  [SMALL_STATE(1079)] = 49972,
  [SMALL_STATE(1080)] = 50027,
  [SMALL_STATE(1081)] = 50070,
  [SMALL_STATE(1082)] = 50113,
  [SMALL_STATE(1083)] = 50156,
  [SMALL_STATE(1084)] = 50199,
  [SMALL_STATE(1085)] = 50246,
  [SMALL_STATE(1086)] = 50289,
  [SMALL_STATE(1087)] = 50332,
  [SMALL_STATE(1088)] = 50375,
  [SMALL_STATE(1089)] = 50418,
  [SMALL_STATE(1090)] = 50461,
  [SMALL_STATE(1091)] = 50504,
  [SMALL_STATE(1092)] = 50551,
  [SMALL_STATE(1093)] = 50594,
  [SMALL_STATE(1094)] = 50637,
  [SMALL_STATE(1095)] = 50684,
  [SMALL_STATE(1096)] = 50727,
  [SMALL_STATE(1097)] = 50774,
  [SMALL_STATE(1098)] = 50821,
  [SMALL_STATE(1099)] = 50868,
  [SMALL_STATE(1100)] = 50915,
  [SMALL_STATE(1101)] = 50957,
  [SMALL_STATE(1102)] = 50999,
  [SMALL_STATE(1103)] = 51045,
  [SMALL_STATE(1104)] = 51087,
  [SMALL_STATE(1105)] = 51129,
  [SMALL_STATE(1106)] = 51171,
  [SMALL_STATE(1107)] = 51213,
  [SMALL_STATE(1108)] = 51255,
  [SMALL_STATE(1109)] = 51297,
  [SMALL_STATE(1110)] = 51339,
  [SMALL_STATE(1111)] = 51381,
  [SMALL_STATE(1112)] = 51423,
  [SMALL_STATE(1113)] = 51465,
  [SMALL_STATE(1114)] = 51511,
  [SMALL_STATE(1115)] = 51553,
  [SMALL_STATE(1116)] = 51595,
  [SMALL_STATE(1117)] = 51637,
  [SMALL_STATE(1118)] = 51679,
  [SMALL_STATE(1119)] = 51725,
  [SMALL_STATE(1120)] = 51767,
  [SMALL_STATE(1121)] = 51809,
  [SMALL_STATE(1122)] = 51851,
  [SMALL_STATE(1123)] = 51892,
  [SMALL_STATE(1124)] = 51933,
  [SMALL_STATE(1125)] = 51974,
  [SMALL_STATE(1126)] = 52015,
  [SMALL_STATE(1127)] = 52056,
  [SMALL_STATE(1128)] = 52097,
  [SMALL_STATE(1129)] = 52148,
  [SMALL_STATE(1130)] = 52189,
  [SMALL_STATE(1131)] = 52240,
  [SMALL_STATE(1132)] = 52281,
  [SMALL_STATE(1133)] = 52322,
  [SMALL_STATE(1134)] = 52373,
  [SMALL_STATE(1135)] = 52414,
  [SMALL_STATE(1136)] = 52465,
  [SMALL_STATE(1137)] = 52506,
  [SMALL_STATE(1138)] = 52547,
  [SMALL_STATE(1139)] = 52588,
  [SMALL_STATE(1140)] = 52629,
  [SMALL_STATE(1141)] = 52670,
  [SMALL_STATE(1142)] = 52711,
  [SMALL_STATE(1143)] = 52754,
  [SMALL_STATE(1144)] = 52797,
  [SMALL_STATE(1145)] = 52840,
  [SMALL_STATE(1146)] = 52883,
  [SMALL_STATE(1147)] = 52926,
  [SMALL_STATE(1148)] = 52969,
  [SMALL_STATE(1149)] = 53007,
  [SMALL_STATE(1150)] = 53045,
  [SMALL_STATE(1151)] = 53082,
  [SMALL_STATE(1152)] = 53119,
  [SMALL_STATE(1153)] = 53156,
  [SMALL_STATE(1154)] = 53193,
  [SMALL_STATE(1155)] = 53230,
  [SMALL_STATE(1156)] = 53267,
  [SMALL_STATE(1157)] = 53304,
  [SMALL_STATE(1158)] = 53341,
  [SMALL_STATE(1159)] = 53378,
  [SMALL_STATE(1160)] = 53415,
  [SMALL_STATE(1161)] = 53449,
  [SMALL_STATE(1162)] = 53483,
  [SMALL_STATE(1163)] = 53517,
  [SMALL_STATE(1164)] = 53547,
  [SMALL_STATE(1165)] = 53575,
  [SMALL_STATE(1166)] = 53623,
  [SMALL_STATE(1167)] = 53671,
  [SMALL_STATE(1168)] = 53719,
  [SMALL_STATE(1169)] = 53767,
  [SMALL_STATE(1170)] = 53815,
  [SMALL_STATE(1171)] = 53863,
  [SMALL_STATE(1172)] = 53911,
  [SMALL_STATE(1173)] = 53959,
  [SMALL_STATE(1174)] = 54007,
  [SMALL_STATE(1175)] = 54055,
  [SMALL_STATE(1176)] = 54103,
  [SMALL_STATE(1177)] = 54151,
  [SMALL_STATE(1178)] = 54199,
  [SMALL_STATE(1179)] = 54247,
  [SMALL_STATE(1180)] = 54295,
  [SMALL_STATE(1181)] = 54343,
  [SMALL_STATE(1182)] = 54391,
  [SMALL_STATE(1183)] = 54439,
  [SMALL_STATE(1184)] = 54487,
  [SMALL_STATE(1185)] = 54535,
  [SMALL_STATE(1186)] = 54583,
  [SMALL_STATE(1187)] = 54631,
  [SMALL_STATE(1188)] = 54679,
  [SMALL_STATE(1189)] = 54727,
  [SMALL_STATE(1190)] = 54775,
  [SMALL_STATE(1191)] = 54814,
  [SMALL_STATE(1192)] = 54853,
  [SMALL_STATE(1193)] = 54892,
  [SMALL_STATE(1194)] = 54931,
  [SMALL_STATE(1195)] = 54970,
  [SMALL_STATE(1196)] = 55008,
  [SMALL_STATE(1197)] = 55046,
  [SMALL_STATE(1198)] = 55084,
  [SMALL_STATE(1199)] = 55122,
  [SMALL_STATE(1200)] = 55160,
  [SMALL_STATE(1201)] = 55198,
  [SMALL_STATE(1202)] = 55236,
  [SMALL_STATE(1203)] = 55274,
  [SMALL_STATE(1204)] = 55312,
  [SMALL_STATE(1205)] = 55350,
  [SMALL_STATE(1206)] = 55388,
  [SMALL_STATE(1207)] = 55424,
  [SMALL_STATE(1208)] = 55462,
  [SMALL_STATE(1209)] = 55498,
  [SMALL_STATE(1210)] = 55536,
  [SMALL_STATE(1211)] = 55574,
  [SMALL_STATE(1212)] = 55612,
  [SMALL_STATE(1213)] = 55648,
  [SMALL_STATE(1214)] = 55684,
  [SMALL_STATE(1215)] = 55720,
  [SMALL_STATE(1216)] = 55758,
  [SMALL_STATE(1217)] = 55791,
  [SMALL_STATE(1218)] = 55824,
  [SMALL_STATE(1219)] = 55857,
  [SMALL_STATE(1220)] = 55890,
  [SMALL_STATE(1221)] = 55923,
  [SMALL_STATE(1222)] = 55956,
  [SMALL_STATE(1223)] = 55987,
  [SMALL_STATE(1224)] = 56020,
  [SMALL_STATE(1225)] = 56053,
  [SMALL_STATE(1226)] = 56086,
  [SMALL_STATE(1227)] = 56119,
  [SMALL_STATE(1228)] = 56152,
  [SMALL_STATE(1229)] = 56185,
  [SMALL_STATE(1230)] = 56218,
  [SMALL_STATE(1231)] = 56251,
  [SMALL_STATE(1232)] = 56284,
  [SMALL_STATE(1233)] = 56317,
  [SMALL_STATE(1234)] = 56350,
  [SMALL_STATE(1235)] = 56383,
  [SMALL_STATE(1236)] = 56407,
  [SMALL_STATE(1237)] = 56447,
  [SMALL_STATE(1238)] = 56487,
  [SMALL_STATE(1239)] = 56527,
  [SMALL_STATE(1240)] = 56567,
  [SMALL_STATE(1241)] = 56607,
  [SMALL_STATE(1242)] = 56637,
  [SMALL_STATE(1243)] = 56677,
  [SMALL_STATE(1244)] = 56717,
  [SMALL_STATE(1245)] = 56752,
  [SMALL_STATE(1246)] = 56787,
  [SMALL_STATE(1247)] = 56822,
  [SMALL_STATE(1248)] = 56844,
  [SMALL_STATE(1249)] = 56864,
  [SMALL_STATE(1250)] = 56886,
  [SMALL_STATE(1251)] = 56912,
  [SMALL_STATE(1252)] = 56932,
  [SMALL_STATE(1253)] = 56966,
  [SMALL_STATE(1254)] = 56990,
  [SMALL_STATE(1255)] = 57012,
  [SMALL_STATE(1256)] = 57038,
  [SMALL_STATE(1257)] = 57058,
  [SMALL_STATE(1258)] = 57084,
  [SMALL_STATE(1259)] = 57106,
  [SMALL_STATE(1260)] = 57128,
  [SMALL_STATE(1261)] = 57150,
  [SMALL_STATE(1262)] = 57183,
  [SMALL_STATE(1263)] = 57216,
  [SMALL_STATE(1264)] = 57249,
  [SMALL_STATE(1265)] = 57274,
  [SMALL_STATE(1266)] = 57307,
  [SMALL_STATE(1267)] = 57327,
  [SMALL_STATE(1268)] = 57353,
  [SMALL_STATE(1269)] = 57373,
  [SMALL_STATE(1270)] = 57399,
  [SMALL_STATE(1271)] = 57419,
  [SMALL_STATE(1272)] = 57445,
  [SMALL_STATE(1273)] = 57471,
  [SMALL_STATE(1274)] = 57491,
  [SMALL_STATE(1275)] = 57511,
  [SMALL_STATE(1276)] = 57531,
  [SMALL_STATE(1277)] = 57551,
  [SMALL_STATE(1278)] = 57571,
  [SMALL_STATE(1279)] = 57597,
  [SMALL_STATE(1280)] = 57624,
  [SMALL_STATE(1281)] = 57651,
  [SMALL_STATE(1282)] = 57670,
  [SMALL_STATE(1283)] = 57697,
  [SMALL_STATE(1284)] = 57724,
  [SMALL_STATE(1285)] = 57751,
  [SMALL_STATE(1286)] = 57778,
  [SMALL_STATE(1287)] = 57805,
  [SMALL_STATE(1288)] = 57832,
  [SMALL_STATE(1289)] = 57851,
  [SMALL_STATE(1290)] = 57870,
  [SMALL_STATE(1291)] = 57897,
  [SMALL_STATE(1292)] = 57925,
  [SMALL_STATE(1293)] = 57943,
  [SMALL_STATE(1294)] = 57964,
  [SMALL_STATE(1295)] = 57991,
  [SMALL_STATE(1296)] = 58008,
  [SMALL_STATE(1297)] = 58029,
  [SMALL_STATE(1298)] = 58048,
  [SMALL_STATE(1299)] = 58075,
  [SMALL_STATE(1300)] = 58092,
  [SMALL_STATE(1301)] = 58111,
  [SMALL_STATE(1302)] = 58128,
  [SMALL_STATE(1303)] = 58146,
  [SMALL_STATE(1304)] = 58166,
  [SMALL_STATE(1305)] = 58186,
  [SMALL_STATE(1306)] = 58212,
  [SMALL_STATE(1307)] = 58228,
  [SMALL_STATE(1308)] = 58246,
  [SMALL_STATE(1309)] = 58264,
  [SMALL_STATE(1310)] = 58280,
  [SMALL_STATE(1311)] = 58306,
  [SMALL_STATE(1312)] = 58324,
  [SMALL_STATE(1313)] = 58342,
  [SMALL_STATE(1314)] = 58360,
  [SMALL_STATE(1315)] = 58378,
  [SMALL_STATE(1316)] = 58396,
  [SMALL_STATE(1317)] = 58414,
  [SMALL_STATE(1318)] = 58432,
  [SMALL_STATE(1319)] = 58447,
  [SMALL_STATE(1320)] = 58470,
  [SMALL_STATE(1321)] = 58495,
  [SMALL_STATE(1322)] = 58520,
  [SMALL_STATE(1323)] = 58535,
  [SMALL_STATE(1324)] = 58560,
  [SMALL_STATE(1325)] = 58581,
  [SMALL_STATE(1326)] = 58596,
  [SMALL_STATE(1327)] = 58611,
  [SMALL_STATE(1328)] = 58626,
  [SMALL_STATE(1329)] = 58649,
  [SMALL_STATE(1330)] = 58672,
  [SMALL_STATE(1331)] = 58693,
  [SMALL_STATE(1332)] = 58706,
  [SMALL_STATE(1333)] = 58727,
  [SMALL_STATE(1334)] = 58750,
  [SMALL_STATE(1335)] = 58765,
  [SMALL_STATE(1336)] = 58790,
  [SMALL_STATE(1337)] = 58806,
  [SMALL_STATE(1338)] = 58828,
  [SMALL_STATE(1339)] = 58844,
  [SMALL_STATE(1340)] = 58866,
  [SMALL_STATE(1341)] = 58888,
  [SMALL_STATE(1342)] = 58904,
  [SMALL_STATE(1343)] = 58926,
  [SMALL_STATE(1344)] = 58948,
  [SMALL_STATE(1345)] = 58964,
  [SMALL_STATE(1346)] = 58980,
  [SMALL_STATE(1347)] = 59002,
  [SMALL_STATE(1348)] = 59016,
  [SMALL_STATE(1349)] = 59038,
  [SMALL_STATE(1350)] = 59052,
  [SMALL_STATE(1351)] = 59070,
  [SMALL_STATE(1352)] = 59084,
  [SMALL_STATE(1353)] = 59102,
  [SMALL_STATE(1354)] = 59124,
  [SMALL_STATE(1355)] = 59140,
  [SMALL_STATE(1356)] = 59159,
  [SMALL_STATE(1357)] = 59174,
  [SMALL_STATE(1358)] = 59189,
  [SMALL_STATE(1359)] = 59208,
  [SMALL_STATE(1360)] = 59225,
  [SMALL_STATE(1361)] = 59240,
  [SMALL_STATE(1362)] = 59259,
  [SMALL_STATE(1363)] = 59278,
  [SMALL_STATE(1364)] = 59289,
  [SMALL_STATE(1365)] = 59300,
  [SMALL_STATE(1366)] = 59313,
  [SMALL_STATE(1367)] = 59332,
  [SMALL_STATE(1368)] = 59351,
  [SMALL_STATE(1369)] = 59370,
  [SMALL_STATE(1370)] = 59383,
  [SMALL_STATE(1371)] = 59402,
  [SMALL_STATE(1372)] = 59421,
  [SMALL_STATE(1373)] = 59440,
  [SMALL_STATE(1374)] = 59459,
  [SMALL_STATE(1375)] = 59472,
  [SMALL_STATE(1376)] = 59487,
  [SMALL_STATE(1377)] = 59506,
  [SMALL_STATE(1378)] = 59525,
  [SMALL_STATE(1379)] = 59536,
  [SMALL_STATE(1380)] = 59555,
  [SMALL_STATE(1381)] = 59570,
  [SMALL_STATE(1382)] = 59589,
  [SMALL_STATE(1383)] = 59608,
  [SMALL_STATE(1384)] = 59623,
  [SMALL_STATE(1385)] = 59642,
  [SMALL_STATE(1386)] = 59661,
  [SMALL_STATE(1387)] = 59680,
  [SMALL_STATE(1388)] = 59697,
  [SMALL_STATE(1389)] = 59716,
  [SMALL_STATE(1390)] = 59729,
  [SMALL_STATE(1391)] = 59740,
  [SMALL_STATE(1392)] = 59755,
  [SMALL_STATE(1393)] = 59774,
  [SMALL_STATE(1394)] = 59789,
  [SMALL_STATE(1395)] = 59808,
  [SMALL_STATE(1396)] = 59827,
  [SMALL_STATE(1397)] = 59844,
  [SMALL_STATE(1398)] = 59861,
  [SMALL_STATE(1399)] = 59872,
  [SMALL_STATE(1400)] = 59891,
  [SMALL_STATE(1401)] = 59906,
  [SMALL_STATE(1402)] = 59925,
  [SMALL_STATE(1403)] = 59937,
  [SMALL_STATE(1404)] = 59953,
  [SMALL_STATE(1405)] = 59969,
  [SMALL_STATE(1406)] = 59985,
  [SMALL_STATE(1407)] = 59999,
  [SMALL_STATE(1408)] = 60015,
  [SMALL_STATE(1409)] = 60031,
  [SMALL_STATE(1410)] = 60047,
  [SMALL_STATE(1411)] = 60063,
  [SMALL_STATE(1412)] = 60079,
  [SMALL_STATE(1413)] = 60093,
  [SMALL_STATE(1414)] = 60109,
  [SMALL_STATE(1415)] = 60125,
  [SMALL_STATE(1416)] = 60139,
  [SMALL_STATE(1417)] = 60155,
  [SMALL_STATE(1418)] = 60171,
  [SMALL_STATE(1419)] = 60187,
  [SMALL_STATE(1420)] = 60203,
  [SMALL_STATE(1421)] = 60217,
  [SMALL_STATE(1422)] = 60227,
  [SMALL_STATE(1423)] = 60237,
  [SMALL_STATE(1424)] = 60249,
  [SMALL_STATE(1425)] = 60265,
  [SMALL_STATE(1426)] = 60277,
  [SMALL_STATE(1427)] = 60293,
  [SMALL_STATE(1428)] = 60303,
  [SMALL_STATE(1429)] = 60319,
  [SMALL_STATE(1430)] = 60329,
  [SMALL_STATE(1431)] = 60345,
  [SMALL_STATE(1432)] = 60357,
  [SMALL_STATE(1433)] = 60368,
  [SMALL_STATE(1434)] = 60377,
  [SMALL_STATE(1435)] = 60390,
  [SMALL_STATE(1436)] = 60403,
  [SMALL_STATE(1437)] = 60416,
  [SMALL_STATE(1438)] = 60429,
  [SMALL_STATE(1439)] = 60442,
  [SMALL_STATE(1440)] = 60455,
  [SMALL_STATE(1441)] = 60464,
  [SMALL_STATE(1442)] = 60477,
  [SMALL_STATE(1443)] = 60490,
  [SMALL_STATE(1444)] = 60503,
  [SMALL_STATE(1445)] = 60516,
  [SMALL_STATE(1446)] = 60527,
  [SMALL_STATE(1447)] = 60540,
  [SMALL_STATE(1448)] = 60551,
  [SMALL_STATE(1449)] = 60560,
  [SMALL_STATE(1450)] = 60573,
  [SMALL_STATE(1451)] = 60586,
  [SMALL_STATE(1452)] = 60599,
  [SMALL_STATE(1453)] = 60612,
  [SMALL_STATE(1454)] = 60625,
  [SMALL_STATE(1455)] = 60638,
  [SMALL_STATE(1456)] = 60651,
  [SMALL_STATE(1457)] = 60664,
  [SMALL_STATE(1458)] = 60677,
  [SMALL_STATE(1459)] = 60690,
  [SMALL_STATE(1460)] = 60703,
  [SMALL_STATE(1461)] = 60716,
  [SMALL_STATE(1462)] = 60729,
  [SMALL_STATE(1463)] = 60742,
  [SMALL_STATE(1464)] = 60751,
  [SMALL_STATE(1465)] = 60764,
  [SMALL_STATE(1466)] = 60777,
  [SMALL_STATE(1467)] = 60790,
  [SMALL_STATE(1468)] = 60803,
  [SMALL_STATE(1469)] = 60816,
  [SMALL_STATE(1470)] = 60825,
  [SMALL_STATE(1471)] = 60838,
  [SMALL_STATE(1472)] = 60851,
  [SMALL_STATE(1473)] = 60864,
  [SMALL_STATE(1474)] = 60877,
  [SMALL_STATE(1475)] = 60890,
  [SMALL_STATE(1476)] = 60903,
  [SMALL_STATE(1477)] = 60916,
  [SMALL_STATE(1478)] = 60929,
  [SMALL_STATE(1479)] = 60942,
  [SMALL_STATE(1480)] = 60951,
  [SMALL_STATE(1481)] = 60964,
  [SMALL_STATE(1482)] = 60977,
  [SMALL_STATE(1483)] = 60990,
  [SMALL_STATE(1484)] = 60999,
  [SMALL_STATE(1485)] = 61008,
  [SMALL_STATE(1486)] = 61021,
  [SMALL_STATE(1487)] = 61034,
  [SMALL_STATE(1488)] = 61047,
  [SMALL_STATE(1489)] = 61060,
  [SMALL_STATE(1490)] = 61073,
  [SMALL_STATE(1491)] = 61086,
  [SMALL_STATE(1492)] = 61099,
  [SMALL_STATE(1493)] = 61112,
  [SMALL_STATE(1494)] = 61123,
  [SMALL_STATE(1495)] = 61136,
  [SMALL_STATE(1496)] = 61149,
  [SMALL_STATE(1497)] = 61162,
  [SMALL_STATE(1498)] = 61175,
  [SMALL_STATE(1499)] = 61188,
  [SMALL_STATE(1500)] = 61201,
  [SMALL_STATE(1501)] = 61212,
  [SMALL_STATE(1502)] = 61225,
  [SMALL_STATE(1503)] = 61238,
  [SMALL_STATE(1504)] = 61251,
  [SMALL_STATE(1505)] = 61262,
  [SMALL_STATE(1506)] = 61275,
  [SMALL_STATE(1507)] = 61288,
  [SMALL_STATE(1508)] = 61301,
  [SMALL_STATE(1509)] = 61314,
  [SMALL_STATE(1510)] = 61327,
  [SMALL_STATE(1511)] = 61340,
  [SMALL_STATE(1512)] = 61353,
  [SMALL_STATE(1513)] = 61366,
  [SMALL_STATE(1514)] = 61379,
  [SMALL_STATE(1515)] = 61392,
  [SMALL_STATE(1516)] = 61405,
  [SMALL_STATE(1517)] = 61414,
  [SMALL_STATE(1518)] = 61427,
  [SMALL_STATE(1519)] = 61440,
  [SMALL_STATE(1520)] = 61453,
  [SMALL_STATE(1521)] = 61466,
  [SMALL_STATE(1522)] = 61479,
  [SMALL_STATE(1523)] = 61492,
  [SMALL_STATE(1524)] = 61505,
  [SMALL_STATE(1525)] = 61518,
  [SMALL_STATE(1526)] = 61531,
  [SMALL_STATE(1527)] = 61544,
  [SMALL_STATE(1528)] = 61557,
  [SMALL_STATE(1529)] = 61570,
  [SMALL_STATE(1530)] = 61583,
  [SMALL_STATE(1531)] = 61596,
  [SMALL_STATE(1532)] = 61609,
  [SMALL_STATE(1533)] = 61622,
  [SMALL_STATE(1534)] = 61635,
  [SMALL_STATE(1535)] = 61646,
  [SMALL_STATE(1536)] = 61659,
  [SMALL_STATE(1537)] = 61672,
  [SMALL_STATE(1538)] = 61685,
  [SMALL_STATE(1539)] = 61698,
  [SMALL_STATE(1540)] = 61707,
  [SMALL_STATE(1541)] = 61720,
  [SMALL_STATE(1542)] = 61729,
  [SMALL_STATE(1543)] = 61740,
  [SMALL_STATE(1544)] = 61753,
  [SMALL_STATE(1545)] = 61766,
  [SMALL_STATE(1546)] = 61779,
  [SMALL_STATE(1547)] = 61788,
  [SMALL_STATE(1548)] = 61801,
  [SMALL_STATE(1549)] = 61814,
  [SMALL_STATE(1550)] = 61824,
  [SMALL_STATE(1551)] = 61834,
  [SMALL_STATE(1552)] = 61844,
  [SMALL_STATE(1553)] = 61854,
  [SMALL_STATE(1554)] = 61864,
  [SMALL_STATE(1555)] = 61874,
  [SMALL_STATE(1556)] = 61884,
  [SMALL_STATE(1557)] = 61894,
  [SMALL_STATE(1558)] = 61904,
  [SMALL_STATE(1559)] = 61914,
  [SMALL_STATE(1560)] = 61922,
  [SMALL_STATE(1561)] = 61932,
  [SMALL_STATE(1562)] = 61940,
  [SMALL_STATE(1563)] = 61950,
  [SMALL_STATE(1564)] = 61958,
  [SMALL_STATE(1565)] = 61968,
  [SMALL_STATE(1566)] = 61978,
  [SMALL_STATE(1567)] = 61988,
  [SMALL_STATE(1568)] = 61998,
  [SMALL_STATE(1569)] = 62008,
  [SMALL_STATE(1570)] = 62018,
  [SMALL_STATE(1571)] = 62028,
  [SMALL_STATE(1572)] = 62038,
  [SMALL_STATE(1573)] = 62048,
  [SMALL_STATE(1574)] = 62058,
  [SMALL_STATE(1575)] = 62068,
  [SMALL_STATE(1576)] = 62078,
  [SMALL_STATE(1577)] = 62088,
  [SMALL_STATE(1578)] = 62098,
  [SMALL_STATE(1579)] = 62108,
  [SMALL_STATE(1580)] = 62118,
  [SMALL_STATE(1581)] = 62128,
  [SMALL_STATE(1582)] = 62138,
  [SMALL_STATE(1583)] = 62148,
  [SMALL_STATE(1584)] = 62158,
  [SMALL_STATE(1585)] = 62168,
  [SMALL_STATE(1586)] = 62178,
  [SMALL_STATE(1587)] = 62188,
  [SMALL_STATE(1588)] = 62198,
  [SMALL_STATE(1589)] = 62208,
  [SMALL_STATE(1590)] = 62218,
  [SMALL_STATE(1591)] = 62228,
  [SMALL_STATE(1592)] = 62238,
  [SMALL_STATE(1593)] = 62248,
  [SMALL_STATE(1594)] = 62258,
  [SMALL_STATE(1595)] = 62268,
  [SMALL_STATE(1596)] = 62278,
  [SMALL_STATE(1597)] = 62288,
  [SMALL_STATE(1598)] = 62298,
  [SMALL_STATE(1599)] = 62308,
  [SMALL_STATE(1600)] = 62316,
  [SMALL_STATE(1601)] = 62326,
  [SMALL_STATE(1602)] = 62334,
  [SMALL_STATE(1603)] = 62344,
  [SMALL_STATE(1604)] = 62354,
  [SMALL_STATE(1605)] = 62364,
  [SMALL_STATE(1606)] = 62374,
  [SMALL_STATE(1607)] = 62384,
  [SMALL_STATE(1608)] = 62394,
  [SMALL_STATE(1609)] = 62404,
  [SMALL_STATE(1610)] = 62414,
  [SMALL_STATE(1611)] = 62424,
  [SMALL_STATE(1612)] = 62434,
  [SMALL_STATE(1613)] = 62444,
  [SMALL_STATE(1614)] = 62454,
  [SMALL_STATE(1615)] = 62464,
  [SMALL_STATE(1616)] = 62474,
  [SMALL_STATE(1617)] = 62484,
  [SMALL_STATE(1618)] = 62492,
  [SMALL_STATE(1619)] = 62502,
  [SMALL_STATE(1620)] = 62512,
  [SMALL_STATE(1621)] = 62522,
  [SMALL_STATE(1622)] = 62532,
  [SMALL_STATE(1623)] = 62542,
  [SMALL_STATE(1624)] = 62552,
  [SMALL_STATE(1625)] = 62560,
  [SMALL_STATE(1626)] = 62570,
  [SMALL_STATE(1627)] = 62580,
  [SMALL_STATE(1628)] = 62590,
  [SMALL_STATE(1629)] = 62600,
  [SMALL_STATE(1630)] = 62610,
  [SMALL_STATE(1631)] = 62620,
  [SMALL_STATE(1632)] = 62630,
  [SMALL_STATE(1633)] = 62640,
  [SMALL_STATE(1634)] = 62650,
  [SMALL_STATE(1635)] = 62660,
  [SMALL_STATE(1636)] = 62670,
  [SMALL_STATE(1637)] = 62678,
  [SMALL_STATE(1638)] = 62688,
  [SMALL_STATE(1639)] = 62698,
  [SMALL_STATE(1640)] = 62708,
  [SMALL_STATE(1641)] = 62718,
  [SMALL_STATE(1642)] = 62728,
  [SMALL_STATE(1643)] = 62738,
  [SMALL_STATE(1644)] = 62748,
  [SMALL_STATE(1645)] = 62758,
  [SMALL_STATE(1646)] = 62768,
  [SMALL_STATE(1647)] = 62778,
  [SMALL_STATE(1648)] = 62786,
  [SMALL_STATE(1649)] = 62796,
  [SMALL_STATE(1650)] = 62806,
  [SMALL_STATE(1651)] = 62816,
  [SMALL_STATE(1652)] = 62826,
  [SMALL_STATE(1653)] = 62836,
  [SMALL_STATE(1654)] = 62846,
  [SMALL_STATE(1655)] = 62856,
  [SMALL_STATE(1656)] = 62866,
  [SMALL_STATE(1657)] = 62876,
  [SMALL_STATE(1658)] = 62886,
  [SMALL_STATE(1659)] = 62896,
  [SMALL_STATE(1660)] = 62906,
  [SMALL_STATE(1661)] = 62916,
  [SMALL_STATE(1662)] = 62924,
  [SMALL_STATE(1663)] = 62934,
  [SMALL_STATE(1664)] = 62944,
  [SMALL_STATE(1665)] = 62954,
  [SMALL_STATE(1666)] = 62962,
  [SMALL_STATE(1667)] = 62970,
  [SMALL_STATE(1668)] = 62980,
  [SMALL_STATE(1669)] = 62988,
  [SMALL_STATE(1670)] = 62998,
  [SMALL_STATE(1671)] = 63006,
  [SMALL_STATE(1672)] = 63016,
  [SMALL_STATE(1673)] = 63026,
  [SMALL_STATE(1674)] = 63036,
  [SMALL_STATE(1675)] = 63046,
  [SMALL_STATE(1676)] = 63056,
  [SMALL_STATE(1677)] = 63066,
  [SMALL_STATE(1678)] = 63076,
  [SMALL_STATE(1679)] = 63086,
  [SMALL_STATE(1680)] = 63096,
  [SMALL_STATE(1681)] = 63106,
  [SMALL_STATE(1682)] = 63116,
  [SMALL_STATE(1683)] = 63124,
  [SMALL_STATE(1684)] = 63134,
  [SMALL_STATE(1685)] = 63142,
  [SMALL_STATE(1686)] = 63152,
  [SMALL_STATE(1687)] = 63162,
  [SMALL_STATE(1688)] = 63172,
  [SMALL_STATE(1689)] = 63182,
  [SMALL_STATE(1690)] = 63190,
  [SMALL_STATE(1691)] = 63200,
  [SMALL_STATE(1692)] = 63210,
  [SMALL_STATE(1693)] = 63220,
  [SMALL_STATE(1694)] = 63230,
  [SMALL_STATE(1695)] = 63240,
  [SMALL_STATE(1696)] = 63248,
  [SMALL_STATE(1697)] = 63258,
  [SMALL_STATE(1698)] = 63268,
  [SMALL_STATE(1699)] = 63278,
  [SMALL_STATE(1700)] = 63286,
  [SMALL_STATE(1701)] = 63296,
  [SMALL_STATE(1702)] = 63306,
  [SMALL_STATE(1703)] = 63314,
  [SMALL_STATE(1704)] = 63324,
  [SMALL_STATE(1705)] = 63332,
  [SMALL_STATE(1706)] = 63342,
  [SMALL_STATE(1707)] = 63352,
  [SMALL_STATE(1708)] = 63362,
  [SMALL_STATE(1709)] = 63370,
  [SMALL_STATE(1710)] = 63380,
  [SMALL_STATE(1711)] = 63390,
  [SMALL_STATE(1712)] = 63400,
  [SMALL_STATE(1713)] = 63410,
  [SMALL_STATE(1714)] = 63420,
  [SMALL_STATE(1715)] = 63430,
  [SMALL_STATE(1716)] = 63440,
  [SMALL_STATE(1717)] = 63450,
  [SMALL_STATE(1718)] = 63460,
  [SMALL_STATE(1719)] = 63468,
  [SMALL_STATE(1720)] = 63476,
  [SMALL_STATE(1721)] = 63484,
  [SMALL_STATE(1722)] = 63494,
  [SMALL_STATE(1723)] = 63504,
  [SMALL_STATE(1724)] = 63514,
  [SMALL_STATE(1725)] = 63524,
  [SMALL_STATE(1726)] = 63534,
  [SMALL_STATE(1727)] = 63544,
  [SMALL_STATE(1728)] = 63554,
  [SMALL_STATE(1729)] = 63564,
  [SMALL_STATE(1730)] = 63571,
  [SMALL_STATE(1731)] = 63578,
  [SMALL_STATE(1732)] = 63585,
  [SMALL_STATE(1733)] = 63592,
  [SMALL_STATE(1734)] = 63599,
  [SMALL_STATE(1735)] = 63606,
  [SMALL_STATE(1736)] = 63613,
  [SMALL_STATE(1737)] = 63620,
  [SMALL_STATE(1738)] = 63627,
  [SMALL_STATE(1739)] = 63634,
  [SMALL_STATE(1740)] = 63641,
  [SMALL_STATE(1741)] = 63648,
  [SMALL_STATE(1742)] = 63655,
  [SMALL_STATE(1743)] = 63662,
  [SMALL_STATE(1744)] = 63669,
  [SMALL_STATE(1745)] = 63676,
  [SMALL_STATE(1746)] = 63683,
  [SMALL_STATE(1747)] = 63690,
  [SMALL_STATE(1748)] = 63697,
  [SMALL_STATE(1749)] = 63704,
  [SMALL_STATE(1750)] = 63711,
  [SMALL_STATE(1751)] = 63718,
  [SMALL_STATE(1752)] = 63725,
  [SMALL_STATE(1753)] = 63732,
  [SMALL_STATE(1754)] = 63739,
  [SMALL_STATE(1755)] = 63746,
  [SMALL_STATE(1756)] = 63753,
  [SMALL_STATE(1757)] = 63760,
  [SMALL_STATE(1758)] = 63767,
  [SMALL_STATE(1759)] = 63774,
  [SMALL_STATE(1760)] = 63781,
  [SMALL_STATE(1761)] = 63788,
  [SMALL_STATE(1762)] = 63795,
  [SMALL_STATE(1763)] = 63802,
  [SMALL_STATE(1764)] = 63809,
  [SMALL_STATE(1765)] = 63816,
  [SMALL_STATE(1766)] = 63823,
  [SMALL_STATE(1767)] = 63830,
  [SMALL_STATE(1768)] = 63837,
  [SMALL_STATE(1769)] = 63844,
  [SMALL_STATE(1770)] = 63851,
  [SMALL_STATE(1771)] = 63858,
  [SMALL_STATE(1772)] = 63865,
  [SMALL_STATE(1773)] = 63872,
  [SMALL_STATE(1774)] = 63879,
  [SMALL_STATE(1775)] = 63886,
  [SMALL_STATE(1776)] = 63893,
  [SMALL_STATE(1777)] = 63900,
  [SMALL_STATE(1778)] = 63907,
  [SMALL_STATE(1779)] = 63914,
  [SMALL_STATE(1780)] = 63921,
  [SMALL_STATE(1781)] = 63928,
  [SMALL_STATE(1782)] = 63935,
  [SMALL_STATE(1783)] = 63942,
  [SMALL_STATE(1784)] = 63949,
  [SMALL_STATE(1785)] = 63956,
  [SMALL_STATE(1786)] = 63963,
  [SMALL_STATE(1787)] = 63970,
  [SMALL_STATE(1788)] = 63977,
  [SMALL_STATE(1789)] = 63984,
  [SMALL_STATE(1790)] = 63991,
  [SMALL_STATE(1791)] = 63998,
  [SMALL_STATE(1792)] = 64005,
  [SMALL_STATE(1793)] = 64012,
  [SMALL_STATE(1794)] = 64019,
  [SMALL_STATE(1795)] = 64026,
  [SMALL_STATE(1796)] = 64033,
  [SMALL_STATE(1797)] = 64040,
  [SMALL_STATE(1798)] = 64047,
  [SMALL_STATE(1799)] = 64054,
  [SMALL_STATE(1800)] = 64061,
  [SMALL_STATE(1801)] = 64068,
  [SMALL_STATE(1802)] = 64075,
  [SMALL_STATE(1803)] = 64082,
  [SMALL_STATE(1804)] = 64089,
  [SMALL_STATE(1805)] = 64096,
  [SMALL_STATE(1806)] = 64103,
  [SMALL_STATE(1807)] = 64110,
  [SMALL_STATE(1808)] = 64117,
  [SMALL_STATE(1809)] = 64124,
  [SMALL_STATE(1810)] = 64131,
  [SMALL_STATE(1811)] = 64138,
  [SMALL_STATE(1812)] = 64145,
  [SMALL_STATE(1813)] = 64152,
  [SMALL_STATE(1814)] = 64159,
  [SMALL_STATE(1815)] = 64166,
  [SMALL_STATE(1816)] = 64173,
  [SMALL_STATE(1817)] = 64180,
  [SMALL_STATE(1818)] = 64187,
  [SMALL_STATE(1819)] = 64194,
  [SMALL_STATE(1820)] = 64201,
  [SMALL_STATE(1821)] = 64208,
  [SMALL_STATE(1822)] = 64215,
  [SMALL_STATE(1823)] = 64222,
  [SMALL_STATE(1824)] = 64229,
  [SMALL_STATE(1825)] = 64236,
  [SMALL_STATE(1826)] = 64243,
  [SMALL_STATE(1827)] = 64250,
  [SMALL_STATE(1828)] = 64257,
  [SMALL_STATE(1829)] = 64264,
  [SMALL_STATE(1830)] = 64271,
  [SMALL_STATE(1831)] = 64278,
  [SMALL_STATE(1832)] = 64285,
  [SMALL_STATE(1833)] = 64292,
  [SMALL_STATE(1834)] = 64299,
  [SMALL_STATE(1835)] = 64306,
  [SMALL_STATE(1836)] = 64313,
  [SMALL_STATE(1837)] = 64320,
  [SMALL_STATE(1838)] = 64327,
  [SMALL_STATE(1839)] = 64334,
  [SMALL_STATE(1840)] = 64341,
  [SMALL_STATE(1841)] = 64348,
  [SMALL_STATE(1842)] = 64355,
  [SMALL_STATE(1843)] = 64362,
  [SMALL_STATE(1844)] = 64369,
  [SMALL_STATE(1845)] = 64376,
  [SMALL_STATE(1846)] = 64383,
  [SMALL_STATE(1847)] = 64390,
  [SMALL_STATE(1848)] = 64397,
  [SMALL_STATE(1849)] = 64404,
  [SMALL_STATE(1850)] = 64411,
  [SMALL_STATE(1851)] = 64418,
  [SMALL_STATE(1852)] = 64425,
  [SMALL_STATE(1853)] = 64432,
  [SMALL_STATE(1854)] = 64439,
  [SMALL_STATE(1855)] = 64446,
  [SMALL_STATE(1856)] = 64453,
  [SMALL_STATE(1857)] = 64460,
  [SMALL_STATE(1858)] = 64467,
  [SMALL_STATE(1859)] = 64474,
  [SMALL_STATE(1860)] = 64481,
  [SMALL_STATE(1861)] = 64488,
  [SMALL_STATE(1862)] = 64495,
  [SMALL_STATE(1863)] = 64502,
  [SMALL_STATE(1864)] = 64509,
  [SMALL_STATE(1865)] = 64516,
  [SMALL_STATE(1866)] = 64523,
  [SMALL_STATE(1867)] = 64530,
  [SMALL_STATE(1868)] = 64537,
  [SMALL_STATE(1869)] = 64544,
  [SMALL_STATE(1870)] = 64551,
  [SMALL_STATE(1871)] = 64558,
  [SMALL_STATE(1872)] = 64565,
  [SMALL_STATE(1873)] = 64572,
  [SMALL_STATE(1874)] = 64579,
  [SMALL_STATE(1875)] = 64586,
  [SMALL_STATE(1876)] = 64593,
  [SMALL_STATE(1877)] = 64600,
  [SMALL_STATE(1878)] = 64607,
  [SMALL_STATE(1879)] = 64614,
  [SMALL_STATE(1880)] = 64621,
  [SMALL_STATE(1881)] = 64628,
  [SMALL_STATE(1882)] = 64635,
  [SMALL_STATE(1883)] = 64642,
  [SMALL_STATE(1884)] = 64649,
  [SMALL_STATE(1885)] = 64656,
  [SMALL_STATE(1886)] = 64663,
  [SMALL_STATE(1887)] = 64670,
  [SMALL_STATE(1888)] = 64677,
  [SMALL_STATE(1889)] = 64684,
  [SMALL_STATE(1890)] = 64691,
  [SMALL_STATE(1891)] = 64698,
  [SMALL_STATE(1892)] = 64705,
  [SMALL_STATE(1893)] = 64712,
  [SMALL_STATE(1894)] = 64719,
  [SMALL_STATE(1895)] = 64726,
  [SMALL_STATE(1896)] = 64733,
  [SMALL_STATE(1897)] = 64740,
  [SMALL_STATE(1898)] = 64747,
  [SMALL_STATE(1899)] = 64754,
  [SMALL_STATE(1900)] = 64761,
  [SMALL_STATE(1901)] = 64768,
  [SMALL_STATE(1902)] = 64775,
  [SMALL_STATE(1903)] = 64782,
  [SMALL_STATE(1904)] = 64789,
  [SMALL_STATE(1905)] = 64796,
  [SMALL_STATE(1906)] = 64803,
  [SMALL_STATE(1907)] = 64810,
  [SMALL_STATE(1908)] = 64817,
  [SMALL_STATE(1909)] = 64824,
  [SMALL_STATE(1910)] = 64831,
  [SMALL_STATE(1911)] = 64838,
  [SMALL_STATE(1912)] = 64845,
  [SMALL_STATE(1913)] = 64852,
  [SMALL_STATE(1914)] = 64859,
  [SMALL_STATE(1915)] = 64866,
  [SMALL_STATE(1916)] = 64873,
  [SMALL_STATE(1917)] = 64880,
  [SMALL_STATE(1918)] = 64887,
  [SMALL_STATE(1919)] = 64894,
  [SMALL_STATE(1920)] = 64901,
  [SMALL_STATE(1921)] = 64908,
  [SMALL_STATE(1922)] = 64915,
  [SMALL_STATE(1923)] = 64922,
  [SMALL_STATE(1924)] = 64929,
  [SMALL_STATE(1925)] = 64936,
  [SMALL_STATE(1926)] = 64943,
  [SMALL_STATE(1927)] = 64950,
  [SMALL_STATE(1928)] = 64957,
  [SMALL_STATE(1929)] = 64964,
  [SMALL_STATE(1930)] = 64971,
  [SMALL_STATE(1931)] = 64978,
  [SMALL_STATE(1932)] = 64985,
  [SMALL_STATE(1933)] = 64992,
  [SMALL_STATE(1934)] = 64999,
  [SMALL_STATE(1935)] = 65006,
  [SMALL_STATE(1936)] = 65013,
  [SMALL_STATE(1937)] = 65020,
  [SMALL_STATE(1938)] = 65027,
  [SMALL_STATE(1939)] = 65034,
  [SMALL_STATE(1940)] = 65041,
  [SMALL_STATE(1941)] = 65048,
  [SMALL_STATE(1942)] = 65055,
  [SMALL_STATE(1943)] = 65062,
  [SMALL_STATE(1944)] = 65069,
  [SMALL_STATE(1945)] = 65076,
  [SMALL_STATE(1946)] = 65083,
  [SMALL_STATE(1947)] = 65090,
  [SMALL_STATE(1948)] = 65097,
  [SMALL_STATE(1949)] = 65104,
  [SMALL_STATE(1950)] = 65111,
  [SMALL_STATE(1951)] = 65118,
  [SMALL_STATE(1952)] = 65125,
  [SMALL_STATE(1953)] = 65132,
  [SMALL_STATE(1954)] = 65139,
  [SMALL_STATE(1955)] = 65146,
  [SMALL_STATE(1956)] = 65153,
  [SMALL_STATE(1957)] = 65160,
  [SMALL_STATE(1958)] = 65167,
  [SMALL_STATE(1959)] = 65174,
  [SMALL_STATE(1960)] = 65181,
  [SMALL_STATE(1961)] = 65188,
  [SMALL_STATE(1962)] = 65195,
  [SMALL_STATE(1963)] = 65202,
  [SMALL_STATE(1964)] = 65209,
  [SMALL_STATE(1965)] = 65216,
  [SMALL_STATE(1966)] = 65223,
  [SMALL_STATE(1967)] = 65230,
  [SMALL_STATE(1968)] = 65237,
  [SMALL_STATE(1969)] = 65244,
  [SMALL_STATE(1970)] = 65251,
  [SMALL_STATE(1971)] = 65258,
  [SMALL_STATE(1972)] = 65265,
  [SMALL_STATE(1973)] = 65272,
  [SMALL_STATE(1974)] = 65279,
  [SMALL_STATE(1975)] = 65286,
  [SMALL_STATE(1976)] = 65293,
  [SMALL_STATE(1977)] = 65300,
  [SMALL_STATE(1978)] = 65307,
  [SMALL_STATE(1979)] = 65314,
  [SMALL_STATE(1980)] = 65321,
  [SMALL_STATE(1981)] = 65328,
  [SMALL_STATE(1982)] = 65335,
  [SMALL_STATE(1983)] = 65342,
  [SMALL_STATE(1984)] = 65349,
  [SMALL_STATE(1985)] = 65356,
  [SMALL_STATE(1986)] = 65363,
  [SMALL_STATE(1987)] = 65370,
  [SMALL_STATE(1988)] = 65377,
  [SMALL_STATE(1989)] = 65384,
  [SMALL_STATE(1990)] = 65391,
  [SMALL_STATE(1991)] = 65398,
  [SMALL_STATE(1992)] = 65405,
  [SMALL_STATE(1993)] = 65412,
  [SMALL_STATE(1994)] = 65419,
  [SMALL_STATE(1995)] = 65426,
  [SMALL_STATE(1996)] = 65433,
  [SMALL_STATE(1997)] = 65440,
  [SMALL_STATE(1998)] = 65447,
  [SMALL_STATE(1999)] = 65454,
  [SMALL_STATE(2000)] = 65461,
  [SMALL_STATE(2001)] = 65468,
  [SMALL_STATE(2002)] = 65475,
  [SMALL_STATE(2003)] = 65482,
  [SMALL_STATE(2004)] = 65489,
  [SMALL_STATE(2005)] = 65496,
  [SMALL_STATE(2006)] = 65503,
  [SMALL_STATE(2007)] = 65510,
  [SMALL_STATE(2008)] = 65517,
  [SMALL_STATE(2009)] = 65524,
  [SMALL_STATE(2010)] = 65531,
  [SMALL_STATE(2011)] = 65538,
  [SMALL_STATE(2012)] = 65545,
  [SMALL_STATE(2013)] = 65552,
  [SMALL_STATE(2014)] = 65559,
  [SMALL_STATE(2015)] = 65566,
  [SMALL_STATE(2016)] = 65573,
  [SMALL_STATE(2017)] = 65580,
  [SMALL_STATE(2018)] = 65587,
  [SMALL_STATE(2019)] = 65594,
  [SMALL_STATE(2020)] = 65601,
  [SMALL_STATE(2021)] = 65608,
  [SMALL_STATE(2022)] = 65615,
  [SMALL_STATE(2023)] = 65622,
  [SMALL_STATE(2024)] = 65629,
  [SMALL_STATE(2025)] = 65636,
  [SMALL_STATE(2026)] = 65643,
  [SMALL_STATE(2027)] = 65650,
  [SMALL_STATE(2028)] = 65657,
  [SMALL_STATE(2029)] = 65664,
  [SMALL_STATE(2030)] = 65671,
  [SMALL_STATE(2031)] = 65678,
  [SMALL_STATE(2032)] = 65685,
  [SMALL_STATE(2033)] = 65692,
  [SMALL_STATE(2034)] = 65699,
  [SMALL_STATE(2035)] = 65706,
  [SMALL_STATE(2036)] = 65713,
  [SMALL_STATE(2037)] = 65720,
  [SMALL_STATE(2038)] = 65727,
  [SMALL_STATE(2039)] = 65734,
  [SMALL_STATE(2040)] = 65741,
  [SMALL_STATE(2041)] = 65748,
  [SMALL_STATE(2042)] = 65755,
  [SMALL_STATE(2043)] = 65762,
  [SMALL_STATE(2044)] = 65769,
  [SMALL_STATE(2045)] = 65776,
  [SMALL_STATE(2046)] = 65783,
  [SMALL_STATE(2047)] = 65790,
  [SMALL_STATE(2048)] = 65797,
  [SMALL_STATE(2049)] = 65804,
  [SMALL_STATE(2050)] = 65811,
  [SMALL_STATE(2051)] = 65818,
  [SMALL_STATE(2052)] = 65825,
  [SMALL_STATE(2053)] = 65832,
  [SMALL_STATE(2054)] = 65839,
  [SMALL_STATE(2055)] = 65846,
  [SMALL_STATE(2056)] = 65853,
  [SMALL_STATE(2057)] = 65860,
  [SMALL_STATE(2058)] = 65867,
  [SMALL_STATE(2059)] = 65874,
  [SMALL_STATE(2060)] = 65881,
  [SMALL_STATE(2061)] = 65888,
  [SMALL_STATE(2062)] = 65895,
  [SMALL_STATE(2063)] = 65902,
  [SMALL_STATE(2064)] = 65909,
  [SMALL_STATE(2065)] = 65916,
  [SMALL_STATE(2066)] = 65923,
  [SMALL_STATE(2067)] = 65930,
  [SMALL_STATE(2068)] = 65937,
  [SMALL_STATE(2069)] = 65944,
  [SMALL_STATE(2070)] = 65951,
  [SMALL_STATE(2071)] = 65958,
  [SMALL_STATE(2072)] = 65965,
  [SMALL_STATE(2073)] = 65972,
  [SMALL_STATE(2074)] = 65979,
  [SMALL_STATE(2075)] = 65986,
  [SMALL_STATE(2076)] = 65993,
  [SMALL_STATE(2077)] = 66000,
  [SMALL_STATE(2078)] = 66007,
  [SMALL_STATE(2079)] = 66014,
  [SMALL_STATE(2080)] = 66021,
  [SMALL_STATE(2081)] = 66028,
  [SMALL_STATE(2082)] = 66035,
  [SMALL_STATE(2083)] = 66042,
  [SMALL_STATE(2084)] = 66049,
  [SMALL_STATE(2085)] = 66056,
  [SMALL_STATE(2086)] = 66063,
  [SMALL_STATE(2087)] = 66070,
  [SMALL_STATE(2088)] = 66077,
  [SMALL_STATE(2089)] = 66084,
  [SMALL_STATE(2090)] = 66091,
  [SMALL_STATE(2091)] = 66098,
  [SMALL_STATE(2092)] = 66105,
  [SMALL_STATE(2093)] = 66112,
  [SMALL_STATE(2094)] = 66119,
  [SMALL_STATE(2095)] = 66126,
  [SMALL_STATE(2096)] = 66133,
  [SMALL_STATE(2097)] = 66140,
  [SMALL_STATE(2098)] = 66147,
  [SMALL_STATE(2099)] = 66154,
  [SMALL_STATE(2100)] = 66161,
  [SMALL_STATE(2101)] = 66168,
  [SMALL_STATE(2102)] = 66175,
  [SMALL_STATE(2103)] = 66182,
  [SMALL_STATE(2104)] = 66189,
  [SMALL_STATE(2105)] = 66196,
  [SMALL_STATE(2106)] = 66203,
  [SMALL_STATE(2107)] = 66210,
  [SMALL_STATE(2108)] = 66217,
  [SMALL_STATE(2109)] = 66224,
  [SMALL_STATE(2110)] = 66231,
  [SMALL_STATE(2111)] = 66238,
  [SMALL_STATE(2112)] = 66245,
  [SMALL_STATE(2113)] = 66252,
  [SMALL_STATE(2114)] = 66259,
  [SMALL_STATE(2115)] = 66266,
  [SMALL_STATE(2116)] = 66273,
  [SMALL_STATE(2117)] = 66280,
  [SMALL_STATE(2118)] = 66287,
  [SMALL_STATE(2119)] = 66294,
  [SMALL_STATE(2120)] = 66301,
  [SMALL_STATE(2121)] = 66308,
  [SMALL_STATE(2122)] = 66315,
  [SMALL_STATE(2123)] = 66322,
  [SMALL_STATE(2124)] = 66329,
  [SMALL_STATE(2125)] = 66336,
  [SMALL_STATE(2126)] = 66343,
  [SMALL_STATE(2127)] = 66350,
  [SMALL_STATE(2128)] = 66357,
  [SMALL_STATE(2129)] = 66364,
  [SMALL_STATE(2130)] = 66371,
  [SMALL_STATE(2131)] = 66378,
  [SMALL_STATE(2132)] = 66385,
  [SMALL_STATE(2133)] = 66392,
  [SMALL_STATE(2134)] = 66399,
  [SMALL_STATE(2135)] = 66406,
  [SMALL_STATE(2136)] = 66413,
  [SMALL_STATE(2137)] = 66420,
  [SMALL_STATE(2138)] = 66427,
  [SMALL_STATE(2139)] = 66434,
  [SMALL_STATE(2140)] = 66441,
  [SMALL_STATE(2141)] = 66448,
  [SMALL_STATE(2142)] = 66455,
  [SMALL_STATE(2143)] = 66462,
  [SMALL_STATE(2144)] = 66469,
  [SMALL_STATE(2145)] = 66476,
  [SMALL_STATE(2146)] = 66483,
  [SMALL_STATE(2147)] = 66490,
  [SMALL_STATE(2148)] = 66497,
  [SMALL_STATE(2149)] = 66504,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [95] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value, 1, 0, 0),
  [97] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value, 1, 0, 0),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block, 2, 0, 0),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block, 3, 0, 0),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_literal, 3, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_literal, 3, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_list, 1, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1209),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1232),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1368),
  [330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(670),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1547),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(573),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(259),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1694),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1353),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(950),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2029),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2030),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(665),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(666),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(45),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_list, 1, 0, 0),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1935),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2051),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1621),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1282),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1426),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1555),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access, 3, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access, 3, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 1, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 1, 0, 0),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_expression, 4, 0, 0),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block_expression, 4, 0, 0),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_expression, 3, 0, 0),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block_expression, 3, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invokation_foreach_expression, 3, 0, 0),
  [615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invokation_foreach_expression, 3, 0, 0),
  [617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sub_expression, 2, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sub_expression, 2, 0, 0),
  [621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sub_expression, 3, 0, 8),
  [623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sub_expression, 3, 0, 8),
  [625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 15),
  [631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 15),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 1, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 1, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_with_unary_operator, 1, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_with_unary_operator, 1, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_with_unary_operator, 2, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_with_unary_operator, 2, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_string_literal, 4, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_string_literal, 4, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pre_increment_expression, 2, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pre_increment_expression, 2, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pre_decrement_expression, 2, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pre_decrement_expression, 2, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_post_increment_expression, 2, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_post_increment_expression, 2, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_name, 1, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_name, 1, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_post_decrement_expression, 2, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_post_decrement_expression, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 2, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 2, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_string_literal, 3, 0, 0),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_string_literal, 3, 0, 0),
  [683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0), REDUCE(sym_member_name, 1, 0, 0),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0), REDUCE(sym_member_name, 1, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_here_string_literal, 3, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_here_string_literal, 3, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_access, 4, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element_access, 4, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_here_string_literal, 2, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_here_string_literal, 2, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invokation_expression, 1, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invokation_expression, 1, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_literal_expression, 2, 0, 0),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_literal_expression, 2, 0, 0),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invokation_expression, 4, 0, 0),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invokation_expression, 4, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 8),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 8),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_string_literal, 2, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_string_literal, 2, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_literal_expression, 3, 0, 0),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_literal_expression, 3, 0, 0),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0),
  [769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal_expression, 2, 0, 0),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal_expression, 2, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal_expression, 1, 0, 0),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal_expression, 1, 0, 0),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 1, 0, 0),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 1, 0, 0),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expression, 1, 0, 0),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expression, 1, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expression, 3, 0, 0),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expression, 3, 0, 0),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_expression, 1, 0, 0),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 1, 0, 0),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_expression, 3, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 3, 0, 0),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expression, 1, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expression, 1, 0, 0),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expression, 3, 0, 0),
  [827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expression, 3, 0, 0),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_expression, 3, 0, 0),
  [835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_expression, 3, 0, 0),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_expression, 1, 0, 0),
  [843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_expression, 1, 0, 0),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_expression, 3, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_expression, 3, 0, 0),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_expression, 1, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_expression, 1, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_argument, 1, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_argument, 1, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_control_statement, 1, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [1345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 14),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 0),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [1364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(628),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_argument_sep, 1, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_argument_sep, 1, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(316),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 14),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0),
  [1406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2120),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(330),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_param_block, 5, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_block, 5, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_param_block, 3, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_block, 3, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clauses, 1, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clauses, 1, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_param_block, 4, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_block, 4, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0),
  [1465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clauses, 1, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 1, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clauses, 1, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_argument_expression, 3, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_argument_expression, 3, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_argument_expression, 1, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_argument_expression, 1, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_argument_expression, 3, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_argument_expression, 3, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_argument_expression, 1, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_argument_expression, 1, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 14),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_argument_expression, 1, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_argument_expression, 1, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_argument_expression, 3, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_argument_expression, 3, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 12),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 16),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 12),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 16),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 14),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 18),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inlinescript_statement, 2, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 8, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 23),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_statement, 2, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 24),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 25),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 23),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 26),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 6, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_argument_expression, 1, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_argument_expression, 1, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 6, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 20),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 4, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_statement, 4, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parallel_statement, 2, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 14),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 5, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 5, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 6, 0, 19),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_argument_expression, 3, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_argument_expression, 3, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trap_statement, 3, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 4, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 21),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 4, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 18),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 17),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 7, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 8, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_statement, 3, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_statement, 2, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 2, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trap_statement, 2, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 22),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 18),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 21),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 14),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 5, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 17),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 18),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 6, 0, 19),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 6, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 6, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 20),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 21),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 18),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 7, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 8, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 22),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 21),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 18),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 8, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 23),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 24),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 25),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 23),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 26),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trap_statement, 3, 0, 0),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 3, 0, 0),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(961),
  [1759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(961),
  [1762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1225),
  [1771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1770),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [1780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [1792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0),
  [1797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [1800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [1803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [1806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [1809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [1812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 2, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trap_statement, 2, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 2, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inlinescript_statement, 2, 0, 0),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parallel_statement, 2, 0, 0),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_statement, 2, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_literal_body, 1, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 0),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 4, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 0),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 4, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignement_operator, 1, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_argument_expression, 1, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_argument_expression, 1, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_argument_expression, 3, 0, 0),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_argument_expression, 3, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_argument_expression, 1, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_argument_expression, 3, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__value, 1, 0, 0), REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [2102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__value, 1, 0, 0), REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(961),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [2209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1225),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0),
  [2235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_clauses, 1, 0, 0),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_path_command_name, 1, 0, 0),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_path_command_name, 1, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(770),
  [2263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(746),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, 0, 1),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, 0, 1),
  [2290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(920),
  [2293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(755),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, 0, 6),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, 0, 6),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_elements, 1, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_elements, 1, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(813),
  [2357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0),
  [2359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(309),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1105),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(822),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(851),
  [2399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [2402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(374),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_left_assignment_expression, 1, 0, 0),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 1, 0, 0),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 1, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 1, 0, 0),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [2432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [2438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 3, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 3, 0, 0),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_file_name, 1, 0, 0),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_file_name, 1, 0, 0),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name_expr, 1, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name_expr, 1, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 2, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 2, 0, 0),
  [2493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(945),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0),
  [2498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(945),
  [2501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, 0, 0),
  [2512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(965),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(965),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1190),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expandable_string_literal_immediate, 2, 0, 0),
  [2535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expandable_string_literal_immediate, 2, 0, 0),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [2563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expandable_string_literal_immediate, 3, 0, 0),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expandable_string_literal_immediate, 3, 0, 0),
  [2574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(990),
  [2577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(990),
  [2580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1194),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_element, 1, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_element, 1, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(650),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(660),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_argument, 2, 0, 0),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_argument, 2, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [2672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(662),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merging_redirection_operator, 1, 0, 0),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merging_redirection_operator, 1, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_entry, 5, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_entry, 5, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_element, 2, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_element, 2, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirection, 2, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 2, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirection, 1, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 1, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_entry, 4, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_entry, 4, 0, 0),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0),
  [2707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirections, 1, 0, 0),
  [2712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [2715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0),
  [2723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(632),
  [2733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_operator, 1, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_operator, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 1, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 1, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_clause, 4, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_clause, 3, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirection_operator, 1, 0, 0),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirection_operator, 1, 0, 0),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_invokation_operator, 1, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [2777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(1856),
  [2780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(1342),
  [2783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(145),
  [2786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(145),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(1281),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [2985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0),
  [2990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1258),
  [2993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0), SHIFT_REPEAT(1256),
  [3001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0), SHIFT_REPEAT(1222),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0),
  [3006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1230),
  [3034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1230),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0),
  [3039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1254),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(46),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 3, 0, 0),
  [3091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 3, 0, 0),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 1, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 1, 0, 0),
  [3099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 1, 0, 0), REDUCE(aux_sym_expandable_string_literal_repeat2, 1, 0, 0),
  [3102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1255),
  [3105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_property_definition_repeat1, 2, 0, 0),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_property_definition_repeat1, 2, 0, 0),
  [3119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_property_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1281),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 6, 0, 0),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 6, 0, 0),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0), SHIFT(2106),
  [3131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0), SHIFT(145),
  [3134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0), SHIFT(145),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 10, 0, 0),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 10, 0, 0),
  [3141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [3144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [3147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1269),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 9, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 9, 0, 0),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 8, 0, 0),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 8, 0, 0),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 7, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 7, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 5, 0, 0),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 5, 0, 0),
  [3176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1340),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_attribute, 1, 0, 0),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_attribute, 1, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 6, 0, 0),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 6, 0, 0),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 5, 0, 0),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 0),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_parameters, 1, 0, 0),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_parameters_repeat1, 2, 0, 0),
  [3251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_block_list, 1, 0, 0),
  [3258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_block_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_block_list_repeat1, 2, 0, 0),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_clause_condition, 1, 0, 0),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_parameter, 1, 0, 0),
  [3309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [3312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [3315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1192),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_filename, 1, 0, 0),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_command_argument, 2, 0, 0),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0), SHIFT_REPEAT(1338),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 2, 0, 5),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0),
  [3347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_command_argument, 2, 0, 0),
  [3360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0), SHIFT_REPEAT(1352),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(34),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(35),
  [3375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2127),
  [3378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1382),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, 0, 0),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_argument_expression, 3, 0, 0),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_block, 2, 0, 0),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 1, 0, 0),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression, 1, 0, 0),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_argument_expression, 1, 0, 0),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2133),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 3, 0, 0),
  [3415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_statement_repeat1, 2, 0, 0),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_statement_repeat1, 3, 0, 0),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter, 2, 0, 0),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter, 1, 0, 0),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, 0, 10),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [3473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expandable_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(1436),
  [3476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat2, 2, 0, 0),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_expression_list_repeat1, 2, 0, 0),
  [3480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, 0, 0),
  [3489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimension_repeat1, 2, 0, 0), SHIFT_REPEAT(1441),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimension_repeat1, 2, 0, 0),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_arguments, 2, 0, 0),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument, 1, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_arguments, 1, 0, 0),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_name, 2, 0, 0),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_name, 2, 0, 0),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, 0, 0),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter_list, 2, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimension, 1, 0, 0),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_arguments, 1, 0, 0),
  [3538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pipeline_tail, 2, 0, 0), SHIFT_REPEAT(1294),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__pipeline_tail, 2, 0, 0),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression_list, 2, 0, 0),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_method_parameter_list_repeat1, 2, 0, 0),
  [3551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_method_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1280),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3, 0, 0),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 1, 0, 0),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, 0, 0),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_arguments_repeat1, 2, 0, 0),
  [3582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_type_list, 1, 0, 0),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_commands_list, 2, 0, 0),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat2, 2, 0, 0), SHIFT_REPEAT(1486),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat2, 2, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression_list, 1, 0, 0),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 2, 0, 0),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_type_arguments_repeat1, 2, 0, 0),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_arguments, 2, 0, 0),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, 0, 7),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [3675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_type_list_repeat1, 2, 0, 0),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter_list, 1, 0, 0),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_commands_list, 1, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_type_list, 2, 0, 0),
  [3721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pipeline_tail, 2, 0, 0), SHIFT_REPEAT(1298),
  [3724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_commands_list_repeat1, 2, 0, 0), SHIFT_REPEAT(721),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_commands_list_repeat1, 2, 0, 0),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [3735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat1, 2, 0, 0),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_name, 1, 0, 0),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter, 1, 0, 0),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 3, 0, 0),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 1, 0, 0),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member, 1, 0, 0),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter_default, 2, 0, 0),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter, 3, 0, 0),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_command, 1, 0, 0),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_name, 1, 0, 0),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument, 3, 0, 0),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter, 2, 0, 0),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 4, 0, 0),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 2, 0, 0),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 6, 0, 0),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_condition, 1, 0, 0),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_declaration, 2, 0, 0),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_expression, 1, 0, 0),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_name, 1, 0, 0),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_condition, 2, 0, 0),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 9),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block, 3, 0, 11),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [4062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_condition, 3, 0, 0),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block, 1, 0, 2),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member, 3, 0, 0),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_body, 1, 0, 3),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_initializer, 1, 0, 0),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_condition, 1, 0, 0),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_body, 1, 0, 4),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4150] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_expression, 1, 0, 0),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_control_statement, 2, 0, 0),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block, 4, 0, 13),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_commands_allowed, 2, 0, 0),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_iterator, 1, 0, 0),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_parameter, 1, 0, 0),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_declaration, 3, 0, 0),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 5, 0, 0),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__statement_terminator = 0,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__statement_terminator] = sym__statement_terminator,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__statement_terminator] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_powershell_external_scanner_create(void);
void tree_sitter_powershell_external_scanner_destroy(void *);
bool tree_sitter_powershell_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_powershell_external_scanner_serialize(void *, char *);
void tree_sitter_powershell_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_powershell(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_powershell_external_scanner_create,
      tree_sitter_powershell_external_scanner_destroy,
      tree_sitter_powershell_external_scanner_scan,
      tree_sitter_powershell_external_scanner_serialize,
      tree_sitter_powershell_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
